/*
MySQL Data Transfer
Source Host: 192.168.1.101
Source Database: l1jdb
Target Host: 192.168.1.101
Target Database: l1jdb
Date: 7/9/2011 1:46:50 PM
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for accounts
-- ----------------------------
DROP TABLE IF EXISTS `accounts`;
CREATE TABLE `accounts` (
  `login` varchar(50) NOT NULL default '',
  `password` varchar(64) default NULL,
  `lastactive` datetime default NULL,
  `access_level` int(11) default NULL,
  `ip` varchar(20) NOT NULL default '',
  `host` varchar(255) NOT NULL default '',
  `banned` int(11) unsigned NOT NULL default '0',
  `character_slot` int(2) unsigned NOT NULL default '0',
  PRIMARY KEY  (`login`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 3072 kB';

-- ----------------------------
-- Table structure for area
-- ----------------------------
DROP TABLE IF EXISTS `area`;
CREATE TABLE `area` (
  `areaid` int(5) NOT NULL default '0',
  `mapid` int(5) NOT NULL default '0',
  `areaname` varchar(50) default NULL,
  `x1` int(6) NOT NULL default '0',
  `y1` int(6) NOT NULL default '0',
  `x2` int(6) NOT NULL default '0',
  `y2` int(6) NOT NULL default '0',
  `flag` int(1) NOT NULL default '0',
  `restart` int(4) NOT NULL default '0',
  PRIMARY KEY  (`areaid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for armor
-- ----------------------------
DROP TABLE IF EXISTS `armor`;
CREATE TABLE `armor` (
  `item_id` int(5) NOT NULL default '0',
  `name` varchar(70) default 'NULL',
  `unidentified_name_id` varchar(45) NOT NULL default '',
  `identified_name_id` varchar(45) NOT NULL default '',
  `type` varchar(15) NOT NULL default '',
  `material` varchar(45) NOT NULL default '',
  `weight` int(7) unsigned NOT NULL default '0',
  `invgfx` int(5) unsigned NOT NULL default '0',
  `grdgfx` int(5) unsigned NOT NULL default '0',
  `itemdesc_id` int(10) NOT NULL default '0',
  `ac` int(3) NOT NULL default '0',
  `safenchant` int(2) NOT NULL default '0',
  `use_royal` int(2) unsigned NOT NULL default '0',
  `use_knight` int(2) unsigned NOT NULL default '0',
  `use_mage` int(2) unsigned NOT NULL default '0',
  `use_elf` int(2) unsigned NOT NULL default '0',
  `use_darkelf` int(2) unsigned NOT NULL default '0',
  `use_dragonknight` int(2) unsigned NOT NULL default '0',
  `use_illusionist` int(2) unsigned NOT NULL default '0',
  `add_str` int(2) NOT NULL default '0',
  `add_con` int(2) NOT NULL default '0',
  `add_dex` int(2) NOT NULL default '0',
  `add_int` int(2) NOT NULL default '0',
  `add_wis` int(2) NOT NULL default '0',
  `add_cha` int(2) NOT NULL default '0',
  `add_hp` int(10) NOT NULL default '0',
  `add_mp` int(10) NOT NULL default '0',
  `add_hpr` int(10) NOT NULL default '0',
  `add_mpr` int(10) NOT NULL default '0',
  `add_sp` int(10) NOT NULL default '0',
  `min_lvl` int(4) unsigned NOT NULL default '0',
  `max_lvl` int(4) unsigned NOT NULL default '0',
  `m_def` int(2) NOT NULL default '0',
  `haste_item` int(2) unsigned NOT NULL default '0',
  `damage_reduction` int(10) NOT NULL default '0',
  `weight_reduction` int(10) unsigned NOT NULL default '0',
  `hit_modifier` int(10) NOT NULL default '0',
  `dmg_modifier` int(10) NOT NULL default '0',
  `bow_hit_modifier` int(10) NOT NULL default '0',
  `bow_dmg_modifier` int(10) NOT NULL default '0',
  `bless` int(2) unsigned NOT NULL default '1',
  `trade` int(2) unsigned NOT NULL default '0',
  `cant_delete` int(2) unsigned NOT NULL default '0',
  `max_use_time` int(10) unsigned NOT NULL default '0',
  `defense_water` int(2) NOT NULL default '0',
  `defense_wind` int(2) NOT NULL default '0',
  `defense_fire` int(2) NOT NULL default '0',
  `defense_earth` int(2) NOT NULL default '0',
  `regist_stun` int(2) NOT NULL default '0',
  `regist_stone` int(2) NOT NULL default '0',
  `regist_sleep` int(2) NOT NULL default '0',
  `regist_freeze` int(2) NOT NULL default '0',
  `regist_sustain` int(2) unsigned NOT NULL default '0',
  `regist_blind` int(2) unsigned NOT NULL default '0',
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for armor_set
-- ----------------------------
DROP TABLE IF EXISTS `armor_set`;
CREATE TABLE `armor_set` (
  `id` int(10) NOT NULL auto_increment,
  `note` varchar(45) default NULL,
  `polyname` varchar(45) NOT NULL default '',
  `sets` varchar(1000) NOT NULL,
  `polyid` int(10) NOT NULL default '0',
  `ac` int(2) NOT NULL default '0',
  `hp` int(5) NOT NULL default '0',
  `mp` int(5) NOT NULL default '0',
  `hpr` int(5) NOT NULL default '0',
  `mpr` int(5) NOT NULL default '0',
  `mr` int(5) NOT NULL default '0',
  `str` int(2) NOT NULL default '0',
  `dex` int(2) NOT NULL default '0',
  `con` int(2) NOT NULL default '0',
  `wis` int(2) NOT NULL default '0',
  `cha` int(2) NOT NULL default '0',
  `intl` int(2) NOT NULL default '0',
  `defense_water` int(2) NOT NULL default '0',
  `defense_wind` int(2) NOT NULL default '0',
  `defense_fire` int(2) NOT NULL default '0',
  `defense_earth` int(2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=76 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for ban_ip
-- ----------------------------
DROP TABLE IF EXISTS `ban_ip`;
CREATE TABLE `ban_ip` (
  `ip` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 3072 kB';

-- ----------------------------
-- Table structure for beginner
-- ----------------------------
DROP TABLE IF EXISTS `beginner`;
CREATE TABLE `beginner` (
  `id` int(10) NOT NULL auto_increment,
  `item_id` int(6) NOT NULL default '0',
  `count` int(10) NOT NULL default '0',
  `enchantlvl` int(6) NOT NULL default '0',
  `item_name` varchar(50) NOT NULL default '',
  `activate` char(1) NOT NULL default 'A',
  `is_id` int(1) default '0',
  `charge_count` int(10) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for board
-- ----------------------------
DROP TABLE IF EXISTS `board`;
CREATE TABLE `board` (
  `id` int(10) NOT NULL default '0',
  `name` varchar(16) default NULL,
  `date` varchar(16) default NULL,
  `title` varchar(16) default NULL,
  `content` varchar(1000) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for board_auction
-- ----------------------------
DROP TABLE IF EXISTS `board_auction`;
CREATE TABLE `board_auction` (
  `house_id` int(10) unsigned NOT NULL default '0',
  `house_name` varchar(45) NOT NULL default '',
  `house_area` int(10) unsigned NOT NULL default '0',
  `deadline` datetime default NULL,
  `price` int(10) unsigned NOT NULL default '0',
  `location` varchar(45) NOT NULL default '',
  `old_owner` varchar(45) NOT NULL default '',
  `old_owner_id` int(10) unsigned NOT NULL default '0',
  `bidder` varchar(45) NOT NULL default '',
  `bidder_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`house_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for bugs
-- ----------------------------
DROP TABLE IF EXISTS `bugs`;
CREATE TABLE `bugs` (
  `id` int(13) unsigned NOT NULL auto_increment,
  `bugtext` varchar(255) NOT NULL default '',
  `charname` varchar(45) NOT NULL default '',
  `mapID` int(6) NOT NULL default '0',
  `mapX` int(6) NOT NULL default '0',
  `mapY` int(6) NOT NULL default '0',
  `resolved` int(1) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for castle
-- ----------------------------
DROP TABLE IF EXISTS `castle`;
CREATE TABLE `castle` (
  `castle_id` int(11) NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `war_time` datetime default NULL,
  `tax_rate` int(11) NOT NULL default '0',
  `public_money` int(11) NOT NULL default '0',
  PRIMARY KEY  (`castle_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_buddys
-- ----------------------------
DROP TABLE IF EXISTS `character_buddys`;
CREATE TABLE `character_buddys` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `char_id` int(10) NOT NULL default '0',
  `buddy_id` int(10) unsigned NOT NULL default '0',
  `buddy_name` varchar(45) NOT NULL,
  PRIMARY KEY  (`char_id`,`buddy_id`),
  KEY `key_id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=325 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for character_buff
-- ----------------------------
DROP TABLE IF EXISTS `character_buff`;
CREATE TABLE `character_buff` (
  `char_obj_id` int(10) NOT NULL default '0',
  `skill_id` int(10) unsigned NOT NULL default '0',
  `remaining_time` int(10) NOT NULL default '0',
  `poly_id` int(10) default '0',
  PRIMARY KEY  (`char_obj_id`,`skill_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for character_config
-- ----------------------------
DROP TABLE IF EXISTS `character_config`;
CREATE TABLE `character_config` (
  `object_id` int(10) NOT NULL default '0',
  `length` int(10) unsigned NOT NULL default '0',
  `data` blob,
  PRIMARY KEY  (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_elf_warehouse
-- ----------------------------
DROP TABLE IF EXISTS `character_elf_warehouse`;
CREATE TABLE `character_elf_warehouse` (
  `id` int(11) NOT NULL auto_increment,
  `account_name` varchar(13) default NULL,
  `item_id` int(11) default NULL,
  `item_name` varchar(255) default NULL,
  `count` int(11) default NULL,
  `is_equipped` int(11) default NULL,
  `enchantlvl` int(11) default NULL,
  `is_id` int(11) default NULL,
  `durability` int(11) default NULL,
  `charge_count` int(11) default NULL,
  `remaining_time` int(11) default NULL,
  `last_used` datetime default NULL,
  `bless` int(11) default NULL,
  `attr_enchant_level` int(11) default NULL,
  `attr_enchant_kind` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `key_id` (`account_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_items
-- ----------------------------
DROP TABLE IF EXISTS `character_items`;
CREATE TABLE `character_items` (
  `id` int(11) NOT NULL default '0',
  `item_id` int(11) default NULL,
  `char_id` int(11) default NULL,
  `item_name` varchar(255) default NULL,
  `count` int(11) default NULL,
  `is_equipped` int(11) default NULL,
  `enchantlvl` int(11) default NULL,
  `is_id` int(11) default NULL,
  `durability` int(11) default NULL,
  `last_used` datetime default NULL,
  `bless` int(11) default NULL,
  `attr_enchant_level` int(11) default NULL,
  `attr_enchant_kind` int(11) default NULL,
  `charge_count` int(11) default NULL,
  `remaining_time` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `key_id` (`char_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_pvp
-- ----------------------------
DROP TABLE IF EXISTS `character_pvp`;
CREATE TABLE `character_pvp` (
  `killer_char_obj_id` int(11) default NULL,
  `killer_char_name` varchar(20) default NULL,
  `killer_lvl` int(11) default NULL,
  `victim_char_obj_id` int(11) default NULL,
  `victim_char_name` varchar(20) default NULL,
  `victim_lvl` int(11) default NULL,
  `date` datetime default NULL,
  `locx` int(11) default NULL,
  `locy` int(11) default NULL,
  `mapid` int(11) default NULL,
  `penalty` int(11) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for character_quests
-- ----------------------------
DROP TABLE IF EXISTS `character_quests`;
CREATE TABLE `character_quests` (
  `char_id` int(10) unsigned NOT NULL,
  `quest_id` int(10) unsigned NOT NULL default '0',
  `quest_step` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`char_id`,`quest_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_skills
-- ----------------------------
DROP TABLE IF EXISTS `character_skills`;
CREATE TABLE `character_skills` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `char_obj_id` int(10) NOT NULL default '0',
  `skill_id` int(10) unsigned NOT NULL default '0',
  `skill_name` varchar(45) NOT NULL default '',
  `is_active` int(10) default NULL,
  `activetimeleft` int(10) default NULL,
  PRIMARY KEY  (`char_obj_id`,`skill_id`),
  KEY `key_id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=15205 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for character_teleport
-- ----------------------------
DROP TABLE IF EXISTS `character_teleport`;
CREATE TABLE `character_teleport` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `char_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `locx` int(10) unsigned NOT NULL default '0',
  `locy` int(10) unsigned NOT NULL default '0',
  `mapid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `key_id` (`char_id`)
) ENGINE=MyISAM AUTO_INCREMENT=309410506 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for character_warehouse
-- ----------------------------
DROP TABLE IF EXISTS `character_warehouse`;
CREATE TABLE `character_warehouse` (
  `id` int(11) NOT NULL auto_increment,
  `account_name` varchar(13) default NULL,
  `item_id` int(11) default NULL,
  `item_name` varchar(255) default NULL,
  `count` int(11) default NULL,
  `is_equipped` int(11) default NULL,
  `enchantlvl` int(11) default NULL,
  `is_id` int(11) default NULL,
  `durability` int(11) default NULL,
  `last_used` datetime default NULL,
  `bless` int(11) default NULL,
  `attr_enchant_level` int(11) default NULL,
  `attr_enchant_kind` int(11) default NULL,
  `charge_count` int(11) default NULL,
  `remaining_time` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `key_id` (`account_name`)
) ENGINE=MyISAM AUTO_INCREMENT=309411125 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for characters
-- ----------------------------
DROP TABLE IF EXISTS `characters`;
CREATE TABLE `characters` (
  `account_name` varchar(13) NOT NULL default '0',
  `objid` int(11) unsigned NOT NULL default '0',
  `char_name` varchar(45) NOT NULL default '',
  `level` int(11) unsigned NOT NULL default '0',
  `Exp` int(10) unsigned NOT NULL default '0',
  `MaxHp` int(10) unsigned NOT NULL default '0',
  `CurHp` int(10) unsigned NOT NULL default '0',
  `MaxMp` int(10) NOT NULL default '0',
  `CurMp` int(10) NOT NULL default '0',
  `Ac` int(10) NOT NULL default '0',
  `Str` int(3) NOT NULL default '0',
  `Con` int(3) NOT NULL default '0',
  `Dex` int(3) NOT NULL default '0',
  `Cha` int(3) NOT NULL default '0',
  `Intel` int(3) NOT NULL default '0',
  `Wis` int(3) NOT NULL default '0',
  `Status` int(10) unsigned NOT NULL default '0',
  `Class` int(10) unsigned NOT NULL default '0',
  `Sex` int(10) unsigned NOT NULL default '0',
  `Type` int(10) unsigned NOT NULL default '0',
  `Heading` int(10) unsigned NOT NULL default '0',
  `LocX` int(11) unsigned NOT NULL default '0',
  `LocY` int(11) unsigned NOT NULL default '0',
  `MapID` int(10) unsigned NOT NULL default '0',
  `Food` int(10) unsigned NOT NULL default '0',
  `Lawful` int(10) NOT NULL default '0',
  `Title` varchar(35) NOT NULL default '',
  `ClanID` int(10) unsigned NOT NULL default '0',
  `Clanname` varchar(45) NOT NULL default '',
  `BonusStatus` int(10) NOT NULL default '0',
  `ElixirStatus` int(10) NOT NULL default '0',
  `ElfAttr` int(10) NOT NULL default '0',
  `PKcount` int(10) NOT NULL default '0',
  `PkCountForElf` int(10) NOT NULL default '0',
  `ExpRes` int(10) NOT NULL default '0',
  `PartnerID` int(10) NOT NULL default '0',
  `AccessLevel` int(10) unsigned NOT NULL default '0',
  `OnlineStatus` int(10) unsigned NOT NULL default '0',
  `HomeTownID` int(10) NOT NULL default '0',
  `Contribution` int(10) NOT NULL default '0',
  `Pay` int(10) NOT NULL default '0',
  `HellTime` int(10) unsigned NOT NULL default '0',
  `Banned` tinyint(1) unsigned NOT NULL default '0',
  `Karma` int(10) NOT NULL default '0',
  `LastPk` datetime default NULL,
  `LastPkForElf` datetime default NULL,
  `HighLevel` int(11) unsigned NOT NULL default '0',
  `ClanRank` int(3) unsigned NOT NULL default '0',
  `DeleteTime` datetime default NULL,
  `OriginalStr` int(3) NOT NULL default '0',
  `OriginalCon` int(3) NOT NULL default '0',
  `OriginalDex` int(3) NOT NULL default '0',
  `OriginalCha` int(3) NOT NULL default '0',
  `OriginalInt` int(3) NOT NULL default '0',
  `OriginalWis` int(3) NOT NULL default '0',
  PRIMARY KEY  (`objid`),
  KEY `key_id` (`account_name`,`char_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for clan_data
-- ----------------------------
DROP TABLE IF EXISTS `clan_data`;
CREATE TABLE `clan_data` (
  `clan_id` int(10) unsigned NOT NULL auto_increment,
  `clan_name` varchar(45) NOT NULL default '',
  `leader_id` int(10) unsigned NOT NULL default '0',
  `leader_name` varchar(45) NOT NULL default '',
  `hascastle` int(10) unsigned NOT NULL default '0',
  `hashouse` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`clan_id`)
) ENGINE=MyISAM AUTO_INCREMENT=308159171 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for clan_warehouse
-- ----------------------------
DROP TABLE IF EXISTS `clan_warehouse`;
CREATE TABLE `clan_warehouse` (
  `id` int(11) NOT NULL auto_increment,
  `clan_name` varchar(45) default NULL,
  `item_id` int(11) default NULL,
  `item_name` varchar(255) default NULL,
  `count` int(11) default NULL,
  `is_equipped` int(11) default NULL,
  `enchantlvl` int(11) default NULL,
  `is_id` int(11) default NULL,
  `durability` int(11) default NULL,
  `last_used` datetime default NULL,
  `bless` int(11) default NULL,
  `attr_enchant_level` int(11) default NULL,
  `attr_enchant_kind` int(11) default NULL,
  `charge_count` int(11) default NULL,
  `remaining_time` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `key_id` (`clan_name`)
) ENGINE=MyISAM AUTO_INCREMENT=308179730 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for commands
-- ----------------------------
DROP TABLE IF EXISTS `commands`;
CREATE TABLE `commands` (
  `name` varchar(255) NOT NULL,
  `access_level` int(10) NOT NULL default '200',
  `class_name` varchar(255) NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for connection_test_table
-- ----------------------------
DROP TABLE IF EXISTS `connection_test_table`;
CREATE TABLE `connection_test_table` (
  `a` char(1) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for door_gfxs
-- ----------------------------
DROP TABLE IF EXISTS `door_gfxs`;
CREATE TABLE `door_gfxs` (
  `gfxid` int(11) NOT NULL,
  `note` varchar(255) default NULL,
  `direction` int(11) NOT NULL,
  `left_edge_offset` int(11) NOT NULL,
  `right_edge_offset` int(11) NOT NULL,
  PRIMARY KEY  (`gfxid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for drop_item
-- ----------------------------
DROP TABLE IF EXISTS `drop_item`;
CREATE TABLE `drop_item` (
  `item_id` int(10) NOT NULL default '0',
  `drop_rate` float unsigned NOT NULL default '0',
  `drop_amount` float unsigned NOT NULL default '0',
  `note` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for droplist
-- ----------------------------
DROP TABLE IF EXISTS `droplist`;
CREATE TABLE `droplist` (
  `mobId` int(6) unsigned NOT NULL default '0',
  `mob_name` varchar(45) default NULL,
  `itemId` int(6) unsigned NOT NULL default '0',
  `item_name` varchar(45) default NULL,
  `min` int(4) unsigned NOT NULL default '0',
  `max` int(4) unsigned NOT NULL default '0',
  `chance` int(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (`mobId`,`itemId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for dungeon
-- ----------------------------
DROP TABLE IF EXISTS `dungeon`;
CREATE TABLE `dungeon` (
  `src_x` int(10) NOT NULL default '0',
  `src_y` int(10) NOT NULL default '0',
  `src_mapid` int(10) NOT NULL default '0',
  `new_x` int(10) NOT NULL default '0',
  `new_y` int(10) NOT NULL default '0',
  `new_mapid` int(10) NOT NULL default '0',
  `new_heading` int(10) NOT NULL default '1',
  `note` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`src_x`,`src_y`,`src_mapid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 8192 kB';

-- ----------------------------
-- Table structure for dungeon_random
-- ----------------------------
DROP TABLE IF EXISTS `dungeon_random`;
CREATE TABLE `dungeon_random` (
  `src_x` int(10) NOT NULL default '0',
  `src_y` int(10) NOT NULL default '0',
  `src_mapid` int(10) NOT NULL default '0',
  `new_x1` int(10) NOT NULL default '0',
  `new_y1` int(10) NOT NULL default '0',
  `new_mapid1` int(10) NOT NULL default '0',
  `new_x2` int(10) NOT NULL default '0',
  `new_y2` int(10) NOT NULL default '0',
  `new_mapid2` int(10) NOT NULL default '0',
  `new_x3` int(10) NOT NULL default '0',
  `new_y3` int(10) NOT NULL default '0',
  `new_mapid3` int(10) NOT NULL default '0',
  `new_x4` int(10) NOT NULL default '0',
  `new_y4` int(10) NOT NULL default '0',
  `new_mapid4` int(10) NOT NULL default '0',
  `new_x5` int(10) NOT NULL default '0',
  `new_y5` int(10) NOT NULL default '0',
  `new_mapid5` int(10) NOT NULL default '0',
  `new_heading` int(10) NOT NULL default '1',
  `note` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`src_x`,`src_y`,`src_mapid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 8192 kB';

-- ----------------------------
-- Table structure for etcitem
-- ----------------------------
DROP TABLE IF EXISTS `etcitem`;
CREATE TABLE `etcitem` (
  `item_id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL default '',
  `unidentified_name_id` varchar(45) NOT NULL default '',
  `identified_name_id` varchar(45) NOT NULL default '',
  `item_type` varchar(40) NOT NULL default '',
  `use_type` varchar(20) NOT NULL default '',
  `material` varchar(45) NOT NULL default '',
  `weight` int(10) unsigned NOT NULL default '0',
  `invgfx` int(10) unsigned NOT NULL default '0',
  `grdgfx` int(10) unsigned NOT NULL default '0',
  `itemdesc_id` int(10) unsigned NOT NULL default '0',
  `stackable` int(10) unsigned NOT NULL default '0',
  `max_charge_count` int(10) unsigned NOT NULL default '0',
  `dmg_small` int(10) unsigned NOT NULL default '0',
  `dmg_large` int(10) unsigned NOT NULL default '0',
  `min_lvl` int(10) unsigned NOT NULL default '0',
  `max_lvl` int(10) unsigned NOT NULL default '0',
  `locx` int(10) unsigned NOT NULL default '0',
  `locy` int(10) unsigned NOT NULL default '0',
  `mapid` int(10) unsigned NOT NULL default '0',
  `bless` int(2) unsigned NOT NULL default '1',
  `trade` int(2) unsigned NOT NULL default '0',
  `cant_delete` int(2) unsigned NOT NULL default '0',
  `can_seal` int(2) unsigned NOT NULL default '0',
  `delay_id` int(10) unsigned NOT NULL default '0',
  `delay_time` int(10) unsigned NOT NULL default '0',
  `delay_effect` int(10) unsigned NOT NULL default '0',
  `food_volume` int(10) unsigned NOT NULL default '0',
  `save_at_once` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=240103 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for getback
-- ----------------------------
DROP TABLE IF EXISTS `getback`;
CREATE TABLE `getback` (
  `area_x1` int(10) NOT NULL default '0',
  `area_y1` int(10) NOT NULL default '0',
  `area_x2` int(10) NOT NULL default '0',
  `area_y2` int(10) NOT NULL default '0',
  `area_mapid` int(10) NOT NULL default '0',
  `getback_x1` int(10) NOT NULL default '0',
  `getback_y1` int(10) NOT NULL default '0',
  `getback_x2` int(10) NOT NULL default '0',
  `getback_y2` int(10) NOT NULL default '0',
  `getback_x3` int(10) NOT NULL default '0',
  `getback_y3` int(10) NOT NULL default '0',
  `getback_mapid` int(10) NOT NULL default '0',
  `getback_townid` int(10) unsigned NOT NULL default '0',
  `getback_townid_elf` int(10) unsigned NOT NULL default '0',
  `getback_townid_darkelf` int(10) unsigned NOT NULL default '0',
  `scrollescape` int(10) NOT NULL default '1',
  `note` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`area_x1`,`area_y1`,`area_x2`,`area_y2`,`area_mapid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for getback_restart
-- ----------------------------
DROP TABLE IF EXISTS `getback_restart`;
CREATE TABLE `getback_restart` (
  `area` int(10) NOT NULL default '0',
  `note` varchar(50) default NULL,
  `locx` int(10) NOT NULL default '0',
  `locy` int(10) NOT NULL default '0',
  `mapid` int(10) NOT NULL default '0',
  PRIMARY KEY  (`area`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for house
-- ----------------------------
DROP TABLE IF EXISTS `house`;
CREATE TABLE `house` (
  `house_id` int(10) unsigned NOT NULL default '0',
  `house_name` varchar(45) NOT NULL default '',
  `house_area` int(10) unsigned NOT NULL default '0',
  `location` varchar(45) NOT NULL default '',
  `keeper_id` int(10) unsigned NOT NULL default '0',
  `is_on_sale` int(10) unsigned NOT NULL default '0',
  `is_purchase_basement` int(10) unsigned NOT NULL default '0',
  `tax_deadline` datetime default NULL,
  PRIMARY KEY  (`house_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for inn
-- ----------------------------
DROP TABLE IF EXISTS `inn`;
CREATE TABLE `inn` (
  `name` varchar(45) default '',
  `npcid` int(10) NOT NULL,
  `room_number` int(5) NOT NULL,
  `key_id` int(11) default NULL,
  `lodger_id` int(11) default NULL,
  `hall` tinyint(2) default NULL,
  `due_time` datetime default NULL,
  PRIMARY KEY  (`npcid`,`room_number`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for inn_key
-- ----------------------------
DROP TABLE IF EXISTS `inn_key`;
CREATE TABLE `inn_key` (
  `item_obj_id` int(11) NOT NULL,
  `key_id` int(11) NOT NULL,
  `npc_id` int(10) default NULL,
  `hall` tinyint(2) default NULL,
  `due_time` datetime default NULL,
  PRIMARY KEY  (`item_obj_id`,`key_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Table structure for letter
-- ----------------------------
DROP TABLE IF EXISTS `letter`;
CREATE TABLE `letter` (
  `item_object_id` int(10) unsigned NOT NULL default '0',
  `code` int(10) unsigned NOT NULL default '0',
  `sender` varchar(16) default NULL,
  `receiver` varchar(16) default NULL,
  `date` varchar(16) default NULL,
  `template_id` int(5) unsigned NOT NULL default '0',
  `subject` blob,
  `content` blob,
  PRIMARY KEY  (`item_object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for log_chat
-- ----------------------------
DROP TABLE IF EXISTS `log_chat`;
CREATE TABLE `log_chat` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `account_name` varchar(50) NOT NULL,
  `char_id` int(10) NOT NULL,
  `name` varchar(50) NOT NULL,
  `clan_id` int(10) NOT NULL,
  `clan_name` varchar(50) default NULL,
  `locx` int(10) NOT NULL,
  `locy` int(10) NOT NULL,
  `mapid` int(10) NOT NULL,
  `type` int(10) NOT NULL,
  `target_account_name` varchar(50) default NULL,
  `target_id` int(10) default '0',
  `target_name` varchar(50) default NULL,
  `target_clan_id` int(10) default NULL,
  `target_clan_name` varchar(50) default NULL,
  `target_locx` int(10) default NULL,
  `target_locy` int(10) default NULL,
  `target_mapid` int(10) default NULL,
  `content` varchar(256) NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for log_enchant
-- ----------------------------
DROP TABLE IF EXISTS `log_enchant`;
CREATE TABLE `log_enchant` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `char_id` int(10) NOT NULL default '0',
  `item_id` int(10) unsigned NOT NULL default '0',
  `old_enchantlvl` int(3) NOT NULL default '0',
  `new_enchantlvl` int(3) default '0',
  PRIMARY KEY  (`id`),
  KEY `key_id` (`char_id`)
) ENGINE=MyISAM AUTO_INCREMENT=244 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for mail
-- ----------------------------
DROP TABLE IF EXISTS `mail`;
CREATE TABLE `mail` (
  `id` int(10) unsigned NOT NULL default '0',
  `type` int(10) unsigned NOT NULL default '0',
  `sender` varchar(16) default NULL,
  `receiver` varchar(16) default NULL,
  `date` varchar(16) default NULL,
  `read_status` tinyint(1) unsigned NOT NULL default '0',
  `subject` blob,
  `content` blob,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- ----------------------------
-- Table structure for mapids
-- ----------------------------
DROP TABLE IF EXISTS `mapids`;
CREATE TABLE `mapids` (
  `mapid` int(10) NOT NULL default '0',
  `locationname` varchar(45) default NULL,
  `startX` int(10) unsigned NOT NULL default '0',
  `endX` int(10) unsigned NOT NULL default '0',
  `startY` int(10) unsigned NOT NULL default '0',
  `endY` int(10) unsigned NOT NULL default '0',
  `monster_amount` float unsigned NOT NULL default '0',
  `drop_rate` float unsigned NOT NULL default '0',
  `underwater` tinyint(1) unsigned NOT NULL default '0',
  `markable` tinyint(1) unsigned NOT NULL default '0',
  `teleportable` tinyint(1) unsigned NOT NULL default '0',
  `escapable` tinyint(1) unsigned NOT NULL default '0',
  `resurrection` tinyint(1) unsigned NOT NULL default '0',
  `painwand` tinyint(1) unsigned NOT NULL default '0',
  `penalty` tinyint(1) unsigned NOT NULL default '0',
  `take_pets` tinyint(1) unsigned NOT NULL default '0',
  `recall_pets` tinyint(1) unsigned NOT NULL default '0',
  `usable_item` int(4) unsigned NOT NULL default '1',
  `usable_skill` int(4) unsigned NOT NULL default '1',
  PRIMARY KEY  (`mapid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for mobgroup
-- ----------------------------
DROP TABLE IF EXISTS `mobgroup`;
CREATE TABLE `mobgroup` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `note` varchar(255) NOT NULL default '',
  `remove_group_if_leader_die` int(10) unsigned NOT NULL default '0',
  `leader_id` int(10) unsigned NOT NULL default '0',
  `minion1_id` int(10) unsigned NOT NULL default '0',
  `minion1_count` int(10) unsigned NOT NULL default '0',
  `minion2_id` int(10) unsigned NOT NULL default '0',
  `minion2_count` int(10) unsigned NOT NULL default '0',
  `minion3_id` int(10) unsigned NOT NULL default '0',
  `minion3_count` int(10) unsigned NOT NULL default '0',
  `minion4_id` int(10) unsigned NOT NULL default '0',
  `minion4_count` int(10) unsigned NOT NULL default '0',
  `minion5_id` int(10) unsigned NOT NULL default '0',
  `minion5_count` int(10) unsigned NOT NULL default '0',
  `minion6_id` int(10) unsigned NOT NULL default '0',
  `minion6_count` int(10) unsigned NOT NULL default '0',
  `minion7_id` int(10) unsigned NOT NULL default '0',
  `minion7_count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=177 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for mobskill
-- ----------------------------
DROP TABLE IF EXISTS `mobskill`;
CREATE TABLE `mobskill` (
  `mobid` int(10) unsigned NOT NULL default '0',
  `actNo` int(10) unsigned NOT NULL default '0',
  `mobname` varchar(45) NOT NULL default '',
  `Skill_Description` varchar(45) default NULL,
  `Type` int(10) unsigned NOT NULL default '0',
  `TriRnd` int(10) unsigned NOT NULL default '0',
  `TriHp` int(10) unsigned NOT NULL default '0',
  `TriCompanionHp` int(10) unsigned NOT NULL default '0',
  `TriRange` int(10) NOT NULL default '0',
  `TriCount` int(10) NOT NULL default '0',
  `ChangeTarget` int(10) unsigned NOT NULL default '0',
  `Range` int(10) unsigned NOT NULL default '0',
  `AreaWidth` int(10) unsigned NOT NULL default '0',
  `AreaHeight` int(10) unsigned NOT NULL default '0',
  `Leverage` int(10) unsigned NOT NULL default '0',
  `SkillId` int(10) unsigned NOT NULL default '0',
  `Gfxid` int(10) unsigned NOT NULL default '0',
  `ActId` int(10) unsigned NOT NULL default '0',
  `SummonId` int(10) unsigned NOT NULL default '0',
  `SummonMin` int(10) NOT NULL default '0',
  `SummonMax` int(10) NOT NULL default '0',
  `PolyId` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`mobid`,`actNo`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for npc
-- ----------------------------
DROP TABLE IF EXISTS `npc`;
CREATE TABLE `npc` (
  `npcid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(60) default NULL,
  `nameid` varchar(60) default NULL,
  `note` varchar(45) NOT NULL default '',
  `impl` varchar(45) NOT NULL default '',
  `gfxid` int(10) unsigned NOT NULL default '0',
  `lvl` int(10) unsigned NOT NULL default '0',
  `hp` int(10) unsigned NOT NULL default '0',
  `mp` int(10) unsigned NOT NULL default '0',
  `ac` int(10) NOT NULL default '0',
  `str` int(10) NOT NULL default '0',
  `con` int(10) NOT NULL default '0',
  `dex` int(10) NOT NULL default '0',
  `wis` int(10) NOT NULL default '0',
  `intel` int(10) NOT NULL default '0',
  `mr` int(10) NOT NULL default '0',
  `exp` int(10) unsigned NOT NULL default '0',
  `lawful` int(10) NOT NULL default '0',
  `size` varchar(10) NOT NULL default '',
  `weakAttr` int(10) NOT NULL default '0',
  `ranged` int(10) unsigned NOT NULL default '0',
  `tamable` tinyint(1) unsigned NOT NULL default '0',
  `passispeed` int(10) unsigned NOT NULL default '0',
  `atkspeed` int(10) unsigned NOT NULL default '0',
  `alt_atk_speed` int(10) unsigned NOT NULL default '0',
  `atk_magic_speed` int(10) unsigned NOT NULL default '0',
  `sub_magic_speed` int(10) unsigned NOT NULL default '0',
  `undead` int(10) unsigned NOT NULL default '0',
  `poison_atk` int(10) unsigned NOT NULL default '0',
  `paralysis_atk` int(10) unsigned NOT NULL default '0',
  `agro` tinyint(1) unsigned NOT NULL default '0',
  `agrososc` tinyint(1) unsigned NOT NULL default '0',
  `agrocoi` tinyint(1) unsigned NOT NULL default '0',
  `family` varchar(20) NOT NULL default '',
  `agrofamily` int(1) unsigned NOT NULL default '0',
  `agrogfxid1` int(10) NOT NULL default '-1',
  `agrogfxid2` int(10) NOT NULL default '-1',
  `picupitem` tinyint(1) unsigned NOT NULL default '0',
  `digestitem` int(1) unsigned NOT NULL default '0',
  `bravespeed` tinyint(1) unsigned NOT NULL default '0',
  `hprinterval` int(6) unsigned NOT NULL default '0',
  `hpr` int(5) unsigned NOT NULL default '0',
  `mprinterval` int(6) unsigned NOT NULL default '0',
  `mpr` int(5) unsigned NOT NULL default '0',
  `teleport` tinyint(1) unsigned NOT NULL default '0',
  `randomlevel` int(3) unsigned NOT NULL default '0',
  `randomhp` int(5) unsigned NOT NULL default '0',
  `randommp` int(5) unsigned NOT NULL default '0',
  `randomac` int(3) NOT NULL default '0',
  `randomexp` int(5) unsigned NOT NULL default '0',
  `randomlawful` int(5) NOT NULL default '0',
  `damage_reduction` int(5) unsigned NOT NULL default '0',
  `hard` tinyint(1) unsigned NOT NULL default '0',
  `doppel` tinyint(1) unsigned NOT NULL default '0',
  `IsTU` tinyint(1) NOT NULL default '0',
  `IsErase` tinyint(1) NOT NULL default '0',
  `bowActId` int(5) unsigned NOT NULL default '0',
  `karma` int(10) NOT NULL default '0',
  `transform_id` int(10) NOT NULL default '-1',
  `transform_gfxid` int(10) NOT NULL default '0',
  `light_size` tinyint(3) unsigned NOT NULL default '0',
  `amount_fixed` tinyint(1) unsigned NOT NULL default '0',
  `change_head` int(1) NOT NULL default '0',
  `cant_resurrect` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`npcid`)
) ENGINE=MyISAM AUTO_INCREMENT=90522 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for npcaction
-- ----------------------------
DROP TABLE IF EXISTS `npcaction`;
CREATE TABLE `npcaction` (
  `npcid` int(10) unsigned NOT NULL default '0',
  `normal_action` varchar(45) NOT NULL default '',
  `caotic_action` varchar(45) NOT NULL default '',
  `teleport_url` varchar(45) NOT NULL default '',
  `teleport_urla` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`npcid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for npcchat
-- ----------------------------
DROP TABLE IF EXISTS `npcchat`;
CREATE TABLE `npcchat` (
  `npc_id` int(10) unsigned NOT NULL default '0',
  `chat_timing` tinyint(1) unsigned NOT NULL default '0',
  `note` varchar(45) NOT NULL default '',
  `start_delay_time` int(10) NOT NULL default '0',
  `chat_id1` varchar(45) NOT NULL default '',
  `chat_id2` varchar(45) NOT NULL default '',
  `chat_id3` varchar(45) NOT NULL default '',
  `chat_id4` varchar(45) NOT NULL default '',
  `chat_id5` varchar(45) NOT NULL default '',
  `chat_interval` int(10) unsigned NOT NULL default '0',
  `is_shout` tinyint(1) unsigned NOT NULL default '0',
  `is_world_chat` tinyint(1) unsigned NOT NULL default '0',
  `is_repeat` tinyint(1) unsigned NOT NULL default '0',
  `repeat_interval` int(10) unsigned NOT NULL default '0',
  `game_time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`npc_id`,`chat_timing`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for petitem
-- ----------------------------
DROP TABLE IF EXISTS `petitem`;
CREATE TABLE `petitem` (
  `item_id` int(10) unsigned NOT NULL auto_increment,
  `note` varchar(45) NOT NULL default '',
  `hitmodifier` int(3) NOT NULL default '0',
  `dmgmodifier` int(3) NOT NULL default '0',
  `ac` int(3) NOT NULL default '0',
  `add_str` int(2) NOT NULL default '0',
  `add_con` int(2) NOT NULL default '0',
  `add_dex` int(2) NOT NULL default '0',
  `add_int` int(2) NOT NULL default '0',
  `add_wis` int(2) NOT NULL default '0',
  `add_hp` int(10) NOT NULL default '0',
  `add_mp` int(10) NOT NULL default '0',
  `add_sp` int(10) NOT NULL default '0',
  `m_def` int(2) NOT NULL default '0',
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=40767 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for pets
-- ----------------------------
DROP TABLE IF EXISTS `pets`;
CREATE TABLE `pets` (
  `item_obj_id` int(10) unsigned NOT NULL default '0',
  `objid` int(10) unsigned NOT NULL default '0',
  `npcid` int(10) unsigned NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `lvl` int(10) unsigned NOT NULL default '0',
  `hp` int(10) unsigned NOT NULL default '0',
  `mp` int(10) unsigned NOT NULL default '0',
  `exp` int(10) unsigned NOT NULL default '0',
  `lawful` int(10) unsigned NOT NULL default '0',
  `itemid1` int(10) unsigned NOT NULL default '0',
  `itemid2` int(10) unsigned NOT NULL default '0',
  `itemid3` int(10) unsigned NOT NULL default '0',
  `itemid4` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`item_obj_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for pettypes
-- ----------------------------
DROP TABLE IF EXISTS `pettypes`;
CREATE TABLE `pettypes` (
  `BaseNpcId` int(10) NOT NULL,
  `Name` varchar(45) NOT NULL,
  `ItemIdForTaming` int(10) NOT NULL,
  `HpUpMin` int(10) NOT NULL,
  `HpUpMax` int(10) NOT NULL,
  `MpUpMin` int(10) NOT NULL,
  `MpUpMax` int(10) NOT NULL,
  `NpcIdForEvolving` int(10) NOT NULL,
  `MessageId1` int(10) NOT NULL,
  `MessageId2` int(10) NOT NULL,
  `MessageId3` int(10) NOT NULL,
  `MessageId4` int(10) NOT NULL,
  `MessageId5` int(10) NOT NULL,
  `DefyMessageId` int(10) NOT NULL,
  PRIMARY KEY  (`BaseNpcId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for polymorphs
-- ----------------------------
DROP TABLE IF EXISTS `polymorphs`;
CREATE TABLE `polymorphs` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `polyid` int(11) default NULL,
  `minlevel` int(11) default NULL,
  `weaponequip` int(11) default NULL,
  `armorequip` int(11) default NULL,
  `isSkillUse` int(11) default NULL,
  `cause` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7342 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for quest_drops
-- ----------------------------
DROP TABLE IF EXISTS `quest_drops`;
CREATE TABLE `quest_drops` (
  `item_id` int(11) NOT NULL,
  `class` varchar(1) NOT NULL,
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for resolvent
-- ----------------------------
DROP TABLE IF EXISTS `resolvent`;
CREATE TABLE `resolvent` (
  `item_id` int(10) NOT NULL default '0',
  `note` varchar(45) NOT NULL,
  `crystal_count` int(10) NOT NULL default '0',
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for shop
-- ----------------------------
DROP TABLE IF EXISTS `shop`;
CREATE TABLE `shop` (
  `npc_id` int(10) unsigned NOT NULL default '0',
  `NPC_Name` varchar(45) default NULL,
  `item_id` int(10) unsigned NOT NULL default '0',
  `Item_Name` varchar(45) default NULL,
  `order_id` int(10) unsigned NOT NULL default '0',
  `selling_price` int(10) NOT NULL default '-1',
  `pack_count` int(10) unsigned NOT NULL default '0',
  `purchasing_price` int(10) NOT NULL default '-1',
  PRIMARY KEY  (`npc_id`,`item_id`,`order_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for skills
-- ----------------------------
DROP TABLE IF EXISTS `skills`;
CREATE TABLE `skills` (
  `skill_id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL default '',
  `skill_level` int(10) NOT NULL default '0',
  `skill_number` int(10) NOT NULL default '0',
  `mpConsume` int(10) unsigned NOT NULL default '0',
  `hpConsume` int(10) unsigned NOT NULL default '0',
  `itemConsumeId` int(10) unsigned NOT NULL default '0',
  `itemConsumeCount` int(10) unsigned NOT NULL default '0',
  `reuseDelay` int(10) unsigned NOT NULL default '0',
  `buffDuration` int(10) unsigned NOT NULL default '0',
  `target` varchar(45) NOT NULL default '',
  `target_to` int(10) NOT NULL default '0',
  `damage_value` int(10) unsigned NOT NULL default '0',
  `damage_dice` int(10) unsigned NOT NULL default '0',
  `damage_dice_count` int(10) unsigned NOT NULL default '0',
  `probability_value` int(10) unsigned NOT NULL default '0',
  `probability_dice` int(10) unsigned NOT NULL default '0',
  `attr` int(10) unsigned NOT NULL default '0',
  `type` int(10) unsigned NOT NULL default '0',
  `lawful` int(10) NOT NULL default '0',
  `ranged` int(10) NOT NULL default '0',
  `area` int(10) NOT NULL default '0',
  `through` int(10) NOT NULL default '0',
  `id` int(10) unsigned NOT NULL default '0',
  `nameid` varchar(45) NOT NULL default '',
  `action_id` int(10) unsigned NOT NULL default '0',
  `castgfx` int(10) unsigned NOT NULL default '0',
  `castgfx2` int(10) unsigned NOT NULL default '0',
  `sysmsgID_happen` int(10) unsigned NOT NULL default '0',
  `sysmsgID_stop` int(10) unsigned NOT NULL default '0',
  `sysmsgID_fail` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`skill_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1170000 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB; MyISAM free: 10240 kB';

-- ----------------------------
-- Table structure for spawnlist
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist`;
CREATE TABLE `spawnlist` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `location` varchar(45) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  `npc_templateid` int(10) unsigned NOT NULL default '0',
  `group_id` int(10) unsigned NOT NULL default '0',
  `locx` int(10) unsigned NOT NULL default '0',
  `locy` int(10) unsigned NOT NULL default '0',
  `randomx` int(10) unsigned NOT NULL default '0',
  `randomy` int(10) unsigned NOT NULL default '0',
  `locx1` int(10) unsigned NOT NULL default '0',
  `locy1` int(10) unsigned NOT NULL default '0',
  `locx2` int(10) unsigned NOT NULL default '0',
  `locy2` int(10) unsigned NOT NULL default '0',
  `heading` int(10) unsigned NOT NULL default '0',
  `min_respawn_delay` int(10) unsigned NOT NULL default '0',
  `max_respawn_delay` int(10) unsigned NOT NULL default '0',
  `mapid` int(10) unsigned NOT NULL default '0',
  `respawn_screen` tinyint(1) unsigned NOT NULL default '0',
  `movement_distance` int(10) unsigned NOT NULL default '0',
  `rest` tinyint(1) unsigned NOT NULL default '0',
  `near_spawn` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=801500707 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_boss
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_boss`;
CREATE TABLE `spawnlist_boss` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `location` varchar(45) NOT NULL default '',
  `cycle_type` varchar(20) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  `npc_id` int(10) unsigned NOT NULL default '0',
  `group_id` int(10) unsigned NOT NULL default '0',
  `locx` int(10) unsigned NOT NULL default '0',
  `locy` int(10) unsigned NOT NULL default '0',
  `randomx` int(10) unsigned NOT NULL default '0',
  `randomy` int(10) unsigned NOT NULL default '0',
  `locx1` int(10) unsigned NOT NULL default '0',
  `locy1` int(10) unsigned NOT NULL default '0',
  `locx2` int(10) unsigned NOT NULL default '0',
  `locy2` int(10) unsigned NOT NULL default '0',
  `heading` int(10) unsigned NOT NULL default '0',
  `mapid` int(10) unsigned NOT NULL default '0',
  `respawn_screen` tinyint(1) unsigned NOT NULL default '0',
  `movement_distance` int(10) unsigned NOT NULL default '0',
  `rest` tinyint(1) unsigned NOT NULL default '0',
  `spawn_type` tinyint(3) unsigned NOT NULL default '0',
  `percentage` tinyint(3) unsigned NOT NULL default '100',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=211 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_door
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_door`;
CREATE TABLE `spawnlist_door` (
  `id` int(11) NOT NULL default '0',
  `location` varchar(25) NOT NULL default '',
  `gfxid` int(11) NOT NULL default '0',
  `locx` int(11) NOT NULL default '0',
  `locy` int(11) NOT NULL default '0',
  `mapid` int(11) NOT NULL default '0',
  `direction` int(11) NOT NULL default '0',
  `left_edge_location` int(11) NOT NULL default '0',
  `right_edge_location` int(11) NOT NULL default '0',
  `hp` int(11) NOT NULL default '0',
  `keeper` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_furniture
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_furniture`;
CREATE TABLE `spawnlist_furniture` (
  `item_obj_id` int(10) unsigned NOT NULL default '0',
  `npcid` int(10) unsigned NOT NULL default '0',
  `locx` int(10) NOT NULL default '0',
  `locy` int(10) NOT NULL default '0',
  `mapid` int(10) NOT NULL default '0',
  PRIMARY KEY  (`item_obj_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_light
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_light`;
CREATE TABLE `spawnlist_light` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `npcid` int(10) unsigned NOT NULL default '0',
  `locx` int(10) unsigned NOT NULL default '0',
  `locy` int(10) unsigned NOT NULL default '0',
  `mapid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=174 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_npc
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_npc`;
CREATE TABLE `spawnlist_npc` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `location` varchar(255) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  `npc_templateid` int(10) unsigned NOT NULL default '0',
  `locx` int(10) unsigned NOT NULL default '0',
  `locy` int(10) unsigned NOT NULL default '0',
  `randomx` int(10) unsigned NOT NULL default '0',
  `randomy` int(10) unsigned NOT NULL default '0',
  `heading` int(10) unsigned NOT NULL default '0',
  `respawn_delay` int(10) unsigned NOT NULL default '0',
  `mapid` int(10) unsigned NOT NULL default '0',
  `movement_distance` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1900012 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_time
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_time`;
CREATE TABLE `spawnlist_time` (
  `spawn_id` int(11) NOT NULL,
  `time_start` time default NULL,
  `time_end` time default NULL,
  `delete_at_endtime` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`spawn_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_trap
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_trap`;
CREATE TABLE `spawnlist_trap` (
  `id` int(8) NOT NULL,
  `note` varchar(64) default NULL,
  `trapId` int(8) NOT NULL,
  `mapId` int(4) NOT NULL,
  `locX` int(4) NOT NULL,
  `locY` int(4) NOT NULL,
  `locRndX` int(4) NOT NULL default '0',
  `locRndY` int(4) NOT NULL default '0',
  `count` int(4) NOT NULL default '1',
  `span` int(4) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spawnlist_ub
-- ----------------------------
DROP TABLE IF EXISTS `spawnlist_ub`;
CREATE TABLE `spawnlist_ub` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ub_id` int(10) unsigned NOT NULL default '0',
  `pattern` int(10) unsigned NOT NULL default '0',
  `group_id` int(10) unsigned NOT NULL default '0',
  `location` varchar(19) NOT NULL default '',
  `npc_templateid` int(10) unsigned NOT NULL default '0',
  `count` int(10) unsigned NOT NULL default '0',
  `spawn_delay` int(10) unsigned NOT NULL default '0',
  `seal_count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1120 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for spr_action
-- ----------------------------
DROP TABLE IF EXISTS `spr_action`;
CREATE TABLE `spr_action` (
  `spr_id` int(4) unsigned NOT NULL,
  `act_id` int(4) unsigned NOT NULL,
  `framecount` int(4) unsigned NOT NULL default '0',
  `framerate` int(4) unsigned NOT NULL default '24',
  PRIMARY KEY  (`spr_id`,`act_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for town
-- ----------------------------
DROP TABLE IF EXISTS `town`;
CREATE TABLE `town` (
  `town_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `leader_id` int(10) unsigned NOT NULL default '0',
  `leader_name` varchar(45) default NULL,
  `tax_rate` int(10) unsigned NOT NULL default '0',
  `tax_rate_reserved` int(10) unsigned NOT NULL default '0',
  `sales_money` int(10) unsigned NOT NULL default '0',
  `sales_money_yesterday` int(10) unsigned NOT NULL default '0',
  `town_tax` int(10) unsigned NOT NULL default '0',
  `town_fix_tax` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`town_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for trap
-- ----------------------------
DROP TABLE IF EXISTS `trap`;
CREATE TABLE `trap` (
  `id` int(8) NOT NULL,
  `note` varchar(64) default NULL,
  `type` varchar(64) NOT NULL,
  `gfxId` int(4) NOT NULL,
  `isDetectionable` tinyint(1) NOT NULL,
  `base` int(4) NOT NULL,
  `dice` int(4) NOT NULL,
  `diceCount` int(4) NOT NULL,
  `poisonType` char(1) NOT NULL default 'n',
  `poisonDelay` int(4) NOT NULL default '0',
  `poisonTime` int(4) NOT NULL default '0',
  `poisonDamage` int(4) NOT NULL default '0',
  `monsterNpcId` int(4) NOT NULL default '0',
  `monsterCount` int(4) NOT NULL default '0',
  `teleportX` int(4) NOT NULL default '0',
  `teleportY` int(4) NOT NULL default '0',
  `teleportMapId` int(4) NOT NULL default '0',
  `skillId` int(4) NOT NULL default '0',
  `skillTimeSeconds` int(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ub_managers
-- ----------------------------
DROP TABLE IF EXISTS `ub_managers`;
CREATE TABLE `ub_managers` (
  `ub_id` int(10) unsigned NOT NULL default '0',
  `ub_manager_npc_id` int(10) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ub_settings
-- ----------------------------
DROP TABLE IF EXISTS `ub_settings`;
CREATE TABLE `ub_settings` (
  `ub_id` int(10) unsigned NOT NULL default '0',
  `ub_name` varchar(45) NOT NULL default '',
  `ub_mapid` int(10) unsigned NOT NULL default '0',
  `ub_area_x1` int(10) unsigned NOT NULL default '0',
  `ub_area_y1` int(10) unsigned NOT NULL default '0',
  `ub_area_x2` int(10) unsigned NOT NULL default '0',
  `ub_area_y2` int(10) unsigned NOT NULL default '0',
  `min_lvl` int(10) unsigned NOT NULL default '0',
  `max_lvl` int(10) unsigned NOT NULL default '0',
  `max_player` int(10) unsigned NOT NULL default '0',
  `enter_royal` tinyint(3) unsigned NOT NULL default '0',
  `enter_knight` tinyint(3) unsigned NOT NULL default '0',
  `enter_mage` tinyint(3) unsigned NOT NULL default '0',
  `enter_elf` tinyint(3) unsigned NOT NULL default '0',
  `enter_darkelf` tinyint(3) unsigned NOT NULL default '0',
  `enter_dragonknight` tinyint(3) unsigned NOT NULL,
  `enter_illusionist` tinyint(3) unsigned NOT NULL,
  `enter_male` tinyint(3) unsigned NOT NULL default '0',
  `enter_female` tinyint(3) unsigned NOT NULL default '0',
  `use_pot` tinyint(3) unsigned NOT NULL default '0',
  `hpr_bonus` int(10) NOT NULL default '0',
  `mpr_bonus` int(10) NOT NULL default '0',
  PRIMARY KEY  (`ub_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for ub_times
-- ----------------------------
DROP TABLE IF EXISTS `ub_times`;
CREATE TABLE `ub_times` (
  `ub_id` int(10) unsigned NOT NULL default '0',
  `ub_time` int(10) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for weapon
-- ----------------------------
DROP TABLE IF EXISTS `weapon`;
CREATE TABLE `weapon` (
  `item_id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(45) NOT NULL default '',
  `unidentified_name_id` varchar(45) NOT NULL default '',
  `identified_name_id` varchar(45) NOT NULL default '',
  `type` varchar(45) NOT NULL default '',
  `material` varchar(45) NOT NULL default '',
  `weight` int(10) unsigned NOT NULL default '0',
  `invgfx` int(10) unsigned NOT NULL default '0',
  `grdgfx` int(10) unsigned NOT NULL default '0',
  `itemdesc_id` int(10) unsigned NOT NULL default '0',
  `dmg_small` int(10) unsigned NOT NULL default '0',
  `dmg_large` int(10) unsigned NOT NULL default '0',
  `range` int(10) NOT NULL default '0',
  `safenchant` int(10) NOT NULL default '0',
  `use_royal` int(10) unsigned NOT NULL default '0',
  `use_knight` int(10) unsigned NOT NULL default '0',
  `use_mage` int(10) unsigned NOT NULL default '0',
  `use_elf` int(10) unsigned NOT NULL default '0',
  `use_darkelf` int(10) unsigned NOT NULL default '0',
  `use_dragonknight` int(2) unsigned NOT NULL default '0',
  `use_illusionist` int(2) unsigned NOT NULL default '0',
  `hitmodifier` int(10) NOT NULL default '0',
  `dmgmodifier` int(10) NOT NULL default '0',
  `add_str` int(10) NOT NULL default '0',
  `add_con` int(10) NOT NULL default '0',
  `add_dex` int(10) NOT NULL default '0',
  `add_int` int(10) NOT NULL default '0',
  `add_wis` int(10) NOT NULL default '0',
  `add_cha` int(10) NOT NULL default '0',
  `add_hp` int(10) NOT NULL default '0',
  `add_mp` int(10) NOT NULL default '0',
  `add_hpr` int(10) NOT NULL default '0',
  `add_mpr` int(10) NOT NULL default '0',
  `add_sp` int(10) NOT NULL default '0',
  `m_def` int(10) NOT NULL default '0',
  `haste_item` int(2) unsigned NOT NULL default '0',
  `double_dmg_chance` int(10) unsigned NOT NULL,
  `magicdmgmodifier` int(10) NOT NULL default '0',
  `canbedmg` int(10) unsigned NOT NULL default '0',
  `min_lvl` int(10) unsigned NOT NULL default '0',
  `max_lvl` int(10) unsigned NOT NULL default '0',
  `bless` int(2) unsigned NOT NULL default '1',
  `trade` int(2) unsigned NOT NULL default '0',
  `cant_delete` int(2) unsigned NOT NULL default '0',
  `max_use_time` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=450005 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 26624 kB; MyISAM free: 26624 kB; MyISAM free: 3';

-- ----------------------------
-- Table structure for weapon_skill
-- ----------------------------
DROP TABLE IF EXISTS `weapon_skill`;
CREATE TABLE `weapon_skill` (
  `weapon_id` int(11) unsigned NOT NULL auto_increment,
  `note` varchar(255) default NULL,
  `probability` int(11) unsigned NOT NULL default '0',
  `fix_damage` int(11) unsigned NOT NULL default '0',
  `random_damage` int(11) unsigned NOT NULL default '0',
  `area` int(11) NOT NULL default '0',
  `skill_id` int(11) unsigned NOT NULL default '0',
  `skill_time` int(11) unsigned NOT NULL default '0',
  `effect_id` int(11) unsigned NOT NULL default '0',
  `effect_target` int(11) unsigned NOT NULL default '0',
  `arrow_type` int(11) unsigned NOT NULL default '0',
  `attr` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`weapon_id`)
) ENGINE=MyISAM AUTO_INCREMENT=450004 DEFAULT CHARSET=utf8 COMMENT='MyISAM free: 10240 kB';

-- ----------------------------
-- Procedure structure for dc_CheckAccounts
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_CheckAccounts`;
DELIMITER ;;
CREATE DEFINER=`root`@`192.168.1.102` PROCEDURE `dc_CheckAccounts`()
BEGIN
  select char_name, account_name from characters where onlinestatus = 1;
END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckDropMops
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_CheckDropMops`;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` PROCEDURE `dc_CheckDropMops`( IN ItemID INT )
BEGIN
  select
    n.name, n.npcid, d.chance
  from
    npc n, droplist d
  where n.npcid = d.mobid
    and d.itemid = ItemID
  order by d.chance desc;
END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckItemsAllChars
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_CheckItemsAllChars`;
DELIMITER ;;
CREATE DEFINER=`root`@`192.168.1.102` PROCEDURE `dc_CheckItemsAllChars`()
BEGIN
  select c.char_name, ci.item_name, ci.item_id, ci.enchantlvl, ci.count from characters c,

character_items ci where c.objid = ci.char_id and c.isgm = 0 order by c.char_name;

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckItemsChar
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_CheckItemsChar`;
DELIMITER ;;
CREATE DEFINER=`root`@`192.168.1.102` PROCEDURE `dc_CheckItemsChar`( IN CharName VARCHAR(64) CHARACTER SET utf8 )
BEGIN
  select c.char_name, ci.item_name, ci.item_id, ci.enchantlvl, ci.count from characters c,

character_items ci where c.objid = ci.char_id and c.char_name = CharName;

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckMopDrops
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_CheckMopDrops`;
DELIMITER ;;
CREATE DEFINER=`root`@`192.168.1.102` PROCEDURE `dc_CheckMopDrops`( IN NpcID INT )
BEGIN
        select  n.name, a.name, a.item_id, d.chance
        from npc n, droplist d, armor a
        where n.npcid = d.mobid and a.item_id = d.itemid and n.npcid = NpcID;
        select  n.name, i.name, i.item_id, d.chance
        from npc n, droplist d, etcitem i
        where n.npcid = d.mobid and i.item_id = d.itemid and n.npcid = NpcID;
        select  n.name, w.name, w.item_id, d.chance
        from npc n, droplist d, weapon w
        where n.npcid = d.mobid and w.item_id = d.itemid and n.npcid = NpcID;
END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_CheckStoredProcs
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_CheckStoredProcs`;
DELIMITER ;;
CREATE DEFINER=`root`@`192.168.1.102` PROCEDURE `dc_CheckStoredProcs`()
BEGIN
        SELECT routine_name, routine_type, definer, routine_definition
        FROM   information_schema.routines
        WHERE routine_schema LIKE 'l1jdb';
END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_SetCharRename
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_SetCharRename`;
DELIMITER ;;
CREATE DEFINER=`root`@`192.168.1.102` PROCEDURE `dc_SetCharRename`(
        IN OldCharName VARCHAR(64) CHARACTER SET utf8,
        IN NewCharName VARCHAR(64) CHARACTER SET utf8 )
BEGIN

END;;
DELIMITER ;

-- ----------------------------
-- Procedure structure for dc_SetUnstuckChar
-- ----------------------------
DROP PROCEDURE IF EXISTS `dc_SetUnstuckChar`;
DELIMITER ;;
CREATE DEFINER=`root`@`192.168.1.102` PROCEDURE `dc_SetUnstuckChar`( IN CharName VARCHAR(64) CHARACTER SET utf8 )
BEGIN
  update characters set LocX = 33080, LocY = 33395, mapid = 4 where char_name = CharName;

END;;
DELIMITER ;

-- ----------------------------
-- Records 
-- ----------------------------
INSERT INTO `area` VALUES ('1', '0', 'Talking Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2', '1', 'Talking Island Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('3', '2', 'Talking Island Dungeon 2F', '0', '0', '0', '0', '0', '201');
INSERT INTO `area` VALUES ('4', '3', 'Gunter\'s House', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('5', '5', 'Talking Island Ship to Aden Mainland', '0', '0', '0', '0', '1', '501');
INSERT INTO `area` VALUES ('6', '6', 'Aden Mainland Ship to Talking Island', '0', '0', '0', '0', '1', '502');
INSERT INTO `area` VALUES ('7', '7', 'Mainland Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('8', '8', 'Mainland Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('9', '9', 'Mainland Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('10', '10', 'Mainland Dungeon 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('11', '11', 'Mainland Dungeon 5F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('12', '12', 'Mainland Dungeon 6F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('13', '13', 'Mainland Dungeon 7F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('14', '14', 'Underground Passage', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('15', '15', 'Kent Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('16', '16', 'Hardin\'s Laboratory', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('17', '17', 'Nerupa\'s Cave', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('18', '18', 'Duplegenon\'s Quarters', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('19', '19', 'Elven Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('20', '20', 'Elven Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('21', '21', 'Elven Dungeon 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('22', '22', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('23', '23', 'Windawood Castle Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('24', '24', 'Windawood Castle Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('25', '25', 'Silver Knight Town Caves 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('26', '26', 'Silver Knight Town Caves 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('27', '27', 'Silver Knight Town Caves 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('28', '28', 'Silver Knight Town Caves 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('29', '29', 'Windawood Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('30', '30', 'Dragon Valley Caves 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('31', '31', 'Dragon Valley Caves 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('32', '32', 'Dragon Valley Caves 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('33', '33', 'Dragon Valley Caves 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('34', '35', 'Dragon Valley Caves 5F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('35', '36', 'Dragon Valley Caves 6F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('36', '37', 'Dragon Valley Caves 7F', '0', '0', '0', '0', '2', '0');
INSERT INTO `area` VALUES ('37', '43', 'Ant Caves 8F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('38', '44', 'Ant Caves 6F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('39', '45', 'Ant Caves 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('40', '46', 'Ant Caves 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('41', '47', 'Ant Caves 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('42', '48', 'Ant Caves 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('43', '49', 'Ant Caves 5F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('44', '50', 'Ant Caves 7F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('45', '51', 'Ant Caves 9F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('46', '52', 'Giran Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('47', '53', 'Giran Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('48', '54', 'Giran Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('49', '55', 'Giran Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('50', '56', 'Giran Dungeon 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('51', '57', 'Singing Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('52', '58', 'Hidden Valley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('53', '59', 'Heine Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('54', '60', 'Heine Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('55', '61', 'Heine Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('56', '62', 'Sanctuary of Eva', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('57', '63', 'Kingdom of Eva', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('58', '64', 'Heine Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('59', '65', 'Lair of Fafurion', '0', '0', '0', '0', '2', '0');
INSERT INTO `area` VALUES ('60', '66', 'Iron Gate Guild Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('61', '67', 'Lair of Valakas', '0', '0', '0', '0', '2', '0');
INSERT INTO `area` VALUES ('62', '68', 'Singing Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('63', '69', 'Hidden Valley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('64', '4', 'Lair of Lindvior', '34065', '33053', '34017', '32948', '2', '0');
INSERT INTO `area` VALUES ('65', '70', 'Forgotten Island', '0', '0', '0', '0', '2', '205');
INSERT INTO `area` VALUES ('66', '72', 'Crystal Cavern 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('67', '73', 'Crystal Cavern 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('68', '74', 'Crystal Cavern 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('69', '75', 'Ivory Tower 1F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('70', '76', 'Ivory Tower 2F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('71', '77', 'Ivory Tower 3F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('72', '78', 'Ivory Tower 4F', '0', '0', '0', '0', '0', '14');
INSERT INTO `area` VALUES ('73', '79', 'Ivory Tower 5F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('74', '80', 'Ivory Tower 6F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('75', '81', 'Ivory Tower 7F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('76', '82', 'Ivory Tower 8F', '0', '0', '0', '0', '1', '14');
INSERT INTO `area` VALUES ('77', '83', 'Aden Mainland Ship to Forgotten Island', '0', '0', '0', '0', '1', '503');
INSERT INTO `area` VALUES ('78', '84', 'Forgotten Island Ship to Aden Mainland', '0', '0', '0', '0', '1', '504');
INSERT INTO `area` VALUES ('79', '85', 'Singing Island Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('80', '86', 'Singing Island Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('81', '87', 'Pago\'s Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('82', '88', 'Giran Arena', '0', '0', '0', '0', '1', '11');
INSERT INTO `area` VALUES ('83', '89', 'Giran Arena', '0', '0', '0', '0', '1', '11');
INSERT INTO `area` VALUES ('84', '90', 'Giran Arena', '0', '0', '0', '0', '1', '11');
INSERT INTO `area` VALUES ('85', '91', 'Talking Island Arena', '0', '0', '0', '0', '1', '5');
INSERT INTO `area` VALUES ('86', '92', 'Gludio Arena', '0', '0', '0', '0', '1', '7');
INSERT INTO `area` VALUES ('87', '93', 'Kent Arena', '0', '0', '0', '0', '0', '8');
INSERT INTO `area` VALUES ('88', '94', 'Windawood Arena', '0', '0', '0', '0', '1', '10');
INSERT INTO `area` VALUES ('89', '95', 'Silver Knight Arena', '0', '0', '0', '0', '1', '6');
INSERT INTO `area` VALUES ('90', '96', 'Lair of Valakas Arena', '0', '0', '0', '0', '1', '13');
INSERT INTO `area` VALUES ('91', '97', 'Heine Arena', '0', '0', '0', '0', '1', '12');
INSERT INTO `area` VALUES ('92', '98', 'Werldern Arena', '0', '0', '0', '0', '1', '13');
INSERT INTO `area` VALUES ('93', '99', 'GM Room', '0', '0', '0', '0', '2', '0');
INSERT INTO `area` VALUES ('94', '101', 'Tower of Insolence 1F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('95', '102', 'Tower of Insolence 2F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('96', '103', 'Tower of Insolence 3F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('97', '104', 'Tower of Insolence 4F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('98', '105', 'Tower of Insolence 5F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('99', '106', 'Tower of Insolence 6F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('100', '107', 'Tower of Insolence 7F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('101', '108', 'Tower of Insolence 8F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('102', '109', 'Tower of Insolence 9F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('103', '110', 'Tower of Insolence 10F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('104', '111', 'Tower of Insolence 11F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('105', '112', 'Tower of Insolence 12F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('106', '113', 'Tower of Insolence 13F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('107', '114', 'Tower of Insolence 14F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('108', '115', 'Tower of Insolence 15F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('109', '116', 'Tower of Insolence 16F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('110', '117', 'Tower of Insolence 17F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('111', '118', 'Tower of Insolence 18F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('112', '119', 'Tower of Insolence 19F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('113', '120', 'Tower of Insolence 20F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('114', '121', 'Tower of Insolence 21F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('115', '122', 'Tower of Insolence 22F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('116', '123', 'Tower of Insolence 23F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('117', '124', 'Tower of Insolence 24F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('118', '125', 'Tower of Insolence 25F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('119', '126', 'Tower of Insolence 26F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('120', '127', 'Tower of Insolence 27F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('121', '128', 'Tower of Insolence 28F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('122', '129', 'Tower of Insolence 29F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('123', '130', 'Tower of Insolence 30F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('124', '131', 'Tower of Insolence 31F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('125', '132', 'Tower of Insolence 32F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('126', '133', 'Tower of Insolence 33F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('127', '134', 'Tower of Insolence 34F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('128', '135', 'Tower of Insolence 35F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('129', '136', 'Tower of Insolence 36F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('130', '137', 'Tower of Insolence 37F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('131', '138', 'Tower of Insolence 38F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('132', '139', 'Tower of Insolence 39F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('133', '140', 'Tower of Insolence 40F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('134', '141', 'Tower of Insolence 41F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('135', '142', 'Tower of Insolence 42F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('136', '143', 'Tower of Insolence 43F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('137', '144', 'Tower of Insolence 44F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('138', '145', 'Tower of Insolence 45F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('139', '146', 'Tower of Insolence 46F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('140', '147', 'Tower of Insolence 47F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('141', '148', 'Tower of Insolence 48F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('142', '149', 'Tower of Insolence 49F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('143', '150', 'Tower of Insolence 50F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('144', '151', 'Tower of Insolence 51F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('145', '152', 'Tower of Insolence 52F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('146', '153', 'Tower of Insolence 53F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('147', '154', 'Tower of Insolence 54F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('148', '155', 'Tower of Insolence 55F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('149', '156', 'Tower of Insolence 56F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('150', '157', 'Tower of Insolence 57F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('151', '158', 'Tower of Insolence 58F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('152', '159', 'Tower of Insolence 59F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('153', '160', 'Tower of Insolence 60F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('154', '161', 'Tower of Insolence 61F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('155', '162', 'Tower of Insolence 62F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('156', '163', 'Tower of Insolence 63F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('157', '164', 'Tower of Insolence 64F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('158', '165', 'Tower of Insolence 65F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('159', '166', 'Tower of Insolence 66F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('160', '167', 'Tower of Insolence 67F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('161', '168', 'Tower of Insolence 68F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('162', '169', 'Tower of Insolence 69F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('163', '170', 'Tower of Insolence 70F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('164', '171', 'Tower of Insolence 71F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('165', '172', 'Tower of Insolence 72F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('166', '173', 'Tower of Insolence 73F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('167', '174', 'Tower of Insolence 74F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('168', '175', 'Tower of Insolence 75F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('169', '176', 'Tower of Insolence 76F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('170', '177', 'Tower of Insolence 77F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('171', '178', 'Tower of Insolence 78F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('172', '179', 'Tower of Insolence 79F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('173', '180', 'Tower of Insolence 80F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('174', '181', 'Tower of Insolence 81F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('175', '182', 'Tower of Insolence 82F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('176', '183', 'Tower of Insolence 83F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('177', '184', 'Tower of Insolence 84F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('178', '185', 'Tower of Insolence 85F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('179', '186', 'Tower of Insolence 86F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('180', '187', 'Tower of Insolence 87F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('181', '188', 'Tower of Insolence 88F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('182', '189', 'Tower of Insolence 89F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('183', '190', 'Tower of Insolence 90F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('184', '191', 'Tower of Insolence 91F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('185', '192', 'Tower of Insolence 92F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('186', '193', 'Tower of Insolence 93F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('187', '194', 'Tower of Insolence 94F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('188', '195', 'Tower of Insolence 95F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('189', '196', 'Tower of Insolence 96F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('190', '197', 'Tower of Insolence 97F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('191', '198', 'Tower of Insolence 98F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('192', '199', 'Tower of Insolence 99F', '0', '0', '0', '0', '1', '203');
INSERT INTO `area` VALUES ('193', '200', 'Tower of Insolence 100F', '0', '0', '0', '0', '2', '203');
INSERT INTO `area` VALUES ('194', '201', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('195', '202', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('196', '203', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('197', '204', 'Mage Quest Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('198', '209', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('199', '210', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('200', '211', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('202', '213', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('206', '217', 'Mutant Ant Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('208', '221', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('216', '237', 'Jim\'s Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('217', '300', 'Aden Inner Castle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('218', '301', 'Aden Sewer', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('219', '302', 'Sepia Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('220', '303', 'Dream Island', '0', '0', '0', '0', '2', '204');
INSERT INTO `area` VALUES ('221', '304', 'Silent Cavern', '32872', '32914', '32872', '32906', '0', '304');
INSERT INTO `area` VALUES ('222', '305', 'Elder Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('223', '306', 'Dungeon of Evil Thoughts', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('224', '307', 'Lastavard Dungeon 1F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('225', '308', 'Lastavard Dungeon 2F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('226', '309', 'Lastavard Dungeon 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('227', '666', 'Hell', '0', '0', '0', '0', '2', '206');
INSERT INTO `area` VALUES ('228', '2000', 'Ancient 1F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('229', '2001', 'Ancient 2F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('230', '2002', 'Ancient 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('231', '2003', 'Ancient 4F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('232', '4', 'Orcish Forest', '32511', '32191', '32960', '32537', '0', '0');
INSERT INTO `area` VALUES ('233', '4', 'Gludio', '32512', '32537', '32960', '33023', '0', '0');
INSERT INTO `area` VALUES ('234', '4', 'Windawood', '32512', '33023', '32960', '33535', '0', '0');
INSERT INTO `area` VALUES ('235', '4', 'Elven Forest', '32960', '32191', '33216', '32511', '0', '0');
INSERT INTO `area` VALUES ('236', '4', 'Kent', '32960', '32511', '33280', '33023', '0', '0');
INSERT INTO `area` VALUES ('237', '4', 'Kent', '33088', '33023', '33280', '33087', '0', '0');
INSERT INTO `area` VALUES ('238', '4', 'Silver Knight Town', '32960', '33023', '33088', '33087', '0', '0');
INSERT INTO `area` VALUES ('239', '4', 'Silver Knight Town', '32959', '33087', '33280', '33535', '0', '0');
INSERT INTO `area` VALUES ('240', '4', 'Dragon Valley', '33216', '32191', '33472', '32511', '0', '0');
INSERT INTO `area` VALUES ('241', '4', 'Lair of Valakas', '33472', '32191', '33856', '32511', '0', '0');
INSERT INTO `area` VALUES ('242', '4', 'Lair of Valakas', '33536', '32511', '33856', '32575', '0', '0');
INSERT INTO `area` VALUES ('243', '4', 'Giran', '33280', '32511', '33536', '33023', '0', '0');
INSERT INTO `area` VALUES ('244', '4', 'Giran', '33536', '32575', '33920', '33023', '0', '0');
INSERT INTO `area` VALUES ('245', '4', 'Heine', '33280', '33023', '33792', '33535', '0', '0');
INSERT INTO `area` VALUES ('246', '4', 'Oren', '33856', '32191', '33920', '32575', '0', '0');
INSERT INTO `area` VALUES ('247', '4', 'Oren', '33920', '32127', '34304', '32739', '0', '0');
INSERT INTO `area` VALUES ('248', '4', 'Aden', '33920', '32739', '34304', '33023', '0', '0');
INSERT INTO `area` VALUES ('249', '4', 'Aden', '33792', '33023', '34304', '33535', '0', '0');
INSERT INTO `area` VALUES ('250', '17492', 'Auberge', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('251', '340', 'Gludin Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('252', '350', 'Giran Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('253', '360', 'Oren Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('254', '370', 'Silver Knight Traders Village', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('255', '310', 'Oum Dungeon', '0', '0', '0', '0', '1', '210');
INSERT INTO `area` VALUES ('256', '320', 'Diad Fortress', '0', '0', '0', '0', '1', '210');
INSERT INTO `area` VALUES ('257', '330', 'Mineral Dungeon', '0', '0', '0', '0', '1', '210');
INSERT INTO `area` VALUES ('258', '240', 'Kent Castle Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('259', '241', 'Kent Castle Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('260', '242', 'Kent Castle Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('261', '243', 'Kent Castle Dungeon 4F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('262', '400', 'Ancient Giant Ruins', '32728', '32853', '32788', '33016', '1', '0');
INSERT INTO `area` VALUES ('263', '400', 'Ancient Giant Ruins', '32787', '32905', '32860', '33014', '1', '0');
INSERT INTO `area` VALUES ('264', '400', 'Ancient Giant Ruins', '32767', '32827', '32798', '32854', '1', '0');
INSERT INTO `area` VALUES ('265', '400', 'Great Cavern Resistance Area', '32659', '32811', '32666', '32818', '1', '0');
INSERT INTO `area` VALUES ('266', '400', 'Great Cavern Resistance Area', '32563', '32863', '32577', '32868', '1', '0');
INSERT INTO `area` VALUES ('267', '400', 'Great Cavern Resistance Area', '32550', '32864', '32555', '32881', '1', '0');
INSERT INTO `area` VALUES ('268', '400', 'Great Cavern Recluse Village Area', '32890', '32677', '32899', '32682', '1', '0');
INSERT INTO `area` VALUES ('269', '400', 'Great Cavern Recluse Village Area', '32890', '32677', '32899', '32683', '1', '0');
INSERT INTO `area` VALUES ('270', '400', 'Great Cavern Recluse Village Area', '32708', '32794', '32747', '32832', '1', '0');
INSERT INTO `area` VALUES ('271', '400', 'Great Cavern Recluse Village Area', '32546', '32958', '32552', '32991', '1', '0');
INSERT INTO `area` VALUES ('272', '400', 'Great Cavern Recluse Village Area', '32534', '32960', '32546', '32991', '1', '0');
INSERT INTO `area` VALUES ('273', '400', 'Great Cavern Recluse Village Area', '32552', '32865', '32583', '32991', '1', '0');
INSERT INTO `area` VALUES ('274', '400', 'Great Cavern Recluse Village Area', '32698', '32650', '32735', '32717', '1', '0');
INSERT INTO `area` VALUES ('275', '400', 'Great Cavern Recluse Village Area', '32622', '32811', '32636', '32816', '1', '0');
INSERT INTO `area` VALUES ('276', '400', 'Great Cavern Recluse Village Area', '32837', '32590', '32890', '32629', '1', '0');
INSERT INTO `area` VALUES ('277', '400', 'Great Cavern Recluse Village Area', '32735', '32629', '32890', '32729', '1', '0');
INSERT INTO `area` VALUES ('278', '400', 'Great Cavern Recluse Village Area', '32583', '32816', '32727', '33004', '1', '0');
INSERT INTO `area` VALUES ('279', '400', 'Great Cavern Recluse Village Area', '32817', '32852', '32863', '32871', '1', '0');
INSERT INTO `area` VALUES ('280', '400', 'Great Cavern Recluse Village Area', '32918', '32923', '32996', '32999', '1', '0');
INSERT INTO `area` VALUES ('281', '400', 'Great Cavern Recluse Village Area', '32863', '32828', '32918', '32939', '1', '0');
INSERT INTO `area` VALUES ('282', '400', 'Great Cavern Resistance Area', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('283', '400', 'Great Cavern Resistance Area', '32705', '32768', '32777', '32807', '1', '0');
INSERT INTO `area` VALUES ('284', '400', 'Great Cavern Recluse Village Area', '32782', '32787', '32819', '32814', '1', '0');
INSERT INTO `area` VALUES ('285', '400', 'Great Cavern Recluse Village Area', '32790', '32832', '32818', '32879', '1', '0');
INSERT INTO `area` VALUES ('286', '410', 'Sanctuary of Evil', '0', '0', '0', '0', '1', '211');
INSERT INTO `area` VALUES ('287', '420', 'Abyss Lake', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('288', '430', 'Elemental Grave', '0', '0', '0', '0', '1', '207');
INSERT INTO `area` VALUES ('289', '440', 'Pirate Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('290', '441', 'Pirate Island Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('291', '442', 'Pirate Island Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('292', '443', 'Pirate Island Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('293', '444', 'Pirate Island Dungeon 4F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('294', '445', 'Hidden Dock to Pirate Island', '0', '0', '0', '0', '1', '505');
INSERT INTO `area` VALUES ('295', '446', 'Pirate Island Ship to Hidden Dock', '0', '0', '0', '0', '1', '506');
INSERT INTO `area` VALUES ('296', '447', 'Hidden Dock Ship to Pirate Island', '0', '0', '0', '0', '1', '505');
INSERT INTO `area` VALUES ('297', '450', 'Front Gate of Lastavard', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('298', '451', '1F Meeting Area', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('299', '452', '1F Shock Squad Training Area', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('300', '453', '1F Evil Power King\'s Office', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('301', '454', '1F Wild Animal Torture Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('302', '455', '1F Wild Animal Training Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('303', '456', '1F Evil Power Summoning Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('304', '457', '1F Off-Limits Area of Darkness', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('305', '460', '2F Dark Magic Training Area', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('306', '461', '2F Dark Magic Laboratory', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('307', '462', '2F Evil Spirit King\'s Office', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('308', '463', '2F Evil Spirit King\'s Library', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('309', '464', '2F Spirit Summoning Room', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('310', '465', '2F Spirit Abode', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('311', '466', '2F Dark Spirit Laboratory', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('312', '467', '2F Off-Limits Area of Blackness Upper', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('313', '468', '2F Off-Limits Area of Blackness Below', '0', '0', '0', '0', '1', '213');
INSERT INTO `area` VALUES ('314', '470', '3F Evil Spirit Altar', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('315', '471', '3F Devil Road Altar', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('316', '472', '3F Mercenary Training Area', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('317', '473', '3F Bright Magic Army Training Area', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('318', '474', '3F Oum Experiment Room', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('319', '475', '3F Bright Magic King\'s Office', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('320', '476', '3F Central Control Room', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('321', '477', '3F Devil Road Mercenary Room', '0', '0', '0', '0', '1', '214');
INSERT INTO `area` VALUES ('322', '478', '3F Control Area', '0', '0', '0', '0', '1', '215');
INSERT INTO `area` VALUES ('323', '490', 'Basement Training Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('324', '491', 'Basement Passageway', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('325', '492', 'Assassin King\'s Office', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('326', '493', 'Basement Control Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('327', '494', 'Basement Execution Room', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('328', '495', 'Basement Battle Arena', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('329', '496', 'Basement Prison', '0', '0', '0', '0', '1', '212');
INSERT INTO `area` VALUES ('330', '480', 'Pirate\'s Isle', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('331', '481', 'Kamyla\'s Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('332', '509', 'Chaos Battle Collosseum', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('333', '482', 'Franco\'s Labyrinth', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('334', '483', 'Closed Jail of Diego', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('335', '484', 'Underground Jail of Jose', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('336', '521', 'Temple of Shadow Outland', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('337', '522', 'Temple of Shadow 1F', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('338', '523', 'Temple of Shadow 2F', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('339', '524', 'Temple of Shadow 3F', '0', '0', '0', '0', '0', '202');
INSERT INTO `area` VALUES ('340', '8011', 'Singing Island', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('341', '8012', 'Singing Island West Area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('342', '8013', 'Doromond\'s Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('343', '8014', 'Training Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('344', '8015', 'Singing Island North Area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('345', '610', 'Forest of cherry blossoms', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('346', '244', 'Orc Castle Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('347', '248', 'Giran Castle Dungeon 1F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('348', '249', 'Giran Castle Dungeon 2F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('349', '250', 'Giran Castle Dungeon 3F', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('350', '251', 'Count Taros\' Throne Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('351', '252', 'Heine Basement Prison', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('352', '253', 'Kingdom of Eva', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('353', '254', 'Barbados\' Hideout', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('354', '255', 'Dwarf Castle Dungeon Ore Mine', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('355', '256', 'Dwarf Castle Dungeon Savage Land', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('356', '257', 'Aden Castle Basement 1F Path of the Dead', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('357', '258', 'Aden Castle Basement 2F Grave of the Dead', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('358', '259', 'Aden Castle Basement 3F Path of the Dead', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('359', '536', '3F Off-Limits Area of Blackness Upper', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('360', '530', '4F Gran Kain\'s Temple', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('361', '531', '4F Barome\'s Office', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('362', '532', '4F Edea\'s Office', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('363', '533', '4F Barode\'s Office', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('364', '534', '4F Cassandra\'s Office', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('365', '535', 'Dark Elf Holy Place', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('366', '550', 'Grave of Ships Outland', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('367', '551', 'Grave of Ships 1F-1', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('368', '552', 'Grave of Ships 1F-2', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('369', '553', 'Grave of Ships 1F-3', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('370', '554', 'Grave of Ships 2F-1', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('371', '555', 'Grave of Ships 2F-2', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('372', '556', 'Grave of Ships 2F-3', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('373', '557', 'Grave of Ships 3F', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('374', '558', 'Deep Sea Floor', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('375', '600', 'Cave of Desire Outland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('376', '601', 'Cave of Desire lobby', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('377', '602', 'Varlok\'s Room', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('378', '603', 'Varlok\'s Lair', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('379', '604', 'Water area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('380', '605', 'Fire area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('381', '606', 'Air area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('382', '607', 'Earth area', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('383', '608', 'Yahee\'s Laboratory', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('384', '777', 'FallenTempleofShadowOutland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('385', '778', 'FallenCaveofDesireOutland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('386', '779', 'FallenCaveofDesireOutland', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('387', '5001', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('388', '5002', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('389', '5003', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('390', '5004', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('391', '5005', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('392', '5006', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('393', '5007', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('394', '5008', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('395', '5009', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('396', '5010', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('397', '5011', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('398', '5012', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('399', '5013', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('400', '5014', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('401', '5015', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('402', '5016', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('403', '5017', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('404', '5018', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('405', '5019', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('406', '5020', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('407', '5021', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('408', '5022', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('409', '5023', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('410', '5024', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('411', '5025', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('412', '5026', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('413', '5027', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('414', '5028', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('415', '5029', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('416', '5030', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('417', '5031', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('418', '5032', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('419', '5033', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('420', '5034', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('421', '5035', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('422', '5036', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('423', '5037', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('424', '5038', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('425', '5039', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('426', '5040', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('427', '5041', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('428', '5042', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('429', '5043', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('430', '5044', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('431', '5045', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('432', '5046', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('433', '5047', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('434', '5048', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('435', '5049', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('436', '5050', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('437', '5051', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('438', '5052', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('439', '5053', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('440', '5054', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('441', '5055', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('442', '5056', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('443', '5057', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('444', '5058', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('445', '5059', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('446', '5060', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('447', '5061', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('448', '5062', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('449', '5063', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('450', '5064', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('451', '5065', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('452', '5066', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('453', '5067', 'Aden Underground house', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('454', '5068', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('455', '5069', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('456', '5070', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('457', '5071', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('458', '5072', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('459', '5073', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('460', '5074', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('461', '5075', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('462', '5076', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('463', '5077', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('464', '5078', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('465', '5079', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('466', '5080', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('467', '5081', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('468', '5082', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('469', '5083', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('470', '5084', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('471', '5085', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('472', '5086', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('473', '5087', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('474', '5088', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('475', '5089', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('476', '5090', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('477', '5091', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('478', '5092', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('479', '5093', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('480', '5094', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('481', '5095', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('482', '5096', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('483', '5097', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('484', '5098', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('485', '5099', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('486', '5100', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('487', '5101', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('488', '5102', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('489', '5103', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('490', '5104', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('491', '5105', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('492', '5106', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('493', '5107', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('494', '5108', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('495', '5109', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('496', '5110', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('497', '5111', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('498', '5112', 'Giran Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('499', '5113', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('500', '5114', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('501', '5115', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('502', '5116', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('503', '5117', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('504', '5118', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('505', '5119', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('506', '5120', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('507', '5121', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('508', '5122', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('509', '5123', 'Heine Underground house', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('510', '5124', 'Fishing place', '32768', '32831', '32768', '32831', '0', '0');
INSERT INTO `area` VALUES ('511', '5125', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('512', '5131', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('513', '5132', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('514', '5133', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('515', '5134', 'petmatch place', '32768', '32831', '32832', '32895', '0', '0');
INSERT INTO `area` VALUES ('516', '5140', 'Ghost house', '32704', '32895', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('2000', '610', 'Sakura Forest JP Event', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('2001', '611', 'Cantonment JP Event', '32704', '32831', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('2002', '612', 'Fruit Forest JP Event', '32704', '32831', '32768', '32895', '0', '0');
INSERT INTO `area` VALUES ('2003', '500', 'KR_Event', '32704', '32767', '32768', '32831', '0', '0');
INSERT INTO `area` VALUES ('2004', '501', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2005', '502', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2006', '503', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2007', '504', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2008', '505', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2009', '506', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2010', '507', 'KR_Event', '32704', '33023', '32768', '32959', '0', '0');
INSERT INTO `area` VALUES ('2011', '508', 'KR_Event', '32768', '32895', '33088', '33215', '0', '0');
INSERT INTO `area` VALUES ('2012', '511', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2013', '512', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2014', '513', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2015', '514', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2016', '515', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2017', '516', 'KR_Event', '32832', '32895', '32576', '32703', '0', '0');
INSERT INTO `area` VALUES ('2018', '701', 'memory land', '32640', '32959', '32576', '32895', '0', '0');
INSERT INTO `area` VALUES ('2019', '4941', 'KR_EVENT', '32768', '32895', '32704', '32831', '0', '0');
INSERT INTO `area` VALUES ('2020', '5801', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2021', '5802', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2022', '5803', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2023', '5804', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2024', '5805', 'TaiwanEventMapHiddenValley', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2025', '7000', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2026', '7001', 'JapanEventMapHell', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2027', '7002', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2028', '7003', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2029', '7004', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2030', '7005', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2031', '7006', 'JapanEventMapSinTemple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2032', '7007', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2033', '7008', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2034', '7009', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2035', '7010', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2036', '7011', 'JapanEventMapSinTomb', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2037', '7051', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2038', '7052', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2039', '7053', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2040', '7054', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('2041', '7055', 'JapanEventMapEventForest', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('201', '212', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('203', '214', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('204', '215', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('205', '216', 'Darkelf Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('207', '218', 'Mutant Ant Dungeon', '0', '0', '0', '0', '1', '0');
INSERT INTO `area` VALUES ('209', '222', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('210', '223', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('211', '224', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('212', '225', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('213', '226', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('214', '227', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('215', '228', 'Gerard Test Dungeon', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('780', '780', 'Thebes Desert', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('781', '781', 'Thebes Pyramid Inside', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('782', '782', 'Thebes Osiris Altar', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('783', '783', 'Tikal Temple', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('784', '784', 'Kukulcan altar', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('1000', '1000', 'Silveria', '0', '0', '0', '0', '0', '0');
INSERT INTO `area` VALUES ('1001', '1001', 'Behemoth', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20001', 'Leather Cap', '$1021', '$1021', 'helm', 'leather', '10000', '451', '18', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20002', 'Leather Helmet', '$1023', '$1023', 'helm', 'leather', '30000', '456', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20003', 'Iron Visor', '$1209', '$1209', 'helm', 'iron', '50000', '507', '18', '0', '-4', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20004', 'Shadow Mask', '$2410', '$2410', 'helm', 'cloth', '10000', '1038', '2866', '816', '-2', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20005', 'Knight\'s Hood', '$1923', '$1923', 'helm', 'cloth', '30000', '915', '18', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20006', 'Knights Visor', '$414', '$414', 'helm', 'iron', '40000', '166', '357', '0', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20007', 'Dwarvish Iron Helm', '$122', '$122', 'helm', 'iron', '40000', '52', '18', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20008', 'Old Helm of Wind', '$1941', '$1941', 'helm', 'leather', '50000', '895', '18', '662', '-1', '4', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20009', 'Demon Helmet', '$1808', '$1808', 'helm', 'iron', '50000', '714', '18', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20010', 'Death Knight Helmet', '$1812', '$1812', 'helm', 'iron', '50000', '713', '18', '0', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20011', 'Helmet of Magic Resistance', '$569', '$569', 'helm', 'iron', '35000', '1204', '18', '229', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20012', 'Wizard Cap', '$1206', '$1206', 'helm', 'cloth', '20000', '526', '1503', '0', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20013', 'Helm of Magic: Speed', '$939', '$939', 'helm', 'mithril', '50000', '168', '357', '291', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20014', 'Helm of Magic: Healing', '$938', '$938', 'helm', 'mithril', '50000', '167', '357', '292', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20015', 'Helm of Magic: Power', '$940', '$940', 'helm', 'mithril', '50000', '170', '357', '293', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20016', 'Mambo Hat', '$3252', '$3252', 'helm', 'leather', '10000', '1628', '4111', '1287', '1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0');
INSERT INTO `armor` VALUES ('20017', 'Crown of Mummy Lord', '$3022', '$3022', 'helm', 'gold', '20000', '1420', '3513', '1123', '-3', '4', '1', '0', '0', '0', '0', '0', '0', '2', '1', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20018', 'Cap of Merkyor', '$2748', '$2748', 'helm', 'cloth', '20000', '1233', '3257', '982', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20019', 'Crown', '$413', '$413', 'helm', 'gold', '30000', '184', '462', '139', '-3', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20020', 'Helm of Pretender King', '$3842', '$3842', 'helm', 'steel', '50000', '1896', '4957', '0', '-2', '6', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20021', 'Elven Helm of Dexterity', '$1903', '$1903', 'helm', 'leather', '13000', '913', '18', '0', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20022', 'Helmet of Baranka', '$3075', '$3075', 'helm', 'leather', '50000', '1527', '3818', '1163', '-2', '4', '0', '1', '0', '1', '1', '1', '0', '0', '1', '0', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20023', 'Helm of Wind', '$1942', '$1942', 'helm', 'leather', '50000', '903', '18', '663', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20024', 'Helmet of the Pretender King', '$2192', '$2192', 'helm', 'iron', '15000', '959', '18', '0', '-3', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20025', 'Cap of Baltuzar', '$2746', '$2746', 'helm', 'cloth', '20000', '1231', '3255', '980', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20026', 'Night Vision Hood', '$2245', '$2245', 'helm', 'cloth', '25000', '1001', '18', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20027', 'Red Knight\'s Hood', '$1924', '$1924', 'helm', 'cloth', '20000', '916', '18', '0', '-2', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20028', 'Ivory Tower Leather Helm', '$3289', '$3289', 'helm', 'leather', '40000', '445', '18', '1330', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20029', 'Cap of Sema', '$2749', '$2749', 'helm', 'cloth', '20000', '1234', '3258', '983', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20030', 'Helm of New King', '$3849', '$3849', 'helm', 'leather', '20000', '1903', '4964', '0', '-1', '6', '0', '0', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '1', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20031', 'Helm of Yahee', '$3746', '$3746', 'helm', 'bone', '1000', '1994', '5045', '1715', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20032', 'Dark Headband', '$2452 $2468', '$2452 $2468', 'helm', 'cloth', '5000', '1071', '2935', '872', '-1', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20033', 'Bless of Elm', '$790', '$790', 'helm', 'leather', '13000', '267', '18', '275', '-2', '6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20034', 'Orcish Helm', '$120', '$120', 'helm', 'iron', '30000', '54', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20035', 'Elven Leather Helm', '$118', '$118', 'helm', 'leather', '3000', '53', '18', '0', '-1', '6', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20036', 'Helm of Infravision', '$1008', '$1008', 'helm', 'mithril', '50000', '167', '18', '304', '-1', '4', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20037', 'Mask of Truth', '$2651', '$2651', 'helm', 'wood', '10000', '1319', '3372', '1051', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20038', 'Studded Leather Cap', '$1022', '$1022', 'helm', 'leather', '20000', '445', '18', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20039', 'Elven Helm of Constitution', '$1904', '$1904', 'helm', 'leather', '13000', '908', '18', '0', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20040', 'Cap of Caspa', '$2747', '$2747', 'helm', 'cloth', '20000', '1232', '3256', '981', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20041', 'Helmet of Kurtz', '$2776', '$2776', 'helm', 'iron', '50000', '1245', '3261', '1010', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20042', 'Circlet of Cerenis', '$2199', '$2199', 'helm', 'iron', '5000', '969', '18', '0', '-3', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20043', 'Helmet', '$128', '$128', 'helm', 'iron', '30000', '55', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20044', 'Blue Pirate Bandanna', '$3495', '$3495', 'helm', 'leather', '15000', '1764', '4342', '1449', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20045', 'Skull Helmet', '$1024', '$1024', 'helm', 'bone', '30000', '453', '18', '0', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20046', 'Pumpkin Mask', '$2067', '$2067', 'helm', 'vegetation', '25000', '950', '2474', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20047', 'Pumpkin Costume', '$2072', '$2072', 'helm', 'vegetation', '20000', '951', '2474', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20048', 'Helm of Chaos', '$3741', '$3741', 'helm', 'bone', '5000', '1993', '5044', '1710', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '9', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20049', 'Golden Wing of Giant Ant Queen', '$2769', '$2769', 'cloak', 'gold', '10000', '1248', '3311', '1003', '-4', '4', '1', '1', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20050', 'Silver Wing of Giant Ant Queen', '$2770', '$2770', 'cloak', 'silver', '10000', '1249', '3312', '1004', '0', '4', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20051', 'Sovereign\'s Majesty', '$2076', '$2076', 'cloak', 'cloth', '10000', '941', '13', '0', '-2', '4', '1', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20052', 'Dwarvish Cloak', '$174', '$174', 'cloak', 'cloth', '10000', '27', '3812', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20053', 'Wolf Skin Cloak', '$2918', '$2918', 'cloak', 'leather', '5000', '1339', '3439', '1091', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20054', 'Earth Cloak', '$2473 $225', '$2473 $225', 'cloak', 'cloth', '20000', '1081', '2941', '878', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20055', 'Cloak of Mana', '$2250', '$2250', 'cloak', 'cloth', '10000', '1007', '13', '769', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20056', 'Cloak of Magic Resistance', '$182', '$182', 'cloak', 'cloth', '10000', '265', '3808', '111', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20057', 'Cloak of Arcane King', '$3854', '$3854', 'cloak', 'cloth', '10000', '1908', '4969', '0', '-5', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20058', 'Cloak of Pretender King', '$3843', '$3843', 'cloak', 'cloth', '10000', '1897', '4958', '0', '-2', '4', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '20', '0', '3', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20059', 'Water Cloak', '$2471 $225', '$2471 $225', 'cloak', 'cloth', '20000', '1092', '2939', '876', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20060', 'Cloak of Sea', '$3498', '$3498', 'cloak', 'cloth', '10000', '1767', '4345', '1489', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20061', 'Wind Cloak', '$2472 $225', '$2472 $225', 'cloak', 'cloth', '20000', '1094', '2940', '877', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20062', 'Varlok\'s Blood-Colered Cloak', '$3373', '$3373', 'cloak', 'cloth', '10000', '1718', '4314', '1409', '-5', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20063', 'Cloak of Protection', '$178', '$178', 'cloak', 'cloth', '10000', '30', '3810', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20064', 'Red Knight Cloak', '$312', '$312', 'cloak', 'cloth', '10000', '29', '13', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20065', 'Red Cloak', '$1918', '$1918', 'cloak', 'cloth', '10000', '907', '13', '0', '-2', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20066', 'Black Tiger Leather Cloak', '$3109', '$3109', 'cloak', 'leather', '5000', '1510', '3732', '1197', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20067', 'Cloak of New King', 'Cloak of New King', 'Cloak of New King', 'cloak', 'cloth', '10000', '1904', '4965', '0', '-2', '4', '0', '0', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '3', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20068', 'Cloak of the Aden Knights', '$2714', '$2714', 'cloak', 'cloth', '10000', '1223', '3249', '975', '-3', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20069', 'Cloak of Yahee', '$3749', '$3749', 'cloak', 'bone', '1000', '2006', '5056', '1718', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20070', 'Dark Cloak', '$2452 $225', '$2452 $225', 'cloak', 'cloth', '20000', '1074', '2932', '869', '-3', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20071', 'Fire Cloak', '$2470 $225', '$2470 $225', 'cloak', 'cloth', '20000', '1082', '2938', '875', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20072', 'Orcish Cloak', '$172', '$172', 'cloak', 'cloth', '10000', '29', '3824', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20073', 'Elven Cloak', '$170', '$170', 'cloak', 'cloth', '10000', '28', '3814', '105', '-1', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20074', 'Silver Cloak', '$656 $225', '$656 $225', 'cloak', 'silver', '30000', '1087', '2937', '874', '-2', '4', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20075', 'Cloak of Death', '$3744', '$3744', 'cloak', 'bone', '10000', '1966', '5023', '1713', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '100', '50', '-10', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20076', 'Tarak\'s Cloak', '$3345', '$3345', 'cloak', 'cloth', '10000', '1667', '4269', '1381', '-2', '4', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20077', 'Cloak of Invisibility', '$180', '$180', 'cloak', 'cloth', '10000', '272', '3806', '110', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20078', 'Cloak of Chaos', '$3740', '$3740', 'cloak', 'bone', '5000', '1979', '5037', '1709', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20079', 'Cloak of Vampire', '$3068', '$3068', 'cloak', 'cloth', '100000', '1514', '3738', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20080', 'Cloak of Passage', '$184', '$184', 'cloak', 'cloth', '10000', '27', '3812', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '-5', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20081', 'Oilskin Cloak', '$176', '$176', 'cloak', 'cloth', '10000', '69', '3822', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20082', 'Ivory Tower T-Shirt', '$3295', '$3295', 'T', 'cloth', '5000', '110', '24', '1336', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20083', 'Shirt of Yahee', '$3747', '$3747', 'T', 'bone', '1000', '2000', '5051', '1717', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20084', 'Elven T-Shirt', '$2075', '$2075', 'T', 'cloth', '5000', '956', '24', '0', '0', '6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20085', 'T-Shirt', '$168', '$168', 'T', 'cloth', '5000', '110', '24', '104', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20086', 'Doublet Lomejeech', '$3623', '$3623', 'T', 'blackmithril', '5000', '1829', '24', '0', '-2', '0', '1', '1', '1', '1', '1', '1', '1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20087', 'Doublet Lomebuich', '$3631', '$3631', 'T', 'blackmithril', '5000', '1829', '24', '0', '-2', '0', '1', '1', '1', '1', '1', '1', '1', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20088', 'Doublet Lomechech', '$3627', '$3627', 'T', 'blackmithril', '5000', '1829', '24', '0', '-2', '0', '1', '1', '1', '1', '1', '1', '1', '1', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20089', 'Leather Armor', '$116', '$116', 'armor', 'leather', '70000', '51', '3830', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20090', 'Leather Vest', '$1031', '$1031', 'armor', 'leather', '30000', '301', '9', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20091', 'Iron Plate Mail', '$1212', '$1212', 'armor', 'iron', '470000', '510', '9', '0', '-7', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20092', 'Ancient Leather Armor', '$1947', '$1947', 'armor', 'leather', '180000', '898', '9', '668', '-14', '-1', '0', '0', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '4', '8', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20093', 'Ancient Robe', '$1948', '$1948', 'armor', 'cloth', '30000', '900', '9', '669', '-12', '-1', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20094', 'Ancient Scale Mail', '$1949', '$1949', 'armor', 'dragonscale', '200000', '901', '9', '670', '-14', '-1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '4', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20095', 'Ancient Plate Mail', '$1946', '$1946', 'armor', 'iron', '280000', '899', '9', '667', '-16', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20096', 'Ring Mail', '$164', '$164', 'armor', 'iron', '250000', '86', '3838', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20097', 'Wooden Armor', '$781', '$781', 'armor', 'wood', '80000', '109', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20098', 'Armor of Dark Forester', '$3092', '$3092', 'armor', 'leather', '30000', '1490', '3712', '1180', '-4', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20099', 'Demon Armor', '$1806', '$1806', 'armor', 'iron', '250000', '696', '9', '0', '-6', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20100', 'Death Knight Armor', '$1810', '$1810', 'armor', 'iron', '250000', '695', '3293', '0', '-7', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20101', 'Banded Mail', '$156', '$156', 'armor', 'iron', '350000', '10', '3772', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20102', 'Lastabad Leather Armor', '$2916', '$2916', 'armor', 'leather', '70000', '1337', '3437', '1086', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20103', 'Lastabad Robe', '$2912', '$2912', 'armor', 'cloth', '30000', '1330', '3429', '1088', '-4', '4', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20104', 'Lastabad Studded Leather Armor', '$2911', '$2911', 'armor', 'iron', '150000', '1327', '3426', '1087', '-4', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20105', 'Lastabad Chain Mail', '$2910', '$2910', 'armor', 'iron', '200000', '1329', '3427', '1085', '-6', '4', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20106', 'Robe of Laia', '$3081', '$3081', 'armor', 'cloth', '30000', '1519', '3794', '1169', '-2', '4', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20107', 'Lich Robe', '$2212', '$2212', 'armor', 'cloth', '30000', '978', '9', '0', '-3', '4', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '15', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20108', 'Magical Armor of Lindvior', '$2097', '$2097', 'armor', 'dragonscale', '250000', '542', '9', '719', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20109', 'Robe of Evil Spirit King', '$3855', '$3855', 'armor', 'cloth', '20000', '1909', '4970', '0', '-8', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20110', 'Chain Mail of Magic Resistance', '$516', '$516', 'armor', 'iron', '300000', '1201', '3172', '167', '-5', '4', '1', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20111', 'Wizard Clothing', '$1207', '$1207', 'armor', 'cloth', '60000', '527', '1504', '0', '-3', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20112', 'Mambo Coat', '$3251', '$3251', 'armor', 'leather', '10000', '1630', '4113', '1286', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '-1', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '10', '0', '-10', '0', '0', '0', '0', '40', '0', '0');
INSERT INTO `armor` VALUES ('20113', 'Armor of Pretender King', '$3841', '$3841', 'armor', 'steel', '250000', '1895', '4956', '0', '-4', '6', '0', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '10', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20114', 'Cotton Robe', '$580', '$580', 'armor', 'cloth', '10000', '287', '9', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20115', 'Splint Mail', '$155', '$155', 'armor', 'iron', '400000', '102', '3771', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20116', 'Armor of Baranka', '$3074', '$3074', 'armor', 'leather', '450000', '1533', '3848', '1162', '-8', '4', '0', '1', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20117', 'Armor of Baphomet', '$2765', '$2765', 'armor', 'gemstone', '30000', '1256', '3253', '999', '-8', '4', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20118', 'Armor of the Pretender King', '$2189', '$2189', 'armor', 'iron', '180000', '960', '9', '0', '-8', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20119', 'Magical Armor of Valakas', '$2096', '$2096', 'armor', 'dragonscale', '250000', '541', '9', '718', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20120', 'Leather Vest with Belt', '$1032', '$1032', 'armor', 'leather', '50000', '460', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20121', 'Robe of Black Wizard', '$3088', '$3088', 'armor', 'cloth', '30000', '1486', '3708', '1176', '-4', '4', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20122', 'Scale Mail', '$162', '$162', 'armor', 'iron', '250000', '89', '3840', '0', '-4', '4', '1', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20123', 'Robe of Beast Summoner', '$3084', '$3084', 'armor', 'cloth', '30000', '1522', '3797', '1172', '-4', '4', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20124', 'Bone Armor', '$1035', '$1035', 'armor', 'bone', '150000', '448', '9', '0', '-5', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20125', 'Chain Mail', '$159', '$159', 'armor', 'iron', '300000', '26', '3773', '0', '-5', '4', '1', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20126', 'Ivory Tower Leather Armor', '$3290', '$3290', 'armor', 'leather', '150000', '299', '9', '1331', '-6', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20127', 'Blue Dragon Armor', '$141', '$141', 'armor', 'dragonscale', '300000', '1197', '3168', '403', '-9', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20128', 'Crystal Plate Mail', '$153', '$153', 'armor', 'gemstone', '350000', '32', '3769', '0', '-8', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20129', 'Robe of New King', '$3848', '$3848', 'armor', 'cloth', '60000', '1902', '4963', '0', '-6', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '5', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20130', 'Magical Armor of Antharas', '$2095', '$2095', 'armor', 'dragonscale', '250000', '540', '9', '717', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20131', 'Armor of Yahee', '$3748', '$3748', 'armor', 'bone', '1000', '1976', '5035', '1716', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20132', 'Dark Robe', '$2452 $2466', '$2452 $2466', 'armor', 'cloth', '20000', '1077', '2933', '870', '-5', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20133', 'Darkness Dealer Plate Mail', '$2571 $152', '$2571 $152', 'armor', 'blackmithril', '170000', '2282', '9', '1748', '-15', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '2', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20134', 'Alluring Dress of Ice Queen', '$2753', '$2753', 'armor', 'gemstone', '30000', '1237', '3259', '987', '-5', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20135', 'Orcish Ring Mail', '$165', '$165', 'armor', 'iron', '250000', '442', '3834', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20136', 'Orcish Chain Mail', '$160', '$160', 'armor', 'iron', '300000', '443', '3774', '0', '-4', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20137', 'Elven Chain Mail', '$595', '$595', 'armor', 'mithril', '150000', '281', '9', '0', '-5', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20138', 'Elven Plate Mail', '$788', '$788', 'armor', 'oriharukon', '250000', '275', '9', '0', '-6', '6', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20139', 'Elven Breast Plate', '$782', '$782', 'armor', 'mithril', '100000', '302', '9', '0', '-4', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20140', 'Forgotten Leather Armor', '$1934', '$1934', 'armor', 'leather', '200000', '442', '9', '655', '-1', '0', '0', '0', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20141', 'Forgotten Robe', '$1935', '$1935', 'armor', 'cloth', '50000', '51', '9', '656', '-1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20142', 'Forgotten Scale Mail', '$1936', '$1936', 'armor', 'dragonscale', '250000', '89', '3840', '657', '-1', '0', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20143', 'Forgotten Plate Mail', '$1933', '$1933', 'armor', 'iron', '300000', '443', '3768', '654', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20144', 'Armor of Death', '$3742', '$3742', 'armor', 'bone', '100000', '1955', '5016', '1711', '-8', '0', '1', '1', '0', '0', '0', '1', '0', '2', '0', '2', '0', '-2', '-2', '0', '0', '5', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20145', 'Hard Leather Vest', '$1034', '$1034', 'armor', 'leather', '150000', '285', '9', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20146', 'Green Dragon Armor', '$142', '$142', 'armor', 'dragonscale', '300000', '1198', '3169', '404', '-9', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20147', 'Studded Leather Armor', '$163', '$163', 'armor', 'leather', '150000', '109', '3842', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20148', 'Studded Leather Vest', '$1033', '$1033', 'armor', 'leather', '130000', '284', '9', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20149', 'Bronze Plate Mail', '$154', '$154', 'armor', 'copper', '450000', '22', '3770', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20150', 'Armor of Kurtz', '$2774', '$2774', 'armor', 'iron', '250000', '1246', '3316', '1008', '-7', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20151', 'Robe of Cerenis', '$2202', '$2202', 'armor', 'cloth', '85000', '972', '9', '0', '-5', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20152', 'Tarak\'s Robe', '$3343', '$3343', 'armor', 'cloth', '25000', '1663', '4267', '1379', '-13', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '0', '5', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20153', 'Magical Armor of Fafurion', '$2094', '$2094', 'armor', 'dragonscale', '250000', '539', '9', '716', '-11', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20154', 'Plate Mail', '$152', '$152', 'armor', 'iron', '450000', '73', '3768', '0', '-7', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20155', 'Blue Pirate Leather Armor', '$3499', '$3499', 'armor', 'leather', '150000', '1768', '4346', '1490', '-5', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20156', 'White Dragon Armor', '$138', '$138', 'armor', 'dragonscale', '300000', '1200', '3171', '406', '-9', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20157', 'Plate Worm Rind Armor', '$3108', '$3108', 'armor', 'leather', '250000', '1509', '3731', '1196', '-8', '4', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20158', 'Emblem of Chaos', '$3738', '$3738', 'armor', 'bone', '15000', '1980', '5038', '1707', '-6', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '12', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20159', 'Red Dragon Armor', '$137', '$137', 'armor', 'dragonscale', '300000', '1199', '3170', '405', '-9', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20160', 'Robe of Dark Elder', '$2744', '$2744', 'armor', 'cloth', '30000', '1229', '3263', '978', '-5', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20161', 'Armor of Illusion', '$1998', '$1998', 'armor', 'iron', '300000', '930', '9', '0', '-7', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20162', 'Leather Gloves', '$198', '$198', 'glove', 'leather', '5000', '710', '182', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20163', 'Iron Gloves', '$1208', '$1208', 'glove', 'iron', '40000', '506', '182', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20164', 'Shadow Gloves', '$2412', '$2412', 'glove', 'leather', '10000', '1040', '2868', '818', '-1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20165', 'Demon Gloves', '$1805', '$1805', 'glove', 'iron', '15000', '709', '182', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20166', 'Death Knight Gloves', '$1809', '$1809', 'glove', 'iron', '15000', '708', '182', '0', '-2', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20167', 'Gloves of Lizardman Hero', '$3797', '$3797', 'glove', 'bone', '12000', '1877', '4765', '1814', '-2', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20168', 'Gloves of Pretender King', '$3844', '$3844', 'glove', 'steel', '50000', '1898', '4959', '0', '-1', '6', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20169', 'Gloves of Baranka', '$3076', '$3076', 'glove', 'leather', '5000', '1526', '3816', '1164', '-3', '4', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20170', 'Gloves of the Pretender King', 'Gloves of the Pretender King', 'Gloves of the Pretender King', 'glove', 'iron', '10000', '962', '182', '0', '-2', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20171', 'Gloves of Protection', '$2249', '$2249', 'glove', 'leather', '10000', '1011', '182', '768', '0', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '10', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20172', 'Glove of Ice Spirit', '$3254', '$3254', 'glove', 'leather', '18000', '1631', '4114', '1289', '0', '4', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20173', 'Ivory Tower Leather Gloves', '$3292', '$3292', 'glove', 'leather', '18000', '710', '182', '1333', '-2', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20174', 'Snow Gloves', '$1801', '$1801', 'glove', 'leather', '20000', '711', '182', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0');
INSERT INTO `armor` VALUES ('20175', 'Crystal Gloves', '$1800', '$1800', 'glove', 'gemstone', '20000', '707', '182', '0', '-3', '4', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20176', 'Gloves of the New King', '$3851', '$3851', 'glove', 'leather', '20000', '1905', '4966', '0', '-1', '6', '0', '0', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '1', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20177', 'Glove of Dark Spirit', '$3256', '$3256', 'glove', 'leather', '18000', '1632', '4115', '1291', '0', '4', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20178', 'Gloves of Assassin King', 'Gloves of Assassin King', 'Gloves of Assassin King', 'glove', 'leather', '25000', '1911', '4972', '0', '-4', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20179', 'Gloves of Yahee', '$3751', '$3751', 'glove', 'bone', '1000', '2008', '5058', '1720', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20180', 'Dark Gloves', '$2452 $330', '$2452 $330', 'glove', 'cloth', '10000', '1076', '2934', '871', '-1', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20181', 'Glove of Fire Spirit', '$3253', '$3253', 'glove', 'leather', '18000', '1633', '4116', '1288', '0', '4', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20182', 'Gloves', '$330', '$330', 'glove', 'leather', '10000', '141', '182', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20183', 'Scale of Death', '$3743', '$3743', 'glove', 'bone', '5000', '1967', '5024', '1712', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '-2', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20184', 'Gloves of Kurtz', '$2773', '$2773', 'glove', 'iron', '15000', '1244', '3315', '1007', '-2', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20185', 'Gloves of Cerenis', '$2201', '$2201', 'glove', 'leather', '8000', '971', '182', '0', '-1', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20186', 'Tarak\'s Gloves', '$3344', '$3344', 'glove', 'leather', '18000', '1665', '4268', '1380', '-2', '4', '1', '1', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20187', 'Power Gloves', '$795', '$795', 'glove', 'leather', '18000', '328', '182', '280', '0', '4', '1', '1', '1', '1', '1', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20188', 'Blue Pirate Gloves', '$3496', '$3496', 'glove', 'leather', '15000', '1765', '4343', '1487', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20189', 'Glove of Wind Spirit', '$3255', '$3255', 'glove', 'leather', '18000', '1634', '4117', '1290', '0', '4', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20190', 'Finger of Chaos', '$3739', '$3739', 'glove', 'bone', '5000', '1990', '5041', '1708', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '5', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20191', 'Bracer', '$775', '$775', 'glove', 'leather', '10000', '327', '3964', '0', '0', '4', '0', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20192', 'Leather Boots', '$1027', '$1027', 'boots', 'leather', '10000', '461', '25', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20193', 'Leather Sandal', '$1025', '$1025', 'boots', 'leather', '8000', '452', '25', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20194', 'Iron Boots', '$1211', '$1211', 'boots', 'iron', '50000', '509', '25', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20195', 'Shadow Boots', '$2423', '$2423', 'boots', 'leather', '10000', '1044', '2872', '829', '-2', '4', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '4', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20196', 'Boots of Dark Forester', '$3091', '$3091', 'boots', 'leather', '10000', '1489', '3711', '1179', '-2', '4', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20197', 'Demon Boots', '$1807', '$1807', 'boots', 'iron', '15000', '702', '25', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20198', 'Death Knight Boots', '$1811', '$1811', 'boots', 'iron', '15000', '701', '25', '0', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20199', 'Lastabad Boots', '$2913', '$2913', 'boots', 'leather', '10000', '1325', '3430', '1089', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20200', 'Boots of Evil Power King', '$3856', '$3856', 'boots', 'leather', '30000', '1910', '4971', '0', '-4', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20201', 'Boots of Pretender King', '$3845', '$3845', 'boots', 'steel', '60000', '1899', '4960', '0', '-2', '6', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20202', 'Boots of Baranka', '$3077', '$3077', 'boots', 'leather', '10000', '1525', '3804', '1165', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20203', 'Boots of the Pretender King', '$2190', '$2190', 'boots', 'iron', '12000', '961', '25', '0', '-3', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20204', 'Boots of Beleth', '$2767', '$2767', 'boots', 'glass', '10000', '1258', '3254', '1001', '-2', '6', '0', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20205', 'Boots', '$329', '$329', 'boots', 'leather', '15000', '435', '25', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20206', 'Ivory Tower Leather Sandals', '$3291', '$3291', 'boots', 'leather', '50000', '447', '25', '1332', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20207', 'Underwater Boots', '$1804', '$1804', 'boots', 'leather', '15000', '704', '25', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20208', 'Boots of New King', '$3852', '$3852', 'boots', 'leather', '30000', '1906', '4967', '0', '-2', '6', '0', '0', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20209', 'Boots of Yahee', '$3750', '$3750', 'boots', 'bone', '1000', '2004', '5054', '1719', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20210', 'Dark Boots', '$2452 $329', '$2452 $329', 'boots', 'cloth', '15000', '1093', '2936', '873', '-2', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20211', 'Alluring Sandals of Ice Queen', '$2752', '$2752', 'boots', 'glass', '10000', '1238', '3260', '986', '-2', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20212', 'Studded Leather Sandals', '$1026', '$1026', 'boots', 'leather', '10000', '447', '25', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20213', 'Low Boots', '$206', '$206', 'boots', 'leather', '10000', '65', '25', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20214', 'Boots of Kurtz', '$2775', '$2775', 'boots', 'iron', '15000', '1247', '3317', '1009', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20215', 'Boots of Cerenis', '$2194', '$2194', 'boots', 'iron', '15000', '964', '25', '0', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20216', 'Tarak\'s Boots', '$3346', '$3346', 'boots', 'leather', '10000', '1669', '4270', '1382', '-2', '4', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20217', 'Blue Pirate Boots', '$3497', '$3497', 'boots', 'leather', '15000', '1766', '4344', '1488', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20218', 'Sandals of Dark Elder', '$2745', '$2745', 'boots', 'leather', '10000', '1230', '3298', '979', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20219', 'Leather Shield', '$1028', '$1028', 'shield', 'leather', '25000', '449', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20220', 'Iron Shield', '$1210', '$1210', 'shield', 'iron', '140000', '508', '23', '0', '-4', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20221', 'Bone Shield', '$1030', '$1030', 'shield', 'bone', '30000', '457', '23', '0', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20222', 'Wooden Shield', '$778', '$778', 'shield', 'wood', '30000', '97', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20223', 'Dwarvish Round Shield', '$194', '$194', 'shield', 'iron', '100000', '95', '50', '0', '-2', '4', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20224', 'Lastabad Round Shield', '$2914', '$2914', 'shield', 'iron', '50000', '1331', '3425', '1090', '-2', '4', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20225', 'Mana Crystal Ball', '$2351', '$2351', 'shield', 'glass', '50000', '1017', '23', '788', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '100', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20226', 'Book of Magic Powers', '$1917', '$1917', 'shield', 'paper', '20000', '906', '23', '0', '-2', '4', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20227', 'Shield of Medusa', '$2213', '$2213', 'shield', 'silver', '80000', '979', '23', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20228', 'Shield of Pretender King', '$3846', '$3846', 'shield', 'steel', '100000', '1900', '4961', '0', '-2', '6', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '4', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20229', 'Shield of Reflection', '$196', '$196', 'shield', 'silver', '50000', '137', '23', '119', '-2', '4', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20230', 'Shield of Red Knight', '$2035', '$2035', 'shield', 'silver', '50000', '954', '23', '666', '-3', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20231', 'Tower Shield', '$429', '$429', 'shield', 'iron', '120000', '177', '359', '305', '-3', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20232', 'Ivory Tower Leather Shield', '$3293', '$3293', 'shield', 'leather', '50000', '450', '23', '1334', '-3', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20233', 'Scroll of New King', '$3853', '$3853', 'shield', 'paper', '30000', '1907', '4968', '0', '-3', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '3', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20234', 'Shield of Faith', '$3794', '$3794', 'shield', 'iron', '50000', '1874', '23', '1811', '-3', '6', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20235', 'Shield of Eva', '$419', '$419', 'shield', 'silver', '50000', '1203', '3174', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '40', '0', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20236', 'Elven Shield', '$187', '$187', 'shield', 'silver', '50000', '1202', '3173', '114', '-2', '6', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20237', 'Orcish Shield', '$189', '$189', 'shield', 'iron', '50000', '114', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20238', 'Shield of the Silver Knight', '$922', '$922', 'shield', 'silver', '100000', '332', '996', '289', '-2', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '4', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20239', 'Small Shield', '$186', '$186', 'shield', 'wood', '30000', '97', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20240', 'Armor of Death Piece', '$3745', '$3745', 'shield', 'bone', '20000', '1973', '5030', '1714', '-1', '0', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20241', 'Studded Leather Shield', '$1029', '$1029', 'shield', 'leather', '35000', '450', '23', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20242', 'Large Shield', '$193', '$193', 'shield', 'iron', '100000', '61', '23', '0', '-2', '4', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20243', 'Hidden Valley Amulet', '$1758', '$1758', 'amulet', 'gemstone', '5000', '665', '8', '0', '0', '-1', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '5', '5', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20244', 'Old Amulet of Charisma', '$1667 $1007', '$1667 $1007', 'amulet', 'gemstone', '5000', '642', '8', '311', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '-2', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20245', 'Old Amulet of Dexterity', '$1667 $1003', '$1667 $1003', 'amulet', 'gemstone', '5000', '638', '8', '307', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20246', 'Old Amulet of Strength', '$1667 $1002', '$1667 $1002', 'amulet', 'gemstone', '5000', '637', '8', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20247', 'Old Amulet of Inteligence', '$1667 $1005', '$1667 $1005', 'amulet', 'gemstone', '5000', '640', '8', '309', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20248', 'Old Amulet of Wisdom', '$1667 $1006', '$1667 $1006', 'amulet', 'gemstone', '5000', '641', '8', '310', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20249', 'Old Amulet of Constitution', '$1667 $1004', '$1667 $1004', 'amulet', 'gemstone', '5000', '639', '8', '308', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20250', 'Necklace of Doppelganger Boss', '$2757', '$2757', 'amulet', 'gemstone', '5000', '1254', '3303', '991', '0', '-1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20251', 'Silver Serpent Amulet', 'Silver Serpent Amulet', 'Silver Serpent Amulet', 'amulet', 'mithril', '5000', '304', '8', '282', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20252', 'Necklace of Laia', '$3079', '$3079', 'amulet', 'gemstone', '5000', '1517', '3792', '1167', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '-2', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20253', 'Amulet of Dread Queen', 'Amulet of Dread Queen', 'Amulet of Dread Queen', 'amulet', 'gold', '5000', '1913', '4974', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20254', 'Amulet of Charisma', '$1007', '$1007', 'amulet', 'gemstone', '5000', '1192', '3163', '311', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20255', 'Ring of Arcane King', '$3858', '$3858', 'amulet', 'gold', '5000', '1912', '4973', '0', '0', '-1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20256', 'Amulet of Dexterity', '$1003', '$1003', 'amulet', 'gemstone', '5000', '1188', '3159', '307', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20257', 'Amulet of Black Wizard', '$3087', '$3087', 'amulet', 'gemstone', '5000', '1485', '3707', '1175', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20258', 'Amulet of Beast Summoner', '$3083', '$3083', 'amulet', 'gemstone', '5000', '1521', '3796', '1171', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20259', 'Amulet of Singing Island ', '$1757', '$1757', 'amulet', 'gemstone', '5000', '665', '8', '0', '0', '-1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '5', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20260', 'Amulet of Iris', '$2858', '$2858', 'amulet', 'gemstone', '5000', '1165', '3130', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20261', 'Amulet of Yahee', '$3753', '$3753', 'amulet', 'bone', '1000', '2002', '5053', '1722', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20262', 'Amulet of Vigor', '$3671', '$3671', 'amulet', 'gold', '5000', '1613', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20263', 'Amulet of Orc Warrior', '$1013', '$1013', 'amulet', 'gemstone', '5000', '1193', '3164', '314', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20264', 'Amulet of Strength', '$1002', '$1002', 'amulet', 'gemstone', '5000', '1187', '3158', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20265', 'Seal of Harmony', '$3193', '$3193', 'amulet', 'gemstone', '5000', '1547', '3976', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20266', 'Amulet of Intelligence', '$1005', '$1005', 'amulet', 'gemstone', '5000', '1190', '3161', '309', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20267', 'Amulet of Wisdom', '$1006', '$1006', 'amulet', 'gemstone', '5000', '1191', '3162', '310', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20268', 'Amulet of Constitution', '$1004', '$1004', 'amulet', 'gemstone', '5000', '1189', '3160', '308', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20269', 'Skeleton Amulet', '$3500', '$3500', 'amulet', 'bone', '1000', '1769', '4347', '1491', '-2', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20270', 'Silver Serpent Amulet', 'Silver Serpent Amulet', 'Silver Serpent Amulet', 'amulet', 'mithril', '5000', '304', '8', '282', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20277', 'Right-Hand Ring of Doppelganger Boss', '$2756', '$2756', 'ring', 'wood', '3000', '1253', '3302', '990', '0', '-1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20278', 'Left-Hand Ring of Doppelganger Boss', '$2755', '$2755', 'ring', 'wood', '3000', '1252', '3301', '989', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20279', 'Ring of Laia', '$3080', '$3080', 'ring', 'gemstone', '1000', '1518', '3793', '1168', '-5', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20280', 'Ring of Immunity to Magic', '$1662', '$1662', 'ring', 'gold', '3000', '626', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20281', 'Ring of Polymorph Control', '$261', '$261', 'ring', 'gold', '3000', '1195', '3166', '65', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20282', 'Ivory Tower Ring', '$3294', '$3294', 'ring', 'gemstone', '1000', '1029', '21', '1335', '-1', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20284', 'Ring of Summon Control', '$1937', '$1937', 'ring', 'gold', '3000', '905', '21', '658', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20285', 'Ring of Water Resistance', '$1664', '$1664', 'ring', 'gold', '3000', '629', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20286', 'Ring of Vitality', 'Ring of Vitality', 'Ring of Vitality', 'ring', 'gemstone', '1000', '1344', '3460', '1113', '-1', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20287', 'Ring of Gaurdian', '$2225', '$2225', 'ring', 'gold', '3000', '905', '21', '0', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '20', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20288', 'Ring of Teleport Control', '$241', '$241', 'ring', 'gold', '3000', '1194', '3165', '64', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20289', 'Abyss Ring', '$3257', '$3257', 'ring', 'platinum', '3000', '1637', '4120', '1292', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0');
INSERT INTO `armor` VALUES ('20290', 'Ring of Yahee', '$3752', '$3752', 'ring', 'bone', '1000', '2010', '5060', '1721', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20291', 'Ring of Vigor', '$3672', '$3672', 'ring', 'gold', '1000', '1615', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20293', 'Cursed Diamond Ring', '$3503', '$3503', 'ring', 'gold', '1000', '1776', '4351', '1495', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '-10', '-10', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20294', 'Cursed Ruby Ring', '$3501', '$3501', 'ring', 'gold', '1000', '1770', '4348', '1492', '2', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20295', 'Cursed Sapphire Ring', '$3502', '$3502', 'ring', 'gold', '1000', '1772', '4349', '1493', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '-10', '-10', '-10', '-10', '0', '5', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20296', 'Cursed Emerald Ring', '$3528', '$3528', 'ring', 'gold', '1000', '1774', '4350', '1494', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '-10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20297', 'Seal of Mental Ability', '$3194', '$3194', 'ring', 'silver', '1000', '1548', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20298', 'Ring of Zenith', '$2406', '$2406', 'ring', 'gold', '3000', '1037', '2880', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20299', 'Payment for Death', '$3097', '$3097', 'ring', 'gemstone', '1000', '1496', '3718', '1185', '-1', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '-2', '0', '48', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20300', 'Ring of Earth Resistance', '$1665', '$1665', 'ring', 'gold', '3000', '627', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20301', 'Seal of Physical Ability', '$3195', '$3195', 'ring', 'copper', '1000', '1549', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20302', 'Ring of Wind Resistance', '$1666', '$1666', 'ring', 'gold', '3000', '630', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20303', 'Ring of Magic Resistance', '$1661', '$1661', 'ring', 'gold', '3000', '625', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20304', 'Ring of Fire Resistance', '$1663', '$1663', 'ring', 'gold', '3000', '628', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20305', 'Ring', '$90', '$90', 'ring', 'gold', '1000', '87', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20306', 'Old Belt of Body', '$1667 $1669', '$1667 $1669', 'belt', 'leather', '50000', '631', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20307', 'Old Belt of Soul', '$1667 $1671', '$1667 $1671', 'belt', 'leather', '50000', '633', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '15', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20308', 'Old Belt of Mind', '$1667 $1670', '$1667 $1670', 'belt', 'leather', '50000', '632', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20309', 'Shining Belt of Body', '$2601', '$2601', 'belt', 'leather', '50000', '1168', '3119', '936', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20310', 'Shining Belt of Soul', '$2603', '$2603', 'belt', 'leather', '50000', '1170', '3121', '928', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '20', '1', '1', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20311', 'Shining Belt of Mind', '$2602', '$2602', 'belt', 'leather', '50000', '1169', '3120', '937', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20312', 'Belt of Body', '$1669', '$1669', 'belt', 'leather', '50000', '634', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20313', 'Belt of Darkness', '$3862', '$3862', 'belt', 'cloth', '40000', '1916', '4977', '0', '-1', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20314', 'Ring of Ancient Giant', '$2215', '$2215', 'belt', 'gold', '50000', '981', '21', '0', '-2', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20315', 'Belt of Vigor', '$3673', '$3673', 'belt', 'gold', '50000', '1009', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20316', 'Belt of Soul', '$1671', '$1671', 'belt', 'leather', '50000', '636', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '25', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20317', 'Ogre Belt', '$1819', '$1819', 'belt', 'leather', '50000', '697', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20318', 'Belt of Bravery', '$2251', '$2251', 'belt', 'leather', '50000', '1009', '1165', '770', '-1', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20319', 'Belt of Mind', '$1670', '$1670', 'belt', 'leather', '50000', '635', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20320', 'Titan Belt', '$1820', '$1820', 'belt', 'leather', '50000', '698', '1165', '0', '0', '-1', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20321', 'Troll Belt', '$1818', '$1818', 'belt', 'leather', '50000', '699', '1165', '0', '0', '-1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20322', 'Leather Jacket', '$167', '$167', 'armor', 'leather', '30000', '1196', '3167', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20342', 'Cloak of Sashin', '$3069', '$3069', 'cloak', 'cloth', '100000', '1515', '13', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20343', 'Easter Bunny Hat', 'Easter Bunny Hat', 'Easter Bunny Hat', 'helm', 'leather', '5000', '1866', '4688', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20344', 'Easter Bunny Hat w/Carrot', 'Easter Bunny with Carrot Hat', 'Easter Bunny with Carrot Hat', 'helm', 'leather', '5000', '1866', '4688', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20345', 'High Collie Choker', 'High Collie Choker', 'High Collie Choker', 'amulet', 'iron', '5000', '2024', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20346', 'High Raccoon Choker', 'High Raccoon Choker', 'High Raccoon Choker', 'amulet', 'iron', '5000', '2023', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20347', 'Hakama', 'Hakama', 'Hakama', 'cloak', 'cloth', '5000', '517', '1493', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20348', 'Holiday Attire', 'Holiday Attire', 'Holiday Attire', 'cloak', 'cloth', '5000', '519', '1495', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20349', 'Amulet of Beagle', 'Amulet of Beagle', 'Amulet of Beagle', 'amulet', 'gemstone', '0', '1517', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20350', 'Amulet of Snow Man', 'Amulet of Snow Man', 'Amulet of Snow Man', 'amulet', 'platinum', '0', '1184', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20351', 'Carrot', 'Carrot', 'Carrot', 'helm', 'vegetation', '5000', '25', '67', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20352', 'Stocking', 'Stocking', 'Stocking', 'boots', 'cloth', '5000', '303', '25', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20353', 'Armor of Legend', '$3608', '$3608', 'armor', 'mithril', '200000', '1793', '4411', '0', '-6', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20354', 'Boots of Legend', '$3610', '$3610', 'boots', 'mithril', '30000', '1794', '4412', '0', '-2', '4', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20355', 'Gloves of Legend', '$3609', '$3609', 'glove', 'mithril', '20000', '1796', '4414', '0', '0', '4', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20356', 'Helm of Legend', '$3607', '$3607', 'helm', 'mithril', '30000', '1797', '4415', '0', '-1', '6', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20357', 'Shield of Legend', '$3611', '$3611', 'shield', 'mithril', '50000', '1798', '4416', '0', '-1', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20358', 'Amulet of Kahel 1', '$4445', '$4445', 'amulet', 'bone', '10000', '2217', '5538', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20359', 'Amulet of Kahel 2', '$4446', '$4446', 'amulet', 'bone', '10000', '2218', '5539', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20360', 'Amulet of Kahel 3', '$4447', '$4447', 'amulet', 'bone', '10000', '2219', '5540', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20361', 'Amulet of Kahel 4', '$4448', '$4448', 'amulet', 'bone', '10000', '2220', '5541', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20362', 'Amulet of Kahel 5', '$4449', '$4449', 'amulet', 'bone', '10000', '2221', '5542', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '60', '50', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20363', 'Amulet of Kahel 6', '$4450', '$4450', 'amulet', 'bone', '10000', '2222', '5543', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '70', '50', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20364', 'Amulet of Kahel 7', '$4451', '$4451', 'amulet', 'bone', '10000', '2223', '5544', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '80', '50', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20365', 'Amulet of Kahel 8', '$4452', '$4452', 'amulet', 'bone', '10000', '2224', '5545', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '100', '50', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20366', 'Unknown Scale Mail', 'Unknown $162', 'Unknown $162', 'armor', 'dragonscale', '150000', '901', '3840', '0', '-12', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20367', 'Unknown Plate Mail', 'Unknown $152', 'Unknown $152', 'armor', 'iron', '250000', '899', '9', '0', '-13', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20368', 'Unknown Leather Armor', 'Unknown $116', 'Unknown $116', 'armor', 'leather', '150000', '898', '9', '0', '-12', '-1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20369', 'Unknown Robe', 'Unknown $2466', 'Unknown $2466', 'armor', 'cloth', '30000', '900', '9', '0', '-9', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20370', 'Unknown Cloak', 'Unknown $225', 'Unknown $225', 'cloak', 'silver', '5000', '1087', '2937', '0', '-6', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20371', 'Unknown Walking Shoes', 'Unknown $207', 'Unknown $207', 'boots', 'iron', '10000', '509', '25', '0', '-9', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20372', 'Unknown Gloves', 'Unknown $330', 'Unknown $330', 'glove', 'iron', '10000', '506', '182', '0', '-6', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20373', 'Unknown Helmet', 'Unknown $128', 'Unknown $128', 'helm', 'iron', '35000', '507', '18', '0', '-7', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20374', 'Unknown Shield', 'Unknown $4196', 'Unknown $4196', 'shield', 'iron', '50000', '508', '23', '0', '-9', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20375', 'Unknown Doublet', 'Unknown $3617', 'Unknown $3617', 'T', 'blackmithril', '5000', '1829', '24', '0', '-5', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20376', 'Amulet of the Royalty', 'Amulet of the Royalty', 'Amulet of the Royalty', 'amulet', 'gemstone', '5000', '1192', '3163', '0', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20377', 'Amulet of the Knight', 'Amulet of the Knight', 'Amulet of the Knight', 'amulet', 'gemstone', '5000', '1187', '3158', '0', '0', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20378', 'Amulet of the Elf', 'Amulet of the Elf', 'Amulet of the Elf', 'amulet', 'gemstone', '5000', '1188', '3159', '0', '0', '-1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20379', 'Amulet of the Wizard', 'Amulet of the Wizard', 'Amulet of the Wizard', 'amulet', 'gemstone', '5000', '1190', '3161', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20380', 'Halloween Blessing Cap', '$4323', '$4323', 'helm', 'leather', '25000', '2259', '2474', '0', '-1', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20381', 'Hair Clip of Lucidity', '$4388', '$4388', 'helm', 'leather', '20000', '2232', '5603', '2104', '0', '4', '0', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20382', 'Red Mask', '$4946', '$4946', 'helm', 'mithril', '5000', '2466', '5961', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20383', 'Helmet for Horse Riding', '$5163', '$5163', 'helm', 'leather', '25000', '2538', '6098', '0', '0', '6', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20384', 'Apprentice Prince Helm', '$1765', '$1765', 'helm', 'leather', '30000', '445', '18', '0', '-2', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20385', 'Apprentice Knight Helm', '$1761', '$1761', 'helm', 'leather', '30000', '456', '18', '0', '-2', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20386', 'Apprentice Elf Helm', '$1901', '$1901', 'helm', 'leather', '30000', '445', '18', '0', '-2', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20387', 'Apprentice Wizard Cap', '$1769', '$1769', 'helm', 'leather', '30000', '445', '18', '0', '-2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20388', 'Dark Elf\'s Training Helmet', '$2537', '$2537', 'helm', 'leather', '30000', '1050', '2894', '0', '-2', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20389', 'Elven Helm of %i', '$4000', '$4000', 'helm', 'leather', '3000', '53', '18', '1854', '-2', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20390', 'Helm of Fidelity', '$4380', '$4380', 'helm', 'blackmithril', '40000', '2163', '5313', '0', '-6', '0', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20391', 'Apprentice Prince Armor', '$1763', '$1763', 'armor', 'leather', '150000', '301', '9', '0', '-4', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20392', 'Apprentice Elf Armor', '$1899', '$1899', 'armor', 'leather', '150000', '284', '9', '0', '-4', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20393', 'Elven Armor of %i', '$3999', '$3999', 'armor', 'oriharukon', '80000', '275', '9', '1856', '-4', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20394', 'Apprentice Knight Armor', '$1759', '$1759', 'armor', 'leather', '30000', '301', '9', '0', '-5', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20395', 'Armor of Fidelity', '$4378', '$4378', 'armor', 'blackmithril', '100000', '2162', '5308', '0', '-10', '0', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20396', 'Shield of Sheba Human', '$4430', '$4430', 'shield', 'platinum', '1000', '1973', '5030', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20397', 'Apprentice Prince Shield', '$1764', '$1764', 'shield', 'leather', '30000', '449', '23', '0', '-2', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20398', 'Apprentice Knight Shield', '$1760', '$1760', 'shield', 'leather', '30000', '449', '23', '0', '-2', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20399', 'Apprentice Wizard Cloak', '$1767', '$1767', 'cloak', 'cloth', '150000', '265', '3808', '0', '-2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20400', 'Dark Elf\'s Training Cloak', '$2539', '$2539', 'cloak', 'cloth', '150000', '1053', '2896', '0', '-2', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20401', 'Elven Cloak of %i', '$4002', '$4002', 'cloak', 'cloth', '10000', '28', '3814', '1857', '-2', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20402', 'Cloak of Fidelity', '$4381', '$4381', 'cloak', 'blackmithril', '10000', '2164', '5310', '0', '-7', '0', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20403', 'Apprentice Elf Boots', '$1900', '$1900', 'boots', 'leather', '30000', '461', '25', '0', '-2', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20404', 'Apprentice Wizard Boots', '$1768', '$1768', 'boots', 'leather', '30000', '461', '25', '0', '-2', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20405', 'Dark Elf\'s Training Boots', '$2538', '$2538', 'boots', 'leather', '30000', '1052', '2895', '0', '-2', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20406', 'Elven Boots of %i', '$4001', '$4001', 'boots', 'iron', '15000', '509', '25', '1855', '-2', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20407', 'Militia Boots', '$4067', '$4067', 'boots', 'leather', '30000', '2130', '5254', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20408', 'Boots of Fidelity', '$4379', '$4379', 'boots', 'blackmithril', '30000', '2166', '5309', '0', '-7', '0', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20409', 'Elven Gloves of %i', '$3998', '$3998', 'glove', 'leather', '10000', '327', '3964', '1853', '-1', '4', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20410', 'Gloves of Fidelity', '$4377', '$4377', 'glove', 'blackmithril', '30000', '2165', '5403', '0', '-5', '0', '0', '1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20411', 'Amulet of Suffering', '$4389', '$4389', 'amulet', 'bone', '10000', '2234', '5599', '2105', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20412', 'Amulet of Anguish', '$4390', '$4390', 'amulet', 'bone', '10000', '2235', '5598', '2106', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0');
INSERT INTO `armor` VALUES ('20413', 'Amulet of Hope', '$1649', '$1649', 'amulet', 'mithril', '5000', '613', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20414', 'Amulet of Luck', '$1648', '$1648', 'amulet', 'mithril', '5000', '612', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20415', 'Amulet of Passion', '$1647', '$1647', 'amulet', 'mithril', '5000', '610', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20416', 'Amulet of Truth', '$1646', '$1646', 'amulet', 'mithril', '5000', '611', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20417', 'Amulet of Miracle', '$1650', '$1650', 'amulet', 'mithril', '5000', '609', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20418', 'Amulet of Affection', '$3241', '$3241', 'amulet', 'mithril', '5000', '1613', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20419', 'High Bear Choker', 'High Bear Choker', 'High Bear Choker', 'amulet', 'iron', '5000', '2470', '5964', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20420', 'Lucky Cat Scarf', '$4623', '$4623', 'amulet', 'cloth', '5000', '2271', '5675', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20421', 'Amulet of Eris', '$4341', '$4341', 'amulet', 'gemstone', '5000', '2172', '5314', '2053', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20422', 'Shiny Ancient Necklace', '$4838', '$4838', 'amulet', 'gold', '5000', '2446', '8', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '30', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20423', 'Amulet of Red Curse', '$4093', '$4093', 'amulet', 'gold', '1000', '2028', '5095', '1816', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20424', 'Amulet of  Blue Curse', '$4094', '$4094', 'amulet', 'gold', '1000', '2031', '5105', '1817', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20425', 'Amulet of Green Curse', '$4095', '$4095', 'amulet', 'gold', '1000', '2026', '5093', '1818', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20426', 'Necklace of Light', '$4963', '$4963', 'amulet', 'gemstone', '5000', '2506', '8', '0', '-1', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20427', 'Talisman', '$1205', '$1205', 'amulet', 'mithril', '1000', '304', '8', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3', '3', '3', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20428', 'Ring of Hope', '$1689', '$1689', 'ring', 'gold', '3000', '666', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20429', 'Ring of Passion', '$1692', '$1692', 'ring', 'gold', '3000', '669', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20430', 'Ring of Luck', '$1690', '$1690', 'ring', 'gold', '3000', '667', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20431', 'Ring of Truth', '$1693', '$1693', 'ring', 'gold', '3000', '670', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20432', 'Ring of Miracles', '$1691', '$1691', 'ring', 'gold', '3000', '668', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20433', 'Ring of Bravery', '$3240', '$3240', 'ring', 'gold', '3000', '1615', '3975', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20434', 'Ring of Eris', '$4342', '$4342', 'ring', 'gold', '3000', '2173', '5315', '2054', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20435', 'Crafted Ring of Hero 1 (Earth Spirit)', '$4555', '$4555', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20436', 'Crafted Ring of Hero 1 (Water Spirit)', '$4547', '$4547', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20437', 'Crafted Ring of Hero 1 (Fire Spirit)', '$4539', '$4539', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20438', 'Crafted Ring of Hero 1 (Wind Spirit)', '$4563', '$4563', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20439', 'Crafted Ring of Hero 2 (Earth Spirit)', '$4556', '$4556', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20440', 'Crafted Ring of Hero 2 (Water Spirit)', '$4548', '$4548', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20441', 'Crafted Ring of Hero 2 (Fire Spirit)', '$4540', '$4540', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20442', 'Crafted Ring of Hero 2 (Wind Spirit)', '$4564', '$4564', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20443', 'Crafted Ring of Hero 3 (Earth Spirit)', '$4557', '$4557', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '15', '0', '1', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20444', 'Crafted Ring of Hero 3 (Water Spirit)', '$4549', '$4549', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '15', '0', '0', '0', '0', '0', '0', '1', '0', '0');
INSERT INTO `armor` VALUES ('20445', 'Crafted Ring of Hero 3 (Fire Spirit)', '$4541', '$4541', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '15', '0', '1', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20446', 'Crafted Ring of Hero 3 (Wind Spirit)', '$4565', '$4565', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `armor` VALUES ('20447', 'Ring of Hero (Earth Spirit)', '$4558', '$4558', 'ring', 'gold', '3000', '2300', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20448', 'Ring of Hero (Water Spirit)', '$4550', '$4550', 'ring', 'gold', '3000', '2298', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '1', '0', '0');
INSERT INTO `armor` VALUES ('20449', 'Ring of Hero (Fire Spirit)', '$4542', '$4542', 'ring', 'gold', '3000', '2304', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '20', '0', '2', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20450', 'Ring of Hero (Wind Spirit)', '$4566', '$4566', 'ring', 'gold', '3000', '2302', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '20', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `armor` VALUES ('20451', 'Ring of Hero', '$4062', '$4062', 'ring', 'gold', '3000', '2066', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20452', 'Drake Captain Transformation Turban', '$5132', '$5132', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20453', 'Iris Transformation Turban', '$5137', '$5137', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20454', 'Knight Vald Transformation Turban', '$5136', '$5136', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20455', 'Succubus Queen Transformation Turban', '$5135', '$5135', 'helm', 'cloth', '20000', '2517', '18', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20456', 'Red Soccer Uniform', '$4065', '$4065', 'T', 'cloth', '0', '2074', '5226', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20457', 'Blue Soccer Uniform', '$4066', '$4066', 'T', 'cloth', '0', '2075', '5225', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20458', 'Red Orc\'s Mask', '$5229', '$5229', 'helm', 'mithril', '5000', '2466', '5961', '0', '0', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20459', 'Red Orc\'s Earrings', '$5230', '$5230', 'earring', 'leather', '1000', '2601', '6285', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('20460', 'Amulet of Glory', '$4038', '$4038', 'amulet', 'gemstone', '0', '2025', '8', '0', '0', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21000', 'Succubus Earring', '$1000 Earring', '$1000 Earring', 'earring', 'leather', '0', '2275', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21001', 'Snowman Earring', '$1783 Earring', '$1783 Earring', 'earring', 'leather', '0', '25', '67', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21002', 'Ice Golem Earring', '$1395 Earring', '$1395 Earring', 'earring', 'leather', '0', '1469', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21003', 'Earrings of Valor', '$4032', '$4032', 'earring', 'gemstone', '5000', '2017', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21004', 'Earrings of Warrior', '$4039', '$4039', 'earring', 'gemstone', '5000', '2017', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21005', 'Earrings of Hero', '$4040', '$4040', 'earring', 'gemstone', '5000', '2017', '3963', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21006', 'Black Wizard Earrings 1', '$4456', '$4456', 'earring', 'bone', '3000', '2317', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21007', 'Black Wizard Earrings 1', '$4456', '$4456', 'earring', 'bone', '3000', '2317', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21008', 'Black Fighter Earrings 2', '$4460', '$4460', 'earring', 'bone', '3000', '2175', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21009', 'Black Knight Earrings 2', '$4463', '$4463', 'earring', 'bone', '3000', '2176', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21010', 'Black Fighter Earrings 3', '$4461', '$4461', 'earring', 'bone', '3000', '2175', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '20', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21011', 'Black Knight Earrings 1', '$4462', '$4462', 'earring', 'bone', '3000', '2175', '3963', '0', '0', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '20', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21012', 'Black Knight Earrings 3', '$4464', '$4464', 'earring', 'bone', '3000', '2176', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21013', 'Unprocessed Black Fighter Earrings 1', '$4506', '$4506', 'earring', 'bone', '3000', '2176', '3963', '0', '0', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21014', 'Black Wizard Earrings 1', '$4456', '$4456', 'earring', 'bone', '3000', '2317', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21015', 'Black Wizard Earrings 2', '$4457', '$4457', 'earring', 'bone', '3000', '2174', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21016', 'Black Wizard Earrings 3', '$4458', '$4458', 'earring', 'bone', '3000', '2174', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21017', 'Black Fighter Earrings 1', '$4459', '$4459', 'earring', 'bone', '3000', '2174', '3963', '0', '0', '-1', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21018', 'Heliocham Earrings', '$4068', '$4068', 'earring', 'gemstone', '1000', '2131', '5255', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21019', 'Earrings of purification', '$4092', '$4092', 'earring', 'gold', '15000', '2030', '3963', '1815', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21020', 'Dancing Earrings', '$3755', '$3755', 'earring', 'bone', '15000', '1982', '5040', '1724', '-1', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21021', 'Twin Earrings', '$3756', '$3756', 'earring', 'bone', '15000', '1983', '5040', '1725', '-2', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '46', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21022', 'Festival Earrings', '$3757', '$3757', 'earring', 'bone', '15000', '1984', '5040', '1726', '-3', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21023', 'Zenith Earrings', '$3758', '$3758', 'earring', 'bone', '15000', '1985', '5040', '1727', '-3', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '10', '0', '0', '0', '48', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21024', 'Reckless Earrings', '$3759', '$3759', 'earring', 'bone', '15000', '1986', '5040', '1728', '-3', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '49', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21025', 'Fantasy Horse Earrings', '$3760', '$3760', 'earring', 'bone', '15000', '1987', '5040', '1729', '-3', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '50', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21026', 'Clan Earrings', '$3761', '$3761', 'earring', 'bone', '15000', '1988', '5040', '1730', '-3', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '51', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21027', 'Slave Earrings', '$3762', '$3762', 'earring', 'bone', '15000', '1981', '5039', '1731', '-3', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '20', '0', '0', '0', '52', '0', '0', '0', '0', '10', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120011', 'Helmet of Magic Resistance', '$569', '$569', 'helm', 'iron', '35000', '1204', '18', '229', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120016', 'Mambo Hat', '$3252', '$3252', 'helm', 'leather', '10000', '1628', '4111', '1287', '1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0');
INSERT INTO `armor` VALUES ('120043', 'Helmet', '$128', '$128', 'helm', 'iron', '30000', '55', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120056', 'Cloak of Magic Resistance', '$182', '$182', 'cloak', 'cloth', '10000', '265', '3808', '111', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120074', 'Silver Cloak', '$656 $225', '$656 $225', 'cloak', 'silver', '30000', '1087', '2937', '874', '-2', '4', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120077', 'Cloak of Invisibility', '$180', '$180', 'cloak', 'cloth', '10000', '272', '3806', '110', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120085', 'T-Shirt', '$168', '$168', 'T', 'cloth', '5000', '110', '24', '104', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120101', 'Splint Mail', '$156', '$156', 'armor', 'iron', '350000', '10', '3772', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120112', 'Mambo Coat', '$3251', '$3251', 'armor', 'leather', '10000', '1630', '4113', '1286', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '-1', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '-10', '0', '0', '0', '0', '40', '0', '0');
INSERT INTO `armor` VALUES ('120128', 'Crystal Plate Mail', '$153', '$153', 'armor', 'gemstone', '350000', '32', '3769', '0', '-8', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120137', 'Elven Chain Mail', '$595', '$595', 'armor', 'mithril', '150000', '281', '9', '0', '-5', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120149', 'Bronze Plate Mail', '$154', '$154', 'armor', 'copper', '450000', '22', '3770', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120154', 'Plate Mail', '$152', '$152', 'armor', 'iron', '450000', '73', '3768', '0', '-7', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120182', 'Gloves', '$330', '$330', 'glove', 'leather', '10000', '141', '182', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120242', 'Large Shield', '$193', '$193', 'shield', 'iron', '100000', '61', '23', '0', '-2', '4', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120244', 'Old Amulet of Charisma', '$1667 $1007', '$1667 $1007', 'amulet', 'gemstone', '5000', '642', '8', '311', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '-2', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120245', 'Old Amulet of Dexterity', '$1667 $1003', '$1667 $1003', 'amulet', 'gemstone', '5000', '638', '8', '307', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120246', 'Old Amulet of Strength', '$1667 $1002', '$1667 $1002', 'amulet', 'gemstone', '5000', '637', '8', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120247', 'Old Amulet of Intelligence', '$1667 $1005', '$1667 $1005', 'amulet', 'gemstone', '5000', '640', '8', '309', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120248', 'Old Amulet of Wisdom', '$1667 $1006', '$1667 $1006', 'amulet', 'gemstone', '5000', '641', '8', '310', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120249', 'Old Amulet of Constitution', '$1667 $1004', '$1667 $1004', 'amulet', 'gemstone', '5000', '639', '8', '308', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '-2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120254', 'Amulet of Charisma', '$1007', '$1007', 'amulet', 'gemstone', '5000', '1192', '3163', '311', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120256', 'Amulet of Dexterity', '$1003', '$1003', 'amulet', 'gemstone', '5000', '1188', '3159', '307', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120264', 'Amulet of Strength', '$1002', '$1002', 'amulet', 'gemstone', '5000', '1187', '3158', '306', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120266', 'Amulet of Intelligence', '$1005', '$1005', 'amulet', 'gemstone', '5000', '1190', '3161', '309', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120267', 'Amulet of Wisdom', '$1006', '$1006', 'amulet', 'gemstone', '5000', '1191', '3162', '310', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120268', 'Amulet of Constitution', '$1004', '$1004', 'amulet', 'gemstone', '5000', '1189', '3160', '308', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120280', 'Ring of Immunity to Magic', '$1662', '$1662', 'ring', 'gold', '3000', '626', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120285', 'Ring of Water Resistance', '$1664', '$1664', 'ring', 'gold', '3000', '629', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120289', 'Abyss Ring', '$3257', '$3257', 'ring', 'platinum', '3000', '1637', '4120', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0');
INSERT INTO `armor` VALUES ('120300', 'Ring of Earth Resistance', '$1665', '$1665', 'ring', 'gold', '3000', '627', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120302', 'Ring of Wind Resistance', '$1666', '$1666', 'ring', 'gold', '3000', '630', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120304', 'Ring of Fire Resistance', '$1663', '$1663', 'ring', 'gold', '3000', '628', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120306', 'Old Belt of Body', '$1667 $1669', '$1667 $1669', 'belt', 'leather', '50000', '631', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120307', 'Old Belt of Soul', '$1667 $1671', '$1667 $1671', 'belt', 'leather', '50000', '633', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '15', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120308', 'Old Belt of Mind', '$1667 $1670', '$1667 $1670', 'belt', 'leather', '50000', '632', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120309', 'Shining Belt of Body', '$2601', '$2601', 'belt', 'leather', '50000', '1168', '3119', '936', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120310', 'Shining Belt of Soul', '$2603', '$2603', 'belt', 'leather', '50000', '1170', '3121', '938', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '20', '1', '1', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120311', 'Shining Belt of Mind', '$2602', '$2602', 'belt', 'leather', '50000', '1169', '3120', '937', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120312', 'Belt of Body', '$1669', '$1669', 'belt', 'leather', '50000', '634', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120316', 'Belt of Soul', '$1671', '$1671', 'belt', 'leather', '50000', '636', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '25', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120317', 'Ogre Belt', '$1819', '$1819', 'belt', 'leather', '50000', '697', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120319', 'Belt of Mind', '$1670', '$1670', 'belt', 'leather', '50000', '635', '1165', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120320', 'Titan Belt', '$1820', '$1820', 'belt', 'leather', '50000', '698', '1165', '0', '0', '-1', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('120321', 'Troll Belt', '$1818', '$1818', 'belt', 'leather', '50000', '699', '1165', '0', '0', '-1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220034', 'Orcish Helm', '$120', '$120', 'helm', 'iron', '30000', '54', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220043', 'Helmet', '$128', '$128', 'helm', 'iron', '30000', '55', '18', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220056', 'Cloak of Magic Resistance', '$182', '$182', 'cloak', 'cloth', '10000', '265', '3808', '111', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220101', 'Banded Mail', '$156', '$156', 'armor', 'iron', '350000', '10', '3772', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220115', 'Splint Mail', '$155', '$155', 'armor', 'iron', '400000', '102', '3771', '0', '-6', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220122', 'Scale Mail', '$162', '$162', 'armor', 'iron', '250000', '89', '3840', '0', '-4', '4', '1', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220125', 'Chain Mail', '$159', '$159', 'armor', 'iron', '300000', '26', '3773', '0', '-5', '4', '1', '1', '0', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220135', 'Orcish Ring Mail', '$165', '$165', 'armor', 'iron', '250000', '442', '3834', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220136', 'Orcish Chain Mail', '$160', '$160', 'armor', 'iron', '300000', '443', '3774', '0', '-4', '4', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220147', 'Studded Leather Armor', '$163', '$163', 'armor', 'leather', '150000', '109', '3842', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220154', 'Plate Mail', '$152', '$152', 'armor', 'iron', '450000', '73', '3768', '0', '-7', '4', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220213', 'Low Boots', '$206', '$206', 'boots', 'leather', '10000', '65', '25', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220237', 'Orcish Shield', '$189', '$189', 'shield', 'iron', '50000', '114', '23', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220293', 'Cursed Diamond Ring', '$3503', '$3503', 'ring', 'gold', '1000', '1776', '4351', '1495', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '-1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220294', 'Cursed Ruby Ring', '$3501', '$3501', 'ring', 'gold', '1000', '1770', '4348', '1492', '2', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220295', 'Cursed Sapphire Ring', '$3502', '$3502', 'ring', 'gold', '1000', '1772', '4349', '1493', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '-10', '-10', '-10', '-10', '0', '5', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('220296', 'Cursed Emerald Ring', '$3528', '$3528', 'ring', 'gold', '1000', '1774', '4350', '1494', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '-10', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('29001', 'Wooden Jacket', 'Wooden Jacket', 'Wooden Jacket', 'armor', 'wood', '40000', '51', '9', '0', '-1', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('29002', 'Pink Unisex Earrings', 'Pink Unisex Earrings', 'Pink Unisex Earrings', 'earring', 'gold', '15000', '2030', '3963', '1815', '-5', '-1', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21028', 'T-shirt with %i\'s Strength', '$5356', '$5356', 'T', 'cloth', '10000', '2663', '24', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21029', 'T-shirt with %i\'s Agility', '$5357', '$5357', 'T', 'cloth', '10000', '2663', '24', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21030', 'T-shirt with %i\'s Charm', '$5358', '$5358', 'T', 'cloth', '10000', '2663', '24', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21031', 'T-shirt with %i\'s Magic Power', '$5359', '$5359', 'T', 'cloth', '10000', '2663', '24', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21032', 'T-shirt with %i\'s Physical Strength', '$5360', '$5360', 'T', 'cloth', '10000', '2663', '24', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21033', 'T-shirt with %i\'s Mana', '$5361', '$5361', 'T', 'cloth', '10000', '2663', '24', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21034', 'Rabbit Ring', '$3714', '$3714', 'ring', 'bone', '1000', '1865', '4687', '0', '-2', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21037', 'Shield of Illusion', 'Shield of Illusion', 'Shield of Illusion', 'shield', 'silver', '5000', '1660', '3174', '0', '-4', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21036', 'T-Shirt of Illusion', 'T-Shirt of Illusion', 'T-Shirt of Illusion', 'T', 'steel', '5000', '1822', '3830', '0', '-2', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21035', 'Helm of Illusion', 'Helm of Illusion', 'Helm of Illusion', 'helm', 'silver', '5000', '1641', '4244', '0', '-4', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21038', 'Boots of Illusion', 'Boots of Illusion', 'Boots of Illusion', 'boots', 'silver', '5000', '1639', '4242', '0', '-4', '4', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21039', 'Burning Circlet', 'Burning Circlet', 'Burning Circlet', 'helm', 'iron', '5000', '969', '18', '0', '-3', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21040', 'Burning Shield', 'Burning Shield', 'Burning Shield', 'shield', 'iron', '50000', '1660', '3174', '0', '-7', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21041', 'Burning Boots', 'Burning Boots', 'Burning Boots', 'boots', 'iron', '50000', '1669', '4270', '0', '-7', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21042', 'Burning Gloves', 'Burning Gloves', 'Burning Gloves', 'glove', 'iron', '50000', '1665', '4268', '0', '-6', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21043', 'Talisman of Ironclad', 'Talisman of Ironclad', 'Talisman of Ironclad', 'amulet', 'gemstone', '10000', '1187', '3158', '0', '-2', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21044', 'Talisman of Jiedi', 'Talisman of Jiedi', 'Talisman of Jiedi', 'amulet', 'gemstone', '10000', '1190', '3161', '0', '-2', '-1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21045', 'Talisman of Secret Maneuvers', 'Talisman of Secret Maneuvers', 'Talisman of Secret Maneuvers', 'amulet', 'gemstone', '10000', '1188', '3159', '0', '-2', '-1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21046', 'Talisman of Mercy', 'Talisman of Mercy', 'Talisman of Mercy', 'amulet', 'gemstone', '10000', '1192', '3163', '0', '-2', '-1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '6', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21047', 'Lucky Coin', '$1956 $6344', '$1956 $6344', 'ring', 'gold', '20000', '976', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21048', 'Repaired Ring', '$5266', '$5266', 'ring', 'iron', '5000', '2668', '6363', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21049', 'Repaired Earrings', '$5267', '$5267', 'earring', 'iron', '5000', '2664', '6361', '0', '-1', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21050', 'Repaired Necklace', '$5268', '$5268', 'amulet', 'iron', '5000', '2666', '6362', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21051', 'Wet Helmet', '$5269', '$5269', 'helm', 'iron', '40000', '2625', '6357', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21052', 'Wet Cloak', '$5270', '$5270', 'cloak', 'cloth', '30000', '2621', '6356', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21053', 'Wet Armor', '$5271', '$5271', 'armor', 'iron', '100000', '2620', '6355', '0', '-3', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21054', 'Wet Gloves', '$5272', '$5272', 'glove', 'iron', '60000', '2624', '6359', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21055', 'Wet Boots', '$5273', '$5273', 'boots', 'iron', '40000', '2623', '6358', '0', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21056', 'Wet Shield', '$5274', '$5274', 'shield', 'iron', '80000', '2622', '6360', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21057', 'Cloak of Training Knight', '$5021', '$5021', 'cloak', 'leather', '10000', '2551', '6128', '2600', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21058', 'Cloak of Training Knight', '$5021', '$5021', 'cloak', 'leather', '10000', '2552', '6127', '2600', '-2', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21059', 'Cloak of Poison Serpent', '$5022', '$5022', 'cloak', 'leather', '10000', '2562', '6126', '2601', '-4', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21060', 'Halloween Pumpkin Armor', '$5255', '$5255', 'armor', 'wood', '200000', '2653', '6402', '2792', '-6', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '31', '6', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '7', '0');
INSERT INTO `armor` VALUES ('21061', 'T-Shirt of Ghost Man', 'T-Shirt of Ghost Man', 'T-Shirt of Ghost Man', 'T', 'cloth', '10000', '1053', '2896', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21062', 'T-Shirt of Ghost Woman', 'T-Shirt of Ghost Woman', 'T-Shirt of Ghost Woman', 'T', 'cloth', '10000', '69', '3822', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21063', 'Swimwear Me\'s Briefs', 'Swimwear Men\'s Briefs', 'Swimwear Men\'s Briefs', 'T', 'cloth', '5000', '3060', '24', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21064', 'Swimwear Men\'s Trunks', 'Swimwear Men\'s Trunks', 'Swimwear Men\'s Trunks', 'T', 'cloth', '5000', '3058', '24', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21065', 'Swimwear Women\'s One Piece', 'Swimwear Women\'s One Piece', 'Swimwear Women\'s One Piece', 'T', 'cloth', '5000', '3062', '24', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21066', 'Swimwear Women\'s Bikini', 'Swimwear Women\'s Bikini', 'Swimwear Women\'s Bikini', 'T', 'cloth', '5000', '3064', '24', '0', '0', '-1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21067', 'Pumpkin Armor', '$10090', '$10090', 'armor', 'wood', '200000', '2653', '6402', '6029', '-6', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '10', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0');
INSERT INTO `armor` VALUES ('21068', 'Ultimate Halloween Pumpkin Armor', '$10092', '$10092', 'armor', 'wood', '200000', '3235', '6402', '6031', '-6', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '0');
INSERT INTO `armor` VALUES ('21085', 'Ice Queen\'s Earring Lvl 4', '$5545', '$5545', 'earring', 'gemstone', '5000', '2136', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '5', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21084', 'Ice Queen\'s Earring Lvl 3', '$5545', '$5545', 'earring', 'gemstone', '5000', '2135', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21083', 'Ice Queen\'s Earring Lvl 2', '$5545', '$5545', 'earring', 'gemstone', '5000', '2134', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21082', 'Ice Queen\'s Earring Lvl 1', '$5545', '$5545', 'earring', 'gemstone', '5000', '2133', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21081', 'Ice Queen\'s Earring Lvl 0', '$5545', '$5545', 'earring', 'gemstone', '5000', '2132', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21080', 'Belt of New Life (fire)', '$5549', '$5549', 'earring', 'gemstone', '5000', '3248', '3963', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '2', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21079', 'Belt of New Life (fire)', '$5549', '$5549', 'earring', 'gemstone', '5000', '3246', '3963', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '2', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21078', 'Belt of New Life (fire)', '$5549', '$5549', 'earring', 'gemstone', '5000', '3250', '3963', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '2', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21077', 'Belt of New Life (fire)', '$5549', '$5549', 'earring', 'gemstone', '5000', '3240', '3963', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '10', '5', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21076', 'Belt of New Life (fire)', '$5549', '$5549', 'earring', 'gemstone', '5000', '3239', '3963', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21075', 'Belt of New Life (fire)', '$5549', '$5549', 'earring', 'gemstone', '5000', '3242', '3963', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21074', 'Belt of New Life (fire)', '$5549', '$5549', 'earring', 'gemstone', '5000', '3237', '3963', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21073', 'Belt of New Life (Earth)', '$5551', '$5551', 'belt', 'blackmithril', '40000', '2908', '1165', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '12', '12', '0', '0', '0', '0', '0', '3', '0', '0', '8', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21072', 'Belt of New Life (Fire)', '$5549', '$5549', 'belt', 'blackmithril', '40000', '2907', '1165', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '12', '12', '0', '0', '0', '0', '0', '3', '0', '0', '8', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21071', 'Belt of New Life (Wind)', '$5550', '$5550', 'belt', 'blackmithril', '40000', '2906', '1165', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '12', '12', '0', '0', '0', '0', '0', '3', '0', '0', '8', '0', '0', '0', '0', '1', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21070', 'Belt of New Life (Water)', '$5548', '$5548', 'belt', 'blackmithril', '40000', '2905', '1165', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '12', '12', '0', '0', '0', '0', '0', '3', '0', '0', '8', '0', '0', '0', '0', '1', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21069', 'Belt of New Life', '$5548', '$5548', 'belt', 'blackmithril', '40000', '2904', '1165', '0', '-1', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '12', '12', '0', '0', '0', '0', '0', '3', '0', '0', '8', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21086', 'Ice Queen\'s Earring Lvl 5', '$5545', '$5545', 'earring', 'gemstone', '5000', '2137', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '10', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21087', 'Ice Queen\'s Earring Lvl 6', '$5545', '$5545', 'earring', 'gemstone', '5000', '2138', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '15', '10', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21088', 'Ice Queen\'s Earring Lvl 7', '$5545', '$5545', 'earring', 'gemstone', '5000', '2139', '5785', '3055', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '20', '10', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21089', 'Ice Queen\'s Earring Lvl 8', '$5545', '$5545', 'earring', 'gemstone', '5000', '2140', '5785', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '20', '10', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21090', 'Ice Queen\'s Earring Lvl 9', '$5545', '$5545', 'earring', 'gemstone', '5000', '2140', '5785', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '20', '10', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21091', 'Ice Queen\'s Earring Lvl 10', '$5545', '$5545', 'earring', 'gemstone', '5000', '2140', '5785', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '0', '20', '10', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21092', '??????', '$10100', '$10100', 'ring', 'gold', '3000', '2921', '6954', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '2', '0', '0', '3', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21093', 'Ring of Thebes Osiris', '$5723', '$5723', 'ring', 'gold', '5000', '3055', '6960', '3268', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21094', 'Ring of Thebes Anubis', '$5724', '$5724', 'ring', 'gold', '5000', '3044', '6954', '3269', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0');
INSERT INTO `armor` VALUES ('21095', 'Belt of Thebes Osiris', '$5722', '$5722', 'belt', 'gold', '50000', '3045', '6955', '3267', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '10', '0', '2', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21096', 'Golden Box', '$5573', '$5573', 'earring', 'gemstone', '1000', '2978', '7069', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21097', 'Earring of Destiny', '$5574', '$5574', 'earring', 'gemstone', '1000', '2979', '7070', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21098', 'Earring of Rifleman', '$5575', '$5575', 'earring', 'gemstone', '1000', '2980', '7071', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21099', 'Earring of Gladiator', '$5576', '$5576', 'earring', 'gemstone', '1000', '2983', '7072', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21100', 'Earring of the Great Wizard', '$5659', '$5659', 'cloak', 'cloth', '10000', '3004', '6356', '3214', '-1', '6', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '20', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21101', 'Spellbook of Illusionist', '$5660', '$5660', 'shield', 'paper', '30000', '3006', '6964', '3215', '-2', '6', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0', '20', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21102', 'Cloak of Dragon Knight', '$5665', '$5665', 'cloak', 'cloth', '18000', '3023', '6356', '3222', '-1', '6', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '30', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21103', 'Dragon Scale Guarder', '$5666', '$5666', 'guarder', 'bone', '30000', '3024', '7045', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21104', 'Crystal Guarder', '$5667', '$5667', 'guarder', 'bone', '30000', '3041', '6951', '0', '0', '0', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21105', 'Guarder of Ancient Archer', '$6094', '$6094', 'guarder', 'blackmithril', '30000', '3230', '6947', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '80', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21106', 'Guarder of Ancient Warrior', '$6095', '$6095', 'guarder', 'blackmithril', '30000', '3231', '7046', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '5', '5', '5', '5', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21107', 'Wooden Jacket', '$798', '$798', 'armor', 'wood', '30000', '51', '9', '0', '-1', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('21108', 'T-shirt with %i\'s Mana', '$5256', '$5256', 'T', 'cloth', '10000', '2663', '24', '0', '0', '4', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30000', 'Reinforced T-Shirt', 'Reinforced T-Shirt', 'Reinforced T-Shirt', 'T', 'steel', '6000', '2000', '5051', '0', '-2', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30001', 'Fortified T-Shirt', 'Fortified T-Shirt', 'Fortified T-Shirt', 'T', 'steel', '7500', '302', '9', '0', '-4', '4', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '45', '0', '0', '0', '3', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30006', 'Mermaid\'s Ring', 'Mermaid\'s Ring', 'Mermaid\'s Ring', 'ring', 'gold', '1000', '629', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30008', 'Mermaid`s Necklace', 'Mermaid`s Necklace', 'Mermaid`s Necklace', 'amulet', 'gemstone', '5000', '436', '3161', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30002', 'Ruby Ring', 'Ruby Ring', 'Ruby Ring', 'ring', 'iron', '1000', '628', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30003', 'Sapphire Ring', 'Sapphire Ring', 'Sapphire Ring', 'ring', 'iron', '1000', '629', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30004', 'Moonstone Ring', 'Moonstone Ring', 'Moonstone Ring', 'ring', 'iron', '1000', '630', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '-4', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30005', 'Carnelian Ring', 'Carnelian Ring', 'Carnelian Ring', 'ring', 'iron', '1000', '627', '21', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '4', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor` VALUES ('30007', 'Amulet', 'Amulet', 'Amulet', 'amulet', 'gemstone', '5000', '6', '3164', '0', '0', '-1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('1', 'Demon Set', 'Demon', '20009,20099,20165,20197', '3889', '-2', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('2', 'Death Knight Set', 'Death Knight', '20010,20100,20166,20198', '6137', '-4', '0', '0', '-7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('3', 'Pretender King Set', 'Ken Rahuel', '20024,20118,20170,20203', '3903', '-3', '0', '0', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('4', 'Kurtz Set', 'Kurtz', '20041,20150,20184,20214', '3101', '-4', '0', '0', '-7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('5', 'Cerenis Set', 'Cerenis', '20042,20151,20185,20215', '3902', '-2', '0', '100', '0', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('6', 'Pumpkin Set', 'Jack-O-Lantern', '20047', '2501', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('7', 'Cloak of Vampire', 'Vampire', '20079', '3952', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('8', 'Cloak of Sashin', 'Death', '20342', '2388', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('9', 'Easter Bunny Hat', 'Pink Vest Mambo', '20343', '4767', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('10', 'Easter Bunny Hat w/Carrot', 'Orange Vest Mambo', '20344', '4769', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('11', 'Left-Hand Ring of Dopple Boss', 'Skeleton', '20278', '2374', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('12', 'Right-Hand Ring of Dopple Boss', 'Orc Fighter', '20277', '3864', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('13', 'Necklace of Doppleganger Boss', 'Werewolf', '20250', '3865', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('14', 'High Collie Choker', 'High Collie', '20345', '4928', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('15', 'High Raccoon Necklace', 'High Raccoon', '20346', '4929', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('16', 'Hakama', 'Blue Hakama', '20347', '4227', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('17', 'Holiday Attire', 'Orange Haregi', '20348', '3750', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('18', 'Amulet of Beagle', 'Beagle', '20349', '938', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('19', 'Amulet of Snow Man', 'Snowman', '20350', '2064', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('20', 'Carrot and Stocking', 'Snowman', '20351,20352', '2064', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('21', 'Lucky Cat Scarf', 'Manekineko Cat', '20420', '5719', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('22', 'Red Mask', 'Red Orc', '20382', '6010', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('23', 'Drake Captain Transformation Turban', 'Captain Drake', '20452', '6089', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('24', 'Iris Transformation Turban', 'Iris', '20453', '4001', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('25', 'Knight Vald Transformation Turban', 'Knight Vald', '20454', '4000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('26', 'Succubus Queen Transformation Turban', 'Succubus Queen', '20455', '4004', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('27', 'Red Soccer Uniform', 'Red Soccer Player', '20456', '5184', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('28', 'Blue Soccer Uniform', 'Blue Soccer Player', '20457', '5186', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('29', 'Red Orc Mask', 'Red Orc', '20458', '6010', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('30', 'Helmet for Horse Riding', 'Mounted Royal', '20383', '6080', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('31', 'Halloween Blessing Cap', 'Jack-O-Lantern', '20380', '6400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('32', 'High Bear Choker', 'High Bear', '20419', '5976', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('33', 'Leather Set', 'None', '20001,20090,20193,20219', '-1', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('34', 'Orcish Fighter Set', 'Orc Fighter', '20034,20072,20135,20237', '3864', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('35', 'Dwarf Set', 'Dwarf', '20007,20052,20223', '3863', '-1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('36', 'Studded Leather Set', 'None', '20038,20148,20241,20212', '-1', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('37', 'Bone Set', 'None', '20045,20124,20221', '-1', '-2', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('38', 'Elven Named Set', 'None', '20389,20393,20401,20409,20406', '-1', '-2', '15', '10', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('39', 'Mage Set', 'None', '20012,20111', '-1', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('40', 'Iron Set', 'None', '20003,20091,20163,20194,20220', '-1', '-7', '30', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('41', 'Blue Pirate Set', 'None', '20044,20155,20188,20217', '-1', '-1', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('42', 'Yahee Set', 'None', '20031,20069,20083,20131,20179,20209,20290,20261', '-1', '-88', '100', '100', '15', '15', '0', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('43', 'Arcane King Set', 'None', '20057,20109,20178,20200', '-1', '0', '30', '30', '10', '10', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('44', 'Fidelity Set', 'None', '20390,20395,20402,20410,20408', '-1', '-20', '100', '20', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('45', 'Wet Set', 'None', '21051,21052,21053,21054,21055,21056', '-1', '-10', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('46', 'Hope Set', 'None', '20413,20428', '-1', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('47', 'Luck Set', 'None', '20414,20430', '-1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('48', 'Passion Set', 'None', '20415,20429', '-1', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('49', 'Truth Set', 'None', '20416,20431', '-1', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('50', 'Miracle Set', 'None', '20417,20432', '-1', '0', '15', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('51', 'Affection Set', 'None', '20418,20433', '-1', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('52', 'Red Curse Set', 'None', '20423,21019', '-1', '0', '0', '0', '0', '0', '0', '2', '0', '-2', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('53', 'Blue Curse Set', 'None', '20424,21019', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-2', '0', '2', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('54', 'Green Curse Set', 'None', '20425,21019', '-1', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-2', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('75', 'Red Knight Set', '', '20230,20027', '-1', '-2', '10', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('56', 'T-Shirt of Ghost Woman', 'Drowned Male', '21062', '5412', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('57', 'Male Swimwear: Briefs', 'Drowned Female', '21063', '6746', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('58', 'Male Swimwear: Trunks', 'Male: Briefs', '21064', '6747', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('59', 'Woman SwimSuit', 'Male: Trunks', '21065', '6749', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('60', 'Women Swimwear: Bikini', 'Woman SwimSuit', '21066', '6750', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `armor_set` VALUES ('55', 'T-Shirt of Ghost Man', 'None', '21061', '5484', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ban_ip` VALUES ('58.120.214.241');
INSERT INTO `ban_ip` VALUES ('69.246.255.39');
INSERT INTO `ban_ip` VALUES ('70.188.175.243');
INSERT INTO `ban_ip` VALUES ('75.172.49.146');
INSERT INTO `beginner` VALUES ('1', '40308', '100', '0', 'Adena', 'A', '0', '0');
INSERT INTO `beginner` VALUES ('2', '4', '1', '0', 'Dagger', 'A', '0', '0');
INSERT INTO `beginner` VALUES ('4', '173', '1', '0', 'Short Bow', 'E', '0', '0');
INSERT INTO `beginner` VALUES ('5', '40743', '100', '0', 'Arrow', 'E', '0', '0');
INSERT INTO `beginner` VALUES ('7', '20322', '1', '0', 'Leather Jacket', 'P', '0', '0');
INSERT INTO `beginner` VALUES ('8', '20322', '1', '0', 'Leather Jacket', 'K', '0', '0');
INSERT INTO `beginner` VALUES ('9', '20322', '1', '0', 'Leather Jacket', 'W', '0', '0');
INSERT INTO `beginner` VALUES ('10', '20322', '1', '0', 'Leather Jacket', 'D', '0', '0');
INSERT INTO `beginner` VALUES ('3', '29001', '1', '0', 'Wooden Jacket', 'E', '0', '0');
INSERT INTO `beginner` VALUES ('6', '40641', '1', '0', 'Talking Scroll', 'A', '0', '0');
INSERT INTO `board_auction` VALUES ('262145', 'Giran House 1', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262148', 'Giran House 4', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262149', 'Giran House 5', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262151', 'Giran House 7', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262152', 'Giran House 8', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262153', 'Giran House 9', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262155', 'Giran House 11', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262156', 'Giran House 12', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262157', 'Giran House 13', '120', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262158', 'Giran House 14', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262159', 'Giran House 15', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262160', 'Giran House 16', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262161', 'Giran House 17', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262162', 'Giran House 18', '120', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262163', 'Giran House 19', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262164', 'Giran House 20', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262165', 'Giran House 21', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262167', 'Giran House 23', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262168', 'Giran House 24', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262169', 'Giran House 25', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262171', 'Giran House 27', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262172', 'Giran House 28', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262173', 'Giran House 29', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262174', 'Giran House 30', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262175', 'Giran House 31', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262176', 'Giran House 32', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262177', 'Giran House 33', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262178', 'Giran House 34', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262181', 'Giran House 37', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262182', 'Giran House 38', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262183', 'Giran House 39', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262184', 'Giran House 40', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262185', 'Giran House 41', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262186', 'Giran House 42', '45', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262187', 'Giran House 43', '120', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('262189', 'Giran House 45', '78', '2009-01-24 00:00:00', '100000', 'Giran', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327681', 'Heine House 1', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327682', 'Heine House 2', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327683', 'Heine House 3', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327684', 'Heine House 4', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327685', 'Heine House 5', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327686', 'Heine House 6', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327687', 'Heine House 7', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327688', 'Heine House 8', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327689', 'Heine House 9', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327690', 'Heine House 10', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('327691', 'Heine House 11', '0', '2009-01-24 00:00:00', '100000', 'Heine', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('524289', 'Gludio House 1', '48', '2009-01-24 00:00:00', '100000', 'Gludio', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('524290', 'Gludio House 2', '71', '2009-01-24 00:00:00', '100000', 'Gludio', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('524291', 'Gludio House 3', '48', '2009-01-24 00:00:00', '100000', 'Gludio', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('524292', 'Gludio House 4', '48', '2009-01-24 00:00:00', '100000', 'Gludio', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('524293', 'Gludio House 5', '82', '2009-01-24 00:00:00', '100000', 'Gludio', '', '0', '', '0');
INSERT INTO `board_auction` VALUES ('524294', 'Gludio House 6', '40', '2009-01-24 00:00:00', '100000', 'Gludio', '', '0', '', '0');
INSERT INTO `castle` VALUES ('1', 'Kent Castle', '2008-09-06 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('2', 'Orc Castle', '2008-05-01 21:00:00', '10', '0');
INSERT INTO `castle` VALUES ('3', 'Windawood Castle', '2008-10-06 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('4', 'Giran Castle', '2008-09-29 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('5', 'Heine Castle', '2008-10-08 22:00:00', '10', '0');
INSERT INTO `castle` VALUES ('6', 'Dwarf Castle', '2008-10-06 20:00:00', '10', '0');
INSERT INTO `castle` VALUES ('7', 'Aden Castle', '2008-10-08 20:00:00', '10', '0');
INSERT INTO `castle` VALUES ('8', 'Diad Fortress', '2008-10-06 20:00:00', '10', '0');
INSERT INTO `commands` VALUES ('echo', '200', 'L1Echo');
INSERT INTO `commands` VALUES ('setting', '200', 'L1Status');
INSERT INTO `commands` VALUES ('summon', '200', 'L1Summon');
INSERT INTO `commands` VALUES ('cleaning', '200', 'L1DeleteGroundItem');
INSERT INTO `commands` VALUES ('addskill', '200', 'L1AddSkill');
INSERT INTO `commands` VALUES ('level', '200', 'L1Level');
INSERT INTO `commands` VALUES ('loc', '100', 'L1Loc');
INSERT INTO `commands` VALUES ('desc', '200', 'L1Describe');
INSERT INTO `commands` VALUES ('who', '100', 'L1Who');
INSERT INTO `commands` VALUES ('allbuff', '200', 'L1AllBuff');
INSERT INTO `commands` VALUES ('speed', '100', 'L1Speed');
INSERT INTO `commands` VALUES ('adena', '200', 'L1Adena');
INSERT INTO `commands` VALUES ('hpbar', '200', 'L1HpBar');
INSERT INTO `commands` VALUES ('resettrap', '200', 'L1ResetTrap');
INSERT INTO `commands` VALUES ('reloadtrap', '200', 'L1ReloadTrap');
INSERT INTO `commands` VALUES ('showtrap', '200', 'L1ShowTrap');
INSERT INTO `commands` VALUES ('gfxid', '200', 'L1GfxId');
INSERT INTO `commands` VALUES ('invgfxid', '200', 'L1InvGfxId');
INSERT INTO `commands` VALUES ('hometown', '200', 'L1HomeTown');
INSERT INTO `commands` VALUES ('gm', '200', 'L1GM');
INSERT INTO `commands` VALUES ('present', '200', 'L1Present');
INSERT INTO `commands` VALUES ('lvpresent', '200', 'L1LevelPresent');
INSERT INTO `commands` VALUES ('shutdown', '200', 'L1Shutdown');
INSERT INTO `commands` VALUES ('create', '200', 'L1CreateItem');
INSERT INTO `commands` VALUES ('itemset', '200', 'L1CreateItemSet');
INSERT INTO `commands` VALUES ('buff', '200', 'L1Buff');
INSERT INTO `commands` VALUES ('burf', '200', 'L1Burf');
INSERT INTO `commands` VALUES ('patrol', '200', 'L1Patrol');
INSERT INTO `commands` VALUES ('banip', '200', 'L1BanIp');
INSERT INTO `commands` VALUES ('chat', '200', 'L1Chat');
INSERT INTO `commands` VALUES ('chatng', '200', 'L1ChatNG');
INSERT INTO `commands` VALUES ('skick', '200', 'L1SKick');
INSERT INTO `commands` VALUES ('kick', '200', 'L1Kick');
INSERT INTO `commands` VALUES ('powerkick', '200', 'L1PowerKick');
INSERT INTO `commands` VALUES ('accbankick', '200', 'L1AccountBanKick');
INSERT INTO `commands` VALUES ('poly', '200', 'L1Poly');
INSERT INTO `commands` VALUES ('ress', '200', 'L1Ress');
INSERT INTO `commands` VALUES ('kill', '200', 'L1Kill');
INSERT INTO `commands` VALUES ('gmroom', '100', 'L1GMRoom');
INSERT INTO `commands` VALUES ('resolve', '200', 'L1Resolve');
INSERT INTO `commands` VALUES ('tele', '100', 'L1Move');
INSERT INTO `commands` VALUES ('weather', '100', 'L1ChangeWeather');
INSERT INTO `commands` VALUES ('tospawn', '200', 'L1ToSpawn');
INSERT INTO `commands` VALUES ('f', '200', 'L1Favorite');
INSERT INTO `commands` VALUES ('recall', '200', 'L1Recall');
INSERT INTO `commands` VALUES ('show', '100', 'L1Visible');
INSERT INTO `commands` VALUES ('partyrecall', '200', 'L1PartyRecall');
INSERT INTO `commands` VALUES ('invis', '100', 'L1Invisible');
INSERT INTO `commands` VALUES ('spawn', '200', 'L1SpawnCmd');
INSERT INTO `commands` VALUES ('insert', '200', 'L1InsertSpawn');
INSERT INTO `commands` VALUES ('help', '100', 'L1CommandHelp');
INSERT INTO `commands` VALUES ('action', '200', 'L1Action');
INSERT INTO `commands` VALUES ('rates', '200', 'L1Rates');
INSERT INTO `commands` VALUES ('find', '200', 'L1Search');
INSERT INTO `commands` VALUES ('dm', '200', 'L1StartDm');
INSERT INTO `commands` VALUES ('goto', '100', 'L1ToPC');
INSERT INTO `commands` VALUES ('item', '100', 'L1ItemDrops');
INSERT INTO `commands` VALUES ('mob', '100', 'L1MobDrops');
INSERT INTO `commands` VALUES ('pbuff', '100', 'L1Pbuff');
INSERT INTO `commands` VALUES ('jail', '200', 'L1Jail');
INSERT INTO `commands` VALUES ('viewbug', '100', 'L1ViewBug');
INSERT INTO `commands` VALUES ('gotobug', '200', 'L1GotoBug');
INSERT INTO `commands` VALUES ('pet', '200', 'L1AddPet');
INSERT INTO `commands` VALUES ('findinvis', '200', 'L1FindInvis');
INSERT INTO `door_gfxs` VALUES ('92', 'Pagos Room', '0', '0', '1');
INSERT INTO `door_gfxs` VALUES ('93', 'Pagos Room', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('339', 'Kent Castle', '0', '-1', '0');
INSERT INTO `door_gfxs` VALUES ('442', 'Windawood', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('443', 'Dwarf Castle', '1', '0', '1');
INSERT INTO `door_gfxs` VALUES ('444', 'SKT', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('446', 'SKT', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('447', 'SKT', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('448', 'SKT', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('766', 'Orcish Forest', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('767', 'Orcish Forest', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('768', 'Orcish Forest', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('845', 'SKT', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1010', 'SKT', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1327', 'Giran', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1329', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1330', 'Giran', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1331', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1332', 'Giran', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1333', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1334', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1336', 'Giran Castle', '0', '-1', '0');
INSERT INTO `door_gfxs` VALUES ('1338', 'Giran Castle', '1', '0', '1');
INSERT INTO `door_gfxs` VALUES ('1341', 'Orcish Forest', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1342', 'Giran', '1', '0', '1');
INSERT INTO `door_gfxs` VALUES ('1347', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1348', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1349', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1350', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1351', 'Giran', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1352', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1371', 'Giran', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1373', 'Giran', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1487', 'Giran Dog Race', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1664', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1665', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1688', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1689', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1690', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1691', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1692', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1700', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1734', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1735', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1736', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1737', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1738', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1739', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1740', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1741', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1743', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1744', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1745', 'Heine Castle', '0', '-2', '0');
INSERT INTO `door_gfxs` VALUES ('1750', 'Heine', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1751', 'Heine', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('1826', 'Dwarf Castle', '1', '-2', '1');
INSERT INTO `door_gfxs` VALUES ('1827', 'Dwarf Castle', '0', '-1', '2');
INSERT INTO `door_gfxs` VALUES ('2083', 'Hidden Valley', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2089', 'Hidden Valley', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2114', 'Hidden Valley', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2128', 'Hidden Valley', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2160', 'Oren', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2161', 'Oren', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2162', 'Oren', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2163', 'Oren', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2164', 'Oren', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2190', 'Oren', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2191', 'Oren', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2301', 'Talking Island', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2303', 'Talking Island', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2304', 'Talking Island', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2305', 'Talking Island', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2306', 'Talking Island', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2344', 'Talking Island', '1', '-364', '-364');
INSERT INTO `door_gfxs` VALUES ('2345', 'Talking Island', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2346', 'Talking Island', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2510', 'race', '1', '-3', '4');
INSERT INTO `door_gfxs` VALUES ('2556', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2558', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2574', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2575', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2578', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2579', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2580', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2581', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2582', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2583', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2585', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2588', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2589', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2590', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2591', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2596', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2597', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2598', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2599', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2600', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2603', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2605', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2606', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2608', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2610', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2628', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2629', 'Aden', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2630', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2631', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2634', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2635', 'Aden', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('2732', 'OT Castle', '0', '-1', '2');
INSERT INTO `door_gfxs` VALUES ('2736', 'Kent Castle', '1', '-2', '1');
INSERT INTO `door_gfxs` VALUES ('2744', 'Giran Castle', '0', '0', '3');
INSERT INTO `door_gfxs` VALUES ('2745', 'Giran Castle', '0', '-1', '2');
INSERT INTO `door_gfxs` VALUES ('2746', 'Giran Castle', '1', '-2', '1');
INSERT INTO `door_gfxs` VALUES ('3234', 'Kent Castle', '0', '-2', '1');
INSERT INTO `door_gfxs` VALUES ('6026', 'Gludio', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('6027', 'Gludio', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('6028', 'Gludio', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('6029', 'Gludio', '0', '0', '1');
INSERT INTO `door_gfxs` VALUES ('6030', 'Gludio', '0', '0', '1');
INSERT INTO `door_gfxs` VALUES ('6031', 'Gludio', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('6032', 'Gludio', '0', '0', '0');
INSERT INTO `door_gfxs` VALUES ('6033', 'Gludio', '1', '0', '0');
INSERT INTO `door_gfxs` VALUES ('6336', 'Haunted House', '0', '-1', '1');
INSERT INTO `door_gfxs` VALUES ('6351', 'Haunted House', '1', '-3', '3');
INSERT INTO `door_gfxs` VALUES ('6379', 'Haunted House', '1', '0', '2');
INSERT INTO `door_gfxs` VALUES ('6677', 'race', '1', '-3', '4');
INSERT INTO `door_gfxs` VALUES ('6692', 'Death match', '0', '0', '1');
INSERT INTO `door_gfxs` VALUES ('6694', 'Death match', '1', '-1', '0');
INSERT INTO `door_gfxs` VALUES ('7536', 'Hardin Quest', '0', '0', '0');
INSERT INTO `drop_item` VALUES ('1', '1', '1', '');
INSERT INTO `drop_item` VALUES ('200001', '1', '1', '');
INSERT INTO `drop_item` VALUES ('21', '1', '1', '');
INSERT INTO `drop_item` VALUES ('91', '1', '1', '');
INSERT INTO `drop_item` VALUES ('171', '1', '1', '');
INSERT INTO `drop_item` VALUES ('200171', '1', '1', '');
INSERT INTO `drop_item` VALUES ('23', '1', '1', '');
INSERT INTO `drop_item` VALUES ('25', '1', '1', '');
INSERT INTO `drop_item` VALUES ('100025', '1', '1', '');
INSERT INTO `drop_item` VALUES ('26', '1', '1', '');
INSERT INTO `drop_item` VALUES ('27', '1', '1', '');
INSERT INTO `drop_item` VALUES ('100027', '1', '1', '');
INSERT INTO `drop_item` VALUES ('200027', '1', '1', '');
INSERT INTO `drop_item` VALUES ('31', '1', '1', '');
INSERT INTO `drop_item` VALUES ('93', '1', '1', '');
INSERT INTO `drop_item` VALUES ('94', '1', '1', '');
INSERT INTO `drop_item` VALUES ('96', '1', '1', '');
INSERT INTO `drop_item` VALUES ('98', '1', '1', '');
INSERT INTO `drop_item` VALUES ('100098', '1', '1', '');
INSERT INTO `drop_item` VALUES ('102', '1', '1', '');
INSERT INTO `drop_item` VALUES ('100102', '1', '1', '');
INSERT INTO `drop_item` VALUES ('103', '1', '1', '');
INSERT INTO `drop_item` VALUES ('100103', '1', '1', '');
INSERT INTO `drop_item` VALUES ('136', '1', '1', '');
INSERT INTO `drop_item` VALUES ('137', '1', '1', '');
INSERT INTO `drop_item` VALUES ('138', '1', '1', '');
INSERT INTO `drop_item` VALUES ('139', '1', '1', '');
INSERT INTO `drop_item` VALUES ('140', '1', '1', '');
INSERT INTO `drop_item` VALUES ('143', '1', '1', '');
INSERT INTO `drop_item` VALUES ('100143', '1', '1', '');
INSERT INTO `drop_item` VALUES ('144', '1', '1', '');
INSERT INTO `drop_item` VALUES ('172', '1', '1', '');
INSERT INTO `drop_item` VALUES ('100172', '1', '1', '');
INSERT INTO `drop_item` VALUES ('173', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20034', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220034', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20072', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20135', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220135', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20136', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220136', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20237', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220237', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20007', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20052', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20223', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20043', '1', '1', '');
INSERT INTO `drop_item` VALUES ('120043', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220043', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20089', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20096', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20147', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220147', '1', '1', '[');
INSERT INTO `drop_item` VALUES ('20122', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220122', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20125', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220125', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20149', '1', '1', '');
INSERT INTO `drop_item` VALUES ('120149', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20115', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220115', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20101', '1', '1', '');
INSERT INTO `drop_item` VALUES ('120101', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220101', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20239', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20242', '1', '1', '');
INSERT INTO `drop_item` VALUES ('120242', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20213', '1', '1', '');
INSERT INTO `drop_item` VALUES ('220213', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20205', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20182', '1', '1', '');
INSERT INTO `drop_item` VALUES ('120182', '1', '1', '');
INSERT INTO `drop_item` VALUES ('20162', '1', '1', '');
INSERT INTO `drop_item` VALUES ('40001', '1', '1', '');
INSERT INTO `drop_item` VALUES ('40002', '1', '1', '');
INSERT INTO `drop_item` VALUES ('40005', '1', '1', '');
INSERT INTO `droplist` VALUES ('45005', 'Frog', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45006', 'Sea Anemone', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45006', 'Sea Anemone', '40308', 'Adena', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45008', 'Goblin', '23', 'Broad Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45008', 'Goblin', '40010', 'Lesser Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45008', 'Goblin', '40308', 'Adena', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45008', 'Goblin', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45008', 'Goblin', '40899', 'Lump of Rough Iron', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '1', 'Orcish Dagger', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '21', 'Orcish Short Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '20034', 'Orcish Helm', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '20135', 'Orcish Ring Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40005', 'Candle', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40006', 'Pine Wand', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40088', 'Scroll of Polymorph', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40308', 'Adena', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40496', 'Rough Mithril', '1', '3', '100000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40899', 'Lump of Rough Iron', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '200001', 'Orcish Dagger', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '220034', 'Orcish Helm', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '220135', 'Orcish Ring Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45010', 'Rabbit', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45010', 'Rabbit', '40405', 'Fur', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45012', 'Rabbit', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45016', 'Kobold', '138', 'Club', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45016', 'Kobold', '20213', 'Low Boots', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45016', 'Kobold', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45016', 'Kobold', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45016', 'Kobold', '40308', 'Adena', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('45016', 'Kobold', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45017', 'Orc', '40005', 'Candle', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45017', 'Orc', '40029', 'Ivory Tower Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45017', 'Orc', '40308', 'Adena', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '171', 'Orcish Bow', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '20034', 'Orcish Helm', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '20135', 'Orcish Ring Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '20136', 'Orcish Chain Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40005', 'Candle', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40010', 'Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40308', 'Adena', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40743', 'Arrow', '10', '30', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40744', 'Silver Arrow', '10', '30', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '200171', 'Orcish Bow', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '220135', 'Orcish Ring Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '220136', 'Orcish Chain Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '240010', 'Lesser Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45020', 'Monster Mushroom', '40308', 'Adena', '5', '10', '1000000');
INSERT INTO `droplist` VALUES ('45020', 'Monster Mushroom', '40082', 'Scroll of Return - Singing Island', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45020', 'Monster Mushroom', '40029', 'Ivory Tower Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45021', 'Deer', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45023', 'Wild Boar', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45023', 'Wild Boar', '40308', 'Adena', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45023', 'Wild Boar', '40405', 'Fur', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '31', 'Long Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '20147', 'Studded Leather Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '20205', 'Boots', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '20213', 'Low Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '20239', 'Small Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40025', 'Blinding Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40171', 'Spellbook(EnchantDex)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40173', 'Spellbook(VampiricTouch)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40308', 'Adena', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '220122', 'Scale Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '220125', 'Chain Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '220147', 'Studded Leather Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '220213', 'Low Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45025', 'Gremlin', '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', 'Gremlin', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', 'Gremlin', '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', 'Gremlin', '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45025', 'Gremlin', '40308', 'Adena', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45027', 'Eidlon', '40308', 'Adena', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45027', 'Eidlon', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45027', 'Eidlon', '40406', 'Hard Leather', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45029', 'Fungus', '40308', 'Adena', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45029', 'Fungus', '40499', 'Fungus Juice', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45030', 'Fungus', '40308', 'Adena', '12', '33', '1000000');
INSERT INTO `droplist` VALUES ('45032', 'Blob', '40442', 'Blob Glastic Juice', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45033', 'Imp', '40308', 'Adena', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45033', 'Imp', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45034', 'Shepard', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45034', 'Shepard', '40308', 'Adena', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45034', 'Shepard', '40405', 'Fur', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45039', 'Cat', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45039', 'Cat', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45040', 'Bear', '20014', 'Helm of Magic: Healing', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45040', 'Bear', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45040', 'Bear', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45040', 'Bear', '40308', 'Adena', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45040', 'Bear', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '26', 'Dwarvish Short Sword', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '20007', 'Dwarvish Iron Helm', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '20052', 'Dwarvish Cloak', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '20223', 'Dwarvish Round Shield', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40025', 'Blinding Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40308', 'Adena', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40408', 'Lump of Iron', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40494', 'Pure Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '240010', 'Lesser Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45042', 'Doberman', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45042', 'Doberman', '40405', 'Fur', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45043', 'Wolf', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45043', 'Wolf', '40405', 'Fur', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45044', 'Raccoon', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45044', 'Raccoon', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45046', 'Beagle', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45046', 'Beagle', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45047', 'Saint Bernard', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45047', 'Saint Bernard', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45048', 'Fox', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45048', 'Fox', '40405', 'Fur', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45049', 'Killer Rabbit', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45049', 'Killer Rabbit', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '20180', 'Dark Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '40308', 'Adena', '11', '32', '1000000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '40738', 'Silver Throwing Knife', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '40743', 'Arrow', '10', '30', '50000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '40744', 'Silver Arrow', '10', '30', '50000');
INSERT INTO `droplist` VALUES ('45051', 'Imp', '40029', 'Ivory Tower Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45051', 'Imp', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45051', 'Imp', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45051', 'Imp', '40308', 'Adena', '13', '36', '1000000');
INSERT INTO `droplist` VALUES ('45053', 'Husky', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45053', 'Husky', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45054', 'Collie', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45054', 'Collie', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45058', 'Wild Boar', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45064', 'Imp Elder', '40045', 'Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45064', 'Imp Elder', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45064', 'Imp Elder', '40308', 'Adena', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45064', 'Imp Elder', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45064', 'Imp Elder', '40406', 'Hard Leather', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40173', 'Spellbook(VampiricTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40308', 'Adena', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '40739', 'Throwing Knife', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45065', 'Zombie', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '20070', 'Dark Cloak', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40173', 'Spellbook(VampiricTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '40308', 'Adena', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45066', 'Zombie', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45068', 'Floating Eye', '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45068', 'Floating Eye', '40057', 'Floating Eye Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45068', 'Floating Eye', '40178', 'Spellbook(Paralyze)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45068', 'Floating Eye', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45068', 'Floating Eye', '40308', 'Adena', '17', '42', '1000000');
INSERT INTO `droplist` VALUES ('45068', 'Floating Eye', '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45077', 'Stingray', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45077', 'Stingray', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40002', 'Lantern', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40044', 'Diamond', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40047', 'Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45079', 'Gnoll', '40496', 'Rough Mithril', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '20034', 'Orcish Helm', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '20056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '20072', 'Orcish Cloak', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '20110', 'Chain Mail of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '20135', 'Orcish Ring Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '20136', 'Orcish Chain Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '20237', 'Orcish Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '40001', 'Lamp', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '220135', 'Orcish Ring Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '220237', 'Orcish Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45083', 'Crawling Claw', '20182', 'Gloves', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45083', 'Crawling Claw', '20187', 'Power Gloves', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45083', 'Crawling Claw', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45083', 'Crawling Claw', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45084', 'Crawling Claw', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40090', 'Blank Scroll (Level 1)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40091', 'Blank Scroll (Level 2)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40092', 'Blank Scroll (Level 3)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45088', 'Paper Man', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45089', 'Coelecanth', '20182', 'Gloves', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45089', 'Coelecanth', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45089', 'Coelecanth', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '26', 'Dwarvish Short Sword', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '144', 'Dwarvish Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '20007', 'Dwarvish Iron Helm', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '20052', 'Dwarvish Cloak', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '20223', 'Dwarvish Round Shield', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '40308', 'Adena', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45092', 'Dwarf Warrior', '40408', 'Lump of Iron', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '31', 'Long Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '20147', 'Studded Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '40029', 'Ivory Tower Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '40173', 'Spellbook(VampiricTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '40308', 'Adena', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '220122', 'Scale Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '220125', 'Chain Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45093', 'Werewolf', '220147', 'Studded Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '31', 'Long Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '20032', 'Dark Headband', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '20147', 'Studded Leather Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '20213', 'Low Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '20239', 'Small Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40025', 'Blinding Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40173', 'Spellbook(VampiricTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40308', 'Adena', '22', '50', '1000000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '40739', 'Throwing Knife', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '220147', 'Studded Leather Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45094', 'Werewolf', '220213', 'Low Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45097', 'Acaleph', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45097', 'Acaleph', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45097', 'Acaleph', '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40005', 'Candle', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40060', 'Carrot', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40131', 'Totem of Gandi', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40609', 'Gandi Spellbook', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45100', 'Betrayer\'s Skeleton Guardsman', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45100', 'Betrayer\'s Skeleton Guardsman', '40581', 'Undead Key', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45101', 'Alligator', '20014', 'Helm of Magic: Healing', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45101', 'Alligator', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45101', 'Alligator', '40047', 'Emerald', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45101', 'Alligator', '40179', 'Spellbook(CallLightning)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45101', 'Alligator', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45101', 'Alligator', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45102', 'Maid of the Ice queen', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45102', 'Maid of the Ice queen', '40568', 'Mysterious Bag', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45103', 'Contaminted Fungus', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45103', 'Contaminted Fungus', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45103', 'Contaminted Fungus', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '2', 'Dice Dagger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '20034', 'Orcish Helm', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '20135', 'Orcish Ring Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '20136', 'Orcish Chain Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45104', 'Orc Zombie', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45105', 'Zombie', '40029', 'Ivory Tower Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45105', 'Zombie', '40308', 'Adena', '15', '38', '1000000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '27', 'Scimitar', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '20056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '20242', 'Large Shield', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40605', 'Skeleton Skull', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '140100', 'Scroll of Teleportation', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '100027', 'Scimitar', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '220043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '220056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '27', 'Scimitar', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '40029', 'Ivory Tower Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '40098', 'Ivory Tower Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '40407', 'Bone Piece', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45108', 'Skeleton', '200027', 'Scimitar', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '2', 'Dice Dagger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '69', 'Bronze Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '71', 'Steel Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '152', 'Bronze Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '153', 'Steel Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '20070', 'Dark Cloak', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45109', 'Orc Zombie', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '27', 'Scimitar', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '69', 'Bronze Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '71', 'Steel Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '152', 'Bronze Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '153', 'Steel Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '20056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '20070', 'Dark Cloak', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '20242', 'Large Shield', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40181', 'Spellbook(TameMonster)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40308', 'Adena', '25', '54', '1000000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '200027', 'Scimitar', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '220043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45114', 'Skeleton', '220056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '20014', 'Helm of Magic: Healing', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40179', 'Spellbook(CallLightning)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '140100', 'Scroll of Teleportation', '1', '1', '175000');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '20011', 'Helmet of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '20056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45116', 'Vakuuk', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45117', 'Contaminated Orc', '40522', 'Blue Crystal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40234', 'Spirit Crystal(TeleportToMotherTree)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40492', 'Green Crystal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45118', 'Contaminated Orc Archer', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45119', 'Orc Elder', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45119', 'Orc Elder', '40585', 'Head of Orc Elder', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '128', 'Oak Staff', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '129', 'Wizard\'s Staff', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '131', 'Staff of Strength', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '40180', 'Spellbook(GreaterHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '172', 'Bow', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '20056', 'Cloak of Magic Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45122', 'Skeleton Archer', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '172', 'Bow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '20043', 'Helmet', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '20056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '40029', 'Ivory Tower Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '40098', 'Ivory Tower Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45124', 'Skeleton Archer', '40407', 'Bone Piece', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45125', 'Giran Imp', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45125', 'Giran Imp', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45125', 'Giran Imp', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '136', 'Axe', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '137', 'Athame', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '138', 'Club', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '139', 'Flail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '140', 'Mace', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40045', 'Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40053', 'Highest Quality Ruby', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40177', 'Spellbook(Meditate)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40234', 'Spirit Crystal(TeleportToMotherTree)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40308', 'Adena', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40494', 'Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '40564', 'Secret of Life', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '20011', 'Helmet of Magic Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '20056', 'Cloak of Magic Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '20110', 'Chain Mail of Magic Resistance', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40001', 'Lamp', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40002', 'Lantern', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40018', 'Greater Haste Potion', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40059', 'Egg', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40134', 'Totem of Rova', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40308', 'Adena', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45128', 'Contaminated Orc Warrior', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45128', 'Contaminated Orc Warrior', '40233', 'Spirit Crystal(BodytoMind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45128', 'Contaminated Orc Warrior', '40234', 'Spirit Crystal(TeleportToMotherTree)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45128', 'Contaminated Orc Warrior', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45128', 'Contaminated Orc Warrior', '40308', 'Adena', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45128', 'Contaminated Orc Warrior', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45128', 'Contaminated Orc Warrior', '40523', 'White Crystal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '69', 'Bronze Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '71', 'Steel Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '152', 'Bronze Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '153', 'Steel Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '172', 'Bow', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '20056', 'Cloak of Magic Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '20180', 'Dark Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40308', 'Adena', '33', '65', '1000000');
INSERT INTO `droplist` VALUES ('45129', 'Skeleton Archer', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '136', 'Axe', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '20056', 'Cloak of Magic Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '40308', 'Adena', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45130', 'Skeleton Axeman', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '96', 'Spear', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '20056', 'Cloak of Magic Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '40308', 'Adena', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45131', 'Skeleton Soldier', '40739', 'Throwing Knife', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '20174', 'Snow Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '69', 'Bronze Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '71', 'Steel Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '136', 'Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '137', 'Athame', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '138', 'Club', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '139', 'Flail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '143', 'Battle Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '152', 'Bronze Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '153', 'Steel Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '20032', 'Dark Headband', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40308', 'Adena', '37', '72', '1000000');
INSERT INTO `droplist` VALUES ('45134', 'Stone Golem', '40740', 'Heavy Throwing Knife', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45135', 'Betrayed Orc Archer', '40002', 'Lantern', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45135', 'Betrayed Orc Archer', '40260', 'Spirit Crystal(WindShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45135', 'Betrayed Orc Archer', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40174', 'Spellbook(Slow)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40211', 'Spellbook(FogOfSleeping)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45136', 'Arachnevil', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40048', 'High Quality Diamond', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40233', 'Spirit Crystal(BodytoMind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40234', 'Spirit Crystal(TeleportToMotherTree)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40235', 'Spirit Crystal(ClearMind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40260', 'Spirit Crystal(WindShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45137', 'Contaminated Cyclops', '40697', 'Gloves of Expedition Member', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45138', 'Orc Scout', '40002', 'Lantern', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45138', 'Orc Scout', '40260', 'Spirit Crystal(WindShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45138', 'Orc Scout', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45138', 'Orc Scout', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '20217', 'Blue Pirate Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40045', 'Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '41276', 'Boar Meat', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '23', 'Broad Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40001', 'Lamp', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40020', 'Condensed Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40408', 'Lump of Iron', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40088', 'Scroll of Polymorph', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40018', 'Greater Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40090', 'Blank Scroll (Level 1)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40091', 'Blank Scroll (Level 2)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '143', 'Battle Axe', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '148', 'Great Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40015', 'Potion of Mana', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40017', 'Cure Poison Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40047', 'Emerald', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40055', 'Highest Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40174', 'Spellbook(Slow)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40196', 'Spellbook(Summon)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40221', 'Spellbook(MassSlow)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45142', 'Giran Ghast', '40308', 'Adena', '41', '78', '1000000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '20011', 'Helmet of Magic Resistance', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '20110', 'Chain Mail of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '20237', 'Orcish Shield', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '20263', 'Amulet of Orc Warrior', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40002', 'Lantern', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40045', 'Ruby', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40133', 'Totem of Duda-Mara', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40611', 'Duda-Mara Spellbook', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '25', 'Silver Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '20011', 'Helmet of Magic Resistance', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '20242', 'Large Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40013', 'Haste Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40046', 'Sapphire', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '25', 'Silver Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '153', 'Steel Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '20011', 'Helmet of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '20242', 'Large Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45145', 'Lizardman', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40059', 'Egg', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40061', 'Lemon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40062', 'Banana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40064', 'Apple', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40069', 'Orange', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40406', 'Hard Leather', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '153', 'Steel Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40059', 'Egg', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40061', 'Lemon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40062', 'Banana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40064', 'Apple', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45148', 'Owlbear', '40406', 'Hard Leather', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '37', 'Damascus Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '20011', 'Helmet of Magic Resistance', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '20136', 'Orcish Chain Mail', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '20149', 'Bronze Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '20237', 'Orcish Shield', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '20263', 'Amulet of Orc Warrior', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40002', 'Lantern', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40013', 'Haste Potion', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40018', 'Greater Haste Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40045', 'Ruby', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40135', 'Totem of Atuba', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40234', 'Spirit Crystal(TeleportToMotherTree)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40612', 'Atuba Spellbook', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45150', 'Contaminated Gandhi Orc', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45150', 'Contaminated Gandhi Orc', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45150', 'Contaminated Gandhi Orc', '40235', 'Spirit Crystal(ClearMind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45150', 'Contaminated Gandhi Orc', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45150', 'Contaminated Gandhi Orc', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45150', 'Contaminated Gandhi Orc', '40501', 'Red Crystal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45151', 'Contaminated Duda-Mara Orc', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45151', 'Contaminated Duda-Mara Orc', '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45151', 'Contaminated Duda-Mara Orc', '40500', 'Purple Crystal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45151', 'Contaminated Duda-Mara Orc', '40744', 'Silver Arrow', '10', '30', '50000');
INSERT INTO `droplist` VALUES ('45152', 'Contaminated Ent', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45152', 'Contaminated Ent', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45152', 'Contaminated Ent', '40510', 'Bark of Contaminated Ent', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45152', 'Contaminated Ent', '40511', 'Fruit of Contaminated Ent', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45152', 'Contaminated Ent', '40512', 'Root of Contaminated Ent', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45153', 'Contaminated Fairy', '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45153', 'Contaminated Fairy', '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45153', 'Contaminated Fairy', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45153', 'Contaminated Fairy', '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45153', 'Contaminated Fairy', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45153', 'Contaminated Fairy', '40514', 'Tear of Spirit', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45154', 'Mermaid', '40041', 'Scale of Mermaid', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45154', 'Mermaid', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '143', 'Battle Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '148', 'Great Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '20115', 'Splint Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40183', 'Spellbook(ConeOfCold)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40184', 'Spellbook(ManaDrain)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '25', 'Silver Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '20011', 'Helmet of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '20242', 'Large Shield', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '40046', 'Sapphire', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '40308', 'Adena', '45', '86', '1000000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '140088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45156', 'Giran Lizardman', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40221', 'Spellbook(MassSlow)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40538', 'Ghoul Nail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40539', 'Ghoul Tooth', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '40738', 'Silver Throwing Knife', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45157', 'Ghoul', '200002', 'Dice Dagger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '39', 'Cutlass', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '20060', 'Cloak of Sea', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '220293', 'Cursed Diamond Ring', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '140329', 'Native\'s Totem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '40011', 'Healing Potion', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '40047', 'Emerald', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '40329', 'Native\'s Totem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '40471', 'Fragment of Spirit', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45159', 'Merman', '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45159', 'Merman', '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45159', 'Merman', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45159', 'Merman', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45160', 'Shark', '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45160', 'Shark', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45160', 'Shark', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45160', 'Shark', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45160', 'Shark', '40308', 'Adena', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '27', 'Scimitar', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '20149', 'Bronze Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '20242', 'Large Shield', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '40738', 'Silver Throwing Knife', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '100027', 'Scimitar', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '20308', 'Old Belt of Mind', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '20316', 'Belt of Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '40175', 'Spellbook(EarthJail)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '40185', 'Spellbook(Darkness)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '140010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '140011', 'Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '140012', 'Greater Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '20217', 'Blue Pirate Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40014', 'Potion of Bravery', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40047', 'Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40308', 'Adena', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '41276', 'Boar Meat', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40308', 'Adena', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '52', 'Two Handed Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '93', 'Trident', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '94', 'Partisan', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '103', 'Halbred', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20063', 'Cloak of Protection', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20085', 'T-Shirt', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20149', 'Bronze Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20154', 'Plate Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20162', 'Leather Gloves', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20205', 'Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20213', 'Low Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40044', 'Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40540', 'Old Trading Document', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40608', 'Black Knight\'s Pledge Document', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '100095', 'Lance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '100103', 'Halberd', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45167', 'Jack-O-Lantern', '40721', 'Giant Pumpkin Seed', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45168', 'Giran Imp Elder', '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45168', 'Giran Imp Elder', '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45168', 'Giran Imp Elder', '40177', 'Spellbook(Meditate)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45168', 'Giran Imp Elder', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45168', 'Giran Imp Elder', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45168', 'Giran Imp Elder', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45168', 'Giran Imp Elder', '40406', 'Hard Leather', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45169', 'Giran Crabman', '40308', 'Adena', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '143', 'Battle Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '148', 'Great Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '20115', 'Splint Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40100', 'Scroll of Teleportation', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40183', 'Spellbook(ConeOfCold)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40184', 'Spellbook(ManaDrain)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40308', 'Adena', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '37', 'Damascus Sword', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '20110', 'Chain Mail of Magic Resistance', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '20237', 'Orcish Shield', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '20263', 'Amulet of Orc Warrior', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40002', 'Lantern', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40132', 'Totem of Neruga', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40308', 'Adena', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40610', 'Neruga Spellbook', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '200032', 'Gradius', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '200052', 'Two-Handed Sword', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45172', 'Dire Bat', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', 'Dire Bat', '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', 'Dire Bat', '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', 'Dire Bat', '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45172', 'Dire Bat', '40198', 'Spellbook(Tornado)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45172', 'Dire Bat', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45172', 'Dire Bat', '40308', 'Adena', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '104', 'Fauchard', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '143', 'Battle Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '20122', 'Scale Mail', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '20147', 'Studded Leather Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '20205', 'Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '20242', 'Large Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40087', 'Scroll of Enchant Weapon', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40171', 'Spellbook(EnchantDex)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40173', 'Spellbook(VampiricTouch)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40174', 'Spellbook(Slow)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40308', 'Adena', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40319', 'Spirit Gem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '142', 'Silver Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '20114', 'Cotton Robe', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40001', 'Lamp', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40007', 'Ebony Wand', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40020', 'Condensed Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40175', 'Spellbook(EarthJail)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40184', 'Spellbook(ManaDrain)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40195', 'Spellbook(IceLance)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45174', 'Ghost - Red', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '188', 'Lastabad Heavy Cross Bow', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40308', 'Adena', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '40746', 'Mithril Arrow', '30', '100', '10000');
INSERT INTO `droplist` VALUES ('45175', 'Dark Elf Guard', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45179', 'Betrayed Orc Chief', '40308', 'Adena', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45179', 'Betrayed Orc Chief', '40586', 'Emblem Piece of the Royal Family', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '27', 'Scimitar', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '69', 'Bronze Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '71', 'Steel Edoryu', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '152', 'Bronze Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '153', 'Steel Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '20132', 'Dark Robe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '20149', 'Bronze Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '20242', 'Large Shield', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '40408', 'Lump of Iron', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45181', 'Spartoi', '100027', 'Scimitar', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '140', 'Mace', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '142', 'Silver Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '20175', 'Crystal Gloves', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40192', 'Spellbook(Weakness)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40308', 'Adena', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45183', 'Contaminated Ogre', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45183', 'Contaminated Ogre', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45183', 'Contaminated Ogre', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45183', 'Contaminated Ogre', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45183', 'Contaminated Ogre', '40235', 'Spirit Crystal(ClearMind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45183', 'Contaminated Ogre', '40308', 'Adena', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45183', 'Contaminated Ogre', '40518', 'Large Blue Crystal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40174', 'Spellbook(Slow)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40181', 'Spellbook(TameMonster)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40211', 'Spellbook(FogOfSleeping)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40308', 'Adena', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40590', 'Arachnevil Elder\'s Claw', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '140100', 'Scroll of Teleportation', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45185', 'Orcish Court Guard', '40002', 'Lantern', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45185', 'Orcish Court Guard', '40308', 'Adena', '61', '110', '1000000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '37', 'Damascus Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40235', 'Spirit Crystal(ClearMind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40308', 'Adena', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '40516', 'Large Green Crystal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', 'Giran Vakuuk', '20011', 'Helmet of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', 'Giran Vakuuk', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45187', 'Giran Vakuuk', '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', 'Giran Vakuuk', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45187', 'Giran Vakuuk', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45187', 'Giran Vakuuk', '40308', 'Adena', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45187', 'Giran Vakuuk', '140088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '143', 'Battle Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '145', 'Berserker Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '148', 'Great Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '20014', 'Helm of Magic: Healing', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '20180', 'Dark Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40015', 'Potion of Mana', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40051', 'High Quality Emerald', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40055', 'Highest Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40201', 'Spellbook(Disease)', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '40308', 'Adena', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45188', 'Giran Ghast Lord', '140100', 'Scroll of Teleportation', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45189', 'Doppleganger', '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45189', 'Doppleganger', '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45189', 'Doppleganger', '40308', 'Adena', '67', '120', '1000000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '20015', 'Helm of Magic: Power', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '20149', 'Bronze Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '20154', 'Plate Mail', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40045', 'Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40047', 'Emerald', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40049', 'High Quality Ruby', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40051', 'High Quality Emerald', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40053', 'Highest Quality Ruby', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40055', 'Highest Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '140100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '20115', 'Splint Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45192', 'Ratman', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45194', 'Right-Hand Bandit', '20026', 'Night Vision Hood', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45195', 'Aste', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45195', 'Aste', '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45195', 'Aste', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45195', 'Aste', '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45195', 'Aste', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45195', 'Aste', '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45195', 'Aste', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40012', 'Greater Healing Potion', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40014', 'Potion of Bravery', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40019', 'Condensed Lesser Healing Potion', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40020', 'Condensed Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40021', 'Condensed Greater Healing Potion', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40091', 'Blank Scroll (Level 2)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40093', 'Blank Scroll (Level 4)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45196', 'Alligator', '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '20217', 'Blue Pirate Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40015', 'Potion of Mana', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40044', 'Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '41276', 'Boar Meat', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '20114', 'Cotton Robe', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '20174', 'Snow Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40001', 'Lamp', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40013', 'Haste Potion', '1', '1', '45000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40020', 'Condensed Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40175', 'Spellbook(EarthJail)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40184', 'Spellbook(ManaDrain)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40308', 'Adena', '56', '102', '1000000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45199', 'Mutant Giant Soldier Ant', '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40048', 'High Quality Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40050', 'High Quality Sapphire', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40198', 'Spellbook(Tornado)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40215', 'Spellbook(FireStorm)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '140100', 'Scroll of Teleportation', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45206', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45206', null, '40079', 'Scroll of Escape', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45206', null, '40088', 'Scroll of Polymorph', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45206', null, '40119', 'Scroll of Curse Removal', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45206', null, '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45206', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45206', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45206', null, '40203', 'Spellbook(Firewall)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45206', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45206', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45206', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45206', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45206', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45206', null, '40486', 'Volcanic Ash', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45206', null, '140074', 'Scroll of Enchant Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45206', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45372', null, '140100', 'Scroll of Teleportation', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45372', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45372', null, '40185', 'Spellbook(Darkness)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45207', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45207', null, '140100', 'Scroll of Teleportation', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45207', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45207', null, '140010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', null, '140011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45207', null, '140012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45213', null, '143', 'Battle Axe', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45213', null, '148', 'Great Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', null, '40015', 'Potion of Mana', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', null, '40017', 'Cure Poison Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', null, '40047', 'Emerald', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45213', null, '40051', 'High Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45213', null, '40196', 'Spellbook(Summon)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45213', null, '40221', 'Spellbook(MassSlow)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45213', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45213', null, '40304', 'Relic of Maphr', '1', '1', '5250');
INSERT INTO `droplist` VALUES ('45213', null, '40308', 'Adena', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('45214', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45214', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45890', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45889', null, '40596', 'Death Covenant', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45214', null, '40431', 'Leather of Mole', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '20063', 'Cloak of Protection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45215', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45215', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40179', 'Spellbook(CallLightning)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45215', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45215', null, '40308', 'Adena', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('45216', null, '2', 'Dice Dagger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', null, '96', 'Spear', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', null, '98', 'Glaive', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45216', null, '20089', 'Leather Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45216', null, '20147', 'Studded Leather Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45216', null, '20182', 'Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', null, '40308', 'Adena', '111', '231', '1000000');
INSERT INTO `droplist` VALUES ('45216', null, '40738', 'Silver Throwing Knife', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45217', null, '20060', 'Cloak of Sea', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45217', null, '220295', 'Cursed Sapphire Ring', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45217', null, '220293', 'Cursed Diamond Ring', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45217', null, '40011', 'Healing Potion', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45217', null, '40046', 'Sapphire', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45217', null, '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45217', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45217', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45217', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45217', null, '40308', 'Adena', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('45217', null, '40330', 'Unlimited Quiver', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45217', null, '40471', 'Fragment of Spirit', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45217', null, '40661', 'Remains of Son', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45219', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45219', null, '40016', 'Potion of Wisdom', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45219', null, '40100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45219', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45219', null, '40198', 'Spellbook(Tornado)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45219', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45219', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45219', null, '40438', 'Bat Fang', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45220', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '82', 'Lastavard Edoryu', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '187', 'Lastabad Cross Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '20199', 'Lastabad Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '20224', 'Lastabad Round Shield', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45220', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45220', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45220', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45220', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45220', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45220', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45221', null, '103', 'Halbred', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45221', null, '148', 'Great Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45221', null, '20115', 'Splint Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45221', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45221', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45221', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45221', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45221', null, '40201', 'Spellbook(Disease)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45221', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45221', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45221', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45221', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45222', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45222', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45222', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45222', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45222', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45222', null, '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45222', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45222', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45222', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45222', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45222', null, '40458', 'Shining Scale', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45222', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45223', null, '143', 'Battle Axe', '1', '1', '17000');
INSERT INTO `droplist` VALUES ('45223', null, '145', 'Berserker Axe', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45223', null, '148', 'Great Axe', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45223', null, '20115', 'Splint Mail', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45223', null, '40074', 'Scroll of Enchant Armor', '1', '1', '38000');
INSERT INTO `droplist` VALUES ('45223', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45223', null, '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45223', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45223', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45223', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45223', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45223', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45223', null, '40555', 'Secret Room Key', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45223', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45224', null, '40015', 'Potion of Mana', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45224', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45224', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45224', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45224', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45224', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45224', null, '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45224', null, '40308', 'Adena', '187', '301', '1000000');
INSERT INTO `droplist` VALUES ('45224', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45226', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45226', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45226', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45226', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45226', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45226', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45226', null, '40678', 'Fragment of Soul Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45227', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45227', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45227', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45227', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45227', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45227', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45227', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45228', null, '40006', 'Pine Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45228', null, '40007', 'Ebony Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45228', null, '40008', 'Maple Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45228', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45228', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45228', null, '140074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45228', null, '240074', 'Scroll of Enchant Armor', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45229', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45229', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45229', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45229', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45229', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45229', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45229', null, '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45229', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45229', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45229', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45229', null, '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45229', null, '40458', 'Shining Scale', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45229', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45230', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45230', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45230', null, '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', null, '40100', 'Scroll of Teleportation', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', null, '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45230', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45230', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45230', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('45230', null, '40458', 'Shining Scale', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45230', null, '140088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45231', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45231', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45231', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45231', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45231', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45231', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45231', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', null, '38', 'Lastavard Long Sword', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '20199', 'Lastabad Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45233', null, '40308', 'Adena', '94', '162', '1000000');
INSERT INTO `droplist` VALUES ('45233', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45233', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45233', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45235', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45235', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45235', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45235', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45235', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45237', null, '40012', 'Greater Healing Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45237', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', null, '40016', 'Potion of Wisdom', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45237', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45237', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45237', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45237', null, '40424', 'Wolf Pelt', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45238', null, '10', 'Lastavard Blade', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45238', null, '176', 'Lastabad Bow', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45238', null, '20102', 'Lastabad Leather Armor', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45238', null, '20199', 'Lastabad Boots', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45238', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45238', null, '40016', 'Potion of Wisdom', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45238', null, '40100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45238', null, '40119', 'Scroll of Curse Removal', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45238', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45238', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45238', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45238', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45239', null, '20188', 'Blue Pirate Gloves', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45239', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45239', null, '40046', 'Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45239', null, '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45239', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45239', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45239', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45239', null, '140329', 'Native\'s Totem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45239', null, '40663', 'Letter of Son', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45239', null, '40714', 'Skin of Blue Lizard', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45240', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45240', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45240', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45240', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45240', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45240', null, '40601', 'Turtle Dragon Shell', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45240', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45241', null, '125', 'Staff of Sorcery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45241', null, '40045', 'Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45241', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', null, '40053', 'Highest Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', null, '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45241', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '700');
INSERT INTO `droplist` VALUES ('45241', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45241', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45241', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45241', null, '40524', 'Black Blood Stone', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45241', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45243', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45243', null, '40308', 'Adena', '94', '162', '1000000');
INSERT INTO `droplist` VALUES ('45244', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45244', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45244', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45244', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45244', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45244', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45244', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45244', null, '40470', 'Piece of Soul', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', null, '40016', 'Potion of Wisdom', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45245', null, '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45245', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', null, '40119', 'Scroll of Curse Removal', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45245', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45245', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45245', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45245', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45245', null, '40430', 'Large Cave Crystal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45245', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45245', null, '40465', 'Elementalist Ring', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45245', null, '40524', 'Black Blood Stone', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45246', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45246', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45246', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45246', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45246', null, '40433', 'Dillo Claw', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45246', null, '40434', 'Tail of Dillo', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45247', null, '43', 'Shamshir', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45247', null, '20013', 'Helm of Magic: Speed', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45247', null, '220296', 'Cursed Emerald Ring', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45247', null, '220293', 'Cursed Diamond Ring', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45247', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45247', null, '40047', 'Emerald', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45247', null, '40051', 'High Quality Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45247', null, '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45247', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45247', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45247', null, '40330', 'Unlimited Quiver', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45247', null, '40471', 'Fragment of Spirit', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45248', null, '2', 'Dice Dagger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '52', 'Two Handed Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '64', 'Great Sword', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45248', null, '20122', 'Scale Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '20149', 'Bronze Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45248', null, '20182', 'Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45248', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45248', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45248', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45248', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '40308', 'Adena', '227', '365', '1000000');
INSERT INTO `droplist` VALUES ('45249', null, '20188', 'Blue Pirate Gloves', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45249', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45249', null, '40047', 'Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45249', null, '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45249', null, '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45249', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45249', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45249', null, '140329', 'Native\'s Totem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45249', null, '40631', 'Resta\'s Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45251', null, '39', 'Cutlass', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45251', null, '20060', 'Cloak of Sea', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45251', null, '220295', 'Cursed Sapphire Ring', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45251', null, '220294', 'Cursed Ruby Ring', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45251', null, '220293', 'Cursed Diamond Ring', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45251', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45251', null, '40044', 'Diamond', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45251', null, '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45251', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45251', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('45251', null, '40471', 'Fragment of Spirit', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45252', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45252', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45252', null, '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45252', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45252', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45252', null, '40100', 'Scroll of Teleportation', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45252', null, '40119', 'Scroll of Curse Removal', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45252', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45252', null, '40221', 'Spellbook(MassSlow)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45252', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45252', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45253', null, '101', 'Lastavard One-Handed Spear', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', null, '20104', 'Lastabad Studded Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', null, '20224', 'Lastabad Round Shield', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45253', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45253', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45253', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45253', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', null, '188', 'Lastabad Heavy Cross Bow', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45254', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45254', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45254', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45254', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45254', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45254', null, '40524', 'Black Blood Stone', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45254', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45256', null, '122', 'Lastavard Staff', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45256', null, '20103', 'Lastabad Robe', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45256', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45256', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45256', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45256', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45256', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45257', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45257', null, '40100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45257', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', null, '40244', 'Spirit Crystal(AreaOfSilence)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45257', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45257', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45257', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45257', null, '140074', 'Scroll of Enchant Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45257', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45258', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45258', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45258', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45259', null, '20013', 'Helm of Magic: Speed', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45259', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45259', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45259', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45259', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', null, '40179', 'Spellbook(CallLightning)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', null, '40207', 'Spellbook(Earthquake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45259', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45259', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45259', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45259', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45259', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45260', null, '20013', 'Helm of Magic: Speed', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45260', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', null, '40179', 'Spellbook(CallLightning)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', null, '40207', 'Spellbook(Earthquake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45260', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45260', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45260', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45260', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45260', null, '40459', 'Scorpion Shell', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45262', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45262', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45262', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45262', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45262', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45262', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45262', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45262', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45262', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45263', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45263', null, '40011', 'Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45263', null, '40012', 'Greater Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45263', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45263', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45263', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45263', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45263', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45263', null, '40486', 'Volcanic Ash', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45263', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45264', null, '40015', 'Potion of Mana', '1', '1', '1500000');
INSERT INTO `droplist` VALUES ('45259', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45264', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', null, '40178', 'Spellbook(Paralyze)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45264', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45264', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45264', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45264', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45264', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('45259', null, '40175', 'Spellbook(EarthJail)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45264', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45264', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45265', null, '170', 'Elven Bow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', null, '20073', 'Elven Cloak', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45265', null, '20139', 'Elven Breast Plate', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', null, '20210', 'Dark Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45265', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', null, '40068', 'Elven Wafer', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45265', null, '40198', 'Spellbook(Tornado)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45265', null, '40205', 'Spellbook(Invisibility)', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45265', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45265', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45265', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45265', null, '40308', 'Adena', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45265', null, '40498', 'Wind Tear', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45265', null, '40746', 'Mithril Arrow', '30', '100', '150000');
INSERT INTO `droplist` VALUES ('45267', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45267', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45267', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45267', null, '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45267', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45267', null, '40308', 'Adena', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45269', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45269', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45269', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45269', null, '40181', 'Spellbook(TameMonster)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45269', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45269', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45269', null, '40308', 'Adena', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45269', null, '100098', 'Glaive', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45269', null, '120043', 'Helmet', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45270', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45270', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45270', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45270', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', null, '172', 'Bow', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45270', null, '40308', 'Adena', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45270', null, '20043', 'Helmet', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45271', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45271', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45271', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45271', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45271', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45271', null, '40470', 'Piece of Soul', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45272', null, '187', 'Lastabad Cross Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', null, '20102', 'Lastabad Leather Armor', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45272', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45272', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45272', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45272', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45272', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45272', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45272', null, '40746', 'Mithril Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45273', null, '40011', 'Healing Potion', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45273', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45273', null, '40435', 'Bud of Deep Flower', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45273', null, '40436', 'Root of Deep Flower', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45273', null, '40437', 'Deep Flower Twig', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45274', null, '43', 'Shamshir', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45274', null, '220296', 'Cursed Emerald Ring', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45274', null, '220293', 'Cursed Diamond Ring', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45274', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45274', null, '40046', 'Sapphire', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45274', null, '40050', 'High Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45274', null, '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45274', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45274', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45274', null, '40330', 'Unlimited Quiver', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45274', null, '40471', 'Fragment of Spirit', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45274', null, '40744', 'Silver Arrow', '10', '30', '75000');
INSERT INTO `droplist` VALUES ('45275', null, '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45275', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45275', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45275', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45275', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45275', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45275', null, '40410', 'Bark of Black Ent', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45275', null, '40411', 'Fruit of Black Ent', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45275', null, '40412', 'Twig of Black Ent', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45276', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45276', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45276', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45276', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45277', null, '20013', 'Helm of Magic: Speed', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45277', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', null, '40179', 'Spellbook(CallLightning)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', null, '40207', 'Spellbook(Earthquake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45277', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45277', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45277', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45277', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45277', null, '40459', 'Scorpion Shell', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45278', null, '143', 'Battle Axe', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45278', null, '145', 'Berserker Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45278', null, '148', 'Great Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45278', null, '20015', 'Helm of Magic: Power', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45278', null, '20115', 'Splint Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45278', null, '20317', 'Ogre Belt', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45278', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45278', null, '40074', 'Scroll of Enchant Armor', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45278', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45278', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45278', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45278', null, '40513', 'Blood of Ogre', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45279', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45279', null, '40014', 'Potion of Bravery', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45279', null, '40015', 'Potion of Mana', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45279', null, '40074', 'Scroll of Enchant Armor', '1', '1', '11000');
INSERT INTO `droplist` VALUES ('45279', null, '40179', 'Spellbook(CallLightning)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45279', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45279', null, '40196', 'Spellbook(Summon)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45279', null, '40204', 'Spellbook(Blizzard)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45279', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45279', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45279', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45279', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45279', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45279', null, '140100', 'Scroll of Teleportation', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', null, '143', 'Battle Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', null, '145', 'Berserker Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45280', null, '148', 'Great Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', null, '20014', 'Helm of Magic: Healing', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', null, '20015', 'Helm of Magic: Power', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', null, '20115', 'Splint Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45280', null, '20321', 'Troll Belt', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45280', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45280', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', null, '40020', 'Condensed Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45280', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', null, '40194', 'Spellbook(HealPledge)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45280', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40173', 'Spellbook(VampiricTouch)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40171', 'Spellbook(EnchantDex)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45281', null, '136', 'Axe', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '139', 'Flail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45776', null, '41069', 'Contaminated Mane', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45281', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '40053', 'Highest Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45281', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45281', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45281', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45281', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45281', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45281', null, '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45282', null, '20303', 'Ring of Magic Resistance', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45282', null, '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45282', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45283', null, '125', 'Staff of Sorcery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45283', null, '40045', 'Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45283', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', null, '40053', 'Highest Quality Ruby', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45283', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45283', null, '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45283', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '75');
INSERT INTO `droplist` VALUES ('45283', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45283', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45283', null, '40308', 'Adena', '126', '212', '1000000');
INSERT INTO `droplist` VALUES ('45283', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45284', null, '31', 'Long Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', null, '20043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', null, '20101', 'Banded Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45284', null, '20242', 'Large Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45284', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', null, '40014', 'Potion of Bravery', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45284', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45284', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45284', null, '40215', 'Spellbook(FireStorm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45284', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45284', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45284', null, '40308', 'Adena', '144', '240', '1000000');
INSERT INTO `droplist` VALUES ('45284', null, '40486', 'Volcanic Ash', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45285', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45285', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45285', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45285', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45285', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45285', null, '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45285', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45285', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45286', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45286', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45286', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45286', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45286', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45286', null, '40308', 'Adena', '144', '240', '1000000');
INSERT INTO `droplist` VALUES ('45286', null, '100143', 'Battle Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45286', null, '120056', 'Cloak of Magic Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45286', null, '120242', 'Large Shield', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45287', null, '101', 'Lastavard One-Handed Spear', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', null, '20224', 'Lastabad Round Shield', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45287', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45287', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45287', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45287', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', null, '20063', 'Cloak of Protection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45289', null, '40074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45289', null, '40079', 'Scroll of Escape', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45289', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45289', null, '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45289', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45289', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45289', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45289', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45289', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45290', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45290', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45291', null, '169', 'Hunter Bow', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45291', null, '20096', 'Ring Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', null, '20205', 'Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45291', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45291', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45291', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45291', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45291', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45291', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45291', null, '40486', 'Volcanic Ash', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45291', null, '120043', 'Helmet', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45292', null, '40554', 'Secret List', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45293', null, '101', 'Lastavard One-Handed Spear', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45293', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45293', null, '40614', 'Mineral Removal Document', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45294', null, '102', 'Lucern Hammer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45294', null, '20174', 'Snow Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40012', 'Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45294', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45294', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45294', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45294', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45294', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45295', null, '137', 'Athame', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45295', null, '138', 'Club', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45295', null, '143', 'Battle Axe', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45295', null, '145', 'Berserker Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45295', null, '20306', 'Old Belt of Body', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45295', null, '20307', 'Old Belt of Soul', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45295', null, '20308', 'Old Belt of Mind', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45295', null, '20312', 'Belt of Body', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45295', null, '20316', 'Belt of Soul', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45295', null, '20319', 'Belt of Mind', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45295', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45295', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45295', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45296', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45296', null, '40497', 'Mithril Plate', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45296', null, '40509', 'Oriharukon Plate', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45297', null, '20177', 'Glove of Dark Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45297', null, '20306', 'Old Belt of Body', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45297', null, '20312', 'Belt of Body', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45297', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', null, '40048', 'High Quality Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45297', null, '40049', 'High Quality Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45297', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45297', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45297', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45298', null, '138', 'Club', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45298', null, '143', 'Battle Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45298', null, '145', 'Berserker Axe', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45298', null, '148', 'Great Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', null, '20015', 'Helm of Magic: Power', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', null, '20101', 'Banded Mail', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45298', null, '20115', 'Splint Mail', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45298', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45298', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45298', null, '40074', 'Scroll of Enchant Armor', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45298', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45298', null, '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', null, '40201', 'Spellbook(Disease)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45298', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45298', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45298', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45298', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45298', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45299', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45299', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45299', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45299', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45299', null, '40483', 'Rind of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45299', null, '40484', 'Venom of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45299', null, '40485', 'Fang of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45300', null, '40548', 'Apparition\'s Bag', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45301', null, '40602', 'Blue Flute ', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45302', null, '40528', 'Guardian\'s Bag', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45307', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45307', null, '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('45308', null, '20063', 'Cloak of Protection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45308', null, '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45308', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45308', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45308', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45308', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45308', null, '40419', 'Web of Muryan', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45309', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45309', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45309', null, '40447', 'Leather of Black Tiger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45309', null, '40448', 'Claw of Black Tiger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45309', null, '40449', 'Fang of Black Tiger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45310', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45310', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45310', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45310', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('45311', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45311', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45311', null, '40027', 'Orange Juice', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45311', null, '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45311', null, '40431', 'Leather of Mole', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45312', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45312', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', null, '40181', 'Spellbook(TameMonster)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45312', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45312', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45312', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45312', null, '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45312', null, '140100', 'Scroll of Teleportation', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45313', null, '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45313', null, '40405', 'Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', null, '34', 'Sword of Red Desire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45314', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45314', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45314', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45314', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45315', null, '40045', 'Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', null, '40053', 'Highest Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', null, '40054', 'Highest Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', null, '40055', 'Highest Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45315', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45315', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45315', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '64', 'Great Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '145', 'Berserker Axe', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45316', null, '20014', 'Helm of Magic: Healing', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '20182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '20248', 'Old Amulet of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', null, '20267', 'Amulet of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', null, '20307', 'Old Belt of Soul', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', null, '20316', 'Belt of Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45316', null, '20320', 'Titan Belt', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45316', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40052', 'Highest Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45316', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45316', null, '40175', 'Spellbook(EarthJail)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40176', 'Spellbook(CounterMagic)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40209', 'Spellbook(Silence)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45316', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45316', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45316', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '100064', 'Great Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '140074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45316', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45316', null, '240074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45316', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45321', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', null, '40050', 'High Quality Sapphire', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45321', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45321', null, '40175', 'Spellbook(EarthJail)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', null, '40198', 'Spellbook(Tornado)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45321', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45321', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45321', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45321', null, '40308', 'Adena', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('45321', null, '40491', 'Griffon Feather', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45321', null, '40044', 'Diamond', '1', '1', '45000');
INSERT INTO `droplist` VALUES ('45321', null, '140013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45321', null, '140018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45321', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45322', null, '20149', 'Bronze Plate Mail', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45322', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45322', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45322', null, '40048', 'High Quality Diamond', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45322', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45322', null, '40050', 'High Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45322', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45322', null, '40192', 'Spellbook(Weakness)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45322', null, '40202', 'Spellbook(FullHeal)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45322', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45322', null, '40235', 'Spirit Crystal(ClearMind)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45322', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45322', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45322', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45322', null, '40308', 'Adena', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('45322', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45322', null, '20101', 'Banded Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45323', null, '20123', 'Robe of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45323', null, '20258', 'Amulet of Beast Summoner', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45323', null, '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45323', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45323', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45888', null, '40596', 'Death Covenant', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45323', null, '40452', 'Ring of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45323', null, '40453', 'Whip of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45887', null, '40596', 'Death Covenant', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45324', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45324', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45324', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45324', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45324', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45324', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45325', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40010', 'Lesser Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45325', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40012', 'Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45325', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45325', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45325', null, '40020', 'Condensed Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45325', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45325', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45325', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45325', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45325', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40308', 'Adena', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('45325', null, '40397', 'Cimaera Skin (Dragon)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40398', 'Cimaera Skin (Goat)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40399', 'Cimaera Skin (Lion)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45325', null, '40400', 'Cimaera Skin (Snake)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', null, '20098', 'Armor of Dark Forester', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45326', null, '20196', 'Boots of Dark Forester', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45326', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45326', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45326', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45326', null, '40425', 'Potion of Dark Forest', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', null, '40426', 'Ring of Dark Forester', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45326', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', null, '176', 'Lastabad Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', null, '20199', 'Lastabad Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', null, '40209', 'Spellbook(Silence)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45327', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45327', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45327', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45327', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', null, '40746', 'Mithril Arrow', '30', '100', '10000');
INSERT INTO `droplist` VALUES ('45327', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45327', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45328', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45328', null, '40433', 'Dillo Claw', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45328', null, '40434', 'Tail of Dillo', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45329', null, '40308', 'Adena', '135', '225', '1000000');
INSERT INTO `droplist` VALUES ('45330', null, '43', 'Shamshir', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45330', null, '220294', 'Cursed Ruby Ring', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45330', null, '220293', 'Cursed Diamond Ring', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45330', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45330', null, '40018', 'Greater Haste Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45330', null, '40044', 'Diamond', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45330', null, '40048', 'High Quality Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45330', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45330', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45330', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45330', null, '40330', 'Unlimited Quiver', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45330', null, '40471', 'Fragment of Spirit', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45330', null, '40662', 'Portrait of Son', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45330', null, '40744', 'Silver Arrow', '10', '30', '50000');
INSERT INTO `droplist` VALUES ('45331', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45331', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45331', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45331', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45331', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45332', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45332', null, '40017', 'Cure Poison Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45332', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45332', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45332', null, '40104', 'TOI Teleport Scroll, 11F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45332', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45332', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45332', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45332', null, '40458', 'Shining Scale', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45332', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45333', null, '122', 'Lastavard Staff', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', null, '20103', 'Lastabad Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45333', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45333', null, '40221', 'Spellbook(MassSlow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45333', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45333', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45333', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45333', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45333', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45337', null, '137', 'Athame', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45337', null, '138', 'Club', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45337', null, '143', 'Battle Axe', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45337', null, '145', 'Berserker Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45337', null, '20306', 'Old Belt of Body', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45337', null, '20307', 'Old Belt of Soul', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45337', null, '20308', 'Old Belt of Mind', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45337', null, '20312', 'Belt of Body', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45337', null, '20316', 'Belt of Soul', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45337', null, '20319', 'Belt of Mind', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45337', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45337', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45337', null, '40308', 'Adena', '153', '254', '1000000');
INSERT INTO `droplist` VALUES ('45338', null, '40014', 'Potion of Bravery', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45338', null, '40047', 'Emerald', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45338', null, '40074', 'Scroll of Enchant Armor', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45338', null, '40179', 'Spellbook(CallLightning)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45338', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45338', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45338', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45339', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45339', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45339', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45339', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45339', null, '40483', 'Rind of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45339', null, '40484', 'Venom of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45339', null, '40485', 'Fang of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45340', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45340', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45340', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45340', null, '40430', 'Large Cave Crystal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', null, '40016', 'Potion of Wisdom', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45341', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', null, '40074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45341', null, '40089', 'Scroll of Resurrection', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45341', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45341', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45341', null, '40215', 'Spellbook(FireStorm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', null, '40221', 'Spellbook(MassSlow)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45341', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45341', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45341', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45341', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45341', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45341', null, '40486', 'Volcanic Ash', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45341', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45341', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45341', null, '240074', 'Scroll of Enchant Armor', '1', '1', '11000');
INSERT INTO `droplist` VALUES ('45341', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45342', null, '40547', 'Relic of the People', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45343', null, '40592', 'Cursed Elven Spellbook', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45344', null, '40079', 'Scroll of Escape', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45344', null, '40579', 'Bone of Undead', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45345', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45345', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', null, '40192', 'Spellbook(Weakness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45345', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45345', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45345', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45345', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45345', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45345', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45345', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45345', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45345', null, '40408', 'Lump of Iron', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45345', null, '40496', 'Rough Mithril', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45345', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', null, '143', 'Battle Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45346', null, '145', 'Berserker Axe', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45346', null, '148', 'Great Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', null, '20014', 'Helm of Magic: Healing', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45346', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45346', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45346', null, '40055', 'Highest Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45346', null, '40194', 'Spellbook(HealPledge)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', null, '40221', 'Spellbook(MassSlow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45346', null, '40308', 'Adena', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45346', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', null, '20098', 'Armor of Dark Forester', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45347', null, '20196', 'Boots of Dark Forester', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45347', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45347', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45347', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45347', null, '40308', 'Adena', '173', '285', '1000000');
INSERT INTO `droplist` VALUES ('45347', null, '40425', 'Potion of Dark Forest', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45347', null, '40426', 'Ring of Dark Forester', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45347', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45348', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45348', null, '40017', 'Cure Poison Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45348', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45348', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45348', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45348', null, '40104', 'TOI Teleport Scroll, 11F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45348', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45348', null, '40308', 'Adena', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45348', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45349', null, '20032', 'Dark Headband', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45349', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45349', null, '40178', 'Spellbook(Paralyze)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45349', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45349', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45349', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45349', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45349', null, '40308', 'Adena', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45349', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45350', null, '101', 'Lastavard One-Handed Spear', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45350', null, '40308', 'Adena', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45350', null, '40614', 'Mineral Removal Document', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45351', null, '137', 'Athame', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45351', null, '138', 'Club', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45351', null, '143', 'Battle Axe', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45351', null, '145', 'Berserker Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45351', null, '20306', 'Old Belt of Body', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45351', null, '20307', 'Old Belt of Soul', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45351', null, '20308', 'Old Belt of Mind', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45351', null, '20312', 'Belt of Body', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45351', null, '20316', 'Belt of Soul', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45351', null, '20319', 'Belt of Mind', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45351', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45351', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45351', null, '40308', 'Adena', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45352', null, '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45352', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45352', null, '40088', 'Scroll of Polymorph', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45352', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45352', null, '40308', 'Adena', '184', '302', '1000000');
INSERT INTO `droplist` VALUES ('45355', null, '20142', 'Forgotten Scale Mail', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45355', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45355', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45355', null, '40012', 'Greater Healing Potion', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45355', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45355', null, '40014', 'Potion of Bravery', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45355', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45355', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45355', null, '40020', 'Condensed Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45355', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45355', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45355', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45355', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45355', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45355', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45355', null, '40308', 'Adena', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45356', null, '20053', 'Wolf Skin Cloak', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', null, '40010', 'Lesser Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45356', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45356', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45356', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', null, '40074', 'Scroll of Enchant Armor', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45356', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45356', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45356', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45356', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45356', null, '40308', 'Adena', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45356', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45356', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45356', null, '40454', 'Beast Tamer Ring', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45356', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45357', null, '40308', 'Adena', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45357', null, '40447', 'Leather of Black Tiger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', null, '40448', 'Claw of Black Tiger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', null, '40449', 'Fang of Black Tiger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45357', null, '40451', 'Black Tiger Heart', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', null, '20142', 'Forgotten Scale Mail', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45358', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45358', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45358', null, '40012', 'Greater Healing Potion', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45358', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45358', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45358', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45358', null, '40020', 'Condensed Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45358', null, '40068', 'Elven Wafer', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45358', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45358', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45358', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45358', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45358', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45358', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45358', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45358', null, '40308', 'Adena', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45359', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45359', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45359', null, '40170', 'Spellbook(Fireball)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40188', 'Spellbook(Haste)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45359', null, '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45359', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45359', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45359', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45359', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45359', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45359', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45359', null, '40308', 'Adena', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45359', null, '40460', 'Ash of Astagio', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45359', null, '140100', 'Scroll of Teleportation', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45360', null, '20177', 'Glove of Dark Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45360', null, '20319', 'Belt of Mind', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45360', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45360', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45360', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45360', null, '40308', 'Adena', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45360', null, '40408', 'Lump of Iron', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45360', null, '40468', 'Rough Silver Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45360', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45361', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45361', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45361', null, '40074', 'Scroll of Enchant Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45361', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40175', 'Spellbook(EarthJail)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45361', null, '40178', 'Spellbook(Paralyze)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40207', 'Spellbook(Earthquake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45361', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45361', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45361', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45361', null, '40308', 'Adena', '194', '318', '1000000');
INSERT INTO `droplist` VALUES ('45361', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', null, '18', 'Sealed Forgotten Sword', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45362', null, '20143', 'Forgotten Plate Mail', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45362', null, '20166', 'Death Knight Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45362', null, '20280', 'Ring of Immunity to Magic', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45362', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45362', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45362', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', null, '40014', 'Potion of Bravery', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45362', null, '40015', 'Potion of Mana', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45362', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45362', null, '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45362', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45362', null, '40020', 'Condensed Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45362', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', null, '40068', 'Elven Wafer', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45362', null, '40076', 'Ancient Scroll', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45362', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45362', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45362', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45362', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45362', null, '40126', 'Scroll of Identify', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45362', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45362', null, '40308', 'Adena', '363', '582', '1000000');
INSERT INTO `droplist` VALUES ('45362', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45363', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45363', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45363', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45363', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45363', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45363', null, '40430', 'Large Cave Crystal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', null, '40465', 'Elementalist Ring', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', null, '20008', 'Old Helm of Wind', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45364', null, '20023', 'Helm of Wind', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', null, '20140', 'Forgotten Leather Armor', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45364', null, '20303', 'Ring of Magic Resistance', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45364', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45364', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45364', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45364', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45364', null, '40014', 'Potion of Bravery', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45364', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', null, '40016', 'Potion of Wisdom', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45364', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45364', null, '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45364', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45364', null, '40020', 'Condensed Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45364', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', null, '40068', 'Elven Wafer', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45364', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45364', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45364', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45364', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45364', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45269', null, '98', 'Glaive', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45365', null, '52', 'Two Handed Sword', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45365', null, '148', 'Great Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45365', null, '40014', 'Potion of Bravery', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45365', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', null, '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45365', null, '40215', 'Spellbook(FireStorm)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45365', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45365', null, '40249', 'Spirit Crystal(EarthBind)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45365', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45365', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45365', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45365', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45365', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45365', null, '100102', 'Lucern Hammer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45366', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', null, '20016', 'Mambo Hat', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45366', null, '20112', 'Mambo Coat', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45366', null, '20172', 'Glove of Ice Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', null, '20177', 'Glove of Dark Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', null, '20181', 'Glove of Fire Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', null, '20189', 'Glove of Wind Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', null, '40043', 'Rabbit Liver', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', null, '40049', 'High Quality Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45366', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45366', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45367', null, '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45367', null, '40012', 'Greater Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45367', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45367', null, '40014', 'Potion of Bravery', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45367', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45367', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45367', null, '40410', 'Bark of Black Ent', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45367', null, '40411', 'Fruit of Black Ent', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45367', null, '40412', 'Twig of Black Ent', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45367', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45367', null, '40490', 'Black Spirit Stone', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45368', null, '20123', 'Robe of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45368', null, '20258', 'Amulet of Beast Summoner', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45368', null, '40012', 'Greater Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45368', null, '40013', 'Haste Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45368', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45368', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45368', null, '40452', 'Ring of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45368', null, '40453', 'Whip of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45368', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45369', null, '40167', 'Old Leather Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45369', null, '40168', 'Old Silk Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45369', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45369', null, '40415', 'Relic Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', null, '40053', 'Highest Quality Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45370', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45370', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45371', null, '20140', 'Forgotten Leather Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45371', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45371', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45371', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45371', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45371', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45371', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45371', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45371', null, '40020', 'Condensed Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45371', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', null, '40068', 'Elven Wafer', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45371', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45371', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45371', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45371', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45371', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45371', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45371', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45372', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45372', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45372', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45372', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45372', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45372', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45372', null, '40192', 'Spellbook(Weakness)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45372', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45372', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45372', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45372', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45372', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45372', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45372', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45372', null, '40408', 'Lump of Iron', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45372', null, '40496', 'Rough Mithril', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45372', null, '40899', 'Lump of Rough Iron', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45373', null, '40014', 'Potion of Bravery', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45373', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45373', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', null, '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', null, '40207', 'Spellbook(Earthquake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45373', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45373', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45373', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45373', null, '100102', 'Lucern Hammer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45374', null, '20172', 'Glove of Ice Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45374', null, '20289', 'Abyss Ring', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45374', null, '20312', 'Belt of Body', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45374', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45374', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45374', null, '40046', 'Sapphire', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45374', null, '40100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45374', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45374', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45376', null, '52', 'Two Handed Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '102', 'Lucern Hammer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '148', 'Great Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '20011', 'Helmet of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '20267', 'Amulet of Wisdom', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45376', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45376', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45376', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '40215', 'Spellbook(FireStorm)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45376', null, '40249', 'Spirit Crystal(EarthBind)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45376', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45376', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45376', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45376', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('45376', null, '40486', 'Volcanic Ash', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '20141', 'Forgotten Robe', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45377', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45377', null, '40011', 'Healing Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45377', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', null, '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45377', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45377', null, '40020', 'Condensed Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45377', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45377', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45377', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45377', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45377', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45377', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45377', null, '40308', 'Adena', '73', '129', '1000000');
INSERT INTO `droplist` VALUES ('45378', null, '20140', 'Forgotten Leather Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45378', null, '40007', 'Ebony Wand', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45378', null, '40011', 'Healing Potion', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45378', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45378', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45378', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45378', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', null, '40020', 'Condensed Healing Potion', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45378', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40089', 'Scroll of Resurrection', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45378', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45378', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45378', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45378', null, '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45378', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45378', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45378', null, '40308', 'Adena', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45379', null, '122', 'Lastavard Staff', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', null, '20103', 'Lastabad Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45379', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45379', null, '40221', 'Spellbook(MassSlow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45379', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45379', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45379', null, '40308', 'Adena', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45379', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45380', null, '20115', 'Splint Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', null, '20227', 'Shield of Medusa', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', null, '20229', 'Shield of Reflection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', null, '20254', 'Amulet of Charisma', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', null, '40016', 'Potion of Wisdom', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45380', null, '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45380', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', null, '40089', 'Scroll of Resurrection', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45380', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45380', null, '40104', 'TOI Teleport Scroll, 11F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45380', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45380', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', null, '40192', 'Spellbook(Weakness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', null, '40201', 'Spellbook(Disease)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45380', null, '40220', 'Spellbook(GreaterResurrection)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45380', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', null, '40308', 'Adena', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45380', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45380', null, '240074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45380', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45381', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45381', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45381', null, '40048', 'High Quality Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45381', null, '40052', 'Highest Quality Diamond', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45381', null, '40074', 'Scroll of Enchant Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45381', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', null, '40174', 'Spellbook(Slow)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45381', null, '40178', 'Spellbook(Paralyze)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45381', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45381', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45381', null, '40189', 'Spellbook(Cancel)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45381', null, '40190', 'Spellbook(Eruption)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45381', null, '40207', 'Spellbook(Earthquake)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45381', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45381', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45381', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45381', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45381', null, '40308', 'Adena', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45381', null, '40646', 'Basilisk\'s Horn', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45382', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45382', null, '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45382', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45382', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45382', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45382', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45382', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45382', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45382', null, '40308', 'Adena', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45383', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45383', null, '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45383', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45383', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45383', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45383', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45383', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45383', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45383', null, '40308', 'Adena', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('45384', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', null, '40088', 'Scroll of Polymorph', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', null, '40106', 'TOI Teleport Scroll, 31F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45384', null, '40119', 'Scroll of Curse Removal', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45384', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45384', null, '40203', 'Spellbook(Firewall)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45384', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45384', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45384', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45384', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45385', null, '40167', 'Old Leather Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45385', null, '40168', 'Old Silk Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45385', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45385', null, '40415', 'Relic Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', null, '40105', 'TOI Teleport Scroll, 21F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45386', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45386', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '20141', 'Forgotten Robe', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45387', null, '20142', 'Forgotten Scale Mail', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45387', null, '20207', 'Underwater Boots', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45387', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45387', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45387', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45387', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45387', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40015', 'Potion of Mana', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', null, '40016', 'Potion of Wisdom', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45387', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45387', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45387', null, '40020', 'Condensed Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45387', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45387', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45387', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45387', null, '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', null, '40126', 'Scroll of Identify', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45387', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45387', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45387', null, '40458', 'Shining Scale', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45389', null, '20008', 'Old Helm of Wind', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45389', null, '20140', 'Forgotten Leather Armor', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45389', null, '20303', 'Ring of Magic Resistance', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45389', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45389', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45389', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45389', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45389', null, '40014', 'Potion of Bravery', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45389', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45389', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45389', null, '40020', 'Condensed Healing Potion', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45389', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45389', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45389', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45389', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45389', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45389', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45390', null, '20142', 'Forgotten Scale Mail', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45390', null, '20303', 'Ring of Magic Resistance', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45390', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45390', null, '40011', 'Healing Potion', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45390', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', null, '40014', 'Potion of Bravery', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45390', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45390', null, '40020', 'Condensed Healing Potion', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45390', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45390', null, '40068', 'Elven Wafer', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45390', null, '40076', 'Ancient Scroll', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45390', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45390', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45390', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45390', null, '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45390', null, '40126', 'Scroll of Identify', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45390', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45390', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45391', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45391', null, '40318', 'Magic Gem', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45391', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45391', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45391', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', null, '20141', 'Forgotten Robe', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45797', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45392', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45392', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45392', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45392', null, '40020', 'Condensed Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45392', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45392', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45392', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45392', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45392', null, '40126', 'Scroll of Identify', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45392', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45392', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45392', null, '40317', 'Whetstone', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45393', null, '20210', 'Dark Boots', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45393', null, '20281', 'Ring of Polymorph Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45393', null, '40015', 'Potion of Mana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45393', null, '40016', 'Potion of Wisdom', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45393', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45393', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45393', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', null, '40195', 'Spellbook(IceLance)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', null, '40196', 'Spellbook(Summon)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45393', null, '40204', 'Spellbook(Blizzard)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45393', null, '40214', 'Spellbook(MassTeleport)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45393', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45393', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45393', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45393', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45393', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45393', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45394', null, '20210', 'Dark Boots', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45394', null, '20281', 'Ring of Polymorph Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45672', null, '40222', 'Spellbook(Destroy)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45394', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45394', null, '40105', 'TOI Teleport Scroll, 21F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45394', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45394', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45394', null, '40195', 'Spellbook(IceLance)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45394', null, '40196', 'Spellbook(Summon)', '1', '1', '2400');
INSERT INTO `droplist` VALUES ('45394', null, '40204', 'Spellbook(Blizzard)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45394', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45394', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45394', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45394', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45394', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('45397', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', null, '176', 'Lastabad Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', null, '20199', 'Lastabad Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45397', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', null, '40308', 'Adena', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45397', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45397', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45397', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', null, '38', 'Lastavard Long Sword', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '20199', 'Lastabad Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45398', null, '40308', 'Adena', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45398', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45398', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45398', null, '40899', 'Lump of Rough Iron', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45399', null, '20011', 'Helmet of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45399', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45399', null, '40015', 'Potion of Mana', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45399', null, '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45399', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', null, '40105', 'TOI Teleport Scroll, 21F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45399', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45399', null, '40308', 'Adena', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45400', null, '40167', 'Old Leather Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45400', null, '40168', 'Old Silk Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45400', null, '40308', 'Adena', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45400', null, '40415', 'Relic Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45401', null, '20140', 'Forgotten Leather Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45401', null, '20303', 'Ring of Magic Resistance', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45401', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45401', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45401', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45401', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45401', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45401', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45401', null, '40020', 'Condensed Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45401', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45401', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45401', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45401', null, '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45401', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45401', null, '40308', 'Adena', '241', '390', '1000000');
INSERT INTO `droplist` VALUES ('45402', null, '145', 'Berserker Axe', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45402', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45402', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45402', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45402', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45402', null, '40107', 'TOI Teleport Scroll, 41F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45402', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45402', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45403', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', null, '40014', 'Potion of Bravery', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45403', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45403', null, '40074', 'Scroll of Enchant Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45403', null, '40107', 'TOI Teleport Scroll, 41F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45403', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45403', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45403', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45404', null, '38', 'Lastavard Long Sword', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45404', null, '20102', 'Lastabad Leather Armor', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45404', null, '20199', 'Lastabad Boots', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45404', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45404', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45404', null, '40016', 'Potion of Wisdom', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45404', null, '40074', 'Scroll of Enchant Armor', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45404', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45404', null, '40100', 'Scroll of Teleportation', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45404', null, '40119', 'Scroll of Curse Removal', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45404', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45404', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45404', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45404', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45404', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45404', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45404', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45404', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45404', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45405', null, '116', 'Staff of Black Wizard', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45405', null, '20121', 'Robe of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45405', null, '20257', 'Amulet of Black Wizard', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45405', null, '40012', 'Greater Healing Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45405', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45405', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45405', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45405', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45405', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45405', null, '40446', 'Ring of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45405', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45406', null, '20032', 'Dark Headband', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45406', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45406', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45406', null, '40105', 'TOI Teleport Scroll, 21F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45406', null, '40178', 'Spellbook(Paralyze)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', null, '40192', 'Spellbook(Weakness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', null, '40201', 'Spellbook(Disease)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45406', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45406', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45406', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45406', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45407', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40016', 'Potion of Wisdom', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45407', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45407', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', null, '40020', 'Condensed Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40104', 'TOI Teleport Scroll, 11F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45407', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45407', null, '40397', 'Cimaera Skin (Dragon)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40398', 'Cimaera Skin (Goat)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40399', 'Cimaera Skin (Lion)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45407', null, '40400', 'Cimaera Skin (Snake)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45408', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45408', null, '40215', 'Spellbook(FireStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45408', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45408', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45408', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45408', null, '40308', 'Adena', '253', '410', '1000000');
INSERT INTO `droplist` VALUES ('45408', null, '40472', 'Cerberus Fur', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', null, '40016', 'Potion of Wisdom', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45409', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45409', null, '40105', 'TOI Teleport Scroll, 21F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45409', null, '40119', 'Scroll of Curse Removal', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45409', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45409', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45409', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45411', null, '10', 'Lastavard Blade', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45411', null, '188', 'Lastabad Heavy Cross Bow', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45411', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45411', null, '40015', 'Potion of Mana', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45411', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45411', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45411', null, '40100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45411', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45411', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45411', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45411', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45411', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45411', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45411', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45411', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45411', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45411', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45412', null, '101', 'Lastavard One-Handed Spear', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45412', null, '20104', 'Lastabad Studded Leather Armor', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45412', null, '20224', 'Lastabad Round Shield', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45412', null, '40010', 'Lesser Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45412', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45412', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45412', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45412', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45412', null, '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45412', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45412', null, '40100', 'Scroll of Teleportation', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45412', null, '40119', 'Scroll of Curse Removal', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45412', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45412', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45412', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45412', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45412', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45412', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45412', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45412', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45413', null, '40630', 'Diego\'s Old Diary', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45414', null, '20053', 'Wolf Skin Cloak', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45414', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45414', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45414', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45414', null, '40454', 'Beast Tamer Ring', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', null, '82', 'Lastavard Edoryu', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', null, '20105', 'Lastabad Chain Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45415', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45415', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45415', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45415', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45415', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45416', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45416', null, '20177', 'Glove of Dark Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45416', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45416', null, '40048', 'High Quality Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', null, '40049', 'High Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', null, '40050', 'High Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', null, '40051', 'High Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45416', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45416', null, '40249', 'Spirit Crystal(EarthBind)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45416', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45416', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45416', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45417', null, '40167', 'Old Leather Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45417', null, '40168', 'Old Silk Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45417', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45417', null, '40415', 'Relic Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45418', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45418', null, '20189', 'Glove of Wind Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45418', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', null, '40048', 'High Quality Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', null, '40049', 'High Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', null, '40050', 'High Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', null, '40051', 'High Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45418', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45418', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45418', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45418', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45419', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45419', null, '20172', 'Glove of Ice Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45419', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', null, '40048', 'High Quality Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', null, '40049', 'High Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', null, '40050', 'High Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', null, '40051', 'High Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45419', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45419', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45419', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45419', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45420', null, '20015', 'Helm of Magic: Power', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', null, '20101', 'Banded Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45420', null, '20162', 'Leather Gloves', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45420', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45420', null, '40075', 'Scroll of Destroy Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45420', null, '40177', 'Spellbook(Meditate)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', null, '40192', 'Spellbook(Weakness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', null, '40196', 'Spellbook(Summon)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45420', null, '40207', 'Spellbook(Earthquake)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45420', null, '40209', 'Spellbook(Silence)', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45420', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45420', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45420', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45420', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45420', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45420', null, '140074', 'Scroll of Enchant Armor', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45420', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45420', null, '220101', 'Banded Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45421', null, '40654', 'Third Labyrinth Key', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45422', null, '20289', 'Abyss Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', null, '40011', 'Healing Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45422', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45422', null, '40043', 'Rabbit Liver', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', null, '40048', 'High Quality Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45422', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', null, '40050', 'High Quality Sapphire', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45422', null, '40051', 'High Quality Emerald', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45422', null, '40052', 'Highest Quality Diamond', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45422', null, '40053', 'Highest Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', null, '40054', 'Highest Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', null, '40055', 'Highest Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45422', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45422', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45422', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45422', null, '40308', 'Adena', '1265', '4291', '1000000');
INSERT INTO `droplist` VALUES ('45423', null, '20289', 'Abyss Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45423', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45423', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45423', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45423', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45423', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45423', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45424', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45424', null, '20181', 'Glove of Fire Spirit', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45424', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', null, '40048', 'High Quality Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', null, '40049', 'High Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', null, '40050', 'High Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', null, '40051', 'High Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', null, '40215', 'Spellbook(FireStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45424', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45424', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45425', null, '116', 'Staff of Black Wizard', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45425', null, '20121', 'Robe of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45425', null, '20257', 'Amulet of Black Wizard', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45425', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45425', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45425', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45425', null, '40446', 'Ring of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45425', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45440', null, '20070', 'Dark Cloak', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45440', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45297', null, '40051', 'High Quality Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45440', null, '40020', 'Condensed Healing Potion', '1', '3', '170000');
INSERT INTO `droplist` VALUES ('45440', null, '40100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45440', null, '40106', 'TOI Teleport Scroll, 31F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45440', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', null, '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', null, '40192', 'Spellbook(Weakness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', null, '40201', 'Spellbook(Disease)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45440', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45440', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('45440', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45445', null, '167', 'Sealed Forgotten Bowgun', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45445', null, '20023', 'Helm of Wind', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45445', null, '20141', 'Forgotten Robe', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45445', null, '20280', 'Ring of Immunity to Magic', '1', '1', '900');
INSERT INTO `droplist` VALUES ('45445', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45445', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45445', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45445', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45445', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40016', 'Potion of Wisdom', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45445', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45445', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45445', null, '40020', 'Condensed Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45445', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45445', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45445', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45445', null, '40126', 'Scroll of Identify', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45445', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45445', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45446', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '176', 'Lastabad Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '20199', 'Lastabad Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', null, '40209', 'Spellbook(Silence)', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45446', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45446', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45446', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45446', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45446', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45446', null, '40746', 'Mithril Arrow', '30', '100', '10000');
INSERT INTO `droplist` VALUES ('45447', null, '122', 'Lastavard Staff', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', null, '20103', 'Lastabad Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45447', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45447', null, '40074', 'Scroll of Enchant Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45447', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', null, '40100', 'Scroll of Teleportation', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45447', null, '40119', 'Scroll of Curse Removal', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45447', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45447', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45447', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45447', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45447', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '120');
INSERT INTO `droplist` VALUES ('45447', null, '40221', 'Spellbook(MassSlow)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45447', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45447', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45447', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45447', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45447', null, '40524', 'Black Blood Stone', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', null, '20143', 'Forgotten Plate Mail', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45449', null, '20303', 'Ring of Magic Resistance', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45449', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45449', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45449', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', null, '40014', 'Potion of Bravery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45449', null, '40015', 'Potion of Mana', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45449', null, '40016', 'Potion of Wisdom', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', null, '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45449', null, '40020', 'Condensed Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45449', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', null, '40068', 'Elven Wafer', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', null, '40076', 'Ancient Scroll', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45449', null, '40089', 'Scroll of Resurrection', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45449', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45449', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45449', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45449', null, '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', null, '40126', 'Scroll of Identify', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45449', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45449', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45394', null, '40015', 'Potion of Mana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45450', null, '20288', 'Ring of Teleport Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45450', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45450', null, '40318', 'Magic Gem', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45450', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45450', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45450', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45451', null, '20070', 'Dark Cloak', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45451', null, '20132', 'Dark Robe', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45451', null, '20288', 'Ring of Teleport Control', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45451', null, '40015', 'Potion of Mana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45451', null, '40016', 'Potion of Wisdom', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45451', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45451', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45451', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45451', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45451', null, '40195', 'Spellbook(IceLance)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', null, '40196', 'Spellbook(Summon)', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45451', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45451', null, '40214', 'Spellbook(MassTeleport)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45451', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45451', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45451', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45452', null, '20207', 'Underwater Boots', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45452', null, '40007', 'Ebony Wand', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45452', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45452', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45452', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', null, '40016', 'Potion of Wisdom', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45452', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45452', null, '40020', 'Condensed Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45452', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40068', 'Elven Wafer', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45452', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45452', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45452', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45452', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45452', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45452', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45453', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45453', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45453', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45453', null, '40308', 'Adena', '278', '450', '1000000');
INSERT INTO `droplist` VALUES ('45453', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45454', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45454', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45454', null, '40014', 'Potion of Bravery', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45454', null, '40016', 'Potion of Wisdom', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45454', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45454', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45454', null, '40089', 'Scroll of Resurrection', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45454', null, '40107', 'TOI Teleport Scroll, 41F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45454', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45454', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45454', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45454', null, '140100', 'Scroll of Teleportation', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45455', null, '20011', 'Helmet of Magic Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45455', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45455', null, '40074', 'Scroll of Enchant Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45455', null, '40088', 'Scroll of Polymorph', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45455', null, '40107', 'TOI Teleport Scroll, 41F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45455', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45455', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45456', null, '20029', 'Cap of Sema', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45456', null, '20063', 'Cloak of Protection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45456', null, '20182', 'Gloves', '1', '1', '180000');
INSERT INTO `droplist` VALUES ('45456', null, '20256', 'Amulet of Dexterity', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45456', null, '20264', 'Amulet of Strength', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45456', null, '20266', 'Amulet of Intelligence', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45456', null, '20267', 'Amulet of Wisdom', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45456', null, '20281', 'Ring of Polymorph Control', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45456', null, '20284', 'Ring of Summon Control', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45456', null, '20288', 'Ring of Teleport Control', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45456', null, '40006', 'Pine Wand', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40008', 'Maple Wand', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', null, '40044', 'Diamond', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45456', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45456', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40179', 'Spellbook(CallLightning)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40192', 'Spellbook(Weakness)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40233', 'Spirit Crystal(BodytoMind)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45456', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45456', null, '40617', 'Crystal Ball of Necromancer', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45456', null, '40907', 'Ring of Sema', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45456', null, '40908', 'Ring of Orim', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45456', null, '140074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45456', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45456', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45457', null, '20280', 'Ring of Immunity to Magic', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45457', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45457', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45457', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40015', 'Potion of Mana', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45457', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45457', null, '40020', 'Condensed Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45457', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45457', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40076', 'Ancient Scroll', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45457', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45457', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40119', 'Scroll of Curse Removal', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45457', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45457', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45921', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45921', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45920', null, '20115', 'Splint Mail', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45920', null, '40049', 'High Quality Ruby', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45920', null, '40304', 'Relic of Maphr', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45920', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45920', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45736', null, '40308', 'Adena', '56', '112', '1000000');
INSERT INTO `droplist` VALUES ('45736', null, '40718', 'Fragment of Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45736', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45736', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45920', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45733', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45732', null, '49045', 'Elekkadom Meat', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45732', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45731', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45730', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45729', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45728', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45727', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45726', null, '40308', 'Adena', '40', '200', '400000');
INSERT INTO `droplist` VALUES ('45725', null, '49047', 'Crab Meat', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45725', null, '40308', 'Adena', '50', '300', '400000');
INSERT INTO `droplist` VALUES ('45724', null, '49040', 'Shark Eggs', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45724', null, '40308', 'Adena', '50', '200', '300000');
INSERT INTO `droplist` VALUES ('45721', null, '40308', 'Adena', '50', '600', '600000');
INSERT INTO `droplist` VALUES ('45720', null, '40308', 'Adena', '50', '600', '600000');
INSERT INTO `droplist` VALUES ('45719', null, '49041', 'Alligator Meat', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45719', null, '40308', 'Adena', '50', '1000', '400000');
INSERT INTO `droplist` VALUES ('45718', null, '40308', 'Adena', '60', '700', '600000');
INSERT INTO `droplist` VALUES ('45716', null, '40308', 'Adena', '50', '200', '600000');
INSERT INTO `droplist` VALUES ('45715', null, '40308', 'Adena', '50', '700', '600000');
INSERT INTO `droplist` VALUES ('45736', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45736', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45736', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45458', null, '40621', 'Key of Drake', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45463', null, '40167', 'Old Leather Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45463', null, '40168', 'Old Silk Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45463', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45463', null, '40415', 'Relic Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', null, '20029', 'Cap of Sema', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45464', null, '20063', 'Cloak of Protection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45464', null, '20182', 'Gloves', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45464', null, '20256', 'Amulet of Dexterity', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45464', null, '20284', 'Ring of Summon Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45464', null, '40006', 'Pine Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45464', null, '40008', 'Maple Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45464', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', null, '40044', 'Diamond', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45464', null, '40048', 'High Quality Diamond', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45464', null, '40052', 'Highest Quality Diamond', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45464', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45464', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40179', 'Spellbook(CallLightning)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40188', 'Spellbook(Haste)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40192', 'Spellbook(Weakness)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40233', 'Spirit Crystal(BodytoMind)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45464', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45464', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45464', null, '40617', 'Crystal Ball of Necromancer', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45464', null, '40907', 'Ring of Sema', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45464', null, '40908', 'Ring of Orim', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45464', null, '140074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45464', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45464', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45468', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45468', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45468', null, '40109', 'TOI Teleport Scroll, 61F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45468', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45468', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45468', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '20143', 'Forgotten Plate Mail', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45469', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45469', null, '20303', 'Ring of Magic Resistance', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45469', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45469', null, '40011', 'Healing Potion', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45469', null, '40012', 'Greater Healing Potion', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45469', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45469', null, '40014', 'Potion of Bravery', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45469', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45469', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45469', null, '40020', 'Condensed Healing Potion', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45469', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45469', null, '40068', 'Elven Wafer', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45469', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45469', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45469', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45469', null, '40317', 'Whetstone', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45470', null, '20140', 'Forgotten Leather Armor', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45470', null, '20303', 'Ring of Magic Resistance', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45470', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45470', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45470', null, '40020', 'Condensed Healing Potion', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45470', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45470', null, '40068', 'Elven Wafer', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45470', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45470', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45470', null, '40119', 'Scroll of Curse Removal', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45470', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45470', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45470', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('45471', null, '125', 'Staff of Sorcery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45471', null, '40014', 'Potion of Bravery', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45471', null, '40049', 'High Quality Ruby', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45471', null, '40106', 'TOI Teleport Scroll, 31F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45471', null, '40203', 'Spellbook(Firewall)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45471', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45471', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45471', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45471', null, '40308', 'Adena', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45471', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45472', null, '83', 'Diad Fortress Edoryu', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', null, '20105', 'Lastabad Chain Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45472', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40308', 'Adena', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45472', null, '40432', 'Diad Scroll Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45472', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45473', null, '20025', 'Cap of Baltuzar', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45473', null, '20063', 'Cloak of Protection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45473', null, '20205', 'Boots', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '20266', 'Amulet of Intelligence', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45473', null, '20284', 'Ring of Summon Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45473', null, '40006', 'Pine Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40008', 'Maple Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', null, '40047', 'Emerald', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40051', 'High Quality Emerald', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45473', null, '40055', 'Highest Quality Emerald', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45473', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45473', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40177', 'Spellbook(Meditate)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40178', 'Spellbook(Paralyze)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40189', 'Spellbook(Cancel)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40190', 'Spellbook(Eruption)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40207', 'Spellbook(Earthquake)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40235', 'Spirit Crystal(ClearMind)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45473', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45473', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45473', null, '40308', 'Adena', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45473', null, '40617', 'Crystal Ball of Necromancer', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45473', null, '140074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45473', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45473', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45476', null, '40167', 'Old Leather Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45476', null, '40168', 'Old Silk Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45476', null, '40308', 'Adena', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45476', null, '40415', 'Relic Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', null, '20142', 'Forgotten Scale Mail', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45477', null, '20321', 'Troll Belt', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45477', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45477', null, '40011', 'Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45477', null, '40012', 'Greater Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45477', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', null, '40014', 'Potion of Bravery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45477', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45477', null, '40020', 'Condensed Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45477', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45477', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45477', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45477', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45477', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45477', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45477', null, '40308', 'Adena', '305', '492', '1000000');
INSERT INTO `droplist` VALUES ('45479', null, '20187', 'Power Gloves', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45479', null, '20300', 'Ring of Earth Resistance', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45479', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45479', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45479', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45479', null, '40108', 'TOI Teleport Scroll, 51F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45479', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45479', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45479', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45479', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45479', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45479', null, '40408', 'Lump of Iron', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45479', null, '40496', 'Rough Mithril', '1', '3', '65000');
INSERT INTO `droplist` VALUES ('45479', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45480', null, '20264', 'Amulet of Strength', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45480', null, '20281', 'Ring of Polymorph Control', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45480', null, '20284', 'Ring of Summon Control', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45480', null, '40006', 'Pine Wand', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45480', null, '40008', 'Maple Wand', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45480', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45480', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45480', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45480', null, '40108', 'TOI Teleport Scroll, 51F', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45480', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45480', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45480', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45480', null, '140074', 'Scroll of Enchant Armor', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45480', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45480', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45481', null, '2', 'Dice Dagger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', null, '20099', 'Demon Armor', '1', '1', '550');
INSERT INTO `droplist` VALUES ('45481', null, '20264', 'Amulet of Strength', '1', '1', '850');
INSERT INTO `droplist` VALUES ('45481', null, '20266', 'Amulet of Intelligence', '1', '1', '550');
INSERT INTO `droplist` VALUES ('45481', null, '20304', 'Ring of Fire Resistance', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45481', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45481', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45481', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45481', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45481', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', null, '40089', 'Scroll of Resurrection', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45481', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', null, '40106', 'TOI Teleport Scroll, 31F', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45481', null, '40203', 'Spellbook(Firewall)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45481', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45481', null, '140089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45482', null, '40318', 'Magic Gem', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45482', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45482', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45482', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45483', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45485', null, '40006', 'Pine Wand', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45485', null, '40008', 'Maple Wand', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45485', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45485', null, '40053', 'Highest Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45485', null, '40110', 'TOI Teleport Scroll, 71F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45485', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45485', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45487', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45487', null, '20132', 'Dark Robe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45487', null, '20289', 'Abyss Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45487', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45487', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45487', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45487', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45487', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45487', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45487', null, '40308', 'Adena', '1619', '7131', '1000000');
INSERT INTO `droplist` VALUES ('45488', null, '20040', 'Cap of Caspa', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45488', null, '20264', 'Amulet of Strength', '1', '1', '6500');
INSERT INTO `droplist` VALUES ('45488', null, '20281', 'Ring of Polymorph Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45488', null, '20284', 'Ring of Summon Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45488', null, '40006', 'Pine Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45488', null, '40008', 'Maple Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45488', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', null, '40045', 'Ruby', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45488', null, '40049', 'High Quality Ruby', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45488', null, '40053', 'Highest Quality Ruby', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45488', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45488', null, '40191', 'Spellbook(SunBurst)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45788', null, '41077', 'Polluted Water', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45488', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45488', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45488', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45488', null, '40617', 'Crystal Ball of Necromancer', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45488', null, '140074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45488', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45488', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45492', null, '53', 'Sword of Brave Lizardman Soldier', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45492', null, '220295', 'Cursed Sapphire Ring', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45492', null, '40050', 'High Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45492', null, '40054', 'Highest Quality Sapphire', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45492', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45492', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45492', null, '40206', 'Spellbook(Resurrection)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45492', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45492', null, '40308', 'Adena', '319', '513', '1000000');
INSERT INTO `droplist` VALUES ('45492', null, '40634', 'Treasure of Lizardman', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45493', null, '20124', 'Bone Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45493', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45493', null, '40018', 'Greater Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45493', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45493', null, '40107', 'TOI Teleport Scroll, 41F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45493', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45493', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45493', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45493', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45493', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45493', null, '140074', 'Scroll of Enchant Armor', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45493', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45494', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45494', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45494', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45494', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45494', null, '40107', 'TOI Teleport Scroll, 41F', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45494', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', null, '40181', 'Spellbook(TameMonster)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45494', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45494', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45496', null, '40044', 'Diamond', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', null, '40045', 'Ruby', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', null, '40046', 'Sapphire', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', null, '40047', 'Emerald', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', null, '40048', 'High Quality Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45496', null, '40049', 'High Quality Ruby', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45496', null, '40050', 'High Quality Sapphire', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45496', null, '40051', 'High Quality Emerald', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45496', null, '40052', 'Highest Quality Diamond', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45496', null, '40053', 'Highest Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45496', null, '40054', 'Highest Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45496', null, '40055', 'Highest Quality Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45496', null, '40074', 'Scroll of Enchant Armor', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45496', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', null, '40108', 'TOI Teleport Scroll, 51F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', null, '40203', 'Spellbook(Firewall)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45496', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45496', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45496', null, '40466', 'Heart of Dragon', '1', '1', '600');
INSERT INTO `droplist` VALUES ('45496', null, '140088', 'Scroll of Polymorph', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45497', null, '20018', 'Cap of Merkyor', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45497', null, '20267', 'Amulet of Wisdom', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45497', null, '20284', 'Ring of Summon Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45497', null, '20288', 'Ring of Teleport Control', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45497', null, '40006', 'Pine Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40008', 'Maple Wand', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', null, '40046', 'Sapphire', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40050', 'High Quality Sapphire', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45497', null, '40054', 'Highest Quality Sapphire', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45497', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45497', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40185', 'Spellbook(Darkness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45497', null, '40214', 'Spellbook(MassTeleport)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45497', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45497', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45497', null, '40617', 'Crystal Ball of Necromancer', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45497', null, '140074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45497', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45497', null, '140100', 'Scroll of Teleportation', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45498', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40052', 'Highest Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45498', null, '40054', 'Highest Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45498', null, '40055', 'Highest Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45498', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45498', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45498', null, '40423', 'Ancients\' Book of Magic, Volume 4', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45498', null, '40464', 'Devil\'s White Shackles', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45499', null, '40167', 'Old Leather Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45499', null, '40168', 'Old Silk Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45499', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45499', null, '40415', 'Relic Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45500', null, '8', 'Mithril Dagger', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45500', null, '9', 'Oriharukon Dagger', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45500', null, '20172', 'Glove of Ice Spirit', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45500', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45500', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45500', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45500', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45500', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45500', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45500', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45500', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45500', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45500', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45501', null, '107', 'Crimson Lance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45501', null, '151', 'Demon Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45501', null, '20289', 'Abyss Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', null, '40074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45501', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45501', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45501', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45501', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', null, '20289', 'Abyss Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45502', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45502', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45502', null, '40330', 'Unlimited Quiver', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45502', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45503', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45503', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45503', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45503', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45503', null, '40111', 'TOI Teleport Scroll, 81F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45503', null, '40119', 'Scroll of Curse Removal', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45503', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45503', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45503', null, '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45504', null, '40571', 'Assassin Master\'s Box', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45505', null, '17', 'Sealed Forgotten Great Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '20143', 'Forgotten Plate Mail', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45505', null, '20280', 'Ring of Immunity to Magic', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45505', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45505', null, '40011', 'Healing Potion', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45505', null, '40012', 'Greater Healing Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45505', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45505', null, '40014', 'Potion of Bravery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45505', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45505', null, '40018', 'Greater Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45505', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45505', null, '40020', 'Condensed Healing Potion', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45505', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45505', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45505', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45505', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45505', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45505', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45505', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45505', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', null, '20280', 'Ring of Immunity to Magic', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45506', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', null, '40109', 'TOI Teleport Scroll, 61F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45507', null, '40541', 'Dark Star', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45508', null, '8', 'Mithril Dagger', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45508', null, '9', 'Oriharukon Dagger', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45508', null, '20177', 'Glove of Dark Spirit', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45508', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45508', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45508', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45508', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45508', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45508', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45508', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45508', null, '40249', 'Spirit Crystal(EarthBind)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45508', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45508', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45508', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45509', null, '20143', 'Forgotten Plate Mail', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45509', null, '20303', 'Ring of Magic Resistance', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45509', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45509', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45509', null, '40012', 'Greater Healing Potion', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45509', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45509', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45509', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45509', null, '40020', 'Condensed Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45509', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45509', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45509', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45509', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45509', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45509', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45509', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45509', null, '40317', 'Whetstone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45510', null, '8', 'Mithril Dagger', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45510', null, '9', 'Oriharukon Dagger', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45510', null, '20189', 'Glove of Wind Spirit', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45510', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45510', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45510', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45510', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45510', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45510', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45510', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45510', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45510', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45511', null, '8', 'Mithril Dagger', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45511', null, '9', 'Oriharukon Dagger', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45511', null, '20181', 'Glove of Fire Spirit', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45511', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45511', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', null, '40215', 'Spellbook(FireStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45511', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45511', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45511', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45513', null, '2', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '57', 'Tsurugi', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45513', null, '40104', 'TOI Teleport Scroll, 11F', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45513', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '20128', 'Crystal Plate Mail', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45513', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '20187', 'Power Gloves', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45513', null, '20298', 'Ring of Zenith', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45513', null, '20308', 'Old Belt of Mind', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45513', null, '20319', 'Belt of Mind', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45513', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40013', 'Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40014', 'Potion of Bravery', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40016', 'Potion of Wisdom', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40018', 'Greater Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45513', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40093', 'Blank Scroll (Level 4)', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40094', 'Blank Scroll (Level 5)', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '40174', 'Spellbook(Slow)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45513', null, '40185', 'Spellbook(Darkness)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45513', null, '40192', 'Spellbook(Weakness)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45513', null, '40221', 'Spellbook(MassSlow)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45513', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45513', null, '40280', 'Sealed TOI Teleport Charm, 11F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45513', null, '40308', 'Adena', '10000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45513', null, '100052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45513', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45513', null, '200052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45514', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45514', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45514', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45514', null, '40020', 'Condensed Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45514', null, '40108', 'TOI Teleport Scroll, 51F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45514', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45514', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45514', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', null, '40015', 'Potion of Mana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45515', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', null, '40106', 'TOI Teleport Scroll, 31F', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45515', null, '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', null, '40215', 'Spellbook(FireStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45515', null, '40244', 'Spirit Crystal(AreaOfSilence)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45515', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45515', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45515', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45515', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45515', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45515', null, '40308', 'Adena', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45516', null, '41', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45516', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', null, '40006', 'Pine Wand', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45516', null, '40008', 'Maple Wand', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45516', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', null, '40048', 'High Quality Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45516', null, '40049', 'High Quality Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45516', null, '40050', 'High Quality Sapphire', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45516', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40052', 'Highest Quality Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45516', null, '40053', 'Highest Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40054', 'Highest Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45516', null, '40055', 'Highest Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40074', 'Scroll of Enchant Armor', '1', '3', '180000');
INSERT INTO `droplist` VALUES ('45516', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45516', null, '40170', 'Spellbook(Fireball)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '40189', 'Spellbook(Cancel)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '40191', 'Spellbook(SunBurst)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '40203', 'Spellbook(Firewall)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40215', 'Spellbook(FireStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40244', 'Spirit Crystal(AreaOfSilence)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45516', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45516', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45516', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45516', null, '40308', 'Adena', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45516', null, '40486', 'Volcanic Ash', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '100041', 'Katana', '1', '1', '850000');
INSERT INTO `droplist` VALUES ('45516', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', null, '140074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45516', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45519', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45519', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45519', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45519', null, '40020', 'Condensed Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45519', null, '40108', 'TOI Teleport Scroll, 51F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45519', null, '40308', 'Adena', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45519', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', null, '20154', 'Plate Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', null, '40006', 'Pine Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', null, '40008', 'Maple Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', null, '40016', 'Potion of Wisdom', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45520', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45520', null, '40074', 'Scroll of Enchant Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45520', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', null, '40110', 'TOI Teleport Scroll, 71F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', null, '40221', 'Spellbook(MassSlow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45520', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45520', null, '40308', 'Adena', '348', '558', '1000000');
INSERT INTO `droplist` VALUES ('45520', null, '120154', 'Plate Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', null, '20284', 'Ring of Summon Control', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45522', null, '40044', 'Diamond', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', null, '40045', 'Ruby', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', null, '40046', 'Sapphire', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', null, '40047', 'Emerald', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', null, '40049', 'High Quality Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', null, '40052', 'Highest Quality Diamond', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45522', null, '40053', 'Highest Quality Ruby', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', null, '40054', 'Highest Quality Sapphire', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', null, '40055', 'Highest Quality Emerald', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45522', null, '40108', 'TOI Teleport Scroll, 51F', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45522', null, '40220', 'Spellbook(GreaterResurrection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', null, '40308', 'Adena', '363', '582', '1000000');
INSERT INTO `droplist` VALUES ('45522', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45522', null, '140088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', null, '20280', 'Ring of Immunity to Magic', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45524', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45524', null, '40109', 'TOI Teleport Scroll, 61F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45524', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45524', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45524', null, '40308', 'Adena', '363', '582', '1000000');
INSERT INTO `droplist` VALUES ('45528', null, '40014', 'Potion of Bravery', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45528', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45528', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45528', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45528', null, '40110', 'TOI Teleport Scroll, 71F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45528', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45528', null, '40308', 'Adena', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45529', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40044', 'Diamond', '1', '3', '250000');
INSERT INTO `droplist` VALUES ('45529', null, '40045', 'Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45529', null, '40046', 'Sapphire', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40047', 'Emerald', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40048', 'High Quality Diamond', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40049', 'High Quality Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45529', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', null, '40052', 'Highest Quality Diamond', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45529', null, '40053', 'Highest Quality Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45529', null, '40054', 'Highest Quality Sapphire', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45529', null, '40055', 'Highest Quality Emerald', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40170', 'Spellbook(Fireball)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40181', 'Spellbook(TameMonster)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40188', 'Spellbook(Haste)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45529', null, '40196', 'Spellbook(Summon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', null, '40207', 'Spellbook(Earthquake)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', null, '40244', 'Spirit Crystal(AreaOfSilence)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45529', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45529', null, '40308', 'Adena', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45529', null, '40622', 'Drake\'s Claw', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45529', null, '140074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45529', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45529', null, '140088', 'Scroll of Polymorph', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '240074', 'Scroll of Enchant Armor', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45529', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45530', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40052', 'Highest Quality Diamond', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45530', null, '40078', 'Ancients\' Magic Scroll', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45530', null, '40308', 'Adena', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45530', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45530', null, '40422', 'Ancients\' Book of Magic, Volume 3', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45530', null, '40463', 'Devil\'s Blue Shackles', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45531', null, '18', 'Sealed Forgotten Sword', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45531', null, '20141', 'Forgotten Robe', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45531', null, '20165', 'Demon Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45531', null, '20280', 'Ring of Immunity to Magic', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45531', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45531', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45531', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45531', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45531', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45531', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45531', null, '40020', 'Condensed Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45531', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40068', 'Elven Wafer', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45531', null, '40076', 'Ancient Scroll', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45531', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40126', 'Scroll of Identify', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45531', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45531', null, '40308', 'Adena', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45532', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', null, '40111', 'TOI Teleport Scroll, 81F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45532', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45532', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45532', null, '40308', 'Adena', '378', '605', '1000000');
INSERT INTO `droplist` VALUES ('45534', null, '8', 'Mithril Dagger', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '9', 'Oriharukon Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45534', null, '20016', 'Mambo Hat', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', null, '20112', 'Mambo Coat', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', null, '20155', 'Blue Pirate Leather Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', null, '20172', 'Glove of Ice Spirit', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '20177', 'Glove of Dark Spirit', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '20181', 'Glove of Fire Spirit', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '20189', 'Glove of Wind Spirit', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', null, '40043', 'Rabbit Liver', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45534', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', null, '40050', 'High Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', null, '40051', 'High Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', null, '40052', 'Highest Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40053', 'Highest Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40054', 'Highest Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40055', 'Highest Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40088', 'Scroll of Polymorph', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45534', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45534', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45534', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45534', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45534', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45534', null, '100009', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', null, '120016', 'Mambo Hat', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45534', null, '120112', 'Mambo Coat', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45535', null, '8', 'Mithril Dagger', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45535', null, '9', 'Oriharukon Dagger', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45535', null, '20016', 'Mambo Hat', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45535', null, '20112', 'Mambo Coat', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45535', null, '20172', 'Glove of Ice Spirit', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '20177', 'Glove of Dark Spirit', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '20181', 'Glove of Fire Spirit', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '20189', 'Glove of Wind Spirit', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', null, '40043', 'Rabbit Liver', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45535', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', null, '40050', 'High Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', null, '40051', 'High Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45535', null, '40052', 'Highest Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', null, '40053', 'Highest Quality Ruby', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '40054', 'Highest Quality Sapphire', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '40055', 'Highest Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45535', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45535', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45535', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45535', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45535', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45535', null, '100008', 'Mithril Dagger', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45535', null, '100009', 'Oriharukon Dagger', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45535', null, '120016', 'Mambo Hat', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45535', null, '120112', 'Mambo Coat', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45536', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45536', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45536', null, '40308', 'Adena', '233', '436', '1000000');
INSERT INTO `droplist` VALUES ('45536', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45536', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45536', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45536', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40052', 'Highest Quality Diamond', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45537', null, '40077', 'Ancients\' Alchemy Scroll', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45537', null, '140130', 'Kalba\'s Scroll', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', null, '140129', 'Gian\'s Scroll', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45537', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45537', null, '40421', 'Ancients\' Book of Magic, Volume 2', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45537', null, '40462', 'Devil\'s Red Shackles', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45538', null, '17', 'Sealed Forgotten Great Sword', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45538', null, '20143', 'Forgotten Plate Mail', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45538', null, '20280', 'Ring of Immunity to Magic', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45538', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45538', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45538', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45538', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45538', null, '40014', 'Potion of Bravery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45538', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45538', null, '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45538', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45538', null, '40020', 'Condensed Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45538', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40089', 'Scroll of Resurrection', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45538', null, '40119', 'Scroll of Curse Removal', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45538', null, '40126', 'Scroll of Identify', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45538', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45538', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45538', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45539', null, '20289', 'Abyss Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45539', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45539', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45539', null, '120289', 'Abyss Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', null, '40068', 'Elven Wafer', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', null, '40111', 'TOI Teleport Scroll, 81F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45540', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45540', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45540', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45540', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45540', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', null, '20280', 'Ring of Immunity to Magic', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45541', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45541', null, '40015', 'Potion of Mana', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45541', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', null, '40068', 'Elven Wafer', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45541', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', null, '40109', 'TOI Teleport Scroll, 61F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45541', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45541', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45542', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45542', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45542', null, '40308', 'Adena', '303', '506', '1000000');
INSERT INTO `droplist` VALUES ('45542', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45542', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45542', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45542', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45543', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45543', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45543', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45543', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45543', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45543', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45543', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45544', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45544', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45544', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45544', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45544', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45544', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45544', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45545', null, '20160', 'Robe of Dark Elder', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45545', null, '20218', 'Sandals of Dark Elder', '1', '1', '700');
INSERT INTO `droplist` VALUES ('45545', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', null, '140015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45545', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45545', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45545', null, '120056', 'Cloak of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', null, '120182', 'Gloves', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45545', null, '140008', 'Maple Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', null, '140119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45546', null, '52', 'Two Handed Sword', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '64', 'Great Sword', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', null, '20006', 'Knights Visor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '20056', 'Cloak of Magic Resistance', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '20154', 'Plate Mail', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '20250', 'Necklace of Doppelganger Boss', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45546', null, '20277', 'Right-Hand Ring of Doppelganger Boss', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45546', null, '20278', 'Left-Hand Ring of Doppelganger Boss', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45546', null, '40008', 'Maple Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40010', 'Lesser Healing Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40011', 'Healing Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40012', 'Greater Healing Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40013', 'Haste Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40014', 'Potion of Bravery', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40015', 'Potion of Mana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40016', 'Potion of Wisdom', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40018', 'Greater Haste Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40074', 'Scroll of Enchant Armor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45546', null, '40088', 'Scroll of Polymorph', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40089', 'Scroll of Resurrection', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45546', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45546', null, '40170', 'Spellbook(Fireball)', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45546', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45546', null, '40181', 'Spellbook(TameMonster)', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45546', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45546', null, '40196', 'Spellbook(Summon)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45546', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45546', null, '40207', 'Spellbook(Earthquake)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45546', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45546', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45546', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45546', null, '40263', 'Spirit Crystal(StormShot)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45546', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45546', null, '140074', 'Scroll of Enchant Armor', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45546', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45547', null, '2', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '57', 'Tsurugi', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45547', null, '20077', 'Cloak of Invisibility', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45547', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '20128', 'Crystal Plate Mail', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45547', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '20187', 'Power Gloves', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45547', null, '20266', 'Amulet of Intelligence', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45547', null, '20308', 'Old Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', null, '20319', 'Belt of Mind', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45547', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40013', 'Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40014', 'Potion of Bravery', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40015', 'Potion of Mana', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40016', 'Potion of Wisdom', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40018', 'Greater Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40046', 'Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40074', 'Scroll of Enchant Armor', '1', '3', '700000');
INSERT INTO `droplist` VALUES ('45547', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45547', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40093', 'Blank Scroll (Level 4)', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40094', 'Blank Scroll (Level 5)', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45547', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45547', null, '40185', 'Spellbook(Darkness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45547', null, '40192', 'Spellbook(Weakness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45547', null, '40201', 'Spellbook(Disease)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45547', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45547', null, '40281', 'Sealed TOI Teleport Charm, 21F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45547', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45547', null, '40308', 'Adena', '10000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45547', null, '100052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '200052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45548', null, '34', 'Sword of Red Desire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45548', null, '220294', 'Cursed Ruby Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', null, '220293', 'Cursed Diamond Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45548', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45548', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45548', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', null, '40053', 'Highest Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45548', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45548', null, '40205', 'Spellbook(Invisibility)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45548', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45548', null, '40717', 'Crumpled Up Breaking-Up Letter', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45549', null, '40006', 'Pine Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45549', null, '40007', 'Ebony Wand', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45549', null, '40008', 'Maple Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45549', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45549', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45549', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45549', null, '40074', 'Scroll of Enchant Armor', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45549', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45549', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45551', null, '40006', 'Pine Wand', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45551', null, '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45551', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45551', null, '40016', 'Potion of Wisdom', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45551', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45551', null, '40074', 'Scroll of Enchant Armor', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45551', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45551', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45551', null, '40499', 'Fungus Juice', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45552', null, '40007', 'Ebony Wand', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45552', null, '40013', 'Haste Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45552', null, '40014', 'Potion of Bravery', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45552', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45552', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45552', null, '40074', 'Scroll of Enchant Armor', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45552', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45552', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45553', null, '52', 'Two Handed Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', null, '140', 'Mace', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', null, '142', 'Silver Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', null, '148', 'Great Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', null, '40006', 'Pine Wand', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45553', null, '40007', 'Ebony Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45553', null, '40008', 'Maple Wand', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45553', null, '40011', 'Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45553', null, '40016', 'Potion of Wisdom', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45553', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45553', null, '40048', 'High Quality Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45553', null, '40074', 'Scroll of Enchant Armor', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45553', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45553', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45554', null, '52', 'Two Handed Sword', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45554', null, '148', 'Great Axe', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45554', null, '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', null, '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45554', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45554', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45554', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45554', null, '40048', 'High Quality Diamond', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45554', null, '40074', 'Scroll of Enchant Armor', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45554', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45554', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45555', null, '40006', 'Pine Wand', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45555', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', null, '40008', 'Maple Wand', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45555', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', null, '40015', 'Potion of Mana', '1', '1', '40015');
INSERT INTO `droplist` VALUES ('45555', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45555', null, '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45555', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45555', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45555', null, '40079', 'Scroll of Escape', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45555', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45555', null, '40088', 'Scroll of Polymorph', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45555', null, '40119', 'Scroll of Curse Removal', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45555', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45555', null, '140074', 'Scroll of Enchant Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45555', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45555', null, '140088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '40006', 'Pine Wand', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45556', null, '40007', 'Ebony Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45556', null, '40008', 'Maple Wand', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45556', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45556', null, '40011', 'Healing Potion', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45556', null, '40012', 'Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45556', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45556', null, '40074', 'Scroll of Enchant Armor', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45556', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45556', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45556', null, '140010', 'Lesser Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '140011', 'Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45556', null, '140012', 'Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', null, '40006', 'Pine Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45557', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', null, '40008', 'Maple Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45557', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45557', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45557', null, '40074', 'Scroll of Enchant Armor', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45557', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45557', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45558', null, '40006', 'Pine Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45558', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', null, '40008', 'Maple Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45558', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45558', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45558', null, '40074', 'Scroll of Enchant Armor', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45558', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45558', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45559', null, '40006', 'Pine Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45559', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', null, '40008', 'Maple Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45559', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45559', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45559', null, '40074', 'Scroll of Enchant Armor', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45559', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45559', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45560', null, '40006', 'Pine Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45560', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', null, '40008', 'Maple Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45560', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45560', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45560', null, '40074', 'Scroll of Enchant Armor', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45560', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45560', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45561', null, '40006', 'Pine Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45561', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', null, '40008', 'Maple Wand', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45561', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45561', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45561', null, '40074', 'Scroll of Enchant Armor', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45561', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45561', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45562', null, '52', 'Two Handed Sword', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', null, '148', 'Great Axe', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', null, '20149', 'Bronze Plate Mail', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', null, '40006', 'Pine Wand', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40008', 'Maple Wand', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', null, '40010', 'Lesser Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40011', 'Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40012', 'Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40014', 'Potion of Bravery', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40016', 'Potion of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45562', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45562', null, '40074', 'Scroll of Enchant Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45562', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45562', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45562', null, '120101', 'Splint Mail', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45569', null, '109', 'Staff of Baphomet', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45569', null, '20117', 'Armor of Baphomet', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45569', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45569', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45569', null, '40052', 'Highest Quality Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45569', null, '40308', 'Adena', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45569', null, '40318', 'Magic Gem', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45569', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45569', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45569', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45570', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45570', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45570', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45570', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45570', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45570', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45570', null, '40308', 'Adena', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45570', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45570', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45570', null, '40479', 'Tarak\'s Devil Book, Volume 3', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45570', null, '40481', 'Tarak\'s Tooth', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45570', null, '40524', 'Black Blood Stone', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45570', null, '40619', 'East Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45570', null, '40678', 'Fragment of Soul Stone', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45570', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45571', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45571', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45571', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45571', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', null, '40100', 'Scroll of Teleportation', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45571', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45571', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45571', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45571', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45571', null, '40308', 'Adena', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45571', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45571', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45571', null, '40477', 'Tarak\'s Devil Book, Volume 1', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', null, '40478', 'Tarak\'s Devil Book, Volume 2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', null, '40479', 'Tarak\'s Devil Book, Volume 3', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', null, '40480', 'Tarak\'s Devil Book, Volume 4', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45571', null, '40524', 'Black Blood Stone', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45571', null, '40678', 'Fragment of Soul Stone', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45571', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45572', null, '52', 'Two Handed Sword', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45572', null, '20244', 'Old Amulet of Charisma', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45572', null, '20254', 'Amulet of Charisma', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45572', null, '40014', 'Potion of Bravery', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45572', null, '40015', 'Potion of Mana', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45572', null, '40018', 'Greater Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45572', null, '40074', 'Scroll of Enchant Armor', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45572', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45572', null, '40110', 'TOI Teleport Scroll, 71F', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45572', null, '40190', 'Spellbook(Eruption)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45572', null, '40196', 'Spellbook(Summon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45572', null, '40207', 'Spellbook(Earthquake)', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45572', null, '40308', 'Adena', '426', '680', '1000000');
INSERT INTO `droplist` VALUES ('45573', null, '41', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '52', 'Two Handed Sword', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '109', 'Staff of Baphomet', '1', '1', '950');
INSERT INTO `droplist` VALUES ('45164', 'Crabman', '40031', 'Devil\'s Blood', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45573', null, '20117', 'Armor of Baphomet', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45573', null, '20154', 'Plate Mail', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '20182', 'Gloves', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '20244', 'Old Amulet of Charisma', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', null, '20254', 'Amulet of Charisma', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45573', null, '20284', 'Ring of Summon Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45573', null, '20285', 'Ring of Water Resistance', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45573', null, '20288', 'Ring of Teleport Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45573', null, '20306', 'Old Belt of Body', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', null, '20307', 'Old Belt of Soul', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', null, '20308', 'Old Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', null, '20312', 'Belt of Body', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '20316', 'Belt of Soul', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '20319', 'Belt of Mind', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '40013', 'Haste Potion', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40014', 'Potion of Bravery', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40015', 'Potion of Mana', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40016', 'Potion of Wisdom', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40018', 'Greater Haste Potion', '2', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40044', 'Diamond', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40046', 'Sapphire', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40047', 'Emerald', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40048', 'High Quality Diamond', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40050', 'High Quality Sapphire', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40051', 'High Quality Emerald', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40052', 'Highest Quality Diamond', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '40054', 'Highest Quality Sapphire', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40055', 'Highest Quality Emerald', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '40074', 'Scroll of Enchant Armor', '1', '3', '500000');
INSERT INTO `droplist` VALUES ('45573', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40089', 'Scroll of Resurrection', '1', '5', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40093', 'Blank Scroll (Level 4)', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40094', 'Blank Scroll (Level 5)', '1', '2', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40163', 'Golden Key', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45573', null, '40181', 'Spellbook(TameMonster)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45573', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45573', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45573', null, '40203', 'Spellbook(Firewall)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45573', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45573', null, '40263', 'Spirit Crystal(StormShot)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45573', null, '40308', 'Adena', '1000', '5000', '1000000');
INSERT INTO `droplist` VALUES ('45573', null, '100041', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '100052', 'Two-Handed Sword', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '120182', 'Gloves', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45573', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45573', null, '200052', 'Two-Handed Sword', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45573', null, '220154', 'Plate Mail', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45575', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45575', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45575', null, '40308', 'Adena', '343', '546', '1000000');
INSERT INTO `droplist` VALUES ('45575', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45575', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45575', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45575', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45576', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45576', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45576', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45576', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45576', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45576', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45576', null, '40678', 'Fragment of Soul Stone', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45578', null, '167', 'Sealed Forgotten Bowgun', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45578', null, '20023', 'Helm of Wind', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45578', null, '20140', 'Forgotten Leather Armor', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45578', null, '20165', 'Demon Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45578', null, '20166', 'Death Knight Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45578', null, '20280', 'Ring of Immunity to Magic', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45578', null, '20303', 'Ring of Magic Resistance', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45578', null, '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45578', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45578', null, '40011', 'Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45578', null, '40012', 'Greater Healing Potion', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45578', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45578', null, '40014', 'Potion of Bravery', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45578', null, '40015', 'Potion of Mana', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45578', null, '40016', 'Potion of Wisdom', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45578', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45578', null, '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45578', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45578', null, '40020', 'Condensed Healing Potion', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45578', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45578', null, '40068', 'Elven Wafer', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', null, '40076', 'Ancient Scroll', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45578', null, '40089', 'Scroll of Resurrection', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45578', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45578', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45578', null, '40119', 'Scroll of Curse Removal', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45578', null, '40126', 'Scroll of Identify', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45578', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45578', null, '40308', 'Adena', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45579', null, '110', 'Staff of Beleth', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45579', null, '20204', 'Boots of Beleth', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45579', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45579', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45579', null, '40052', 'Highest Quality Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45579', null, '40308', 'Adena', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45579', null, '40318', 'Magic Gem', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45579', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45579', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45579', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45580', null, '20284', 'Ring of Summon Control', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45580', null, '20306', 'Old Belt of Body', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', null, '20307', 'Old Belt of Soul', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', null, '20312', 'Belt of Body', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45580', null, '20316', 'Belt of Soul', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45580', null, '40053', 'Highest Quality Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45580', null, '40111', 'TOI Teleport Scroll, 81F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', null, '40263', 'Spirit Crystal(StormShot)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45580', null, '40308', 'Adena', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45581', null, '20298', 'Ring of Zenith', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45581', null, '40112', 'TOI Teleport Scroll, 91F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45581', null, '40221', 'Spellbook(MassSlow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45581', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45581', null, '40308', 'Adena', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45581', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45581', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45581', null, '240074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45581', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45582', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45582', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45582', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45582', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45582', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45582', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45582', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45582', null, '40308', 'Adena', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45582', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45582', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45582', null, '40476', 'Tarak\'s Hand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', null, '40480', 'Tarak\'s Devil Book, Volume 4', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', null, '40524', 'Black Blood Stone', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45582', null, '40619', 'East Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', null, '40649', 'North-East Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', null, '40650', 'North Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45582', null, '40678', 'Fragment of Soul Stone', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45582', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45583', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '110', 'Staff of Beleth', '1', '1', '1400');
INSERT INTO `droplist` VALUES ('45583', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '20182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '20204', 'Boots of Beleth', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45583', null, '20248', 'Old Amulet of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '20267', 'Amulet of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45583', null, '20288', 'Ring of Teleport Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45583', null, '20302', 'Ring of Wind Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45583', null, '20306', 'Old Belt of Body', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45583', null, '20307', 'Old Belt of Soul', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45583', null, '20308', 'Old Belt of Mind', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45583', null, '20312', 'Belt of Body', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45583', null, '20316', 'Belt of Soul', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45583', null, '20319', 'Belt of Mind', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45583', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40014', 'Potion of Bravery', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40015', 'Potion of Mana', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40045', 'Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40052', 'Highest Quality Diamond', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45583', null, '40053', 'Highest Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40074', 'Scroll of Enchant Armor', '1', '3', '500000');
INSERT INTO `droplist` VALUES ('45583', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45583', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40191', 'Spellbook(SunBurst)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40201', 'Spellbook(Disease)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40202', 'Spellbook(FullHeal)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40215', 'Spellbook(FireStorm)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45583', null, '40263', 'Spirit Crystal(StormShot)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45583', null, '40308', 'Adena', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45583', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '100052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '120182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '140074', 'Scroll of Enchant Armor', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45583', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45583', null, '200052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45583', null, '220154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '64', 'Great Sword', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45584', null, '87', 'Unknown Spear', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45584', null, '149', 'Axe of Minotaur', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45584', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '20182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '20246', 'Old Amulet of Strength', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45584', null, '20264', 'Amulet of Strength', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45584', null, '20306', 'Old Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '20312', 'Belt of Body', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45584', null, '40010', 'Lesser Healing Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40014', 'Potion of Bravery', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40015', 'Potion of Mana', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40016', 'Potion of Wisdom', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40045', 'Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40053', 'Highest Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45584', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45584', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45584', null, '40202', 'Spellbook(FullHeal)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45584', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45584', null, '40263', 'Spirit Crystal(StormShot)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45584', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45584', null, '40308', 'Adena', '459', '732', '1000000');
INSERT INTO `droplist` VALUES ('45584', null, '100041', 'Katana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45584', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45584', null, '140074', 'Scroll of Enchant Armor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45584', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45586', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45586', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45586', null, '40112', 'TOI Teleport Scroll, 91F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45586', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45586', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45586', null, '40308', 'Adena', '476', '758', '1000000');
INSERT INTO `droplist` VALUES ('45586', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45586', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45586', null, '240074', 'Scroll of Enchant Armor', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45586', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45587', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45587', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45587', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45587', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45587', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45587', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45587', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45587', null, '40308', 'Adena', '476', '758', '1000000');
INSERT INTO `droplist` VALUES ('45587', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45587', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45587', null, '40474', 'Tarak\'s Poison', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45587', null, '40478', 'Tarak\'s Devil Book, Volume 2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45587', null, '40524', 'Black Blood Stone', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45587', null, '40649', 'North-East Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45587', null, '40678', 'Fragment of Soul Stone', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45587', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45589', null, '20187', 'Power Gloves', '1', '1', '5500');
INSERT INTO `droplist` VALUES ('45589', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45589', null, '40112', 'TOI Teleport Scroll, 91F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45589', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45589', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45589', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45590', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45590', null, '40113', 'TOI Teleport Scroll, 100F', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45590', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45590', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45591', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45591', null, '107', 'Crimson Lance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', null, '151', 'Demon Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45591', null, '20172', 'Glove of Ice Spirit', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45591', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45591', null, '40048', 'High Quality Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45591', null, '40049', 'High Quality Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45591', null, '40050', 'High Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45591', null, '40051', 'High Quality Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45591', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45591', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45591', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45591', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45592', null, '8', 'Mithril Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', null, '9', 'Oriharukon Dagger', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45592', null, '107', 'Crimson Lance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', null, '151', 'Demon Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45592', null, '20177', 'Glove of Dark Spirit', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45592', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45592', null, '40048', 'High Quality Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45592', null, '40049', 'High Quality Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45592', null, '40050', 'High Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45592', null, '40051', 'High Quality Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45592', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45592', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45592', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45592', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45592', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45593', null, '8', 'Mithril Dagger', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45593', null, '9', 'Oriharukon Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', null, '107', 'Crimson Lance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', null, '151', 'Demon Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', null, '20189', 'Glove of Wind Spirit', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45593', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45593', null, '40048', 'High Quality Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45593', null, '40049', 'High Quality Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45593', null, '40050', 'High Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45593', null, '40051', 'High Quality Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45593', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45593', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45593', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45593', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45593', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45594', null, '8', 'Mithril Dagger', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45594', null, '9', 'Oriharukon Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', null, '107', 'Crimson Lance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', null, '151', 'Demon Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45594', null, '20181', 'Glove of Fire Spirit', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45594', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45594', null, '40048', 'High Quality Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45594', null, '40049', 'High Quality Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45594', null, '40050', 'High Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45594', null, '40051', 'High Quality Emerald', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45594', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45594', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45594', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45594', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45594', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45595', null, '20187', 'Power Gloves', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45595', null, '20246', 'Old Amulet of Strength', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45595', null, '20264', 'Amulet of Strength', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45595', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45595', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45596', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45596', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45596', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45596', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45596', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45596', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45596', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45597', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45597', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45597', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45597', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45597', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45597', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45597', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45598', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45598', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45598', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45598', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45598', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45598', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45598', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45599', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45599', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45599', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45599', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45599', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45599', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45599', null, '40678', 'Fragment of Soul Stone', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45600', null, '54', 'Sword of Kurtz', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45600', null, '31', 'Long Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '20041', 'Helmet of Kurtz', '1', '1', '32000');
INSERT INTO `droplist` VALUES ('45600', null, '20063', 'Cloak of Protection', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45600', null, '20085', 'T-Shirt', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45600', null, '20149', 'Bronze Plate Mail', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45600', null, '20150', 'Armor of Kurtz', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', null, '20182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '20184', 'Gloves of Kurtz', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45600', null, '20205', 'Boots', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '20214', 'Boots of Kurtz', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45600', null, '20229', 'Shield of Reflection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45600', null, '20231', 'Tower Shield', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '40014', 'Potion of Bravery', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '40015', 'Potion of Mana', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '40052', 'Highest Quality Diamond', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45600', null, '40053', 'Highest Quality Ruby', '1', '1', '55000');
INSERT INTO `droplist` VALUES ('45600', null, '40074', 'Scroll of Enchant Armor', '1', '5', '700000');
INSERT INTO `droplist` VALUES ('45600', null, '40087', 'Scroll of Enchant Weapon', '1', '2', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '40100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45600', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', null, '40196', 'Spellbook(Summon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45600', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45600', null, '40215', 'Spellbook(FireStorm)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45600', null, '40308', 'Adena', '5000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45600', null, '100041', 'Katana', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45600', null, '120149', 'Bronze Plate Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '2', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '58', 'Fire Sword of Death Knight', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45601', null, '76', 'Edoryu of Ronde', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45601', null, '20010', 'Death Knight Helmet', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45601', null, '20077', 'Cloak of Invisibility', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45601', null, '20100', 'Death Knight Armor', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45601', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '20182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '20264', 'Amulet of Strength', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45601', null, '20281', 'Ring of Polymorph Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45601', null, '20284', 'Ring of Summon Control', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45601', null, '20302', 'Ring of Wind Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', null, '20307', 'Old Belt of Soul', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '20308', 'Old Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '20316', 'Belt of Soul', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45601', null, '20319', 'Belt of Mind', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45601', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40014', 'Potion of Bravery', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40015', 'Potion of Mana', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40016', 'Potion of Wisdom', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40025', 'Blinding Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40052', 'Highest Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '40074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40087', 'Scroll of Enchant Weapon', '1', '2', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45601', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40181', 'Spellbook(TameMonster)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40191', 'Spellbook(SunBurst)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40198', 'Spellbook(Tornado)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '40201', 'Spellbook(Disease)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40206', 'Spellbook(Resurrection)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', null, '40215', 'Spellbook(FireStorm)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45601', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45601', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45601', null, '40308', 'Adena', '493', '786', '1000000');
INSERT INTO `droplist` VALUES ('45601', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '100052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '120182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45601', null, '200052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45603', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40050', 'High Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40051', 'High Quality Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40052', 'Highest Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', null, '40054', 'Highest Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', null, '40055', 'Highest Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', null, '140130', 'Kalba\'s Scroll', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', null, '140129', 'Gian\'s Scroll', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45603', null, '40308', 'Adena', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45603', null, '40317', 'Whetstone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45603', null, '40420', 'Ancients\' Book of Magic, Volume 1', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45603', null, '40461', 'Devil\'s Black Shackles', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45604', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45604', null, '40112', 'TOI Teleport Scroll, 91F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45604', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45604', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '350');
INSERT INTO `droplist` VALUES ('45604', null, '40308', 'Adena', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45604', null, '140074', 'Scroll of Enchant Armor', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45605', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45605', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45605', null, '40015', 'Potion of Mana', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45605', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45605', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45605', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45605', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45605', null, '40308', 'Adena', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45605', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45605', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45605', null, '40477', 'Tarak\'s Devil Book, Volume 1', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45605', null, '40482', 'Tarak\'s Tongue', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45605', null, '40524', 'Black Blood Stone', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45605', null, '40650', 'North Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45605', null, '40678', 'Fragment of Soul Stone', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45605', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45606', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '57', 'Tsurugi', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45606', null, '131', 'Staff of Strength', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', null, '20063', 'Cloak of Protection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '20074', 'Silver Cloak', '1', '1', '13000');
INSERT INTO `droplist` VALUES ('45606', null, '20077', 'Cloak of Invisibility', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45606', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '20128', 'Crystal Plate Mail', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45606', null, '20266', 'Amulet of Intelligence', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', null, '20281', 'Ring of Polymorph Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', null, '20284', 'Ring of Summon Control', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45606', null, '20285', 'Ring of Water Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', null, '20300', 'Ring of Earth Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', null, '20302', 'Ring of Wind Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45606', null, '20304', 'Ring of Fire Resistance', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45606', null, '20308', 'Old Belt of Mind', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45606', null, '20319', 'Belt of Mind', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45606', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40014', 'Potion of Bravery', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40015', 'Potion of Mana', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40016', 'Potion of Wisdom', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40046', 'Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40050', 'High Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40052', 'Highest Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', null, '40054', 'Highest Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', null, '40074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45606', null, '40088', 'Scroll of Polymorph', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '40185', 'Spellbook(Darkness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '40192', 'Spellbook(Weakness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '40196', 'Spellbook(Summon)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45606', null, '40201', 'Spellbook(Disease)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '40206', 'Spellbook(Resurrection)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', null, '40282', 'Sealed TOI Teleport Charm, 31F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45606', null, '40308', 'Adena', '511', '813', '1000000');
INSERT INTO `droplist` VALUES ('45606', null, '140074', 'Scroll of Enchant Armor', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45606', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45606', null, '140088', 'Scroll of Polymorph', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45606', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '111', 'Staff of Ice Queen', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45609', null, '189', 'Kaiser Crossbow', '1', '1', '600');
INSERT INTO `droplist` VALUES ('45654', null, '57', 'Tsurugi', '1', '1', '19000');
INSERT INTO `droplist` VALUES ('45609', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '20134', 'Alluring Dress of Ice Queen', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45609', null, '20197', 'Demon Boots', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45609', null, '20211', 'Alluring Sandals of Ice Queen', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45609', null, '20266', 'Amulet of Intelligence', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45609', null, '20267', 'Amulet of Wisdom', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45609', null, '20285', 'Ring of Water Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '20288', 'Ring of Teleport Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45609', null, '20307', 'Old Belt of Soul', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '20308', 'Old Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '20316', 'Belt of Soul', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45609', null, '20319', 'Belt of Mind', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45609', null, '40013', 'Haste Potion', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40015', 'Potion of Mana', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40016', 'Potion of Wisdom', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40018', 'Greater Haste Potion', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40074', 'Scroll of Enchant Armor', '1', '5', '700000');
INSERT INTO `droplist` VALUES ('45609', null, '40087', 'Scroll of Enchant Weapon', '1', '2', '350000');
INSERT INTO `droplist` VALUES ('45609', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40093', 'Blank Scroll (Level 4)', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40094', 'Blank Scroll (Level 5)', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45609', null, '40196', 'Spellbook(Summon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', null, '40205', 'Spellbook(Invisibility)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45609', null, '40209', 'Spellbook(Silence)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', null, '40214', 'Spellbook(MassTeleport)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '40215', 'Spellbook(FireStorm)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45609', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45609', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45609', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45609', null, '40308', 'Adena', '10000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45609', null, '120154', 'Plate Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45609', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45609', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '64', 'Great Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '135', 'Unknown Axe', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45610', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '20182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '20248', 'Old Amulet of Wisdom', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45610', null, '20267', 'Amulet of Wisdom', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', null, '20307', 'Old Belt of Soul', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45610', null, '20314', 'Ring of Ancient Giant', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45610', null, '20316', 'Belt of Soul', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45610', null, '20320', 'Titan Belt', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45610', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40014', 'Potion of Bravery', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40015', 'Potion of Mana', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40016', 'Potion of Wisdom', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40052', 'Highest Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', null, '40074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40087', 'Scroll of Enchant Weapon', '1', '2', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45610', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45610', null, '40176', 'Spellbook(CounterMagic)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45610', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45610', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', null, '40209', 'Spellbook(Silence)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45610', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45610', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45610', null, '40308', 'Adena', '5000', '15000', '1000000');
INSERT INTO `droplist` VALUES ('45610', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '100064', 'Great Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '140074', 'Scroll of Enchant Armor', '1', '2', '300000');
INSERT INTO `droplist` VALUES ('45610', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45611', null, '40308', 'Adena', '529', '842', '1000000');
INSERT INTO `droplist` VALUES ('45611', null, '40549', 'Sword of Varlok', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45611', null, '40550', 'Eye of Varlok', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45611', null, '40551', 'Claw of Varlok', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45611', null, '40552', 'Heart of Varlok', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45614', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '44', 'Sword of Ancient Elf', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45614', null, '164', 'Kaiser Claw', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45614', null, '179', 'Bow of Ancient Elf', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45614', null, '20015', 'Helm of Magic: Power', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '20049', 'Golden Wing of Giant Ant Queen', '1', '1', '850');
INSERT INTO `droplist` VALUES ('45614', null, '20050', 'Silver Wing of Giant Ant Queen', '1', '1', '850');
INSERT INTO `droplist` VALUES ('45614', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '20198', 'Death Knight Boots', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45614', null, '20268', 'Amulet of Constitution', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45614', null, '20300', 'Ring of Earth Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', null, '20306', 'Old Belt of Body', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45614', null, '20312', 'Belt of Body', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45614', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40014', 'Potion of Bravery', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40018', 'Greater Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40045', 'Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40047', 'Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40051', 'High Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40053', 'Highest Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40055', 'Highest Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45614', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40177', 'Spellbook(Meditate)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45614', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45614', null, '40181', 'Spellbook(TameMonster)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45614', null, '40185', 'Spellbook(Darkness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45614', null, '40190', 'Spellbook(Eruption)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45614', null, '40194', 'Spellbook(HealPledge)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45614', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45614', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45614', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45614', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45614', null, '40308', 'Adena', '529', '842', '1000000');
INSERT INTO `droplist` VALUES ('45614', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '120154', 'Plate Mail', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45614', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45616', null, '20285', 'Ring of Water Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', null, '20300', 'Ring of Earth Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', null, '20302', 'Ring of Wind Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', null, '20304', 'Ring of Fire Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45616', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45616', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45616', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45616', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45616', null, '40308', 'Adena', '548', '870', '1000000');
INSERT INTO `droplist` VALUES ('45616', null, '240074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45616', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45617', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45223', null, '40031', 'Devil\'s Blood', '1', '1', '9500');
INSERT INTO `droplist` VALUES ('45617', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '20256', 'Amulet of Dexterity', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45617', null, '20281', 'Ring of Polymorph Control', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45617', null, '20304', 'Ring of Fire Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45617', null, '20306', 'Old Belt of Body', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '20307', 'Old Belt of Soul', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '20308', 'Old Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '20312', 'Belt of Body', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45617', null, '20316', 'Belt of Soul', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45617', null, '20319', 'Belt of Mind', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45617', null, '40013', 'Haste Potion', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40014', 'Potion of Bravery', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40015', 'Potion of Mana', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40016', 'Potion of Wisdom', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40018', 'Greater Haste Potion', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40050', 'High Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40051', 'High Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '40052', 'Highest Quality Diamond', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45617', null, '40053', 'Highest Quality Ruby', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45617', null, '40054', 'Highest Quality Sapphire', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45617', null, '40055', 'Highest Quality Emerald', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45617', null, '40074', 'Scroll of Enchant Armor', '1', '5', '750000');
INSERT INTO `droplist` VALUES ('45617', null, '40087', 'Scroll of Enchant Weapon', '1', '2', '500000');
INSERT INTO `droplist` VALUES ('45617', null, '40089', 'Scroll of Resurrection', '1', '2', '750000');
INSERT INTO `droplist` VALUES ('45617', null, '40093', 'Blank Scroll (Level 4)', '1', '2', '500000');
INSERT INTO `droplist` VALUES ('45617', null, '40094', 'Blank Scroll (Level 5)', '1', '2', '500000');
INSERT INTO `droplist` VALUES ('45617', null, '40191', 'Spellbook(SunBurst)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40203', 'Spellbook(Firewall)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '40206', 'Spellbook(Resurrection)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '40215', 'Spellbook(FireStorm)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45617', null, '40241', 'Spirit Crystal(ElementalFallDown)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45617', null, '40259', 'Spirit Crystal(ElementalFire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45617', null, '40305', 'Relic of Paagrio', '1', '3', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '40308', 'Adena', '5000', '10000', '1000000');
INSERT INTO `droplist` VALUES ('45617', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45617', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45618', null, '57', 'Tsurugi', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45618', null, '59', 'Sword of Knight Vald', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45618', null, '20187', 'Power Gloves', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45618', null, '20284', 'Ring of Summon Control', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45618', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '40018', 'Greater Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '40074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '40087', 'Scroll of Enchant Weapon', '1', '2', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45618', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45618', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45618', null, '40287', 'Sealed TOI Teleport Charm, 81F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45618', null, '40308', 'Adena', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45618', null, '40899', 'Lump of Rough Iron', '1', '10', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45619', null, '20300', 'Ring of Earth Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45619', null, '20319', 'Belt of Mind', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45619', null, '40025', 'Blinding Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45619', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45619', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45619', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45619', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45619', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45620', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '20285', 'Ring of Water Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45620', null, '20319', 'Belt of Mind', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45620', null, '40006', 'Pine Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40008', 'Maple Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40025', 'Blinding Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45620', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45620', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45620', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45620', null, '140089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '20302', 'Ring of Wind Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45621', null, '20319', 'Belt of Mind', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45621', null, '40006', 'Pine Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40008', 'Maple Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40025', 'Blinding Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45621', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45621', null, '40307', 'Relic of Sayha', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45621', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45621', null, '140089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45622', null, '20304', 'Ring of Fire Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45622', null, '20319', 'Belt of Mind', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45622', null, '40025', 'Blinding Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45622', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45622', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45622', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45622', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45623', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45623', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45623', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45623', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45623', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45623', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45623', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45624', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45624', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45624', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45624', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45624', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45624', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45624', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45625', null, '14', 'Claw of Chaos', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45625', null, '20048', 'Helm of Chaos', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45625', null, '20078', 'Cloak of Chaos', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45625', null, '20158', 'Emblem of Chaos', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45625', null, '20190', 'Finger of Chaos', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45625', null, '40014', 'Potion of Bravery', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45625', null, '40015', 'Potion of Mana', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45625', null, '40308', 'Adena', '7490', '11850', '1000000');
INSERT INTO `droplist` VALUES ('45625', null, '40443', 'Black Lump of Pure Mithril', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45625', null, '40444', 'Black Lump of Rough Mithril', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45625', null, '40524', 'Black Blood Stone', '5', '15', '500000');
INSERT INTO `droplist` VALUES ('45625', null, '40678', 'Fragment of Soul Stone', '20', '121', '1000000');
INSERT INTO `droplist` VALUES ('45625', null, '40719', 'Black-Light Wing', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45626', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45626', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45626', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('45626', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45626', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45626', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45626', null, '40678', 'Fragment of Soul Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45628', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45628', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45628', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45628', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45628', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45628', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45628', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45629', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45629', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45629', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45629', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45629', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45629', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45629', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45630', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45630', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45630', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45630', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45630', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45630', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45630', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45631', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45631', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45631', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45631', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45631', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45631', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45631', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45632', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45632', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45632', null, '40308', 'Adena', '353', '556', '1000000');
INSERT INTO `droplist` VALUES ('45632', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45632', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45632', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45632', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45640', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '20077', 'Cloak of Invisibility', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45640', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45640', null, '20266', 'Amulet of Intelligence', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45640', null, '20281', 'Ring of Polymorph Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45640', null, '20284', 'Ring of Summon Control', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45640', null, '20319', 'Belt of Mind', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45640', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45640', null, '40046', 'Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40050', 'High Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40074', 'Scroll of Enchant Armor', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45640', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45640', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '40308', 'Adena', '409', '654', '1000000');
INSERT INTO `droplist` VALUES ('45640', null, '140074', 'Scroll of Enchant Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45640', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45640', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45640', null, '200041', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45640', null, '200052', 'Two-Handed Sword', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45642', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '20300', 'Ring of Earth Resistance', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45642', null, '20319', 'Belt of Mind', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45642', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45642', null, '40074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45642', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45642', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45642', null, '140074', 'Scroll of Enchant Armor', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45642', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45642', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '20285', 'Ring of Water Resistance', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45643', null, '20319', 'Belt of Mind', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45643', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45643', null, '40074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45643', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45643', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45643', null, '140074', 'Scroll of Enchant Armor', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45643', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45643', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '20302', 'Ring of Wind Resistance', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45644', null, '20319', 'Belt of Mind', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45644', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45644', null, '40074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45644', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45644', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45644', null, '140074', 'Scroll of Enchant Armor', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45644', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45644', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '20304', 'Ring of Fire Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45645', null, '20319', 'Belt of Mind', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45645', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40033', 'Elixer (STR)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', null, '40034', 'Elixer (CON)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', null, '40035', 'Elixer (DEX)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', null, '40036', 'Elixer (INT)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', null, '40037', 'Elixer (WIS)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', null, '40038', 'Elixer (CHA)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45645', null, '40074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45645', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45645', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45645', null, '140074', 'Scroll of Enchant Armor', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45645', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45645', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', null, '107', 'Crimson Lance', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45646', null, '151', 'Demon Axe', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45646', null, '20289', 'Abyss Ring', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45646', null, '40013', 'Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45646', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', null, '40050', 'High Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', null, '40051', 'High Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45646', null, '40052', 'Highest Quality Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45646', null, '40053', 'Highest Quality Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45646', null, '40054', 'Highest Quality Sapphire', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45646', null, '40055', 'Highest Quality Emerald', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45646', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', null, '40209', 'Spellbook(Silence)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45646', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45646', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45646', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45646', null, '40524', 'Black Blood Stone', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45646', null, '100008', 'Mithril Dagger', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45646', null, '100009', 'Oriharukon Dagger', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45646', null, '100107', 'Crimson Lance', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45646', null, '100151', 'Demon Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45646', null, '120289', 'Abyss Ring', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45647', null, '16', 'Blade of Revenge', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45647', null, '108', 'Staff of Demon', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45647', null, '166', 'Claw of Hate', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45647', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', null, '40052', 'Highest Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45647', null, '40308', 'Adena', '605', '960', '1000000');
INSERT INTO `droplist` VALUES ('45647', null, '40318', 'Magic Gem', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45647', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45647', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45647', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45649', null, '2', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '16', 'Blade of Revenge', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45649', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '57', 'Tsurugi', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45649', null, '84', 'Kaiser Edoryu', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45649', null, '108', 'Staff of Demon', '1', '1', '650');
INSERT INTO `droplist` VALUES ('45649', null, '166', 'Claw of Hate', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45649', null, '20009', 'Demon Helmet', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45649', null, '20077', 'Cloak of Invisibility', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45649', null, '20099', 'Demon Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45649', null, '20125', 'Chain Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '20128', 'Crystal Plate Mail', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45649', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '20187', 'Power Gloves', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45649', null, '20264', 'Amulet of Strength', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45649', null, '20266', 'Amulet of Intelligence', '1', '1', '17500');
INSERT INTO `droplist` VALUES ('45649', null, '20304', 'Ring of Fire Resistance', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45649', null, '20307', 'Old Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '20308', 'Old Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '20316', 'Belt of Soul', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45649', null, '20319', 'Belt of Mind', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45649', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40013', 'Haste Potion', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40014', 'Potion of Bravery', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40015', 'Potion of Mana', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40016', 'Potion of Wisdom', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40025', 'Blinding Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40052', 'Highest Quality Diamond', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', null, '40053', 'Highest Quality Ruby', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', null, '40074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '375000');
INSERT INTO `droplist` VALUES ('45649', null, '40094', 'Blank Scroll (Level 5)', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45649', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45649', null, '40215', 'Spellbook(FireStorm)', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45649', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45649', null, '40308', 'Adena', '15000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45649', null, '40444', 'Black Lump of Rough Mithril', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45649', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '140074', 'Scroll of Enchant Armor', '1', '2', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '40074', 'Scroll of Enchant Armor', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45650', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '57', 'Tsurugi', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45650', null, '84', 'Kaiser Edoryu', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45650', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '20128', 'Crystal Plate Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45650', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '20284', 'Ring of Summon Control', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45650', null, '20285', 'Ring of Water Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45650', null, '20300', 'Ring of Earth Resistance', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45650', null, '20302', 'Ring of Wind Resistance', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45650', null, '20304', 'Ring of Fire Resistance', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45650', null, '20308', 'Old Belt of Mind', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45650', null, '20319', 'Belt of Mind', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45650', null, '40006', 'Pine Wand', '2', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40007', 'Ebony Wand', '2', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40008', 'Maple Wand', '2', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40013', 'Haste Potion', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40014', 'Potion of Bravery', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40016', 'Potion of Wisdom', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40018', 'Greater Haste Potion', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40074', 'Scroll of Enchant Armor', '1', '5', '600000');
INSERT INTO `droplist` VALUES ('45650', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40093', 'Blank Scroll (Level 4)', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40094', 'Blank Scroll (Level 5)', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '40185', 'Spellbook(Darkness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45650', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45650', null, '40192', 'Spellbook(Weakness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45650', null, '40201', 'Spellbook(Disease)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45650', null, '40206', 'Spellbook(Resurrection)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45650', null, '40209', 'Spellbook(Silence)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45650', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45650', null, '40283', 'Sealed TOI Teleport Charm, 41F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45650', null, '40308', 'Adena', '10000', '18000', '1000000');
INSERT INTO `droplist` VALUES ('45650', null, '100052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45650', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45650', null, '200052', 'Two-Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45651', null, '155', 'Claw of Magic Power King', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45651', null, '163', 'Claw of Baranka', '1', '1', '650');
INSERT INTO `droplist` VALUES ('45651', null, '20020', 'Helm of Pretender King', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45651', null, '20022', 'Helmet of Baranka', '1', '1', '650');
INSERT INTO `droplist` VALUES ('45651', null, '20113', 'Armor of Pretender King', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45651', null, '20116', 'Armor of Baranka', '1', '1', '650');
INSERT INTO `droplist` VALUES ('45651', null, '20168', 'Gloves of Pretender King', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45651', null, '20169', 'Gloves of Baranka', '1', '1', '650');
INSERT INTO `droplist` VALUES ('45651', null, '20200', 'Boots of Evil Power King', '1', '1', '650');
INSERT INTO `droplist` VALUES ('45651', null, '20201', 'Boots of Pretender King', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45651', null, '20202', 'Boots of Baranka', '1', '1', '650');
INSERT INTO `droplist` VALUES ('45651', null, '20313', 'Belt of Darkness', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45651', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45651', null, '40308', 'Adena', '6450', '10220', '1000000');
INSERT INTO `droplist` VALUES ('45651', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45651', null, '40638', 'Evidence of Dark Power Army', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45651', null, '40675', 'Mineral of Darkness', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45652', null, '20246', 'Old Amulet of Strength', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', null, '20264', 'Amulet of Strength', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45652', null, '20308', 'Old Belt of Mind', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', null, '20312', 'Belt of Body', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45652', null, '40013', 'Haste Potion', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '40018', 'Greater Haste Potion', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '40074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '40087', 'Scroll of Enchant Weapon', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '40284', 'Sealed TOI Teleport Charm, 51F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45652', null, '40307', 'Relic of Sayha', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45652', null, '40308', 'Adena', '10000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45652', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '20017', 'Crown of Mummy Lord', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45653', null, '20285', 'Ring of Water Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', null, '20300', 'Ring of Earth Resistance', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45653', null, '20302', 'Ring of Wind Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', null, '20304', 'Ring of Fire Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '40018', 'Greater Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '40074', 'Scroll of Enchant Armor', '1', '5', '700000');
INSERT INTO `droplist` VALUES ('45653', null, '40087', 'Scroll of Enchant Weapon', '1', '3', '350000');
INSERT INTO `droplist` VALUES ('45653', null, '40093', 'Blank Scroll (Level 4)', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '40094', 'Blank Scroll (Level 5)', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45653', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', null, '40285', 'Sealed TOI Teleport Charm, 61F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45653', null, '40308', 'Adena', '10000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45653', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '240074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '240087', 'Scroll of Enchant Weapon', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45654', null, '20187', 'Power Gloves', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', null, '20246', 'Old Amulet of Strength', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', null, '20260', 'Amulet of Iris', '1', '1', '2400');
INSERT INTO `droplist` VALUES ('45654', null, '20264', 'Amulet of Strength', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45654', null, '20308', 'Old Belt of Mind', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45654', null, '20319', 'Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', null, '40013', 'Haste Potion', '2', '5', '500000');
INSERT INTO `droplist` VALUES ('45654', null, '40014', 'Potion of Bravery', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40015', 'Potion of Mana', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40016', 'Potion of Wisdom', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40018', 'Greater Haste Potion', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40045', 'Ruby', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40049', 'High Quality Ruby', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40053', 'Highest Quality Ruby', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40074', 'Scroll of Enchant Armor', '1', '5', '700000');
INSERT INTO `droplist` VALUES ('45654', null, '40087', 'Scroll of Enchant Weapon', '1', '3', '350000');
INSERT INTO `droplist` VALUES ('45654', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', null, '40093', 'Blank Scroll (Level 4)', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40094', 'Blank Scroll (Level 5)', '2', '5', '400000');
INSERT INTO `droplist` VALUES ('45654', null, '40202', 'Spellbook(FullHeal)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45654', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45654', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45654', null, '40286', 'Sealed TOI Teleport Charm, 71F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45654', null, '40308', 'Adena', '10000', '20000', '1000000');
INSERT INTO `droplist` VALUES ('45654', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45654', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45664', null, '57', 'Tsurugi', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45664', null, '20187', 'Power Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45664', null, '20284', 'Ring of Summon Control', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45664', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45664', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45664', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45664', null, '40206', 'Spellbook(Resurrection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45664', null, '40308', 'Adena', '585', '929', '1000000');
INSERT INTO `droplist` VALUES ('45664', null, '40899', 'Lump of Rough Iron', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45669', null, '40119', 'Scroll of Curse Removal', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45669', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45669', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45669', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45669', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45669', null, '40308', 'Adena', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45669', null, '40427', 'Dark Elven Pouch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45670', null, '40308', 'Adena', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45671', null, '40074', 'Scroll of Enchant Armor', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('45671', null, '40087', 'Scroll of Enchant Weapon', '1', '3', '150000');
INSERT INTO `droplist` VALUES ('45671', null, '40167', 'Old Leather Pouch', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45671', null, '40168', 'Old Silk Pouch', '1', '4', '300000');
INSERT INTO `droplist` VALUES ('45671', null, '40308', 'Adena', '685', '1086', '1000000');
INSERT INTO `droplist` VALUES ('45671', null, '40415', 'Relic Pouch', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45671', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45671', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45671', null, '140089', 'Scroll of Resurrection', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '57', 'Tsurugi', '1', '1', '21000');
INSERT INTO `droplist` VALUES ('45672', null, '20074', 'Silver Cloak', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45672', null, '20077', 'Cloak of Invisibility', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45672', null, '20107', 'Lich Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45672', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '20128', 'Crystal Plate Mail', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45672', null, '20149', 'Bronze Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '20154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '20187', 'Power Gloves', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45672', null, '20266', 'Amulet of Intelligence', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', null, '20281', 'Ring of Polymorph Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', null, '20284', 'Ring of Summon Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45672', null, '20285', 'Ring of Water Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', null, '20300', 'Ring of Earth Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', null, '20302', 'Ring of Wind Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', null, '20304', 'Ring of Fire Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', null, '20308', 'Old Belt of Mind', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '20319', 'Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40013', 'Haste Potion', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40014', 'Potion of Bravery', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40015', 'Potion of Mana', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40016', 'Potion of Wisdom', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40018', 'Greater Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40025', 'Blinding Potion', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40074', 'Scroll of Enchant Armor', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40087', 'Scroll of Enchant Weapon', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '40185', 'Spellbook(Darkness)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '40192', 'Spellbook(Weakness)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '40201', 'Spellbook(Disease)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '40206', 'Spellbook(Resurrection)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '40209', 'Spellbook(Silence)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '40220', 'Spellbook(GreaterResurrection)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45672', null, '40288', 'Sealed TOI Teleport Charm, 91F', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45672', null, '40308', 'Adena', '706', '1118', '1000000');
INSERT INTO `droplist` VALUES ('45672', null, '40444', 'Black Lump of Rough Mithril', '1', '5', '150000');
INSERT INTO `droplist` VALUES ('45672', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '140074', 'Scroll of Enchant Armor', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45672', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '57', 'Tsurugi', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45673', null, '20074', 'Silver Cloak', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', null, '20077', 'Cloak of Invisibility', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45673', null, '20128', 'Crystal Plate Mail', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45673', null, '20187', 'Power Gloves', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45673', null, '20281', 'Ring of Polymorph Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45673', null, '20284', 'Ring of Summon Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45673', null, '20285', 'Ring of Water Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', null, '20300', 'Ring of Earth Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', null, '20302', 'Ring of Wind Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', null, '20304', 'Ring of Fire Resistance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', null, '20308', 'Old Belt of Mind', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45673', null, '20319', 'Belt of Mind', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45673', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40007', 'Ebony Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40013', 'Haste Potion', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40014', 'Potion of Bravery', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40025', 'Blinding Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40074', 'Scroll of Enchant Armor', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40087', 'Scroll of Enchant Weapon', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40089', 'Scroll of Resurrection', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40196', 'Spellbook(Summon)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', null, '40206', 'Spellbook(Resurrection)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45673', null, '40222', 'Spellbook(Destroy)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45673', null, '40308', 'Adena', '749', '1185', '1000000');
INSERT INTO `droplist` VALUES ('45673', null, '140074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '140087', 'Scroll of Enchant Weapon', '1', '2', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '140089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45674', null, '20075', 'Cloak of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '20144', 'Armor of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '20183', 'Scale of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '20240', 'Armor of Death Piece', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '40014', 'Potion of Bravery', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45674', null, '40015', 'Potion of Mana', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('45674', null, '40308', 'Adena', '7490', '11850', '1000000');
INSERT INTO `droplist` VALUES ('45674', null, '40443', 'Black Lump of Pure Mithril', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45674', null, '40444', 'Black Lump of Rough Mithril', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45674', null, '40524', 'Black Blood Stone', '5', '15', '500000');
INSERT INTO `droplist` VALUES ('45674', null, '40678', 'Fragment of Soul Stone', '10', '20', '1000000');
INSERT INTO `droplist` VALUES ('45674', null, '40704', 'Tailbone of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '40705', 'Axe of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '40706', 'Hammer of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '40707', 'Head of Death', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45674', null, '40708', 'Spear of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '40709', 'Knife of Death', '1', '1', '14000');
INSERT INTO `droplist` VALUES ('45674', null, '40780', 'Head of Death', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45674', null, '40781', 'Head of Death', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45677', null, '117', 'Wand of Laia', '1', '1', '700');
INSERT INTO `droplist` VALUES ('45677', null, '132', 'Staff of New King', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45677', null, '20030', 'Helm of New King', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45677', null, '20106', 'Robe of Laia', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45677', null, '20109', 'Robe of Evil Spirit King', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45677', null, '20176', 'Gloves of the New King', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45677', null, '20208', 'Boots of New King', '1', '1', '16000');
INSERT INTO `droplist` VALUES ('45677', null, '20233', 'Scroll of New King', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45677', null, '20252', 'Necklace of Laia', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45677', null, '20253', 'Amulet of Dread Queen', '1', '1', '700');
INSERT INTO `droplist` VALUES ('45677', null, '20279', 'Ring of Laia', '1', '1', '700');
INSERT INTO `droplist` VALUES ('45677', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45677', null, '40013', 'Haste Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45677', null, '40308', 'Adena', '793', '1254', '1000000');
INSERT INTO `droplist` VALUES ('45677', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45677', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45677', null, '40675', 'Mineral of Darkness', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45678', null, '20012', 'Wizard Cap', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45678', null, '20042', 'Circlet of Cerenis', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45678', null, '20056', 'Cloak of Magic Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45678', null, '20074', 'Silver Cloak', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45678', null, '20111', 'Wizard Clothing', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45678', null, '20151', 'Robe of Cerenis', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45678', null, '20215', 'Boots of Cerenis', '1', '1', '32000');
INSERT INTO `droplist` VALUES ('45678', null, '20185', 'Gloves of Cerenis', '1', '1', '16000');
INSERT INTO `droplist` VALUES ('45678', null, '20266', 'Amulet of Intelligence', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45678', null, '20267', 'Amulet of Wisdom', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45678', null, '20285', 'Ring of Water Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45678', null, '20300', 'Ring of Earth Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45678', null, '20302', 'Ring of Wind Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45678', null, '20304', 'Ring of Fire Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45678', null, '20319', 'Belt of Mind', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45678', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45678', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45678', null, '40308', 'Adena', '10000', '20000', '1000000');
INSERT INTO `droplist` VALUES ('45678', null, '120074', 'Silver Cloak', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45680', null, '57', 'Tsurugi', '1', '1', '16000');
INSERT INTO `droplist` VALUES ('45680', null, '20013', 'Helm of Magic: Speed', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '20014', 'Helm of Magic: Healing', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '20015', 'Helm of Magic: Power', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '20024', 'Helmet of the Pretender King', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45680', null, '20170', 'Gloves of the Pretender King', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45680', null, '20085', 'T-Shirt', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '20118', 'Armor of the Pretender King', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45680', null, '20128', 'Crystal Plate Mail', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45680', null, '20182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '20203', 'Boots of the Pretender King', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45680', null, '20205', 'Boots', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '20215', 'Boots of Cerenis', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45680', null, '20231', 'Tower Shield', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '20264', 'Amulet of Strength', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45680', null, '20268', 'Amulet of Constitution', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45680', null, '20312', 'Belt of Body', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45680', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45680', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45680', null, '40308', 'Adena', '15000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45681', null, '20281', 'Ring of Polymorph Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '20288', 'Ring of Teleport Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40047', 'Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40051', 'High Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40052', 'Highest Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40055', 'Highest Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40174', 'Spellbook(Slow)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40181', 'Spellbook(TameMonster)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40190', 'Spellbook(Eruption)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40194', 'Spellbook(HealPledge)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40196', 'Spellbook(Summon)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40206', 'Spellbook(Resurrection)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40214', 'Spellbook(MassTeleport)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40260', 'Spirit Crystal(WindShot)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40262', 'Spirit Crystal(EyeofStorm)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40263', 'Spirit Crystal(StormShot)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '40308', 'Adena', '1221', '1922', '1000000');
INSERT INTO `droplist` VALUES ('45681', null, '40366', 'Crushed Claw of Lindvior', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', null, '40367', 'Eye of Lindvior', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', null, '40368', 'Blood of Lindvior', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', null, '40369', 'Lindvior Flesh', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', null, '40370', 'Heart of Lindvior', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', null, '40371', 'Bone of Lindvior', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', null, '40372', 'Tooth of Lindvior', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45681', null, '40394', 'White Dragon Scales', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '100057', 'Tsurugi', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '100189', 'Kaiser Crossbow', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120077', 'Cloak of Invisibility', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120128', 'Crystal Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120267', 'Amulet of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120268', 'Amulet of Constitution', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120302', 'Ring of Wind Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120306', 'Old Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120307', 'Old Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120308', 'Old Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120312', 'Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120316', 'Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '120319', 'Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '140013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '140014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '140016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '140018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45681', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45682', null, '20281', 'Ring of Polymorph Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '20288', 'Ring of Teleport Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40047', 'Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40051', 'High Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40052', 'Highest Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40055', 'Highest Quality Emerald', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40174', 'Spellbook(Slow)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40181', 'Spellbook(TameMonster)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40190', 'Spellbook(Eruption)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40194', 'Spellbook(HealPledge)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40196', 'Spellbook(Summon)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40206', 'Spellbook(Resurrection)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40214', 'Spellbook(MassTeleport)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '40308', 'Adena', '1305', '2054', '1000000');
INSERT INTO `droplist` VALUES ('45682', null, '40342', 'Crushed Claw of Antharas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', null, '40343', 'Eye of Antharas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', null, '40344', 'Blood of Antharas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', null, '40345', 'Antharas Flesh', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', null, '40346', 'Heart of Antharas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', null, '40347', 'Bone of Antharas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', null, '40348', 'Tooth of Antharas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45682', null, '40396', 'Green Dragon Scales', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '100057', 'Tsurugi', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '100164', 'Kaiser Claw', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120077', 'Cloak of Invisibility', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120128', 'Crystal Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120248', 'Old Amulet of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120249', 'Old Amulet of Constitution', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120267', 'Amulet of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120268', 'Amulet of Constitution', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120300', 'Ring of Earth Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120306', 'Old Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120307', 'Old Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120308', 'Old Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120312', 'Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120316', 'Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '120319', 'Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '140013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '140014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '140016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '140018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45682', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45683', null, '20281', 'Ring of Polymorph Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '20288', 'Ring of Teleport Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40046', 'Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40050', 'High Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40052', 'Highest Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40054', 'Highest Quality Sapphire', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40174', 'Spellbook(Slow)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40194', 'Spellbook(HealPledge)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40195', 'Spellbook(IceLance)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40196', 'Spellbook(Summon)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40202', 'Spellbook(FullHeal)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40204', 'Spellbook(Blizzard)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40206', 'Spellbook(Resurrection)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '40308', 'Adena', '1393', '2192', '1000000');
INSERT INTO `droplist` VALUES ('45683', null, '40358', 'Crushed Claw of Fafurion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', null, '40359', 'Eye of Fafurion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', null, '40360', 'Blood of Fafurion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', null, '40361', 'Fafurion Flesh', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', null, '40362', 'Heart of Fafurion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', null, '40363', 'Bone of Fafurion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', null, '40364', 'Tooth of Fafurion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45683', null, '40395', 'Blue Dragon Scales', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '100057', 'Tsurugi', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120077', 'Cloak of Invisibility', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120128', 'Crystal Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120244', 'Old Amulet of Charisma', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120245', 'Old Amulet of Dexterity', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120254', 'Amulet of Charisma', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120256', 'Amulet of Dexterity', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120285', 'Ring of Water Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120306', 'Old Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120307', 'Old Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120308', 'Old Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120312', 'Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120316', 'Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '120319', 'Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45683', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45684', null, '20281', 'Ring of Polymorph Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '20288', 'Ring of Teleport Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40045', 'Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40048', 'High Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40049', 'High Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40052', 'Highest Quality Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40053', 'Highest Quality Ruby', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40170', 'Spellbook(Fireball)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40174', 'Spellbook(Slow)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40181', 'Spellbook(TameMonster)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40188', 'Spellbook(Haste)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40191', 'Spellbook(SunBurst)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40194', 'Spellbook(HealPledge)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40196', 'Spellbook(Summon)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40205', 'Spellbook(Invisibility)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40206', 'Spellbook(Resurrection)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40215', 'Spellbook(FireStorm)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40222', 'Spellbook(Destroy)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '40308', 'Adena', '1453', '2286', '1000000');
INSERT INTO `droplist` VALUES ('45684', null, '40350', 'Crushed Claw of Valakas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', null, '40351', 'Eye of Valakas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', null, '40352', 'Blood of Valakas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', null, '40353', 'Valakas Flesh', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', null, '40354', 'Heart of Valakas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', null, '40355', 'Bone of Valakas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', null, '40356', 'Tooth of Valakas', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45684', null, '40393', 'Red Dragon Scales', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '100057', 'Tsurugi', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '100084', 'Kaiser Edoryu', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120077', 'Cloak of Invisibility', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120128', 'Crystal Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120154', 'Plate Mail', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120182', 'Gloves', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120246', 'Old Amulet of Strength', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120247', 'Old Amulet of Intelligence', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120264', 'Amulet of Strength', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120266', 'Amulet of Intelligence', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120304', 'Ring of Fire Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120306', 'Old Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120307', 'Old Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120308', 'Old Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120312', 'Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120316', 'Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '120319', 'Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45684', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45685', null, '20076', 'Tarak\'s Cloak', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', null, '20152', 'Tarak\'s Robe', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', null, '20186', 'Tarak\'s Gloves', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', null, '20216', 'Tarak\'s Boots', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45685', null, '40014', 'Potion of Bravery', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', null, '40089', 'Scroll of Resurrection', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', null, '140130', 'Kalba\'s Scroll', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45685', null, '140129', 'Gian\'s Scroll', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', null, '40308', 'Adena', '749', '1185', '1000000');
INSERT INTO `droplist` VALUES ('45685', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', null, '40473', 'Tarak\'s Sickle', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', null, '40475', 'Tarak\'s Head', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45685', null, '40619', 'East Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', null, '40649', 'North-East Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', null, '40650', 'North Jail Key', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45685', null, '40678', 'Fragment of Soul Stone', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45685', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45698', null, '40742', 'Ancient Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45699', null, '40742', 'Ancient Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45700', null, '40742', 'Ancient Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45701', null, '40742', 'Ancient Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45702', null, '40742', 'Ancient Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45703', null, '40742', 'Ancient Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45704', null, '40742', 'Ancient Arrow', '30', '100', '50000');
INSERT INTO `droplist` VALUES ('45705', null, '40532', 'Key of Ancient Wizard', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45706', null, '40530', 'Key of Ancient Prince', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45707', null, '40535', 'Key of Ancient Elf', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45708', null, '40531', 'Key of Ancient Knight', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45709', null, '40589', 'Key of Fate', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('81042', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81042', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81042', null, '40308', 'Adena', '109', '186', '1000000');
INSERT INTO `droplist` VALUES ('81043', null, '40584', 'Head of Yeti', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('81048', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81048', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81048', null, '40079', 'Scroll of Escape', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81048', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81048', null, '40088', 'Scroll of Polymorph', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81048', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81048', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81048', null, '40308', 'Adena', '144', '240', '1000000');
INSERT INTO `droplist` VALUES ('81048', null, '140074', 'Scroll of Enchant Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81048', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('81163', null, '120319', 'Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120317', 'Ogre Belt', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120316', 'Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120312', 'Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120311', 'Shining Belt of Mind', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120310', 'Shining Belt of Soul', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120309', 'Shining Belt of Body', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120304', 'Ring of Fire Resistance', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120280', 'Ring of Immunity to Magic', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120249', 'Old Amulet of Constitution', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120248', 'Old Amulet of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120247', 'Old Amulet of Intelligence', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120246', 'Old Amulet of Strength', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120245', 'Old Amulet of Dexterity', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120244', 'Old Amulet of Charisma', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '100189', 'Kaiser Crossbow', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '100164', 'Kaiser Claw', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '100084', 'Kaiser Edoryu', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '100057', 'Tsurugi', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '41149', 'Spirit Crystal(Soul of Flame)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40249', 'Spirit Crystal(EarthBind)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40244', 'Spirit Crystal(AreaOfSilence)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40230', 'Spellbook(Brave Aura)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40227', 'Spellbook(Glowing Aura)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40222', 'Spellbook(Destroy)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40216', 'Spellbook(DecayPotion)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40215', 'Spellbook(FireStorm)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40209', 'Spellbook(Silence)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40208', 'Spellbook(LifeStream)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40206', 'Spellbook(Resurrection)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40205', 'Spellbook(Invisibility)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40204', 'Spellbook(Blizzard)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40202', 'Spellbook(FullHeal)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40178', 'Spellbook(Paralyze)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40165', 'TechnicalDocument(ReductionArmor)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '20288', 'Ring of Teleport Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '20284', 'Ring of Summon Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '20281', 'Ring of Polymorph Control', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81066', null, '52', 'Two Handed Sword', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '93', 'Trident', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '94', 'Partisan', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '103', 'Halbred', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '20063', 'Cloak of Protection', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81066', null, '20085', 'T-Shirt', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81066', null, '20149', 'Bronze Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81066', null, '20154', 'Plate Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '20162', 'Leather Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '20205', 'Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '20213', 'Low Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81066', null, '40308', 'Adena', '50', '93', '1000000');
INSERT INTO `droplist` VALUES ('81066', null, '40565', 'Search Document', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '100095', 'Lance', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81066', null, '100103', 'Halberd', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81067', null, '40308', 'Adena', '217', '353', '1000000');
INSERT INTO `droplist` VALUES ('81163', null, '140006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120321', 'Troll Belt', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '120320', 'Titan Belt', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81070', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('81071', null, '40308', 'Adena', '205', '336', '1000000');
INSERT INTO `droplist` VALUES ('81072', null, '40308', 'Adena', '265', '429', '1000000');
INSERT INTO `droplist` VALUES ('81073', null, '40308', 'Adena', '229', '372', '1000000');
INSERT INTO `droplist` VALUES ('81074', null, '40308', 'Adena', '292', '470', '1000000');
INSERT INTO `droplist` VALUES ('81075', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81075', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81075', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81075', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81075', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81075', null, '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81075', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('81075', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81075', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81075', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('81075', null, '40458', 'Shining Scale', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('81075', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81076', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81076', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81076', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81076', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81076', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81076', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81076', null, '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81076', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('81076', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81076', null, '40306', 'Relic of Eva', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('81076', null, '40308', 'Adena', '80', '140', '1000000');
INSERT INTO `droplist` VALUES ('81076', null, '40458', 'Shining Scale', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('81076', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81077', null, '20013', 'Helm of Magic: Speed', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81077', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81077', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81077', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81077', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81077', null, '40308', 'Adena', '87', '150', '1000000');
INSERT INTO `droplist` VALUES ('81077', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81078', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81078', null, '40308', 'Adena', '102', '173', '1000000');
INSERT INTO `droplist` VALUES ('81078', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81079', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81079', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81079', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81079', null, '40049', 'High Quality Ruby', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81079', null, '40308', 'Adena', '118', '198', '1000000');
INSERT INTO `droplist` VALUES ('81079', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81079', null, '140100', 'Scroll of Teleportation', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81080', null, '145', 'Berserker Axe', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81080', null, '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81080', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81080', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81080', null, '40308', 'Adena', '163', '270', '1000000');
INSERT INTO `droplist` VALUES ('81081', null, '20267', 'Amulet of Wisdom', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81081', null, '20284', 'Ring of Summon Control', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('81081', null, '20288', 'Ring of Teleport Control', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81081', null, '40006', 'Pine Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81081', null, '40008', 'Maple Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81081', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', null, '40046', 'Sapphire', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81081', null, '40050', 'High Quality Sapphire', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('81081', null, '40054', 'Highest Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', null, '40074', 'Scroll of Enchant Armor', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('81081', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81081', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81081', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('81081', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('81081', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('81081', null, '40185', 'Spellbook(Darkness)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('81081', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('81081', null, '40214', 'Spellbook(MassTeleport)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81081', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81081', null, '40308', 'Adena', '333', '536', '1000000');
INSERT INTO `droplist` VALUES ('81081', null, '140074', 'Scroll of Enchant Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81081', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('81081', null, '140100', 'Scroll of Teleportation', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81082', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81082', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81082', null, '40308', 'Adena', '3030', '4560', '1000000');
INSERT INTO `droplist` VALUES ('81082', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81082', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81082', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81082', null, '40669', 'Rib of Yahee', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', null, '40670', 'Tail of Yahee', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', null, '40671', 'Wing of Yahee', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', null, '40672', 'Backbone of Yahee', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', null, '40673', 'Head of Yahee', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', null, '40674', 'Claw of Yahee', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('81082', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81107', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81107', null, '40544', 'Ramia\'s Scale', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('81108', null, '40594', 'Zombie Key', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('81109', null, '40604', 'Skeleton Key', '1', '1', '10000000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '20213', 'Low Boots', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '96', 'Spear', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45351', null, '450000', 'Thor\'s Hammer', '1', '1', '60');
INSERT INTO `droplist` VALUES ('45279', null, '36', 'Eva\'s Scorn', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '450003', 'Orcish Bume Smache', '1', '1', '40');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '450003', 'Orcish Bume Smache', '1', '1', '40');
INSERT INTO `droplist` VALUES ('45487', null, '36', 'Eva\'s Scorn', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '126', 'Staff of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '115', 'Crystal Staff', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45298', null, '40031', 'Devil\'s Blood', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45297', null, '40031', 'Devil\'s Blood', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40031', 'Devil\'s Blood', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45024', 'Werewolf', '40031', 'Devil\'s Blood', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45173', 'Lycanthrope', '40031', 'Devil\'s Blood', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45479', null, '40468', 'Rough Silver Piece', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45479', null, '40489', 'Rough Gold Piece', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45479', null, '40441', 'Rough Platinum Piece', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45649', null, '20197', 'Demon Boots', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45649', null, '40093', 'Blank Scroll (Level 4)', '2', '5', '300000');
INSERT INTO `droplist` VALUES ('45680', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '375000');
INSERT INTO `droplist` VALUES ('45680', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45678', null, '40074', 'Scroll of Enchant Armor', '1', '1', '750000');
INSERT INTO `droplist` VALUES ('45678', null, '140074', 'Scroll of Enchant Armor', '1', '1', '250000');
INSERT INTO `droplist` VALUES ('45678', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '375000');
INSERT INTO `droplist` VALUES ('45678', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '125000');
INSERT INTO `droplist` VALUES ('45600', null, '140074', 'Scroll of Enchant Armor', '1', '3', '700000');
INSERT INTO `droplist` VALUES ('45600', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45547', null, '40105', 'TOI Teleport Scroll, 21F', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45606', null, '40106', 'TOI Teleport Scroll, 31F', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45650', null, '40107', 'TOI Teleport Scroll, 41F', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45652', null, '40108', 'TOI Teleport Scroll, 51F', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45653', null, '40109', 'TOI Teleport Scroll, 61F', '1', '3', '1000000');
INSERT INTO `droplist` VALUES ('45654', null, '40110', 'TOI Teleport Scroll, 71F', '1', '3', '700000');
INSERT INTO `droplist` VALUES ('45262', null, '40601', 'Turtle Dragon Shell', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', null, '140074', 'Scroll of Enchant Armor', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45496', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45295', null, '20238', 'Shield of the Silver Knight', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45337', null, '20238', 'Shield of the Silver Knight', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45351', null, '20238', 'Shield of the Silver Knight', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45295', null, '40014', 'Potion of Bravery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45337', null, '40014', 'Potion of Bravery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45351', null, '40014', 'Potion of Bravery', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45295', null, '40011', 'Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45337', null, '40011', 'Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45351', null, '40011', 'Healing Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45640', null, '20070', 'Dark Cloak', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45346', null, '40196', 'Spellbook(Summon)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45161', 'Spartoi', '40187', 'Spellbook(EnchantStr)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45349', null, '240074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45349', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45349', null, '40044', 'Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45738', null, '143', 'Battle Axe', '1', '1', '17000');
INSERT INTO `droplist` VALUES ('45738', null, '145', 'Berserker Axe', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45738', null, '148', 'Great Axe', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45738', null, '20115', 'Splint Mail', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45738', null, '40031', 'Devil\'s Blood', '1', '1', '9500');
INSERT INTO `droplist` VALUES ('45738', null, '40074', 'Scroll of Enchant Armor', '1', '1', '38000');
INSERT INTO `droplist` VALUES ('45738', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45738', null, '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45738', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45738', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45738', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45738', null, '40305', 'Relic of Paagrio', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45738', null, '40308', 'Adena', '141', '223', '1000000');
INSERT INTO `droplist` VALUES ('45738', null, '40555', 'Secret Room Key', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45738', null, '140100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45189', 'Doppleganger', '40212', 'Spellbook(Polymorph)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45445', null, '40076', 'Ancient Scroll', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45479', null, '20003', 'Iron Visor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45479', null, '20091', 'Iron Plate Mail', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45479', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45519', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45364', null, '20280', 'Ring of Immunity to Magic', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45364', null, '40076', 'Ancient Scroll', '1', '1', '100');
INSERT INTO `droplist` VALUES ('81081', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45337', null, '450000', 'Thor\'s Hammer', '1', '1', '40');
INSERT INTO `droplist` VALUES ('45295', null, '450000', 'Thor\'s Hammer', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45468', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45468', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45541', null, '40317', 'Whetstone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '20072', 'Orcish Cloak', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '20072', 'Orcish Cloak', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45675', null, '40308', 'Adena', '7490', '17850', '1000000');
INSERT INTO `droplist` VALUES ('45675', null, '20031', 'Helm of Yahee', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45675', null, '20069', 'Cloak of Yahee', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45675', null, '20131', 'Armor of Yahee', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45675', null, '20179', 'Gloves of Yahee', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45675', null, '20209', 'Boots of Yahee', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45675', null, '20261', 'Amulet of Yahee', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45675', null, '20290', 'Ring of Yahee', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45394', null, '40016', 'Potion of Wisdom', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40045', 'Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40059', 'Egg', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '32', 'Gradius', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '20110', 'Chain Mail of Magic Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45098', 'Gandi Orc', '20154', 'Plate Mail', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45127', 'Rova Orc', '40003', 'Lantern Oil', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40060', 'Carrot', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40059', 'Egg', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '32', 'Gradius', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '20154', 'Plate Mail', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '40010', 'Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45149', 'Atuba Orc', '52', 'Two Handed Sword', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40060', 'Carrot', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40059', 'Egg', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40010', 'Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40018', 'Greater Haste Potion', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40013', 'Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '32', 'Gradius', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '20154', 'Plate Mail', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '52', 'Two Handed Sword', '1', '1', '300');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '40194', 'Spellbook(HealPledge)', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45143', 'Duda-Mara Orc', '450003', 'Orcish Bume Smache', '1', '1', '30');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40060', 'Carrot', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40059', 'Egg', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '40010', 'Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '32', 'Gradius', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45171', 'Neruga Orc', '20154', 'Plate Mail', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '40012', 'Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45133', 'Snowman', '40060', 'Carrot', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40011', 'Healing Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40014', 'Potion of Bravery', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40016', 'Potion of Wisdom', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40119', 'Scroll of Curse Removal', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40126', 'Scroll of Identify', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40100', 'Scroll of Teleportation', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40007', 'Ebony Wand', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40046', 'Sapphire', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45221', null, '40185', 'Spellbook(Darkness)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45221', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45221', null, '40192', 'Spellbook(Weakness)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45221', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45221', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '800');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40016', 'Potion of Wisdom', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45198', 'Ghost - Blue', '40176', 'Spellbook(CounterMagic)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45529', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45162', 'Silhouette', '40176', 'Spellbook(CounterMagic)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45322', null, '40185', 'Spellbook(Darkness)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40044', 'Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40015', 'Potion of Mana', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40047', 'Emerald', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45141', 'Mimic', '40046', 'Sapphire', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45269', null, '20043', 'Helmet', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45269', null, '120056', 'Cloak of Magic Resistance', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45269', null, '20242', 'Large Shield', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45270', null, '20242', 'Large Shield', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45270', null, '120056', 'Cloak of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45278', null, '40031', 'Devil\'s Blood', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45286', null, '20043', 'Helmet', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45286', null, '120043', 'Helmet', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45545', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45545', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', null, '40016', 'Potion of Wisdom', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', null, '20182', 'Gloves', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45545', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', null, '40119', 'Scroll of Curse Removal', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45545', null, '40181', 'Spellbook(TameMonster)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45545', null, '40179', 'Spellbook(CallLightning)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45545', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45545', null, '40088', 'Scroll of Polymorph', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45545', null, '40089', 'Scroll of Resurrection', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45545', null, '40008', 'Maple Wand', '1', '1', '35000');
INSERT INTO `droplist` VALUES ('45184', 'Arachnevil Elder', '40175', 'Spellbook(EarthJail)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45373', null, '40175', 'Spellbook(EarthJail)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45393', null, '20132', 'Dark Robe', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45393', null, '40031', 'Devil\'s Blood', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45451', null, '40031', 'Devil\'s Blood', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45451', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45451', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45451', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45394', null, '20132', 'Dark Robe', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45394', null, '40031', 'Devil\'s Blood', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40494', 'Pure Mithril', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '40056', 'Meat', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40405', 'Fur', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40260', 'Spirit Crystal(WindShot)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40234', 'Spirit Crystal(TeleportToMotherTree)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45019', 'Orc Archer', '40240', 'Spirit Crystal(TripleShot)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45041', 'Dwarf', '40090', 'Blank Scroll (Level 1)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '40002', 'Lantern', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '21', 'Orcish Short Sword', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '1', 'Orcish Dagger', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45082', 'Orc Fighter', '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45107', 'Skeleton', '40181', 'Spellbook(TameMonster)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45121', 'Orc Wizard', '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '146', 'Morning Star', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45126', 'Stone Golem', '23', 'Broad Sword', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40181', 'Spellbook(TameMonster)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45155', 'Troglodyte', '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40170', 'Spellbook(Fireball)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40181', 'Spellbook(TameMonster)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45170', 'Giran Troglodyte', '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '10');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20043', 'Helmet', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '20242', 'Large Shield', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '41', 'Katana', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45165', 'Black Knight', '40031', 'Devil\'s Blood', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45240', null, '40179', 'Spellbook(CallLightning)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45472', null, '450000', 'Thor\'s Hammer', '1', '1', '35');
INSERT INTO `droplist` VALUES ('45206', null, '40188', 'Spellbook(Haste)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45263', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45263', null, '40178', 'Spellbook(Paralyze)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45257', null, '40178', 'Spellbook(Paralyze)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45257', null, '40191', 'Spellbook(SunBurst)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45284', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45284', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45203', 'Salamander', '40190', 'Spellbook(Eruption)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45359', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45365', null, '40119', 'Scroll of Curse Removal', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45341', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45516', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45516', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45617', null, '40220', 'Spellbook(GreaterResurrection)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45617', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40170', 'Spellbook(Fireball)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40181', 'Spellbook(TameMonster)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40188', 'Spellbook(Haste)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45617', null, '40194', 'Spellbook(HealPledge)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45610', null, '40177', 'Spellbook(Meditate)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45610', null, '40249', 'Spirit Crystal(EarthBind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45610', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45677', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45673', null, '52', 'Two Handed Sword', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '200002', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '40031', 'Devil\'s Blood', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '20288', 'Ring of Teleport Control', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45673', null, '84', 'Kaiser Edoryu', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45673', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45673', null, '100084', 'Kaiser Edoryu', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45618', null, '240074', 'Scroll of Enchant Armor', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '240087', 'Scroll of Enchant Weapon', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '20288', 'Ring of Teleport Control', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45618', null, '20281', 'Ring of Polymorph Control', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45618', null, '40206', 'Spellbook(Resurrection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45672', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '40178', 'Spellbook(Paralyze)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45672', null, '2', 'Dice Dagger', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45672', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45672', null, '100041', 'Katana', '1', '1', '180000');
INSERT INTO `droplist` VALUES ('45654', null, '40025', 'Blinding Potion', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('45654', null, '2', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', null, '40006', 'Pine Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45654', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45654', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45654', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45654', null, '41', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45654', null, '52', 'Two Handed Sword', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45654', null, '40207', 'Spellbook(Earthquake)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45654', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45654', null, '40258', 'Spirit Crystal(BurningWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45654', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45654', null, '40257', 'Spirit Crystal(BlessOfFire)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45654', null, '20302', 'Ring of Wind Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45654', null, '20300', 'Ring of Earth Resistance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45654', null, '20304', 'Ring of Fire Resistance', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45654', null, '20285', 'Ring of Water Resistance', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45654', null, '20281', 'Ring of Polymorph Control', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45653', null, '20281', 'Ring of Polymorph Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45653', null, '57', 'Tsurugi', '1', '1', '18000');
INSERT INTO `droplist` VALUES ('45653', null, '20307', 'Old Belt of Soul', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45653', null, '20319', 'Belt of Mind', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45653', null, '52', 'Two Handed Sword', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45653', null, '40025', 'Blinding Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '40014', 'Potion of Bravery', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '40016', 'Potion of Wisdom', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '2', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45653', null, '40008', 'Maple Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45653', null, '40006', 'Pine Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45653', null, '40089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', null, '20284', 'Ring of Summon Control', '1', '1', '4000');
INSERT INTO `droplist` VALUES ('45652', null, '20300', 'Ring of Earth Resistance', '1', '1', '9500');
INSERT INTO `droplist` VALUES ('45652', null, '57', 'Tsurugi', '1', '1', '17000');
INSERT INTO `droplist` VALUES ('45652', null, '40025', 'Blinding Potion', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '40014', 'Potion of Bravery', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '40016', 'Potion of Wisdom', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '2', 'Dice Dagger', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45652', null, '40008', 'Maple Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', null, '40006', 'Pine Wand', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', null, '40089', 'Scroll of Resurrection', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', null, '41', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45652', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45652', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45650', null, '2', 'Dice Dagger', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45650', null, '41', 'Katana', '1', '1', '120000');
INSERT INTO `droplist` VALUES ('45650', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45650', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45650', null, '20281', 'Ring of Polymorph Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45649', null, '40089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', null, '40170', 'Spellbook(Fireball)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', null, '40191', 'Spellbook(SunBurst)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', null, '40018', 'Greater Haste Potion', '1', '3', '300000');
INSERT INTO `droplist` VALUES ('45649', null, '40181', 'Spellbook(TameMonster)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45649', null, '20281', 'Ring of Polymorph Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45649', null, '40206', 'Spellbook(Resurrection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45649', null, '100041', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45614', null, '40015', 'Potion of Mana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45614', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '200002', 'Dice Dagger', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45606', null, '40176', 'Spellbook(CounterMagic)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45606', null, '52', 'Two Handed Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '20128', 'Crystal Plate Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45609', null, '41', 'Katana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45609', null, '40176', 'Spellbook(CounterMagic)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45609', null, '40185', 'Spellbook(Darkness)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45609', null, '40052', 'Highest Quality Diamond', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45609', null, '20175', 'Crystal Gloves', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45609', null, '100041', 'Katana', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '40207', 'Spellbook(Earthquake)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45601', null, '20266', 'Amulet of Intelligence', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45601', null, '20288', 'Ring of Teleport Control', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45584', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45584', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40190', 'Spellbook(Eruption)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40170', 'Spellbook(Fireball)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45583', null, '20284', 'Ring of Summon Control', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45573', null, '40190', 'Spellbook(Eruption)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45573', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45573', null, '40175', 'Spellbook(EarthJail)', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45573', null, '40207', 'Spellbook(Earthquake)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', null, '40044', 'Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45547', null, '40048', 'High Quality Diamond', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45547', null, '40050', 'High Quality Sapphire', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45547', null, '40052', 'Highest Quality Diamond', '1', '1', '22000');
INSERT INTO `droplist` VALUES ('45547', null, '40054', 'Highest Quality Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45547', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45649', null, '100057', 'Tsurugi', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45348', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45274', null, '40100', 'Scroll of Teleportation', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45380', null, '40178', 'Spellbook(Paralyze)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45380', null, '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45407', null, '20227', 'Shield of Medusa', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45409', null, '40056', 'Meat', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45409', null, '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45409', null, '40014', 'Potion of Bravery', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45409', null, '20307', 'Old Belt of Soul', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45409', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45409', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', null, '41', 'Katana', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45386', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45386', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45386', null, '52', 'Two Handed Sword', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45386', null, '40218', 'Spellbook(CreateMagicalWeapon)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45386', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45406', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45406', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45384', null, '40256', 'Spirit Crystal(FireWeapon)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45776', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45384', null, '40079', 'Scroll of Escape', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45384', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45440', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45440', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45440', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45471', null, '40045', 'Ruby', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45471', null, '40170', 'Spellbook(Fireball)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45471', null, '40053', 'Highest Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', null, '40170', 'Spellbook(Fireball)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45481', null, '40006', 'Pine Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', null, '40016', 'Potion of Wisdom', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45481', null, '41', 'Katana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45481', null, '52', 'Two Handed Sword', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45481', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45481', null, '20154', 'Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45481', null, '20110', 'Chain Mail of Magic Resistance', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', null, '20128', 'Crystal Plate Mail', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45481', null, '20307', 'Old Belt of Soul', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', null, '20308', 'Old Belt of Mind', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45481', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45481', null, '20319', 'Belt of Mind', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45515', null, '40049', 'High Quality Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', null, '40048', 'High Quality Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', null, '41', 'Katana', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45515', null, '20304', 'Ring of Fire Resistance', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45515', null, '40074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45515', null, '140074', 'Scroll of Enchant Armor', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45402', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45455', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45494', null, '40016', 'Potion of Wisdom', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45494', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45493', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45480', null, '40045', 'Ruby', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45480', null, '40015', 'Potion of Mana', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45480', null, '40053', 'Highest Quality Ruby', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45522', null, '40015', 'Potion of Mana', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45522', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45522', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45522', null, '40192', 'Spellbook(Weakness)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45522', null, '140100', 'Scroll of Teleportation', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45506', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45506', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45541', null, '40017', 'Cure Poison Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45528', null, '40008', 'Maple Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45572', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45540', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45540', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45540', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45589', null, '40074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45216', null, '40012', 'Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', null, '20213', 'Low Boots', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45216', null, '20149', 'Bronze Plate Mail', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45224', null, '131', 'Staff of Strength', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45224', null, '40221', 'Spellbook(MassSlow)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45248', null, '20213', 'Low Boots', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45248', null, '20205', 'Boots', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45248', null, '96', 'Spear', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45248', null, '98', 'Glaive', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45248', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45496', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45496', null, '40014', 'Potion of Bravery', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45496', null, '40016', 'Potion of Wisdom', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45496', null, '40015', 'Potion of Mana', '1', '3', '75000');
INSERT INTO `droplist` VALUES ('45772', null, '40074', 'Scroll of Enchant Armor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45496', null, '40181', 'Spellbook(TameMonster)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45496', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45496', null, '40170', 'Spellbook(Fireball)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45496', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', null, '20284', 'Ring of Summon Control', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45496', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45496', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45496', null, '40220', 'Spellbook(GreaterResurrection)', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45552', null, '52', 'Two Handed Sword', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45552', null, '143', 'Battle Axe', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45552', null, '40196', 'Spellbook(Summon)', '1', '1', '150');
INSERT INTO `droplist` VALUES ('45556', null, '40090', 'Blank Scroll (Level 1)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45788', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45789', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45788', null, '20285', 'Ring of Water Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45791', null, '41242', 'Orc Treasure Bag', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45791', null, '41083', 'Enchanted Powder', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45791', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45785', null, '41076', 'Polluted Earth', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45785', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45792', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45785', null, '20300', 'Ring of Earth Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45792', null, '41082', 'Orc Fang Amulet', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45784', null, '41080', 'Polluted Spirit', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45784', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45782', null, '41080', 'Polluted Spirit', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45781', null, '41075', 'Polluted Hair', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45781', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45781', null, '41074', 'Bandit Pouch', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45781', null, '41072', 'Silver Candle', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81072', null, '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81072', null, '41082', 'Orc Fang Amulet', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('81072', null, '41110', 'Keepsake Sack', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45777', null, '41068', 'Contaminated Ecdysis', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45777', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81074', null, '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81074', null, '41085', 'Pearl of Prophet', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81074', null, '41110', 'Keepsake Sack', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45797', null, '149', 'Axe of Minotaur', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45793', null, '41242', 'Orc Treasure Bag', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45793', null, '41085', 'Pearl of Prophet', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45793', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45786', null, '41078', 'Polluted Fire', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45786', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45789', null, '41242', 'Orc Treasure Bag', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45786', null, '20304', 'Ring of Fire Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45787', null, '41079', 'Polluted Air', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45787', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45789', null, '41081', 'Orc Fang', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45787', null, '20302', 'Ring of Wind Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45783', null, '41080', 'Polluted Spirit', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45780', null, '41075', 'Polluted Hair', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45780', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45780', null, '41071', 'Silver Tray', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45780', null, '41074', 'Bandit Pouch', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45796', null, '41103', 'Stone Lump', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45794', null, '41089', 'Branch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45794', null, '41088', 'Leaves', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45794', null, '41087', 'Bark', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45794', null, '41086', 'Roots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45794', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45790', null, '41242', 'Orc Treasure Bag', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45790', null, '41084', 'Pure Powder', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45790', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45798', null, '41104', 'Iron Ore', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45799', null, '41105', 'Volcanic Rock', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45774', null, '41067', 'Contaminated Twig', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45774', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45774', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45797', null, '41106', 'Tail Hair of Maino', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45775', null, '41066', 'Contaminated Root', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45775', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45771', null, '41070', 'Contaminated Elven Wing', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45771', null, '40514', 'Tear of Spirit', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45779', null, '41075', 'Polluted Hair', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45792', null, '41242', 'Orc Treasure Bag', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45779', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45779', null, '41074', 'Bandit Pouch', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45770', null, '128', 'Oak Staff', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45770', null, '129', 'Wizard\'s Staff', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45770', null, '131', 'Staff of Strength', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45770', null, '41084', 'Pure Powder', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45723', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45722', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45778', null, '41075', 'Polluted Hair', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45797', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45778', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45778', null, '41073', 'Key of Bandit', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45778', null, '41074', 'Bandit Pouch', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45773', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45773', null, '20281', 'Ring of Polymorph Control', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45800', null, '41107', 'Armor Piece', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45773', null, '41070', 'Contaminated Elven Wing', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81071', null, '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('81071', null, '41081', 'Orc Fang', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('81071', null, '41110', 'Keepsake Sack', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45772', null, '41085', 'Pearl of Prophet', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45772', null, '41242', 'Orc Treasure Bag', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45772', null, '41082', 'Orc Fang Amulet', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45772', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45772', null, '41081', 'Orc Fang', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45772', null, '40305', 'Relic of Paagrio', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '40031', 'Devil\'s Blood', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45772', null, '41084', 'Pure Powder', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45618', null, '40111', 'TOI Teleport Scroll, 81F', '1', '5', '500000');
INSERT INTO `droplist` VALUES ('45772', null, '140074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45795', null, '140089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45795', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45795', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45795', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45795', null, '40205', 'Spellbook(Invisibility)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45795', null, '40202', 'Spellbook(FullHeal)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45795', null, '40074', 'Scroll of Enchant Armor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45795', null, '41086', 'Roots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '41087', 'Bark', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45795', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45795', null, '140074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '41089', 'Branch', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '41088', 'Leaves', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45795', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', null, '40056', 'Meat', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', null, '40119', 'Scroll of Curse Removal', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45237', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45237', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45252', null, '40016', 'Potion of Wisdom', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45772', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45273', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', null, '40100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45273', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45363', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '20110', 'Chain Mail of Magic Resistance', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45144', 'Lizardman', '40050', 'High Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40060', 'Carrot', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45265', null, '40044', 'Diamond', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45265', null, '40031', 'Devil\'s Blood', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45370', null, '40054', 'Highest Quality Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45370', null, '40031', 'Devil\'s Blood', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45321', null, '40010', 'Lesser Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45321', null, '20101', 'Banded Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45321', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45321', null, '40054', 'Highest Quality Sapphire', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45321', null, '40176', 'Spellbook(CounterMagic)', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45420', null, '40010', 'Lesser Healing Potion', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45420', null, '40175', 'Spellbook(EarthJail)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45420', null, '40201', 'Spellbook(Disease)', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45420', null, '40074', 'Scroll of Enchant Armor', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45368', null, '40006', 'Pine Wand', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45256', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45404', null, '20104', 'Lastabad Studded Leather Armor', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45404', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45272', null, '176', 'Lastabad Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45272', null, '6', 'Lastavard Dagger', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45272', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '50');
INSERT INTO `droplist` VALUES ('45356', null, '40018', 'Greater Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45374', null, '40054', 'Highest Quality Sapphire', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45423', null, '240074', 'Scroll of Enchant Armor', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45423', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45422', null, '20172', 'Glove of Ice Spirit', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45487', null, '40304', 'Relic of Maphr', '1', '1', '10500');
INSERT INTO `droplist` VALUES ('45330', null, '20013', 'Helm of Magic: Speed', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45243', null, '40012', 'Greater Healing Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45243', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45243', null, '40056', 'Meat', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45243', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45283', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', null, '40015', 'Potion of Mana', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45282', null, '40013', 'Haste Potion', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45282', null, '40018', 'Greater Haste Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45282', null, '40012', 'Greater Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45282', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45671', null, '57', 'Tsurugi', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45671', null, '140062', 'Banana', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45364', null, '40007', 'Ebony Wand', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45378', null, '20303', 'Ring of Magic Resistance', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45390', null, '40317', 'Whetstone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45392', null, '20280', 'Ring of Immunity to Magic', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45445', null, '20303', 'Ring of Magic Resistance', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45449', null, '40317', 'Whetstone', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45452', null, '20303', 'Ring of Magic Resistance', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45452', null, '20280', 'Ring of Immunity to Magic', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45452', null, '20142', 'Forgotten Scale Mail', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45452', null, '40076', 'Ancient Scroll', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45452', null, '20008', 'Old Helm of Wind', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45477', null, '20143', 'Forgotten Plate Mail', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45505', null, '18', 'Sealed Forgotten Sword', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45509', null, '20142', 'Forgotten Scale Mail', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45509', null, '20280', 'Ring of Immunity to Magic', '1', '1', '200');
INSERT INTO `droplist` VALUES ('45578', null, '18', 'Sealed Forgotten Sword', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40045', 'Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40049', 'High Quality Ruby', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40055', 'Highest Quality Emerald', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '40053', 'Highest Quality Ruby', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45875', null, '40710', 'Friend\'s Bag', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45393', null, '50001', 'Spirit Crystal(NaturesMiracle)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45394', null, '50001', 'Spirit Crystal(NaturesMiracle)', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45451', null, '50001', 'Spirit Crystal(NaturesMiracle)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45609', null, '50001', 'Spirit Crystal(NaturesMiracle)', '1', '1', '12500');
INSERT INTO `droplist` VALUES ('45678', null, '50001', 'Spirit Crystal(NaturesMiracle)', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45683', null, '50001', 'Spirit Crystal(NaturesMiracle)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45529', null, '40074', 'Scroll of Enchant Armor', '1', '3', '200000');
INSERT INTO `droplist` VALUES ('45529', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45646', null, '9', 'Oriharukon Dagger', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45646', null, '8', 'Mithril Dagger', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45675', null, '40014', 'Potion of Bravery', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45675', null, '40015', 'Potion of Mana', '2', '6', '300000');
INSERT INTO `droplist` VALUES ('45675', null, '40443', 'Black Lump of Pure Mithril', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45675', null, '40444', 'Black Lump of Rough Mithril', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45675', null, '40678', 'Fragment of Soul Stone', '10', '20', '1000000');
INSERT INTO `droplist` VALUES ('45675', null, '40524', 'Black Blood Stone', '1', '5', '500000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40308', 'Adena', '25', '70', '1000000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '20205', 'Boots', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '20043', 'Helmet', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '93', 'Trident', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '20063', 'Cloak of Protection', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40044', 'Diamond', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40047', 'Emerald', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '103', 'Halbred', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '95', 'Lance', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '20213', 'Low Boots', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '94', 'Partisan', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40014', 'Potion of Bravery', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40045', 'Ruby', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40046', 'Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40015', 'Potion of Mana', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '20154', 'Plate Mail', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '20085', 'T-Shirt', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '52', 'Two Handed Sword', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '40031', 'Devil\'s Blood', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '100095', 'Lance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45035', 'Escaped Black Knight', '100103', 'Halberd', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40056', 'Meat', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40014', 'Potion of Bravery', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '40018', 'Greater Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45036', 'Valley Bear', '140100', 'Scroll of Teleportation', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '40308', 'Adena', '30', '60', '1000000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '143', 'Battle Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '20205', 'Boots', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '20122', 'Scale Mail', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '20147', 'Studded Leather Armor', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '20242', 'Large Shield', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '40044', 'Diamond', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '104', 'Fauchard', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45037', 'Valley Lycanthrope', '40087', 'Scroll of Enchant Weapon', '1', '1', '1500');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40017', 'Cure Poison Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40044', 'Diamond', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40007', 'Ebony Wand', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '40006', 'Pine Wand', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45038', 'Valley Arachnevil', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '216', 'Apprentice Elf Bow', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '20135', 'Orcish Ring Mail', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '20034', 'Orcish Helm', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '20237', 'Orcish Shield', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '20136', 'Orcish Chain Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '20385', 'Apprentice Knight Helm', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40308', 'Adena', '16', '40', '1000000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40064', 'Apple', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40062', 'Banana', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40060', 'Carrot', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40059', 'Egg', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40061', 'Lemon', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40069', 'Orange', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40001', 'Lamp', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45056', 'Valley Owlbear', '40406', 'Hard Leather', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40308', 'Adena', '30', '70', '1000000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40013', 'Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40007', 'Ebony Wand', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '40006', 'Pine Wand', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45059', 'Giant Spider', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40308', 'Adena', '35', '70', '1000000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40015', 'Potion of Mana', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40100', 'Scroll of Teleportation', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '20014', 'Helm of Magic: Healing', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '40087', 'Scroll of Enchant Weapon', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45067', 'Valley Harpy', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40308', 'Adena', '35', '70', '1000000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40019', 'Condensed Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40020', 'Condensed Healing Potion', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40021', 'Condensed Greater Healing Potion', '1', '1', '3500');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40014', 'Potion of Bravery', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '143', 'Battle Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '145', 'Berserker Axe', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '148', 'Great Axe', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '20115', 'Splint Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45069', 'Starved Troll', '20014', 'Helm of Magic: Healing', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40308', 'Adena', '25', '60', '1000000');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40014', 'Potion of Bravery', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '143', 'Battle Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '145', 'Berserker Axe', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '148', 'Great Axe', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '20115', 'Splint Mail', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40513', 'Blood of Ogre', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '20015', 'Helm of Magic: Power', '1', '1', '1200');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40074', 'Scroll of Enchant Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45078', 'Valley Ogre', '40087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40308', 'Adena', '25', '60', '1000000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40017', 'Cure Poison Potion', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40051', 'High Quality Emerald', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40049', 'High Quality Ruby', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40048', 'High Quality Diamond', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40050', 'High Quality Sapphire', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '40100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '140018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '140013', 'Haste Potion', '1', '1', '12000');
INSERT INTO `droplist` VALUES ('45090', 'Valley Griffon', '20101', 'Banded Mail', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40308', 'Adena', '25', '55', '1000000');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40048', 'High Quality Diamond', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40074', 'Scroll of Enchant Armor', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40087', 'Scroll of Enchant Weapon', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45091', 'Valley Basilisk', '40646', 'Basilisk\'s Horn', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '40001', 'Lamp', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45062', 'Rotting Skeleton Guard', '96', 'Spear', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45063', 'Rotting Skeleton Marksman', '40308', 'Adena', '20', '55', '1000000');
INSERT INTO `droplist` VALUES ('45063', 'Rotting Skeleton Marksman', '172', 'Bow', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45063', 'Rotting Skeleton Marksman', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45063', 'Rotting Skeleton Marksman', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45063', 'Rotting Skeleton Marksman', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45063', 'Rotting Skeleton Marksman', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45063', 'Rotting Skeleton Marksman', '40743', 'Arrow', '10', '30', '50000');
INSERT INTO `droplist` VALUES ('45071', 'Island Ghast', '40308', 'Adena', '20', '55', '1000000');
INSERT INTO `droplist` VALUES ('45071', 'Island Ghast', '143', 'Battle Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45071', 'Island Ghast', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45071', 'Island Ghast', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45071', 'Island Ghast', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45071', 'Island Ghast', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45073', 'Rotting Skeleton Fighter', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('45073', 'Rotting Skeleton Fighter', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45073', 'Rotting Skeleton Fighter', '40407', 'Bone Piece', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45073', 'Rotting Skeleton Fighter', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45073', 'Rotting Skeleton Fighter', '143', 'Battle Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40744', 'Silver Arrow', '10', '30', '25000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40016', 'Potion of Wisdom', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '143', 'Battle Axe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40015', 'Potion of Mana', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '145', 'Berserker Axe', '1', '1', '8500');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '148', 'Great Axe', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40074', 'Scroll of Enchant Armor', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '40087', 'Scroll of Enchant Weapon', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45081', 'Island Ghast Lord', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '40010', 'Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '226', 'Apprentice Knight Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '225', 'Apprentice Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '20403', 'Apprentice Elf Boots', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '40308', 'Adena', '10', '45', '1000000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45026', 'Mutated Alligator', '40308', 'Adena', '15', '35', '1000000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40308', 'Adena', '20', '60', '1000000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40015', 'Potion of Mana', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40012', 'Greater Healing Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40016', 'Potion of Wisdom', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40074', 'Scroll of Enchant Armor', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '40087', 'Scroll of Enchant Weapon', '1', '1', '250');
INSERT INTO `droplist` VALUES ('45095', 'Island Cockatrice', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40308', 'Adena', '35', '85', '1000000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40119', 'Scroll of Curse Removal', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40744', 'Silver Arrow', '10', '30', '25000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40017', 'Cure Poison Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40074', 'Scroll of Enchant Armor', '1', '1', '750');
INSERT INTO `droplist` VALUES ('45096', 'Island Crocadile', '40007', 'Ebony Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45028', 'Polluted Orc Zombie', '40089', 'Scroll of Resurrection', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '40010', 'Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '40308', 'Adena', '15', '45', '1000000');
INSERT INTO `droplist` VALUES ('45052', 'Fatigued Ratman', '40018', 'Greater Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45018', 'Orc', '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45018', 'Orc', '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45018', 'Orc', '40308', 'Adena', '10', '30', '1000000');
INSERT INTO `droplist` VALUES ('45018', 'Orc', '40405', 'Fur', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45018', 'Orc', '40899', 'Lump of Rough Iron', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45040', 'Bear', '41275', 'Bear Meat', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45115', 'Giant Ant', '41274', 'Ant Leg', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '158', 'Dark Claw', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '20032', 'Dark Headband', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '20070', 'Dark Cloak', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '20110', 'Chain Mail of Magic Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '40001', 'Lamp', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '40308', 'Adena', '20', '45', '1000000');
INSERT INTO `droplist` VALUES ('45120', 'Orc Fighter', '40408', 'Lump of Iron', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '140329', 'Native\'s Totem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45139', 'Wild Venom', '20425', 'Amulet of Green Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45147', 'Owlbear', '41263', 'Sunflower Seed', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '220296', 'Cursed Emerald Ring', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45158', 'Mad Lizardman', '20423', 'Amulet of Red Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '140329', 'Native\'s Totem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45163', 'Wild Fang', '20425', 'Amulet of Green Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45190', 'Giant Soldier Ant', '41274', 'Ant Leg', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '140329', 'Native\'s Totem', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45197', 'Wild Magic', '20425', 'Amulet of Green Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45217', null, '20423', 'Amulet of Red Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45239', null, '20425', 'Amulet of Green Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45247', null, '20423', 'Amulet of Red Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45247', null, '20424', 'Amulet of  Blue Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45249', null, '20425', 'Amulet of Green Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45251', null, '20423', 'Amulet of Red Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45252', null, '41275', 'Bear Meat', '1', '1', '75000');
INSERT INTO `droplist` VALUES ('45274', null, '20424', 'Amulet of  Blue Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45294', null, '41263', 'Sunflower Seed', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45314', null, '20424', 'Amulet of  Blue Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45330', null, '20424', 'Amulet of  Blue Curse', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45459', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45459', null, '40618', 'Breath of Earth', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45459', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45459', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45460', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45460', null, '40643', 'Breath of Water', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45460', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45460', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45461', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45461', null, '40645', 'Breath of Wind', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45461', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45461', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45462', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45462', null, '40651', 'Breath of Fire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45462', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45462', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45465', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45465', null, '40676', 'Breath of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45465', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45465', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45466', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45466', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45466', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45466', null, '40668', 'Evidence Box of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45466', null, '40667', 'Evidence of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45466', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45466', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45466', null, '20030', 'Helm of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45466', null, '20067', 'Cloak of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45466', null, '20176', 'Gloves of the New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45466', null, '20208', 'Boots of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45466', null, '20313', 'Belt of Darkness', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45467', null, '40013', 'Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45467', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45467', null, '40652', 'Burning Leather', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45467', null, '40655', 'Crystal Fang', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45467', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45467', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45467', null, '40454', 'Beast Tamer Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45467', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45467', null, '20168', 'Gloves of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45467', null, '20201', 'Boots of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45471', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45483', null, '40013', 'Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45483', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45483', null, '40652', 'Burning Leather', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45483', null, '40655', 'Crystal Fang', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45483', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45483', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45483', null, '40454', 'Beast Tamer Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45486', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45486', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45486', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45486', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45486', null, '55', 'Blade of Darkness', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45486', null, '20113', 'Armor of Pretender King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45492', null, '21019', 'Earrings of purification', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45512', null, '40013', 'Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45512', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45512', null, '40652', 'Burning Leather', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45512', null, '40655', 'Crystal Fang', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45512', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45512', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45512', null, '40454', 'Beast Tamer Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45517', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45517', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45517', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45517', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45517', null, '130', 'Staff of Red Crystal', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45517', null, '20132', 'Dark Robe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45517', null, '20129', 'Robe of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45517', null, '20030', 'Helm of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45517', null, '20208', 'Boots of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45518', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45518', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45518', null, '40668', 'Evidence Box of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45518', null, '40667', 'Evidence of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45518', null, '20030', 'Helm of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45518', null, '20067', 'Cloak of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45518', null, '20208', 'Boots of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45518', null, '20313', 'Belt of Darkness', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45521', null, '40013', 'Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45521', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45521', null, '40677', 'Ingot of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45521', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45521', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45521', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45523', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45523', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45523', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45523', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45523', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45523', null, '130', 'Staff of Red Crystal', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45523', null, '20030', 'Helm of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45523', null, '20208', 'Boots of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45526', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45526', null, '40720', 'Giant Pumpkin Seed', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45526', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45526', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45526', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45526', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45526', null, '20168', 'Gloves of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45526', null, '20201', 'Boots of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45527', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45527', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45527', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45527', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45527', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45527', null, '40', 'Large Sword of Blood', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45527', null, '20030', 'Helm of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45533', null, '40013', 'Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45533', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45533', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45533', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45533', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45533', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45533', null, '20168', 'Gloves of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45533', null, '20201', 'Boots of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45533', null, '20313', 'Belt of Darkness', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45574', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45574', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45574', null, '40668', 'Evidence Box of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45574', null, '40667', 'Evidence of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45574', null, '70', 'Edoryu of Auger Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45574', null, '20020', 'Helm of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45574', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45574', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45574', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45574', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45577', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45577', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45577', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45577', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45577', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45577', null, '20228', 'Shield of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45577', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45577', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45577', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45577', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45585', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45585', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45585', null, '40668', 'Evidence Box of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45585', null, '40667', 'Evidence of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45585', null, '70', 'Edoryu of Auger Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45585', null, '20020', 'Helm of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45585', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45585', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45585', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45585', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45588', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45588', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45588', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45588', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45588', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45588', null, '20058', 'Cloak of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45588', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45588', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45588', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45588', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45607', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45607', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45607', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45607', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45607', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45607', null, '20020', 'Helm of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45607', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45607', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45607', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45607', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45608', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45608', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45608', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45608', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45608', null, '132', 'Staff of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45608', null, '20030', 'Helm of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45608', null, '20176', 'Gloves of the New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45608', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45612', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45612', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45612', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45612', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45612', null, '132', 'Staff of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45612', null, '20030', 'Helm of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45612', null, '20176', 'Gloves of the New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45612', null, '20208', 'Boots of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45612', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45615', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45615', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45615', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45615', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45615', null, '132', 'Staff of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45615', null, '20030', 'Helm of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45615', null, '41147', 'TechnicalDocument(SolidCarriage)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45648', null, '40962', 'Seal of Assassin King', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45648', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45648', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45648', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45648', null, '40668', 'Evidence Box of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45648', null, '40667', 'Evidence of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45648', null, '78', 'Assassin Sword of Assassin King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45648', null, '20020', 'Helm of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45648', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45648', null, '20178', 'Gloves of Assassin King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45648', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45648', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45676', null, '40959', 'Seal of Arcane King', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45676', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45676', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45676', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45676', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45676', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45676', null, '132', 'Staff of New King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45676', null, '20030', 'Helm of New King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45676', null, '20233', 'Scroll of New King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45676', null, '20057', 'Cloak of Arcane King', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45676', null, '20255', 'Ring of Arcane King', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45676', null, '41149', 'Spirit Crystal(Soul of Flame)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45713', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45713', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45713', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45713', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45713', null, '40048', 'High Quality Diamond', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45713', null, '40049', 'High Quality Ruby', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45713', null, '40050', 'High Quality Sapphire', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45713', null, '40051', 'High Quality Emerald', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45713', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45714', null, '40044', 'Diamond', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45714', null, '40045', 'Ruby', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45714', null, '40046', 'Sapphire', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45714', null, '40047', 'Emerald', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45714', null, '40048', 'High Quality Diamond', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45714', null, '40049', 'High Quality Ruby', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45714', null, '40050', 'High Quality Sapphire', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45714', null, '40051', 'High Quality Emerald', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45714', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45715', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45715', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45715', null, '41043', 'Logbook Page 6', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45715', null, '41156', 'Scale of Immortality', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45715', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45716', null, '40041', 'Scale of Mermaid', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45716', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45716', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45716', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45716', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45716', null, '41045', 'Logbook Page 8', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45716', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45717', null, '40041', 'Scale of Mermaid', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45717', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45717', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45717', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45717', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45717', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45718', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45718', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45718', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45718', null, '41042', 'Logbook Page 5', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45718', null, '41156', 'Scale of Immortality', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45718', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45719', null, '40046', 'Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45719', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45719', null, '41156', 'Scale of Immortality', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45719', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45720', null, '20411', 'Amulet of Suffering', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45720', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45720', null, '40305', 'Relic of Paagrio', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45720', null, '41038', 'Logbook Page 1', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45720', null, '41039', 'Logbook Page 2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45720', null, '41154', 'Scale of Darkness', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45720', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45721', null, '20412', 'Amulet of Anguish', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45721', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45721', null, '40305', 'Relic of Paagrio', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45721', null, '41040', 'Logbook Page 3', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45721', null, '41041', 'Logbook Page 4', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45721', null, '41154', 'Scale of Darkness', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45721', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45723', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45723', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45723', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45724', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45724', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45724', null, '41045', 'Logbook Page 8', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45724', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45725', null, '40041', 'Scale of Mermaid', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45725', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45725', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45725', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45725', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45725', null, '41045', 'Logbook Page 8', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45725', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45726', null, '20381', 'Hair Clip of Lucidity', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45726', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45726', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45726', null, '41044', 'Logbook Page 7', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45726', null, '41155', 'Scale of Flames', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45726', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45727', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45727', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45727', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45727', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45727', null, '41044', 'Logbook Page 7', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45727', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45728', null, '20381', 'Hair Clip of Lucidity', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45728', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45728', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45728', null, '41044', 'Logbook Page 7', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45728', null, '41155', 'Scale of Flames', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45728', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45729', null, '20381', 'Hair Clip of Lucidity', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45729', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45729', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45729', null, '41155', 'Scale of Flames', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45729', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45730', null, '212', 'Trident of the Sea God', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45730', null, '40013', 'Haste Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45730', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45730', null, '40041', 'Scale of Mermaid', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45730', null, '40045', 'Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45730', null, '40206', 'Spellbook(Resurrection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45730', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45730', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45730', null, '41047', 'Logbook Page 10', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45730', null, '41156', 'Scale of Immortality', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45730', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45731', null, '40045', 'Ruby', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45731', null, '40206', 'Spellbook(Resurrection)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45731', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45731', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45731', null, '41156', 'Scale of Immortality', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45731', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45731', null, '100212', 'Trident of the Sea God', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45732', null, '40007', 'Ebony Wand', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45732', null, '40304', 'Relic of Maphr', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45732', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45732', null, '41046', 'Logbook Page 9', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45732', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45733', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45733', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45733', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45733', null, '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45733', null, '40192', 'Spellbook(Weakness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45733', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45733', null, '41046', 'Logbook Page 9', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45733', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45734', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45734', null, '20381', 'Hair Clip of Lucidity', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45734', null, '40050', 'High Quality Sapphire', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45734', null, '40308', 'Adena', '5000', '25000', '1000000');
INSERT INTO `droplist` VALUES ('45734', null, '41157', 'Scale of Hatred', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45734', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45734', null, '140074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45734', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '212', 'Trident of the Sea God', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '20381', 'Hair Clip of Lucidity', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '40013', 'Haste Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45735', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45735', null, '40041', 'Scale of Mermaid', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45735', null, '40052', 'Highest Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '40053', 'Highest Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45735', null, '40308', 'Adena', '15000', '35000', '1000000');
INSERT INTO `droplist` VALUES ('45735', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '41152', 'Spirit Crystal(Pollute Water)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '41157', 'Scale of Hatred', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45735', null, '240074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45739', null, '40396', 'Green Dragon Scales', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45739', null, '40718', 'Fragment of Blood Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45739', null, '40978', 'Tail of Sheba Human: Earth', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45739', null, '40982', 'Leather of Sheba Human: Earth', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45739', null, '40986', 'Fang of Sheba Human', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45740', null, '40395', 'Blue Dragon Scales', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45740', null, '40718', 'Fragment of Blood Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45740', null, '40979', 'Tail of Sheba Human: Water', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45740', null, '40983', 'Leather of Sheba Human: Water', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45740', null, '40986', 'Fang of Sheba Human', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45741', null, '40393', 'Red Dragon Scales', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45741', null, '40718', 'Fragment of Blood Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45741', null, '40980', 'Tail of Sheba Human: Fire', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45741', null, '40984', 'Leather of Sheba Human: Fire', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45741', null, '40986', 'Fang of Sheba Human', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45742', null, '40394', 'White Dragon Scales', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45742', null, '40718', 'Fragment of Blood Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45742', null, '40981', 'Tail of Sheba Human: Air', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45742', null, '40985', 'Leather of Sheba Human: Air', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45742', null, '40986', 'Fang of Sheba Human', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45743', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45743', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45743', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45743', null, '40718', 'Fragment of Blood Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45743', null, '40913', 'Seal of Earth', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45743', null, '40976', 'Sand', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45743', null, '40977', 'Bloodied Sand', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45743', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45743', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45744', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45744', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45744', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45744', null, '40718', 'Fragment of Blood Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45744', null, '40914', 'Seal of Water', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45744', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45744', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45745', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45745', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45745', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45745', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45745', null, '40914', 'Seal of Water', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45745', null, '40974', 'Blood of Dego', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45745', null, '40975', 'Fin of Digo', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45745', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45745', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45746', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45746', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45746', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45746', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45746', null, '40915', 'Seal of Fire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45746', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45746', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45747', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45747', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45747', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45747', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45747', null, '40915', 'Seal of Fire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45747', null, '40970', 'Tail of Angus', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45747', null, '40971', 'Tooth of Angus', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45747', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45747', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45749', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45749', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45749', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45749', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45749', null, '40916', 'Seal of Air', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45749', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45749', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45751', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45751', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45751', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45751', null, '40718', 'Fragment of Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45751', null, '40916', 'Seal of Air', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45751', null, '40972', 'Resiliant Muscles of Pasaj', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45751', null, '40973', 'Wings of Pasaj', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45751', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45751', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('45753', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45753', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45753', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45753', null, '40718', 'Fragment of Blood Stone', '10', '50', '50000');
INSERT INTO `droplist` VALUES ('45753', null, '40990', 'Wings of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40991', 'Two-Handed Sword of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40992', 'Head of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40993', 'Horns of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40994', 'Cut of Varlok Meat', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40995', 'Claws of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40996', 'Heart of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40997', 'Fangs of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '40998', 'Lungs of Varlok', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45753', null, '41148', 'TechnicalDocument(CounterBarrier)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45754', null, '40029', 'Ivory Tower Healing Potion', '1', '1', '650000');
INSERT INTO `droplist` VALUES ('45754', null, '40056', 'Meat', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45754', null, '40060', 'Carrot', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45754', null, '40061', 'Lemon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45754', null, '40062', 'Banana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45754', null, '40082', 'Scroll of Return - Singing Island', '1', '1', '420000');
INSERT INTO `droplist` VALUES ('45754', null, '40308', 'Adena', '5', '10', '500000');
INSERT INTO `droplist` VALUES ('45755', null, '40029', 'Ivory Tower Healing Potion', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45755', null, '40308', 'Adena', '5', '10', '300000');
INSERT INTO `droplist` VALUES ('45756', null, '40029', 'Ivory Tower Healing Potion', '1', '1', '600000');
INSERT INTO `droplist` VALUES ('45756', null, '40308', 'Adena', '4', '8', '550000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40046', 'Sapphire', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45757', null, '40017', 'Cure Poison Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45757', null, '40029', 'Ivory Tower Healing Potion', '1', '2', '400000');
INSERT INTO `droplist` VALUES ('45757', null, '40082', 'Scroll of Return - Singing Island', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45757', null, '40308', 'Adena', '6', '16', '500000');
INSERT INTO `droplist` VALUES ('45758', null, '40029', 'Ivory Tower Healing Potion', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45758', null, '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45758', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45758', null, '40098', 'Ivory Tower Scroll of Identify', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45758', null, '40308', 'Adena', '8', '12', '300000');
INSERT INTO `droplist` VALUES ('45758', null, '40744', 'Silver Arrow', '10', '30', '300000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '20237', 'Orcish Shield', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45759', null, '40001', 'Lamp', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45759', null, '40029', 'Ivory Tower Healing Potion', '1', '2', '400000');
INSERT INTO `droplist` VALUES ('45759', null, '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45759', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45759', null, '40308', 'Adena', '8', '24', '300000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '20242', 'Large Shield', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45760', null, '40029', 'Ivory Tower Healing Potion', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45760', null, '40057', 'Floating Eye Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45761', null, '26', 'Dwarvish Short Sword', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45761', null, '40029', 'Ivory Tower Healing Potion', '1', '2', '400000');
INSERT INTO `droplist` VALUES ('45761', null, '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45761', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45761', null, '40098', 'Ivory Tower Scroll of Identify', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45761', null, '40308', 'Adena', '6', '17', '300000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45762', null, '40029', 'Ivory Tower Healing Potion', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45762', null, '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45762', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45762', null, '40308', 'Adena', '4', '8', '300000');
INSERT INTO `droplist` VALUES ('45763', null, '31', 'Long Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45763', null, '20147', 'Studded Leather Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45763', null, '40029', 'Ivory Tower Healing Potion', '1', '3', '400000');
INSERT INTO `droplist` VALUES ('45763', null, '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45763', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45763', null, '40098', 'Ivory Tower Scroll of Identify', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45763', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45763', null, '40308', 'Adena', '8', '24', '700000');
INSERT INTO `droplist` VALUES ('45763', null, '220122', 'Scale Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45763', null, '220125', 'Chain Mail', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45763', null, '220147', 'Studded Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45764', null, '27', 'Scimitar', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45764', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45764', null, '40018', 'Greater Haste Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45764', null, '40029', 'Ivory Tower Healing Potion', '1', '3', '400000');
INSERT INTO `droplist` VALUES ('45764', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45764', null, '40098', 'Ivory Tower Scroll of Identify', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45764', null, '40308', 'Adena', '12', '34', '700000');
INSERT INTO `droplist` VALUES ('45764', null, '40407', 'Bone Piece', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45764', null, '41229', 'Skeleton Skull', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45764', null, '200027', 'Scimitar', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45765', null, '172', 'Bow', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45765', null, '40013', 'Haste Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45765', null, '40018', 'Greater Haste Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45765', null, '40029', 'Ivory Tower Healing Potion', '1', '3', '400000');
INSERT INTO `droplist` VALUES ('45765', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45765', null, '40098', 'Ivory Tower Scroll of Identify', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45765', null, '40308', 'Adena', '14', '30', '700000');
INSERT INTO `droplist` VALUES ('45765', null, '40407', 'Bone Piece', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40743', 'Arrow', '1', '10', '50000');
INSERT INTO `droplist` VALUES ('45766', null, '96', 'Spear', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45766', null, '40013', 'Haste Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45766', null, '40018', 'Greater Haste Potion', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45766', null, '40029', 'Ivory Tower Healing Potion', '1', '2', '400000');
INSERT INTO `droplist` VALUES ('45766', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45766', null, '40098', 'Ivory Tower Scroll of Identify', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45766', null, '40308', 'Adena', '15', '35', '700000');
INSERT INTO `droplist` VALUES ('45766', null, '40407', 'Bone Piece', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45766', null, '41237', 'Bone Piece', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45767', null, '40002', 'Lantern', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45767', null, '40029', 'Ivory Tower Healing Potion', '1', '2', '400000');
INSERT INTO `droplist` VALUES ('45767', null, '40044', 'Diamond', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45767', null, '40045', 'Ruby', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45767', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45767', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45767', null, '40056', 'Meat', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45767', null, '40095', 'Ivory Tower Scroll of Return', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45767', null, '40098', 'Ivory Tower Scroll of Identify', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45767', null, '40307', 'Relic of Sayha', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45767', null, '40308', 'Adena', '4', '16', '300000');
INSERT INTO `droplist` VALUES ('45767', null, '40496', 'Rough Mithril', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '20392', 'Apprentice Elf Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45768', null, '40007', 'Ebony Wand', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45768', null, '40653', 'Red Key', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45769', null, '40613', 'Black Key', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45769', null, '220147', 'Studded Leather Armor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45772', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45801', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45801', null, '40074', 'Scroll of Enchant Armor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45801', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45801', null, '40222', 'Spellbook(Destroy)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45801', null, '41108', 'Rough Diamond', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45802', null, '148', 'Great Axe', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45802', null, '149', 'Axe of Minotaur', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45802', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45802', null, '40074', 'Scroll of Enchant Armor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45802', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45802', null, '40179', 'Spellbook(CallLightning)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45802', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45802', null, '41109', 'Tail Hair of Maino Shaman', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45804', null, '140088', 'Scroll of Polymorph', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45806', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45806', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45806', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45811', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45811', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45811', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45811', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45812', null, '40015', 'Potion of Mana', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45812', null, '40047', 'Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45812', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45812', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45812', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45812', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45813', null, '40015', 'Potion of Mana', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45814', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45814', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45814', null, '40119', 'Scroll of Curse Removal', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45815', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45815', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45815', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45816', null, '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45816', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45816', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45818', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45818', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45818', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45818', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45818', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45818', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45819', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45819', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45819', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45819', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45819', null, '40179', 'Spellbook(CallLightning)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45819', null, '40196', 'Spellbook(Summon)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45819', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45819', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45819', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45821', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45821', null, '40017', 'Cure Poison Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45822', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45822', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45822', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45822', null, '140100', 'Scroll of Teleportation', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45823', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45823', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45823', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45823', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45823', null, '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45824', null, '40006', 'Pine Wand', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45824', null, '40018', 'Greater Haste Potion', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45824', null, '40053', 'Highest Quality Ruby', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45824', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45824', null, '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45826', null, '40088', 'Scroll of Polymorph', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45826', null, '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45827', null, '20060', 'Cloak of Sea', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45827', null, '20306', 'Old Belt of Body', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45827', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45827', null, '40079', 'Scroll of Escape', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45828', null, '129', 'Wizard\'s Staff', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45828', null, '40015', 'Potion of Mana', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45828', null, '40079', 'Scroll of Escape', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45828', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45828', null, '40126', 'Scroll of Identify', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45828', null, '40181', 'Spellbook(TameMonster)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '9', 'Oriharukon Dagger', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '41', 'Katana', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '52', 'Two Handed Sword', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '57', 'Tsurugi', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '64', 'Great Sword', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '129', 'Wizard\'s Staff', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '131', 'Staff of Strength', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '20006', 'Knights Visor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '20056', 'Cloak of Magic Resistance', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '20154', 'Plate Mail', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '20187', 'Power Gloves', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '20284', 'Ring of Summon Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '20288', 'Ring of Teleport Control', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '40006', 'Pine Wand', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '40008', 'Maple Wand', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45829', null, '40015', 'Potion of Mana', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45829', null, '40018', 'Greater Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45829', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40052', 'Highest Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40074', 'Scroll of Enchant Armor', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45829', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45829', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45829', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45829', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45829', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40191', 'Spellbook(SunBurst)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45829', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45829', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45829', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45829', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45829', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45831', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45831', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45831', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45831', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45832', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45832', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45832', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45832', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45833', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45833', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45833', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45833', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45834', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45834', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45834', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45834', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45835', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45835', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45835', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45835', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45836', null, '40013', 'Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45836', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45836', null, '40652', 'Burning Leather', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45836', null, '40655', 'Crystal Fang', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45836', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45836', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45836', null, '40454', 'Beast Tamer Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45839', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45839', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45839', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45840', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45840', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45840', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45840', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45841', null, '40013', 'Haste Potion', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45841', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45841', null, '40652', 'Burning Leather', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45841', null, '40655', 'Crystal Fang', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45841', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45841', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45841', null, '40454', 'Beast Tamer Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45841', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45841', null, '20168', 'Gloves of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45841', null, '20201', 'Boots of Pretender King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45842', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45842', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45842', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45843', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45843', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45843', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45843', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45844', null, '40961', 'Seal of Dread King', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45844', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45844', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45844', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '163', 'Claw of Baranka', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45844', null, '155', 'Claw of Magic Power King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '20020', 'Helm of Pretender King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '20022', 'Helmet of Baranka', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45844', null, '20113', 'Armor of Pretender King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '20116', 'Armor of Baranka', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45844', null, '20168', 'Gloves of Pretender King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '20169', 'Gloves of Baranka', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45844', null, '20201', 'Boots of Pretender King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', null, '20202', 'Boots of Baranka', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45844', null, '20200', 'Boots of Evil Power King', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45844', null, '20313', 'Belt of Darkness', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45847', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45847', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45847', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45847', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45849', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45849', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45849', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45849', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45853', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45853', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45853', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45853', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45854', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45854', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45854', null, '40618', 'Breath of Earth', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45854', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45854', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45854', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45855', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45855', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45855', null, '40643', 'Breath of Water', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45855', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45855', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45855', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45856', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45856', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45856', null, '40645', 'Breath of Wind', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45856', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45856', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45856', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45857', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45857', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45857', null, '40651', 'Breath of Fire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45857', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45857', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45857', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45858', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45858', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45858', null, '40676', 'Breath of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45858', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45858', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45858', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45859', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45859', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45859', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45859', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45860', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45860', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45860', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45860', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45861', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45861', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45861', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45861', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45862', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45862', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45862', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45862', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45863', null, '40960', 'Seal of Dread Queen', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45863', null, '40013', 'Haste Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45863', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45863', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '40636', 'Evidence of the Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '40635', 'Evidence of Dark Spirit Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '132', 'Staff of New King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '117', 'Wand of Laia', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45863', null, '20129', 'Robe of New King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '20106', 'Robe of Laia', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '20109', 'Robe of Evil Spirit King', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45863', null, '20030', 'Helm of New King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '20176', 'Gloves of the New King', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '20208', 'Boots of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45863', null, '20313', 'Belt of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', null, '20252', 'Necklace of Laia', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45863', null, '20253', 'Amulet of Dread Queen', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45863', null, '20279', 'Ring of Laia', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45864', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45864', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45864', null, '41244', 'Lastabad Supplies Box', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45864', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45865', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45865', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45865', null, '41244', 'Lastabad Supplies Box', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45865', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45866', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45866', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45866', null, '41244', 'Lastabad Supplies Box', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45866', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45867', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45867', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45867', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45867', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45868', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45868', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45868', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45868', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45868', null, '40668', 'Evidence Box of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45868', null, '40667', 'Evidence of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45868', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45868', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45868', null, '55', 'Blade of Darkness', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45869', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45869', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45869', null, '41244', 'Lastabad Supplies Box', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45869', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45870', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45870', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45870', null, '41244', 'Lastabad Supplies Box', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45870', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45871', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45871', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45871', null, '41244', 'Lastabad Supplies Box', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45871', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45872', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45872', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45872', null, '40668', 'Evidence Box of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45872', null, '40667', 'Evidence of Assassin Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45872', null, '20030', 'Helm of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45872', null, '20067', 'Cloak of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45872', null, '20208', 'Boots of New King', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45872', null, '20313', 'Belt of Darkness', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45873', null, '40308', 'Adena', '3', '5', '200000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45874', null, '20423', 'Amulet of Red Curse', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45876', null, '40308', 'Adena', '10', '20', '1000000');
INSERT INTO `droplist` VALUES ('45877', null, '20155', 'Blue Pirate Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45877', null, '40010', 'Lesser Healing Potion', '4', '4', '500000');
INSERT INTO `droplist` VALUES ('45877', null, '40100', 'Scroll of Teleportation', '4', '4', '500000');
INSERT INTO `droplist` VALUES ('45877', null, '40126', 'Scroll of Identify', '4', '4', '500000');
INSERT INTO `droplist` VALUES ('45878', null, '40620', 'Second Labyrinth Key', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45886', null, '40596', 'Death Covenant', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45885', null, '40596', 'Death Covenant', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45884', null, '40596', 'Death Covenant', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45883', null, '40596', 'Death Covenant', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45534', null, '21019', 'Earrings of purification', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45323', null, '40490', 'Black Spirit Stone', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45214', null, '40011', 'Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81163', null, '140008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '140015', 'Potion of Mana', '5', '15', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '140074', 'Scroll of Enchant Armor', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81163', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('81173', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81173', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('81173', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81173', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81173', null, '40007', 'Ebony Wand', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81173', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81173', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40307', 'Relic of Sayha', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40899', 'Lump of Rough Iron', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('81173', null, '40104', 'TOI Teleport Scroll, 11F', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40177', 'Spellbook(Meditate)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40178', 'Spellbook(Paralyze)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40180', 'Spellbook(GreaterHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40182', 'Spellbook(RemoveCurse)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40188', 'Spellbook(Haste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40207', 'Spellbook(Earthquake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('81173', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45946', null, '148', 'Great Axe', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45946', null, '20013', 'Helm of Magic: Speed', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45946', null, '20231', 'Tower Shield', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45946', null, '40020', 'Condensed Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45946', null, '40047', 'Emerald', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45946', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45946', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45946', null, '40308', 'Adena', '50', '80', '1000000');
INSERT INTO `droplist` VALUES ('45946', null, '41274', 'Ant Leg', '1', '1', '45000');
INSERT INTO `droplist` VALUES ('45947', null, '148', 'Great Axe', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45947', null, '20115', 'Splint Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45947', null, '20231', 'Tower Shield', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45947', null, '40049', 'High Quality Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45947', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45947', null, '40308', 'Adena', '55', '85', '1000000');
INSERT INTO `droplist` VALUES ('45947', null, '41274', 'Ant Leg', '1', '1', '45000');
INSERT INTO `droplist` VALUES ('45948', null, '20015', 'Helm of Magic: Power', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45948', null, '20149', 'Bronze Plate Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45948', null, '40020', 'Condensed Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45948', null, '40047', 'Emerald', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45948', null, '40049', 'High Quality Ruby', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45948', null, '40308', 'Adena', '60', '90', '1000000');
INSERT INTO `droplist` VALUES ('45948', null, '41274', 'Ant Leg', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45949', null, '20013', 'Helm of Magic: Speed', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45949', null, '20149', 'Bronze Plate Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45949', null, '20231', 'Tower Shield', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45949', null, '40020', 'Condensed Healing Potion', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45949', null, '40051', 'High Quality Emerald', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45949', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45949', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45949', null, '40304', 'Relic of Maphr', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45949', null, '40308', 'Adena', '65', '100', '1000000');
INSERT INTO `droplist` VALUES ('45949', null, '41274', 'Ant Leg', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45950', null, '64', 'Great Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45950', null, '20013', 'Helm of Magic: Speed', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45950', null, '20115', 'Splint Mail', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45950', null, '40051', 'High Quality Emerald', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45950', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45950', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45950', null, '40308', 'Adena', '75', '110', '1000000');
INSERT INTO `droplist` VALUES ('45950', null, '41274', 'Ant Leg', '1', '1', '55000');
INSERT INTO `droplist` VALUES ('45951', null, '52', 'Two Handed Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45951', null, '64', 'Great Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45951', null, '20013', 'Helm of Magic: Speed', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45951', null, '20115', 'Splint Mail', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45951', null, '20149', 'Bronze Plate Mail', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45951', null, '20231', 'Tower Shield', '1', '1', '45000');
INSERT INTO `droplist` VALUES ('45951', null, '40020', 'Condensed Healing Potion', '1', '1', '65000');
INSERT INTO `droplist` VALUES ('45951', null, '40049', 'High Quality Ruby', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45951', null, '40051', 'High Quality Emerald', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45951', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45951', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45951', null, '40304', 'Relic of Maphr', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45951', null, '40308', 'Adena', '85', '115', '1000000');
INSERT INTO `droplist` VALUES ('45951', null, '41274', 'Ant Leg', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45952', null, '44', 'Sword of Ancient Elf', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45952', null, '179', 'Bow of Ancient Elf', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45952', null, '20231', 'Tower Shield', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45952', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45952', null, '40304', 'Relic of Maphr', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45952', null, '40308', 'Adena', '100', '135', '1000000');
INSERT INTO `droplist` VALUES ('45952', null, '41274', 'Ant Leg', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45166', 'Jack-O-Lantern', '40721', 'Giant Pumpkin Seed', '1', '1', '85000');
INSERT INTO `droplist` VALUES ('45166', 'Jack-O-Lantern', '40725', 'Pumpkin Candy', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45167', 'Jack-O-Lantern', '40725', 'Pumpkin Candy', '1', '5', '300000');
INSERT INTO `droplist` VALUES ('45890', null, '40089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45890', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45891', null, '40308', 'Adena', '100', '400', '800000');
INSERT INTO `droplist` VALUES ('45891', null, '40089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45891', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45892', null, '40308', 'Adena', '100', '400', '800000');
INSERT INTO `droplist` VALUES ('45892', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45892', null, '187', 'Lastabad Cross Bow', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45893', null, '40308', 'Adena', '100', '400', '800000');
INSERT INTO `droplist` VALUES ('45893', null, '40021', 'Condensed Greater Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45893', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45893', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45893', null, '40018', 'Greater Haste Potion', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45893', null, '40074', 'Scroll of Enchant Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45893', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45893', null, '187', 'Lastabad Cross Bow', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45894', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45894', null, '40614', 'Mineral Removal Document', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45894', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45895', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45895', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45895', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45895', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45895', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45895', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45895', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45895', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45895', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45895', null, '10', 'Lastavard Blade', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45895', null, '176', 'Lastabad Bow', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45895', null, '20102', 'Lastabad Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45895', null, '20199', 'Lastabad Boots', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45896', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45896', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45897', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45897', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45897', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45897', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45897', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45897', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45897', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45897', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45897', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45897', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45897', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45897', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45897', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45897', null, '40899', 'Lump of Rough Iron', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45897', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45897', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45897', null, '38', 'Lastavard Long Sword', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45897', null, '20102', 'Lastabad Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45897', null, '20199', 'Lastabad Boots', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45897', null, '20070', 'Dark Cloak', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45897', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45897', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45897', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45897', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45897', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45898', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45898', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45898', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45898', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45898', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45898', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45898', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45898', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45898', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45898', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45898', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45898', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45898', null, '6', 'Lastavard Dagger', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45898', null, '187', 'Lastabad Cross Bow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45898', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45898', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45898', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45898', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45898', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45898', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45898', null, '40426', 'Ring of Dark Forester', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45898', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45899', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45899', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45899', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45899', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45899', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45899', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45899', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45899', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45899', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45899', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45899', null, '122', 'Lastavard Staff', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45899', null, '20103', 'Lastabad Robe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45899', null, '40221', 'Spellbook(MassSlow)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45899', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45899', null, '40011', 'Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45899', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45900', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45900', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45900', null, '41000', 'Dark Elven General Badge', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45900', null, '82', 'Lastavard Edoryu', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45900', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45901', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45901', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45901', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45901', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45901', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45901', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45901', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45901', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45901', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45901', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45901', null, '10', 'Lastavard Blade', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45901', null, '176', 'Lastabad Bow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45901', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45901', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45901', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45901', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45901', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45901', null, '40426', 'Ring of Dark Forester', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45901', null, '40746', 'Mithril Arrow', '1', '10', '6000');
INSERT INTO `droplist` VALUES ('45901', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45901', null, '20102', 'Lastabad Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45901', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45901', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45901', null, '40011', 'Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45901', null, '40019', 'Condensed Lesser Healing Potion', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45901', null, '20199', 'Lastabad Boots', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45901', null, '40209', 'Spellbook(Silence)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45902', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45902', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45902', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45902', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45902', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45902', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45902', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45902', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45902', null, '40746', 'Mithril Arrow', '1', '10', '6000');
INSERT INTO `droplist` VALUES ('45902', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45902', null, '40899', 'Lump of Rough Iron', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45902', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45902', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45902', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45902', null, '10', 'Lastavard Blade', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45902', null, '187', 'Lastabad Cross Bow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45902', null, '188', 'Lastabad Heavy Cross Bow', '0', '0', '5000');
INSERT INTO `droplist` VALUES ('45902', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45902', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45902', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45902', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45903', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45903', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45903', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45903', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45903', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45903', null, '40011', 'Healing Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45903', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45903', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45903', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45903', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45903', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45903', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45903', null, '40899', 'Lump of Rough Iron', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45903', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45903', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45903', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45903', null, '101', 'Lastavard One-Handed Spear', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45903', null, '20104', 'Lastabad Studded Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45903', null, '20224', 'Lastabad Round Shield', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45903', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45903', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45903', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45904', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45904', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45904', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45904', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45904', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45904', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45904', null, '38', 'Lastavard Long Sword', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45904', null, '20102', 'Lastabad Leather Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45904', null, '20199', 'Lastabad Boots', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45904', null, '20070', 'Dark Cloak', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45904', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45904', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45904', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45904', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45904', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45904', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45904', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45904', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45904', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45904', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45904', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45904', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45904', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45905', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45905', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45905', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45905', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45905', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45905', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45905', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45905', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45905', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45905', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45905', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45905', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45905', null, '6', 'Lastavard Dagger', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45905', null, '187', 'Lastabad Cross Bow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45905', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45905', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45905', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45905', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45905', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45905', null, '40426', 'Ring of Dark Forester', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45905', null, '40746', 'Mithril Arrow', '1', '10', '100000');
INSERT INTO `droplist` VALUES ('45905', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45905', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45905', null, '40068', 'Elven Wafer', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45906', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45906', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45906', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45906', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45906', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45906', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45906', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45906', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45906', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45906', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45906', null, '122', 'Lastavard Staff', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45906', null, '20103', 'Lastabad Robe', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45906', null, '40221', 'Spellbook(MassSlow)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45906', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45906', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45906', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45906', null, '40015', 'Potion of Mana', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45906', null, '40200', 'Spellbook(Berzerkers)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45906', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45906', null, '40217', 'Spellbook(CounterDetection)', '1', '1', '70000');
INSERT INTO `droplist` VALUES ('45906', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45906', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45906', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45907', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45907', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45907', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45907', null, '40018', 'Greater Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45907', null, '40100', 'Scroll of Teleportation', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45907', null, '40465', 'Elementalist Ring', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45907', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45908', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45908', null, '41000', 'Dark Elven General Badge', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45908', null, '82', 'Lastavard Edoryu', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45908', null, '40524', 'Black Blood Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45908', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45908', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45908', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45908', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45908', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45908', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45908', null, '20105', 'Lastabad Chain Mail', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45908', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45908', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45908', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45908', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45908', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45908', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45908', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45908', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45909', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('45909', null, '40454', 'Beast Tamer Ring', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45909', null, '40999', 'Dark Elven Soldier Badge', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('45909', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '40000');
INSERT INTO `droplist` VALUES ('45909', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45909', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45909', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45909', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45909', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('45909', null, '40432', 'Diad Scroll Piece', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45909', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45909', null, '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45909', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45909', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45909', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45909', null, '20053', 'Wolf Skin Cloak', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45910', null, '40308', 'Adena', '50', '300', '800000');
INSERT INTO `droplist` VALUES ('45910', null, '40432', 'Diad Scroll Piece', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45910', null, '40470', 'Piece of Soul', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45910', null, '40304', 'Relic of Maphr', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('45911', null, '40308', 'Adena', '50', '200', '800000');
INSERT INTO `droplist` VALUES ('45911', null, '40432', 'Diad Scroll Piece', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45911', null, '40304', 'Relic of Maphr', '1', '1', '60000');
INSERT INTO `droplist` VALUES ('46015', null, '40011', 'Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46015', null, '40020', 'Condensed Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('46015', null, '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46015', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46015', null, '40089', 'Scroll of Resurrection', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46016', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46016', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46016', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46016', null, '40018', 'Greater Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46016', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46016', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46016', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46017', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46017', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46017', null, '40020', 'Condensed Healing Potion', '1', '6', '300000');
INSERT INTO `droplist` VALUES ('46017', null, '40483', 'Rind of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46017', null, '40484', 'Venom of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46017', null, '40485', 'Fang of Plate Worm', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46018', null, '116', 'Staff of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46018', null, '20121', 'Robe of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46018', null, '20257', 'Amulet of Black Wizard', '1', '1', '100');
INSERT INTO `droplist` VALUES ('46018', null, '40012', 'Greater Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46018', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46018', null, '40014', 'Potion of Bravery', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46018', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46018', null, '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46018', null, '40279', 'Dark Spirit Crystal(DressEvasion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46018', null, '40446', 'Ring of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46018', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46020', null, '49026', 'Ancient Gold Coin', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46020', null, '49028', 'Ruby of Taros', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46021', null, '49026', 'Ancient Gold Coin', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46021', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46021', null, '41139', 'Indecent Ancient Necklace', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46022', null, '49026', 'Ancient Gold Coin', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46022', null, '49030', 'Emerald of Taros', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46023', null, '49026', 'Ancient Gold Coin', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46023', null, '49029', 'Sapphire of Taros', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46024', null, '49026', 'Ancient Gold Coin', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46024', null, '49028', 'Ruby of Taros', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46024', null, '49029', 'Sapphire of Taros', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46024', null, '49030', 'Emerald of Taros', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46024', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46025', null, '49027', 'Diamond of Taros', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46026', null, '49026', 'Ancient Gold Coin', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46026', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46026', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46026', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46026', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46027', null, '41110', 'Keepsake Sack', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46027', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46028', null, '41110', 'Keepsake Sack', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46028', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46029', null, '41110', 'Keepsake Sack', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46029', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46030', null, '41110', 'Keepsake Sack', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46030', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46031', null, '41111', 'Worn Keepsake Sack', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46031', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46033', null, '41110', 'Keepsake Sack', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46033', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46034', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46035', null, '41112', 'Old Keepsake Sack', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('46035', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46035', null, '140089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46035', null, '41158', 'Crystal Orb of Maya', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46035', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46035', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46036', null, '41110', 'Keepsake Sack', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('46036', null, '41112', 'Old Keepsake Sack', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('46036', null, '140089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46036', null, '41158', 'Crystal Orb of Maya', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46036', null, '240074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46036', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46037', null, '41112', 'Old Keepsake Sack', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('46037', null, '140089', 'Scroll of Resurrection', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46037', null, '41158', 'Crystal Orb of Maya', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('46037', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46037', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46037', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46037', null, '40205', 'Spellbook(Invisibility)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('46037', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46037', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46037', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46037', null, '40251', 'Spirit Crystal(IronSkin)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46037', null, '40242', 'Spirit Crystal(EraseMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46037', null, '40252', 'Spirit Crystal(ExoticVitalize)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('46047', null, '40016', 'Potion of Wisdom', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46047', null, '40014', 'Potion of Bravery', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46047', null, '40074', 'Scroll of Enchant Armor', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('46047', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('46047', null, '40119', 'Scroll of Curse Removal', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46047', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '400');
INSERT INTO `droplist` VALUES ('46047', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('46047', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('46047', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46047', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('46047', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '6000');
INSERT INTO `droplist` VALUES ('46047', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('46047', null, '40308', 'Adena', '50', '400', '800000');
INSERT INTO `droplist` VALUES ('46047', null, '41000', 'Dark Elven General Badge', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45921', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45921', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45921', null, '148', 'Great Axe', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45921', null, '20115', 'Splint Mail', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45921', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45921', null, '40184', 'Spellbook(ManaDrain)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45921', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45921', null, '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45922', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45922', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45922', null, '40304', 'Relic of Maphr', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45922', null, '40049', 'High Quality Ruby', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45922', null, '40051', 'High Quality Emerald', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45922', null, '240074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45922', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45923', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45923', null, '41339', 'Note of the Deceased', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45923', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45923', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45923', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45923', null, '40173', 'Spellbook(VampiricTouch)', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45923', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45923', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45924', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45924', null, '40013', 'Haste Potion', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45924', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45924', null, '40091', 'Blank Scroll (Level 2)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45924', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45924', null, '40304', 'Relic of Maphr', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45924', null, '40018', 'Greater Haste Potion', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45924', null, '20115', 'Splint Mail', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45924', null, '20175', 'Crystal Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45924', null, '40171', 'Spellbook(EnchantDex)', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45924', null, '40189', 'Spellbook(Cancel)', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45925', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45925', null, '40017', 'Cure Poison Potion', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45925', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45925', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45925', null, '40050', 'High Quality Sapphire', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45925', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45926', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45926', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45926', null, '40304', 'Relic of Maphr', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45926', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45926', null, '20115', 'Splint Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45926', null, '20032', 'Dark Headband', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45926', null, '40178', 'Spellbook(Paralyze)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45926', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45926', null, '40192', 'Spellbook(Weakness)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45926', null, '40237', 'Spirit Crystal(ReturnToNature)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45926', null, '40240', 'Spirit Crystal(TripleShot)', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45927', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45927', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45927', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45927', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45927', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45927', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45927', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45927', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45928', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45928', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45928', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45928', null, '40458', 'Shining Scale', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45928', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45928', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45928', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45928', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45928', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45928', null, '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45928', null, '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45928', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45929', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45929', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45929', null, '40458', 'Shining Scale', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45929', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45929', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45929', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45929', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45929', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45929', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45929', null, '40232', 'Spirit Crystal(ResistMagic)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45929', null, '40236', 'Spirit Crystal(ResistElemental)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45929', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45930', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45930', null, '40100', 'Scroll of Teleportation', '1', '1', '400000');
INSERT INTO `droplist` VALUES ('45930', null, '20242', 'Large Shield', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45930', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45930', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45930', null, '40458', 'Shining Scale', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45930', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45930', null, '40092', 'Blank Scroll (Level 3)', '1', '1', '150000');
INSERT INTO `droplist` VALUES ('45930', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45931', null, '40308', 'Adena', '200', '3000', '800000');
INSERT INTO `droplist` VALUES ('45931', null, '41344', 'Essence of Water', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45931', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45931', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45931', null, '240074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45931', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45931', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45931', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45931', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45931', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45931', null, '41151', 'Spirit Crystal(Aqua Protect)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45933', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45933', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45933', null, '40088', 'Scroll of Polymorph', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45933', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45933', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45933', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45934', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45934', null, '40088', 'Scroll of Polymorph', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45934', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45934', null, '40008', 'Maple Wand', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45934', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45934', null, '20182', 'Gloves', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45934', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45935', null, '40308', 'Adena', '200', '3000', '800000');
INSERT INTO `droplist` VALUES ('45935', null, '41342', 'Blood of Medusa', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45935', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45935', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45935', null, '240074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45935', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45935', null, '20115', 'Splint Mail', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('45935', null, '20227', 'Shield of Medusa', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45935', null, '20175', 'Crystal Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45935', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45935', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45935', null, '40220', 'Spellbook(GreaterResurrection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45936', null, '40308', 'Adena', '200', '1000', '800000');
INSERT INTO `droplist` VALUES ('45936', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45936', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45936', null, '40195', 'Spellbook(IceLance)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45936', null, '40174', 'Spellbook(Slow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45936', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45936', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45936', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45936', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45936', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45936', null, '41151', 'Spirit Crystal(Aqua Protect)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45937', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45937', null, '40601', 'Turtle Dragon Shell', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45937', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45937', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45937', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45937', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45937', null, '40247', 'Spirit Crystal(EarthSkin)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45937', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45937', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45938', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45938', null, '140100', 'Scroll of Teleportation', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45938', null, '40007', 'Ebony Wand', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45938', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45938', null, '40179', 'Spellbook(CallLightning)', '0', '0', '10000');
INSERT INTO `droplist` VALUES ('45938', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45938', null, '40196', 'Spellbook(Summon)', '1', '0', '50000');
INSERT INTO `droplist` VALUES ('45938', null, '40210', 'Spellbook(LightningStorm)', '0', '0', '10000');
INSERT INTO `droplist` VALUES ('45938', null, '40225', 'Spellbook(FreezingBlizzard)', '0', '0', '5000');
INSERT INTO `droplist` VALUES ('45938', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45938', null, '40254', 'Spirit Crystal(NaturesTouch)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45939', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45939', null, '40056', 'Meat', '1', '1', '600000');
INSERT INTO `droplist` VALUES ('45939', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45939', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45939', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45939', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45939', null, '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45939', null, '40192', 'Spellbook(Weakness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45939', null, '40195', 'Spellbook(IceLance)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45939', null, '40172', 'Spellbook(WeaponBreak)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45940', null, '40308', 'Adena', '20', '300', '800000');
INSERT INTO `droplist` VALUES ('45940', null, '40041', 'Scale of Mermaid', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45940', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45940', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45940', null, '40046', 'Sapphire', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45940', null, '40054', 'Highest Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45940', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45940', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45940', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45940', null, '40225', 'Spellbook(FreezingBlizzard)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45940', null, '40250', 'Spirit Crystal(BlessOfEarth)', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45940', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45940', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45941', null, '41349', 'Ring of Saell', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45942', null, '40308', 'Adena', '200', '3000', '800000');
INSERT INTO `droplist` VALUES ('45942', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45942', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45942', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45942', null, '40048', 'High Quality Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '40049', 'High Quality Ruby', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '40050', 'High Quality Sapphire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '40051', 'High Quality Emerald', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '240074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45942', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45942', null, '151', 'Demon Axe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45942', null, '107', 'Crimson Lance', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45942', null, '20174', 'Snow Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '20175', 'Crystal Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45942', null, '20285', 'Ring of Water Resistance', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', null, '41152', 'Spirit Crystal(Pollute Water)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45943', null, '40308', 'Adena', '200', '3000', '800000');
INSERT INTO `droplist` VALUES ('45943', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45943', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45943', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45943', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45943', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45943', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45943', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45943', null, '240074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45943', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45943', null, '41', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45943', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45943', null, '20207', 'Underwater Boots', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45943', null, '40183', 'Spellbook(ConeOfCold)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45943', null, '40195', 'Spellbook(IceLance)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45943', null, '40190', 'Spellbook(Eruption)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45943', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45943', null, '41151', 'Spirit Crystal(Aqua Protect)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45943', null, '41152', 'Spirit Crystal(Pollute Water)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45944', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45944', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45944', null, '40308', 'Adena', '200', '3000', '800000');
INSERT INTO `droplist` VALUES ('45944', null, '41345', 'Acid Sap', '1', '1', '500000');
INSERT INTO `droplist` VALUES ('45944', null, '40013', 'Haste Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45944', null, '41343', 'Bloodstain of Fafurion', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('45944', null, '40306', 'Relic of Eva', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45944', null, '40093', 'Blank Scroll (Level 4)', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45944', null, '40094', 'Blank Scroll (Level 5)', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45944', null, '40074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45944', null, '40087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45944', null, '140074', 'Scroll of Enchant Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45944', null, '140087', 'Scroll of Enchant Weapon', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45944', null, '240074', 'Scroll of Enchant Armor', '1', '5', '5000');
INSERT INTO `droplist` VALUES ('45944', null, '240087', 'Scroll of Enchant Weapon', '1', '5', '5000');
INSERT INTO `droplist` VALUES ('45944', null, '100041', 'Katana', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45944', null, '20316', 'Belt of Soul', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45944', null, '20319', 'Belt of Mind', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45944', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45944', null, '40204', 'Spellbook(Blizzard)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45944', null, '41151', 'Spirit Crystal(Aqua Protect)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45944', null, '41152', 'Spirit Crystal(Pollute Water)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45955', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45955', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45955', null, '41028', 'Writing of Death Knight', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45955', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45955', null, '40968', 'Attendant\'s Scripture', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45955', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45955', null, '41011', 'Sealed History Chapter 1', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45955', null, '40186', 'Spellbook(CreateZombie)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45956', null, '41028', 'Writing of Death Knight', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45956', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45956', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45956', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45956', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45956', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45956', null, '41012', 'Sealed History Chapter 2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45956', null, '75', 'Dark Edoryu', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45956', null, '82', 'Lastavard Edoryu', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45956', null, '70', 'Edoryu of Auger Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45956', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45956', null, '40208', 'Spellbook(LifeStream)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45956', null, '40209', 'Spellbook(Silence)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45956', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45957', null, '41028', 'Writing of Death Knight', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45957', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45957', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45957', null, '41013', 'Sealed History Chapter 3', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '130', 'Staff of Red Crystal', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45957', null, '20030', 'Helm of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45957', null, '40178', 'Spellbook(Paralyze)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '40189', 'Spellbook(Cancel)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '40221', 'Spellbook(MassSlow)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '40249', 'Spirit Crystal(EarthBind)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45957', null, '40253', 'Spirit Crystal(WaterLife)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45957', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '41028', 'Writing of Death Knight', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45958', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45958', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45958', null, '41014', 'Sealed History Chapter 4', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '49', 'Long Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45958', null, '100049', 'Long Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45958', null, '55', 'Blade of Darkness', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45958', null, '168', 'Dark Crossbow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45958', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45958', null, '20032', 'Dark Headband', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45958', null, '40204', 'Spellbook(Blizzard)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45958', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45958', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45958', null, '40164', 'TechnicalDocument(ShockStun)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45959', null, '41028', 'Writing of Death Knight', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45959', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45959', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45959', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45959', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45959', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45959', null, '41015', 'Sealed History Chapter 5', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45959', null, '20208', 'Boots of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45959', null, '20180', 'Dark Gloves', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45959', null, '40211', 'Spellbook(FogOfSleeping)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45959', null, '40185', 'Spellbook(Darkness)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45959', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45960', null, '41028', 'Writing of Death Knight', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45960', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45960', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45960', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45960', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45960', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45960', null, '41016', 'Sealed History Chapter 6', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45960', null, '40', 'Large Sword of Blood', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45960', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45960', null, '20070', 'Dark Cloak', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45960', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45960', null, '40246', 'Spirit Crystal(CounterMirror)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45960', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45960', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45961', null, '41028', 'Writing of Death Knight', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45961', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45961', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45961', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45961', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45961', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45961', null, '41017', 'Sealed History Chapter 7', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45961', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45961', null, '100062', 'Two-Handed Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45961', null, '55', 'Blade of Darkness', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45961', null, '158', 'Dark Claw', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45961', null, '20020', 'Helm of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45961', null, '20210', 'Dark Boots', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45961', null, '40205', 'Spellbook(Invisibility)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45961', null, '40248', 'Spirit Crystal(Entangle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45961', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45961', null, '40269', 'Dark Spirit Crystal(DressMighty)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '41028', 'Writing of Death Knight', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45962', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45962', null, '40964', 'Black Magic Powder', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45962', null, '41018', 'Sealed History Chapter 8', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '11', 'Dagger of Crystal', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45962', null, '132', 'Staff of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45962', null, '100132', 'Staff of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45962', null, '130', 'Staff of Red Crystal', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45962', null, '20132', 'Dark Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45962', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45962', null, '40210', 'Spellbook(LightningStorm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45962', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45962', null, '40264', 'Spirit Crystal(WindShackle)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '40261', 'Spirit Crystal(WindWalk)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', null, '41149', 'Spirit Crystal(Soul of Flame)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45962', null, '40166', 'TechnicalDocument(BounceAttack)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45963', null, '41028', 'Writing of Death Knight', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45963', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45963', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45963', null, '40083', 'Scroll of Teleportation - Lastabad', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45963', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45963', null, '11', 'Dagger of Crystal', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45963', null, '130', 'Staff of Red Crystal', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45963', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45963', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45963', null, '20313', 'Belt of Darkness', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45963', null, '40187', 'Spellbook(EnchantStr)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45963', null, '40220', 'Spellbook(GreaterResurrection)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45963', null, '41150', 'Spirit Crystal(Additional Fire)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45964', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45964', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45964', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45964', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45964', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45964', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45964', null, '40746', 'Mithril Arrow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45964', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45964', null, '176', 'Lastabad Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45964', null, '187', 'Lastabad Cross Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45964', null, '40197', 'Spellbook(HolyWalk)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45964', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45964', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45964', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45965', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45965', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45965', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45965', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45965', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45965', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45965', null, '20123', 'Robe of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45965', null, '40453', 'Whip of Beast Summoner', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45965', null, '20228', 'Shield of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45966', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45966', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45966', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45966', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45966', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45966', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45966', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45966', null, '101', 'Lastavard One-Handed Spear', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45966', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45966', null, '20224', 'Lastabad Round Shield', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45966', null, '20228', 'Shield of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45966', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45966', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45966', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45967', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45967', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45967', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45967', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45967', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45967', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45967', null, '40426', 'Ring of Dark Forester', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45967', null, '20098', 'Armor of Dark Forester', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45967', null, '20196', 'Boots of Dark Forester', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45967', null, '20032', 'Dark Headband', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45968', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45968', null, '41244', 'Lastabad Supplies Box', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45968', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45968', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45968', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45968', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45968', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45968', null, '101', 'Lastavard One-Handed Spear', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45968', null, '20102', 'Lastabad Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45968', null, '20224', 'Lastabad Round Shield', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45968', null, '20228', 'Shield of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45968', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45968', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45968', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45969', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45969', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45969', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45969', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45969', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45969', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45969', null, '40446', 'Ring of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45969', null, '20121', 'Robe of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45969', null, '20132', 'Dark Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45969', null, '20208', 'Boots of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45969', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45970', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45970', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45970', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45970', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45970', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45970', null, '40446', 'Ring of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45970', null, '20121', 'Robe of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45970', null, '20132', 'Dark Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45971', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45971', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45971', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45971', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45971', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45971', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45971', null, '40446', 'Ring of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45971', null, '116', 'Staff of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45971', null, '20121', 'Robe of Black Wizard', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45971', null, '20208', 'Boots of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45971', null, '20257', 'Amulet of Black Wizard', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45972', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45972', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45972', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45972', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45972', null, '20104', 'Lastabad Studded Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45972', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45972', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45972', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45973', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45973', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45973', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45973', null, '20104', 'Lastabad Studded Leather Armor', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45973', null, '40193', 'Spellbook(BlessWeapon)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40219', 'Spellbook(MeteorStrike)', '1', '1', '400');
INSERT INTO `droplist` VALUES ('45973', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40274', 'Dark Spirit Crystal(DressDex)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45973', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45974', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45974', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45974', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45974', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45974', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45974', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45974', null, '38', 'Lastavard Long Sword', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45974', null, '11', 'Dagger of Crystal', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45975', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45975', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45975', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45975', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45975', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45975', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45975', null, '11', 'Dagger of Crystal', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45978', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45978', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45978', null, '40746', 'Mithril Arrow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45978', null, '40008', 'Maple Wand', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45978', null, '40435', 'Bud of Deep Flower', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45978', null, '40436', 'Root of Deep Flower', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45978', null, '40437', 'Deep Flower Twig', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45979', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45979', null, '40470', 'Piece of Soul', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45979', null, '40213', 'Spellbook(ImmuneToHarm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45979', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45979', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45979', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45983', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45983', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45983', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45983', null, '40618', 'Breath of Earth', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45983', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45984', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45984', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45984', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45984', null, '40643', 'Breath of Water', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45984', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45985', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45985', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45985', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45985', null, '40651', 'Breath of Fire', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45985', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45986', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45986', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45986', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45986', null, '40645', 'Breath of Wind', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45986', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45987', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45987', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45987', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45987', null, '40676', 'Breath of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45987', null, '40238', 'Spirit Crystal(BloodtoSoul)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45988', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45988', null, '40470', 'Piece of Soul', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45988', null, '40223', 'Spellbook(AbsoluteBarrier)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45988', null, '40224', 'Spellbook(AdvanceSpirit)', '1', '1', '100');
INSERT INTO `droplist` VALUES ('45988', null, '40266', 'Dark Spirit Crystal(EnchantVenom)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40273', 'Dark Spirit Crystal(VenomResist)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40272', 'Dark Spirit Crystal(DarkBlind)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40277', 'Dark Spirit Crystal(ShadowFang)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40265', 'Dark Spirit Crystal(BlindHiding)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40278', 'Dark Spirit Crystal(FinalBurn)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40267', 'Dark Spirit Crystal(ShadowArmor)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40271', 'Dark Spirit Crystal(BurningSpirit)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45988', null, '40275', 'Dark Spirit Crystal(DoubleBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45989', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45989', null, '40746', 'Mithril Arrow', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45989', null, '40490', 'Black Spirit Stone', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45989', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45989', null, '40410', 'Bark of Black Ent', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45989', null, '40411', 'Fruit of Black Ent', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45989', null, '40412', 'Twig of Black Ent', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45994', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45994', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45994', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45994', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45994', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45994', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45994', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45995', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45995', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45995', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45995', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45995', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45995', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45995', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45998', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45998', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45998', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45998', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45998', null, '122', 'Lastavard Staff', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45998', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45999', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45999', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('45999', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45999', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45999', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45999', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45999', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46000', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46000', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46000', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46000', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46000', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46000', null, '130', 'Staff of Red Crystal', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46000', null, '20132', 'Dark Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46000', null, '20129', 'Robe of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46000', null, '20175', 'Crystal Gloves', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46000', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46001', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46001', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46001', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46001', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46001', null, '55', 'Blade of Darkness', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46001', null, '20113', 'Armor of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46001', null, '20032', 'Dark Headband', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46002', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46002', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46002', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46002', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46002', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46002', null, '40524', 'Black Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46002', null, '122', 'Lastavard Staff', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46002', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46002', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46003', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46003', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46003', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46003', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46003', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46003', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46003', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46004', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46004', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46004', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46004', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46004', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46004', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46004', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46006', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46006', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46006', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46006', null, '40639', 'Evidence Box of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46006', null, '40638', 'Evidence of Dark Power Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46006', null, '62', 'Two-Handed Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46006', null, '20168', 'Gloves of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46006', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46006', null, '20313', 'Belt of Darkness', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46007', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46007', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46007', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46007', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46007', null, '40968', 'Attendant\'s Scripture', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46007', null, '132', 'Staff of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46007', null, '20103', 'Lastabad Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46007', null, '20233', 'Scroll of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46007', null, '40202', 'Spellbook(FullHeal)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46008', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46008', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46008', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46008', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46008', null, '130', 'Staff of Red Crystal', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46008', null, '20176', 'Gloves of the New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46008', null, '40209', 'Spellbook(Silence)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46009', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46009', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46009', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46009', null, '49', 'Long Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46009', null, '40', 'Large Sword of Blood', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46009', null, '20201', 'Boots of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46010', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46010', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46010', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46010', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46010', null, '55', 'Blade of Darkness', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46010', null, '49', 'Long Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46010', null, '20113', 'Armor of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46010', null, '20128', 'Crystal Plate Mail', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46010', null, '20032', 'Dark Headband', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46012', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46012', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46012', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46012', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46012', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46012', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46012', null, '40', 'Large Sword of Blood', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46012', null, '20030', 'Helm of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46013', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46013', null, '70', 'Edoryu of Auger Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46014', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46014', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46014', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46014', null, '40853', 'Scroll of Teleportation - Resistance Village', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46014', null, '40640', 'Evidence Box of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46014', null, '40642', 'Evidence of Arcane Army', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46014', null, '49', 'Long Sword of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46014', null, '20103', 'Lastabad Robe', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46014', null, '20032', 'Dark Headband', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46014', null, '40209', 'Spellbook(Silence)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46053', null, '40308', 'Adena', '200', '800', '800000');
INSERT INTO `droplist` VALUES ('46053', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46053', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46053', null, '240074', 'Scroll of Enchant Armor', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('46053', null, '240087', 'Scroll of Enchant Weapon', '1', '1', '2000');
INSERT INTO `droplist` VALUES ('46054', null, '40308', 'Adena', '200', '800', '800000');
INSERT INTO `droplist` VALUES ('46054', null, '40041', 'Scale of Mermaid', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46054', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46054', null, '40074', 'Scroll of Enchant Armor', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46054', null, '40255', 'Spirit Crystal(NaturesBlessing)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46054', null, '40306', 'Relic of Eva', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46054', null, '41045', 'Logbook Page 8', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46054', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46054', null, '49047', 'Crab Meat', '1', '1', '80000');
INSERT INTO `droplist` VALUES ('46055', null, '40308', 'Adena', '200', '800', '800000');
INSERT INTO `droplist` VALUES ('46055', null, '20411', 'Amulet of Suffering', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46055', null, '40044', 'Diamond', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46055', null, '40305', 'Relic of Paagrio', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46055', null, '41038', 'Logbook Page 1', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46055', null, '41039', 'Logbook Page 2', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46055', null, '41154', 'Scale of Darkness', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46055', null, '41207', 'Ash of Sailor', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46060', null, '20228', 'Shield of Pretender King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46060', null, '20313', 'Belt of Darkness', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46060', null, '40013', 'Haste Potion', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46060', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46060', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46060', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46060', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46060', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46061', null, '10', 'Lastavard Blade', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46061', null, '55', 'Blade of Darkness', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46061', null, '188', 'Lastabad Heavy Cross Bow', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46061', null, '20067', 'Cloak of New King', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46061', null, '40429', 'Piece of Large Cave Scroll', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('46061', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46061', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46061', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46061', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46061', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46062', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46062', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46062', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46062', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46062', null, '40988', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46062', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46062', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46062', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46063', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46063', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46063', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46063', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46063', null, '40989', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46063', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46063', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46063', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46064', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46064', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46064', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46064', null, '40969', 'Crystal of Dark Elf Soul', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46064', null, '40987', 'Black Wizard Earrings', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46064', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46064', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46064', null, '41243', 'Lastabad Supplies Bag', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46065', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46065', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46065', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46065', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46065', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46065', null, '41153', 'Spirit Crystal(Strikers Gale)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46066', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46066', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46066', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46066', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46066', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46067', null, '40199', 'Spellbook(GreaterHaste)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46067', null, '40675', 'Mineral of Darkness', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46067', null, '40703', 'Book of Mental Control', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46067', null, '40967', 'Holy Relic', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46067', null, '41029', 'Summoning Device Nucleus', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46067', null, '41030', 'Summoning Device Fragment', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46067', null, '41153', 'Spirit Crystal(Strikers Gale)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46068', null, '40079', 'Scroll of Escape', '1', '1', '100000');
INSERT INTO `droplist` VALUES ('46068', null, '40088', 'Scroll of Polymorph', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46069', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46069', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46071', null, '40015', 'Potion of Mana', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46071', null, '40016', 'Potion of Wisdom', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46071', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46071', null, '40718', 'Fragment of Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46071', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46073', null, '40014', 'Potion of Bravery', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46073', null, '40016', 'Potion of Wisdom', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46073', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46073', null, '40718', 'Fragment of Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46073', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46074', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46074', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46075', null, '40014', 'Potion of Bravery', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46075', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46077', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46078', null, '40014', 'Potion of Bravery', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46078', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46076', null, '40015', 'Potion of Mana', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46076', null, '40016', 'Potion of Wisdom', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46076', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46076', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46078', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46078', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46078', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46079', null, '40014', 'Potion of Bravery', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46079', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46079', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46080', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46080', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46081', null, '40718', 'Fragment of Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46081', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46091', null, '40718', 'Fragment of Blood Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46091', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46092', null, '40014', 'Potion of Bravery', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46092', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46092', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46092', null, '40678', 'Fragment of Soul Stone', '1', '1', '20000');
INSERT INTO `droplist` VALUES ('46092', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46093', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46093', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46094', null, '40014', 'Potion of Bravery', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46094', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46094', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46094', null, '40443', 'Black Lump of Pure Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46094', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46094', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46095', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46095', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46095', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46096', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46096', null, '40444', 'Black Lump of Rough Mithril', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46096', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46097', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46097', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46097', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46097', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46098', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46098', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46098', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46098', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46099', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46099', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46099', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46099', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46100', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46100', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46100', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46100', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46101', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46101', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46101', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46101', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46102', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46102', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46102', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46102', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46103', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46103', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46103', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46103', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46104', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46104', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46104', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46104', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46105', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46105', null, '40016', 'Potion of Wisdom', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46105', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46105', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('46106', null, '40015', 'Potion of Mana', '1', '1', '200000');
INSERT INTO `droplist` VALUES ('46106', null, '40524', 'Black Blood Stone', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('46106', null, '40678', 'Fragment of Soul Stone', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46106', null, '41206', 'Dull Weapon', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40082', 'Scroll of Return - Singing Island', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '40018', 'Greater Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '20011', 'Helmet of Magic Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45057', 'Mutated Lizardman', '25', 'Silver Sword', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45072', 'Sewer Vakuuk', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('45072', 'Sewer Vakuuk', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45072', 'Sewer Vakuuk', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45072', 'Sewer Vakuuk', '40049', 'High Quality Ruby', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45072', 'Sewer Vakuuk', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45072', 'Sewer Vakuuk', '40018', 'Greater Haste Potion', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45072', 'Sewer Vakuuk', '20011', 'Helmet of Magic Resistance', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45074', 'Underground Ramia', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('45074', 'Underground Ramia', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45074', 'Underground Ramia', '40015', 'Potion of Mana', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45074', 'Underground Ramia', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45074', 'Underground Ramia', '40087', 'Scroll of Enchant Weapon', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45076', 'Underground Ramia', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('45076', 'Underground Ramia', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45076', 'Underground Ramia', '40015', 'Potion of Mana', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45076', 'Underground Ramia', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45076', 'Underground Ramia', '40087', 'Scroll of Enchant Weapon', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '40308', 'Adena', '40', '90', '1000000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '20394', 'Apprentice Knight Armor', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '143', 'Battle Axe', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '148', 'Great Axe', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '40074', 'Scroll of Enchant Armor', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '40087', 'Scroll of Enchant Weapon', '1', '1', '7000');
INSERT INTO `droplist` VALUES ('45085', 'Cursed Bugbear', '20115', 'Splint Mail', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40010', 'Lesser Healing Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40016', 'Potion of Wisdom', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40082', 'Scroll of Return - Singing Island', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40744', 'Silver Arrow', '1', '15', '50000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40013', 'Haste Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40015', 'Potion of Mana', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40087', 'Scroll of Enchant Weapon', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '240087', 'Scroll of Enchant Weapon', '1', '1', '7500');
INSERT INTO `droplist` VALUES ('45086', 'Degenerated Beholder', '40017', 'Cure Poison Potion', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45075', 'Underground Crabman', '40308', 'Adena', '20', '65', '1000000');
INSERT INTO `droplist` VALUES ('45075', 'Underground Crabman', '40010', 'Lesser Healing Potion', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45075', 'Underground Crabman', '40074', 'Scroll of Enchant Armor', '1', '1', '9000');
INSERT INTO `droplist` VALUES ('45075', 'Underground Crabman', '40101', 'Scroll of Return - Hidden Valley', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45075', 'Underground Crabman', '40100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45075', 'Underground Crabman', '226', 'Apprentice Knight Sword', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45075', 'Underground Crabman', '140100', 'Scroll of Teleportation', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45112', 'Cursed Ettin', '40308', 'Adena', '40', '90', '1000000');
INSERT INTO `droplist` VALUES ('45112', 'Cursed Ettin', '40653', 'Red Key', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45007', 'Mambo Rabbit Blue Vest', '21019', 'Earrings of purification', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45548', null, '21019', 'Earrings of purification', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45458', null, '21019', 'Earrings of purification', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45535', null, '21019', 'Earrings of purification', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45912', null, '41327', 'Breath of Ghost', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45913', null, '41327', 'Breath of Ghost', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45914', null, '41327', 'Breath of Ghost', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45915', null, '41327', 'Breath of Ghost', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45916', null, '41328', 'Breath of Hamel', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45115', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45121', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45147', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45158', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45184', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45190', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45214', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45224', '', '49115', 'Dragon Tablet(FreezingBreath)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45241', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45298', '', '49112', 'Dragon Tablet(MortalBody)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45311', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45322', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45341', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45365', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45373', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45376', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45407', '', '49112', 'Dragon Tablet(MortalBody)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45422', '', '49115', 'Dragon Tablet(FreezingBreath)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45424', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45458', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45460', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45496', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45506', '', '49115', 'Dragon Tablet(FreezingBreath)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45509', '', '49112', 'Dragon Tablet(MortalBody)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45510', '', '49113', 'Dragon Tablet(ThunderGrab)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45512', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45512', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45515', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45516', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45522', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45537', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45573', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45583', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45589', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45591', '', '49115', 'Dragon Tablet(FreezingBreath)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45593', '', '49113', 'Dragon Tablet(ThunderGrab)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45595', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45600', '', '49110', 'Dragon Tablet(ShockSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45603', '', '49112', 'Dragon Tablet(MortalBody)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45618', '', '49110', 'Dragon Tablet(ShockSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45649', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45649', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45650', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45654', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45672', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45685', '', '49110', 'Dragon Tablet(ShockSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45744', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45745', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45746', '', '49110', 'Dragon Tablet(ShockSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45747', '', '49110', 'Dragon Tablet(ShockSkin)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45772', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45786', '', '49105', 'Dragon Tablet(MagmaBreath)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45844', '', '49112', 'Dragon Tablet(MortalBody)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45855', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45863', '', '49115', 'Dragon Tablet(FreezingBreath)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45908', '', '49112', 'Dragon Tablet(MortalBody)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45916', '', '49113', 'Dragon Tablet(ThunderGrab)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45936', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45942', '', '49115', 'Dragon Tablet(FreezingBreath)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45959', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45962', '', '49116', 'Dragon Tablet(AwakenValakas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45984', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46035', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46107', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46108', '', '49111', 'Dragon Tablet(AwakenFafurion)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46111', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46112', '', '49106', 'Dragon Tablet(AwakenAntharas)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('46115', '', '49110', 'Dragon Tablet(ShockSkin)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('46116', '', '49110', 'Dragon Tablet(ShockSkin)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('46121', '', '49113', 'Dragon Tablet(ThunderGrab)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('46122', '', '49113', 'Dragon Tablet(ThunderGrab)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('46140', '', '49115', 'Dragon Tablet(FreezingBreath)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('81082', '', '49114', 'Dragon Tablet(HorrorOfDeath)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46157', 'Orc Emissary', '49217', 'Orc Search Document (Orc Forest)', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('46158', 'Orc Emissary', '49218', 'Orc Search Document (Gludin)', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('46159', 'Orc Emissary', '49219', 'Orc Search Document (Windawood)', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('46161', 'Orc Emissary Leader', '49221', 'Official Note of Orc Emissary Leader', '1', '1', '1000000');
INSERT INTO `droplist` VALUES ('45294', 'Yeti', '40010', 'Lesser Healing Potion', '1', '1', '300000');
INSERT INTO `droplist` VALUES ('45294', 'Yeti', '49225', 'Heart of Yeti', '1', '1', '50000');
INSERT INTO `droplist` VALUES ('45186', 'Contaminated Troll', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45246', 'Dillo', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45289', 'Muryan', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45328', 'Dillo', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45390', 'Minotaur (Axe)', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45449', 'Minotaur (Mace)', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('46065', 'Otyu', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45578', 'Forgotten Island Drake', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45584', 'Greater Minotaur', '49126', 'Memory Crystal(CubeQuake)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45912', 'Ghost Soldier Full of Resentment', '49123', 'Memory Crystal(MindBreak)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45913', 'Ghost Soldier Full of Resentment', '49123', 'Memory Crystal(MindBreak)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45264', 'Harpy', '49123', 'Memory Crystal(MindBreak)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45926', 'Cursed Beholder', '49123', 'Memory Crystal(MindBreak)', '1', '1', '3000');
INSERT INTO `droplist` VALUES ('45349', 'Beholder', '49123', 'Memory Crystal(MindBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45380', 'Medusa', '49123', 'Memory Crystal(MindBreak)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45492', 'Kuman', '49123', 'Memory Crystal(MindBreak)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45625', 'Chaos', '49123', 'Memory Crystal(MindBreak)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45674', 'Death', '49123', 'Memory Crystal(MindBreak)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45182', 'Ice Golem', '49130', 'Memory Crystal(IllusionDiaGolem)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45365', 'Lava Golem', '49130', 'Memory Crystal(IllusionDiaGolem)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45372', 'Iron Golem', '49130', 'Memory Crystal(IllusionDiaGolem)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45796', 'Stone Golem of Maino Shaman', '49130', 'Memory Crystal(IllusionDiaGolem)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45479', 'Horrific Iron Golem', '49130', 'Memory Crystal(IllusionDiaGolem)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45492', 'Kuman', '49130', 'Memory Crystal(IllusionDiaGolem)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45801', 'Diamond Golem of Maino Shaman', '49130', 'Memory Crystal(IllusionDiaGolem)', '1', '1', '30000');
INSERT INTO `droplist` VALUES ('45213', 'Ghast', '49128', 'Memory Crystal(Phantasm)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45259', 'Scorpion', '49128', 'Memory Crystal(Phantasm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45346', 'Ghast Lord', '49128', 'Memory Crystal(Phantasm)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45934', 'Eva Aste', '49128', 'Memory Crystal(Phantasm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45718', 'Sea Depths Ghoul', '49128', 'Memory Crystal(Phantasm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45935', 'Cursed Medusa', '49128', 'Memory Crystal(Phantasm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45407', 'Cimaera', '49128', 'Memory Crystal(Phantasm)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45547', 'Seer', '49128', 'Memory Crystal(Phantasm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45586', 'Lesser Seer', '49128', 'Memory Crystal(Phantasm)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45735', 'Chief Mermaid', '49128', 'Memory Crystal(Phantasm)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45393', 'Succubus', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45394', 'Succubus', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45451', 'Succubus Queen', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45511', 'Fire Spirit Master', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45500', 'Water Spirit Master', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45942', 'Cursed Great Spirit of Water', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45580', 'Succubus Queen of Darkness', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45594', 'Abyss Fire Spirit', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45591', 'Abyss Water Spirit', '49136', 'Memory Crystal(CubeBalance)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45337', 'Giant', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45295', 'Giant', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45318', 'Giant', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45521', 'Hell Creature', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('46060', 'Hell Creature', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '2500');
INSERT INTO `droplist` VALUES ('45548', 'Jose', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45943', 'Kapu', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45610', 'Ancient Giant', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45616', 'Mummy Lord', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45615', 'Bright Magic Troup Leader Crepus', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45653', 'Mummy Lord', '49135', 'Memory Crystal(IllusionAvatar)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45224', 'Elmore Wizard', '49132', 'Memory Crystal(Insight)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45899', 'Dark Elf Wizard Apprentice', '49132', 'Memory Crystal(Insight)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('46021', 'Greedy Wizard', '49132', 'Memory Crystal(Insight)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45333', 'Dark Elf Wizard', '49132', 'Memory Crystal(Insight)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45506', 'Cursed Elmore Wizard', '49132', 'Memory Crystal(Insight)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45530', 'Grave Guardian Mage', '49132', 'Memory Crystal(Insight)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45405', 'Black Wizard', '49133', 'Memory Crystal(Panic)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45425', 'Black Wizard', '49133', 'Memory Crystal(Panic)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45550', 'Dark Elder', '49133', 'Memory Crystal(Panic)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45546', 'Doppelganger', '49133', 'Memory Crystal(Panic)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45573', 'Baphomet', '49133', 'Memory Crystal(Panic)', '1', '1', '15000');
INSERT INTO `droplist` VALUES ('45237', 'Dire Wolf', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '500');
INSERT INTO `droplist` VALUES ('45393', 'Succubus', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45409', 'Dire Wolf', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45420', 'Cyclops', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45455', 'Raging Spartoi', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45471', 'Horrific Cerberus', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '1000');
INSERT INTO `droplist` VALUES ('45513', 'Zenith Queen', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45516', 'Ifrit', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45529', 'Drake', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45584', 'Greater Minotaur', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45608', 'Mercenary Commander Mephaisto', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45617', 'Phoenix', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '10000');
INSERT INTO `droplist` VALUES ('45668', 'Zyrus', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '5000');
INSERT INTO `droplist` VALUES ('45673', 'Grim Reaper', '49134', 'Memory Crystal(JoyofPain)', '1', '1', '25000');
INSERT INTO `droplist` VALUES ('45512', 'Hell Bound', '90009', 'Fiery Coal', '1', '1', '4500');
INSERT INTO `droplist` VALUES ('45154', 'Mermaid', '30006', 'Mermaid\'s Ring', '1', '1', '8000');
INSERT INTO `droplist` VALUES ('45008', 'Goblin', '90010', 'Lump of Metal', '1', '2', '75000');
INSERT INTO `droplist` VALUES ('45009', 'Orc', '90010', 'Lump of Metal', '1', '2', '75000');
INSERT INTO `droplist` VALUES ('45016', 'Kobold', '90010', 'Lump of Metal', '1', '2', '75000');
INSERT INTO `droplist` VALUES ('45017', 'Orc', '90010', 'Lump of Metal', '1', '2', '75000');
INSERT INTO `droplist` VALUES ('45018', 'Orc Archer', '90010', 'Lump of Metal', '1', '2', '75000');
INSERT INTO `droplist` VALUES ('45050', 'Orc Archer', '90010', 'Lump of Metal', '1', '2', '75000');
INSERT INTO `droplist` VALUES ('45140', 'Hobgoblin', '90010', 'Lump of Metal', '1', '2', '75000');
INSERT INTO `dungeon` VALUES ('32630', '32983', '0', '32733', '32797', '5', '4', '');
INSERT INTO `dungeon` VALUES ('32631', '32983', '0', '32733', '32797', '5', '4', '');
INSERT INTO `dungeon` VALUES ('32632', '32983', '0', '32733', '32797', '5', '4', '');
INSERT INTO `dungeon` VALUES ('32733', '32796', '5', '32631', '32982', '0', '0', '');
INSERT INTO `dungeon` VALUES ('32734', '32796', '5', '32631', '32982', '0', '0', '');
INSERT INTO `dungeon` VALUES ('32540', '32728', '4', '32735', '32795', '6', '4', '');
INSERT INTO `dungeon` VALUES ('32542', '32728', '4', '32735', '32795', '6', '4', '');
INSERT INTO `dungeon` VALUES ('32543', '32728', '4', '32735', '32795', '6', '4', '');
INSERT INTO `dungeon` VALUES ('32544', '32728', '4', '32735', '32795', '6', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32794', '6', '32544', '32727', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32794', '6', '32544', '32727', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32794', '6', '32544', '32727', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32477', '32851', '0', '32669', '32802', '1', '4', '');
INSERT INTO `dungeon` VALUES ('32669', '32802', '1', '32477', '32853', '0', '4', '');
INSERT INTO `dungeon` VALUES ('32709', '32839', '1', '32743', '32852', '1', '0', '');
INSERT INTO `dungeon` VALUES ('32713', '32851', '1', '32745', '32809', '1', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32852', '1', '32709', '32838', '1', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32810', '1', '32713', '32850', '1', '0', '');
INSERT INTO `dungeon` VALUES ('32737', '32877', '1', '32665', '32789', '2', '4', '');
INSERT INTO `dungeon` VALUES ('32665', '32788', '2', '32738', '32877', '1', '2', '');
INSERT INTO `dungeon` VALUES ('32659', '32873', '2', '32665', '32876', '2', '2', '');
INSERT INTO `dungeon` VALUES ('32664', '32876', '2', '32659', '32872', '2', '0', '');
INSERT INTO `dungeon` VALUES ('32668', '32865', '2', '32680', '32859', '2', '2', '');
INSERT INTO `dungeon` VALUES ('32679', '32859', '2', '32668', '32864', '2', '0', '');
INSERT INTO `dungeon` VALUES ('32789', '32821', '2', '32808', '32837', '2', '4', '');
INSERT INTO `dungeon` VALUES ('32808', '32838', '2', '32789', '32822', '2', '0', '');
INSERT INTO `dungeon` VALUES ('32804', '32873', '2', '32533', '32800', '14', '2', '');
INSERT INTO `dungeon` VALUES ('32510', '32863', '0', '32675', '32814', '3', '0', '');
INSERT INTO `dungeon` VALUES ('32675', '32815', '3', '32509', '32865', '0', '4', '');
INSERT INTO `dungeon` VALUES ('32728', '32929', '4', '32812', '32724', '7', '4', '');
INSERT INTO `dungeon` VALUES ('33194', '32457', '4', '32744', '32813', '16', '4', '');
INSERT INTO `dungeon` VALUES ('33053', '32329', '4', '32747', '32809', '17', '6', '');
INSERT INTO `dungeon` VALUES ('33054', '32329', '4', '32747', '32809', '17', '6', '');
INSERT INTO `dungeon` VALUES ('32938', '32284', '4', '32805', '32724', '19', '4', '');
INSERT INTO `dungeon` VALUES ('33138', '33357', '4', '32769', '32767', '22', '5', '');
INSERT INTO `dungeon` VALUES ('32951', '33502', '4', '32739', '32805', '25', '1', '');
INSERT INTO `dungeon` VALUES ('32970', '33511', '4', '32809', '32810', '25', '6', '');
INSERT INTO `dungeon` VALUES ('32910', '33503', '4', '32733', '32813', '26', '1', '');
INSERT INTO `dungeon` VALUES ('32927', '33515', '4', '32803', '32815', '26', '1', '');
INSERT INTO `dungeon` VALUES ('32880', '33511', '4', '32807', '32813', '27', '1', '');
INSERT INTO `dungeon` VALUES ('33348', '32347', '4', '32727', '32726', '30', '4', '');
INSERT INTO `dungeon` VALUES ('33374', '32385', '4', '32742', '32777', '30', '4', '');
INSERT INTO `dungeon` VALUES ('33395', '32325', '4', '32809', '32737', '30', '6', '');
INSERT INTO `dungeon` VALUES ('33415', '32412', '4', '32810', '32810', '30', '6', '');
INSERT INTO `dungeon` VALUES ('32742', '32741', '49', '32793', '32847', '51', '0', 'Ant Caves 5F -> 9F C');
INSERT INTO `dungeon` VALUES ('32781', '32732', '49', '32738', '32781', '44', '0', 'Ant Caves 5F -> 6F');
INSERT INTO `dungeon` VALUES ('32782', '32731', '49', '32738', '32781', '44', '0', 'Ant Caves 5F -> 6F');
INSERT INTO `dungeon` VALUES ('32807', '32805', '43', '32779', '32793', '47', '0', 'Ant Caves 8F -> 1F B');
INSERT INTO `dungeon` VALUES ('32808', '32805', '43', '32779', '32793', '47', '0', 'Ant Caves 8F -> 1F B');
INSERT INTO `dungeon` VALUES ('32755', '33208', '4', '32783', '32751', '43', '0', 'Desert -> Ant Caves 8F');
INSERT INTO `dungeon` VALUES ('32745', '32782', '49', '32745', '32741', '46', '0', 'Ant Caves 5F -> 3F');
INSERT INTO `dungeon` VALUES ('32746', '32782', '49', '32745', '32741', '46', '0', 'Ant Caves 5F -> 3F');
INSERT INTO `dungeon` VALUES ('32778', '32802', '48', '32682', '32849', '51', '0', 'Ant Caves 4F -> 9F B');
INSERT INTO `dungeon` VALUES ('32778', '32801', '48', '32682', '32849', '51', '0', 'Ant Caves 4F -> 9F B');
INSERT INTO `dungeon` VALUES ('32740', '32758', '48', '32807', '32762', '50', '0', 'Ant Caves 4F -> 7F B');
INSERT INTO `dungeon` VALUES ('32740', '32757', '48', '32807', '32762', '50', '0', 'Ant Caves 4F -> 7F B');
INSERT INTO `dungeon` VALUES ('32743', '32778', '47', '32724', '32744', '51', '0', 'Ant Caves 1F -> 9F A');
INSERT INTO `dungeon` VALUES ('32744', '32778', '47', '32724', '32744', '51', '0', 'Ant Caves 1F -> 9F A');
INSERT INTO `dungeon` VALUES ('32778', '32792', '47', '32807', '32805', '43', '0', 'Ant Caves 1F -> 8F');
INSERT INTO `dungeon` VALUES ('32779', '32792', '47', '32807', '32805', '43', '0', 'Ant Caves 1F -> 8F');
INSERT INTO `dungeon` VALUES ('32746', '32741', '46', '32745', '32783', '49', '0', 'Ant Caves 3F -> 5F C');
INSERT INTO `dungeon` VALUES ('32745', '32741', '46', '32745', '32783', '49', '0', 'Ant Caves 3F -> 5F C');
INSERT INTO `dungeon` VALUES ('32770', '32791', '45', '32745', '32759', '50', '0', 'Ant Caves 2F -> 7F A');
INSERT INTO `dungeon` VALUES ('32769', '32791', '45', '32745', '32759', '50', '0', 'Ant Caves 2F -> 7F A');
INSERT INTO `dungeon` VALUES ('32737', '32781', '44', '32781', '32732', '49', '0', 'Ant Caves 6F -> 5F B');
INSERT INTO `dungeon` VALUES ('32737', '32782', '44', '32781', '32732', '49', '0', 'Ant Caves 6F -> 5F B');
INSERT INTO `dungeon` VALUES ('32788', '33149', '4', '32768', '32805', '50', '0', 'Desert -> Ant Caves 7F');
INSERT INTO `dungeon` VALUES ('32914', '33220', '4', '32798', '32754', '44', '0', 'Desert -> Ant Caves 6F');
INSERT INTO `dungeon` VALUES ('32924', '33252', '4', '32801', '32782', '49', '0', 'Desert -> Ant Caves 5F');
INSERT INTO `dungeon` VALUES ('32795', '33189', '4', '32798', '32741', '48', '0', 'Desert -> Ant Caves 4F');
INSERT INTO `dungeon` VALUES ('32848', '33294', '4', '32787', '32795', '46', '0', 'Desert -> Ant Caves 3F');
INSERT INTO `dungeon` VALUES ('32789', '33255', '4', '32776', '32731', '45', '0', 'Desert -> Ant Caves 2F');
INSERT INTO `dungeon` VALUES ('32839', '33172', '4', '32796', '32745', '47', '0', 'Desert -> Ant Caves 1F');
INSERT INTO `dungeon` VALUES ('33311', '33061', '4', '32810', '32731', '53', '6', '');
INSERT INTO `dungeon` VALUES ('33627', '33502', '4', '32708', '32789', '59', '4', '');
INSERT INTO `dungeon` VALUES ('33631', '32369', '4', '32738', '32868', '66', '2', '');
INSERT INTO `dungeon` VALUES ('33675', '32409', '4', '32810', '32934', '66', '2', '');
INSERT INTO `dungeon` VALUES ('33734', '32216', '4', '32797', '32746', '67', '6', '');
INSERT INTO `dungeon` VALUES ('34041', '32154', '4', '32764', '32902', '75', '0', '');
INSERT INTO `dungeon` VALUES ('34042', '32154', '4', '32764', '32902', '75', '0', '');
INSERT INTO `dungeon` VALUES ('33423', '33502', '4', '32735', '32795', '83', '4', '');
INSERT INTO `dungeon` VALUES ('33424', '33502', '4', '32735', '32795', '83', '4', '');
INSERT INTO `dungeon` VALUES ('33425', '33502', '4', '32735', '32795', '83', '4', '');
INSERT INTO `dungeon` VALUES ('33426', '33502', '4', '33735', '32795', '83', '4', '');
INSERT INTO `dungeon` VALUES ('34256', '33450', '4', '32725', '32799', '101', '2', '');
INSERT INTO `dungeon` VALUES ('34256', '33451', '4', '32725', '32799', '101', '2', '');
INSERT INTO `dungeon` VALUES ('34256', '33452', '4', '32725', '32799', '101', '2', '');
INSERT INTO `dungeon` VALUES ('34151', '33382', '4', '32678', '32790', '301', '2', '');
INSERT INTO `dungeon` VALUES ('33388', '32272', '4', '32625', '32803', '304', '5', '');
INSERT INTO `dungeon` VALUES ('33388', '32273', '4', '32625', '32803', '304', '5', '');
INSERT INTO `dungeon` VALUES ('32565', '33460', '4', '32761', '32822', '307', '2', '');
INSERT INTO `dungeon` VALUES ('32812', '32723', '7', '32728', '32929', '4', '5', '');
INSERT INTO `dungeon` VALUES ('32740', '32807', '7', '32750', '32798', '8', '4', '');
INSERT INTO `dungeon` VALUES ('32750', '32797', '8', '32740', '32806', '7', '0', '');
INSERT INTO `dungeon` VALUES ('32726', '32744', '8', '32773', '32807', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32736', '32772', '8', '32737', '32812', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32738', '32813', '8', '32737', '32772', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32741', '32745', '8', '32797', '32803', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32767', '32734', '8', '32811', '32761', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32773', '32808', '8', '32727', '32744', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32797', '32745', '8', '32742', '32745', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32762', '8', '32767', '32733', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32794', '32728', '8', '32801', '32754', '9', '4', '');
INSERT INTO `dungeon` VALUES ('32802', '32754', '9', '32795', '32728', '8', '2', '');
INSERT INTO `dungeon` VALUES ('32771', '32765', '9', '32763', '32773', '10', '4', '');
INSERT INTO `dungeon` VALUES ('32764', '32772', '10', '32771', '32764', '9', '0', '');
INSERT INTO `dungeon` VALUES ('32726', '32737', '10', '32728', '32723', '11', '4', '');
INSERT INTO `dungeon` VALUES ('32729', '32722', '11', '32727', '32737', '10', '2', '');
INSERT INTO `dungeon` VALUES ('32735', '32739', '11', '32768', '32805', '11', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32805', '11', '32757', '32804', '11', '2', '');
INSERT INTO `dungeon` VALUES ('32757', '32805', '11', '32745', '32804', '11', '2', '');
INSERT INTO `dungeon` VALUES ('32763', '32738', '11', '32773', '32765', '11', '2', '');
INSERT INTO `dungeon` VALUES ('32768', '32806', '11', '32736', '32739', '11', '2', '');
INSERT INTO `dungeon` VALUES ('32772', '32765', '11', '32764', '32738', '11', '2', '');
INSERT INTO `dungeon` VALUES ('32797', '32810', '11', '32804', '32725', '12', '4', '');
INSERT INTO `dungeon` VALUES ('32805', '32724', '12', '32797', '32809', '11', '2', '');
INSERT INTO `dungeon` VALUES ('32728', '32768', '12', '32764', '32754', '12', '2', '');
INSERT INTO `dungeon` VALUES ('32764', '32755', '12', '32729', '32768', '12', '2', '');
INSERT INTO `dungeon` VALUES ('32770', '32811', '12', '32727', '32725', '13', '4', '');
INSERT INTO `dungeon` VALUES ('32727', '32724', '13', '32770', '32810', '12', '2', '');
INSERT INTO `dungeon` VALUES ('32764', '32766', '13', '32780', '32741', '13', '2', '');
INSERT INTO `dungeon` VALUES ('32780', '32742', '13', '32765', '32766', '13', '2', '');
INSERT INTO `dungeon` VALUES ('32786', '32795', '13', '32811', '32729', '13', '2', '');
INSERT INTO `dungeon` VALUES ('32801', '32803', '13', '32808', '32802', '13', '2', '');
INSERT INTO `dungeon` VALUES ('32808', '32802', '13', '32801', '32803', '13', '6', '');
INSERT INTO `dungeon` VALUES ('32811', '32730', '13', '32787', '32795', '13', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32724', '13', '33000', '32808', '14', '7', '');
INSERT INTO `dungeon` VALUES ('32813', '32810', '13', '32736', '32807', '237', '5', '');
INSERT INTO `dungeon` VALUES ('32534', '32800', '14', '32803', '32873', '2', '6', '');
INSERT INTO `dungeon` VALUES ('33000', '32808', '14', '32807', '32724', '13', '2', '');
INSERT INTO `dungeon` VALUES ('32744', '32815', '16', '33194', '32458', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32748', '32808', '17', '33054', '32328', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32748', '32809', '17', '33054', '32328', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32805', '32723', '19', '32938', '32283', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32723', '32725', '19', '32788', '32758', '19', '2', '');
INSERT INTO `dungeon` VALUES ('32727', '32797', '19', '32796', '32795', '19', '0', '');
INSERT INTO `dungeon` VALUES ('32787', '32758', '19', '32724', '32725', '19', '2', '');
INSERT INTO `dungeon` VALUES ('32796', '32796', '19', '32728', '32797', '19', '2', '');
INSERT INTO `dungeon` VALUES ('32772', '32783', '19', '32766', '32796', '20', '4', '');
INSERT INTO `dungeon` VALUES ('32767', '32795', '20', '32772', '32782', '19', '0', '');
INSERT INTO `dungeon` VALUES ('32763', '32754', '20', '32807', '32791', '20', '0', '');
INSERT INTO `dungeon` VALUES ('32807', '32792', '20', '32764', '32754', '20', '2', '');
INSERT INTO `dungeon` VALUES ('32730', '32732', '20', '32731', '32736', '21', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32736', '21', '32731', '32732', '20', '2', '');
INSERT INTO `dungeon` VALUES ('32736', '32799', '21', '32760', '32763', '21', '0', '');
INSERT INTO `dungeon` VALUES ('32760', '32764', '21', '32737', '32799', '21', '2', '');
INSERT INTO `dungeon` VALUES ('32777', '32796', '21', '32657', '32872', '32', '2', '');
INSERT INTO `dungeon` VALUES ('32769', '32767', '22', '33138', '33357', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32727', '32814', '23', '32808', '32814', '24', '4', '');
INSERT INTO `dungeon` VALUES ('32808', '32814', '24', '32727', '32814', '23', '4', '');
INSERT INTO `dungeon` VALUES ('32738', '32806', '25', '32951', '33503', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32809', '32811', '25', '32970', '33512', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32732', '32814', '26', '32910', '33505', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32802', '32816', '26', '32927', '33516', '4', '1', '');
INSERT INTO `dungeon` VALUES ('32806', '32814', '27', '32880', '33511', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32723', '32742', '27', '32799', '32798', '28', '4', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '28', '32723', '32741', '27', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32790', '29', '32811', '32722', '23', '4', '');
INSERT INTO `dungeon` VALUES ('32811', '32722', '23', '32742', '32790', '29', '4', '');
INSERT INTO `dungeon` VALUES ('32727', '32726', '30', '33348', '32348', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32742', '32776', '30', '33373', '32385', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32810', '32737', '30', '33395', '32326', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32811', '32810', '30', '33414', '32412', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32813', '30', '32760', '32781', '31', '4', '');
INSERT INTO `dungeon` VALUES ('32733', '32813', '30', '32760', '32781', '31', '4', '');
INSERT INTO `dungeon` VALUES ('32740', '32761', '30', '32762', '32749', '31', '4', '');
INSERT INTO `dungeon` VALUES ('32741', '32761', '30', '32762', '32749', '31', '4', '');
INSERT INTO `dungeon` VALUES ('32767', '32759', '30', '32803', '32760', '31', '6', '');
INSERT INTO `dungeon` VALUES ('32767', '32760', '30', '32803', '32760', '31', '6', '');
INSERT INTO `dungeon` VALUES ('32772', '32774', '30', '32788', '32782', '31', '6', '');
INSERT INTO `dungeon` VALUES ('32772', '32775', '30', '32788', '32782', '31', '6', '');
INSERT INTO `dungeon` VALUES ('32760', '32780', '31', '32733', '32812', '30', '0', '');
INSERT INTO `dungeon` VALUES ('32762', '32748', '31', '32741', '32760', '30', '0', '');
INSERT INTO `dungeon` VALUES ('32789', '32782', '31', '32773', '32774', '30', '2', '');
INSERT INTO `dungeon` VALUES ('32804', '32760', '31', '32768', '32759', '30', '2', '');
INSERT INTO `dungeon` VALUES ('32772', '32747', '31', '32709', '32818', '32', '4', '');
INSERT INTO `dungeon` VALUES ('32657', '32872', '32', '32777', '32796', '21', '0', '');
INSERT INTO `dungeon` VALUES ('32710', '32817', '32', '32773', '32747', '31', '1', '');
INSERT INTO `dungeon` VALUES ('32746', '32859', '32', '32670', '32868', '33', '4', '');
INSERT INTO `dungeon` VALUES ('32747', '32859', '32', '32670', '32868', '33', '4', '');
INSERT INTO `dungeon` VALUES ('32670', '32867', '33', '32746', '32858', '32', '0', '');
INSERT INTO `dungeon` VALUES ('32728', '32825', '33', '32746', '32801', '35', '6', '');
INSERT INTO `dungeon` VALUES ('32729', '32825', '33', '32746', '32801', '35', '6', '');
INSERT INTO `dungeon` VALUES ('32747', '32801', '35', '32728', '32824', '33', '0', '');
INSERT INTO `dungeon` VALUES ('32660', '32838', '35', '32664', '32846', '36', '4', '');
INSERT INTO `dungeon` VALUES ('32660', '32839', '35', '32664', '32846', '36', '4', '');
INSERT INTO `dungeon` VALUES ('32664', '32845', '36', '32661', '32838', '35', '2', '');
INSERT INTO `dungeon` VALUES ('32746', '32824', '36', '32667', '32868', '37', '6', '');
INSERT INTO `dungeon` VALUES ('32747', '32824', '36', '32667', '32868', '37', '6', '');
INSERT INTO `dungeon` VALUES ('32669', '32868', '37', '32746', '32823', '36', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32730', '53', '33312', '33061', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32731', '53', '33312', '33061', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32732', '32787', '53', '32810', '32794', '54', '6', '');
INSERT INTO `dungeon` VALUES ('32811', '32793', '54', '32732', '32786', '53', '0', '');
INSERT INTO `dungeon` VALUES ('32811', '32794', '54', '32732', '32786', '53', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32726', '54', '32750', '32774', '54', '0', '');
INSERT INTO `dungeon` VALUES ('32750', '32775', '54', '32736', '32726', '54', '2', '');
INSERT INTO `dungeon` VALUES ('32728', '32811', '54', '32735', '32728', '55', '4', '');
INSERT INTO `dungeon` VALUES ('32735', '32727', '55', '32728', '32810', '54', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32727', '55', '32728', '32810', '54', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32855', '55', '32769', '32730', '56', '4', '');
INSERT INTO `dungeon` VALUES ('32769', '32729', '56', '32736', '32854', '55', '0', '');
INSERT INTO `dungeon` VALUES ('32770', '32729', '56', '32736', '32854', '55', '0', '');
INSERT INTO `dungeon` VALUES ('32709', '32788', '59', '33627', '33503', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32663', '32867', '59', '32745', '32858', '60', '6', '');
INSERT INTO `dungeon` VALUES ('32747', '32851', '59', '32744', '32839', '62', '0', '');
INSERT INTO `dungeon` VALUES ('32746', '32857', '60', '32664', '32867', '59', '2', '');
INSERT INTO `dungeon` VALUES ('32706', '32809', '60', '32727', '32807', '61', '4', '');
INSERT INTO `dungeon` VALUES ('32728', '32806', '61', '32704', '32809', '60', '6', '');
INSERT INTO `dungeon` VALUES ('32695', '32824', '61', '32806', '32869', '63', '6', '');
INSERT INTO `dungeon` VALUES ('32744', '32839', '62', '32746', '32852', '59', '6', '');
INSERT INTO `dungeon` VALUES ('32733', '32790', '62', '32572', '32833', '64', '6', '');
INSERT INTO `dungeon` VALUES ('32733', '32791', '62', '32572', '32833', '64', '6', '');
INSERT INTO `dungeon` VALUES ('32807', '32868', '63', '32694', '32826', '61', '4', '');
INSERT INTO `dungeon` VALUES ('32738', '32674', '63', '32750', '32870', '65', '1', '');
INSERT INTO `dungeon` VALUES ('32572', '32833', '64', '32733', '32791', '62', '4', '');
INSERT INTO `dungeon` VALUES ('32761', '32870', '65', '32738', '32675', '63', '4', '');
INSERT INTO `dungeon` VALUES ('32737', '32868', '66', '33630', '32369', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32810', '32935', '66', '33675', '32410', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32798', '32746', '67', '33734', '32217', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32945', '33012', '70', '32826', '32850', '70', '0', '');
INSERT INTO `dungeon` VALUES ('32935', '33058', '70', '32734', '32797', '84', '4', '');
INSERT INTO `dungeon` VALUES ('32936', '33058', '70', '32734', '32797', '84', '4', '');
INSERT INTO `dungeon` VALUES ('32937', '33058', '70', '32734', '32797', '84', '4', '');
INSERT INTO `dungeon` VALUES ('32763', '32903', '75', '34041', '32155', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32764', '32903', '75', '34041', '32155', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32773', '32821', '75', '32776', '32820', '76', '6', '');
INSERT INTO `dungeon` VALUES ('32773', '32822', '75', '32776', '32820', '76', '6', '');
INSERT INTO `dungeon` VALUES ('32777', '32819', '76', '32772', '32822', '75', '6', '');
INSERT INTO `dungeon` VALUES ('32777', '32820', '76', '32772', '32822', '75', '6', '');
INSERT INTO `dungeon` VALUES ('32777', '32826', '76', '32766', '32835', '77', '6', '');
INSERT INTO `dungeon` VALUES ('32777', '32827', '76', '32766', '32835', '77', '6', '');
INSERT INTO `dungeon` VALUES ('32767', '32834', '77', '32776', '32827', '76', '6', '');
INSERT INTO `dungeon` VALUES ('32767', '32835', '77', '32776', '32827', '76', '6', '');
INSERT INTO `dungeon` VALUES ('32767', '32841', '77', '32894', '32771', '78', '6', '');
INSERT INTO `dungeon` VALUES ('32767', '32842', '77', '32894', '32771', '78', '6', '');
INSERT INTO `dungeon` VALUES ('32895', '32770', '78', '32766', '32842', '77', '6', '');
INSERT INTO `dungeon` VALUES ('32895', '32771', '78', '32766', '32842', '77', '6', '');
INSERT INTO `dungeon` VALUES ('32923', '32793', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32923', '32795', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32924', '32792', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32924', '32796', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32926', '32792', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32926', '32796', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32927', '32793', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32927', '32795', '78', '32772', '32804', '79', '5', '');
INSERT INTO `dungeon` VALUES ('32772', '32801', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32772', '32803', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32773', '32800', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32773', '32804', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32775', '32800', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32775', '32804', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32776', '32801', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32776', '32803', '79', '32923', '32792', '78', '7', '');
INSERT INTO `dungeon` VALUES ('32803', '32826', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32803', '32828', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32804', '32825', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32804', '32829', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32806', '32825', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32806', '32829', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32807', '32826', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32807', '32828', '79', '32751', '32800', '80', '3', '');
INSERT INTO `dungeon` VALUES ('32747', '32797', '80', '32803', '32825', '79', '7', '');
INSERT INTO `dungeon` VALUES ('32747', '32799', '80', '32803', '32825', '79', '7', '');
INSERT INTO `dungeon` VALUES ('32748', '32796', '80', '32803', '32825', '79', '7', '');
INSERT INTO `dungeon` VALUES ('32748', '32800', '80', '32803', '32825', '79', '7', '');
INSERT INTO `dungeon` VALUES ('32750', '32800', '80', '32803', '32825', '79', '7', '');
INSERT INTO `dungeon` VALUES ('32751', '32799', '80', '32803', '32825', '79', '7', '');
INSERT INTO `dungeon` VALUES ('32771', '32848', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32771', '32850', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32772', '32847', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32772', '32851', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32774', '32847', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32774', '32851', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32775', '32848', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32775', '32850', '80', '32763', '32848', '81', '7', '');
INSERT INTO `dungeon` VALUES ('32763', '32845', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32763', '32847', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32764', '32844', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32764', '32848', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32766', '32844', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32766', '32848', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32767', '32845', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32767', '32847', '81', '32771', '32847', '80', '7', '');
INSERT INTO `dungeon` VALUES ('32802', '32794', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32802', '32796', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32803', '32793', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32803', '32797', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32805', '32793', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32805', '32797', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32806', '32794', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32806', '32796', '81', '32738', '32797', '82', '5', '');
INSERT INTO `dungeon` VALUES ('32738', '32794', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32738', '32796', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32739', '32793', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32739', '32797', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32741', '32793', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32741', '32797', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32742', '32794', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32742', '32796', '82', '32802', '32797', '81', '5', '');
INSERT INTO `dungeon` VALUES ('32733', '32794', '83', '33425', '33501', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32734', '32794', '83', '33425', '33501', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32794', '83', '33425', '33501', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32794', '83', '33425', '33501', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32732', '32796', '84', '32936', '33057', '70', '0', '');
INSERT INTO `dungeon` VALUES ('32733', '32796', '84', '32936', '33057', '70', '0', '');
INSERT INTO `dungeon` VALUES ('32734', '32796', '84', '32936', '33057', '70', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32796', '84', '32936', '33057', '70', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32873', '85', '32725', '32789', '87', '4', '');
INSERT INTO `dungeon` VALUES ('32741', '32872', '85', '32730', '32789', '87', '3', '');
INSERT INTO `dungeon` VALUES ('32793', '32872', '86', '32746', '32810', '87', '6', '');
INSERT INTO `dungeon` VALUES ('32794', '32867', '86', '32746', '32805', '87', '6', '');
INSERT INTO `dungeon` VALUES ('32725', '32788', '87', '32737', '32871', '85', '1', '');
INSERT INTO `dungeon` VALUES ('32730', '32788', '87', '32741', '32871', '85', '1', '');
INSERT INTO `dungeon` VALUES ('32747', '32805', '87', '32795', '32867', '86', '2', '');
INSERT INTO `dungeon` VALUES ('32747', '32810', '87', '32795', '32872', '86', '2', '');
INSERT INTO `dungeon` VALUES ('32724', '32798', '101', '34255', '33452', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32724', '32799', '101', '34255', '33452', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32724', '32800', '101', '34255', '33452', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '101', '32798', '32802', '101', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32801', '101', '32798', '32798', '102', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32802', '101', '32798', '32798', '102', '6', '');
INSERT INTO `dungeon` VALUES ('32871', '32870', '101', '32660', '32933', '301', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '102', '32798', '32802', '101', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32798', '102', '32798', '32802', '101', '6', '');
INSERT INTO `dungeon` VALUES ('32743', '32731', '102', '32749', '32747', '103', '0', '');
INSERT INTO `dungeon` VALUES ('32853', '32855', '102', '32851', '32843', '103', '2', '');
INSERT INTO `dungeon` VALUES ('32748', '32748', '103', '32743', '32732', '102', '4', '');
INSERT INTO `dungeon` VALUES ('32749', '32748', '103', '32743', '32732', '102', '4', '');
INSERT INTO `dungeon` VALUES ('32850', '32843', '103', '32852', '32855', '102', '6', '');
INSERT INTO `dungeon` VALUES ('32850', '32844', '103', '32852', '32855', '102', '6', '');
INSERT INTO `dungeon` VALUES ('32744', '32731', '103', '32749', '32747', '103', '0', '');
INSERT INTO `dungeon` VALUES ('32799', '32801', '103', '32671', '32860', '104', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32802', '103', '32671', '32860', '104', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '104', '32798', '32802', '103', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '104', '32798', '32802', '103', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32924', '104', '32742', '32928', '105', '0', '');
INSERT INTO `dungeon` VALUES ('32733', '32924', '104', '32742', '32928', '105', '0', '');
INSERT INTO `dungeon` VALUES ('32741', '32929', '105', '32732', '32926', '104', '4', '');
INSERT INTO `dungeon` VALUES ('32742', '32929', '105', '32732', '32926', '104', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '105', '33766', '32865', '106', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '105', '33766', '32865', '106', '6', '');
INSERT INTO `dungeon` VALUES ('33766', '32866', '106', '32671', '32865', '105', '6', '');
INSERT INTO `dungeon` VALUES ('33808', '32866', '106', '32671', '32860', '107', '6', '');
INSERT INTO `dungeon` VALUES ('33808', '32867', '106', '32671', '32860', '107', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '107', '33807', '32866', '106', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '107', '33807', '32866', '106', '6', '');
INSERT INTO `dungeon` VALUES ('32666', '32934', '107', '32670', '32932', '108', '2', '');
INSERT INTO `dungeon` VALUES ('32666', '32935', '107', '32670', '32932', '108', '2', '');
INSERT INTO `dungeon` VALUES ('32669', '32932', '108', '32665', '32935', '107', '6', '');
INSERT INTO `dungeon` VALUES ('32669', '32933', '108', '32665', '32935', '107', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32806', '108', '32732', '32810', '109', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32807', '108', '32732', '32810', '109', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32810', '109', '32730', '32807', '108', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32811', '109', '32730', '32807', '108', '6', '');
INSERT INTO `dungeon` VALUES ('32621', '32812', '109', '32754', '32739', '110', '0', '');
INSERT INTO `dungeon` VALUES ('32622', '32812', '109', '32754', '32739', '110', '0', '');
INSERT INTO `dungeon` VALUES ('32753', '32740', '110', '32621', '32813', '109', '4', '');
INSERT INTO `dungeon` VALUES ('32754', '32740', '110', '32621', '32813', '109', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '111', '32798', '32798', '112', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '111', '32798', '32798', '112', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '112', '32671', '32865', '111', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32798', '112', '32671', '32865', '111', '6', '');
INSERT INTO `dungeon` VALUES ('32743', '32731', '112', '32749', '32746', '113', '0', '');
INSERT INTO `dungeon` VALUES ('32744', '32731', '112', '32749', '32747', '113', '0', '');
INSERT INTO `dungeon` VALUES ('32852', '32855', '112', '32851', '32843', '113', '2', '');
INSERT INTO `dungeon` VALUES ('32748', '32747', '113', '32743', '32732', '112', '4', '');
INSERT INTO `dungeon` VALUES ('32749', '32747', '113', '32743', '32732', '112', '4', '');
INSERT INTO `dungeon` VALUES ('32851', '32843', '113', '32851', '32855', '112', '6', '');
INSERT INTO `dungeon` VALUES ('32851', '32844', '113', '32851', '32855', '112', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32801', '113', '32671', '32860', '114', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32802', '113', '32671', '32860', '114', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '114', '32798', '32802', '113', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '114', '32798', '32802', '113', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32924', '114', '32671', '32861', '115', '6', '');
INSERT INTO `dungeon` VALUES ('32733', '32924', '114', '32671', '32861', '115', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '115', '32732', '32926', '114', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32861', '115', '32732', '32926', '114', '4', '');
INSERT INTO `dungeon` VALUES ('32694', '32786', '115', '32743', '32865', '116', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32866', '116', '32693', '32786', '115', '6', '');
INSERT INTO `dungeon` VALUES ('32743', '32866', '116', '32693', '32786', '115', '6', '');
INSERT INTO `dungeon` VALUES ('32784', '32866', '116', '32671', '32860', '117', '6', '');
INSERT INTO `dungeon` VALUES ('32784', '32867', '116', '32671', '32860', '117', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '117', '32783', '32867', '116', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '117', '32783', '32867', '116', '6', '');
INSERT INTO `dungeon` VALUES ('32666', '32935', '117', '32670', '32932', '118', '2', '');
INSERT INTO `dungeon` VALUES ('32669', '32932', '118', '32665', '32935', '117', '6', '');
INSERT INTO `dungeon` VALUES ('32669', '32933', '118', '32665', '32935', '117', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32806', '118', '32732', '32810', '119', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32807', '118', '32732', '32810', '119', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32810', '119', '32730', '32807', '118', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32811', '119', '32730', '32807', '118', '6', '');
INSERT INTO `dungeon` VALUES ('32621', '32812', '119', '32754', '32739', '120', '0', '');
INSERT INTO `dungeon` VALUES ('32622', '32812', '119', '32754', '32739', '120', '0', '');
INSERT INTO `dungeon` VALUES ('32753', '32740', '120', '32621', '32813', '119', '4', '');
INSERT INTO `dungeon` VALUES ('32754', '32740', '120', '32621', '32813', '119', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '121', '32798', '32798', '122', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '121', '32798', '32798', '122', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '122', '32671', '32865', '121', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32798', '122', '32671', '32865', '121', '6', '');
INSERT INTO `dungeon` VALUES ('32748', '32872', '122', '32787', '32870', '123', '0', '');
INSERT INTO `dungeon` VALUES ('32748', '32873', '122', '32787', '32870', '123', '0', '');
INSERT INTO `dungeon` VALUES ('32872', '32723', '122', '32875', '32750', '123', '2', '');
INSERT INTO `dungeon` VALUES ('32786', '32871', '123', '32747', '32873', '122', '6', '');
INSERT INTO `dungeon` VALUES ('32787', '32871', '123', '32747', '32873', '122', '6', '');
INSERT INTO `dungeon` VALUES ('32874', '32750', '123', '32871', '32723', '122', '6', '');
INSERT INTO `dungeon` VALUES ('32874', '32751', '123', '32871', '32723', '122', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32801', '123', '32671', '32860', '124', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32802', '123', '32671', '32860', '124', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '124', '32798', '32802', '123', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '124', '32798', '32802', '123', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32924', '124', '32742', '32928', '125', '0', '');
INSERT INTO `dungeon` VALUES ('32733', '32924', '124', '32742', '32928', '125', '0', '');
INSERT INTO `dungeon` VALUES ('32741', '32929', '125', '32732', '32926', '124', '4', '');
INSERT INTO `dungeon` VALUES ('32742', '32929', '125', '32732', '32926', '124', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '125', '32737', '32853', '126', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '125', '32737', '32853', '126', '6', '');
INSERT INTO `dungeon` VALUES ('32736', '32854', '126', '32671', '32865', '125', '6', '');
INSERT INTO `dungeon` VALUES ('32737', '32854', '126', '32671', '32865', '125', '6', '');
INSERT INTO `dungeon` VALUES ('32781', '32866', '126', '32799', '32866', '126', '0', '');
INSERT INTO `dungeon` VALUES ('32781', '32867', '126', '32799', '32866', '126', '0', '');
INSERT INTO `dungeon` VALUES ('32798', '32867', '126', '32781', '32866', '126', '2', '');
INSERT INTO `dungeon` VALUES ('32799', '32867', '126', '32781', '32866', '126', '2', '');
INSERT INTO `dungeon` VALUES ('32784', '32866', '126', '32671', '32860', '127', '6', '');
INSERT INTO `dungeon` VALUES ('32784', '32867', '126', '32671', '32860', '127', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '127', '32783', '32867', '126', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '127', '32783', '32867', '126', '6', '');
INSERT INTO `dungeon` VALUES ('32666', '32934', '127', '32670', '32932', '128', '2', '');
INSERT INTO `dungeon` VALUES ('32666', '32935', '127', '32670', '32932', '128', '2', '');
INSERT INTO `dungeon` VALUES ('32669', '32932', '128', '32665', '32935', '127', '6', '');
INSERT INTO `dungeon` VALUES ('32669', '32933', '128', '32665', '32935', '127', '6', '');
INSERT INTO `dungeon` VALUES ('32615', '32805', '128', '32723', '32860', '129', '2', '');
INSERT INTO `dungeon` VALUES ('32616', '32805', '128', '32723', '32860', '129', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32860', '129', '32615', '32806', '128', '4', '');
INSERT INTO `dungeon` VALUES ('32722', '32861', '129', '32615', '32806', '128', '4', '');
INSERT INTO `dungeon` VALUES ('32621', '32812', '129', '32754', '32739', '130', '0', '');
INSERT INTO `dungeon` VALUES ('32622', '32812', '129', '32754', '32739', '130', '0', '');
INSERT INTO `dungeon` VALUES ('32753', '32740', '130', '32621', '32813', '129', '4', '');
INSERT INTO `dungeon` VALUES ('32754', '32740', '130', '32621', '32813', '129', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '131', '32798', '32798', '132', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '131', '32798', '32798', '132', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '132', '32671', '32865', '131', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32798', '132', '32671', '32865', '131', '6', '');
INSERT INTO `dungeon` VALUES ('32743', '32731', '132', '32749', '32747', '133', '0', '');
INSERT INTO `dungeon` VALUES ('32744', '32731', '132', '32749', '32747', '133', '0', '');
INSERT INTO `dungeon` VALUES ('32853', '32854', '132', '32851', '32843', '133', '2', '');
INSERT INTO `dungeon` VALUES ('32853', '32855', '132', '32851', '32843', '133', '2', '');
INSERT INTO `dungeon` VALUES ('32748', '32748', '133', '32743', '32732', '132', '4', '');
INSERT INTO `dungeon` VALUES ('32749', '32748', '133', '32743', '32732', '132', '4', '');
INSERT INTO `dungeon` VALUES ('32850', '32843', '133', '32852', '32855', '132', '6', '');
INSERT INTO `dungeon` VALUES ('32850', '32844', '133', '32852', '32855', '132', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32801', '133', '32671', '32860', '134', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32802', '133', '32671', '32860', '134', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '134', '32798', '32802', '133', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '134', '32798', '32802', '133', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32924', '134', '32742', '32928', '135', '0', '');
INSERT INTO `dungeon` VALUES ('32733', '32924', '134', '32742', '32928', '135', '0', '');
INSERT INTO `dungeon` VALUES ('32741', '32929', '135', '32732', '32926', '134', '4', '');
INSERT INTO `dungeon` VALUES ('32742', '32929', '135', '32732', '32926', '134', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '135', '32739', '32864', '136', '0', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '135', '32739', '32864', '136', '0', '');
INSERT INTO `dungeon` VALUES ('32738', '32865', '136', '32671', '32865', '135', '6', '');
INSERT INTO `dungeon` VALUES ('32739', '32865', '136', '32671', '32865', '135', '6', '');
INSERT INTO `dungeon` VALUES ('32786', '32864', '136', '32671', '32860', '137', '6', '');
INSERT INTO `dungeon` VALUES ('32786', '32865', '136', '32671', '32860', '137', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '137', '32785', '32865', '136', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '137', '32785', '32865', '136', '6', '');
INSERT INTO `dungeon` VALUES ('32666', '32934', '137', '32670', '32932', '138', '2', '');
INSERT INTO `dungeon` VALUES ('32666', '32935', '137', '32670', '32932', '138', '2', '');
INSERT INTO `dungeon` VALUES ('32669', '32932', '138', '32665', '32935', '137', '6', '');
INSERT INTO `dungeon` VALUES ('32669', '32933', '138', '32665', '32935', '137', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32806', '138', '32732', '32810', '139', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32807', '138', '32732', '32810', '139', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32810', '139', '32730', '32807', '138', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32811', '139', '32730', '32807', '138', '6', '');
INSERT INTO `dungeon` VALUES ('32621', '32812', '139', '32754', '32739', '140', '0', '');
INSERT INTO `dungeon` VALUES ('32622', '32812', '139', '32754', '32739', '140', '0', '');
INSERT INTO `dungeon` VALUES ('32753', '32740', '140', '32621', '32813', '139', '4', '');
INSERT INTO `dungeon` VALUES ('32754', '32740', '140', '32621', '32813', '139', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '141', '32798', '32798', '142', '6', '');
INSERT INTO `dungeon` VALUES ('32740', '32903', '141', '32798', '32798', '142', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '142', '32671', '32865', '141', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32798', '142', '32671', '32865', '141', '6', '');
INSERT INTO `dungeon` VALUES ('32793', '32864', '142', '32813', '32870', '143', '2', '');
INSERT INTO `dungeon` VALUES ('32793', '32865', '142', '32813', '32870', '143', '2', '');
INSERT INTO `dungeon` VALUES ('32851', '32746', '142', '32843', '32734', '143', '0', '');
INSERT INTO `dungeon` VALUES ('32852', '32746', '142', '32843', '32734', '143', '0', '');
INSERT INTO `dungeon` VALUES ('32812', '32870', '143', '32792', '32865', '142', '6', '');
INSERT INTO `dungeon` VALUES ('32812', '32871', '143', '32792', '32865', '142', '6', '');
INSERT INTO `dungeon` VALUES ('32842', '32735', '143', '32851', '32747', '142', '4', '');
INSERT INTO `dungeon` VALUES ('32843', '32735', '143', '32851', '32747', '142', '4', '');
INSERT INTO `dungeon` VALUES ('32799', '32801', '143', '32671', '32860', '144', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32802', '143', '32671', '32860', '144', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '144', '32798', '32802', '143', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '144', '32798', '32802', '143', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32924', '144', '32742', '32928', '145', '0', '');
INSERT INTO `dungeon` VALUES ('32733', '32924', '144', '32742', '32928', '145', '0', '');
INSERT INTO `dungeon` VALUES ('32741', '32929', '145', '32732', '32926', '144', '4', '');
INSERT INTO `dungeon` VALUES ('32742', '32929', '145', '32732', '32926', '144', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '145', '32735', '32869', '146', '0', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '145', '32735', '32869', '146', '0', '');
INSERT INTO `dungeon` VALUES ('32734', '32870', '146', '32671', '32865', '145', '6', '');
INSERT INTO `dungeon` VALUES ('32735', '32870', '146', '32671', '32865', '145', '6', '');
INSERT INTO `dungeon` VALUES ('32790', '32867', '146', '32671', '32860', '147', '6', '');
INSERT INTO `dungeon` VALUES ('32790', '32868', '146', '32671', '32860', '147', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '147', '32789', '32868', '146', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '147', '32789', '32868', '146', '6', '');
INSERT INTO `dungeon` VALUES ('32666', '32934', '147', '32670', '32932', '148', '2', '');
INSERT INTO `dungeon` VALUES ('32666', '32935', '147', '32670', '32932', '148', '2', '');
INSERT INTO `dungeon` VALUES ('32669', '32932', '148', '32665', '32935', '147', '6', '');
INSERT INTO `dungeon` VALUES ('32669', '32933', '148', '32665', '32935', '147', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32806', '148', '32732', '32810', '149', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32807', '148', '32732', '32810', '149', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32810', '149', '32730', '32807', '148', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32811', '149', '32730', '32807', '148', '6', '');
INSERT INTO `dungeon` VALUES ('32621', '32812', '149', '32754', '32739', '150', '0', '');
INSERT INTO `dungeon` VALUES ('32622', '32812', '149', '32754', '32739', '150', '0', '');
INSERT INTO `dungeon` VALUES ('32753', '32740', '150', '32621', '32813', '149', '4', '');
INSERT INTO `dungeon` VALUES ('32754', '32740', '150', '32621', '32813', '149', '4', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '151', '32671', '32860', '152', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '151', '32671', '32860', '152', '6', '');
INSERT INTO `dungeon` VALUES ('32740', '32902', '151', '32732', '32924', '152', '0', '');
INSERT INTO `dungeon` VALUES ('32740', '32903', '151', '32732', '32925', '152', '0', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '152', '32671', '32865', '151', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '152', '32671', '32865', '151', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32925', '152', '32739', '32903', '151', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32806', '152', '32732', '32807', '153', '0', '');
INSERT INTO `dungeon` VALUES ('32731', '32807', '152', '32732', '32807', '153', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32838', '152', '32732', '32907', '153', '2', '');
INSERT INTO `dungeon` VALUES ('32742', '32839', '152', '32732', '32907', '153', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32808', '153', '32730', '32807', '152', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32908', '153', '32741', '32839', '152', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32808', '153', '32730', '32807', '152', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32908', '153', '32741', '32839', '152', '6', '');
INSERT INTO `dungeon` VALUES ('32671', '32864', '153', '32798', '32797', '154', '6', '');
INSERT INTO `dungeon` VALUES ('32671', '32865', '153', '32798', '32797', '154', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32803', '153', '32846', '32747', '154', '2', '');
INSERT INTO `dungeon` VALUES ('32645', '32747', '154', '32722', '32803', '153', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32796', '154', '32670', '32865', '153', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '154', '32670', '32865', '153', '6', '');
INSERT INTO `dungeon` VALUES ('32845', '32748', '154', '32722', '32803', '153', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32846', '154', '32734', '32848', '155', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32847', '154', '32734', '32848', '155', '0', '');
INSERT INTO `dungeon` VALUES ('32752', '32742', '154', '32742', '32734', '155', '2', '');
INSERT INTO `dungeon` VALUES ('32753', '32742', '154', '32742', '32734', '155', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32849', '155', '32744', '32847', '154', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32849', '155', '32744', '32847', '154', '6', '');
INSERT INTO `dungeon` VALUES ('32741', '32734', '155', '32752', '32743', '154', '4', '');
INSERT INTO `dungeon` VALUES ('32741', '32735', '155', '32752', '32743', '154', '4', '');
INSERT INTO `dungeon` VALUES ('32834', '32819', '155', '32807', '32805', '156', '2', '');
INSERT INTO `dungeon` VALUES ('32834', '32820', '155', '32807', '32805', '156', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32805', '156', '32833', '32820', '155', '6', '');
INSERT INTO `dungeon` VALUES ('32806', '32806', '156', '32833', '32820', '155', '6', '');
INSERT INTO `dungeon` VALUES ('32727', '32801', '156', '32747', '32898', '157', '0', '');
INSERT INTO `dungeon` VALUES ('32727', '32802', '156', '32747', '32898', '157', '0', '');
INSERT INTO `dungeon` VALUES ('32746', '32899', '157', '32726', '32802', '156', '6', '');
INSERT INTO `dungeon` VALUES ('32747', '32899', '157', '32726', '32802', '156', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '157', '32671', '32860', '158', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '157', '32671', '32860', '158', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32932', '157', '32735', '32921', '158', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32933', '157', '32735', '32921', '158', '2', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '158', '32671', '32865', '157', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '158', '32671', '32865', '157', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32921', '158', '32744', '32933', '157', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32922', '158', '32744', '32933', '157', '6', '');
INSERT INTO `dungeon` VALUES ('32614', '32918', '158', '32617', '32916', '159', '2', '');
INSERT INTO `dungeon` VALUES ('32615', '32918', '158', '32617', '32916', '159', '2', '');
INSERT INTO `dungeon` VALUES ('32662', '32798', '158', '32657', '32791', '159', '2', '');
INSERT INTO `dungeon` VALUES ('32662', '32799', '158', '32657', '32791', '159', '2', '');
INSERT INTO `dungeon` VALUES ('32616', '32916', '159', '32614', '32919', '158', '4', '');
INSERT INTO `dungeon` VALUES ('32616', '32917', '159', '32614', '32919', '158', '4', '');
INSERT INTO `dungeon` VALUES ('32656', '32791', '159', '32661', '32799', '158', '6', '');
INSERT INTO `dungeon` VALUES ('32656', '32792', '159', '32661', '32799', '158', '6', '');
INSERT INTO `dungeon` VALUES ('32711', '32806', '159', '32681', '32814', '160', '2', '');
INSERT INTO `dungeon` VALUES ('32711', '32807', '159', '32681', '32814', '160', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32840', '159', '32749', '32814', '160', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32841', '159', '32749', '32814', '160', '0', '');
INSERT INTO `dungeon` VALUES ('32680', '32814', '160', '32710', '32807', '159', '6', '');
INSERT INTO `dungeon` VALUES ('32680', '32815', '160', '32710', '32807', '159', '6', '');
INSERT INTO `dungeon` VALUES ('32748', '32815', '160', '32744', '32841', '159', '6', '');
INSERT INTO `dungeon` VALUES ('32749', '32815', '160', '32744', '32841', '159', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32799', '161', '32695', '32788', '162', '0', '');
INSERT INTO `dungeon` VALUES ('32732', '32799', '161', '32695', '32788', '162', '0', '');
INSERT INTO `dungeon` VALUES ('32740', '32902', '161', '32740', '32915', '162', '2', '');
INSERT INTO `dungeon` VALUES ('32740', '32903', '161', '32740', '32915', '162', '2', '');
INSERT INTO `dungeon` VALUES ('32694', '32789', '162', '32731', '32800', '161', '4', '');
INSERT INTO `dungeon` VALUES ('32695', '32789', '162', '32731', '32800', '161', '4', '');
INSERT INTO `dungeon` VALUES ('32739', '32915', '162', '32739', '32903', '161', '6', '');
INSERT INTO `dungeon` VALUES ('32739', '32916', '162', '32739', '32903', '161', '6', '');
INSERT INTO `dungeon` VALUES ('32742', '32838', '162', '32731', '32847', '163', '2', '');
INSERT INTO `dungeon` VALUES ('32742', '32839', '162', '32731', '32847', '163', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32878', '162', '32732', '32907', '163', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32879', '162', '32732', '32907', '163', '0', '');
INSERT INTO `dungeon` VALUES ('32730', '32847', '163', '32741', '32839', '162', '6', '');
INSERT INTO `dungeon` VALUES ('32730', '32848', '163', '32741', '32839', '162', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32908', '163', '32744', '32879', '162', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32908', '163', '32744', '32879', '162', '6', '');
INSERT INTO `dungeon` VALUES ('32671', '32864', '163', '32798', '32797', '164', '6', '');
INSERT INTO `dungeon` VALUES ('32671', '32865', '163', '32798', '32797', '164', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32812', '163', '32873', '32753', '164', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32812', '163', '32873', '32753', '164', '2', '');
INSERT INTO `dungeon` VALUES ('32799', '32796', '164', '32670', '32865', '163', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '164', '32670', '32865', '163', '6', '');
INSERT INTO `dungeon` VALUES ('32872', '32753', '164', '32732', '32813', '163', '4', '');
INSERT INTO `dungeon` VALUES ('32872', '32754', '164', '32732', '32813', '163', '4', '');
INSERT INTO `dungeon` VALUES ('32756', '32850', '164', '32734', '32848', '165', '0', '');
INSERT INTO `dungeon` VALUES ('32757', '32850', '164', '32734', '32848', '165', '0', '');
INSERT INTO `dungeon` VALUES ('32870', '32843', '164', '32874', '32858', '165', '2', '');
INSERT INTO `dungeon` VALUES ('32870', '32844', '164', '32874', '32858', '165', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32849', '165', '32756', '32850', '164', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32849', '165', '32756', '32850', '164', '4', '');
INSERT INTO `dungeon` VALUES ('32873', '32858', '165', '32869', '32844', '164', '6', '');
INSERT INTO `dungeon` VALUES ('32873', '32859', '165', '32869', '32844', '164', '6', '');
INSERT INTO `dungeon` VALUES ('32871', '32726', '165', '32736', '32802', '166', '2', '');
INSERT INTO `dungeon` VALUES ('32871', '32727', '165', '32736', '32802', '166', '2', '');
INSERT INTO `dungeon` VALUES ('32735', '32802', '166', '32870', '32727', '165', '6', '');
INSERT INTO `dungeon` VALUES ('32735', '32803', '166', '32870', '32727', '165', '6', '');
INSERT INTO `dungeon` VALUES ('32796', '32801', '166', '32747', '32898', '167', '0', '');
INSERT INTO `dungeon` VALUES ('32796', '32802', '166', '32747', '32898', '167', '0', '');
INSERT INTO `dungeon` VALUES ('32746', '32899', '167', '32795', '32802', '166', '6', '');
INSERT INTO `dungeon` VALUES ('32747', '32899', '167', '32795', '32802', '166', '6', '');
INSERT INTO `dungeon` VALUES ('32602', '32790', '167', '32609', '32807', '168', '0', '');
INSERT INTO `dungeon` VALUES ('32603', '32790', '167', '32609', '32807', '168', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32932', '167', '32735', '32921', '168', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32933', '167', '32735', '32921', '168', '2', '');
INSERT INTO `dungeon` VALUES ('32608', '32808', '168', '32602', '32791', '167', '4', '');
INSERT INTO `dungeon` VALUES ('32609', '32808', '168', '32602', '32791', '167', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32921', '168', '32744', '32933', '167', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32922', '168', '32744', '32933', '167', '6', '');
INSERT INTO `dungeon` VALUES ('32614', '32918', '168', '32637', '32928', '169', '0', '');
INSERT INTO `dungeon` VALUES ('32615', '32918', '168', '32637', '32928', '169', '0', '');
INSERT INTO `dungeon` VALUES ('32746', '32858', '168', '32744', '32844', '169', '2', '');
INSERT INTO `dungeon` VALUES ('32746', '32859', '168', '32744', '32844', '169', '2', '');
INSERT INTO `dungeon` VALUES ('32636', '32929', '169', '32614', '32919', '168', '4', '');
INSERT INTO `dungeon` VALUES ('32637', '32929', '169', '32614', '32919', '168', '4', '');
INSERT INTO `dungeon` VALUES ('32743', '32844', '169', '32745', '32859', '168', '6', '');
INSERT INTO `dungeon` VALUES ('32743', '32845', '169', '32745', '32859', '168', '6', '');
INSERT INTO `dungeon` VALUES ('32656', '32790', '169', '32634', '32788', '170', '0', '');
INSERT INTO `dungeon` VALUES ('32657', '32790', '169', '32634', '32788', '170', '0', '');
INSERT INTO `dungeon` VALUES ('32710', '32935', '169', '32710', '32925', '170', '2', '');
INSERT INTO `dungeon` VALUES ('32710', '32936', '169', '32710', '32925', '170', '2', '');
INSERT INTO `dungeon` VALUES ('32633', '32789', '170', '32656', '32791', '169', '4', '');
INSERT INTO `dungeon` VALUES ('32634', '32789', '170', '32656', '32791', '169', '4', '');
INSERT INTO `dungeon` VALUES ('32709', '32925', '170', '32709', '32936', '169', '6', '');
INSERT INTO `dungeon` VALUES ('32709', '32926', '170', '32709', '32936', '169', '6', '');
INSERT INTO `dungeon` VALUES ('32604', '32828', '171', '32601', '32844', '172', '0', '');
INSERT INTO `dungeon` VALUES ('32605', '32828', '171', '32601', '32844', '172', '0', '');
INSERT INTO `dungeon` VALUES ('32740', '32902', '171', '32747', '32879', '172', '2', '');
INSERT INTO `dungeon` VALUES ('32740', '32903', '171', '32747', '32879', '172', '2', '');
INSERT INTO `dungeon` VALUES ('32600', '32845', '172', '32604', '32829', '171', '4', '');
INSERT INTO `dungeon` VALUES ('32601', '32845', '172', '32604', '32829', '171', '4', '');
INSERT INTO `dungeon` VALUES ('32746', '32879', '172', '32739', '32903', '171', '6', '');
INSERT INTO `dungeon` VALUES ('32746', '32880', '172', '32739', '32903', '171', '6', '');
INSERT INTO `dungeon` VALUES ('32657', '32790', '172', '32676', '32798', '173', '0', '');
INSERT INTO `dungeon` VALUES ('32658', '32790', '172', '32676', '32798', '173', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32838', '172', '32732', '32907', '173', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32839', '172', '32732', '32907', '173', '0', '');
INSERT INTO `dungeon` VALUES ('32675', '32799', '173', '32657', '32791', '172', '4', '');
INSERT INTO `dungeon` VALUES ('32676', '32799', '173', '32657', '32791', '172', '4', '');
INSERT INTO `dungeon` VALUES ('32731', '32908', '173', '32741', '32839', '172', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32908', '173', '32741', '32839', '172', '6', '');
INSERT INTO `dungeon` VALUES ('32671', '32864', '173', '32798', '32797', '174', '6', '');
INSERT INTO `dungeon` VALUES ('32671', '32865', '173', '32798', '32797', '174', '6', '');
INSERT INTO `dungeon` VALUES ('32693', '32920', '173', '32826', '32836', '174', '0', '');
INSERT INTO `dungeon` VALUES ('32694', '32920', '173', '32826', '32836', '174', '0', '');
INSERT INTO `dungeon` VALUES ('32799', '32796', '174', '32670', '32865', '173', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '174', '32670', '32865', '173', '6', '');
INSERT INTO `dungeon` VALUES ('32825', '32837', '174', '32693', '32921', '173', '4', '');
INSERT INTO `dungeon` VALUES ('32826', '32837', '174', '32693', '32921', '173', '4', '');
INSERT INTO `dungeon` VALUES ('32752', '32742', '174', '32791', '32727', '175', '0', '');
INSERT INTO `dungeon` VALUES ('32753', '32742', '174', '32791', '32727', '175', '0', '');
INSERT INTO `dungeon` VALUES ('32870', '32763', '174', '32874', '32858', '175', '2', '');
INSERT INTO `dungeon` VALUES ('32871', '32763', '174', '32874', '32858', '175', '2', '');
INSERT INTO `dungeon` VALUES ('32790', '32728', '175', '32752', '32743', '174', '4', '');
INSERT INTO `dungeon` VALUES ('32791', '32728', '175', '32752', '32743', '174', '4', '');
INSERT INTO `dungeon` VALUES ('32873', '32858', '175', '32870', '32764', '174', '4', '');
INSERT INTO `dungeon` VALUES ('32873', '32859', '175', '32870', '32764', '174', '4', '');
INSERT INTO `dungeon` VALUES ('32871', '32726', '175', '32727', '32789', '176', '0', '');
INSERT INTO `dungeon` VALUES ('32871', '32727', '175', '32727', '32789', '176', '0', '');
INSERT INTO `dungeon` VALUES ('32726', '32790', '176', '32870', '32727', '175', '6', '');
INSERT INTO `dungeon` VALUES ('32727', '32790', '176', '32870', '32727', '175', '6', '');
INSERT INTO `dungeon` VALUES ('32797', '32801', '176', '32671', '32861', '177', '6', '');
INSERT INTO `dungeon` VALUES ('32797', '32802', '176', '32671', '32861', '177', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '177', '32796', '32802', '176', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32861', '177', '32796', '32802', '176', '6', '');
INSERT INTO `dungeon` VALUES ('32602', '32790', '177', '32620', '32797', '178', '0', '');
INSERT INTO `dungeon` VALUES ('32603', '32790', '177', '32620', '32797', '178', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32932', '177', '32735', '32921', '178', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32933', '177', '32735', '32921', '178', '2', '');
INSERT INTO `dungeon` VALUES ('32619', '32798', '178', '32602', '32791', '177', '4', '');
INSERT INTO `dungeon` VALUES ('32620', '32798', '178', '32602', '32791', '177', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32921', '178', '32744', '32933', '177', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32922', '178', '32744', '32933', '177', '6', '');
INSERT INTO `dungeon` VALUES ('32614', '32918', '178', '32614', '32914', '179', '0', '');
INSERT INTO `dungeon` VALUES ('32615', '32918', '178', '32614', '32914', '179', '0', '');
INSERT INTO `dungeon` VALUES ('32677', '32790', '178', '32693', '32790', '179', '0', '');
INSERT INTO `dungeon` VALUES ('32678', '32790', '178', '32693', '32790', '179', '0', '');
INSERT INTO `dungeon` VALUES ('32613', '32915', '179', '32614', '32919', '178', '4', '');
INSERT INTO `dungeon` VALUES ('32614', '32915', '179', '32614', '32919', '178', '4', '');
INSERT INTO `dungeon` VALUES ('32692', '32791', '179', '32677', '32791', '178', '4', '');
INSERT INTO `dungeon` VALUES ('32693', '32791', '179', '32677', '32791', '178', '4', '');
INSERT INTO `dungeon` VALUES ('32633', '32790', '179', '32634', '32789', '180', '0', '');
INSERT INTO `dungeon` VALUES ('32634', '32790', '179', '32634', '32789', '180', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32841', '179', '32749', '32876', '180', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32842', '179', '32749', '32876', '180', '2', '');
INSERT INTO `dungeon` VALUES ('32633', '32790', '180', '32633', '32791', '179', '4', '');
INSERT INTO `dungeon` VALUES ('32634', '32790', '180', '32633', '32791', '179', '4', '');
INSERT INTO `dungeon` VALUES ('32748', '32876', '180', '32744', '32842', '179', '6', '');
INSERT INTO `dungeon` VALUES ('32748', '32877', '180', '32744', '32842', '179', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '181', '32671', '32860', '182', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '181', '32671', '32860', '182', '6', '');
INSERT INTO `dungeon` VALUES ('32740', '32902', '181', '32747', '32879', '182', '2', '');
INSERT INTO `dungeon` VALUES ('32740', '32903', '181', '32747', '32879', '182', '2', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '182', '32671', '32865', '181', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '182', '32671', '32865', '181', '6', '');
INSERT INTO `dungeon` VALUES ('32746', '32879', '182', '32739', '32903', '181', '6', '');
INSERT INTO `dungeon` VALUES ('32746', '32880', '182', '32739', '32903', '181', '6', '');
INSERT INTO `dungeon` VALUES ('32681', '32790', '182', '32675', '32799', '183', '0', '');
INSERT INTO `dungeon` VALUES ('32682', '32790', '182', '32675', '32799', '183', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32838', '182', '32732', '32907', '183', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32839', '182', '32732', '32907', '183', '0', '');
INSERT INTO `dungeon` VALUES ('32674', '32800', '183', '32681', '32791', '182', '4', '');
INSERT INTO `dungeon` VALUES ('32675', '32800', '183', '32681', '32791', '182', '4', '');
INSERT INTO `dungeon` VALUES ('32731', '32908', '183', '32741', '32839', '182', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32908', '183', '32741', '32839', '182', '6', '');
INSERT INTO `dungeon` VALUES ('32691', '32927', '183', '32846', '32862', '184', '2', '');
INSERT INTO `dungeon` VALUES ('32691', '32928', '183', '32846', '32862', '184', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32802', '183', '32873', '32753', '184', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32803', '183', '32873', '32753', '184', '2', '');
INSERT INTO `dungeon` VALUES ('32845', '32862', '184', '32690', '32928', '183', '6', '');
INSERT INTO `dungeon` VALUES ('32845', '32863', '184', '32690', '32928', '183', '6', '');
INSERT INTO `dungeon` VALUES ('32872', '32753', '184', '32721', '32803', '183', '6', '');
INSERT INTO `dungeon` VALUES ('32872', '32754', '184', '32721', '32803', '183', '6', '');
INSERT INTO `dungeon` VALUES ('32747', '32850', '184', '32734', '32848', '185', '0', '');
INSERT INTO `dungeon` VALUES ('32748', '32850', '184', '32734', '32848', '185', '0', '');
INSERT INTO `dungeon` VALUES ('32870', '32843', '184', '32874', '32858', '185', '2', '');
INSERT INTO `dungeon` VALUES ('32870', '32844', '184', '32874', '32858', '185', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32849', '185', '32747', '32851', '184', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32849', '185', '32747', '32851', '184', '4', '');
INSERT INTO `dungeon` VALUES ('32873', '32858', '185', '32869', '32844', '184', '6', '');
INSERT INTO `dungeon` VALUES ('32873', '32859', '185', '32869', '32844', '184', '6', '');
INSERT INTO `dungeon` VALUES ('32871', '32726', '185', '32724', '32797', '186', '0', '');
INSERT INTO `dungeon` VALUES ('32871', '32727', '185', '32724', '32797', '186', '0', '');
INSERT INTO `dungeon` VALUES ('32723', '32798', '186', '32870', '32727', '185', '6', '');
INSERT INTO `dungeon` VALUES ('32724', '32798', '186', '32870', '32727', '185', '6', '');
INSERT INTO `dungeon` VALUES ('32797', '32800', '186', '32671', '32861', '187', '6', '');
INSERT INTO `dungeon` VALUES ('32797', '32801', '186', '32671', '32861', '187', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '187', '32796', '32801', '186', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32861', '187', '32796', '32801', '186', '6', '');
INSERT INTO `dungeon` VALUES ('32602', '32790', '187', '32663', '32798', '188', '0', '');
INSERT INTO `dungeon` VALUES ('32603', '32790', '187', '32663', '32798', '188', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32932', '187', '32735', '32921', '188', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32933', '187', '32735', '32921', '188', '2', '');
INSERT INTO `dungeon` VALUES ('32662', '32799', '188', '32602', '32791', '187', '4', '');
INSERT INTO `dungeon` VALUES ('32663', '32799', '188', '32602', '32791', '187', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32921', '188', '32744', '32933', '187', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32922', '188', '32744', '32933', '187', '6', '');
INSERT INTO `dungeon` VALUES ('32614', '32918', '188', '32637', '32928', '189', '0', '');
INSERT INTO `dungeon` VALUES ('32615', '32918', '188', '32637', '32928', '189', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32858', '188', '32747', '32877', '189', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32859', '188', '32747', '32877', '189', '2', '');
INSERT INTO `dungeon` VALUES ('32636', '32929', '189', '32614', '32919', '188', '4', '');
INSERT INTO `dungeon` VALUES ('32637', '32929', '189', '32614', '32919', '188', '4', '');
INSERT INTO `dungeon` VALUES ('32746', '32877', '189', '32744', '32859', '188', '6', '');
INSERT INTO `dungeon` VALUES ('32746', '32878', '189', '32744', '32859', '188', '6', '');
INSERT INTO `dungeon` VALUES ('32656', '32790', '189', '32633', '32789', '190', '0', '');
INSERT INTO `dungeon` VALUES ('32657', '32790', '189', '32633', '32789', '190', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32841', '189', '32748', '32877', '190', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32842', '189', '32748', '32877', '190', '2', '');
INSERT INTO `dungeon` VALUES ('32632', '32790', '190', '32656', '32791', '189', '4', '');
INSERT INTO `dungeon` VALUES ('32633', '32790', '190', '32656', '32791', '189', '4', '');
INSERT INTO `dungeon` VALUES ('32747', '32877', '190', '32744', '32842', '189', '6', '');
INSERT INTO `dungeon` VALUES ('32747', '32878', '190', '32744', '32842', '189', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32864', '191', '32671', '32860', '192', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32865', '191', '32671', '32860', '192', '6', '');
INSERT INTO `dungeon` VALUES ('32740', '32902', '191', '32747', '32879', '192', '2', '');
INSERT INTO `dungeon` VALUES ('32740', '32903', '191', '32747', '32879', '192', '2', '');
INSERT INTO `dungeon` VALUES ('32672', '32859', '192', '32671', '32865', '191', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '192', '32671', '32865', '191', '6', '');
INSERT INTO `dungeon` VALUES ('32746', '32879', '192', '32739', '32903', '191', '6', '');
INSERT INTO `dungeon` VALUES ('32746', '32880', '192', '32739', '32903', '191', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32806', '192', '32730', '32804', '193', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32807', '192', '32730', '32804', '193', '2', '');
INSERT INTO `dungeon` VALUES ('32736', '32913', '192', '32732', '32907', '193', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32914', '192', '32732', '32907', '193', '0', '');
INSERT INTO `dungeon` VALUES ('32729', '32804', '193', '32730', '32807', '192', '6', '');
INSERT INTO `dungeon` VALUES ('32729', '32805', '193', '32730', '32807', '192', '6', '');
INSERT INTO `dungeon` VALUES ('32731', '32908', '193', '32735', '32914', '192', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32908', '193', '32735', '32914', '192', '6', '');
INSERT INTO `dungeon` VALUES ('32662', '32820', '193', '32845', '32748', '194', '2', '');
INSERT INTO `dungeon` VALUES ('32663', '32820', '193', '32845', '32748', '194', '2', '');
INSERT INTO `dungeon` VALUES ('32736', '32858', '193', '32869', '32834', '194', '2', '');
INSERT INTO `dungeon` VALUES ('32736', '32859', '193', '32869', '32834', '194', '2', '');
INSERT INTO `dungeon` VALUES ('32844', '32748', '194', '32662', '32821', '193', '4', '');
INSERT INTO `dungeon` VALUES ('32844', '32749', '194', '32662', '32821', '193', '4', '');
INSERT INTO `dungeon` VALUES ('32868', '32834', '194', '32735', '32859', '193', '6', '');
INSERT INTO `dungeon` VALUES ('32868', '32835', '194', '32735', '32859', '193', '6', '');
INSERT INTO `dungeon` VALUES ('32756', '32824', '194', '32734', '32848', '195', '0', '');
INSERT INTO `dungeon` VALUES ('32757', '32824', '194', '32734', '32848', '195', '0', '');
INSERT INTO `dungeon` VALUES ('32799', '32800', '194', '32798', '32798', '195', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32801', '194', '32798', '32798', '195', '6', '');
INSERT INTO `dungeon` VALUES ('32733', '32849', '195', '32756', '32825', '194', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32849', '195', '32756', '32825', '194', '4', '');
INSERT INTO `dungeon` VALUES ('32799', '32797', '195', '32798', '32801', '194', '6', '');
INSERT INTO `dungeon` VALUES ('32799', '32798', '195', '32798', '32801', '194', '6', '');
INSERT INTO `dungeon` VALUES ('32743', '32731', '195', '32733', '32787', '196', '0', '');
INSERT INTO `dungeon` VALUES ('32744', '32731', '195', '32733', '32787', '196', '0', '');
INSERT INTO `dungeon` VALUES ('32732', '32788', '196', '32743', '32732', '195', '4', '');
INSERT INTO `dungeon` VALUES ('32733', '32788', '196', '32743', '32732', '195', '4', '');
INSERT INTO `dungeon` VALUES ('32803', '32806', '196', '32671', '32861', '197', '6', '');
INSERT INTO `dungeon` VALUES ('32803', '32807', '196', '32671', '32861', '197', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32860', '197', '32802', '32807', '196', '6', '');
INSERT INTO `dungeon` VALUES ('32672', '32861', '197', '32802', '32807', '196', '6', '');
INSERT INTO `dungeon` VALUES ('32602', '32790', '197', '32620', '32797', '198', '0', '');
INSERT INTO `dungeon` VALUES ('32603', '32790', '197', '32620', '32797', '198', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32932', '197', '32735', '32921', '198', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32933', '197', '32735', '32921', '198', '2', '');
INSERT INTO `dungeon` VALUES ('32619', '32798', '198', '32602', '32791', '197', '4', '');
INSERT INTO `dungeon` VALUES ('32620', '32798', '198', '32602', '32791', '197', '4', '');
INSERT INTO `dungeon` VALUES ('32734', '32921', '198', '32744', '32933', '197', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32922', '198', '32744', '32933', '197', '6', '');
INSERT INTO `dungeon` VALUES ('32614', '32918', '198', '32637', '32928', '199', '0', '');
INSERT INTO `dungeon` VALUES ('32615', '32918', '198', '32637', '32928', '199', '0', '');
INSERT INTO `dungeon` VALUES ('32670', '32936', '198', '32711', '32928', '199', '2', '');
INSERT INTO `dungeon` VALUES ('32670', '32937', '198', '32711', '32928', '199', '2', '');
INSERT INTO `dungeon` VALUES ('32636', '32929', '199', '32614', '32919', '198', '4', '');
INSERT INTO `dungeon` VALUES ('32637', '32929', '199', '32614', '32919', '198', '4', '');
INSERT INTO `dungeon` VALUES ('32710', '32928', '199', '32669', '32937', '198', '6', '');
INSERT INTO `dungeon` VALUES ('32710', '32929', '199', '32669', '32937', '198', '6', '');
INSERT INTO `dungeon` VALUES ('32623', '32916', '199', '32632', '32974', '200', '4', '');
INSERT INTO `dungeon` VALUES ('32720', '32872', '199', '32731', '32856', '200', '2', '');
INSERT INTO `dungeon` VALUES ('32720', '32873', '199', '32731', '32856', '200', '2', '');
INSERT INTO `dungeon` VALUES ('32632', '32974', '200', '32623', '32916', '199', '4', '');
INSERT INTO `dungeon` VALUES ('32730', '32856', '200', '32719', '32873', '199', '6', '');
INSERT INTO `dungeon` VALUES ('32730', '32857', '200', '32719', '32873', '199', '6', '');
INSERT INTO `dungeon` VALUES ('32868', '32919', '201', '32929', '32798', '201', '5', '');
INSERT INTO `dungeon` VALUES ('32736', '32807', '237', '32813', '32810', '13', '2', '');
INSERT INTO `dungeon` VALUES ('32670', '33122', '240', '32760', '32882', '241', '4', '');
INSERT INTO `dungeon` VALUES ('32760', '32882', '241', '32670', '33122', '240', '0', '');
INSERT INTO `dungeon` VALUES ('32732', '32928', '241', '32808', '32917', '242', '4', '');
INSERT INTO `dungeon` VALUES ('32808', '32917', '242', '32732', '32928', '241', '0', '');
INSERT INTO `dungeon` VALUES ('32740', '33007', '242', '32745', '32852', '243', '4', '');
INSERT INTO `dungeon` VALUES ('32745', '32852', '243', '32740', '33007', '242', '0', '');
INSERT INTO `dungeon` VALUES ('32752', '32812', '244', '32842', '32917', '244', '0', '');
INSERT INTO `dungeon` VALUES ('32752', '32813', '244', '32842', '32917', '244', '0', '');
INSERT INTO `dungeon` VALUES ('32880', '32907', '244', '32982', '32808', '244', '0', '');
INSERT INTO `dungeon` VALUES ('32880', '32908', '244', '32982', '32808', '244', '0', '');
INSERT INTO `dungeon` VALUES ('32734', '32870', '248', '32807', '32855', '249', '4', '');
INSERT INTO `dungeon` VALUES ('32807', '32855', '249', '32734', '32870', '248', '0', '');
INSERT INTO `dungeon` VALUES ('32726', '32870', '249', '32808', '32863', '250', '4', '');
INSERT INTO `dungeon` VALUES ('32808', '32863', '250', '32726', '32870', '249', '0', '');
INSERT INTO `dungeon` VALUES ('32728', '32791', '250', '32809', '32807', '251', '0', '');
INSERT INTO `dungeon` VALUES ('32809', '32807', '251', '32728', '32791', '250', '4', '');
INSERT INTO `dungeon` VALUES ('32747', '32860', '252', '32575', '32814', '64', '0', '');
INSERT INTO `dungeon` VALUES ('32747', '32861', '252', '32575', '32814', '64', '0', '');
INSERT INTO `dungeon` VALUES ('32599', '32873', '252', '32756', '32859', '253', '0', '');
INSERT INTO `dungeon` VALUES ('32599', '32874', '252', '32757', '32859', '253', '0', '');
INSERT INTO `dungeon` VALUES ('32756', '32858', '253', '32600', '32873', '252', '0', '');
INSERT INTO `dungeon` VALUES ('32757', '32858', '253', '32600', '32874', '252', '0', '');
INSERT INTO `dungeon` VALUES ('32808', '32984', '253', '32615', '32793', '254', '0', '');
INSERT INTO `dungeon` VALUES ('32808', '32985', '253', '32616', '32793', '254', '0', '');
INSERT INTO `dungeon` VALUES ('32616', '32792', '254', '32807', '32984', '253', '0', '');
INSERT INTO `dungeon` VALUES ('32812', '32813', '255', '32696', '32793', '256', '0', '');
INSERT INTO `dungeon` VALUES ('32812', '32814', '255', '32697', '32793', '256', '0', '');
INSERT INTO `dungeon` VALUES ('32696', '32792', '256', '32811', '32813', '255', '0', '');
INSERT INTO `dungeon` VALUES ('32697', '32792', '256', '32811', '32814', '255', '0', '');
INSERT INTO `dungeon` VALUES ('32807', '32803', '257', '32800', '32799', '258', '5', '');
INSERT INTO `dungeon` VALUES ('32808', '32803', '257', '32800', '32799', '258', '5', '');
INSERT INTO `dungeon` VALUES ('32809', '32803', '257', '32800', '32799', '258', '5', '');
INSERT INTO `dungeon` VALUES ('32801', '32798', '258', '32808', '32803', '257', '0', '');
INSERT INTO `dungeon` VALUES ('32801', '32799', '258', '32808', '32803', '257', '0', '');
INSERT INTO `dungeon` VALUES ('32679', '32803', '258', '32734', '32789', '259', '5', '');
INSERT INTO `dungeon` VALUES ('32680', '32803', '258', '32734', '32789', '259', '5', '');
INSERT INTO `dungeon` VALUES ('32681', '32803', '258', '32734', '32789', '259', '5', '');
INSERT INTO `dungeon` VALUES ('32735', '32788', '259', '32680', '32803', '258', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32789', '259', '32680', '32803', '258', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32937', '259', '32680', '32972', '258', '2', '');
INSERT INTO `dungeon` VALUES ('32742', '32938', '259', '32680', '32972', '258', '2', '');
INSERT INTO `dungeon` VALUES ('32680', '32971', '258', '32741', '32938', '259', '6', '');
INSERT INTO `dungeon` VALUES ('32680', '32972', '258', '32741', '32938', '259', '6', '');
INSERT INTO `dungeon` VALUES ('32680', '32973', '258', '32741', '32938', '259', '6', '');
INSERT INTO `dungeon` VALUES ('32678', '32789', '301', '34150', '33382', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32661', '32933', '301', '32872', '32870', '101', '2', '');
INSERT INTO `dungeon` VALUES ('32624', '32802', '304', '33389', '32273', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32625', '32802', '304', '33389', '32273', '4', '1', '');
INSERT INTO `dungeon` VALUES ('32803', '32823', '304', '32731', '32786', '305', '2', '');
INSERT INTO `dungeon` VALUES ('32731', '32785', '305', '32802', '32823', '304', '2', '');
INSERT INTO `dungeon` VALUES ('32762', '32822', '307', '32564', '33460', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32931', '32875', '307', '32751', '32823', '308', '2', '');
INSERT INTO `dungeon` VALUES ('32752', '32823', '308', '32929', '32875', '307', '2', '');
INSERT INTO `dungeon` VALUES ('32993', '32914', '308', '32757', '32836', '309', '2', '');
INSERT INTO `dungeon` VALUES ('32758', '32836', '309', '32992', '32914', '308', '2', '');
INSERT INTO `dungeon` VALUES ('33060', '32882', '309', '32722', '32850', '320', '2', '');
INSERT INTO `dungeon` VALUES ('32783', '32839', '310', '32863', '32942', '310', '0', '');
INSERT INTO `dungeon` VALUES ('32863', '32942', '310', '32783', '32839', '310', '0', '');
INSERT INTO `dungeon` VALUES ('32785', '32939', '310', '32811', '32788', '320', '2', '');
INSERT INTO `dungeon` VALUES ('32721', '32849', '320', '33059', '32882', '309', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32787', '320', '32785', '32938', '310', '2', '');
INSERT INTO `dungeon` VALUES ('33008', '32835', '320', '32729', '33000', '330', '2', '');
INSERT INTO `dungeon` VALUES ('32729', '33001', '330', '33008', '32836', '320', '2', '');
INSERT INTO `dungeon` VALUES ('32795', '32833', '400', '32821', '32843', '400', '2', '');
INSERT INTO `dungeon` VALUES ('32799', '33005', '400', '32857', '32945', '400', '2', '');
INSERT INTO `dungeon` VALUES ('32820', '32843', '400', '32794', '32833', '400', '2', '');
INSERT INTO `dungeon` VALUES ('32858', '32945', '400', '32799', '33004', '400', '2', '');
INSERT INTO `dungeon` VALUES ('32826', '33001', '400', '32929', '32995', '410', '2', '');
INSERT INTO `dungeon` VALUES ('32930', '32971', '400', '32777', '32854', '420', '2', '');
INSERT INTO `dungeon` VALUES ('32930', '32995', '410', '32825', '33001', '400', '2', '');
INSERT INTO `dungeon` VALUES ('32777', '32853', '420', '32930', '32972', '400', '2', '');
INSERT INTO `dungeon` VALUES ('32807', '33047', '420', '32934', '32786', '430', '2', '');
INSERT INTO `dungeon` VALUES ('32536', '32888', '440', '32738', '32738', '441', '2', '');
INSERT INTO `dungeon` VALUES ('32537', '32888', '440', '32738', '32738', '441', '2', '');
INSERT INTO `dungeon` VALUES ('32538', '32888', '440', '32738', '32738', '441', '2', '');
INSERT INTO `dungeon` VALUES ('32524', '33134', '440', '32679', '32862', '441', '2', '');
INSERT INTO `dungeon` VALUES ('32524', '33135', '440', '32679', '32862', '441', '2', '');
INSERT INTO `dungeon` VALUES ('32524', '33136', '440', '32679', '32862', '441', '2', '');
INSERT INTO `dungeon` VALUES ('32296', '33087', '440', '32735', '32795', '446', '4', '');
INSERT INTO `dungeon` VALUES ('32297', '33087', '440', '32735', '32795', '446', '4', '');
INSERT INTO `dungeon` VALUES ('32298', '33087', '440', '32735', '32795', '446', '4', '');
INSERT INTO `dungeon` VALUES ('32725', '33040', '440', '32658', '32944', '480', '2', '');
INSERT INTO `dungeon` VALUES ('32725', '33041', '440', '32658', '32945', '480', '2', '');
INSERT INTO `dungeon` VALUES ('32725', '33042', '440', '32658', '32946', '480', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32921', '440', '32657', '32863', '480', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32922', '440', '32657', '32864', '480', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32923', '440', '32657', '32865', '480', '2', '');
INSERT INTO `dungeon` VALUES ('32737', '32737', '441', '32537', '32890', '440', '2', 'PI Dungeon 1F -> PI Dungeon Entry North');
INSERT INTO `dungeon` VALUES ('32738', '32737', '441', '32537', '32890', '440', '2', 'PI Dungeon 1F -> PI Dungeon Entry North');
INSERT INTO `dungeon` VALUES ('32739', '32737', '441', '32537', '32890', '440', '2', 'PI Dungeon 1F -> PI Dungeon Entry North');
INSERT INTO `dungeon` VALUES ('32678', '32861', '441', '32522', '33135', '440', '2', 'PI Dungeon 1F -> PI Dungeon Entry South');
INSERT INTO `dungeon` VALUES ('32679', '32861', '441', '32522', '33135', '440', '2', 'PI Dungeon 1F -> PI Dungeon Entry South');
INSERT INTO `dungeon` VALUES ('32680', '32861', '441', '32522', '33135', '440', '2', 'PI Dungeon 1F -> PI Dungeon Entry South');
INSERT INTO `dungeon` VALUES ('32805', '32802', '441', '32862', '32730', '442', '2', '');
INSERT INTO `dungeon` VALUES ('32862', '32729', '442', '32806', '32802', '441', '2', '');
INSERT INTO `dungeon` VALUES ('32860', '32799', '442', '32864', '32781', '443', '2', '');
INSERT INTO `dungeon` VALUES ('32864', '32780', '443', '32860', '32798', '442', '2', '');
INSERT INTO `dungeon` VALUES ('32752', '32745', '443', '32745', '32809', '444', '2', '');
INSERT INTO `dungeon` VALUES ('32745', '32809', '444', '32752', '32745', '443', '2', '');
INSERT INTO `dungeon` VALUES ('32738', '32851', '445', '32738', '32475', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32739', '32851', '445', '32738', '32475', '4', '2', '');
INSERT INTO `dungeon` VALUES ('32750', '32874', '445', '32732', '32797', '447', '4', '');
INSERT INTO `dungeon` VALUES ('32751', '32874', '445', '32732', '32797', '447', '4', '');
INSERT INTO `dungeon` VALUES ('32752', '32874', '445', '32732', '32797', '447', '4', '');
INSERT INTO `dungeon` VALUES ('32735', '32794', '446', '32297', '33086', '440', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32794', '446', '32297', '33086', '440', '0', '');
INSERT INTO `dungeon` VALUES ('32731', '32796', '447', '32751', '32873', '445', '0', '');
INSERT INTO `dungeon` VALUES ('32732', '32796', '447', '32751', '32873', '445', '0', '');
INSERT INTO `dungeon` VALUES ('32733', '32796', '447', '32751', '32873', '445', '0', '');
INSERT INTO `dungeon` VALUES ('32656', '32863', '480', '32732', '32921', '440', '6', '');
INSERT INTO `dungeon` VALUES ('32656', '32864', '480', '32732', '32922', '440', '6', '');
INSERT INTO `dungeon` VALUES ('32656', '32865', '480', '32732', '32923', '440', '6', '');
INSERT INTO `dungeon` VALUES ('32657', '32944', '480', '32724', '33040', '440', '6', '');
INSERT INTO `dungeon` VALUES ('32657', '32945', '480', '32724', '33041', '440', '6', '');
INSERT INTO `dungeon` VALUES ('32657', '32946', '480', '32724', '33042', '440', '6', '');
INSERT INTO `dungeon` VALUES ('32837', '32839', '480', '32735', '32846', '481', '0', '');
INSERT INTO `dungeon` VALUES ('32837', '32840', '480', '32735', '32846', '481', '0', '');
INSERT INTO `dungeon` VALUES ('32837', '32841', '480', '32735', '32846', '481', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32847', '481', '32836', '32840', '480', '6', '');
INSERT INTO `dungeon` VALUES ('32748', '32955', '521', '32657', '32896', '522', '2', '');
INSERT INTO `dungeon` VALUES ('32748', '32956', '521', '32657', '32896', '522', '2', '');
INSERT INTO `dungeon` VALUES ('32748', '32957', '521', '32657', '32896', '522', '2', '');
INSERT INTO `dungeon` VALUES ('33170', '32759', '4', '32735', '32812', '15', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32812', '15', '33170', '32759', '4', '4', '');
INSERT INTO `dungeon` VALUES ('33171', '32759', '4', '32736', '32812', '15', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32812', '15', '33171', '32759', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32677', '33392', '4', '32734', '32816', '29', '0', '');
INSERT INTO `dungeon` VALUES ('32734', '32816', '29', '32677', '33392', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32678', '33392', '4', '32735', '32816', '29', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32816', '29', '32678', '33392', '4', '4', '');
INSERT INTO `dungeon` VALUES ('33631', '32660', '4', '32728', '32828', '52', '0', '');
INSERT INTO `dungeon` VALUES ('32728', '32828', '52', '33631', '32660', '4', '4', '');
INSERT INTO `dungeon` VALUES ('33632', '32660', '4', '32729', '32828', '52', '0', '');
INSERT INTO `dungeon` VALUES ('32729', '32828', '52', '33632', '32660', '4', '4', '');
INSERT INTO `dungeon` VALUES ('33522', '33385', '4', '32571', '32862', '64', '0', '');
INSERT INTO `dungeon` VALUES ('32571', '32862', '64', '33522', '33385', '4', '4', '');
INSERT INTO `dungeon` VALUES ('33523', '33385', '4', '32572', '32862', '64', '0', '');
INSERT INTO `dungeon` VALUES ('32572', '32862', '64', '33523', '33385', '4', '4', '');
INSERT INTO `dungeon` VALUES ('34090', '33203', '4', '32891', '32580', '300', '0', '');
INSERT INTO `dungeon` VALUES ('32891', '32580', '300', '34090', '33203', '4', '4', '');
INSERT INTO `dungeon` VALUES ('34091', '33203', '4', '32892', '32580', '300', '0', '');
INSERT INTO `dungeon` VALUES ('32892', '32580', '300', '34091', '33203', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32735', '32991', '2000', '32735', '32800', '2001', '5', '');
INSERT INTO `dungeon` VALUES ('32812', '32872', '2002', '32736', '32811', '2003', '5', '');
INSERT INTO `dungeon` VALUES ('32814', '32796', '600', '32724', '32830', '601', '2', '');
INSERT INTO `dungeon` VALUES ('32814', '32797', '600', '32724', '32831', '601', '2', '');
INSERT INTO `dungeon` VALUES ('32814', '32798', '600', '32724', '32832', '601', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32830', '601', '32812', '32796', '600', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32831', '601', '32812', '32797', '600', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32832', '601', '32812', '32798', '600', '6', '');
INSERT INTO `dungeon` VALUES ('32917', '32794', '778', '32891', '32727', '779', '4', '');
INSERT INTO `dungeon` VALUES ('32918', '32794', '778', '32892', '32727', '779', '4', '');
INSERT INTO `dungeon` VALUES ('32771', '32933', '778', '32937', '32798', '779', '6', '');
INSERT INTO `dungeon` VALUES ('32771', '32934', '778', '32937', '32799', '779', '6', '');
INSERT INTO `dungeon` VALUES ('32891', '32725', '779', '32918', '32792', '778', '0', '');
INSERT INTO `dungeon` VALUES ('32892', '32725', '779', '32917', '32792', '778', '0', '');
INSERT INTO `dungeon` VALUES ('32939', '32798', '779', '32769', '32933', '778', '2', '');
INSERT INTO `dungeon` VALUES ('32939', '32799', '779', '32769', '32934', '778', '2', '');
INSERT INTO `dungeon` VALUES ('32823', '32854', '400', '32812', '32790', '401', '6', '');
INSERT INTO `dungeon` VALUES ('32813', '32789', '401', '32823', '32855', '400', '4', '');
INSERT INTO `dungeon` VALUES ('32813', '32790', '401', '32823', '32855', '400', '4', '');
INSERT INTO `dungeon` VALUES ('32681', '32971', '400', '32786', '32806', '401', '4', '');
INSERT INTO `dungeon` VALUES ('32786', '32805', '401', '32680', '32971', '400', '6', '');
INSERT INTO `dungeon` VALUES ('32787', '32805', '401', '32680', '32971', '400', '6', '');
INSERT INTO `dungeon` VALUES ('32706', '32637', '400', '32768', '32791', '401', '4', '');
INSERT INTO `dungeon` VALUES ('32768', '32790', '401', '32705', '32637', '400', '6', '');
INSERT INTO `dungeon` VALUES ('32769', '32790', '401', '32705', '32637', '400', '6', '');
INSERT INTO `dungeon` VALUES ('32727', '32800', '401', '32828', '32792', '310', '6', '');
INSERT INTO `dungeon` VALUES ('32728', '32800', '401', '32828', '32792', '310', '6', '');
INSERT INTO `dungeon` VALUES ('32729', '32800', '401', '32828', '32792', '310', '6', '');
INSERT INTO `dungeon` VALUES ('32758', '32636', '400', '32797', '32838', '401', '2', '');
INSERT INTO `dungeon` VALUES ('32678', '32819', '400', '32804', '32870', '401', '2', '');
INSERT INTO `dungeon` VALUES ('32804', '32869', '401', '32677', '32819', '400', '0', '');
INSERT INTO `dungeon` VALUES ('32805', '32869', '401', '32677', '32819', '400', '0', '');
INSERT INTO `dungeon` VALUES ('32797', '32837', '401', '32757', '32636', '400', '0', '');
INSERT INTO `dungeon` VALUES ('32798', '32837', '401', '32757', '32636', '400', '0', '');
INSERT INTO `dungeon` VALUES ('33005', '32762', '400', '32656', '32852', '450', '2', '');
INSERT INTO `dungeon` VALUES ('33005', '32763', '400', '32656', '32853', '450', '2', '');
INSERT INTO `dungeon` VALUES ('33005', '32764', '400', '32656', '32854', '450', '2', '');
INSERT INTO `dungeon` VALUES ('32655', '32852', '450', '33004', '32762', '400', '6', '');
INSERT INTO `dungeon` VALUES ('32655', '32853', '450', '33004', '32763', '400', '6', '');
INSERT INTO `dungeon` VALUES ('32655', '32854', '450', '33004', '32764', '400', '6', '');
INSERT INTO `dungeon` VALUES ('32770', '32848', '450', '32726', '32847', '451', '2', '');
INSERT INTO `dungeon` VALUES ('32770', '32849', '450', '32726', '32848', '451', '2', '');
INSERT INTO `dungeon` VALUES ('32770', '32850', '450', '32726', '32849', '451', '2', '');
INSERT INTO `dungeon` VALUES ('32724', '32848', '451', '32769', '32849', '450', '6', '');
INSERT INTO `dungeon` VALUES ('32786', '32792', '451', '32682', '32742', '491', '4', '');
INSERT INTO `dungeon` VALUES ('32733', '32859', '491', '32721', '32861', '495', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32860', '491', '32721', '32861', '495', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32861', '491', '32721', '32861', '495', '2', '');
INSERT INTO `dungeon` VALUES ('32733', '32862', '491', '32721', '32861', '495', '2', '');
INSERT INTO `dungeon` VALUES ('32815', '32816', '495', '32791', '32815', '496', '2', '');
INSERT INTO `dungeon` VALUES ('32815', '32817', '495', '32791', '32815', '496', '2', '');
INSERT INTO `dungeon` VALUES ('32815', '32818', '495', '32791', '32815', '496', '2', '');
INSERT INTO `dungeon` VALUES ('32815', '32819', '495', '32791', '32815', '496', '2', '');
INSERT INTO `dungeon` VALUES ('32771', '32785', '495', '32797', '32813', '493', '0', '');
INSERT INTO `dungeon` VALUES ('32772', '32785', '495', '32797', '32813', '493', '0', '');
INSERT INTO `dungeon` VALUES ('32773', '32785', '495', '32797', '32813', '493', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32785', '495', '32797', '32813', '493', '0', '');
INSERT INTO `dungeon` VALUES ('32806', '32769', '493', '32790', '32761', '494', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32770', '493', '32790', '32761', '494', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32771', '493', '32790', '32761', '494', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32772', '493', '32790', '32761', '494', '2', '');
INSERT INTO `dungeon` VALUES ('32744', '32723', '493', '32727', '32858', '490', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32723', '493', '32727', '32858', '490', '0', '');
INSERT INTO `dungeon` VALUES ('32746', '32723', '493', '32727', '32858', '490', '0', '');
INSERT INTO `dungeon` VALUES ('32747', '32723', '493', '32727', '32858', '490', '0', '');
INSERT INTO `dungeon` VALUES ('32731', '32809', '490', '32785', '32813', '492', '0', '');
INSERT INTO `dungeon` VALUES ('32731', '32810', '490', '32785', '32813', '492', '0', '');
INSERT INTO `dungeon` VALUES ('32731', '32811', '490', '32785', '32813', '492', '0', '');
INSERT INTO `dungeon` VALUES ('32731', '32812', '490', '32785', '32813', '492', '0', '');
INSERT INTO `dungeon` VALUES ('32813', '32832', '451', '32723', '32825', '452', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32833', '451', '32723', '32825', '452', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32834', '451', '32723', '32825', '452', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32835', '451', '32723', '32825', '452', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32824', '452', '32813', '32834', '451', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32826', '452', '32813', '32834', '451', '6', '');
INSERT INTO `dungeon` VALUES ('32811', '32835', '452', '32723', '32851', '453', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32836', '452', '32723', '32851', '453', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32837', '452', '32723', '32851', '453', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32838', '452', '32723', '32851', '453', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32850', '453', '32811', '32837', '452', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32851', '453', '32811', '32837', '452', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32852', '453', '32811', '32837', '452', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32853', '453', '32811', '32837', '452', '6', '');
INSERT INTO `dungeon` VALUES ('32766', '32830', '453', '32729', '32876', '454', '0', '');
INSERT INTO `dungeon` VALUES ('32767', '32830', '453', '32729', '32876', '454', '0', '');
INSERT INTO `dungeon` VALUES ('32768', '32830', '453', '32729', '32876', '454', '0', '');
INSERT INTO `dungeon` VALUES ('32769', '32830', '453', '32729', '32876', '454', '0', '');
INSERT INTO `dungeon` VALUES ('32793', '32851', '453', '32751', '32871', '456', '2', '');
INSERT INTO `dungeon` VALUES ('32793', '32852', '453', '32751', '32871', '456', '2', '');
INSERT INTO `dungeon` VALUES ('32793', '32853', '453', '32751', '32871', '456', '2', '');
INSERT INTO `dungeon` VALUES ('32793', '32854', '453', '32751', '32871', '456', '2', '');
INSERT INTO `dungeon` VALUES ('32723', '32727', '453', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32723', '32728', '453', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32727', '32876', '454', '32768', '32830', '453', '4', '');
INSERT INTO `dungeon` VALUES ('32728', '32876', '454', '32768', '32830', '453', '4', '');
INSERT INTO `dungeon` VALUES ('32729', '32876', '454', '32768', '32830', '453', '4', '');
INSERT INTO `dungeon` VALUES ('32730', '32876', '454', '32768', '32830', '453', '4', '');
INSERT INTO `dungeon` VALUES ('32813', '32821', '454', '32723', '32853', '455', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32822', '454', '32723', '32853', '455', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32823', '454', '32723', '32853', '455', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32824', '454', '32723', '32853', '455', '2', '');
INSERT INTO `dungeon` VALUES ('32723', '32851', '455', '32813', '32823', '454', '6', '');
INSERT INTO `dungeon` VALUES ('32723', '32852', '455', '32813', '32823', '454', '6', '');
INSERT INTO `dungeon` VALUES ('32723', '32853', '455', '32813', '32823', '454', '6', '');
INSERT INTO `dungeon` VALUES ('32723', '32854', '455', '32813', '32823', '454', '6', '');
INSERT INTO `dungeon` VALUES ('32809', '32872', '455', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32810', '32872', '455', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32751', '32869', '456', '32793', '32853', '453', '6', '');
INSERT INTO `dungeon` VALUES ('32751', '32870', '456', '32793', '32853', '453', '6', '');
INSERT INTO `dungeon` VALUES ('32751', '32871', '456', '32793', '32853', '453', '6', '');
INSERT INTO `dungeon` VALUES ('32751', '32872', '456', '32793', '32853', '453', '6', '');
INSERT INTO `dungeon` VALUES ('32808', '32793', '456', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32808', '32794', '456', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32685', '32868', '457', '32725', '32818', '464', '2', '');
INSERT INTO `dungeon` VALUES ('32685', '32869', '457', '32725', '32818', '464', '2', '');
INSERT INTO `dungeon` VALUES ('32725', '32818', '464', '32684', '32869', '457', '6', '');
INSERT INTO `dungeon` VALUES ('32806', '32828', '464', '32721', '32818', '465', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32829', '464', '32721', '32818', '465', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32830', '464', '32721', '32818', '465', '2', '');
INSERT INTO `dungeon` VALUES ('32806', '32831', '464', '32721', '32818', '465', '2', '');
INSERT INTO `dungeon` VALUES ('32721', '32817', '465', '32806', '32829', '464', '6', '');
INSERT INTO `dungeon` VALUES ('32721', '32818', '465', '32806', '32829', '464', '6', '');
INSERT INTO `dungeon` VALUES ('32721', '32819', '465', '32806', '32829', '464', '6', '');
INSERT INTO `dungeon` VALUES ('32721', '32820', '465', '32806', '32829', '464', '6', '');
INSERT INTO `dungeon` VALUES ('32811', '32807', '465', '32722', '32847', '466', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32808', '465', '32722', '32847', '466', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32809', '465', '32722', '32847', '466', '2', '');
INSERT INTO `dungeon` VALUES ('32811', '32810', '465', '32722', '32847', '466', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32846', '466', '32811', '32808', '465', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32847', '466', '32811', '32808', '465', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32848', '466', '32811', '32808', '465', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32849', '466', '32811', '32808', '465', '6', '');
INSERT INTO `dungeon` VALUES ('32807', '32843', '466', '32660', '32870', '468', '4', '');
INSERT INTO `dungeon` VALUES ('32660', '32868', '468', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32661', '32868', '468', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32680', '32863', '457', '32792', '32866', '460', '2', '');
INSERT INTO `dungeon` VALUES ('32681', '32863', '457', '32792', '32866', '460', '2', '');
INSERT INTO `dungeon` VALUES ('32792', '32866', '460', '32680', '32865', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32814', '32818', '460', '32658', '32862', '461', '2', '');
INSERT INTO `dungeon` VALUES ('32814', '32819', '460', '32658', '32862', '461', '2', '');
INSERT INTO `dungeon` VALUES ('32814', '32820', '460', '32658', '32862', '461', '2', '');
INSERT INTO `dungeon` VALUES ('32814', '32821', '460', '32658', '32862', '461', '2', '');
INSERT INTO `dungeon` VALUES ('32658', '32861', '461', '32814', '32819', '460', '6', '');
INSERT INTO `dungeon` VALUES ('32658', '32862', '461', '32814', '32819', '460', '6', '');
INSERT INTO `dungeon` VALUES ('32658', '32863', '461', '32814', '32819', '460', '6', '');
INSERT INTO `dungeon` VALUES ('32658', '32864', '461', '32814', '32819', '460', '6', '');
INSERT INTO `dungeon` VALUES ('32695', '32796', '461', '32682', '32833', '462', '2', '');
INSERT INTO `dungeon` VALUES ('32695', '32797', '461', '32682', '32833', '462', '2', '');
INSERT INTO `dungeon` VALUES ('32695', '32798', '461', '32682', '32833', '462', '2', '');
INSERT INTO `dungeon` VALUES ('32695', '32799', '461', '32682', '32833', '462', '2', '');
INSERT INTO `dungeon` VALUES ('32682', '32832', '462', '32695', '32797', '461', '6', '');
INSERT INTO `dungeon` VALUES ('32682', '32833', '462', '32695', '32797', '461', '6', '');
INSERT INTO `dungeon` VALUES ('32682', '32834', '462', '32695', '32797', '461', '6', '');
INSERT INTO `dungeon` VALUES ('32682', '32835', '462', '32695', '32797', '461', '6', '');
INSERT INTO `dungeon` VALUES ('32813', '32864', '462', '32726', '32821', '463', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32865', '462', '32726', '32821', '463', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32866', '462', '32726', '32821', '463', '2', '');
INSERT INTO `dungeon` VALUES ('32813', '32867', '462', '32726', '32821', '463', '2', '');
INSERT INTO `dungeon` VALUES ('32726', '32820', '463', '32813', '32865', '462', '6', '');
INSERT INTO `dungeon` VALUES ('32726', '32821', '463', '32813', '32865', '462', '6', '');
INSERT INTO `dungeon` VALUES ('32726', '32822', '463', '32813', '32865', '462', '6', '');
INSERT INTO `dungeon` VALUES ('32726', '32823', '463', '32813', '32865', '462', '6', '');
INSERT INTO `dungeon` VALUES ('32809', '32816', '463', '32663', '32849', '467', '4', '');
INSERT INTO `dungeon` VALUES ('32663', '32847', '467', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32664', '32847', '467', '32665', '32852', '457', '4', '');
INSERT INTO `dungeon` VALUES ('32685', '32852', '467', '32723', '32797', '472', '2', '');
INSERT INTO `dungeon` VALUES ('32685', '32853', '467', '32723', '32797', '472', '2', '');
INSERT INTO `dungeon` VALUES ('32723', '32797', '472', '32685', '32852', '467', '6', '');
INSERT INTO `dungeon` VALUES ('32808', '32798', '472', '32780', '32873', '477', '2', '');
INSERT INTO `dungeon` VALUES ('32808', '32799', '472', '32780', '32873', '477', '2', '');
INSERT INTO `dungeon` VALUES ('32808', '32800', '472', '32780', '32873', '477', '2', '');
INSERT INTO `dungeon` VALUES ('32808', '32801', '472', '32780', '32873', '477', '2', '');
INSERT INTO `dungeon` VALUES ('32780', '32872', '477', '32808', '32799', '472', '6', '');
INSERT INTO `dungeon` VALUES ('32780', '32873', '477', '32808', '32799', '472', '6', '');
INSERT INTO `dungeon` VALUES ('32780', '32874', '477', '32808', '32799', '472', '6', '');
INSERT INTO `dungeon` VALUES ('32780', '32875', '477', '32808', '32799', '472', '6', '');
INSERT INTO `dungeon` VALUES ('32744', '32788', '477', '32756', '32878', '471', '0', '');
INSERT INTO `dungeon` VALUES ('32745', '32788', '477', '32756', '32878', '471', '0', '');
INSERT INTO `dungeon` VALUES ('32746', '32788', '477', '32756', '32878', '471', '0', '');
INSERT INTO `dungeon` VALUES ('32747', '32788', '477', '32756', '32878', '471', '0', '');
INSERT INTO `dungeon` VALUES ('32755', '32878', '471', '32745', '32788', '477', '4', '');
INSERT INTO `dungeon` VALUES ('32756', '32878', '471', '32745', '32788', '477', '4', '');
INSERT INTO `dungeon` VALUES ('32757', '32878', '471', '32745', '32788', '477', '4', '');
INSERT INTO `dungeon` VALUES ('32758', '32878', '471', '32745', '32788', '477', '4', '');
INSERT INTO `dungeon` VALUES ('32781', '32786', '471', '32719', '32799', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32786', '471', '32719', '32799', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32783', '32786', '471', '32719', '32799', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32784', '32786', '471', '32719', '32799', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32719', '32799', '536', '32663', '32850', '467', '5', '');
INSERT INTO `dungeon` VALUES ('32720', '32799', '536', '32663', '32850', '467', '5', '');
INSERT INTO `dungeon` VALUES ('32683', '32873', '468', '32722', '32818', '470', '2', '');
INSERT INTO `dungeon` VALUES ('32683', '32874', '468', '32722', '32819', '470', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32818', '470', '32683', '32873', '468', '6', '');
INSERT INTO `dungeon` VALUES ('32722', '32819', '470', '32683', '32873', '468', '6', '');
INSERT INTO `dungeon` VALUES ('32815', '32806', '470', '32782', '32868', '473', '0', '');
INSERT INTO `dungeon` VALUES ('32816', '32806', '470', '32782', '32868', '473', '0', '');
INSERT INTO `dungeon` VALUES ('32817', '32806', '470', '32782', '32868', '473', '0', '');
INSERT INTO `dungeon` VALUES ('32818', '32806', '470', '32782', '32868', '473', '0', '');
INSERT INTO `dungeon` VALUES ('32781', '32868', '473', '32816', '32806', '470', '6', '');
INSERT INTO `dungeon` VALUES ('32782', '32868', '473', '32816', '32806', '470', '6', '');
INSERT INTO `dungeon` VALUES ('32783', '32868', '473', '32816', '32806', '470', '6', '');
INSERT INTO `dungeon` VALUES ('32784', '32868', '473', '32816', '32806', '470', '6', '');
INSERT INTO `dungeon` VALUES ('32831', '32792', '473', '32742', '32858', '478', '0', '');
INSERT INTO `dungeon` VALUES ('32832', '32792', '473', '32742', '32858', '478', '0', '');
INSERT INTO `dungeon` VALUES ('32833', '32792', '473', '32742', '32858', '478', '0', '');
INSERT INTO `dungeon` VALUES ('32834', '32792', '473', '32742', '32858', '478', '0', '');
INSERT INTO `dungeon` VALUES ('32741', '32858', '478', '32832', '32792', '473', '6', '');
INSERT INTO `dungeon` VALUES ('32742', '32858', '478', '32832', '32792', '473', '6', '');
INSERT INTO `dungeon` VALUES ('32743', '32858', '478', '32832', '32792', '473', '6', '');
INSERT INTO `dungeon` VALUES ('32744', '32858', '478', '32832', '32792', '473', '6', '');
INSERT INTO `dungeon` VALUES ('32750', '32811', '478', '32724', '32832', '474', '2', '');
INSERT INTO `dungeon` VALUES ('32750', '32812', '478', '32724', '32832', '474', '2', '');
INSERT INTO `dungeon` VALUES ('32750', '32813', '478', '32724', '32832', '474', '2', '');
INSERT INTO `dungeon` VALUES ('32750', '32814', '478', '32724', '32832', '474', '2', '');
INSERT INTO `dungeon` VALUES ('32724', '32831', '474', '32750', '32812', '478', '6', '');
INSERT INTO `dungeon` VALUES ('32724', '32832', '474', '32750', '32812', '478', '6', '');
INSERT INTO `dungeon` VALUES ('32724', '32833', '474', '32750', '32812', '478', '6', '');
INSERT INTO `dungeon` VALUES ('32724', '32834', '474', '32750', '32812', '478', '6', '');
INSERT INTO `dungeon` VALUES ('32733', '32786', '478', '32768', '32877', '476', '0', '');
INSERT INTO `dungeon` VALUES ('32734', '32786', '478', '32768', '32877', '476', '0', '');
INSERT INTO `dungeon` VALUES ('32735', '32786', '478', '32768', '32877', '476', '0', '');
INSERT INTO `dungeon` VALUES ('32736', '32786', '478', '32768', '32877', '476', '0', '');
INSERT INTO `dungeon` VALUES ('32767', '32877', '476', '32734', '32786', '478', '4', '');
INSERT INTO `dungeon` VALUES ('32768', '32877', '476', '32734', '32786', '478', '4', '');
INSERT INTO `dungeon` VALUES ('32769', '32877', '476', '32734', '32786', '478', '4', '');
INSERT INTO `dungeon` VALUES ('32770', '32877', '476', '32734', '32786', '478', '4', '');
INSERT INTO `dungeon` VALUES ('32805', '32799', '476', '32673', '32836', '475', '2', '');
INSERT INTO `dungeon` VALUES ('32805', '32800', '476', '32673', '32836', '475', '2', '');
INSERT INTO `dungeon` VALUES ('32805', '32801', '476', '32673', '32836', '475', '2', '');
INSERT INTO `dungeon` VALUES ('32805', '32802', '476', '32673', '32836', '475', '2', '');
INSERT INTO `dungeon` VALUES ('32673', '32835', '475', '32805', '32800', '476', '6', '');
INSERT INTO `dungeon` VALUES ('32673', '32836', '475', '32805', '32800', '476', '6', '');
INSERT INTO `dungeon` VALUES ('32673', '32837', '475', '32805', '32800', '476', '6', '');
INSERT INTO `dungeon` VALUES ('32673', '32838', '475', '32805', '32800', '476', '6', '');
INSERT INTO `dungeon` VALUES ('32778', '32807', '475', '32742', '32814', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32779', '32807', '475', '32742', '32814', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32780', '32807', '475', '32742', '32814', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32781', '32807', '475', '32742', '32814', '536', '0', '');
INSERT INTO `dungeon` VALUES ('32742', '32814', '536', '32660', '32870', '468', '5', '');
INSERT INTO `dungeon` VALUES ('32743', '32814', '536', '32660', '32870', '468', '5', '');
INSERT INTO `dungeon` VALUES ('32746', '32785', '536', '32740', '32880', '530', '0', '');
INSERT INTO `dungeon` VALUES ('32747', '32785', '536', '32741', '32880', '530', '0', '');
INSERT INTO `dungeon` VALUES ('32740', '32880', '530', '32746', '32785', '536', '4', '');
INSERT INTO `dungeon` VALUES ('32741', '32880', '530', '32746', '32785', '536', '4', '');
INSERT INTO `dungeon` VALUES ('32877', '32816', '530', '32727', '32744', '531', '2', '');
INSERT INTO `dungeon` VALUES ('32877', '32817', '530', '32727', '32744', '531', '2', '');
INSERT INTO `dungeon` VALUES ('32877', '32818', '530', '32727', '32744', '531', '2', '');
INSERT INTO `dungeon` VALUES ('32877', '32819', '530', '32727', '32744', '531', '2', '');
INSERT INTO `dungeon` VALUES ('32727', '32743', '531', '32877', '32817', '530', '6', '');
INSERT INTO `dungeon` VALUES ('32727', '32744', '531', '32877', '32817', '530', '6', '');
INSERT INTO `dungeon` VALUES ('32727', '32745', '531', '32877', '32817', '530', '6', '');
INSERT INTO `dungeon` VALUES ('32727', '32746', '531', '32877', '32817', '530', '6', '');
INSERT INTO `dungeon` VALUES ('32851', '32871', '531', '32843', '32792', '532', '2', '');
INSERT INTO `dungeon` VALUES ('32851', '32872', '531', '32843', '32792', '532', '2', '');
INSERT INTO `dungeon` VALUES ('32851', '32873', '531', '32843', '32792', '532', '2', '');
INSERT INTO `dungeon` VALUES ('32851', '32874', '531', '32843', '32792', '532', '2', '');
INSERT INTO `dungeon` VALUES ('32843', '32791', '532', '32851', '32872', '531', '6', '');
INSERT INTO `dungeon` VALUES ('32843', '32792', '532', '32851', '32872', '531', '6', '');
INSERT INTO `dungeon` VALUES ('32843', '32793', '532', '32851', '32872', '531', '6', '');
INSERT INTO `dungeon` VALUES ('32843', '32794', '532', '32851', '32872', '531', '6', '');
INSERT INTO `dungeon` VALUES ('32775', '32791', '532', '32868', '32943', '533', '0', '');
INSERT INTO `dungeon` VALUES ('32776', '32791', '532', '32868', '32943', '533', '0', '');
INSERT INTO `dungeon` VALUES ('32777', '32791', '532', '32868', '32943', '533', '0', '');
INSERT INTO `dungeon` VALUES ('32778', '32791', '532', '32868', '32943', '533', '0', '');
INSERT INTO `dungeon` VALUES ('32867', '32943', '533', '32776', '32791', '532', '6', '');
INSERT INTO `dungeon` VALUES ('32868', '32943', '533', '32776', '32791', '532', '6', '');
INSERT INTO `dungeon` VALUES ('32869', '32943', '533', '32776', '32791', '532', '6', '');
INSERT INTO `dungeon` VALUES ('32870', '32943', '533', '32776', '32791', '532', '6', '');
INSERT INTO `dungeon` VALUES ('32725', '32797', '533', '32732', '32876', '534', '0', '');
INSERT INTO `dungeon` VALUES ('32726', '32797', '533', '32732', '32876', '534', '0', '');
INSERT INTO `dungeon` VALUES ('32727', '32797', '533', '32732', '32876', '534', '0', '');
INSERT INTO `dungeon` VALUES ('32728', '32797', '533', '32732', '32876', '534', '0', '');
INSERT INTO `dungeon` VALUES ('32731', '32876', '534', '32726', '32797', '533', '6', '');
INSERT INTO `dungeon` VALUES ('32732', '32876', '534', '32726', '32797', '533', '6', '');
INSERT INTO `dungeon` VALUES ('32733', '32876', '534', '32726', '32797', '533', '6', '');
INSERT INTO `dungeon` VALUES ('32734', '32876', '534', '32726', '32797', '533', '6', '');
INSERT INTO `dungeon` VALUES ('32829', '33096', '550', '32463', '33057', '440', '5', '');
INSERT INTO `dungeon` VALUES ('32829', '33097', '550', '32463', '33057', '440', '5', '');
INSERT INTO `dungeon` VALUES ('32782', '32780', '550', '32727', '32824', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32727', '32824', '557', '32784', '32779', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32729', '32829', '557', '32865', '33046', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32730', '32829', '557', '32782', '32799', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32781', '32798', '558', '32749', '32797', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32798', '558', '32751', '32797', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32687', '32776', '550', '32729', '32794', '551', '6', '');
INSERT INTO `dungeon` VALUES ('32736', '32873', '557', '32689', '32775', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32729', '32877', '557', '32816', '33182', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32730', '32877', '557', '32944', '32804', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32943', '32803', '558', '32801', '32794', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32944', '32803', '558', '32802', '32794', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32607', '32727', '550', '32678', '32843', '551', '6', '');
INSERT INTO `dungeon` VALUES ('32757', '32794', '557', '32609', '32726', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32750', '32798', '557', '32781', '32800', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32751', '32798', '557', '33027', '32953', '558', '4', '');
INSERT INTO `dungeon` VALUES ('33027', '32952', '558', '32752', '32848', '557', '0', '');
INSERT INTO `dungeon` VALUES ('33028', '32952', '558', '32753', '32848', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32422', '32831', '550', '32727', '32825', '551', '6', '');
INSERT INTO `dungeon` VALUES ('32759', '32845', '557', '32424', '32830', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32752', '32849', '557', '33027', '32954', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32753', '32849', '557', '33173', '32977', '558', '4', '');
INSERT INTO `dungeon` VALUES ('33172', '32976', '558', '32800', '32846', '557', '0', '');
INSERT INTO `dungeon` VALUES ('33173', '32976', '558', '32801', '32846', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32533', '32902', '550', '32736', '32808', '552', '6', '');
INSERT INTO `dungeon` VALUES ('32782', '32820', '557', '32535', '32901', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32781', '32825', '557', '32958', '33185', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32782', '32825', '557', '32866', '33045', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32865', '33044', '558', '32729', '32828', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32866', '33044', '558', '32730', '32828', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32457', '33054', '550', '32672', '32873', '551', '6', '');
INSERT INTO `dungeon` VALUES ('32785', '32873', '557', '32459', '33053', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32778', '32877', '557', '33120', '33203', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32779', '32877', '557', '32817', '33181', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32816', '33180', '558', '32728', '32876', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32817', '33180', '558', '32730', '32876', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32617', '33002', '550', '32736', '32858', '552', '6', '');
INSERT INTO `dungeon` VALUES ('32808', '32791', '557', '32619', '33002', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32801', '32795', '557', '32943', '32805', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32802', '32795', '557', '32959', '33184', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32958', '33183', '558', '32780', '32824', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32959', '33183', '558', '32782', '32824', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32795', '33061', '550', '32729', '32870', '551', '6', '');
INSERT INTO `dungeon` VALUES ('32807', '32843', '557', '32797', '33060', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32800', '32847', '557', '33172', '32978', '558', '4', '');
INSERT INTO `dungeon` VALUES ('32801', '32847', '557', '33121', '33203', '558', '4', '');
INSERT INTO `dungeon` VALUES ('33120', '33202', '558', '32777', '32876', '557', '0', '');
INSERT INTO `dungeon` VALUES ('33121', '33202', '558', '32779', '32876', '557', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5068', '33374', '32657', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5069', '33384', '32655', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5070', '33395', '32656', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5071', '33428', '32659', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5072', '33439', '32666', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5073', '33457', '32654', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5074', '33477', '32668', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5075', '33471', '32679', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5076', '33459', '32700', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5077', '33424', '32691', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5078', '33409', '32675', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5079', '33420', '32709', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5080', '33375', '32698', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5081', '33363', '32684', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5082', '33360', '32670', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5083', '33341', '32661', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5084', '33346', '32675', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5085', '33341', '32710', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5086', '33355', '32734', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5087', '33366', '32714', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5088', '33381', '32715', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5089', '33404', '32739', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5090', '33424', '32718', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5091', '33449', '32732', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5092', '33405', '32757', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5093', '33366', '32761', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5094', '33351', '32775', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5095', '33358', '32789', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5096', '33372', '32792', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5097', '33384', '32776', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5098', '33403', '32794', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5099', '33485', '32794', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5100', '33499', '32804', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5101', '33382', '32804', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5102', '33376', '32828', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5103', '33399', '32813', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5104', '33397', '32822', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5105', '33437', '32844', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5106', '33459', '32840', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5107', '33391', '32851', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5108', '33399', '32860', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5109', '33415', '32853', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5110', '33375', '32873', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5111', '33428', '32871', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32782', '32815', '5112', '33443', '32870', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5113', '33609', '33217', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5114', '33630', '33209', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5115', '33628', '33226', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5116', '33633', '33248', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5117', '33619', '33265', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5118', '33575', '33233', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5119', '33584', '33306', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5120', '33581', '33338', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5121', '33620', '33381', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5122', '33625', '33398', '4', '0', '');
INSERT INTO `dungeon` VALUES ('32774', '32814', '5123', '33625', '33445', '4', '0', '');
INSERT INTO `dungeon` VALUES ('33066', '32894', '320', '32530', '32805', '400', '2', '');
INSERT INTO `dungeon` VALUES ('33066', '32895', '320', '32530', '32805', '400', '2', '');
INSERT INTO `dungeon` VALUES ('33066', '32896', '320', '32530', '32805', '400', '2', '');
INSERT INTO `dungeon` VALUES ('33066', '32897', '320', '32530', '32805', '400', '2', '');
INSERT INTO `dungeon` VALUES ('32528', '32803', '400', '33065', '32894', '320', '6', '');
INSERT INTO `dungeon` VALUES ('32528', '32804', '400', '33065', '32894', '320', '6', '');
INSERT INTO `dungeon` VALUES ('32528', '32805', '400', '33065', '32894', '320', '6', '');
INSERT INTO `dungeon` VALUES ('32528', '32806', '400', '33065', '32894', '320', '6', '');
INSERT INTO `dungeon` VALUES ('32528', '32807', '400', '33065', '32894', '320', '6', '');
INSERT INTO `dungeon` VALUES ('32600', '32931', '0', '32745', '32803', '16384', '6', '');
INSERT INTO `dungeon` VALUES ('32746', '32803', '16384', '32599', '32931', '0', '1', '');
INSERT INTO `dungeon` VALUES ('32744', '32808', '16896', '32599', '32931', '0', '1', '');
INSERT INTO `dungeon` VALUES ('32632', '32760', '4', '32743', '32803', '17408', '6', '');
INSERT INTO `dungeon` VALUES ('32632', '32761', '4', '32743', '32803', '17408', '6', '');
INSERT INTO `dungeon` VALUES ('32744', '32803', '17408', '32631', '32761', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32807', '17920', '32631', '32761', '4', '6', '');
INSERT INTO `dungeon` VALUES ('33437', '32789', '4', '32744', '32803', '18432', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32803', '18432', '33437', '32790', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32745', '32807', '18944', '33437', '32790', '4', '4', '');
INSERT INTO `dungeon` VALUES ('34068', '32254', '4', '32744', '32803', '19456', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32807', '19968', '34067', '32254', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32745', '32803', '19456', '34067', '32254', '4', '4', '');
INSERT INTO `dungeon` VALUES ('32628', '33167', '4', '32744', '32803', '20480', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32803', '20480', '32627', '33167', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32807', '20992', '32627', '33167', '4', '6', '');
INSERT INTO `dungeon` VALUES ('33116', '33379', '4', '32744', '32803', '21504', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32803', '21504', '33115', '33379', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32807', '22016', '33115', '33379', '4', '6', '');
INSERT INTO `dungeon` VALUES ('33605', '33275', '4', '32744', '32803', '22528', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32803', '22528', '33604', '33276', '4', '5', '');
INSERT INTO `dungeon` VALUES ('32745', '32807', '23040', '33604', '33276', '4', '5', '');
INSERT INTO `dungeon` VALUES ('32728', '32817', '74', '32754', '32740', '73', '4', '');
INSERT INTO `dungeon` VALUES ('32753', '32739', '73', '32728', '32816', '74', '0', '');
INSERT INTO `dungeon` VALUES ('32754', '32739', '73', '32728', '32816', '74', '0', '');
INSERT INTO `dungeon` VALUES ('32781', '32735', '73', '32871', '32834', '72', '6', '');
INSERT INTO `dungeon` VALUES ('32781', '32736', '73', '32871', '32834', '72', '6', '');
INSERT INTO `dungeon` VALUES ('32872', '32834', '72', '32782', '32735', '73', '2', '');
INSERT INTO `dungeon` VALUES ('32872', '32835', '72', '32782', '32735', '73', '2', '');
INSERT INTO `dungeon` VALUES ('32178', '32182', '4', '32746', '32787', '72', '4', ' -> CrystalCave 1F  B');
INSERT INTO `dungeon` VALUES ('34177', '32182', '4', '32746', '32787', '72', '4', ' ->CrystalCave1F');
INSERT INTO `dungeon` VALUES ('34214', '32248', '4', '32814', '32804', '72', '6', ' ->CrystalCave1F');
INSERT INTO `dungeon` VALUES ('34214', '32249', '4', '32814', '32804', '72', '6', ' ->CrystalCave1F');
INSERT INTO `dungeon` VALUES ('32726', '32861', '72', '32755', '32870', '73', '6', 'CrystalCave1F->CrystalCave2F');
INSERT INTO `dungeon` VALUES ('32726', '32862', '72', '32755', '32870', '73', '6', 'CrystalCave1F->CrystalCave2F');
INSERT INTO `dungeon` VALUES ('33969', '32337', '4', '32726', '32845', '73', '2', 'OrenGlacialLake->CrystalCave 2F');
INSERT INTO `dungeon` VALUES ('33969', '32338', '4', '32726', '32845', '73', '2', 'OrenGlacialLake->CrystalCave 2F');
INSERT INTO `dungeon` VALUES ('32756', '32870', '73', '32727', '32861', '72', '2', 'CrystalCave2F->CrystalCave1F');
INSERT INTO `dungeon` VALUES ('32756', '32871', '73', '32727', '32861', '72', '2', 'CrystalCave2F->CrystalCave1F');
INSERT INTO `dungeon` VALUES ('32797', '32808', '73', '32732', '32854', '74', '4', 'CrystalCave2F->CrystalCave3F');
INSERT INTO `dungeon` VALUES ('32797', '32809', '73', '32732', '32854', '74', '4', 'CrystalCave2F->CrystalCave3F');
INSERT INTO `dungeon` VALUES ('32731', '32853', '74', '32798', '32808', '73', '2', 'CrystalCave3F->CrystalCave2F');
INSERT INTO `dungeon` VALUES ('32732', '32853', '74', '32798', '32808', '73', '2', 'CrystalCave3F->CrystalCave2F');
INSERT INTO `dungeon` VALUES ('32746', '32786', '72', '34177', '32183', '4', '4', 'CrystalCave1F->OrenGlacialLakeB');
INSERT INTO `dungeon` VALUES ('32747', '32786', '72', '34177', '32183', '4', '4', 'CrystalCave1F->OrenGlacialLakeB');
INSERT INTO `dungeon` VALUES ('32815', '32803', '72', '34213', '32249', '4', '6', 'CrystalCave1F->OrenGlacialLakeA');
INSERT INTO `dungeon` VALUES ('32815', '32804', '72', '34213', '32249', '4', '6', 'CrystalCave1F->OrenGlacialLakeA');
INSERT INTO `dungeon` VALUES ('32783', '32780', '550', '32680', '32802', '551', '6', '');
INSERT INTO `dungeon` VALUES ('32681', '32801', '551', '32784', '32779', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32673', '32801', '551', '32737', '32805', '554', '6', '');
INSERT INTO `dungeon` VALUES ('32738', '32804', '554', '32674', '32801', '551', '2', '');
INSERT INTO `dungeon` VALUES ('32753', '32804', '554', '32757', '32794', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32758', '32793', '557', '32754', '32804', '554', '2', '');
INSERT INTO `dungeon` VALUES ('32730', '32793', '551', '32689', '32775', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32793', '551', '32786', '32792', '554', '6', '');
INSERT INTO `dungeon` VALUES ('32787', '32791', '554', '32723', '32793', '551', '2', '');
INSERT INTO `dungeon` VALUES ('32802', '32791', '554', '32808', '32791', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32809', '32790', '557', '32803', '32791', '554', '2', '');
INSERT INTO `dungeon` VALUES ('32679', '32842', '551', '32609', '32726', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32671', '32842', '551', '32736', '32840', '554', '6', '');
INSERT INTO `dungeon` VALUES ('32737', '32839', '554', '32672', '32842', '551', '2', '');
INSERT INTO `dungeon` VALUES ('32752', '32839', '554', '32759', '32845', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32760', '32844', '557', '32753', '32839', '554', '2', '');
INSERT INTO `dungeon` VALUES ('32728', '32824', '551', '32424', '32830', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32720', '32824', '551', '32782', '32821', '554', '6', '');
INSERT INTO `dungeon` VALUES ('32783', '32820', '554', '32721', '32824', '551', '2', '');
INSERT INTO `dungeon` VALUES ('32798', '32820', '554', '32807', '32843', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32808', '32842', '557', '32799', '32820', '554', '2', '');
INSERT INTO `dungeon` VALUES ('32737', '32807', '552', '32535', '32901', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32729', '32807', '552', '32728', '32805', '555', '6', '');
INSERT INTO `dungeon` VALUES ('32729', '32804', '555', '32730', '32807', '552', '2', '');
INSERT INTO `dungeon` VALUES ('32735', '32804', '555', '32727', '32824', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32728', '32823', '557', '32736', '32804', '555', '2', '');
INSERT INTO `dungeon` VALUES ('32673', '32872', '551', '32459', '33053', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32665', '32872', '551', '32732', '32871', '554', '6', '');
INSERT INTO `dungeon` VALUES ('32733', '32870', '554', '32666', '32872', '551', '2', '');
INSERT INTO `dungeon` VALUES ('32748', '32870', '554', '32736', '32873', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32737', '32872', '557', '32749', '32870', '554', '2', '');
INSERT INTO `dungeon` VALUES ('32737', '32857', '552', '32619', '33002', '550', '1', '');
INSERT INTO `dungeon` VALUES ('32729', '32857', '552', '32729', '32856', '555', '6', '');
INSERT INTO `dungeon` VALUES ('32730', '32855', '555', '32730', '32857', '552', '2', '');
INSERT INTO `dungeon` VALUES ('32738', '32855', '555', '32782', '32820', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32783', '32819', '557', '32739', '32855', '555', '2', '');
INSERT INTO `dungeon` VALUES ('32730', '32869', '551', '32797', '33060', '550', '2', '');
INSERT INTO `dungeon` VALUES ('32722', '32869', '551', '32784', '32855', '554', '6', '');
INSERT INTO `dungeon` VALUES ('32785', '32854', '554', '32723', '32869', '551', '2', '');
INSERT INTO `dungeon` VALUES ('32800', '32854', '554', '32785', '32873', '557', '6', '');
INSERT INTO `dungeon` VALUES ('32786', '32872', '557', '32801', '32854', '554', '2', '');
INSERT INTO `dungeon` VALUES ('32543', '32763', '550', '32741', '32816', '553', '6', '');
INSERT INTO `dungeon` VALUES ('32742', '32815', '553', '32542', '32764', '550', '6', '');
INSERT INTO `dungeon` VALUES ('32757', '32815', '553', '32753', '32818', '556', '6', '');
INSERT INTO `dungeon` VALUES ('32754', '32817', '556', '32758', '32815', '553', '2', '');
INSERT INTO `dungeon` VALUES ('32582', '32739', '550', '32781', '32805', '553', '4', '');
INSERT INTO `dungeon` VALUES ('32782', '32804', '553', '32582', '32740', '550', '4', '');
INSERT INTO `dungeon` VALUES ('32782', '32789', '553', '32783', '32793', '556', '4', '');
INSERT INTO `dungeon` VALUES ('32784', '32792', '556', '32782', '32788', '553', '0', '');
INSERT INTO `dungeon` VALUES ('32636', '32737', '550', '32724', '32792', '553', '6', '');
INSERT INTO `dungeon` VALUES ('32725', '32791', '553', '32634', '32738', '550', '6', '');
INSERT INTO `dungeon` VALUES ('32740', '32791', '553', '32737', '32791', '556', '6', '');
INSERT INTO `dungeon` VALUES ('32738', '32790', '556', '32741', '32791', '553', '2', '');
INSERT INTO `dungeon` VALUES ('32483', '32874', '550', '32726', '32854', '553', '4', '');
INSERT INTO `dungeon` VALUES ('32727', '32853', '553', '32483', '32875', '550', '4', '');
INSERT INTO `dungeon` VALUES ('32727', '32838', '553', '32754', '32862', '556', '4', '');
INSERT INTO `dungeon` VALUES ('32755', '32861', '556', '32727', '32837', '553', '0', '');
INSERT INTO `dungeon` VALUES ('32821', '32881', '550', '32809', '32819', '553', '4', '');
INSERT INTO `dungeon` VALUES ('32810', '32818', '553', '32820', '32882', '550', '6', '');
INSERT INTO `dungeon` VALUES ('32810', '32803', '553', '32807', '32812', '556', '4', '');
INSERT INTO `dungeon` VALUES ('32808', '32811', '556', '32810', '32802', '553', '0', '');
INSERT INTO `dungeon` VALUES ('32622', '32842', '550', '32751', '32871', '553', '4', '');
INSERT INTO `dungeon` VALUES ('32752', '32870', '553', '32622', '32843', '550', '4', '');
INSERT INTO `dungeon` VALUES ('32752', '32864', '553', '32731', '32852', '556', '4', '');
INSERT INTO `dungeon` VALUES ('32732', '32851', '556', '32752', '32863', '553', '0', '');
INSERT INTO `dungeon` VALUES ('32709', '32854', '550', '32782', '32845', '553', '6', '');
INSERT INTO `dungeon` VALUES ('32783', '32844', '553', '32708', '32854', '550', '6', '');
INSERT INTO `dungeon` VALUES ('32798', '32844', '553', '32806', '32872', '556', '6', '');
INSERT INTO `dungeon` VALUES ('32807', '32871', '556', '32799', '32844', '553', '2', '');
INSERT INTO `dungeon` VALUES ('32653', '33085', '550', '32794', '32872', '553', '6', '');
INSERT INTO `dungeon` VALUES ('32795', '32871', '553', '32653', '33086', '550', '4', '');
INSERT INTO `dungeon` VALUES ('32803', '32871', '553', '32783', '32847', '556', '6', '');
INSERT INTO `dungeon` VALUES ('32784', '32846', '556', '32804', '32871', '553', '2', '');
INSERT INTO `dungeon` VALUES ('32742', '32740', '49', '32793', '32847', '51', '0', 'Ant Caves 5F -> 9F C');
INSERT INTO `dungeon` VALUES ('32745', '32758', '50', '32770', '32790', '45', '0', 'Ant Caves 7F -> 2F');
INSERT INTO `dungeon` VALUES ('32746', '32758', '50', '32770', '32790', '45', '0', 'Ant Caves 7F -> 2F');
INSERT INTO `dungeon` VALUES ('32807', '32763', '50', '32739', '32757', '48', '0', 'Ant Caves 7F -> 4F A');
INSERT INTO `dungeon` VALUES ('32806', '32763', '50', '32739', '32757', '48', '0', 'Ant Caves 7F -> 4F A');
INSERT INTO `dungeon` VALUES ('32726', '32743', '51', '32744', '32778', '47', '0', 'Ant Caves 9F -> 1F A');
INSERT INTO `dungeon` VALUES ('32725', '32743', '51', '32744', '32778', '47', '0', 'Ant Caves 9F -> 1F A');
INSERT INTO `dungeon` VALUES ('32794', '32847', '51', '32742', '32741', '49', '0', 'Ant Caves 9F -> 5F A');
INSERT INTO `dungeon` VALUES ('32794', '32848', '51', '32742', '32740', '49', '0', 'Ant Caves 9F -> 5F A');
INSERT INTO `dungeon` VALUES ('32681', '32848', '51', '32778', '32800', '48', '0', 'Ant Caves 9F -> 4F B');
INSERT INTO `dungeon` VALUES ('32682', '32848', '51', '32778', '32800', '48', '0', 'Ant Caves 9F -> 4F B');
INSERT INTO `dungeon` VALUES ('32667', '32849', '457', '32813', '32834', '451', '6', '1F Sanctuary of Darkness to 1F Gathering Room');
INSERT INTO `dungeon` VALUES ('32666', '32849', '457', '32813', '32834', '451', '6', '1F Sanctuary of Darkness to 1F Gathering Room');
INSERT INTO `dungeon` VALUES ('32726', '32845', '73', '33968', '32338', '4', '6', '2F Crystal Caves to Glacial Lake');
INSERT INTO `dungeon` VALUES ('32726', '32846', '73', '33968', '32338', '4', '6', '2F Crystal Caves to Glacial Lake');
INSERT INTO `dungeon` VALUES ('32810', '32890', '780', '32742', '32800', '781', '4', '');
INSERT INTO `dungeon` VALUES ('32810', '32891', '780', '32742', '32800', '781', '4', '');
INSERT INTO `dungeon` VALUES ('32742', '32800', '781', '32810', '32890', '780', '6', '');
INSERT INTO `dungeon` VALUES ('32786', '32861', '1000', '34090', '32168', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32786', '32862', '1000', '34091', '32167', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32787', '32862', '1000', '34090', '32165', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32802', '32877', '1000', '34094', '32170', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32802', '32878', '1000', '34093', '32169', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32803', '32878', '1000', '34093', '32167', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32779', '32857', '1001', '33639', '32400', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32780', '32858', '1001', '33641', '32402', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32810', '32887', '1001', '33640', '32400', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32811', '32888', '1001', '33641', '32401', '4', '10', '');
INSERT INTO `dungeon` VALUES ('32624', '32725', '1005', '32671', '32667', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32679', '32745', '1005', '32937', '32802', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32680', '32743', '1005', '32809', '32802', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32681', '32742', '1005', '32681', '32802', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32682', '32741', '1005', '32937', '32610', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32683', '32924', '1005', '32658', '32678', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32703', '32670', '1005', '32796', '32662', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32811', '32924', '1005', '32658', '32678', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32939', '32924', '1005', '32658', '32678', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('32939', '32732', '1005', '32658', '32678', '1005', '1', '');
INSERT INTO `dungeon` VALUES ('34068', '32254', '19456', '32744', '32803', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32803', '4', '34067', '32254', '19456', '6', '');
INSERT INTO `dungeon` VALUES ('32745', '32807', '4', '34067', '32254', '19968', '6', '');
INSERT INTO `dungeon` VALUES ('33985', '33312', '4', '32744', '32803', '24576', '6', '');
INSERT INTO `dungeon` VALUES ('32744', '32803', '24576', '33985', '33312', '4', '6', '');
INSERT INTO `dungeon` VALUES ('32450', '33047', '440', '32744', '32803', '23552', '6', '');
INSERT INTO `dungeon` VALUES ('32744', '32803', '23552', '32450', '33047', '440', '6', '');
INSERT INTO `dungeon_random` VALUES ('32770', '32788', '5140', '32774', '32797', '5140', '32773', '32817', '5140', '32784', '32831', '5140', '32776', '32857', '5140', '32783', '32874', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32770', '32807', '5140', '32774', '32797', '5140', '32773', '32817', '5140', '32784', '32831', '5140', '32776', '32857', '5140', '32783', '32874', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32774', '32830', '5140', '32774', '32797', '5140', '32773', '32817', '5140', '32784', '32831', '5140', '32776', '32857', '5140', '32783', '32874', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32772', '32846', '5140', '32774', '32797', '5140', '32773', '32817', '5140', '32784', '32831', '5140', '32776', '32857', '5140', '32783', '32874', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32769', '32869', '5140', '32774', '32797', '5140', '32773', '32817', '5140', '32784', '32831', '5140', '32776', '32857', '5140', '32783', '32874', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32824', '32796', '5140', '32835', '32788', '5140', '32834', '32807', '5140', '32827', '32828', '5140', '32823', '32849', '5140', '32828', '32875', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32821', '32819', '5140', '32835', '32788', '5140', '32834', '32807', '5140', '32827', '32828', '5140', '32823', '32849', '5140', '32828', '32875', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32822', '32840', '5140', '32835', '32788', '5140', '32834', '32807', '5140', '32827', '32828', '5140', '32823', '32849', '5140', '32828', '32875', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32816', '32859', '5140', '32835', '32788', '5140', '32834', '32807', '5140', '32827', '32828', '5140', '32823', '32849', '5140', '32828', '32875', '5140', '2', '');
INSERT INTO `dungeon_random` VALUES ('32815', '32873', '5140', '32835', '32788', '5140', '32834', '32807', '5140', '32827', '32828', '5140', '32823', '32849', '5140', '32828', '32875', '5140', '2', '');
INSERT INTO `etcitem` VALUES ('40001', 'Lamp', '$2', '$2', 'light', 'normal', 'copper', '20000', '3', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40002', 'Lantern', '$326', '$326', 'light', 'normal', 'copper', '30000', '140', '181', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40003', 'Lantern Oil', '$327', '$327', 'other', 'normal', 'glass', '1000', '142', '239', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40004', 'Magic Lantern', '$3426', '$3426', 'light', 'normal', 'copper', '30000', '140', '181', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40005', 'Candle', '$67', '$67', 'light', 'normal', 'web', '2000', '24', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40006', 'Pine Wand', '$28', '$258', 'wand', 'normal', 'wood', '7000', '117', '28', '19', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '6', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40007', 'Ebony Wand', '$262', '$262', 'wand', 'spell_long', 'wood', '7000', '118', '28', '21', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '6', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40008', 'Maple Wand', '$27', '$260', 'wand', 'spell_long', 'wood', '7000', '116', '28', '20', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '6', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40009', 'Wand of Blink', '$975', '$975', 'wand', 'spell_long', 'wood', '7000', '118', '28', '301', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '6', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40010', 'Lesser Healing Potion', '$26', '$26', 'potion', 'normal', 'glass', '3900', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40011', 'Healing Potion', '$235', '$235', 'potion', 'normal', 'glass', '4900', '78', '43', '15', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40012', 'Greater Healing Potion', '$238', '$238', 'potion', 'normal', 'glass', '5850', '81', '46', '130', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40013', 'Haste Potion', '$234', '$264', 'potion', 'normal', 'glass', '3900', '77', '42', '17', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40014', 'Potion of Bravery', '$943', '$943', 'potion', 'normal', 'glass', '4500', '79', '44', '296', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40015', 'Potion of Mana', '$232', '$507', 'potion', 'normal', 'glass', '7800', '75', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40016', 'Potion of Wisdom', '$944', '$944', 'potion', 'normal', 'glass', '4500', '1529', '3836', '297', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40017', 'Cure Poison Potion', '$233', '$233', 'potion', 'normal', 'glass', '3900', '76', '41', '126', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40018', 'Greater Haste Potion', '$1652 $234', '$1652 $264', 'potion', 'normal', 'glass', '7050', '621', '42', '17', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40019', 'Condensed Lesser Healing Potion', '$1251', '$1251', 'potion', 'normal', 'glass', '1950', '535', '3041', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40020', 'Condensed Healing Potion', '$1252', '$1252', 'potion', 'normal', 'glass', '2450', '532', '3042', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40021', 'Condensed Greater Healing Potion', '$1253', '$1253', 'potion', 'normal', 'glass', '2950', '536', '3043', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40022', 'Ancient Lesser Healing Potion', '$2575', '$2575', 'potion', 'normal', 'glass', '3900', '1161', '3041', '915', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40023', 'Ancient Healing Potion', '$2576', '$2576', 'potion', 'normal', 'glass', '4900', '1162', '3042', '916', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40024', 'Ancient Greater Healing Potion', '$2577', '$2577', 'potion', 'normal', 'glass', '5850', '1163', '3043', '917', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40025', 'Blinding Potion', '$239', '$242', 'potion', 'normal', 'glass', '15600', '82', '47', '16', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40026', 'Banana Juice', '$107 $2372', '$107 $2372', 'potion', 'normal', 'glass', '2930', '1033', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40027', 'Orange Juice', '$85 $2372', '$85 $2372', 'potion', 'normal', 'glass', '2930', '1034', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40028', 'Apple Juice', '$106 $2372', '$106 $2372', 'potion', 'normal', 'glass', '2930', '1032', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40029', 'Ivory Tower Healing Potion', '$3301', '$3301', 'potion', 'normal', 'glass', '7800', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40582', 'Bag of Endia', '$2653', '$2653', 'treasure_box', 'normal', 'leather', '1000', '1321', '3374', '1534', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40031', 'Devil\'s Blood', '$3372', '$3372', 'potion', 'normal', 'glass', '4500', '1761', '4338', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40032', 'Bless of Eva', '$1507', '$1507', 'potion', 'normal', 'glass', '2000', '557', '1733', '411', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40033', 'Elixer (STR)', '$2530', '$2530', 'potion', 'normal', 'glass', '20000', '1143', '2983', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40034', 'Elixer (CON)', '$2531', '$2531', 'potion', 'normal', 'glass', '20000', '1140', '2987', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40035', 'Elixer (DEX)', '$2532', '$2532', 'potion', 'normal', 'glass', '20000', '1141', '2984', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40036', 'Elixer (INT)', '$2533', '$2533', 'potion', 'normal', 'glass', '20000', '1142', '2985', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40037', 'Elixer (WIS)', '$2534', '$2534', 'potion', 'normal', 'glass', '20000', '1144', '2986', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40038', 'Elixer (CHA)', '$2535', '$2535', 'potion', 'normal', 'glass', '20000', '1139', '2988', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40039', 'Wine', '$3405', '$3405', 'potion', 'normal', 'glass', '160', '1646', '4249', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40040', 'Whiskey', '$3406', '$3406', 'potion', 'normal', 'glass', '160', '1647', '4250', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40041', 'Scale of Mermaid', '$1508', '$1508', 'potion', 'normal', 'bone', '3900', '556', '1732', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40042', 'Potion of Mental Acuity', '$3370', '$3370', 'potion', 'normal', 'glass', '31000', '1730', '4324', '1406', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40043', 'Rabbit Liver', '$1943', '$1943', 'potion', 'normal', 'glass', '19500', '904', '3041', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40044', 'Diamond', '$512', '$512', 'gem', 'none', 'gemstone', '40', '236', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40045', 'Ruby', '$513', '$513', 'gem', 'none', 'gemstone', '40', '242', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40046', 'Sapphire', '$514', '$514', 'gem', 'none', 'gemstone', '40', '245', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40047', 'Emerald', '$515', '$515', 'gem', 'none', 'gemstone', '40', '239', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40048', 'High Quality Diamond', '$799 $512', '$799 $512', 'gem', 'none', 'gemstone', '40', '237', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40049', 'High Quality Ruby', '$799 $513', '$799 $513', 'gem', 'none', 'gemstone', '40', '243', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40050', 'High Quality Sapphire', '$799 $514', '$799 $514', 'gem', 'none', 'gemstone', '40', '246', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40051', 'High Quality Emerald', '$799 $515', '$799 $515', 'gem', 'none', 'gemstone', '40', '240', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40052', 'Highest Quality Diamond', '$800 $512', '$800 $512', 'gem', 'none', 'gemstone', '40', '238', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40053', 'Highest Quality Ruby', '$800 $513', '$800 $513', 'gem', 'none', 'gemstone', '40', '244', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40054', 'Highest Quality Sapphire', '$800 $514', '$800 $514', 'gem', 'none', 'gemstone', '40', '247', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40055', 'Highest Quality Emerald', '$800 $515', '$800 $515', 'gem', 'none', 'gemstone', '40', '241', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40056', 'Meat', '$23', '$23', 'food', 'normal', 'animalmatter', '10000', '124', '36', '10', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '0');
INSERT INTO `etcitem` VALUES ('40057', 'Floating Eye Meat', '$6 $23', '$6 $23', 'food', 'normal', 'animalmatter', '10000', '1205', '3176', '9', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40058', 'Brown Piece of Bread', '$3403', '$3403', 'potion', 'normal', 'vegetation', '4000', '1648', '4251', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40059', 'Egg', '$72', '$72', 'food', 'normal', 'animalmatter', '1000', '40', '69', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '80', '0');
INSERT INTO `etcitem` VALUES ('40060', 'Carrot', '$68', '$68', 'food', 'normal', 'vegetation', '2000', '25', '67', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '50', '0');
INSERT INTO `etcitem` VALUES ('40061', 'Lemon', '$82', '$82', 'food', 'normal', 'vegetation', '2000', '63', '72', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '50', '0');
INSERT INTO `etcitem` VALUES ('40062', 'Banana', '$107', '$107', 'food', 'normal', 'vegetation', '2000', '127', '80', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '80', '0');
INSERT INTO `etcitem` VALUES ('40063', 'Valentines Day chocolate', '$1619 $1622', '$1619 $1622', 'food', 'normal', 'vegetation', '1000', '608', '2058', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40064', 'Apple', '$106', '$106', 'food', 'normal', 'vegetation', '2000', '995', '2723', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '50', '0');
INSERT INTO `etcitem` VALUES ('40065', 'Candy', '$1179', '$1179', 'food', 'normal', 'vegetation', '1000', '936', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '30', '0');
INSERT INTO `etcitem` VALUES ('40066', 'Rice-cake', '$2578', '$2578', 'potion', 'normal', 'vegetation', '6000', '1157', '3037', '918', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40067', 'Mugwort rice-cake', '$2579', '$2579', 'potion', 'normal', 'vegetation', '12000', '1158', '3038', '919', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40068', 'Elven Wafer', '$110', '$110', 'potion', 'normal', 'vegetation', '5000', '130', '81', '86', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40069', 'Orange', '$85', '$85', 'food', 'normal', 'vegetation', '2000', '71', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '80', '0');
INSERT INTO `etcitem` VALUES ('40070', 'Fruit of Evolution', '$2810', '$2810', 'other', 'normal', 'vegetation', '10000', '1316', '3350', '969', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40071', 'Burnt Piece of Bread', '$3404', '$3404', 'potion', 'normal', 'vegetation', '5000', '1649', '4251', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40072', 'Pizza', '$86', '$86', 'food', 'normal', 'vegetation', '2000', '125', '74', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '200', '0');
INSERT INTO `etcitem` VALUES ('40073', 'Easter Basket', 'Easter Basket', 'Easter Basket', 'food', 'normal', 'vegetation', '1000', '614', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40074', 'Scroll of Enchant Armor', '$249', '$249', 'scroll', 'zel', 'paper', '630', '467', '22', '26', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40075', 'Scroll of Destroy Armor', '$254', '$254', 'scroll', 'zel', 'paper', '630', '476', '22', '27', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40076', 'Ancient Scroll', '$1957', '$1957', 'scroll', 'normal', 'paper', '5000', '911', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40077', 'Ancients\' Alchemy Scroll', '$3363', '$3363', 'scroll', 'dai', 'paper', '630', '1690', '4286', '1396', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40078', 'Ancients\' Magic Scroll', '$3366', '$3366', 'scroll', 'zel', 'paper', '630', '1693', '4289', '1395', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40079', 'Scroll of Escape', '$505', '$505', 'scroll', 'normal', 'paper', '630', '474', '22', '1338', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40080', 'Scroll of Return - Gludin Town', '$3304', '$3304', 'scroll', 'normal', 'paper', '630', '474', '22', '1345', '1', '0', '0', '0', '0', '0', '32612', '32734', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40081', 'Scroll of Escape to Giran', '$1410', '$1410', 'scroll', 'normal', 'paper', '630', '474', '22', '1351', '1', '0', '0', '0', '0', '0', '33442', '32797', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40082', 'Scroll of Return - Singing Island', '$1411', '$1411', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '13', '32816', '32735', '68', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40083', 'Scroll of Teleportation - Lastabad', '$230 - Lastabad', '$230 - Lastabad', 'scroll', 'normal', 'paper', '630', '1813', '22', '0', '1', '0', '0', '0', '0', '0', '32572', '32663', '400', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40084', 'Scroll of Teleportation - Diad Fortress', '$3554', '$3554', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '0', '32723', '32851', '320', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40085', 'Scroll of Return - Talking Island', '$3303', '$3303', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '0', '32580', '32931', '0', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40086', 'Scroll of Mass Teleport', '$618', '$618', 'scroll', 'ntele', 'paper', '630', '469', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40087', 'Scroll of Enchant Weapon', '$244', '$244', 'scroll', 'dai', 'paper', '630', '468', '22', '25', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40088', 'Scroll of Polymorph', '$971', '$971', 'scroll', 'sosc', 'paper', '630', '472', '22', '1341', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40089', 'Scroll of Resurrection', '$257', '$257', 'scroll', 'res', 'paper', '630', '471', '22', '28', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40090', 'Blank Scroll (Level 1)', '$1486', '$1486', 'scroll', 'blank', 'paper', '630', '859', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40091', 'Blank Scroll (Level 2)', '$1892', '$1892', 'scroll', 'blank', 'paper', '630', '860', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40092', 'Blank Scroll (Level 3)', '$1893', '$1893', 'scroll', 'blank', 'paper', '630', '858', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40093', 'Blank Scroll (Level 4)', '$1894', '$1894', 'scroll', 'blank', 'paper', '630', '862', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40094', 'Blank Scroll (Level 5)', '$1895', '$1895', 'scroll', 'blank', 'paper', '630', '864', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40095', 'Ivory Tower Scroll of Return', '$3297', '$3297', 'scroll', 'normal', 'paper', '630', '474', '22', '1353', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40096', 'Ivory Tower Scroll of Polymorph', '$3300', '$3300', 'scroll', 'sosc', 'paper', '630', '472', '22', '1341', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40097', 'Ivory Tower Scroll of Curse Removal', '$3299', '$3299', 'scroll', 'normal', 'paper', '630', '470', '22', '1340', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40098', 'Ivory Tower Scroll of Identify', '$3298', '$3298', 'scroll', 'identify', 'paper', '630', '475', '22', '1339', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40099', 'Ivory Tower Teleport Scroll', '$3296', '$3296', 'scroll', 'ntele', 'paper', '630', '473', '22', '1337', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40100', 'Scroll of Teleportation', '$230', '$230', 'scroll', 'ntele', 'paper', '630', '473', '22', '1337', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40101', 'Scroll of Return - Hidden Valley', '$1424', '$1424', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '13', '32675', '32861', '69', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40102', 'Scroll of Return - Aden City', '$3314', '$3314', 'scroll', 'normal', 'paper', '630', '474', '22', '1355', '1', '0', '0', '0', '0', '0', '33966', '33253', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40103', 'Scroll of Return - Ivory Tower Town', '$3312', '$3312', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '0', '34061', '32276', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40104', 'TOI Teleport Scroll, 11F', '$2169', '$2169', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32631', '32935', '111', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40105', 'TOI Teleport Scroll, 21F', '$2168', '$2168', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32631', '32935', '121', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40106', 'TOI Teleport Scroll, 31F', '$2404', '$2404', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32631', '32935', '131', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40107', 'TOI Teleport Scroll, 41F', '$2405', '$2405', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32631', '32935', '141', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40108', 'TOI Teleport Scroll, 51F', '$2673', '$2673', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32669', '32814', '151', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40109', 'TOI Teleport Scroll, 61F', '$2674', '$2674', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32669', '32814', '161', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40110', 'TOI Teleport Scroll, 71F', '$2675', '$2675', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32669', '32814', '171', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40111', 'TOI Teleport Scroll, 81F', '$2676', '$2676', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32669', '32814', '181', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40112', 'TOI Teleport Scroll, 91F', '$2677', '$2677', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32669', '32814', '191', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40113', 'TOI Teleport Scroll, 100F', '$2862', '$2862', 'scroll', 'normal', 'paper', '630', '1035', '2878', '0', '1', '0', '0', '0', '0', '0', '32731', '32856', '200', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40114', 'Scroll of Return - Elven Forest', '$3308', '$3308', 'scroll', 'normal', 'paper', '630', '474', '22', '1349', '1', '0', '0', '0', '0', '0', '32867', '32510', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40115', 'Scroll of Return - Woodbec Village', '$3306', '$3306', 'scroll', 'normal', 'paper', '630', '474', '22', '1347', '1', '0', '0', '0', '0', '0', '32617', '33201', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40116', 'Scroll of Return - Werldern Town', '$3313', '$3313', 'scroll', 'normal', 'paper', '630', '474', '22', '1354', '1', '0', '0', '0', '0', '0', '33705', '32504', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40117', 'Scroll of Return - Silver Knight Town', '$3309', '$3309', 'scroll', 'normal', 'paper', '630', '474', '22', '1350', '1', '0', '0', '0', '0', '0', '33080', '33392', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40118', 'Scroll of Return - Recluse Village', '$3547', '$3547', 'scroll', 'normal', 'paper', '630', '1815', '22', '0', '1', '0', '0', '0', '0', '0', '32601', '32908', '400', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40119', 'Scroll of Curse Removal', '$243', '$243', 'scroll', 'normal', 'paper', '630', '470', '22', '1340', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40120', 'Scroll of Return - Resistance Village', '$3546', '$3546', 'scroll', 'normal', 'paper', '630', '1814', '22', '0', '1', '0', '0', '0', '0', '0', '32571', '32673', '400', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40121', 'Scroll of Teleportation - Diad Fortress', '$230 - Diad Fortress', '$230 - Diad Fortress', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '0', '32733', '32985', '330', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40122', 'Scroll of Return - Kent Village', '$3305', '$3305', 'scroll', 'normal', 'paper', '630', '474', '22', '1346', '1', '0', '0', '0', '0', '0', '33050', '32780', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40123', 'Scroll of Return - Heine City', '$3311', '$3311', 'scroll', 'normal', 'paper', '630', '474', '22', '1352', '1', '0', '0', '0', '0', '0', '33614', '33253', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40124', 'Scroll of Return - Pledge House', '$2380', '$2380', 'scroll', 'normal', 'paper', '630', '474', '22', '806', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40125', 'Scroll of Return - Orctown', '$3307', '$3307', 'scroll', 'normal', 'paper', '630', '474', '22', '1348', '1', '0', '0', '0', '0', '0', '32752', '32441', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40126', 'Scroll of Identify', '$55', '$55', 'scroll', 'identify', 'paper', '630', '475', '22', '1339', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40127', 'Scroll of Enchant Armor Illusion', '$2001', '$2001', 'scroll', 'zel', 'paper', '18000', '928', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40128', 'Scroll of Enchant Weapon Illusion', '$2000', '$2000', 'scroll', 'dai', 'paper', '13000', '929', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40129', 'Gian\'s Scroll', '$3359', '$3359', 'scroll', 'zel', 'paper', '630', '1686', '4282', '1395', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40130', 'Kalba\'s Scroll', '$3360', '$3360', 'scroll', 'dai', 'paper', '630', '1687', '4283', '1396', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40131', 'Totem of Gandi', '$501', '$501', 'totem', 'none', 'bone', '1000', '261', '732', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40132', 'Totem of Neruga', '$500', '$500', 'totem', 'none', 'bone', '1000', '259', '730', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40133', 'Totem of Duda-Mara', '$503', '$503', 'totem', 'none', 'bone', '1000', '260', '731', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40134', 'Totem of Rova', '$502', '$502', 'totem', 'none', 'bone', '1000', '262', '733', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40135', 'Totem of Atuba', '$499', '$499', 'totem', 'none', 'bone', '1000', '258', '729', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40136', 'Shot Firework', '$1654 $1616', '$1654 $1616', 'firecracker', 'normal', 'wood', '0', '596', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40137', 'Shot Mega Bam Firework', '$1655 $1616', '$1655 $1616', 'firecracker', 'normal', 'wood', '0', '598', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40138', 'High Quality Shot Mega Bam Firework', '$799 $1655 $1616', '$799 $1655 $1616', 'firecracker', 'normal', 'wood', '0', '597', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40139', 'Deep Blue Level 2 Firework', '$1627 $1630 $1616', '$1627 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40140', 'Deep Blue Sparkler', '$1627 $1656', '$1627 $1656', 'firecracker', 'normal', 'wood', '0', '599', '2057', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40141', 'Deep Blue Firework', '$1627 $1616', '$1627 $1616', 'firecracker', 'normal', 'wood', '0', '593', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40142', 'Deep Blue Heart Firework', '$1627 $1631 $1616', '$1627 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40143', 'Red Level 2 Firework', '$1625 $1630 $1616', '$1625 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40144', 'Red Sparkler', '$1625 $1656', '$1625 $1656', 'firecracker', 'normal', 'wood', '0', '599', '2057', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40145', 'Red Firework', '$1625 $1616', '$1625 $1616', 'firecracker', 'normal', 'wood', '0', '593', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40146', 'Red Heart Firework', '$1625 $1631 $1616', '$1625 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40147', 'Blue Level 2 Circle Firework', '$1626 $1630 $1629 $1616', '$1626 $1630 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '595', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40148', 'Blue Level 2 Firework', '$1626 $1630 $1616', '$1626 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40149', 'Blue Snow Flower Firework', '$1626 $1632 $1616', '$1626 $1632 $1616', 'firecracker', 'normal', 'wood', '0', '594', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40150', 'Blue Sparkler', '$1626 $1656', '$1626 $1656', 'firecracker', 'normal', 'wood', '0', '599', '2057', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40151', 'Blue Circle Firework', '$1626 $1629 $1616', '$1626 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '593', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40152', 'Blue Firework', '$1626 $1616', '$1626 $1616', 'firecracker', 'normal', 'wood', '0', '593', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40153', 'Blue Heart Firework', '$1626 $1631 $1616', '$1626 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40154', 'Christmas Firecracker', '$2683', '$2683', 'firecracker', 'normal', 'wood', '0', '1207', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40155', 'Yellow Level 2 Circle Firework', '$1628 $1630 $1629 $1616', '$1628 $1630 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '595', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40156', 'Yellow Level 2 Firework', '$1628 $1630 $1616', '$1628 $1630 $1616', 'firecracker', 'normal', 'wood', '0', '595', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40157', 'Yellow Snow Flower Firework', '$1628 $1632 $1616', '$1628 $1632 $1616', 'firecracker', 'normal', 'wood', '0', '594', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40158', 'Yellow Sparkler', '$1628 $1656', '$1628 $1656', 'firecracker', 'normal', 'wood', '0', '599', '2057', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40159', 'Yellow Circle Firework', '$1628 $1629 $1616', '$1628 $1629 $1616', 'firecracker', 'normal', 'wood', '0', '593', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40160', 'Yellow Firework', '$1628 $1616', '$1628 $1616', 'firecracker', 'normal', 'wood', '0', '593', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40161', 'Yellow Heart Firework', '$1628 $1631 $1616', '$1628 $1631 $1616', 'firecracker', 'normal', 'wood', '0', '594', '2009', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40162', 'Heart of Golem', '$3060', '$3060', 'material', 'none', 'gemstone', '1000', '1467', '4303', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40163', 'Golden Key', '$307', '$307', 'other', 'none', 'iron', '3000', '59', '19', '52', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40164', 'TechnicalDocument(ShockStun)', '$3259', '$3259', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40165', 'TechnicalDocument(ReductionArmor)', '$4007', '$4007', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40166', 'TechnicalDocument(BounceAttack)', '$4008', '$4008', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40167', 'Old Leather Pouch', '$3390', '$3390', 'treasure_box', 'normal', 'leather', '2000', '1643', '4246', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40168', 'Old Silk Pouch', '$3391', '$3391', 'treasure_box', 'normal', 'cloth', '5000', '1645', '4248', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40169', 'Heart of Drake', '$3063', '$3063', 'material', 'none', 'gemstone', '10', '1462', '4301', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40170', 'Spellbook(Fireball)', '$532', '$532', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40171', 'Spellbook(EnchantDex)', '$533', '$533', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40172', 'Spellbook(WeaponBreak)', '$534', '$534', 'spellbook', 'normal', 'paper', '7000', '254', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40173', 'Spellbook(VampiricTouch)', '$535', '$535', 'spellbook', 'normal', 'paper', '7000', '254', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40174', 'Spellbook(Slow)', '$536', '$536', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40175', 'Spellbook(EarthJail)', '$1586', '$1586', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40176', 'Spellbook(CounterMagic)', '$1860', '$1860', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40177', 'Spellbook(Meditate)', '$1861', '$1861', 'spellbook', 'normal', 'paper', '7000', '249', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40178', 'Spellbook(Paralyze)', '$537', '$537', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40179', 'Spellbook(CallLightning)', '$538', '$538', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40180', 'Spellbook(GreaterHeal)', '$539', '$539', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40181', 'Spellbook(TameMonster)', '$540', '$540', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40182', 'Spellbook(RemoveCurse)', '$541', '$541', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40183', 'Spellbook(ConeOfCold)', '$1587', '$1587', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40184', 'Spellbook(ManaDrain)', '$1862', '$1862', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40185', 'Spellbook(Darkness)', '$1863', '$1863', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40186', 'Spellbook(CreateZombie)', '$542', '$542', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40187', 'Spellbook(EnchantStr)', '$543', '$543', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40188', 'Spellbook(Haste)', '$544', '$544', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40189', 'Spellbook(Cancel)', '$545', '$545', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40190', 'Spellbook(Eruption)', '$546', '$546', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40191', 'Spellbook(SunBurst)', '$1588', '$1588', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40192', 'Spellbook(Weakness)', '$1864', '$1864', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40193', 'Spellbook(BlessWeapon)', '$1865', '$1865', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40194', 'Spellbook(HealPledge)', '$547', '$547', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40195', 'Spellbook(IceLance)', '$548', '$548', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40196', 'Spellbook(Summon)', '$549', '$549', 'spellbook', 'normal', 'paper', '7000', '256', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40197', 'Spellbook(HolyWalk)', '$550', '$550', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40198', 'Spellbook(Tornado)', '$551', '$551', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40199', 'Spellbook(GreaterHaste)', '$1651', '$1651', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40200', 'Spellbook(Berzerkers)', '$1866', '$1866', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40201', 'Spellbook(Disease)', '$1867', '$1867', 'spellbook', 'normal', 'paper', '7000', '256', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40202', 'Spellbook(FullHeal)', '$552', '$552', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40203', 'Spellbook(Firewall)', '$553', '$553', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40204', 'Spellbook(Blizzard)', '$554', '$554', 'spellbook', 'normal', 'paper', '7000', '256', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40205', 'Spellbook(Invisibility)', '$555', '$555', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40206', 'Spellbook(Resurrection)', '$556', '$556', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40207', 'Spellbook(Earthquake)', '$1589', '$1589', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40208', 'Spellbook(LifeStream)', '$1868', '$1868', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40209', 'Spellbook(Silence)', '$1869', '$1869', 'spellbook', 'normal', 'paper', '7000', '251', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40210', 'Spellbook(LightningStorm)', '$557', '$557', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40211', 'Spellbook(FogOfSleeping)', '$558', '$558', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40212', 'Spellbook(Polymorph)', '$559', '$559', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40213', 'Spellbook(ImmuneToHarm)', '$560', '$560', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40214', 'Spellbook(MassTeleport)', '$561', '$561', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40215', 'Spellbook(FireStorm)', '$1590', '$1590', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40216', 'Spellbook(DecayPotion)', '$1870', '$1870', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40217', 'Spellbook(CounterDetection)', '$1871', '$1871', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40218', 'Spellbook(CreateMagicalWeapon)', '$562', '$562', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40219', 'Spellbook(MeteorStrike)', '$563', '$563', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40220', 'Spellbook(GreaterResurrection)', '$564', '$564', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40221', 'Spellbook(MassSlow)', '$565', '$565', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40222', 'Spellbook(Destroy)', '$566', '$566', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40223', 'Spellbook(AbsoluteBarrier)', '$1872', '$1872', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40224', 'Spellbook(AdvanceSpirit)', '$1873', '$1873', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40225', 'Spellbook(FreezingBlizzard)', '$1874', '$1874', 'spellbook', 'normal', 'paper', '7000', '257', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40226', 'Spellbook(TrueTarget)', '$1959', '$1959', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40227', 'Spellbook(Glowing Aura)', '$1960', '$1960', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40228', 'Spellbook(CallPledgeMember)', '$2089', '$2089', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40229', 'Spellbook(Shining Aura)', '$3175', '$3175', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40230', 'Spellbook(Brave Aura)', '$3176', '$3176', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40231', 'Spellbook(Teleport to Pledge Member)', '$3260', '$3260', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40232', 'Spirit Crystal(ResistMagic)', '$1829', '$1829', 'spellbook', 'normal', 'gemstone', '7000', '673', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40233', 'Spirit Crystal(BodytoMind)', '$1830', '$1830', 'spellbook', 'normal', 'gemstone', '7000', '673', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40234', 'Spirit Crystal(TeleportToMotherTree)', '$1831', '$1831', 'spellbook', 'normal', 'gemstone', '7000', '673', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40235', 'Spirit Crystal(ClearMind)', '$1832', '$1832', 'spellbook', 'normal', 'gemstone', '7000', '674', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40236', 'Spirit Crystal(ResistElemental)', '$1833', '$1833', 'spellbook', 'normal', 'gemstone', '7000', '674', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40237', 'Spirit Crystal(ReturnToNature)', '$1834', '$1834', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40238', 'Spirit Crystal(BloodtoSoul)', '$1835', '$1835', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40239', 'Spirit Crystal(ProtectionFromElemental)', '$1836', '$1836', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40240', 'Spirit Crystal(TripleShot)', '$3261', '$3261', 'spellbook', 'normal', 'gemstone', '7000', '677', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40241', 'Spirit Crystal(ElementalFallDown)', '$3262', '$3262', 'spellbook', 'normal', 'gemstone', '7000', '682', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40242', 'Spirit Crystal(EraseMagic)', '$1842', '$1842', 'spellbook', 'normal', 'gemstone', '7000', '682', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40243', 'Spirit Crystal(SummonLesserElement)', '$1843', '$1843', 'spellbook', 'normal', 'gemstone', '7000', '682', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40244', 'Spirit Crystal(AreaOfSilence)', '$1849', '$1849', 'spellbook', 'normal', 'gemstone', '7000', '687', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40245', 'Spirit Crystal(SummonGreaterElement)', '$1850', '$1850', 'spellbook', 'normal', 'gemstone', '7000', '687', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40246', 'Spirit Crystal(CounterMirror)', '$3263', '$3263', 'spellbook', 'normal', 'gemstone', '7000', '687', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40247', 'Spirit Crystal(EarthSkin)', '$1840', '$1840', 'spellbook', 'normal', 'gemstone', '7000', '676', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40248', 'Spirit Crystal(Entangle)', '$1841', '$1841', 'spellbook', 'normal', 'gemstone', '7000', '676', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40249', 'Spirit Crystal(EarthBind)', '$1846', '$1846', 'spellbook', 'normal', 'gemstone', '7000', '676', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40250', 'Spirit Crystal(BlessOfEarth)', '$1848', '$1848', 'spellbook', 'normal', 'gemstone', '7000', '681', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40251', 'Spirit Crystal(IronSkin)', '$1856', '$1856', 'spellbook', 'normal', 'gemstone', '7000', '686', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40252', 'Spirit Crystal(ExoticVitalize)', '$3265', '$3265', 'spellbook', 'normal', 'gemstone', '7000', '686', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40253', 'Spirit Crystal(WaterLife)', '$3266', '$3266', 'spellbook', 'normal', 'gemstone', '7000', '678', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40254', 'Spirit Crystal(NaturesTouch)', '$1847', '$1847', 'spellbook', 'normal', 'gemstone', '7000', '683', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40255', 'Spirit Crystal(NaturesBlessing)', '$1852', '$1852', 'spellbook', 'normal', 'gemstone', '7000', '688', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40256', 'Spirit Crystal(FireWeapon)', '$1837', '$1837', 'spellbook', 'normal', 'gemstone', '7000', '675', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40257', 'Spirit Crystal(BlessOfFire)', '$1844', '$1844', 'spellbook', 'normal', 'gemstone', '7000', '680', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40258', 'Spirit Crystal(BurningWeapon)', '$1851', '$1851', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40259', 'Spirit Crystal(ElementalFire)', '$3267', '$3267', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40260', 'Spirit Crystal(WindShot)', '$1838', '$1838', 'spellbook', 'normal', 'gemstone', '7000', '679', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40261', 'Spirit Crystal(WindWalk)', '$1839', '$1839', 'spellbook', 'normal', 'gemstone', '7000', '679', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40262', 'Spirit Crystal(EyeofStorm)', '$1845', '$1845', 'spellbook', 'normal', 'gemstone', '7000', '684', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40263', 'Spirit Crystal(StormShot)', '$1854', '$1854', 'spellbook', 'normal', 'gemstone', '7000', '689', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40264', 'Spirit Crystal(WindShackle)', '$1855', '$1855', 'spellbook', 'normal', 'gemstone', '7000', '689', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40265', 'Dark Spirit Crystal(BlindHiding)', '$2518', '$2518', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40266', 'Dark Spirit Crystal(EnchantVenom)', '$2519', '$2519', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40267', 'Dark Spirit Crystal(ShadowArmor)', '$2520', '$2520', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40268', 'Dark Spirit Crystal(PurifyStone)', '$2521', '$2521', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40269', 'Dark Spirit Crystal(DressMighty)', '$3172', '$3172', 'spellbook', 'normal', 'gemstone', '7000', '1135', '2956', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40270', 'Dark Spirit Crystal(MovingAcceleration)', '$2522', '$2522', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40271', 'Dark Spirit Crystal(BurningSpirit)', '$2523', '$2523', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40272', 'Dark Spirit Crystal(DarkBlind)', '$2524', '$2524', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40273', 'Dark Spirit Crystal(VenomResist)', '$2525', '$2525', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40274', 'Dark Spirit Crystal(DressDex)', '$3173', '$3173', 'spellbook', 'normal', 'gemstone', '7000', '1136', '2957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40275', 'Dark Spirit Crystal(DoubleBreak)', '$2526', '$2526', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40276', 'Dark Spirit Crystal(UncannyDodge)', '$2527', '$2527', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40277', 'Dark Spirit Crystal(ShadowFang)', '$2528', '$2528', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40278', 'Dark Spirit Crystal(FinalBurn)', '$2529', '$2529', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40279', 'Dark Spirit Crystal(DressEvasion)', '$3174', '$3174', 'spellbook', 'normal', 'gemstone', '7000', '1137', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40280', 'Sealed TOI Teleport Charm, 11F', '$2582', '$2582', 'other', 'normal', 'none', '10000', '1164', '3069', '808', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40281', 'Sealed TOI Teleport Charm, 21F', '$2583', '$2583', 'other', 'normal', 'none', '10000', '1164', '3069', '809', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40282', 'Sealed TOI Teleport Charm, 31F', '$2584', '$2584', 'other', 'normal', 'none', '10000', '1164', '3069', '810', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40283', 'Sealed TOI Teleport Charm, 41F', '$2585', '$2585', 'other', 'normal', 'none', '10000', '1164', '3069', '811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40284', 'Sealed TOI Teleport Charm, 51F', '$2668', '$2668', 'other', 'normal', 'none', '10000', '1164', '3069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40285', 'Sealed TOI Teleport Charm, 61F', '$2669', '$2669', 'other', 'normal', 'none', '10000', '1164', '3069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40286', 'Sealed TOI Teleport Charm, 71F', '$2670', '$2670', 'other', 'normal', 'none', '10000', '1164', '3069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40287', 'Sealed TOI Teleport Charm, 81F', '$2671', '$2671', 'other', 'normal', 'none', '10000', '1164', '3069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40288', 'Sealed TOI Teleport Charm, 91F', '$2672', '$2672', 'other', 'normal', 'none', '10000', '1164', '3069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40289', 'TOI Teleport Charm, 11F', '$2400', '$2400', 'other', 'normal', 'paper', '10000', '1036', '2879', '922', '0', '0', '0', '0', '0', '0', '32631', '32935', '111', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40290', 'TOI Teleport Charm, 21F', '$2401', '$2401', 'other', 'normal', 'paper', '10000', '1036', '2879', '923', '0', '0', '0', '0', '0', '0', '32631', '32935', '121', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40291', 'TOI Teleport Charm, 31F', '$2402', '$2402', 'other', 'normal', 'paper', '10000', '1036', '2879', '924', '0', '0', '0', '0', '0', '0', '32631', '32935', '131', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40292', 'TOI Teleport Charm, 41F', '$2403', '$2403', 'other', 'normal', 'paper', '10000', '1036', '2879', '925', '0', '0', '0', '0', '0', '0', '32631', '32935', '141', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40293', 'TOI Teleport Charm, 51F', '$2678', '$2678', 'other', 'normal', 'paper', '10000', '1036', '2879', '0', '0', '0', '0', '0', '0', '0', '32669', '32814', '151', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40294', 'TOI Teleport Charm, 61F', '$2679', '$2679', 'other', 'normal', 'paper', '10000', '1036', '2879', '0', '0', '0', '0', '0', '0', '0', '32669', '32814', '161', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40295', 'TOI Teleport Charm, 71F', '$2680', '$2680', 'other', 'normal', 'paper', '10000', '1036', '2879', '0', '0', '0', '0', '0', '0', '0', '32669', '32814', '171', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40296', 'TOI Teleport Charm, 81F', '$2681', '$2681', 'other', 'normal', 'paper', '10000', '1036', '2879', '0', '0', '0', '0', '0', '0', '0', '32669', '32814', '181', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40297', 'TOI Teleport Charm, 91F', '$2682', '$2682', 'other', 'normal', 'paper', '10000', '1036', '2879', '0', '0', '0', '0', '0', '0', '0', '32669', '32814', '191', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40298', 'Boat Ticket to Island', '$315', '$315', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40299', 'Ticket to Gludio Estate', '$314', '$314', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40300', 'Forgotten Island Boat Ticket', '$1930', '$1930', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40301', 'Heine Boat Ticket', '$1945', '$1945', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40302', 'Boat Ticket to Pirate\'s Island', '$3439', '$3439', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40303', 'Boat Ticket to Hidden Dock', '$3440', '$3440', 'other', 'none', 'paper', '1000', '138', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40304', 'Relic of Maphr', '$3064', '$3064', 'other', 'none', 'gemstone', '10', '544', '1561', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40305', 'Relic of Paagrio', '$3065', '$3065', 'other', 'none', 'gemstone', '10', '545', '1563', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40306', 'Relic of Eva', '$3066', '$3066', 'other', 'none', 'gemstone', '10', '543', '1562', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40307', 'Relic of Sayha', '$3067', '$3067', 'other', 'none', 'gemstone', '10', '546', '1564', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40308', 'Adena', '$4', '$4', 'other', 'none', 'gold', '0', '5', '7', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40312', 'Inn Room Key', '$954', '$954', 'other', 'none', 'iron', '1000', '59', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40310', 'Stationary', '$1075', '$1075', 'other', 'letter', 'paper', '0', '464', '1215', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40311', 'Blood Pledge Letter', '$1146', '$1146', 'other', 'letter', 'paper', '0', '464', '1215', '357', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40313', 'Pale Silver Key', '$308', '$308', 'other', 'none', 'iron', '3000', '59', '137', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40314', 'Pet Collar', '$1173', '$1173', 'other', 'normal', 'iron', '5000', '487', '1317', '361', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40315', 'Pet Whistle', '$1086', '$1086', 'other', 'instrument', 'wood', '8000', '477', '1218', '343', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40316', 'High Quality Pet Collar', '$3706', '$3706', 'other', 'normal', 'iron', '5000', '1617', '1317', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40317', 'Whetstone', '$1100', '$1100', 'other', 'choice', 'mineral', '4000', '478', '1252', '348', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40318', 'Magic Gem', '$508', '$508', 'material', 'none', 'gemstone', '2000', '235', '773', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40319', 'Spirit Gem', '$1822', '$1822', 'material', 'none', 'gemstone', '1000', '706', '773', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40320', 'Bring Stone', '$2474', '$2474', 'material', 'none', 'mineral', '300', '1061', '2897', '836', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40321', 'Dark Stone', '$2475', '$2475', 'material', 'none', 'mineral', '600', '1054', '2898', '837', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40322', 'Brave Stone', '$2476', '$2476', 'material', 'none', 'mineral', '900', '1055', '2899', '838', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40323', 'Wise Stone', '$2477', '$2477', 'material', 'none', 'mineral', '1200', '1056', '2900', '839', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40324', 'Kaiser Stone', '$2478', '$2478', 'material', 'none', 'mineral', '1500', '1057', '2901', '840', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40325', 'Two-Sided Magic Dice', '$2719', '$2719', 'other', 'normal', 'gemstone', '5000', '1210', '3274', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40326', 'Three-Sided Magic Dice', '$2720', '$2720', 'other', 'normal', 'gemstone', '5000', '1212', '3275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40327', 'Four-Sided Magic Dice', '$2721', '$2721', 'other', 'normal', 'gemstone', '5000', '1214', '3276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40328', 'Six-Sided Magic Dice', '$2722', '$2722', 'other', 'normal', 'gemstone', '5000', '1216', '3252', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40329', 'Native\'s Totem', '$3494', '$3494', 'other', 'normal', 'bone', '1000', '1763', '4341', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40330', 'Unlimited Quiver', '$3493', '$3493', 'treasure_box', 'normal', 'leather', '60000', '1762', '4340', '1498', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '86400', '0', '1');
INSERT INTO `etcitem` VALUES ('40331', 'Sword of Kent Soldier', '$3393', '$3393', 'other', 'none', 'iron', '40000', '1650', '4253', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40332', 'Bow of Kent Archer', '$3394', '$3394', 'other', 'none', 'wood', '30000', '1652', '4254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40333', 'Staff of Kent Wizard', '$3395', '$3395', 'other', 'none', 'wood', '20000', '1654', '4255', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40334', 'Axe of Kent Warrior', '$3396', '$3396', 'other', 'none', 'iron', '20000', '1656', '4256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40335', 'Kent Axe', '$3397', '$3397', 'other', 'none', 'iron', '60000', '1658', '4257', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40336', 'Kent Emblem Boots', '$3398', '$3398', 'other', 'none', 'silver', '150000', '1639', '4242', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40337', 'Kent Emblem Armor', '$3399', '$3399', 'other', 'none', 'silver', '450000', '1642', '4245', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40338', 'Kent Emblem Gloves', '$3400', '$3400', 'other', 'none', 'silver', '50000', '1640', '4243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40339', 'Kent Emblem Shield', '$3401', '$3401', 'other', 'none', 'silver', '300000', '1660', '4264', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40340', 'Kent Emblem Helm', '$3402', '$3402', 'other', 'none', 'silver', '100000', '1641', '4244', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40341', 'Scale of Antharas', '$2778', '$2778', 'material', 'none', 'dragonscale', '1000', '1284', '3334', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40342', 'Crushed Claw of Antharas', '$2779', '$2779', 'material', 'none', 'bone', '1000', '1264', '3335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40343', 'Eye of Antharas', '$2780', '$2780', 'material', 'none', 'animalmatter', '1000', '1276', '3336', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40344', 'Blood of Antharas', '$2781', '$2781', 'material', 'none', 'animalmatter', '1000', '1268', '3337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40345', 'Antharas Flesh', '$2782', '$2782', 'material', 'none', 'animalmatter', '1000', '1280', '3322', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40346', 'Heart of Antharas', '$2783', '$2783', 'material', 'none', 'animalmatter', '1000', '1292', '3339', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40347', 'Bone of Antharas', '$2784', '$2784', 'material', 'none', 'bone', '1000', '1272', '3348', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40348', 'Tooth of Antharas', '$2785', '$2785', 'material', 'none', 'bone', '1000', '1288', '3341', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40349', 'Scale of Valakas', '$2786', '$2786', 'material', 'none', 'dragonscale', '1000', '1283', '3326', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40350', 'Crushed Claw of Valakas', '$2787', '$2787', 'material', 'none', 'bone', '1000', '1263', '3327', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40351', 'Eye of Valakas', '$2788', '$2788', 'material', 'none', 'animalmatter', '1000', '1275', '3328', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40352', 'Blood of Valakas', '$2789', '$2789', 'material', 'none', 'animalmatter', '1000', '1267', '3329', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40353', 'Valakas Flesh', '$2790', '$2790', 'material', 'none', 'animalmatter', '1000', '1279', '3330', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40354', 'Heart of Valakas', '$2791', '$2791', 'material', 'none', 'animalmatter', '1000', '1291', '3331', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40355', 'Bone of Valakas', '$2792', '$2792', 'material', 'none', 'bone', '1000', '1271', '3332', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40356', 'Tooth of Valakas', '$2793', '$2793', 'material', 'none', 'bone', '1000', '1287', '3333', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40357', 'Scale of Fafurion', '$2794', '$2794', 'material', 'none', 'dragonscale', '1000', '1281', '3342', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40358', 'Crushed Claw of Fafurion', '$2795', '$2795', 'material', 'none', 'bone', '1000', '1261', '3343', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40359', 'Eye of Fafurion', '$2796', '$2796', 'material', 'none', 'animalmatter', '1000', '1273', '3344', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40360', 'Blood of Fafurion', '$2797', '$2797', 'material', 'none', 'animalmatter', '1000', '1265', '3345', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40361', 'Fafurion Flesh', '$2798', '$2798', 'material', 'none', 'animalmatter', '1000', '1277', '3346', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40362', 'Heart of Fafurion', '$2799', '$2799', 'material', 'none', 'animalmatter', '1000', '1289', '3347', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40363', 'Bone of Fafurion', '$2800', '$2800', 'material', 'none', 'bone', '1000', '1269', '3348', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40364', 'Tooth of Fafurion', '$2801', '$2801', 'material', 'none', 'bone', '1000', '1285', '3349', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40365', 'Scale of Lindvior', '$2802', '$2802', 'material', 'none', 'dragonscale', '1000', '1282', '3318', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40366', 'Crushed Claw of Lindvior', '$2803', '$2803', 'material', 'none', 'bone', '1000', '1262', '3319', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40367', 'Eye of Lindvior', '$2804', '$2804', 'material', 'none', 'animalmatter', '1000', '1274', '3320', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40368', 'Blood of Lindvior', '$2805', '$2805', 'material', 'none', 'animalmatter', '1000', '1266', '3321', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40369', 'Lindvior Flesh', '$2806', '$2806', 'material', 'none', 'animalmatter', '1000', '1278', '3338', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40370', 'Heart of Lindvior', '$2807', '$2807', 'material', 'none', 'animalmatter', '1000', '1290', '3323', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40371', 'Bone of Lindvior', '$2808', '$2808', 'material', 'none', 'bone', '1000', '1270', '3324', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40372', 'Tooth of Lindvior', '$2809', '$2809', 'material', 'none', 'bone', '1000', '1286', '3325', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40373', 'Map:All of Aden', '$1101', '$1101', 'other', 'normal', 'paper', '1000', '1138', '2982', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40374', 'Map:Talking Island', '$1102', '$1102', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40375', 'Map:Gludio', '$1103', '$1103', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40376', 'Map:Kent Castle', '$1104', '$1104', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40377', 'Map:Orcish Fortress', '$1105', '$1105', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40378', 'Map:Elven Forest', '$1106', '$1106', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40379', 'Map:Windawood', '$1107', '$1107', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40380', 'Map:Silver Knight Town', '$1108', '$1108', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40381', 'Map:Dragon Valley', '$1109', '$1109', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40382', 'Map:Giran', '$1188', '$1188', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40383', 'Map:Singing Island', '$1533', '$1533', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40384', 'Map:Hidden Valley', '$1534', '$1534', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40385', 'Map:Heine', '$1535', '$1535', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40386', 'Map:Lair of Valakas', '$1607', '$1607', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40387', 'Map:Oren', '$1889', '$1889', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40388', 'Map: Aden', '$2203', '$2203', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40389', 'Map: Silent Cavern', '$2543', '$2543', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40390', 'Map: Pirate island', '$3616', '$3616', 'other', 'normal', 'paper', '1000', '479', '1275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40391', 'Calculator', '$3235', '$3235', 'other', 'normal', 'steel', '1000', '1606', '3953', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40392', 'Christmas Tree', '$2687', '$2687', 'other', 'none', 'wood', '0', '143', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40393', 'Red Dragon Scales', '$145', '$145', 'material', 'none', 'dragonscale', '8000', '549', '1567', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40394', 'White Dragon Scales', '$146', '$146', 'material', 'none', 'dragonscale', '8000', '550', '1568', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40395', 'Blue Dragon Scales', '$149', '$149', 'material', 'none', 'dragonscale', '8000', '547', '1566', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40396', 'Green Dragon Scales', '$150', '$150', 'material', 'none', 'dragonscale', '8000', '548', '1565', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40397', 'Cimaera Skin (Dragon)', '$2195', '$2195', 'material', 'none', 'leather', '0', '965', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40398', 'Cimaera Skin (Goat)', '$2196', '$2196', 'material', 'none', 'leather', '0', '966', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40399', 'Cimaera Skin (Lion)', '$2197', '$2197', 'material', 'none', 'leather', '0', '967', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40400', 'Cimaera Skin (Snake)', '$2198', '$2198', 'material', 'none', 'leather', '0', '968', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40401', 'Cursed Leather (Fire)', '$2593', '$2593', 'material', 'none', 'leather', '1000', '1177', '3111', '928', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40402', 'Cursed Leather (Water)', '$2594', '$2594', 'material', 'none', 'leather', '1000', '1167', '3112', '929', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40403', 'Cursed Leather (Wind)', '$2595', '$2595', 'material', 'none', 'leather', '1000', '1175', '3114', '930', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40404', 'Cursed Leather (Earth)', '$2596', '$2596', 'material', 'none', 'leather', '1000', '1186', '3113', '931', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40405', 'Fur', '$1036', '$1036', 'material', 'none', 'leather', '80', '446', '1164', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40406', 'Hard Leather', '$1039', '$1039', 'material', 'none', 'leather', '250', '455', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40407', 'Bone Piece', '$1040', '$1040', 'material', 'none', 'bone', '160', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40408', 'Lump of Iron', '$1037', '$1037', 'material', 'none', 'iron', '780', '454', '1167', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40409', 'Heart of Firebird', '$3061', '$3061', 'material', 'none', 'gemstone', '1000', '1468', '4297', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40410', 'Bark of Black Ent', '$3095', '$3095', 'material', 'spell_long', 'wood', '1000', '1494', '3716', '1183', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40411', 'Fruit of Black Ent', '$3096', '$3096', 'treasure_box', 'normal', 'vegetation', '2300', '1495', '3717', '1184', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40412', 'Twig of Black Ent', '$3094', '$3094', 'material', 'normal', 'wood', '7000', '1493', '3715', '1182', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40413', 'Heart of Ice Queen', '$3062', '$3062', 'material', 'none', 'gemstone', '10', '1469', '4299', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40414', 'Alchemist\'s Stone', '$3369', '$3369', 'treasure_box', 'normal', 'gemstone', '0', '1717', '4305', '1405', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '86400', '0', '1');
INSERT INTO `etcitem` VALUES ('40415', 'Relic Pouch', '$3392', '$3392', 'treasure_box', 'normal', 'cloth', '8000', '1644', '4247', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40416', 'Cursed Blood', '$3371', '$3371', 'treasure_box', 'normal', 'glass', '0', '1716', '4304', '1407', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '86400', '0', '1');
INSERT INTO `etcitem` VALUES ('40417', 'Special Spirit Crystal', '$3521', '$3521', 'material', 'normal', 'gemstone', '1000', '244', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40418', 'Tarak\'s Valuables', '$3348', '$3348', 'material', 'none', 'iron', '4000', '1759', '427', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40419', 'Web of Muryan', '$3538', '$3538', 'material', 'none', 'cloth', '0', '1807', '4442', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40420', 'Ancients\' Book of Magic, Volume 1', '$3357', '$3357', 'material', 'none', 'paper', '0', '1684', '4280', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40421', 'Ancients\' Book of Magic, Volume 2', '$3361', '$3361', 'material', 'none', 'paper', '0', '1688', '4284', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40422', 'Ancients\' Book of Magic, Volume 3', '$3364', '$3364', 'material', 'none', 'paper', '0', '1691', '4287', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40423', 'Ancients\' Book of Magic, Volume 4', '$3367', '$3367', 'material', 'none', 'paper', '0', '1694', '4290', '1397', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40424', 'Wolf Pelt', '$3533', '$3533', 'material', 'none', 'leather', '0', '1802', '3127', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40425', 'Potion of Dark Forest', '$3093', '$3093', 'material', 'none', 'glass', '10', '1492', '3714', '1181', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40426', 'Ring of Dark Forester', '$3090', '$3090', 'material', 'none', 'gold', '10', '1488', '3710', '1178', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40427', 'Dark Elven Pouch', '$3536', '$3536', 'material', 'normal', 'leather', '1000', '1805', '4440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40428', 'Tear of Moonlight', '$2864', '$2864', 'material', 'none', 'gemstone', '0', '1323', '3368', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40429', 'Piece of Large Cave Scroll', '$3544', '$3544', 'material', 'none', 'paper', '0', '1800', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40430', 'Large Cave Crystal', '$3542', '$3542', 'material', 'none', 'gemstone', '2000', '1811', '4446', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40431', 'Leather of Mole', '$3106', '$3106', 'material', 'none', 'leather', '80', '1505', '3727', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40432', 'Diad Scroll Piece', '$3553', '$3553', 'material', 'none', 'paper', '0', '1800', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40433', 'Dillo Claw', '$3540', '$3540', 'material', 'none', 'bone', '0', '1809', '4444', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40434', 'Tail of Dillo', '$3107', '$3107', 'material', 'none', 'leather', '80', '1506', '3728', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40435', 'Bud of Deep Flower', '$3102', '$3102', 'material', 'none', 'none', '390', '1501', '3723', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40436', 'Root of Deep Flower', '$3101', '$3101', 'material', 'none', 'none', '780', '1500', '3722', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40437', 'Deep Flower Twig', '$3534', '$3534', 'material', 'none', 'wood', '0', '1803', '4438', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40438', 'Bat Fang', '$3532', '$3532', 'material', 'none', 'bone', '0', '1801', '3128', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40439', 'Platinum Plate', '$3035', '$3035', 'material', 'none', 'platinum', '13000', '1426', '3527', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40440', 'Lump of Platinum', '$3033', '$3033', 'material', 'none', 'platinum', '6000', '1424', '3525', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40441', 'Rough Platinum Piece', '$3034', '$3034', 'material', 'none', 'platinum', '780', '1425', '3526', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40442', 'Blob Glastic Juice', '$3115', '$3115', 'material', 'none', 'glass', '14100', '1530', '3828', '1203', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40443', 'Black Lump of Pure Mithril', '$3020', '$3020', 'material', 'none', 'blackmithril', '80', '1415', '3487', '1121', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40444', 'Black Lump of Rough Mithril', '$3019', '$3019', 'material', 'none', 'blackmithril', '230', '1416', '3486', '1120', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40445', 'Black Mithril Plate', '$3021', '$3021', 'material', 'none', 'blackmithril', '160', '1414', '3488', '1122', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40446', 'Ring of Black Wizard', '$3086', '$3086', 'material', 'none', 'gemstone', '10', '1484', '3706', '1174', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40447', 'Leather of Black Tiger', '$3098', '$3098', 'material', 'none', 'leather', '160', '1497', '3719', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40448', 'Claw of Black Tiger', '$3100', '$3100', 'material', 'none', 'bone', '80', '1499', '3721', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40449', 'Fang of Black Tiger', '$3099', '$3099', 'material', 'none', 'bone', '80', '1498', '3725', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40450', 'Twig of Black Ent', '$3094', '$3094', 'material', 'normal', 'wood', '1000', '1808', '3715', '1182', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40451', 'Black Tiger Heart', '$3535', '$3535', 'material', 'none', 'gemstone', '0', '1804', '4439', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40452', 'Ring of Beast Summoner', '$3082', '$3082', 'material', 'none', 'gemstone', '10', '1520', '3795', '1170', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40453', 'Whip of Beast Summoner', '$3085', '$3085', 'material', 'none', 'leather', '80', '1523', '3798', '1173', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40454', 'Beast Tamer Ring', '$2917', '$2917', 'material', 'none', 'bone', '18000', '1338', '3438', '1092', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40455', 'Blue Cloth', '$1197', '$1197', 'material', 'none', 'cloth', '0', '517', '1493', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40456', 'Red Cloth', '$1199', '$1199', 'material', 'none', 'cloth', '0', '519', '1495', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40457', 'White Cloth', '$1200', '$1200', 'material', 'none', 'cloth', '0', '520', '1496', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40458', 'Shining Scale', '$2600', '$2600', 'material', 'none', 'none', '0', '1171', '3118', '935', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40459', 'Scorpion Shell', '$3537', '$3537', 'material', 'none', 'leather', '0', '1806', '4441', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40460', 'Ash of Astagio', '$1608', '$1608', 'material', 'none', 'bone', '390', '591', '1988', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40461', 'Devil\'s Black Shackles', '$3358', '$3358', 'material', 'none', 'iron', '0', '1685', '4281', '1394', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40462', 'Devil\'s Red Shackles', '$3362', '$3362', 'material', 'none', 'iron', '0', '1689', '4285', '1398', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40463', 'Devil\'s Blue Shackles', '$3365', '$3365', 'material', 'none', 'iron', '0', '1692', '4288', '1401', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40464', 'Devil\'s White Shackles', '$3368', '$3368', 'material', 'none', 'iron', '0', '1695', '4291', '1404', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40465', 'Elementalist Ring', '$2919', '$2919', 'material', 'none', 'wood', '18000', '1340', '3440', '1093', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40466', 'Heart of Dragon', '$2200', '$2200', 'material', 'none', 'none', '5000', '1032', '3339', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40467', 'Lump of Silver', 'Lump of Silver', 'Lump of Silver', 'material', 'none', 'silver', '6000', '1427', '3528', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40468', 'Rough Silver Piece', '$3031', '$3031', 'material', 'none', 'silver', '780', '1428', '3529', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40469', 'Silver Plate', '$3032', '$3032', 'material', 'none', 'silver', '13000', '1429', '3530', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40470', 'Piece of Soul', '$3543', '$3543', 'material', 'none', 'gemstone', '1000', '1812', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40471', 'Fragment of Spirit', '$3522', '$3522', 'material', 'none', 'gemstone', '0', '242', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40472', 'Cerberus Fur', '$3541', '$3541', 'material', 'none', 'leather', '1000', '1810', '4445', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40473', 'Tarak\'s Sickle', '$3347', '$3347', 'material', 'none', 'iron', '0', '1671', '4271', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40474', 'Tarak\'s Poison', '$3352', '$3352', 'material', 'none', 'animalmatter', '0', '1677', '4275', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40475', 'Tarak\'s Head', '$3342', '$3342', 'material', 'none', 'bone', '0', '1661', '4266', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40476', 'Tarak\'s Hand', '$3356', '$3356', 'material', 'none', 'animalmatter', '0', '1682', '4279', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40477', 'Tarak\'s Devil Book, Volume 1', '$3349', '$3349', 'material', 'none', 'paper', '0', '1673', '4272', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40478', 'Tarak\'s Devil Book, Volume 2', '$3351', '$3351', 'material', 'none', 'paper', '0', '1676', '4274', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40479', 'Tarak\'s Devil Book, Volume 3', '$3353', '$3353', 'material', 'none', 'paper', '0', '1678', '4276', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40480', 'Tarak\'s Devil Book, Volume 4', '$3355', '$3355', 'material', 'none', 'paper', '0', '1681', '4278', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40481', 'Tarak\'s Tooth', '$3354', '$3354', 'material', 'none', 'bone', '0', '1679', '4277', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40482', 'Tarak\'s Tongue', '$3350', '$3350', 'material', 'none', 'animalmatter', '0', '1674', '4273', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40483', 'Rind of Plate Worm', '$3105', '$3105', 'material', 'none', 'leather', '40', '1504', '3726', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40484', 'Venom of Plate Worm', '$3103', '$3103', 'material', 'none', 'none', '2000', '1502', '3724', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40485', 'Fang of Plate Worm', '$3104', '$3104', 'material', 'none', 'bone', '80', '1503', '3720', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40486', 'Volcanic Ash', '$3116', '$3116', 'material', 'none', 'none', '10', '1524', '3802', '1204', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40487', 'Gold Plate', '$3029', '$3029', 'material', 'none', 'gold', '13000', '1423', '3524', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40488', 'Lump of Gold', '$3027', '$3027', 'material', 'none', 'gold', '6000', '1421', '3522', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40489', 'Rough Gold Piece', '$3028', '$3028', 'material', 'none', 'gold', '780', '1422', '3523', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40490', 'Black Spirit Stone', '$3117', '$3117', 'material', 'none', 'gemstone', '40', '1532', '3826', '1205', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40491', 'Griffon Feather', '$1890', '$1890', 'material', 'none', 'leather', '0', '861', '3965', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40492', 'Green Crystal', '$3970', '$3970', 'material', 'none', 'gemstone', '0', '1463', '2906', '1830', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40493', 'Magic Flute', '$777', '$777', 'material', 'instrument', 'silver', '8000', '43', '906', '262', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40494', 'Pure Mithril', '$767', '$767', 'material', 'none', 'mithril', '500', '318', '889', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40495', 'Mithril Thread', '$772', '$772', 'material', 'none', 'mithril', '1000', '307', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40496', 'Rough Mithril', '$761', '$761', 'material', 'none', 'mithril', '1000', '320', '888', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40497', 'Mithril Plate', '$779', '$779', 'material', 'none', 'mithril', '31000', '329', '907', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40498', 'Wind Tear', '$1891', '$1891', 'material', 'none', 'gemstone', '0', '865', '3966', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40499', 'Fungus Juice', '$764', '$764', 'material', 'none', 'glass', '14000', '82', '47', '249', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40500', 'Purple Crystal', '$3973', '$3973', 'material', 'none', 'gemstone', '0', '942', '3963', '1833', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40501', 'Red Crystal', '$3972', '$3972', 'material', 'none', 'gemstone', '0', '1464', '2904', '1832', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40502', 'Thread', '$766', '$766', 'material', 'none', 'cloth', '1000', '326', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40503', 'Web of Arachne', '$769', '$769', 'material', 'none', 'web', '1000', '308', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40504', 'Ecdysis of Arachne', '$774', '$774', 'material', 'none', 'web', '8000', '306', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40505', 'Bark of Ent', '$770', '$770', 'material', 'none', 'wood', '4000', '311', '883', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40506', 'Fruit of Ent', '$794', '$794', 'material', 'normal', 'vegetation', '8000', '126', '79', '279', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40507', 'Twig of Ent', '$763', '$763', 'material', 'normal', 'wood', '1000', '309', '881', '248', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40508', 'Oriharukon', '$771', '$771', 'material', 'none', 'oriharukon', '2000', '319', '3963', '256', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40509', 'Oriharukon Plate', '$780', '$780', 'material', 'none', 'oriharukon', '14000', '330', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40510', 'Bark of Contaminated Ent', '$3985', '$3985', 'material', 'none', 'wood', '4000', '2050', '5240', '1828', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40511', 'Fruit of Contaminated Ent', '$3987', '$3987', 'material', 'none', 'vegetation', '8000', '2049', '5209', '1827', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40512', 'Root of Contaminated Ent', '$3986', '$3986', 'material', 'none', 'wood', '0', '2063', '5211', '1826', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40513', 'Blood of Ogre', '$765', '$765', 'material', 'none', 'glass', '0', '531', '905', '250', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40514', 'Tear of Spirit', '$3977', '$3977', 'material', 'none', 'gemstone', '0', '865', '3963', '1837', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40515', 'Elemental Stone', '$762', '$762', 'material', 'none', 'gemstone', '1000', '1206', '3177', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40516', 'Large Green Crystal', '$3975', '$3975', 'material', 'none', 'gemstone', '0', '330', '3963', '1835', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40517', 'Large Red Crystal', '$3976', '$3976', 'material', 'none', 'gemstone', '0', '1135', '3963', '1836', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40518', 'Large Blue Crystal', '$3974', '$3974', 'material', 'none', 'gemstone', '0', '330', '3963', '1834', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40519', 'Pan\'s Mane', '$760', '$760', 'material', 'none', 'cloth', '2000', '314', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40520', 'Fairydust', '$768', '$768', 'material', 'none', 'platinum', '1000', '312', '884', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40521', 'Ala of Fairy', '$776', '$776', 'material', 'none', 'web', '8000', '313', '885', '261', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40522', 'Blue Crystal', '$3969', '$3969', 'material', 'none', 'gemstone', '0', '1465', '3963', '1829', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40523', 'White Crystal', '$3971', '$3971', 'material', 'none', 'gemstone', '0', '330', '3963', '1831', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40524', 'Black Blood Stone', '$2592', '$2592', 'material', 'none', 'glass', '10', '1166', '3110', '927', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40525', 'Tear of Gran Kain', '$2591', '$2591', 'material', 'none', 'gemstone', '10', '1183', '3963', '926', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40526', 'Thin Plate', '$3236', '$3236', 'material', 'none', 'gold', '0', '329', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40527', 'Pickaxe', '$3150', '$3150', 'material', 'none', 'iron', '3000', '1535', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40528', 'Guardian\'s Bag', '$2264', '$2264', 'treasure_box', 'normal', 'none', '10000', '957', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40529', 'Letter of Gratitude', '$2026', '$2026', 'questitem', 'normal', 'paper', '1000', '917', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40530', 'Key of Ancient Prince', '$2363', '$2363', 'questitem', 'normal', 'iron', '3000', '1021', '3963', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40531', 'Key of Ancient Knight', '$2364', '$2364', 'questitem', 'normal', 'iron', '3000', '1022', '3963', '793', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40532', 'Key of Ancient Wizard', '$2366', '$2366', 'questitem', 'normal', 'iron', '3000', '1024', '3963', '795', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40533', 'Body of Ancient Key', '$2378', '$2378', 'questitem', 'normal', 'iron', '3000', '1004', '3373', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40534', 'Head of Ancient Key', '$2240', '$2240', 'questitem', 'normal', 'iron', '3000', '1005', '3373', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40535', 'Key of Ancient Elf', '$2365', '$2365', 'questitem', 'normal', 'iron', '3000', '1023', '3373', '794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40536', 'Record of the Ancient Devil', '$2242', '$2242', 'questitem', 'normal', 'paper', '5000', '1002', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40537', 'Ancient Inheritance', '$2246', '$2246', 'questitem', 'normal', 'wood', '1000', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40538', 'Ghoul Nail', '$1920', '$1920', 'questitem', 'normal', 'bone', '1000', '918', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40539', 'Ghoul Tooth', '$1921', '$1921', 'questitem', 'normal', 'bone', '1000', '926', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40540', 'Old Trading Document', '$1905', '$1905', 'questitem', 'normal', 'paper', '1000', '919', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40541', 'Dark Star', '$2649', '$2649', 'questitem', 'normal', 'gemstone', '1000', '1318', '3371', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40542', 'Doppelganger Regurgitation', '$2239', '$2239', 'questitem', 'normal', 'glass', '1000', '1006', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40543', 'Key to Ramia\'s Room', '$2088', '$2088', 'questitem', 'normal', 'iron', '3000', '59', '19', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40544', 'Ramia\'s Scale', '$2024', '$2024', 'questitem', 'normal', 'bone', '1000', '953', '1732', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40545', 'Ronde\'s Pouch', '$2541', '$2541', 'treasure_box', 'normal', 'paper', '40000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40546', 'Marshall\'s Reward', '$2265', '$2265', 'treasure_box', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40547', 'Relic of the People', '$2027', '$2027', 'questitem', 'normal', 'bone', '1000', '952', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40548', 'Apparition\'s Bag', '$2270', '$2270', 'treasure_box', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40549', 'Sword of Varlok', '$2346', '$2346', 'questitem', 'normal', 'iron', '10000', '1012', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40550', 'Eye of Varlok', '$2347', '$2347', 'questitem', 'normal', 'gemstone', '10000', '1013', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40551', 'Claw of Varlok', '$2348', '$2348', 'questitem', 'normal', 'bone', '10000', '1014', '3721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40552', 'Heart of Varlok', '$2349', '$2349', 'questitem', 'normal', 'bone', '10000', '1015', '3122', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40553', 'Bludika\'s Pouch', '$2542', '$2542', 'treasure_box', 'normal', 'paper', '40000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40554', 'Secret List', '$2413', '$2413', 'questitem', 'normal', 'paper', '1000', '1041', '2869', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40555', 'Secret Room Key', '$2022', '$2022', 'questitem', 'normal', 'iron', '3000', '59', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40556', 'Hit List Bag', '$2421', '$2421', 'treasure_box', 'normal', 'paper', '40000', '958', '3963', '827', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40557', 'Hit List (Gludin)', '$2414', '$2414', 'questitem', 'normal', 'paper', '1000', '1042', '2870', '820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40558', 'Hit List (Giran)', '$2420', '$2420', 'questitem', 'normal', 'paper', '1000', '1042', '2870', '826', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40559', 'Hit List (Aden City)', '$2419', '$2419', 'questitem', 'normal', 'paper', '1000', '1042', '2870', '825', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40560', 'Hit List (Woodbec)', '$2417', '$2417', 'questitem', 'normal', 'paper', '1000', '1042', '2870', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40561', 'Hit List (Kent)', '$2416', '$2416', 'questitem', 'normal', 'paper', '1000', '1042', '2870', '822', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40562', 'Hit List (Heine)', '$2418', '$2418', 'questitem', 'normal', 'paper', '1000', '1042', '2870', '824', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40563', 'Hit List (Fire-Field Farmers Town)', '$2415', '$2415', 'questitem', 'normal', 'paper', '1000', '1042', '2870', '821', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40564', 'Secret of Life', '$1961', '$1961', 'questitem', 'normal', 'paper', '1000', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40565', 'Search Document', '$1908', '$1908', 'questitem', 'normal', 'paper', '1000', '914', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40566', 'Mysterious Shell', '$2244', '$2244', 'questitem', 'normal', 'bone', '8000', '999', '1166', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40567', 'Mystery Crystal Ball', '$2078', '$2078', 'questitem', 'normal', 'glass', '11000', '938', '3966', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40568', 'Mysterious Bag', '$2224', '$2224', 'treasure_box', 'normal', 'none', '10000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40569', 'Mystery Staff', '$2079', '$2079', 'questitem', 'normal', 'wood', '11000', '946', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40570', 'Aria\'s Reward', '$2090', '$2090', 'treasure_box', 'normal', 'none', '10000', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40571', 'Assassin Master\'s Box', '$2429', '$2429', 'treasure_box', 'normal', 'wood', '40000', '998', '3963', '835', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40572', 'Assassin\'s Token', '$2426', '$2426', 'questitem', 'normal', 'iron', '1000', '1047', '2876', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40573', 'Letter of Soul', '$2222', '$2222', 'questitem', 'normal', 'paper', '1000', '987', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40574', 'Letter of Soul', '$2222', '$2222', 'questitem', 'normal', 'paper', '1000', '988', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40575', 'Letter of Soul', '$2222', '$2222', 'questitem', 'normal', 'paper', '1000', '989', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40576', 'Crystal Piece of Soul', '$2221', '$2221', 'treasure_box', 'normal', 'gemstone', '1000', '991', '3963', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40577', 'Crystal Piece of Soul', '$2221', '$2221', 'treasure_box', 'normal', 'gemstone', '1000', '985', '3963', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40578', 'Crystal Piece of Soul', '$2221', '$2221', 'treasure_box', 'normal', 'gemstone', '1000', '990', '3963', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40579', 'Bone of Undead', '$2033', '$2033', 'questitem', 'normal', 'bone', '9000', '934', '1166', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40580', 'Bone Piece of Undead', '$2034', '$2034', 'questitem', 'normal', 'bone', '9000', '935', '1166', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40581', 'Undead Key', '$2030', '$2030', 'questitem', 'normal', 'iron', '3000', '59', '19', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40309', 'Race Ticket', '$1247', '$1247', 'other', 'none', 'paper', '1000', '143', '151', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40583', 'Letter of Endia', '$2654', '$2654', 'questitem', 'normal', 'paper', '1000', '1322', '3375', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40584', 'Head of Yeti', '$2424', '$2424', 'questitem', 'normal', 'animalmatter', '1000', '1045', '2877', '830', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40585', 'Head of Orc Elder', '$2411', '$2411', 'questitem', 'normal', 'animalmatter', '1000', '1039', '2867', '817', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40586', 'Emblem Piece of the Royal Family', '$2223', '$2223', 'questitem', 'normal', 'mineral', '1000', '992', '2871', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40587', 'Emblem Piece of the Royal Family', '$2223', '$2223', 'questitem', 'normal', 'mineral', '1000', '993', '2871', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40588', 'Elven Treasure', '$2091', '$2091', 'treasure_box', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40589', 'Key of Fate', '$2367', '$2367', 'questitem', 'normal', 'iron', '3000', '1025', '3373', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40590', 'Arachnevil Elder\'s Claw', '$2023', '$2023', 'questitem', 'normal', 'bone', '1000', '139', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40591', 'Cursed Spellbook', '$1916', '$1916', 'questitem', 'normal', 'paper', '20000', '909', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40592', 'Cursed Elven Spellbook', '$2029', '$2029', 'questitem', 'normal', 'paper', '20000', '940', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40593', 'Piece of Scout\'s Report', '$2248', '$2248', 'questitem', 'normal', 'paper', '1000', '1800', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40594', 'Zombie Key', '$2031', '$2031', 'questitem', 'normal', 'iron', '3000', '945', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40595', 'Overseer\'s Document', '$2428', '$2428', 'questitem', 'normal', 'leather', '1000', '1049', '2873', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40596', 'Death Covenant', '$2422', '$2422', 'questitem', 'normal', 'paper', '1000', '1043', '3963', '828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40597', 'Torn Scout\'s Report', '$2247', '$2247', 'questitem', 'normal', 'paper', '1000', '997', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40598', 'Kan\'s Pouch', '$2540', '$2540', 'treasure_box', 'normal', 'paper', '40000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40599', 'Magic Bag of Talass', '$2292', '$2292', 'treasure_box', 'normal', 'none', '10000', '957', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40600', 'Key of Depravity', '$2652', '$2652', 'questitem', 'normal', 'wood', '1000', '1320', '3963', '1052', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40601', 'Turtle Dragon Shell', '$1922', '$1922', 'questitem', 'normal', 'leather', '23', '920', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40602', 'Blue Flute ', '$2243', '$2243', 'questitem', 'none', 'silver', '8000', '1000', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40603', 'Fungus Juice', '$2425', '$2425', 'questitem', 'normal', 'glass', '1000', '1046', '2875', '831', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40604', 'Skeleton Key', '$2032', '$2032', 'questitem', 'normal', 'iron', '3000', '944', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40605', 'Skeleton Skull', '$1919', '$1919', 'questitem', 'normal', 'bone', '3000', '921', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40606', 'Key of Chaos', '$2884', '$2884', 'questitem', 'normal', 'wood', '1000', '1320', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40607', 'Potion of Revival', '$2025', '$2025', 'questitem', 'normal', 'glass', '1000', '947', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40608', 'Black Knight\'s Pledge Document', '$1911', '$1911', 'questitem', 'normal', 'paper', '1000', '927', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40609', 'Gandi Spellbook', '$1914', '$1914', 'questitem', 'normal', 'paper', '1000', '924', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40610', 'Neruga Spellbook', '$1913', '$1913', 'questitem', 'normal', 'paper', '1000', '925', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40611', 'Duda-Mara Spellbook', '$1912', '$1912', 'questitem', 'normal', 'paper', '1000', '923', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40612', 'Atuba Spellbook', '$1915', '$1915', 'questitem', 'normal', 'paper', '1000', '922', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40613', 'Black Key', '$1756', '$1756', 'questitem', 'normal', 'iron', '3000', '671', '2152', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40614', 'Mineral Removal Document', '$3113', '$3113', 'questitem', 'normal', 'paper', '10', '1528', '3820', '1201', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40615', 'Key to 2nd Floor of Temple of Shadows', '$3945', '$3945', 'questitem', 'normal', 'bone', '10000', '1991', '3963', '0', '0', '0', '0', '0', '0', '0', '32700', '32896', '523', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40616', 'Key to 3rd Floor of Temple of Shadows', '$3946', '$3946', 'questitem', 'normal', 'bone', '10000', '1968', '3963', '0', '0', '0', '0', '0', '0', '0', '32691', '32894', '524', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40617', 'Crystal Ball of Necromancer', '$1014', '$1014', 'questitem', 'normal', 'glass', '11000', '437', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40618', 'Breath of Earth', '$3871', '$3871', 'questitem', 'normal', 'gemstone', '3000', '1928', '4986', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40619', 'East Jail Key', '$3483', '$3483', 'questitem', 'normal', 'iron', '0', '1320', '3963', '1432', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40620', 'Second Labyrinth Key', '$4021', '$4021', 'questitem', 'normal', 'iron', '3000', '59', '3963', '1863', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40621', 'Key of Drake', '$3488', '$3488', 'questitem', 'normal', 'iron', '3000', '59', '3963', '1446', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40622', 'Drake\'s Claw', '$1012', '$1012', 'questitem', 'normal', 'bone', '8000', '139', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40623', '1st Generation Heirloom of the Druga Clan', '$3334', '$3334', 'treasure_box', 'normal', 'iron', '1000', '1786', '4377', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40624', '2nd Generation Heirloom of the Druga Clan', '$3335', '$3335', 'treasure_box', 'normal', 'iron', '1000', '1787', '4379', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40625', '3rd Generation Heirloom of the Druga Clan', '$3336', '$3336', 'treasure_box', 'normal', 'iron', '1000', '1788', '4381', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40626', '4th Generation Heirloom of the Druga Clan', '$3337', '$3337', 'treasure_box', 'normal', 'iron', '1000', '1789', '4383', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40627', '5th Generation Heirloom of the Druga Clan', '$3338', '$3338', 'treasure_box', 'normal', 'iron', '1000', '1790', '4385', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40628', '6th Generation Heirloom of the Druga Clan', '$3339', '$3339', 'treasure_box', 'normal', 'iron', '1000', '1791', '4387', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40629', '7th Generation Heirloom of the Druga Clan', '$3340', '$3340', 'treasure_box', 'normal', 'iron', '1000', '1792', '4389', '1357', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40630', 'Diego\'s Old Diary', '$3786', '$3786', 'questitem', 'normal', 'paper', '4000', '1868', '4756', '1803', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40631', 'Resta\'s Ring', '$3598', '$3598', 'questitem', 'normal', 'gold', '1000', '1028', '3963', '1536', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40632', 'Money Pouch of Reona', '$3158', '$3158', 'treasure_box', 'normal', 'none', '80', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40633', 'Report of Lizardman', '$3788', '$3788', 'questitem', 'normal', 'paper', '4000', '1869', '4757', '1805', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40634', 'Treasure of Lizardman', '$3789', '$3789', 'questitem', 'normal', 'gold', '0', '1870', '4758', '1806', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40635', 'Evidence of Dark Spirit Army', '$3882', '$3882', 'questitem', 'normal', 'silver', '10000', '1938', '4997', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40636', 'Evidence of the Dark Spirit Army', '$3881', '$3881', 'treasure_box', 'normal', 'steel', '5000', '1939', '4996', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40637', 'Letter of Marba', '$4003', '$4003', 'questitem', 'normal', 'paper', '10000', '917', '3963', '1859', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40638', 'Evidence of Dark Power Army', '$3884', '$3884', 'questitem', 'normal', 'silver', '5000', '1942', '4999', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40639', 'Evidence Box of Dark Power Army', '$3883', '$3883', 'treasure_box', 'normal', 'steel', '10000', '1941', '4998', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40640', 'Evidence Box of Arcane Army', '$3879', '$3879', 'treasure_box', 'normal', 'steel', '10000', '1937', '4994', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40641', 'Talking Scroll', '$3278', '$3278', 'questitem', 'normal', 'paper', '0', '1760', '4337', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40642', 'Evidence of Arcane Army', '$3880', '$3880', 'questitem', 'normal', 'silver', '5000', '1938', '4995', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40643', 'Breath of Water', '$3869', '$3869', 'questitem', 'normal', 'gemstone', '3000', '1924', '4984', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40644', 'Labyrinth Map', '$4020', '$4020', 'questitem', 'normal', 'paper', '1000', '1138', '3963', '1870', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40645', 'Breath of Wind', '$3870', '$3870', 'questitem', 'normal', 'gemstone', '3000', '1926', '4985', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40646', 'Basilisk\'s Horn', '$1011', '$1011', 'questitem', 'normal', 'bone', '6000', '56', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40647', 'Piece of Treasure Map', '$3484', '$3484', 'questitem', 'normal', 'paper', '1000', '1780', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40648', 'Assassin\'s Rusted Sword', '$2427', '$2427', 'questitem', 'normal', 'iron', '1000', '1048', '2874', '833', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40649', 'North-East Jail Key', '$3482', '$3482', 'questitem', 'normal', 'iron', '0', '1320', '3963', '1433', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40650', 'North Jail Key', '$3423', '$3423', 'questitem', 'normal', 'iron', '0', '1320', '3963', '1434', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40651', 'Breath of Fire', '$3868', '$3868', 'questitem', 'normal', 'gemstone', '3000', '1922', '4983', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40652', 'Burning Leather', '$3873', '$3873', 'questitem', 'normal', 'leather', '2000', '1931', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40653', 'Red Key', '$1755', '$1755', 'questitem', 'normal', 'iron', '3000', '672', '2153', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40654', 'Third Labyrinth Key', '$4022', '$4022', 'questitem', 'normal', 'iron', '3000', '59', '3963', '1864', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40655', 'Crystal Fang', '$3875', '$3875', 'questitem', 'normal', 'glass', '1000', '1933', '4990', '2071', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40656', 'Sword of Ordeal A', '$4023', '$4023', 'questitem', 'normal', 'iron', '40', '932', '3963', '1866', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40657', 'Sword of Ordeal B', '$4024', '$4024', 'questitem', 'normal', 'iron', '40', '932', '3963', '1867', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40658', 'Sword of Ordeal C', '$4025', '$4025', 'questitem', 'normal', 'iron', '40', '932', '3963', '1868', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40659', 'Sword of Ordeal D', '$4026', '$4026', 'questitem', 'normal', 'iron', '40', '932', '3963', '1869', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40660', 'Spellbook of Ordeal', '$4027', '$4027', 'questitem', 'dai', 'paper', '1000', '929', '3963', '1865', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40661', 'Remains of Son', '$3486', '$3486', 'questitem', 'normal', 'bone', '20000', '958', '3963', '1444', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40662', 'Portrait of Son', '$3490', '$3490', 'questitem', 'normal', 'paper', '10000', '1781', '3963', '1445', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40663', 'Letter of Son', '$3485', '$3485', 'questitem', 'normal', 'paper', '0', '917', '3963', '1443', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40664', 'Amulet of Aras', '$4004', '$4004', 'questitem', 'normal', 'paper', '0', '604', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40665', 'Letter of Aras', '$3988', '$3988', 'questitem', 'normal', 'paper', '1000', '917', '3963', '1858', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40666', 'Unknown Heirloom', '$3341', '$3341', 'questitem', 'normal', 'gold', '0', '1786', '4377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40667', 'Evidence of Assassin Army', '$3886', '$3886', 'questitem', 'normal', 'silver', '5000', '1944', '5001', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40668', 'Evidence Box of Assassin Army', '$3885', '$3885', 'treasure_box', 'normal', 'steel', '10000', '1943', '5000', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40669', 'Rib of Yahee', '$3771', '$3771', 'questitem', 'normal', 'bone', '10000', '1998', '5049', '1742', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40670', 'Tail of Yahee', '$3773', '$3773', 'questitem', 'normal', 'bone', '10000', '1999', '5050', '1744', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40671', 'Wing of Yahee', '$3774', '$3774', 'questitem', 'normal', 'bone', '10000', '2001', '5052', '1745', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40672', 'Backbone of Yahee', '$3775', '$3775', 'questitem', 'normal', 'bone', '10000', '1978', '5036', '1746', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40673', 'Head of Yahee', '$3770', '$3770', 'questitem', 'normal', 'bone', '10000', '1992', '5043', '1741', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40674', 'Claw of Yahee', '$3772', '$3772', 'questitem', 'normal', 'bone', '10000', '1996', '5047', '1743', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40675', 'Mineral of Darkness', '$3876', '$3876', 'questitem', 'normal', 'mineral', '5000', '1934', '4991', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40676', 'Breath of Darkness', '$3872', '$3872', 'questitem', 'normal', 'gemstone', '3000', '1930', '4987', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40677', 'Ingot of Darkness', '$3877', '$3877', 'questitem', 'normal', 'mineral', '2000', '1935', '4992', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40678', 'Fragment of Soul Stone', '$3776', '$3776', 'questitem', 'normal', 'glass', '0', '1997', '5048', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40679', 'Contaminated Armor', '$3980', '$3980', 'questitem', 'normal', 'oriharukon', '0', '2061', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40680', 'Contaminated Cloak', '$3984', '$3984', 'questitem', 'normal', 'cloth', '0', '2055', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40681', 'Contaminated Boots', '$3983', '$3983', 'questitem', 'normal', 'iron', '0', '2059', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40682', 'Contaminated Gloves', '$3981', '$3981', 'questitem', 'normal', 'leather', '0', '2053', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40683', 'Contaminated Helm', '$3982', '$3982', 'questitem', 'normal', 'none', '0', '2057', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40684', 'Contaminated Bow', '$3979', '$3979', 'questitem', 'normal', 'wood', '0', '2051', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40685', 'Oum Fine Statue', '$3155', '$3155', 'questitem', 'normal', 'none', '1000', '1539', '3855', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40686', 'Oum Completed Statue', '$3157', '$3157', 'questitem', 'normal', 'none', '1000', '1541', '3857', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40687', 'Pouch of Oum', '$3151', '$3151', 'treasure_box', 'normal', 'leather', '80', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40688', 'Oum Painted Statue', '$3156', '$3156', 'questitem', 'normal', 'none', '1000', '1540', '3856', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40689', 'Oum Rough Statue', '$3153', '$3153', 'questitem', 'normal', 'none', '1000', '1537', '3853', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40690', 'Oum Refined Statue', '$3154', '$3154', 'questitem', 'normal', 'none', '1000', '1538', '3854', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40691', 'Oum Statue', '$3152', '$3152', 'questitem', 'normal', 'none', '1000', '1536', '3852', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40692', 'Completed Treasure Map', '$3487', '$3487', 'questitem', 'normal', 'paper', '10000', '479', '3963', '0', '0', '0', '0', '0', '0', '0', '32794', '32839', '443', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40693', 'Armor of Expedition Member', '$3993', '$3993', 'questitem', 'normal', 'oriharukon', '0', '2062', '3963', '1844', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40694', 'Cloak of Expedition Member', '$3996', '$3996', 'questitem', 'normal', 'cloth', '0', '2056', '3963', '1845', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40695', 'Boots of Expedition Member', '$3995', '$3995', 'questitem', 'normal', 'iron', '0', '2060', '3963', '1843', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40698', 'Helm of Expedition Member', '$3994', '$3994', 'questitem', 'normal', 'leather', '0', '2058', '3963', '1844', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40699', 'Bow of Expedition Member', '$3991', '$3991', 'questitem', 'normal', 'wood', '0', '2052', '3963', '1840', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40700', 'Silver Flute', '$3588', '$3588', 'questitem', 'normal', 'silver', '1000', '43', '3963', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40701', 'Small Treasure Map', '$3491', '$3491', 'questitem', 'normal', 'paper', '0', '1780', '4354', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40702', 'Small Pouch', '$3568', '$3568', 'treasure_box', 'normal', 'leather', '0', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40703', 'Book of Mental Control', '$3878', '$3878', 'questitem', 'normal', 'gemstone', '1000', '1936', '4993', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40704', 'Tailbone of Death', '$3769', '$3769', 'questitem', 'normal', 'bone', '10000', '1974', '5031', '1740', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40705', 'Axe of Death', '$3766', '$3766', 'questitem', 'normal', 'bone', '10000', '1956', '5017', '1737', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40706', 'Hammer of Death', '$3765', '$3765', 'questitem', 'normal', 'bone', '10000', '1972', '5029', '1736', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40707', 'Head of Death', '$3764', '$3764', 'questitem', 'normal', 'bone', '10000', '1968', '5025', '1733', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40708', 'Spear of Death', '$3767', '$3767', 'questitem', 'normal', 'bone', '10000', '1971', '5028', '1738', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40709', 'Knife of Death', '$3768', '$3768', 'questitem', 'normal', 'bone', '10000', '1975', '5032', '1739', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40710', 'Friend\'s Bag', '$3589', '$3589', 'questitem', 'normal', 'leather', '50000', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40711', 'Amulet of Cadmus', '$3492', '$3492', 'questitem', 'normal', 'iron', '6000', '304', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40712', 'High Quality Pouch of Karif', '$3184', '$3184', 'questitem', 'normal', 'leather', '10000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40713', 'Karif Pouch', '$3052', '$3052', 'questitem', 'normal', 'leather', '10000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40714', 'Skin of Blue Lizard', '$3489', '$3489', 'questitem', 'normal', 'leather', '0', '1782', '4356', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40715', 'Gift Bag from Pierce', '$2627', '$2627', 'treasure_box', 'normal', 'leather', '80', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40716', 'Grandfather\'s Treasure', '$3569', '$3569', 'questitem', 'normal', 'gemstone', '1000', '238', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40717', 'Crumpled Up Breaking-Up Letter', '$3787', '$3787', 'questitem', 'normal', 'paper', '1000', '1867', '4755', '1804', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40718', 'Fragment of Blood Stone', '$3956', '$3956', 'questitem', 'normal', 'glass', '0', '2071', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40719', 'Black-Light Wing', '$3763', '$3763', 'questitem', 'normal', 'bone', '10000', '1991', '5042', '1732', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40720', 'Giant Pumpkin Seed', '$3874', '$3874', 'questitem', 'normal', 'leather', '3000', '1932', '4989', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40721', 'Giant Pumpkin Seed', '$2066', '$2066', 'event', 'normal', 'vegetation', '2000', '933', '2476', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40722', 'Golden Pumpkin', '$2069', '$2069', 'treasure_box', 'normal', 'vegetation', '4000', '943', '2474', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40723', 'Silver Pumpkin', '$2070', '$2070', 'treasure_box', 'normal', 'vegetation', '4000', '955', '2474', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40724', 'Bronze Pumpkin', '$2071', '$2071', 'treasure_box', 'normal', 'vegetation', '4000', '937', '2474', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40725', 'Pumpkin Candy', '$2068', '$2068', 'event', 'normal', 'vegetation', '1000', '936', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40726', 'Pumpkin Seed', '$2065', '$2065', 'event', 'normal', 'vegetation', '0', '949', '2475', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40727', 'Green Stocking', '$2685', '$2685', 'event', 'normal', 'cloth', '0', '1209', '3938', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40728', 'Red Sock', '$617', '$617', 'event', 'normal', 'cloth', '2000', '1208', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40729', 'Golden Socks', '$3205', '$3205', 'event', 'normal', 'cloth', '2000', '1551', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40730', 'Christmas Card', '$1606', '$1606', 'event', 'ccard', 'paper', '0', '464', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40731', 'Valentines Day Card', '$1619 $1623', '$1619 $1623', 'event', 'vcard', 'paper', '0', '607', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40732', 'White Day Card', '$1620 $1623', '$1620 $1623', 'event', 'wcard', 'paper', '0', '617', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40733', 'Coin of Bravery', '$3059', '$3059', 'potion', 'normal', 'mithril', '0', '1480', '3681', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40734', 'Coin of Trust', '$3057', '$3057', 'potion', 'normal', 'mithril', '0', '1481', '3682', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '2', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40735', 'Coin of Reputation', '$3056', '$3056', 'potion', 'normal', 'mithril', '0', '1483', '3684', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40736', 'Coin of Wisdom', '$3058', '$3058', 'potion', 'normal', 'mithril', '0', '1482', '3683', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40737', 'Treasure Case', '$2408', '$2408', 'event', 'normal', 'wood', '0', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40738', 'Silver Throwing Knife', '$2516', '$2516', 'sting', 'normal', 'silver', '200', '1146', '2980', '867', '1', '0', '8', '8', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40739', 'Throwing Knife', '$2463', '$2463', 'sting', 'normal', 'iron', '300', '1147', '2979', '867', '1', '0', '10', '10', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40740', 'Heavy Throwing Knife', '$2517', '$2517', 'sting', 'normal', 'iron', '400', '1145', '2981', '867', '1', '0', '14', '14', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40741', 'Oriharukon-Plated Bone Arrow', '$3784', '$3784', 'arrow', 'normal', 'oriharukon', '47', '1817', '66', '0', '1', '0', '4', '3', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40742', 'Ancient Arrow', '$2377', '$2377', 'arrow', 'normal', 'silver', '47', '96', '66', '0', '1', '0', '5', '4', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40743', 'Arrow', '$61', '$61', 'arrow', 'normal', 'wood', '30', '7', '66', '0', '1', '0', '6', '5', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40744', 'Silver Arrow', '$93', '$93', 'arrow', 'normal', 'silver', '47', '96', '66', '68', '1', '0', '7', '6', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40745', 'Golden Arrow', '$3512', '$3512', 'arrow', 'normal', 'gold', '47', '1816', '4451', '0', '1', '0', '9', '9', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40746', 'Mithril Arrow', '$773', '$773', 'arrow', 'normal', 'mithril', '47', '96', '66', '0', '1', '0', '10', '9', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40747', 'Black Mithril Arrow', '$3020 $61', '$3020 $61', 'arrow', 'normal', 'blackmithril', '63', '1818', '4453', '0', '1', '0', '11', '15', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40748', 'Oriharukon Arrow', '$3513', '$3513', 'arrow', 'normal', 'oriharukon', '47', '1817', '4452', '0', '1', '0', '12', '12', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40749', 'Fang of Hunting Dog', '$2866', '$2866', 'petitem', 'none', 'none', '0', '1304', '3285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40750', 'Fang of Destruction', '$2868', '$2868', 'petitem', 'none', 'blackmithril', '150000', '1306', '3285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40751', 'Fang of Fighting Dog', '$2869', '$2869', 'petitem', 'none', 'iron', '50000', '1307', '3285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40752', 'Fang of Gold', '$2872', '$2872', 'petitem', 'none', 'gold', '150000', '1312', '3285', '1070', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40753', 'Unknown Fang 1', 'Unknown Fang 1', 'Unknown Fang 1', 'petitem', 'none', 'iron', '60000', '1305', '3285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40754', 'Unknown Fang 2', 'Unknown Fang 2', 'Unknown Fang 2', 'petitem', 'none', 'none', '0', '1308', '3285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40755', 'Unknown Fang 3', 'Unknown Fang 3', 'Unknown Fang 3', 'petitem', 'none', 'none', '0', '1302', '3285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40756', 'Fang of Demon', '$2871', '$2871', 'petitem', 'none', 'oriharukon', '150000', '1310', '3285', '1069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40757', 'Fang of Steel', '$2873', '$2873', 'petitem', 'none', 'iron', '50000', '1314', '3285', '1071', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40758', 'Fang of Victory', '$2874', '$2874', 'petitem', 'none', 'bone', '100000', '1315', '3285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40759', 'Unknown Pet Armor 1', 'Unknown Pet Armor 1', 'Unknown Pet Armor 1', 'petitem', 'none', 'none', '0', '1293', '3277', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40760', 'Unknown Pet Armor 2', 'Unknown Pet Armor 2', 'Unknown Pet Armor 2', 'petitem', 'none', 'none', '0', '1298', '3282', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40761', 'Leather Pet Armor', '$2878', '$2878', 'petitem', 'none', 'iron', '30000', '1296', '3280', '1058', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40762', 'Skeleton Pet Armor', '$2881', '$2881', 'petitem', 'none', 'bone', '30000', '1300', '3283', '1061', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40763', 'Steel Pet Armor', '$2882', '$2882', 'petitem', 'none', 'iron', '250000', '1301', '3284', '1062', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40764', 'Mithril Pet Armor', '$2879', '$2879', 'petitem', 'none', 'mithril', '200000', '1297', '3281', '1059', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40765', 'Cloth Pet Armor', '$2877', '$2877', 'petitem', 'none', 'iron', '180000', '1295', '3279', '1055', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40766', 'Chain Pet Armor', '$2876', '$2876', 'petitem', 'none', 'steel', '450000', '1294', '3278', '1056', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40778', 'Belt', '$1038', '$1038', 'material', 'none', 'leather', '20', '264', '1165', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40779', 'Lump of Steel', '$1201', '$1201', 'material', 'none', 'steel', '1', '516', '1498', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40780', 'Head of Death', '$3764', '$3764', 'questitem', 'normal', 'bone', '10000', '1969', '5026', '1734', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40781', 'Head of Death', '$3764', '$3764', 'questitem', 'normal', 'bone', '10000', '1970', '5027', '1735', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40782', 'Key to 3rd Floor of Temple of Shadows', '$3946', '$3946', 'questitem', 'normal', 'bone', '10000', '1969', '3963', '0', '0', '0', '0', '0', '0', '0', '32691', '32894', '524', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40783', 'Key to 3rd Floor of Temple of Shadows', '$3946', '$3946', 'questitem', 'normal', 'bone', '10000', '1970', '3963', '0', '0', '0', '0', '0', '0', '0', '32691', '32894', '524', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40801', 'Scroll of Teleportation - Giant Bridge', '$230 - Giant Bridge', '$230 - Giant Bridge', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '34270', '33094', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40802', 'Scroll of Teleportation - Aden Castle', '$230 - Aden Castle', '$230 - Aden Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '34090', '33294', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40803', 'Scroll of Teleportation - Mirror Forest', '$230 - Mirror Forest', '$230 - Mirror Forest', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33709', '33307', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40804', 'Scroll of Teleportation - Valakas', '$230 - Valakas', '$230 - Valakas', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32723', '32796', '67', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40805', 'Scroll of Teleportation - Fafurion', '$230 - Fafurion', '$230 - Fafurion', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32769', '32833', '65', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40806', 'Scroll of Teleportation - Lindvior', '$230 - Lindvior', '$230 - Lindvior', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '34035', '33011', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40807', 'Scroll of Teleportation - Heine Dungeon 3F', '$230 - Heine Dungeon 3F', '$230 - Heine Dungeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32727', '32808', '61', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40808', 'Scroll of Teleportation - Heine Dungeon 4F', '$230 - Heine Dungeon 4F', '$230 - Heine Dungeon 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32804', '32869', '63', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40809', 'Scroll of Teleportation - Fire Valley Bridge', '$230 - Fire Valley Bridge', '$230 - Fire Valley Bridge', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33660', '32465', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40810', 'Scroll of Teleportation - Dragon Valley', '$230 - Dragon Valley', '$230 - Dragon Valley', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33432', '32522', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40811', 'Scroll of Teleportation - Oasis', '$230 - Oasis', '$230 - Oasis', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32861', '33255', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40812', 'Scroll of Teleportation - Oren Wasteland', '$230 - Oren Wasteland', '$230 - Oren Wasteland', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '34039', '32476', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40813', 'Scroll of Teleportation - Wasteland', '$230 - Wasteland', '$230 - Wasteland', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32736', '32708', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40814', 'Scroll of Teleportation - Small Wasteland', '$230 - Small Wasteland', '$230 - Small Wasteland', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32842', '32945', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40815', 'Scroll of Teleportation - Woodbec Castle', '$230 - Woodbec Castle', '$230 - Woodbec Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32810', '32723', '23', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40816', 'Scroll of Teleportation - Beleth', '$230 - Beleth', '$230 - Beleth', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32809', '32812', '24', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40817', 'Scroll of Teleportation - Ant Cave 1F', '$230 - Ant Cave 1F', '$230 - Ant Cave 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32738', '32799', '49', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40818', 'Scroll of Teleportation - Ant Cave 2F', '$230 - Ant Cave 2F', '$230 - Ant Cave 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32740', '32802', '50', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40819', 'Scroll of Teleportation - Ant Cave 3F', '$230 - Ant Cave 3F', '$230 - Ant Cave 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32764', '32828', '51', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40820', 'Scroll of Teleportation - Ivory Tower 5F', '$230 - Ivory Tower 5F', '$230 - Ivory Tower 5F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32772', '32805', '79', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40821', 'Scroll of Teleportation - Ivory Tower 6F', '$230 - Ivory Tower 6F', '$230 - Ivory Tower 6F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32748', '32802', '80', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40822', 'Scroll of Teleportation - Ivory Tower 7F', '$230 - Ivory Tower 7F', '$230 - Ivory Tower 7F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32766', '32849', '81', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40823', 'Scroll of Teleportation - Ivory Tower 8F', '$230 - Ivory Tower 8F', '$230 - Ivory Tower 8F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32742', '32798', '82', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40824', 'Scroll of Teleportation - SKT Caves 2F', '$230 - SKT Caves 2F', '$230 - SKT Caves 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32802', '32815', '26', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40825', 'Scroll of Teleportation - SKT Caves 3F', '$230 - SKT Caves 3F', '$230 - SKT Caves 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32807', '32812', '27', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40826', 'Scroll of Teleportation - SKT Caves 4F', '$230 - SKT Caves 4F', '$230 - SKT Caves 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32799', '32798', '28', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40827', 'Scroll of Teleportation - Giran Dungeon 2F', '$230 - Giran Dungeon 2F', '$230 - Giran Dungeon 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32809', '32793', '54', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40828', 'Scroll of Teleportation - Giran Dungeon 3F', '$230 - Giran Dungeon 3F', '$230 - Giran Dungeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32734', '32728', '55', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40829', 'Scroll of Teleportation - Giran Dungeon 4F', '$230 - Giran Dungeon 4F', '$230 - Giran Dungeon 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32770', '32730', '56', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40830', 'Scroll of Teleportation - MLC 3F', '$230 - MLC 3F', '$230 - MLC 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32798', '32754', '9', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40831', 'Scroll of Teleportation - MLC 4F', '$230 - MLC 4F', '$230 - MLC 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32764', '32773', '10', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40832', 'Scroll of Teleportation - MLC 5F', '$230 - MLC 5F', '$230 - MLC 5F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32729', '32724', '11', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40833', 'Scroll of Teleportation - MLC 6F', '$230 - MLC 6F', '$230 - MLC 6F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32805', '32725', '12', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40834', 'Scroll of Teleportation - MLC 7F', '$230 - MLC 7F', '$230 - MLC 7F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32730', '32726', '13', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40835', 'Scroll of Teleportation - DVC 1F', '$230 - DVC 1F', '$230 - DVC 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32740', '32777', '30', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40836', 'Scroll of Teleportation - DVC 2F', '$230 - DVC 2F', '$230 - DVC 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32760', '32781', '31', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40837', 'Scroll of Teleportation - DVC 3F', '$230 - DVC 3F', '$230 - DVC 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32709', '32818', '32', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40838', 'Scroll of Teleportation - DVC 4F', '$230 - DVC 4F', '$230 - DVC 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32669', '32869', '33', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40839', 'Scroll of Teleportation - DVC 5F', '$230 - DVC 5F', '$230 - DVC 5F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32746', '32802', '35', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40840', 'Scroll of Teleportation - DVC 6F', '$230 - DVC 6F', '$230 - DVC 6F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32663', '32846', '36', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40841', 'Scroll of Teleportation - Antharas', '$230 - Antharas', '$230 - Antharas', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32668', '32867', '37', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40842', 'Scroll of Teleportation - Windawood Castle', '$230 - Windawood Castle', '$230 - Windawood Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32585', '33409', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40843', 'Scroll of Teleportation - Desert', '$230 - Desert', '$230 - Desert', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32763', '33349', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40844', 'Scroll of Teleportation - Elder Room', '$230 - Elder Room', '$230 - Elder Room', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32739', '32801', '305', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40845', 'Scroll of Teleportation - Silent Cavern', '$230 - Silent Cavern', '$230 - Silent Cavern', 'scroll', 'normal', 'paper', '630', '551', '22', '1356', '1', '0', '0', '0', '0', '0', '32851', '32904', '304', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40846', 'Scroll of Teleportation - Diad 1F', '$230 - Diad 1F', '$230 - Diad 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32761', '32822', '307', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40847', 'Scroll of Teleportation - Diad 2F', '$230 - Diad 2F', '$230 - Diad 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32750', '32824', '308', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40848', 'Scroll of Teleportation - Diad 3F', '$230 - Diad 3F', '$230 - Diad 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32757', '32836', '309', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40849', 'Scroll of Teleportation - Trails 1F', '$230 - Trails 1F', '$230 - Trails 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32730', '32860', '2000', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40850', 'Scroll of Teleportation - Trails 2F', '$230 - Trails 2F', '$230 - Trails 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32731', '32800', '2001', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40851', 'Scroll of Teleportation - Trails 4F', '$230 - Trails 4F', '$230 - Trails 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32736', '32811', '2003', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40852', 'Scroll of Teleportation - Lastabad 1F', '$230 - Lastabad 1F', '$230 - Lastabad 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32737', '32900', '310', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40853', 'Scroll of Teleportation - Resistance Village', '$230 - Resistance Village', '$230 - Resistance Village', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32572', '32663', '400', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40854', 'Scroll of Teleportation - SoE 1F', '$230 - SoE 1F', '$230 - SoE 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32929', '32995', '410', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40855', 'Scroll of Teleportation - Abyss Lake', '$230 - Abyss Lake', '$230 - Abyss Lake', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32922', '32812', '430', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40856', 'Scroll of Teleportation - Pirate Island', '$230 - Pirate Island', '$230 - Pirate Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32422', '33074', '440', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40857', 'Scroll of Teleportation - Diad Fortress', '$230 - Diad Fortress', '$230 - Diad Fortress', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32658', '32853', '450', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40858', 'Liquor', 'Liquor', 'Liquor', 'potion', 'normal', 'glass', '8000', '82', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40859', 'Spell Scroll (Lesser Heal)', '$1487 $1436', '$1487 $1436', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40860', 'Spell Scroll (Light)', '$1487 $1437', '$1487 $1437', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '3600', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40861', 'Spell Scroll (Shield)', '$1487 $1438', '$1487 $1438', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40862', 'Spell Scroll (Energy Bolt)', '$1487 $1439', '$1487 $1439', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40863', 'Spell Scroll (Teleport)', '$1487 $1440', '$1487 $1440', 'scroll', 'ntele', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40864', 'Spell Scroll (Ice Dagger)', '$1487 $1966', '$1487 $1966', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40865', 'Spell Scroll (Wind Shuriken)', '$1487 $1967', '$1487 $1967', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40866', 'Spell Scroll (Holy Weapon)', '$1487 $1977', '$1487 $1977', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1200', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40867', 'Spell Scroll (Cure Poison)', '$1487 $1441', '$1487 $1441', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40868', 'Spell Scroll (Chill Touch)', '$1487 $1442', '$1487 $1442', 'scroll', 'spell_short', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40869', 'Spell Scroll (Curse: Poison)', '$1487 $1443', '$1487 $1443', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '30', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40870', 'Spell Scroll (Enchant Weapon)', '$1487 $1444', '$1487 $1444', 'scroll', 'dai', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40871', 'Spell Scroll (Detection)', '$1487 $1445', '$1487 $1445', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40872', 'Spell Scroll (Decrease Weight)', '$1487 $1978', '$1487 $1978', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40873', 'Spell Scroll (Fire Arrow)', '$1487 $1968', '$1487 $1968', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40874', 'Spell Scroll (Stalac)', '$1487 $1969', '$1487 $1969', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40875', 'Spell Scroll (Lightning)', '$1487 $1446', '$1487 $1446', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40876', 'Spell Scroll (Turn Undead)', '$1487 $1447', '$1487 $1447', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40877', 'Spell Scroll (Heal)', '$1487 $1448', '$1487 $1448', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40878', 'Spell Scroll (Curse: Blind)', '$1487 $1449', '$1487 $1449', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '16', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40879', 'Spell Scroll (Blessed Armor)', '$1487 $1450', '$1487 $1450', 'scroll', 'zel', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40880', 'Spell Scroll (Frozen Cloud)', '$1487 $1970', '$1487 $1970', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40881', 'Spell Scroll (Reveal Weakness)', '$1487 $1979', '$1487 $1979', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40883', 'Spell Scroll (Fireball)', '$1487 $1451', '$1487 $1451', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40884', 'Spell Scroll (Enchant Dexterity)', '$1487 $1452', '$1487 $1452', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1200', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40885', 'Spell Scroll (Weapon Break)', '$1487 $1453', '$1487 $1453', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40886', 'Spell Scroll (Vampiric Touch)', '$1487 $1454', '$1487 $1454', 'scroll', 'spell_short', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40887', 'Spell Scroll (Slow)', '$1487 $1455', '$1487 $1455', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '64', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40888', 'Spell Scroll (Earth Jail)', '$1487 $1971', '$1487 $1971', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40889', 'Spell Scroll (Counter Magic)', '$1487 $1980', '$1487 $1980', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '16', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40890', 'Spell Scroll (Meditation)', '$1487 $1981', '$1487 $1981', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '640', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40891', 'Spell Scroll (Curse: Paralyze)', '$1487 $1456', '$1487 $1456', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '10', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40892', 'Spell Scroll (Call Lightning)', '$1487 $1457', '$1487 $1457', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40893', 'Spell Scroll (Greater Heal)', '$1487 $1458', '$1487 $1458', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40894', 'Spell Scroll (Tame Monster)', '$1487 $1459', '$1487 $1459', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40895', 'Spell Scroll (Remove Curse)', '$1487 $1460', '$1487 $1460', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40896', 'Spell Scroll (Cone of Cold)', '$1487 $1972', '$1487 $1972', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40897', 'Spell Scroll (Mana Drain)', '$1487 $1982', '$1487 $1982', 'scroll', 'spell_short', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40898', 'Spell Scroll (Darkness)', '$1487 $1983', '$1487 $1983', 'scroll', 'spell_long', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '32', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40899', 'Lump of Rough Iron', '$1203', '$1203', 'material', 'none', 'steel', '8000', '523', '3545', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40901', 'Wedding Ring (Silver)', '$2376', '$2376', 'other', 'normal', 'silver', '1000', '1029', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40902', 'Wedding Ring (Gold)', '$2375', '$2375', 'other', 'normal', 'gold', '1000', '1028', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40903', 'Wedding Ring (Sapphire)', '$2268', '$2268', 'other', 'normal', 'gemstone', '1000', '994', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40904', 'Wedding Ring (Emerald)', '$2373', '$2373', 'other', 'normal', 'gemstone', '1000', '1026', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40905', 'Wedding Ring (Ruby)', '$2374', '$2374', 'other', 'normal', 'gemstone', '1000', '1027', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40906', 'Wedding Ring (Diamond)', '$2269', '$2269', 'other', 'normal', 'gemstone', '1000', '986', '21', '775', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40907', 'Ring of Sema', '$2751', '$2751', 'other', 'normal', 'silver', '1000', '1236', '3300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40908', 'Ring of Orim', '$2750', '$2750', 'other', 'normal', 'silver', '1000', '1235', '3299', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40909', 'Pass of Earth', '$4635', '$4635', 'material', 'none', 'gemstone', '0', '681', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40910', 'Pass of Water', '$4632', '$4632', 'material', 'none', 'gemstone', '0', '683', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40911', 'Pass of Fire', '$4633', '$4633', 'material', 'none', 'gemstone', '0', '680', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40912', 'Pass of Air', '$4634', '$4634', 'material', 'none', 'gemstone', '0', '684', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40913', 'Seal of Earth', '$4631', '$4631', 'material', 'none', 'gemstone', '0', '676', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40914', 'Seal of Water', '$4628', '$4628', 'material', 'none', 'gemstone', '0', '678', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40915', 'Seal of Fire', '$4629', '$4629', 'material', 'none', 'gemstone', '0', '675', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40916', 'Seal of Air', '$4630', '$4630', 'material', 'none', 'gemstone', '0', '679', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40917', 'Earth Commander', '$4639', '$4639', 'material', 'none', 'gemstone', '0', '686', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40918', 'Water Commander', '$4636', '$4636', 'material', 'none', 'gemstone', '0', '688', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40919', 'Fire Commander', '$4637', '$4637', 'material', 'none', 'gemstone', '0', '685', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40920', 'Air Commander', '$4638', '$4638', 'material', 'none', 'gemstone', '0', '689', '2225', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40921', 'Elemental Commander', '$4640', '$4640', 'material', 'none', 'gemstone', '0', '1464', '3538', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40922', 'Potion of Encouragement', '$4949', '$4949', 'potion', 'normal', 'glass', '0', '2368', '5842', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40923', 'Potion of Talent', '$4950', '$4950', 'potion', 'normal', 'glass', '0', '2369', '5843', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40924', 'Potion of Flora', '$4951', '$4951', 'potion', 'normal', 'glass', '0', '2370', '5844', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40925', 'Potion of Purification', '$4478', '$4478', 'potion', 'choice', 'glass', '0', '2321', '42', '2260', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40926', 'Potion of Mysterious Magic Level 1', '$4482', '$4482', 'potion', 'choice', 'glass', '0', '2310', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40927', 'Potion of Mysterious Magic Level 2', '$4483', '$4483', 'potion', 'choice', 'glass', '0', '2311', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40928', 'Potion of Mysterious Magic Level 3', '$4484', '$4484', 'potion', 'choice', 'glass', '0', '2313', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40929', 'Potion of Mysterious Magic Level 4', '$4485', '$4485', 'potion', 'choice', 'glass', '0', '2315', '44', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40930', 'Barbeque', '$4363', '$4363', 'potion', 'normal', 'animalmatter', '1000', '124', '36', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40931', 'Processed Sapphire 1', '$4527', '$4527', 'gem', 'choice', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40932', 'Processed Sapphire 2', '$4528', '$4528', 'gem', 'choice', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40933', 'Processed Sapphire 3', '$4529', '$4529', 'gem', 'choice', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40934', 'Processed Sapphire 4', '$4530', '$4530', 'gem', 'choice', 'gemstone', '0', '2293', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40935', 'Processed Emerald 1', '$4531', '$4531', 'gem', 'choice', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40936', 'Processed Emerald 2', '$4532', '$4532', 'gem', 'choice', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40937', 'Processed Emerald 3', '$4533', '$4533', 'gem', 'choice', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40938', 'Processed Emerald 4', '$4534', '$4534', 'gem', 'choice', 'gemstone', '0', '2295', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40939', 'Processed Ruby 1', '$4523', '$4523', 'gem', 'choice', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40940', 'Processed Ruby 2', '$4524', '$4524', 'gem', 'choice', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40941', 'Processed Ruby 3', '$4525', '$4525', 'gem', 'choice', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40942', 'Processed Ruby 4', '$4526', '$4526', 'gem', 'choice', 'gemstone', '0', '2291', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40943', 'Processed Diamond 1 (Earth Spirit)', '$4583', '$4583', 'gem', 'choice', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40944', 'Processed Diamond 2 (Earth Spirit)', '$4584', '$4584', 'gem', 'choice', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40945', 'Processed Diamond 3 (Earth Spirit)', '$4585', '$4585', 'gem', 'choice', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40946', 'Processed Diamond 4 (Earth Spirit)', '$4586', '$4586', 'gem', 'choice', 'gemstone', '0', '2283', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40947', 'Processed Diamond 1 (Water Spirit)', '$4579', '$4579', 'gem', 'choice', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40948', 'Processed Diamond 2 (Water Spirit)', '$4580', '$4580', 'gem', 'choice', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40949', 'Processed Diamond 3 (Water Spirit)', '$4581', '$4581', 'gem', 'choice', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40950', 'Processed Diamond 4 (Water Spirit)', '$4582', '$4582', 'gem', 'choice', 'gemstone', '0', '2285', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40951', 'Processed Diamond 1 (Fire Spirit)', '$4535', '$4535', 'gem', 'choice', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40952', 'Processed Diamond 2 (Fire Spirit)', '$4536', '$4536', 'gem', 'choice', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40953', 'Processed Diamond 3 (Fire Spirit)', '$4537', '$4537', 'gem', 'choice', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40954', 'Processed Diamond 4 (Fire Spirit)', '$4538', '$4538', 'gem', 'choice', 'gemstone', '0', '2289', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40955', 'Processed Diamond 1 (Wind Spirit)', '$4587', '$4587', 'gem', 'choice', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40956', 'Processed Diamond 2 (Wind Spirit)', '$4588', '$4588', 'gem', 'none', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40957', 'Processed Diamond 3 (Wind Spirit)', '$4589', '$4589', 'gem', 'none', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40958', 'Processed Diamond 4 (Wind Spirit)', '$4590', '$4590', 'gem', 'choice', 'gemstone', '0', '2287', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40959', 'Seal of Arcane King', '$4061', '$4061', 'material', 'choice', 'gold', '0', '2067', '5117', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40960', 'Seal of Dread Queen', '$4059', '$4059', 'material', 'none', 'gold', '0', '2068', '5118', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40961', 'Seal of Dread King', '$4058', '$4058', 'material', 'none', 'silver', '0', '2069', '5119', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40962', 'Seal of Assassin King', '$4060', '$4060', 'material', 'none', 'silver', '0', '2070', '5120', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40964', 'Black Magic Powder', '$4009', '$4009', 'material', 'choice', 'glass', '0', '2015', '5071', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40965', 'Lastabad\'s Secret Weapon Production Method', '$4613', '$4613', 'material', 'none', 'paper', '0', '1347', '3465', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40966', 'Fidelity\'s Secret Armor Production Method', '$4627', '$4627', 'material', 'none', 'paper', '0', '2429', '3465', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40967', 'Holy Relic', '$4643', '$4643', 'material', 'none', 'gold', '0', '2167', '2900', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40968', 'Attendant\'s Scripture', '$4644', '$4644', 'material', 'none', 'paper', '0', '2428', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40969', 'Crystal of Dark Elf Soul', '$4344', '$4344', 'material', 'none', 'gemstone', '0', '2183', '5399', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40970', 'Tail of Angus', '$4440', '$4440', 'material', 'none', 'leather', '0', '2211', '5492', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40971', 'Tooth of Angus', '$4441', '$4441', 'material', 'none', 'bone', '0', '2212', '5536', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40972', 'Resiliant Muscles of Pasaj', '$4439', '$4439', 'material', 'none', 'bone', '0', '2210', '5506', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40973', 'Wings of Pasaj', '$4438', '$4438', 'material', 'none', 'leather', '0', '2209', '5505', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40974', 'Blood of Dego', '$4443', '$4443', 'material', 'none', 'glass', '0', '2215', '5491', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40975', 'Fin of Digo', '$4444', '$4444', 'material', 'none', 'leather', '0', '2216', '5534', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40976', 'Sand', '$4436', '$4436', 'material', 'none', 'none', '0', '2207', '5419', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40977', 'Bloodied Sand', '$4437', '$4437', 'material', 'none', 'none', '0', '2208', '5429', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40978', 'Tail of Sheba Human: Earth', '$4428', '$4428', 'material', 'none', 'leather', '0', '2199', '5501', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40979', 'Tail of Sheba Human: Water', '$4426', '$4426', 'material', 'none', 'leather', '0', '2197', '5499', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40980', 'Tail of Sheba Human: Fire', '$4427', '$4427', 'material', 'none', 'leather', '0', '2198', '5500', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40981', 'Tail of Sheba Human: Air', '$4425', '$4425', 'material', 'none', 'leather', '0', '2196', '5498', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40982', 'Leather of Sheba Human: Earth', '$4435', '$4435', 'material', 'none', 'leather', '0', '2206', '5497', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40983', 'Leather of Sheba Human: Water', '$4433', '$4433', 'material', 'none', 'leather', '0', '2204', '5495', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40984', 'Leather of Sheba Human: Fire', '$4434', '$4434', 'material', 'none', 'leather', '0', '2205', '5496', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40985', 'Leather of Sheba Human: Air', '$4432', '$4432', 'material', 'none', 'leather', '0', '2203', '5494', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40986', 'Fang of Sheba Human', '$4431', '$4431', 'material', 'none', 'bone', '0', '2202', '5503', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40987', 'Black Wizard Earrings', '$4354', '$4354', 'material', 'none', 'bone', '0', '2319', '5785', '2261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40988', 'Black Wizard Earrings', '$4354', '$4354', 'material', 'none', 'bone', '0', '2319', '5785', '2263', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40989', 'Black Wizard Earrings', '$4354', '$4354', 'material', 'none', 'bone', '0', '2319', '5785', '2262', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40990', 'Wings of Varlok', '$4417', '$4417', 'material', 'none', 'leather', '0', '2186', '5420', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40991', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'material', 'none', 'blackmithril', '0', '2193', '5426', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40992', 'Head of Varlok', '$4416', '$4416', 'material', 'none', 'animalmatter', '0', '2185', '5421', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40993', 'Horns of Varlok', '$4424', '$4424', 'material', 'none', 'bone', '0', '2195', '5422', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40994', 'Cut of Varlok Meat', '$4419', '$4419', 'material', 'none', 'animalmatter', '0', '2188', '5423', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40995', 'Claws of Varlok', '$4418', '$4418', 'material', 'none', 'bone', '0', '2187', '5424', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40996', 'Heart of Varlok', '$4420', '$4420', 'material', 'none', 'animalmatter', '0', '2189', '5425', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40997', 'Fangs of Varlok', '$4422', '$4422', 'material', 'none', 'bone', '0', '2192', '5427', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40998', 'Lungs of Varlok', '$4421', '$4421', 'material', 'none', 'animalmatter', '0', '2190', '5428', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40999', 'Dark Elven Soldier Badge', '$3006', '$3006', 'questitem', 'normal', 'silver', '10', '1342', '3458', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41000', 'Dark Elven General Badge', '$3007', '$3007', 'questitem', 'normal', 'gold', '10', '1343', '3459', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41001', 'Compensation', '$3018', '$3018', 'treasure_box', 'normal', 'wood', '0', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41002', 'Mineral Pouch', '$3114', '$3114', 'questitem', 'normal', 'cloth', '50000', '1531', '3832', '1202', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41003', 'Roy\'s Pouch', '$3422', '$3422', 'treasure_box', 'normal', 'cloth', '4000', '1645', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41004', 'Rabla\'s Pouch', '$3199', '$3199', 'questitem', 'normal', 'cloth', '0', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41005', 'Contract of Resurrection and Eternal Life', '$3185', '$3185', 'questitem', 'normal', 'paper', '1000', '471', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41006', 'Rabor\'s Pouch', '$3186', '$3186', 'questitem', 'normal', 'cloth', '0', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41007', 'Directive of Eris 1', '$4353', '$4353', 'questitem', 'normal', 'paper', '0', '1760', '22', '2051', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41008', 'Bag of Eris', '$4343', '$4343', 'treasure_box', 'normal', 'cloth', '0', '1645', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41009', 'Directive of Eris 2', '$4470', '$4470', 'questitem', 'normal', 'paper', '0', '1760', '22', '2075', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41010', 'Document Letter of Eris', '$4469', '$4469', 'questitem', 'normal', 'paper', '0', '2018', '22', '2231', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41011', 'Sealed History Chapter 1', '$4600', '$4600', 'questitem', 'normal', 'paper', '0', '2420', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41012', 'Sealed History Chapter 2', '$4601', '$4601', 'questitem', 'normal', 'paper', '0', '2421', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41013', 'Sealed History Chapter 3', '$4602', '$4602', 'questitem', 'normal', 'paper', '0', '2422', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41014', 'Sealed History Chapter 4', '$4603', '$4603', 'questitem', 'normal', 'paper', '0', '2423', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41015', 'Sealed History Chapter 5', '$4604', '$4604', 'questitem', 'normal', 'paper', '0', '2424', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41016', 'Sealed History Chapter 6', '$4605', '$4605', 'questitem', 'normal', 'paper', '0', '2425', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41017', 'Sealed History Chapter 7', '$4606', '$4606', 'questitem', 'normal', 'paper', '0', '2426', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41018', 'Sealed History Chapter 8', '$4607', '$4607', 'questitem', 'normal', 'paper', '0', '2427', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41019', 'History of Lastabad Chapter 1', '$4611', '$4611', 'questitem', 'normal', 'paper', '0', '2411', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41020', 'History of Lastabad Chapter 2', '$4612', '$4612', 'questitem', 'normal', 'paper', '0', '2412', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41021', 'History of Lastabad Chapter 3', '$4695', '$4695', 'questitem', 'normal', 'paper', '0', '2413', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41022', 'History of Lastabad Chapter 4', '$4696', '$4696', 'questitem', 'normal', 'paper', '0', '2414', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41023', 'History of Lastabad Chapter 5', '$4697', '$4697', 'questitem', 'normal', 'paper', '0', '2415', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41024', 'History of Lastabad Chapter 6', '$4698', '$4698', 'questitem', 'normal', 'paper', '0', '2416', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41025', 'History of Lastabad Chapter 7', '$4699', '$4699', 'questitem', 'normal', 'paper', '0', '2417', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41026', 'History of Lastabad Chapter 8', '$4700', '$4700', 'questitem', 'normal', 'paper', '0', '2418', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41027', 'Completed Writing of Death Knight', '$4576', '$4576', 'questitem', 'normal', 'paper', '0', '2419', '5864', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41028', 'Writing of Death Knight', '$5076', '$5076', 'questitem', 'normal', 'paper', '0', '912', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41029', 'Summoning Device Nucleus', '$4617', '$4617', 'questitem', 'choice', 'gemstone', '0', '2327', '5828', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41030', 'Summoning Device Fragment', '$4616', '$4616', 'questitem', 'normal', 'gemstone', '0', '2326', '5827', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41031', 'Summoning Globe Level 1', '$4618', '$4618', 'questitem', 'normal', 'gemstone', '0', '2329', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41032', 'Summoning Globe Level 2', '$4619', '$4619', 'questitem', 'normal', 'gemstone', '0', '2324', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41033', 'Summoning Globe Level 3', '$4620', '$4620', 'questitem', 'normal', 'gemstone', '0', '2325', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41034', 'Summoning Globe Level 4', '$4621', '$4621', 'questitem', 'normal', 'gemstone', '0', '2323', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41035', 'Dantes\' Summon Globe', '$4622', '$4622', 'questitem', 'normal', 'gemstone', '0', '2328', '5828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41036', 'Glue', '$4405', '$4405', 'questitem', 'choice', 'glass', '0', '2258', '5613', '2120', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41037', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41038', 'Logbook Page 1', '$4393', '$4393', 'questitem', 'normal', 'paper', '0', '2246', '22', '2109', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41039', 'Logbook Page 2', '$4394', '$4394', 'questitem', 'normal', 'paper', '0', '2247', '22', '2110', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41040', 'Logbook Page 3', '$4395', '$4395', 'questitem', 'normal', 'paper', '0', '2248', '22', '2111', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41041', 'Logbook Page 4', '$4396', '$4396', 'questitem', 'normal', 'paper', '0', '2249', '22', '2112', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41042', 'Logbook Page 5', '$4397', '$4397', 'questitem', 'normal', 'paper', '0', '2250', '22', '2113', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41043', 'Logbook Page 6', '$4398', '$4398', 'questitem', 'normal', 'paper', '0', '2251', '22', '2114', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41044', 'Logbook Page 7', '$4399', '$4399', 'questitem', 'normal', 'paper', '0', '2252', '22', '2115', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41045', 'Logbook Page 8', '$4400', '$4400', 'questitem', 'normal', 'paper', '0', '2253', '22', '2116', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41046', 'Logbook Page 9', '$4401', '$4401', 'questitem', 'normal', 'paper', '0', '2254', '22', '2117', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41047', 'Logbook Page 10', '$4402', '$4402', 'questitem', 'normal', 'paper', '0', '2255', '22', '2118', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41048', 'Glued Logbook Page 1', '$4406', '$4406', 'questitem', 'normal', 'paper', '0', '2372', '22', '2121', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41049', 'Glued Logbook Page 2', '$4407', '$4407', 'questitem', 'normal', 'paper', '0', '2373', '22', '2122', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41050', 'Glued Logbook Page 3', '$4408', '$4408', 'questitem', 'normal', 'paper', '0', '2374', '22', '2123', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41051', 'Glued Logbook Page 4', '$4409', '$4409', 'questitem', 'normal', 'paper', '0', '2375', '22', '2124', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41052', 'Glued Logbook Page 5', '$4410', '$4410', 'questitem', 'normal', 'paper', '0', '2376', '22', '2125', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41053', 'Glued Logbook Page 6', '$4411', '$4411', 'questitem', 'normal', 'paper', '0', '2377', '22', '2126', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41054', 'Glued Logbook Page 7', '$4412', '$4412', 'questitem', 'normal', 'paper', '0', '2378', '22', '2127', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41055', 'Glued Logbook Page 8', '$4413', '$4413', 'questitem', 'normal', 'paper', '0', '2379', '22', '2128', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41056', 'Glued Logbook Page 9', '$4414', '$4414', 'questitem', 'normal', 'paper', '0', '2380', '22', '2129', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41057', 'Glued Logbook Page 10', '$4415', '$4415', 'questitem', 'normal', 'paper', '0', '2381', '22', '2130', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41058', 'Complete Logbook', '$4404', '$4404', 'questitem', 'normal', 'paper', '0', '2257', '5614', '2119', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41059', 'Pouch of Voyager', '$4455', '$4455', 'treasure_box', 'normal', 'leather', '117000', '1644', '3963', '2230', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41060', 'Letter of Noname', '$4657', '$4657', 'questitem', 'normal', 'paper', '0', '2018', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41061', 'Letter of Researchers: Elf Zone', '$4659', '$4659', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41062', 'Letter of Researchers: Human Zone', '$4660', '$4660', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41063', 'Letter of Researchers: Spirit Zone', '$4661', '$4661', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41064', 'Letter of Researchers: Orc Zone', '$4662', '$4662', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41065', 'Letter of Researchers: Researcher Head', '$4658', '$4658', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41066', 'Contaminated Root', '$4670', '$4670', 'questitem', 'normal', 'wood', '0', '2120', '5238', '1977', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41067', 'Contaminated Twig', '$4665', '$4665', 'questitem', 'normal', 'wood', '1000', '2108', '5211', '1978', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41068', 'Contaminated Ecdysis', '$4667', '$4667', 'questitem', 'normal', 'web', '1000', '2122', '5240', '1979', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41069', 'Contaminated Mane', '$4669', '$4669', 'questitem', 'normal', 'cloth', '1000', '2119', '5237', '1980', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41070', 'Contaminated Elven Wing', '$4684', '$4684', 'questitem', 'normal', 'leather', '1000', '2107', '5210', '1981', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41071', 'Silver Tray', '$4176', '$4176', 'questitem', 'normal', 'silver', '0', '2078', '5122', '1982', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41072', 'Silver Candle', '$4177', '$4177', 'questitem', 'normal', 'silver', '0', '2079', '5123', '1983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41073', 'Key of Bandit', '$4181', '$4181', 'questitem', 'normal', 'iron', '0', '2105', '5208', '1984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41074', 'Bandit Pouch', '$4182', '$4182', 'treasure_box', 'normal', 'cloth', '0', '2092', '5173', '1985', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41075', 'Polluted Hair', '$4685', '$4685', 'questitem', 'normal', 'none', '0', '2112', '5221', '1986', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41076', 'Polluted Earth', '$4678', '$4678', 'questitem', 'normal', 'gemstone', '1000', '2084', '5165', '1987', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41077', 'Polluted Water', '$4674', '$4674', 'questitem', 'normal', 'gemstone', '1000', '2086', '5167', '1988', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41078', 'Polluted Fire', '$4676', '$4676', 'questitem', 'normal', 'gemstone', '1000', '2091', '5172', '1989', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41079', 'Polluted Air', '$4672', '$4672', 'questitem', 'normal', 'gemstone', '1000', '2088', '5169', '1990', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41080', 'Polluted Spirit', '$4680', '$4680', 'questitem', 'normal', 'gemstone', '1000', '2102', '5183', '1991', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41081', 'Orc Fang', '$4187', '$4187', 'questitem', 'normal', 'bone', '1000', '2123', '5241', '1992', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41082', 'Orc Fang Amulet', '$4188', '$4188', 'questitem', 'normal', 'bone', '2000', '2124', '5242', '1993', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41083', 'Enchanted Powder', '$4189', '$4189', 'questitem', 'normal', 'none', '1000', '2125', '5243', '1994', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41084', 'Pure Powder', '$4198', '$4198', 'questitem', 'normal', 'none', '2000', '2117', '5235', '1995', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41085', 'Pearl of Prophet', '$4178', '$4178', 'questitem', 'normal', 'none', '1000', '2126', '5248', '1996', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41086', 'Roots', '$4687', '$4687', 'questitem', 'normal', 'wood', '2000', '2118', '5236', '2018', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41087', 'Bark', '$4688', '$4688', 'questitem', 'none', 'wood', '2000', '2109', '5218', '2019', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41088', 'Leaves', '$4689', '$4689', 'questitem', 'normal', 'wood', '2000', '2111', '5220', '2020', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41089', 'Branch', '$4690', '$4690', 'questitem', 'normal', 'wood', '2000', '2110', '5219', '2021', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41090', 'Totem of Neruga', '$500', '$500', 'totem', 'none', 'bone', '1000', '2261', '730', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41091', 'Totem of Duda-Mara', '$503', '$503', 'totem', 'none', 'bone', '1000', '2263', '731', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41092', 'Totem of Atuba', '$499', '$499', 'totem', 'none', 'bone', '1000', '2265', '729', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41093', 'Dreaming Teddy Bear', '$4826', '$4826', 'questitem', 'normal', 'none', '0', '2435', '3963', '2480', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41094', 'Perfume of Temptation', '$4827', '$4827', 'questitem', 'normal', 'glass', '0', '2436', '3963', '2481', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41095', 'Lovely Dress', '$4828', '$4828', 'questitem', 'normal', 'cloth', '0', '2437', '3963', '2482', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41096', 'Gorgeous Ring', '$4829', '$4829', 'questitem', 'normal', 'gemstone', '0', '2438', '3963', '2483', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41097', 'Heart of Emai', '$4830', '$4830', 'questitem', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41098', 'Biography of Hero', '$4842', '$4842', 'questitem', 'normal', 'paper', '0', '17', '3963', '2488', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41099', 'Fashonable Hat', '$4843', '$4843', 'questitem', 'normal', 'cloth', '0', '2441', '3963', '2499', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41100', 'Finest Wine', '$4844', '$4844', 'questitem', 'normal', 'glass', '0', '1646', '4249', '2500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41101', 'Unknown Key', '$4845', '$4845', 'questitem', 'normal', 'gold', '0', '2442', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41102', 'Heart of Esem', '$4846', '$4846', 'questitem', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41103', 'Stone Lump', '$4876', '$4876', 'questitem', 'normal', 'none', '0', '2459', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41104', 'Iron Ore', '$4879', '$4879', 'questitem', 'normal', 'none', '0', '2461', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41105', 'Volcanic Rock', '$4878', '$4878', 'questitem', 'normal', 'none', '0', '2045', '5419', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41106', 'Tail Hair of Maino', '$4875', '$4875', 'questitem', 'normal', 'leather', '0', '2458', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41107', 'Armor Piece', '$4880', '$4880', 'questitem', 'normal', 'steel', '0', '2462', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41108', 'Rough Diamond', '$4877', '$4877', 'questitem', 'normal', 'gemstone', '0', '2460', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41109', 'Tail Hair of Maino Shaman', '$4874', '$4874', 'questitem', 'normal', 'leather', '0', '2457', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41110', 'Keepsake Sack', '$4852', '$4852', 'questitem', 'normal', 'cloth', '0', '1644', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41111', 'Worn Keepsake Sack', '$4853', '$4853', 'questitem', 'normal', 'cloth', '0', '2089', '5170', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41112', 'Old Keepsake Sack', '$4854', '$4854', 'questitem', 'normal', 'cloth', '0', '1643', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41113', 'Worn Out Ring', '$4855', '$4855', 'questitem', 'normal', 'gemstone', '0', '669', '21', '1535', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41114', 'Bloody Hankerchief', '$4856', '$4856', 'questitem', 'normal', 'cloth', '0', '2463', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41115', 'Bloody Document', '$4857', '$4857', 'questitem', 'normal', 'paper', '0', '1042', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41116', 'Worn Out Necklace', '$4858', '$4858', 'questitem', 'normal', 'gemstone', '0', '1485', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41117', 'Old Wallet', '$4859', '$4859', 'questitem', 'normal', 'cloth', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41118', 'Bloddy Dagger', '$4860', '$4860', 'questitem', 'normal', 'steel', '0', '1872', '4760', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41119', 'Lost Key', '$4861', '$4861', 'questitem', 'normal', 'steel', '0', '671', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41120', 'Staff of Maya', '$4862', '$4862', 'questitem', 'normal', 'bone', '0', '1255', '3264', '2517', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41121', 'Contract of Kahel', '$5188', '$5188', 'questitem', 'normal', 'paper', '0', '1164', '2879', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41122', 'Order of Kahel', '$5160', '$5160', 'questitem', 'normal', 'paper', '0', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41123', 'Corrupted Powder of Kahel', '$5145', '$5145', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41124', 'Helpless Powder of Kahel', '$5146', '$5146', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41125', 'Egoistic Powder of Kahel', '$5147', '$5147', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41126', 'Corrupted Essence of Bloodstain', '$5148', '$5148', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41127', 'Helpless Essence of Bloodstain', '$5149', '$5149', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41128', 'Egoistic Essence of Bloodstain', '$5150', '$5150', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41129', 'Essence of Bloodstain', '$5158', '$5158', 'questitem', 'normal', 'none', '0', '938', '3966', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41130', 'Contract of Bloodstain', '$5189', '$5189', 'questitem', 'normal', 'paper', '0', '1164', '2879', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41131', 'Order of Bloodstain', '$5161', '$5161', 'questitem', 'normal', 'paper', '0', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41132', 'Corrupted Powder of Bloodstain', '$5151', '$5151', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41133', 'Helpless Powder of Bloodstain', '$5152', '$5152', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41134', 'Egoistic Powder of Bloodstain', '$5153', '$5153', 'questitem', 'normal', 'none', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41135', 'Corrupted Essence of Kahel', '$5154', '$5154', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41136', 'Helpless Essence of Kahel', '$5155', '$5155', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41137', 'Egoistic Essence of Kahel', '$5156', '$5156', 'questitem', 'normal', 'none', '0', '990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41138', 'Essence of Kahel', '$5157', '$5157', 'questitem', 'normal', 'none', '0', '938', '3966', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41139', 'Indecent Ancient Necklace', '$4836', '$4836', 'questitem', 'normal', 'gemstone', '0', '2444', '3963', '2493', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41140', 'Restored Ancient Necklace', '$4837', '$4837', 'questitem', 'normal', 'gemstone', '0', '2445', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41141', 'Mysterious Healing Potion', '$5127', '$5127', 'potion', 'normal', 'glass', '7000', '2521', '45', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41142', 'Mysterious Mana Potion', '$5128', '$5128', 'potion', 'normal', 'glass', '7800', '2520', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41143', 'Skeletal Pirate Head Transformation Potion', '$5129', '$5129', 'potion', 'normal', 'glass', '7800', '2516', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41144', 'Skeletal Pirate Soldier Transformation Potion', '$5133', '$5133', 'potion', 'normal', 'glass', '7800', '2516', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41145', 'Skeletal Pirate Knife Transformation Potion', '$5134', '$5134', 'potion', 'normal', 'glass', '7800', '2516', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41146', 'Unknown 41146', '$10001', '$10001', 'questitem', 'normal', 'paper', '5000', '91', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41147', 'TechnicalDocument(SolidCarriage)', '$4712', '$4712', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41148', 'TechnicalDocument(CounterBarrier)', '$4713', '$4713', 'spellbook', 'normal', 'paper', '7000', '252', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41149', 'Spirit Crystal(Soul of Flame)', '$4714', '$4714', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41150', 'Spirit Crystal(Additional Fire)', '$4715', '$4715', 'spellbook', 'normal', 'gemstone', '7000', '685', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41151', 'Spirit Crystal(Aqua Protect)', '$4716', '$4716', 'spellbook', 'normal', 'gemstone', '7000', '683', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41152', 'Spirit Crystal(Pollute Water)', '$4717', '$4717', 'spellbook', 'normal', 'gemstone', '7000', '688', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41153', 'Spirit Crystal(Strikers Gale)', '$4718', '$4718', 'spellbook', 'normal', 'gemstone', '7000', '689', '1561', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41154', 'Scale of Darkness', '$4474', '$4474', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41155', 'Scale of Flames', '$4475', '$4475', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41156', 'Scale of Immortality', '$4476', '$4476', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41157', 'Scale of Hatred', '$4392', '$4392', 'material', 'normal', 'animalmatter', '1000', '2244', '5612', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41158', 'Crystal Orb of Maya', '$4864', '$4864', 'questitem', 'normal', 'glass', '10000', '938', '3966', '2518', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41159', 'Sacred Wing Feather', '$5116', '$5116', 'questitem', 'normal', 'bone', '0', '2518', '3965', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41160', 'Calling Flute', '$4288', '$4288', 'other', 'normal', 'wood', '0', '477', '1218', '2045', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41161', 'Purified Black Wizard Amulet', '$4502', '$4502', 'other', 'earring', 'bone', '0', '2308', '5785', '2271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41162', 'Purified Black Wizard Amulet', '$4502', '$4502', 'other', 'earring', 'bone', '0', '2308', '5785', '2279', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41163', 'Purified Black Wizard Amulet', '$4502', '$4502', 'other', 'earring', 'bone', '0', '2308', '5785', '2275', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41164', 'Unprocessed Black Wizard Earrings 1', '$4503', '$4503', 'other', 'earring', 'bone', '0', '2308', '5785', '2276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41165', 'Unprocessed Black Wizard Earrings 1', '$4511', '$4511', 'other', 'earring', 'bone', '0', '2308', '5785', '2276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41166', 'Unprocessed Black Wizard Earrings 1', '$4507', '$4507', 'other', 'earring', 'bone', '0', '2308', '5785', '2276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41167', 'Transformed Black Fighter Earrings 1', '$4504', '$4504', 'other', 'earring', 'bone', '0', '2308', '5785', '2277', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41168', 'Unprocessed Black Fighter Earrings 2', '$4512', '$4512', 'other', 'earring', 'bone', '0', '2308', '5785', '2276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41169', 'Transformed Black Fighter Earrings 2', '$4508', '$4508', 'other', 'earring', 'bone', '0', '2308', '5785', '2277', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41170', 'Unprocessed Black Fighter Earrings 3', '$4505', '$4505', 'other', 'earring', 'bone', '0', '2308', '5785', '2278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41171', 'Transformed Black Fighter Earrings 3', '$4513', '$4513', 'other', 'earring', 'bone', '0', '2308', '5785', '2278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41172', 'Unprocessed Black Fighter Earrings 4', '$4509', '$4509', 'other', 'earring', 'bone', '0', '2308', '5785', '2278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41173', 'Transformed Black Knight Earrings 1', '$4579', '$4579', 'other', 'earring', 'bone', '0', '2297', '5785', '2264', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41174', 'Unprocessed Black Knight Earrings 2', '$4579', '$4579', 'other', 'earring', 'bone', '0', '2297', '5785', '2266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41175', 'Transformed Black Knight Earrings 2', '$4579', '$4579', 'other', 'earring', 'bone', '0', '2297', '5785', '2265', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41176', 'Unprocessed Black Knight Earrings 3', '$4514', '$4514', 'other', 'earring', 'bone', '0', '2306', '5785', '2283', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41177', 'Transformed Black Knight Earrings 3', '$4520', '$4520', 'other', 'earring', 'bone', '0', '2306', '5785', '2283', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41178', 'Unprocessed Black Knight Earrings 4', '$4517', '$4517', 'other', 'earring', 'bone', '0', '2306', '5785', '2283', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41179', 'Transformed Black Wizard Earrings 1', '$4515', '$4515', 'other', 'earring', 'bone', '0', '2306', '5785', '2284', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41180', 'Unprocessed Black Wizard Earrings 2', '$4521', '$4521', 'other', 'earring', 'bone', '0', '2306', '5785', '2284', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41181', 'Transformed Black Wizard Earrings 2', '$4518', '$4518', 'other', 'earring', 'bone', '0', '2306', '5785', '2283', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41182', 'Unprocessed Black Wizard Earrings 3', '$4516', '$4516', 'other', 'earring', 'bone', '0', '2306', '5785', '2285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41183', 'Transformed Black Wizard Earrings 3', '$4522', '$4522', 'other', 'earring', 'bone', '0', '2306', '5785', '2285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41184', 'Unprocessed Black Wizard Earrings 4', '$4519', '$4519', 'other', 'earring', 'bone', '0', '2306', '5785', '2285', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41185', 'Uncrafted Ring of Hero 2 (Wind Spirit)', '$4559', '$4559', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41186', 'Uncrafted Ring of Hero 4 (Wind Spirit)', '$4551', '$4551', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41187', 'Uncrafted Ring of Hero 3 (Wind Spirit)', '$4543', '$4543', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41188', 'Uncrafted Ring of Hero 1 (Wind Spirit)', '$4567', '$4567', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41189', 'Uncrafted Ring of Hero 2 (Earth Spirit)', '$4560', '$4560', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41190', 'Uncrafted Ring of Hero 4 (Earth Spirit)', '$4552', '$4552', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41191', 'Uncrafted Ring of Hero 3 (Earth Spirit)', '$4544', '$4544', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41192', 'Uncrafted Ring of Hero 1 (Earth Spirit)', '$4568', '$4568', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41193', 'Uncrafted Ring of Hero 2 (Fire Spirit)', '$4561', '$4561', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41194', 'Uncrafted Ring of Hero 4 (Fire Spirit)', '$4553', '$4553', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41195', 'Uncrafted Ring of Hero 3 (Fire Spirit)', '$4545', '$4545', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41196', 'Uncrafted Ring of Hero 1 (Fire Spirit)', '$4569', '$4569', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41197', 'Uncrafted Ring of Hero 2 (Water Spirit)', '$4562', '$4562', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41198', 'Uncrafted Ring of Hero 4 (Water Spirit)', '$4554', '$4554', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41199', 'Uncrafted Ring of Hero 3 (Water Spirit)', '$4546', '$4546', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41200', 'Uncrafted Ring of Hero 1 (Water Spirit)', '$4570', '$4570', 'other', 'ring', 'gold', '0', '2307', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41201', 'Soul of Knight', '$4980', '$4980', 'other', 'none', 'gemstone', '1000', '2511', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41202', 'Soul of Elf', '$4981', '$4981', 'other', 'none', 'gemstone', '1000', '2512', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41203', 'Soul of Lord', '$4982', '$4982', 'other', 'none', 'gemstone', '1000', '2513', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41204', 'Soul of Dark Elf', '$4983', '$4983', 'other', 'none', 'gemstone', '1000', '2514', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41205', 'Soul of Monk', '$4984', '$4984', 'other', 'none', 'gemstone', '1000', '2515', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41206', 'Dull Weapon', '$4985', '$4985', 'other', 'none', 'iron', '180000', '1542', '3925', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41207', 'Ash of Sailor', '$4941', '$4941', 'material', 'none', 'bone', '0', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41208', 'Withering Soul', '$4940', '$4940', 'material', 'none', 'gemstone', '0', '2183', '5399', '0', '1', '0', '0', '0', '0', '0', '32828', '33093', '550', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41209', 'Unknown 41209', '$10002', '$10002', 'questitem', 'normal', 'none', '0', '2018', '5070', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41210', 'Unknown 41210', '$10003', '$10003', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41211', 'Herb', '$1191', '$1191', 'questitem', 'normal', 'none', '0', '512', '1489', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41212', 'Unknown 41212', '$10005', '$10005', 'questitem', 'normal', 'none', '0', '936', '2475', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41213', 'Unknown 41213', '$10006', '$10006', 'questitem', 'normal', 'none', '0', '614', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41214', 'Unknown 41214', '$10012', '$10012', 'questitem', 'normal', 'none', '0', '1135', '2956', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41215', 'Unknown 41215', '$10010', '$10010', 'questitem', 'normal', 'none', '0', '314', '886', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41216', 'Unknown 41216', '$10011', '$10011', 'questitem', 'normal', 'none', '0', '56', '150', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41217', 'Apprentice Prince Pouch', '$10028', '$10028', 'treasure_box', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41218', 'Apprentice Knight Pouch', '$10029', '$10029', 'treasure_box', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41219', 'Apprentice Elf Pouch', '$10030', '$10030', 'treasure_box', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41220', 'Apprentice Wizard Pouch', '$10031', '$10031', 'treasure_box', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41221', 'Apprentice Dark Elf Pouch', '$3536', '$3536', 'treasure_box', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41222', 'Unknown 41222', '$10008', '$10008', 'questitem', 'normal', 'none', '0', '82', '47', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41223', 'Unknown 41223', '$10007', '$10007', 'questitem', 'normal', 'none', '0', '1425', '3526', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41224', 'Unknown 41224', '$10009', '$10009', 'questitem', 'normal', 'none', '0', '1342', '3458', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41225', 'Unknown 41225', '$10013', '$10013', 'questitem', 'normal', 'none', '0', '917', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41226', 'Unknown 41226', '$10014', '$10014', 'questitem', 'normal', 'none', '0', '1176', '3129', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41227', 'Unknown 41227', '$10033', '$10033', 'questitem', 'normal', 'none', '0', '91', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41228', 'Unknown 41228', '$10034', '$10034', 'questitem', 'normal', 'none', '0', '1029', '21', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41229', 'Skeleton Skull', 'Skeleton Skull', 'Skeleton Skull', 'questitem', 'normal', 'none', '0', '921', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41230', 'Unknown 41230', '$10020', '$10020', 'questitem', 'normal', 'none', '0', '919', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41231', 'Unknown 41231', '$10021', '$10021', 'questitem', 'normal', 'none', '0', '919', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41232', 'Unknown 41232', '$10016', '$10016', 'treasure_box', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41233', 'Unknown 41233', '$10019', '$10019', 'questitem', 'normal', 'none', '0', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41234', 'Unknown 41234', '$10023', '$10023', 'questitem', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41235', 'Unknown 41235', '$10024', '$10024', 'questitem', 'normal', 'none', '0', '914', '5070', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41236', 'Unknown 41236', '$10026', '$10026', 'questitem', 'normal', 'none', '5000', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41237', 'Bone Piece', 'Bone Piece', 'Bone Piece', 'questitem', 'normal', 'none', '5000', '444', '1166', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41238', 'Unknown 41238', '$10017', '$10017', 'treasure_box', 'normal', 'none', '5000', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41239', 'Unknown 41239', '$10018', '$10018', 'questitem', 'normal', 'none', '5000', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41240', 'Unknown 41240', '$10022', '$10022', 'questitem', 'normal', 'none', '5000', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41241', 'Bag of Bones', '$10015', '$10015', 'treasure_box', 'normal', 'none', '5000', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41242', 'Orc Treasure Bag', '$4362', '$4362', 'treasure_box', 'normal', 'none', '0', '973', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('42001', 'Scroll of Teleportation - GM', '$230 - GM', '$230 - GM', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32735', '32801', '17100', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42002', 'Scroll of Teleportation - Crystal Cave 1F', '$230 - Crystal Cave 1F', '$230 - Crystal Cave 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32743', '32833', '72', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42003', 'Scroll of Teleportation - Crystal Cave 2F', '$230 - Crystal Cave 2F', '$230 - Crystal Cave 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32782', '32736', '73', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42004', 'Scroll of Teleportation - Crystal Cave 3F', '$230 - Crystal Cave 3F', '$230 - Crystal Cave 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32728', '32815', '74', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42005', 'Scroll of Teleportation - Ivory Tower 1F', '$230 - Ivory Tower 1F', '$230 - Ivory Tower 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32771', '32822', '75', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42006', 'Scroll of Teleportation - Kent Dungeon 1F', '$230 - Kent Dungeon 1F', '$230 - Kent Dungeon 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32720', '33088', '240', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42007', 'Scroll of Teleportation - Forgotten Island', '$230 - Forgotten Island', '$230 - Forgotten Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32828', '32848', '70', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42008', 'Scroll of Teleportation - Kent Dungeon 2F', '$230 - Kent Dungeon 2F', '$230 - Kent Dungeon 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32759', '32884', '241', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42009', 'Scroll of Teleportation - Kent Dungeon 3F', '$230 - Kent Dungeon 3F', '$230 - Kent Dungeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32808', '32918', '242', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42010', 'Scroll of Teleportation - Kent Dungeon 4F', '$230 - Kent Dungeon 4F', '$230 - Kent Dungeon 4F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32742', '32857', '243', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42011', 'Scroll of Teleportation - 1F Meeting Area', '$230 - 1F Meeting Area', '$230 - 1F Meeting Area', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32726', '32847', '451', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42012', 'Scroll of Teleportation - 1F Squad Training', '$230 - 1F Squad Training', '$230 - 1F Squad Training', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32726', '32824', '452', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42013', 'Scroll of Teleportation - 1F Power King', '$230 - 1F Power King', '$230 - 1F Power King', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32725', '32851', '453', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42014', 'Scroll of Teleportation - 1F Dark Warrens', '$230 - 1F Dark Warrens', '$230 - 1F Dark Warrens', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32726', '32872', '454', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42016', 'Scroll of Teleportation - 1F Dark Warrens', '$230 - 1F Dark Warrens', '$230 - 1F Dark Warrens', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32726', '32852', '455', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42017', 'Scroll of Teleportation - Dream Island', '$230 - Dream Island', '$230 - Dream Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32633', '32817', '303', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42018', 'Scroll of Teleportation - 1F Summoning', '$230 - 1F Summoning', '$230 - 1F Summoning', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '0', '32756', '32869', '456', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42019', 'Scroll of Teleportation - 1F Dark Barrier', '$230 - 1F Dark Barrier', '$230 - 1F Dark Barrier', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32664', '32853', '457', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42020', 'Scroll of Teleportation - 2F Magic Training', '$230 - 1F Magic Training', '$230 - 1F Magic Training', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32811', '32819', '460', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42021', 'Scroll of Teleportation - Giant\'s Grave', '$230 - Giant\'s Grave', '$230 - Giant\'s Grave', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32771', '32870', '400', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42022', 'Scroll of Teleportation - Aden Castle', '$230 - Aden Castle', '$230 - Aden Castle', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32894', '32535', '300', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42023', 'Scroll of Teleportation - GM Room', '$230 - GM Room', '$230 - GM Room', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32737', '32796', '99', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42024', 'Scroll of Teleportation - Lawful Temple', '$230 - Lawful Temple', '$230 - Lawful Temple', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33119', '32933', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42025', 'Scroll of Teleportation - Chaotic Temple', '$230 - Chaotic Temple', '$230 - Chaotic Temple', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32887', '32652', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42026', 'Scroll of Teleportation - Aden Tower', '$230 - Aden Tower', '$230 - Aden Tower', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '34090', '33261', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42027', 'Scroll of Escape - Silver Knight Town', '$505 - Silver Knight Town', '$505 - Silver Knight Town', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33079', '33402', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42028', 'Scroll of Teleportation - MLC7', '$230 - MLC7', '$230 - MLC7', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32727', '32745', '13', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42029', 'Scroll of Teleportation - TOI 100F', '$230 - TOI 100F', '$230 - TOI 100F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32731', '32856', '200', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42030', 'Scroll of Teleportation - TOI 90F', '$230 - TOI 90F', '$230 - TOI 90F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32722', '32827', '190', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42031', 'Scroll of Teleportation - TOI 80F', '$230 - TOI 80F', '$230 - TOI 80F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32724', '32822', '180', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42032', 'Scroll of Teleportation - TOI 70F', '$230 - TOI 70F', '$230 - TOI 70F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32720', '32821', '170', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42033', 'Scroll of Teleportation - TOI 60F', '$230 - TOI 60F', '$230 - TOI 60F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32720', '32821', '160', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42035', 'Scroll of Teleportation - TOI 50F', '$230 - TOI 50F', '$230 - TOI 50F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32796', '32796', '150', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42036', 'Scroll of Teleportation - TOI 40F', '$230 - TOI 40F', '$230 - TOI 40F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32800', '32800', '140', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42037', 'Scroll of Teleportation - TOI 30F', '$230 - TOI 30F', '$230 - TOI 30F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32800', '32800', '130', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42038', 'Scroll of Teleportation - TOI 20F', '$230 - TOI 20F', '$230 - TOI 20F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32800', '32800', '120', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42039', 'Scroll of Teleportation - TOI 10F', '$230 - TOI 10F', '$230 - TOI 10F', 'scroll', 'normal', 'paper', '630', '2878', '22', '0', '1', '0', '0', '0', '0', '0', '32800', '32800', '110', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42040', 'Scroll of Teleportation - PI Dugeon 1F', '$230 - PI Dugeon 1F', '$230 - PI Dugeon 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32738', '32740', '441', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42041', 'Scroll of Teleportation - PI Dugeon 2F', '$230 - PI Dugeon 2F', '$230 - PI Dugeon 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32861', '32732', '442', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42042', 'Scroll of Teleportation - PI Dugeon 3F', '$230 - PI Dugeon 3F', '$230 - PI Dugeon 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32864', '32782', '443', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42043', 'Scroll of Teleportation - Abyss Lake', '$230 - Abyss Lake', '$230 - Abyss Lake', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32803', '33049', '420', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42044', 'Scroll of Teleportation - TI Training', '$230 - TI Training', '$230 - TI Training', 'scroll', 'normal', 'paper', '630', '474', '22', '1344', '1', '0', '0', '0', '0', '0', '32563', '32898', '0', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42045', 'Scroll of Teleportation - Pledge House', '$230 - Pledge House', '$230 - Pledge House', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33426', '32689', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42046', 'Scroll of Teleportation - Pledge House', '$230 - Pledge House', '$230 - Pledge House', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33377', '32696', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42047', 'Scroll of Teleportation - Ancient Space 3F', '$230 - Ancient Space 3F', '$230 - Ancient Space 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32812', '32872', '2002', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42048', 'Scroll of Teleportation - Oum Dungeon', '$230 - Oum Dungeon', '$230 - Oum Dungeon', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32806', '32814', '310', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42049', 'Scroll of Teleportation - Forgotten Island', '$230 - Forgotten Island', '$230 - Forgotten Island', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32828', '32848', '70', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42050', 'Ticket to Hell', '????????', '????????', 'other', 'normal', 'paper', '1000', '143', '151', '0', '1', '0', '0', '0', '0', '0', '32701', '32777', '666', '1', '0', '0', '0', '4', '1500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('42051', 'Scroll of Teleportation - Temple of Shadows', '$230 - Temple of Shadows', '$230 - Temple of Shadows', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32676', '32960', '521', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42052', 'Scroll of Teleportation - ToS 1F', '$230 - ToS 1F', '$230 - ToS 1F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32657', '32896', '522', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42053', 'Scroll of Teleportation - ToS 2F', '$230 - ToS 2F', '$230 - ToS 2F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32700', '32896', '523', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42054', 'Scroll of Teleportation - ToS 3F', '$230 - ToS 3F', '$230 - ToS 3F', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32691', '32894', '524', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('43000', 'Potion of Revival', '$2025', '$2025', 'other', 'normal', 'glass', '1000', '1143', '2983', '0', '1', '0', '0', '0', '99', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45000', 'Spellbook(LesserHeal)', '$517', '$517', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45001', 'Spellbook(Light)', '$518', '$518', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45002', 'Spellbook(Shield)', '$519', '$519', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45003', 'Spellbook(EBolt)', '$520', '$520', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45004', 'Spellbook(Teleport)', '$521', '$521', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45005', 'Spellbook(IceDagger)', '$1581', '$1581', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45006', 'Spellbook(WindShuriken)', '$1582', '$1582', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45007', 'Spellbook(HolyWeapon)', '$1857', '$1857', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45008', 'Spellbook(CurePoison)', '$522', '$522', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45009', 'Spellbook(ChillTouch)', '$523', '$523', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45010', 'Spellbook(Poison)', '$524', '$524', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45011', 'Spellbook(EnchantWeapon)', '$525', '$525', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45012', 'Spellbook(Detection)', '$526', '$526', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45013', 'Spellbook(DecreaseWeight)', '$1858', '$1858', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45014', 'Spellbook(FireArrow)', '$1584', '$1584', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45015', 'Spellbook(Stalac)', '$1583', '$1583', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45016', 'Spellbook(Lightning)', '$527', '$527', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45017', 'Spellbook(TurnUndead)', '$1585', '$1585', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45018', 'Spellbook(Heal)', '$529', '$529', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45019', 'Spellbook(Blind)', '$530', '$530', 'spellbook', 'normal', 'paper', '7000', '255', '777', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45020', 'Spellbook(EnchantArmor)', '$531', '$531', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45021', 'Spellbook(FrostCloud)', '$528', '$528', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('45022', 'Spellbook(WeakElemental)', '$1859', '$1859', 'spellbook', 'normal', 'paper', '7000', '250', '776', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49005', 'Emerald karif Pouch', '$515 $3052', '$515 $3052', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49006', 'Ruby karif Pouch', '$513 $3052', '$513 $3052', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49007', 'Diamond karif Pouch', '$512 $3052', '$512 $3052', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49008', 'Sapphire karif Pouch', '$514 $3052', '$514 $3052', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49009', 'Emerald High Quality karif Pouch', '$515 $3184', '$515 $3184', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49010', 'Sapphire High Quality karif Pouch', '$514 $3184', '$514 $3184', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49011', 'High Quality Ruby kafir pouch', '$3184', '$3184', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49012', 'Diamond High Quality karif Pouch', '$512 $3184', '$512 $3184', 'treasure_box', 'normal', 'leather', '1000', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49013', 'Scroll of Soul', '$2988', '$2988', 'treasure_box', 'normal', 'paper', '1000', '989', '3963', '1099', '0', '0', '0', '0', '48', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49014', 'Dark Crystal of Soul', '$2989', '$2989', 'questitem', 'none', 'gemstone', '1000', '991', '3963', '1100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49015', 'Black Mithril Liquid', '$4624', '$4624', 'questitem', 'normal', 'glass', '1000', '1161', '3041', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49016', 'Stationary', '$1075', '$1075', 'other', 'letter_w', 'paper', '0', '465', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49017', 'Stationary', '$1075', '$1075', 'other', 'letter_w', 'paper', '0', '466', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49018', 'Blood Pledge Letter', '$1146', '$1146', 'other', 'letter_w', 'paper', '0', '465', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49019', 'Blood Pledge Letter', '$1146', '$1146', 'other', 'letter_w', 'paper', '0', '466', '1215', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49020', 'Cristmas Card', '$1606', '$1606', 'event', 'ccard_w', 'paper', '0', '465', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49021', 'Cristmas Card', '$1606', '$1606', 'event', 'ccard_w', 'paper', '0', '466', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49022', 'Valentines Day Card', '$1619 $1623', '$1619 $1623', 'event', 'vcard_w', 'paper', '0', '606', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49023', 'Valentines Day Card', '$1619 $1623', '$1619 $1623', 'event', 'vcard_w', 'paper', '0', '605', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49024', 'White Day Card', '$1620 $1623', '$1620 $1623', 'event', 'wcard_w', 'paper', '0', '616', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49025', 'White Day Card', '$1620 $1623', '$1620 $1623', 'event', 'wcard_w', 'paper', '0', '615', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140006', 'Pine Wand', '$28', '$258', 'wand', 'normal', 'wood', '7000', '117', '28', '19', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140008', 'Maple Wand', '$27', '$260', 'wand', 'spell_long', 'wood', '7000', '116', '28', '20', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '6', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140010', 'Lesser Healing Potion', '$26', '$26', 'potion', 'normal', 'glass', '3900', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140011', 'Healing Potion', '$235', '$235', 'potion', 'normal', 'glass', '4900', '78', '43', '15', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140012', 'Greater Healing Potion', '$238', '$238', 'potion', 'normal', 'glass', '5850', '81', '46', '130', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('40030', 'Ivory Tower Haste Potion', '$3302', '$3302', 'potion', 'normal', 'glass', '7800', '77', '42', '1343', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140014', 'Potion of Bravery', '$943', '$943', 'potion', 'normal', 'glass', '4500', '79', '44', '296', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140015', 'Potion of Mana', '$232', '$507', 'potion', 'normal', 'glass', '7800', '75', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140016', 'Potion of Wisdom', '$944', '$944', 'potion', 'normal', 'glass', '4500', '1529', '3836', '297', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140018', 'Greater Haste Potion', '$1652 $234', '$1652 $264', 'potion', 'normal', 'glass', '7050', '621', '42', '1343', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140061', 'Lemon', '$82', '$82', 'food', 'normal', 'vegetation', '2000', '63', '72', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0');
INSERT INTO `etcitem` VALUES ('140062', 'Banana', '$107', '$107', 'food', 'normal', 'vegetation', '2000', '127', '80', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '80', '0');
INSERT INTO `etcitem` VALUES ('140065', 'Candy', '$1179', '$1179', 'food', 'normal', 'vegetation', '1000', '936', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0');
INSERT INTO `etcitem` VALUES ('140068', 'Elven Wafer', '$110', '$110', 'potion', 'normal', 'vegetation', '5000', '130', '81', '86', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140069', 'Orange', '$85', '$85', 'food', 'normal', 'vegetation', '2000', '71', '73', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '80', '0');
INSERT INTO `etcitem` VALUES ('140072', 'Pizza', '$86', '$86', 'food', 'normal', 'vegetation', '2000', '125', '74', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '200', '0');
INSERT INTO `etcitem` VALUES ('140074', 'Scroll of Enchant Armor', '$249', '$249', 'scroll', 'zel', 'paper', '630', '467', '22', '26', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140087', 'Scroll of Enchant Weapon', '$244', '$244', 'scroll', 'dai', 'paper', '630', '468', '22', '25', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140088', 'Scroll of Polymorph', '$971', '$971', 'scroll', 'sosc', 'paper', '630', '472', '22', '299', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140089', 'Scroll of Resurrection', '$257', '$257', 'scroll', 'res', 'paper', '630', '471', '22', '28', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140100', 'Scroll of Teleportation', '$230', '$230', 'scroll', 'btele', 'paper', '630', '473', '22', '23', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140119', 'Scroll of Curse Removal', '$243', '$243', 'scroll', 'normal', 'paper', '630', '470', '22', '1340', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('140129', 'Gian\'s Scroll', '$3359', '$3359', 'scroll', 'zel', 'paper', '630', '1686', '4282', '1395', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140130', 'Kalba\'s Scroll', '$3360', '$3360', 'scroll', 'dai', 'paper', '630', '1687', '4283', '1396', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140329', 'Native\'s Totem', '$3494', '$3494', 'other', 'normal', 'bone', '1000', '1763', '4341', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140506', 'Fruit of Ent', '$794', '$794', 'material', 'normal', 'vegetation', '8000', '126', '79', '279', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('240010', 'Lesser Healing Potion', '$26', '$26', 'potion', 'normal', 'glass', '3900', '80', '45', '1342', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('240074', 'Scroll of Enchant Armor', '$249', '$249', 'scroll', 'zel', 'paper', '630', '467', '22', '26', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('240087', 'Scroll of Enchant Weapon', '$244', '$244', 'scroll', 'dai', 'paper', '630', '468', '22', '25', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('50000', 'Personal Lubricant', 'Personal Lubricant', 'Personal Lubricant', 'event', 'none', 'none', '1000', '1176', '3129', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('50001', 'Spirit Crystal(NaturesMiracle)', '$1853', '$1853', 'spellbook', 'normal', 'gemstone', '7000', '688', '2958', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '3', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41243', 'Lastabad Supplies Bag', '$4352', '$4352', 'treasure_box', 'normal', 'cloth', '0', '1805', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41244', 'Lastabad Supplies Box', '$4325', '$4325', 'treasure_box', 'normal', 'wood', '0', '2267', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41245', 'Solvent', '$5239', '$5239', 'other', 'choice', 'glass', '0', '2608', '6329', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41246', 'Crystal', '$5240', '$5240', 'gem', 'normal', 'mineral', '0', '2606', '6330', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41247', 'Magic Bag of Arka', '$3450', '$3450', 'treasure_box', 'normal', 'leather', '12000', '1645', '4248', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41248', 'Magic Doll: Bugbear', '$5226', '$5226', 'other', 'normal', 'wood', '12000', '2589', '6174', '2545', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41249', 'Magic Doll: Succubus', '$5227', '$5227', 'other', 'normal', 'wood', '12000', '2590', '6174', '2546', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41250', 'Magic Doll: Werewolf', '$5225', '$5225', 'other', 'normal', 'wood', '12000', '2591', '6174', '2772', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41251', 'Skeleton Grail', '$5235', '$5235', 'other', 'normal', 'gemstone', '1000', '2599', '6266', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41252', 'Rare Turtle', '$5248', '$5248', 'food', 'normal', 'animalmatter', '9000', '2614', '6372', '2795', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '200', '1');
INSERT INTO `etcitem` VALUES ('41253', 'Spices of the Castle Chef', '$3447', '$3447', 'other', 'normal', 'liquid', '0', '1792', '4389', '2840', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41254', 'Seal of Victory', '$5306', '$5306', 'other', 'normal', 'gold', '1000', '2642', '3684', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41255', 'Cook Book : 1st Stage', '$4923', '$4923', 'other', 'normal', 'paper', '1000', '2498', '5994', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41256', 'Cook Book : 2nd Stage', '$4924', '$4924', 'other', 'normal', 'paper', '1000', '2499', '5995', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41257', 'Cook Book : 3rd Stage', '$4925', '$4925', 'other', 'normal', 'paper', '1000', '2500', '5996', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41258', 'Cook Book : 4th Stage', '$4926', '$4926', 'other', 'normal', 'paper', '1000', '2501', '5997', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41259', 'Cook Book : 5th Stage', '$4927', '$4927', 'other', 'normal', 'paper', '1000', '2502', '5998', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41260', 'Firewood', '$4922', '$4922', 'other', 'normal', 'wood', '780', '2489', '5986', '2551', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41261', 'Rice Ball', '$4938', '$4938', 'potion', 'normal', 'vegetation', '80', '2335', '5714', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41262', 'Grilled Chicken Skewer', '$4750', '$4750', 'potion', 'normal', 'animalmatter', '80', '2332', '5718', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41263', 'Sunflower Seed', '$4969', '$4969', 'food', 'normal', 'vegetation', '1000', '949', '2475', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41264', 'Flour', '$4919', '$4919', 'food', 'normal', 'vegetation', '1020', '2493', '5989', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41265', 'Honey', '$4918', '$4918', 'potion', 'normal', 'glass', '5860', '2488', '5985', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41266', 'Tomato', '$4921', '$4921', 'food', 'normal', 'vegetation', '1000', '2505', '6001', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '80', '1');
INSERT INTO `etcitem` VALUES ('41267', 'Cheese', '$4920', '$4920', 'food', 'normal', 'animalmatter', '1000', '2504', '6000', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '80', '1');
INSERT INTO `etcitem` VALUES ('41268', 'Pizza Pieces', '$5106', '$5106', 'potion', 'normal', 'animalmatter', '20', '2503', '5999', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41269', 'Grilled Corn', '$4934', '$4934', 'potion', 'normal', 'vegetation', '80', '2487', '5984', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41271', 'Poprice', '$4933', '$4933', 'potion', 'normal', 'vegetation', '80', '2494', '5990', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41272', 'Fish Cake', '$4935', '$4935', 'potion', 'normal', 'animalmatter', '80', '2496', '5992', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41273', 'Waffle', '$4936', '$4936', 'potion', 'normal', 'vegetation', '80', '2497', '5993', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41274', 'Ant Leg', '$5241', '$5241', 'food', 'normal', 'animalmatter', '1000', '2569', '6164', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('41275', 'Bear Meat', '$5242', '$5242', 'food', 'normal', 'animalmatter', '10000', '2571', '6166', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('41276', 'Boar Meat', '$5243', '$5243', 'food', 'normal', 'animalmatter', '10000', '2574', '6168', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('41277', 'Monster Eye Steak', '$4932', '$4932', 'food', 'normal', 'animalmatter', '2000', '2486', '5983', '2562', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41278', 'Roasted Bear Meat', '$5218', '$5218', 'food', 'normal', 'animalmatter', '2000', '2572', '6167', '2563', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41279', 'Seed Stuffed Pancake', '$4929', '$4929', 'food', 'normal', 'animalmatter', '2000', '2495', '5991', '2564', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41280', 'Roasted Ant Legs with Cheese', '$5219', '$5219', 'food', 'normal', 'animalmatter', '2000', '2570', '6165', '2565', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41281', 'Fruit Salad', '$4930', '$4930', 'food', 'normal', 'vegetation', '2000', '2484', '5981', '2566', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41282', 'Sweet and Sour Fruit', '$4931', '$4931', 'food', 'normal', 'animalmatter', '2000', '2485', '5982', '2567', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41283', 'Roasted Boar on Skewers', '$5220', '$5220', 'food', 'normal', 'animalmatter', '2000', '2573', '6169', '2568', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41284', 'Mushroom Soup', '$5221', '$5221', 'food', 'normal', 'vegetation', '2000', '2575', '6170', '2569', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41285', 'Monster Eye Steak of Fantasy', '$4932 $4928', '$4932 $4928', 'food', 'normal', 'animalmatter', '2000', '2486', '5983', '2781', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41286', 'Roasted Bear Meat of Fantasy', '$5218 $4928', '$5218 $4928', 'food', 'normal', 'animalmatter', '2000', '2572', '6167', '2782', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41287', 'Seed Stuffed Pancake of Fantasy', '$4929 $4928', '$4929 $4928', 'food', 'normal', 'animalmatter', '2000', '2495', '5991', '2783', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41288', 'Roasted Ant Legs with Cheese of Fantasy', '$5219 $4928', '$5219 $4928', 'food', 'normal', 'animalmatter', '3000', '2570', '6165', '2784', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41289', 'Fruit Salad of Fantasy', '$4930 $4928', '$4930 $4928', 'food', 'normal', 'vegetation', '3000', '2484', '5981', '2785', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41290', 'Sweet and Sour Fruit of Fantasy', '$4931 $4928', '$4931 $4928', 'food', 'normal', 'animalmatter', '3000', '2485', '5982', '2786', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41291', 'Roasted Boar on Skewers of Fantasy', '$5220 $4928', '$5220 $4928', 'food', 'normal', 'animalmatter', '2000', '2573', '6169', '2787', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41292', 'Mushroom Soup of Fantasy', '$5221 $4928', '$5221 $4928', 'food', 'normal', 'vegetation', '2000', '2575', '6170', '2788', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41293', 'Long and Heavy Fishing Pole', '$5246', '$5246', 'other', 'fishing_rod', 'iron', '100000', '2619', '6364', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41294', 'Short and Light Fishing Pole', '$5275', '$5275', 'other', 'fishing_rod', 'iron', '100000', '2619', '6364', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41295', 'Bait', '$5247', '$5247', 'other', 'normal', 'animalmatter', '100', '2626', '6375', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41296', 'Crucian Carp', '$5249', '$5249', 'food', 'normal', 'animalmatter', '3000', '2629', '6365', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('41297', 'Carp', '$5250', '$5250', 'food', 'normal', 'animalmatter', '3000', '2631', '6366', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('41298', 'Young Fish', '$5256', '$5256', 'potion', 'normal', 'animalmatter', '3000', '2630', '6373', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41299', 'Fast Fish', '$5257', '$5257', 'potion', 'normal', 'animalmatter', '5000', '2632', '6374', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41300', 'Strong Fish', '$5258', '$5258', 'potion', 'normal', 'animalmatter', '3000', '2613', '6367', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41301', 'Fish with Red Aura', '$5259', '$5259', 'event', 'normal', 'animalmatter', '5000', '2627', '6371', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41302', 'Fish with Green Aura', '$5260', '$5260', 'event', 'normal', 'animalmatter', '5000', '2633', '6370', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41303', 'Fish with Blue Aura', '$5261', '$5261', 'event', 'normal', 'animalmatter', '5000', '2635', '6369', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41304', 'Fish with White Aura', '$5262', '$5262', 'event', 'normal', 'animalmatter', '5000', '2637', '6368', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41305', 'Broken Earrings', '$5264', '$5264', 'other', 'normal', 'iron', '5000', '2616', '6361', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41306', 'Broken Ring', '$5263', '$5263', 'other', 'normal', 'iron', '5000', '2618', '6363', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41307', 'Broken Necklace', '$5265', '$5265', 'other', 'normal', 'iron', '10000', '2617', '6362', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41308', 'Pumpkin Pouch of a Brave Man', '$5287', '$5287', 'treasure_box', 'normal', 'vegetation', '14000', '943', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41309', 'Pet Match Yellow Gold Medal', '$5305', '$5305', 'other', 'normal', 'gold', '0', '2641', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41310', 'Fruit of the Victor', '$5307', '$5307', 'other', 'normal', 'gold', '1000', '2639', '6376', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41311', 'Surprise Box', '$5308', '$5308', 'treasure_box', 'normal', 'leather', '14000', '2267', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41312', 'Jar of Astrologer', '$5204', '$5204', 'treasure_box', 'normal', 'mineral', '10000', '2592', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '86400', '0', '1');
INSERT INTO `etcitem` VALUES ('41313', 'Marble of Astrologer', '$5205', '$5205', 'other', 'normal', 'glass', '1000', '2594', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41314', 'Talisman of Astrologer', '$5206', '$5206', 'other', 'normal', 'cloth', '1000', '2596', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41315', 'Sacred Water', '$5103', '$5103', 'questitem', 'normal', 'glass', '1000', '2474', '5925', '2659', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41316', 'Sacred Mineral Powder', '$5115', '$5115', 'questitem', 'normal', 'iron', '1000', '2456', '5989', '2670', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41317', 'Larson\'s Recommendation Letter', '$5211', '$5211', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41318', 'Kuen\'s Note', '$5212', '$5212', 'questitem', 'normal', 'paper', '0', '1760', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41319', 'Chrysanthemum Bouquet', '$5097', '$5097', 'questitem', 'normal', 'vegetation', '940', '2471', '5927', '2653', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41320', 'Daisy Bouquet', '$5098', '$5098', 'questitem', 'normal', 'vegetation', '940', '2472', '5922', '2654', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41321', 'Rose Bouquet', '$5099', '$5099', 'questitem', 'normal', 'vegetation', '940', '2480', '5928', '2655', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41322', 'Calla Lily Bouquet', '$5100', '$5100', 'questitem', 'normal', 'vegetation', '940', '2481', '5921', '2656', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41323', 'Sunflower Bouquet', '$5101', '$5101', 'questitem', 'normal', 'vegetation', '940', '2482', '5929', '2657', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41324', 'Freesia Bouquet', '$5102', '$5102', 'questitem', 'normal', 'vegetation', '940', '2483', '5923', '2658', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41325', 'Certificate of Valor', '$5104', '$5104', 'questitem', 'normal', 'gemstone', '1000', '2476', '5930', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41326', 'Certificate of Valor', '$5104', '$5104', 'questitem', 'normal', 'gemstone', '1000', '2476', '5930', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41327', 'Breath of Ghost', '$5105', '$5105', 'questitem', 'normal', 'gemstone', '1000', '2478', '5924', '2660', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41328', 'Breath of Hamel', '$5304', '$5304', 'questitem', 'normal', 'gemstone', '1000', '2478', '5924', '2661', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41329', 'Taxidermy Order', '$5192', '$5192', 'questitem', 'normal', 'paper', '1000', '465', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41330', 'Certificate for Ant Hunting', '$5193', '$5193', 'questitem', 'normal', 'bone', '1000', '1138', '2982', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41331', 'Certificate for Bear Hunting', '$5194', '$5194', 'questitem', 'normal', 'bone', '1000', '1138', '2982', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41332', 'Certificate for Lamia Hunting', '$5195', '$5195', 'questitem', 'normal', 'bone', '1000', '1138', '2982', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41333', 'Certificate for Black Tiger Hunting', '$5196', '$5196', 'questitem', 'normal', 'bone', '1000', '1138', '2982', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41334', 'Certificate for Deer Hunting', '$5197', '$5197', 'questitem', 'normal', 'bone', '1000', '1138', '2982', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41335', 'Certificate for Harpy Hunting', '$5198', '$5198', 'questitem', 'normal', 'bone', '1000', '1138', '2982', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41336', 'Pouch of Evrol', '$5143', '$5143', 'treasure_box', 'normal', 'leather', '100000', '1643', '4246', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41337', 'Blessed Barley Bread', '$5020', '$5020', 'potion', 'normal', 'vegetation', '7800', '2558', '6123', '2592', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41338', 'Blessed Wine', '$5019', '$5019', 'potion', 'normal', 'glass', '7800', '2559', '6121', '2593', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41339', 'Note of the Deceased', '$5024', '$5024', 'questitem', 'normal', 'paper', '1000', '2553', '22', '2594', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41340', 'Introduction of Head of Mercenery Squad Tion', '$5159', '$5159', 'questitem', 'normal', 'paper', '1000', '465', '22', '1760', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41341', 'Manual of Zeron', '$5028', '$5028', 'questitem', 'normal', 'paper', '1000', '2557', '22', '2597', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41342', 'Blood of Medusa', '$5027', '$5027', 'questitem', 'normal', 'glass', '1000', '324', '47', '2605', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41343', 'Bloodstain of Fafurion', '$5023', '$5023', 'questitem', 'normal', 'glass', '1000', '2560', '6122', '2598', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41344', 'Essence of Water', '$5025', '$5025', 'questitem', 'normal', 'gemstone', '1000', '2554', '6124', '2595', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41345', 'Acid Sap', '$5026', '$5026', 'questitem', 'normal', 'vegetation', '1000', '2556', '6125', '2596', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41346', 'Memo Pad of Robin Hood', '$5018', '$5018', 'questitem', 'normal', 'paper', '1000', '1760', '22', '2602', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41347', 'Memo Pad of Robin Hood', '$5018', '$5018', 'questitem', 'normal', 'paper', '1000', '1760', '22', '2603', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41348', 'Introduction from Robin Hood', '$5017', '$5017', 'questitem', 'normal', 'paper', '1000', '1760', '22', '2604', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41349', 'Ring of Saell', '$4357', '$4357', 'questitem', 'normal', 'silver', '20000', '2177', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41350', 'Ring of Robin Hood', '$4345', '$4345', 'questitem', 'normal', 'silver', '20000', '2178', '5315', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41351', 'Spirit of Moonlight', '$4348', '$4348', 'questitem', 'normal', 'gemstone', '20000', '2179', '5959', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41352', 'Blessed Unicorn Horn', '$4349', '$4349', 'material', 'normal', 'bone', '9000', '2181', '6374', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41353', 'Dagger of Eva', '$4351', '$4351', 'questitem', 'normal', 'mithril', '11000', '2169', '5003', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41354', 'Blessed Dagger of Eva', '$4358', '$4358', 'questitem', 'normal', 'glass', '11000', '2598', '5925', '2474', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41355', 'Parum\'s Crop Pouch', '$5214', '$5214', 'treasure_box', 'normal', 'leather', '11000', '2696', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41356', 'Parum\'s Volunteer List', '$5215', '$5215', 'other', 'normal', 'paper', '0', '313', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41357', 'A Alphabet Firecracker', '$5368', '$5368', 'firecracker', 'normal', 'wood', '1000', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41358', 'B Alphabet Firecracker', '$5369', '$5369', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41359', 'C Alphabet Firecracker', '$5370', '$5370', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41360', 'D Alphabet Firecracker', '$5371', '$5371', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41361', 'E Alphabet Firecracker', '$5372', '$5372', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41362', 'F Alphabet Firecracker', '$5373', '$5373', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41363', 'G Alphabet Firecracker', '$5374', '$5374', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41364', 'H Alphabet Firecracker', '$5375', '$5375', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41365', 'I Alphabet Firecracker', '$5376', '$5376', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41366', 'J Alphabet Firecracker', '$5377', '$5377', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41367', 'K Alphabet Firecracker', '$5378', '$5378', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41368', 'L Alphabet Firecracker', '$5379', '$5379', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41369', 'M Alphabet Firecracker', '$5380', '$5380', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41370', 'N Alphabet Firecracker', '$5381', '$5381', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41371', 'O Alphabet Firecracker', '$5382', '$5382', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41372', 'P Alphabet Firecracker', '$5383', '$5383', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41373', 'Q Alphabet Firecracker', '$5384', '$5384', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41374', 'R Alphabet Firecracker', '$5385', '$5385', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41375', 'S Alphabet Firecracker', '$5386', '$5386', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41376', 'T Alphabet Firecracker', '$5387', '$5387', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41377', 'U Alphabet Firecracker', '$5388', '$5388', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41378', 'V Alphabet Firecracker', '$5389', '$5389', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41379', 'W Alphabet Firecracker', '$5390', '$5390', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41380', 'X Alphabet Firecracker', '$5391', '$5391', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41381', 'Y Alphabet Firecracker', '$5392', '$5392', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41382', 'Z Alphabet Firecracker', '$5393', '$5393', 'firecracker', 'normal', 'wood', '0', '2677', '6440', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41383', 'Stuffed Giant Soldier Ant', '$5171', '$5171', 'other', 'normal', 'animalmatter', '0', '2539', '6039', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41384', 'Stuffed Bear', '$5172', '$5172', 'other', 'normal', 'animalmatter', '0', '2540', '6041', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41385', 'Stuffed Lamia', '$5173', '$5173', 'other', 'normal', 'animalmatter', '0', '2541', '6047', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41386', 'Stuffed Black Tiger', '$5174', '$5174', 'other', 'normal', 'animalmatter', '0', '2542', '6049', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41387', 'Stuffed Deer', '$5175', '$5175', 'other', 'normal', 'animalmatter', '0', '2543', '6052', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41388', 'Stuffed Harpy', '$5180', '$5180', 'other', 'normal', 'animalmatter', '0', '2548', '6069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41389', 'Bronze Knight', '$5176', '$5176', 'other', 'normal', 'copper', '0', '2544', '6058', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41390', 'Bronze Horse', '$5177', '$5177', 'other', 'normal', 'copper', '0', '2545', '6060', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41391', 'Candlestick', '$5178', '$5178', 'other', 'normal', 'steel', '0', '2546', '6062', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41392', 'Tea Table', '$5179', '$5179', 'other', 'normal', 'wood', '0', '2547', '6065', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41393', 'Brazier', '$5181', '$5181', 'other', 'normal', 'steel', '0', '2549', '6074', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41394', 'Torch', '$5182', '$5182', 'other', 'normal', 'steel', '0', '2550', '6071', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41395', 'Platform for the Lord', '$5183', '$5183', 'other', 'normal', 'mineral', '0', '2567', '6043', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41396', 'Flag', '$5184', '$5184', 'other', 'normal', 'cloth', '0', '2568', '6045', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41397', 'Tea Table Chair', '$5185', '$5185', 'other', 'normal', 'wood', '0', '2584', '6056', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41398', 'Tea Table Chair', '$5185', '$5185', 'other', 'normal', 'wood', '0', '2585', '6054', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41399', 'Partition', '$5186', '$5186', 'other', 'normal', 'wood', '0', '2586', '6067', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41400', 'Partition', '$5186', '$5186', 'other', 'normal', 'wood', '0', '2587', '6068', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41401', 'Wand of Remove Furniture', '$1387', '$1387', 'wand', 'spell_long', 'wood', '7000', '116', '28', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41402', 'Hero\'s Mark', '$5448', '$5448', 'other', 'normal', 'mithril', '0', '2867', '3684', '2979', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41403', 'Kuzak\'s Food', '$5233', '$5233', 'potion', 'normal', 'glass', '4600', '2602', '6287', '2775', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41404', 'Kuzak\'s Wonder Drug', '$5234', '$5234', 'potion', 'normal', 'glass', '4600', '2604', '6288', '2776', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('42501', 'Custom Wand', 'Custom Wand (10/0)', 'Custom Wand (10/0)', 'wand', 'spell_long', 'paper', '0', '828', '11', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('240100', 'Scroll of Teleportation', '$230', '$230', 'scroll', 'normal', 'paper', '630', '473', '22', '1337', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '7', '30000', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('240101', 'SuperDK', 'SuperDK', 'SuperDK', 'scroll', 'normal', 'paper', '630', '472', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41411', 'Silver Zongzi', '$3025', '$3025', 'potion', 'normal', 'vegetation', '0', '1396', '3461', '1101', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41412', 'Gold Zongzi', '$3026', '$3026', 'potion', 'normal', 'vegetation', '0', '1397', '3462', '1102', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41413', 'Round Rice-Cake', '$2580', '$2580', 'potion', 'normal', 'vegetation', '6000', '1159', '3039', '920', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41414', 'Bok Rice-Cake', '$2581', '$2581', 'potion', 'normal', 'vegetation', '12000', '1160', '3040', '921', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41415', 'Potion of Reinforced Case', '$4913', '$4913', 'potion', 'normal', 'glass', '9400', '2464', '5959', '296', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41405', 'Compensation', '$3018', '$3018', 'treasure_box', 'normal', 'wood', '0', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41406', 'Money Pouch of Reona', '$3158', '$3158', 'treasure_box', 'normal', 'none', '80', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41407', 'Money Pouch of Reona', '$3158', '$3158', 'treasure_box', 'normal', 'none', '80', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41408', 'Money Pouch of Reona', '$3158', '$3158', 'treasure_box', 'normal', 'none', '80', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41409', 'Money Pouch of Reona', '$3158', '$3158', 'treasure_box', 'normal', 'none', '80', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41410', 'Money Pouch of Reona', '$3158', '$3158', 'treasure_box', 'normal', 'none', '80', '958', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41416', 'Pet Match Gift Chest', '$5470', '$5470', 'treasure_box', 'normal', 'leather', '14000', '2267', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('140013', 'Haste Potion', '$234', '$264', 'potion', 'normal', 'glass', '3900', '77', '42', '17', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41417', 'unknown', '', '', 'potion', 'normal', 'vegetation', '5860', '2984', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41418', 'unknown', '', '', 'potion', 'normal', 'vegetation', '5860', '2985', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41419', 'unknown', 'unknown', 'unknown', 'potion', 'normal', 'vegetation', '5860', '2988', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41420', 'unknown', 'unknown', 'unknown', 'potion', 'normal', 'vegetation', '5860', '2990', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41421', 'unknown', 'unknown', 'unknown', 'potion', 'normal', 'vegetation', '5860', '2991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41422', 'unknown', '$5523', '$5523', 'questitem', 'normal', 'gemstone', '0', '2183', '5399', '3050', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41423', 'Kangaroo Feed', '$5130', '$5130', 'food', 'normal', 'animalmatter', '10000', '2643', '4377', '9', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41424', 'Panda Feed', '$5131', '$5131', 'food', 'normal', 'animalmatter', '10000', '2644', '5839', '9', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49026', 'Ancient Gold Coin', '$4824', '$4824', 'material', 'none', 'gold', '78', '2434', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49027', 'Diamond of Taros', '$4835', '$4835', 'gem', 'none', 'gemstone', '40', '2454', '771', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49028', 'Ruby of Taros', '$4832', '$4832', 'gem', 'none', 'gemstone', '40', '2448', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49029', 'Sapphire of Taros', '$4834', '$4834', 'gem', 'none', 'gemstone', '40', '2452', '775', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49030', 'Emerald of Taros', '$4833', '$4833', 'gem', 'none', 'gemstone', '40', '2450', '772', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41425', 'Scroll of Return - Silent Cavern', '$3315', '$3315', 'scroll', 'normal', 'paper', '630', '474', '22', '0', '1', '0', '0', '0', '0', '13', '32851', '32904', '304', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42055', 'Scroll of Teleportation - Polluted Land of Bl', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32982', '32808', '244', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42056', 'Scroll of Teleportation - Giran Hidden Dungeo', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32805', '32793', '248', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42057', 'Scroll of Teleportation - Giran Hidden Dungeo', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32808', '32857', '249', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42058', 'Scroll of Teleportation - Giran Hidden Dungeo', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32808', '32865', '250', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42059', 'Scroll of Teleportation - Count\'s Room', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32809', '32806', '251', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42060', 'Scroll of Teleportation - Heine Basement Dung', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32746', '32861', '252', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42061', 'Scroll of Teleportation - Kingdom of Eva', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32756', '32860', '253', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42062', 'Scroll of Teleportation - Barbados Hideout', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32615', '32795', '254', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42063', 'Scroll of Teleportation - Dwarf Mine', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32680', '32795', '255', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42064', 'Scroll of Teleportation - Wilderness', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32696', '32794', '256', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42065', 'Scroll of Teleportation - Basement Floor 1 Pa', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32660', '32800', '257', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42066', 'Scroll of Teleportation - Basement Floor 2 Gr', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32800', '32799', '258', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42067', 'Scroll of Teleportation - Basement Floor 3 Pa', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32733', '32790', '259', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42068', 'Scroll of Teleportation - Basement Floor 2 Hi', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32681', '32972', '258', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42069', 'Scroll of Teleportation - Talking Island Dung', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32667', '32808', '1', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42070', 'Scroll of Teleportation - Talking Island Dung', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32665', '32789', '2', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42071', 'Scroll of Teleportation - Underground Passage', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32998', '32807', '14', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42072', 'Scroll of Teleportation - Elven Forest Dungeo', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32803', '32725', '19', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42073', 'Scroll of Teleportation - Elven Forest Dungeo', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32765', '32797', '20', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42074', 'Scroll of Teleportation - Elven Forest Dungeo', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32730', '32737', '21', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42075', 'Scroll of Teleportation - Sanctuary of Oblivi', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32662', '32851', '467', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42076', 'Scroll of Teleportation - Sanctuary of Oblivi', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32659', '32872', '468', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42077', 'Scroll of Teleportation - Sanctuary of Oblivi', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32722', '32795', '536', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42078', 'Scroll of Teleportation - Garden Square 4F', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32847', '32793', '532', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42079', 'Scroll of Teleportation - Elder Meeting Room ', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32733', '32872', '534', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42080', 'Scroll of Teleportation - Pirate Island Lizar', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32824', '32872', '480', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42081', 'Scroll of Teleportation - Watery Grave of Spi', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32843', '32693', '550', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42082', 'Scroll of Teleportation - Deep Sea Grave of S', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32781', '32801', '558', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42083', 'Scroll of Teleportation - Losus Island', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '33501', '33205', '4', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42084', 'Scroll of Teleportation - Room of Waves', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32830', '32822', '604', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42085', 'Scroll of Teleportation - Room of Flames', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32835', '32822', '605', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42086', 'Scroll of Teleportation - Room of Hurricanes', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32757', '32842', '606', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42087', 'Scroll of Teleportation - Room of Earthquakes', '$230', '$230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32773', '32835', '607', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49031', 'Ice Crystal', '$5546', '$5546', 'material', 'none', 'gemstone', '0', '2141', '5828', '3054', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49032', 'Ice Demon\'s Pouch', '$5542', '$5542', 'treasure_box', 'normal', 'leather', '0', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49033', 'Ice Queen\'s Pouch', '$5543', '$5543', 'treasure_box', 'normal', 'leather', '0', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49034', 'Ice Queen\'s Box', '$5544', '$5544', 'treasure_box', 'normal', 'wood', '0', '998', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49035', 'Ice Castle Key', '$5547', '$5547', 'other', 'none', 'iron', '1000', '59', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49036', 'Ice Castle Key', '$5547', '$5547', 'other', 'none', 'iron', '1000', '59', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49037', 'Magic Doll: Elder', '$5417', '$5417', 'other', 'normal', 'wood', '12000', '2703', '3963', '2545', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49038', 'Magic Doll: Crustacean', '$5418', '$5418', 'other', 'normal', 'wood', '12000', '2705', '3963', '2546', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49039', 'Magic Doll: Stone Golem', '$5419', '$5419', 'other', 'normal', 'wood', '12000', '2704', '3963', '2772', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49040', 'Shark Eggs', '$5438', '$5438', 'food', 'normal', 'animalmatter', '10000', '2729', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '30', '1');
INSERT INTO `etcitem` VALUES ('49041', 'Alligator Meat', '$5439', '$5439', 'food', 'normal', 'animalmatter', '10000', '2732', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49042', 'Turtle Dragon Egg', '$5446', '$5446', 'food', 'normal', 'animalmatter', '10000', '2833', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '50', '1');
INSERT INTO `etcitem` VALUES ('49043', 'Kiwi Parrot Meat', '$5440', '$5440', 'food', 'normal', 'animalmatter', '10000', '2739', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49044', 'Scorpion Meat', '$5441', '$5441', 'food', 'normal', 'animalmatter', '10000', '2731', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49045', 'Elekkadom Meat', '$5442', '$5442', 'food', 'normal', 'animalmatter', '10000', '2734', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49046', 'Spider Leg Meat', '$5443', '$5443', 'food', 'normal', 'animalmatter', '10000', '2727', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49047', 'Crab Meat', '$5444', '$5444', 'food', 'normal', 'animalmatter', '10000', '2737', '36', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49048', 'Mixed Spices Sauce', '$4916', '$4916', 'potion', 'normal', 'glass', '10000', '2492', '5988', '2778', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49049', 'Cavier Canape', '$5430', '$5430', 'food', 'normal', 'animalmatter', '2000', '2736', '6165', '2953', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49050', 'Alligator Steak', '$5431', '$5431', 'food', 'normal', 'animalmatter', '2000', '2733', '6165', '2954', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49051', 'Turtle Dragon Cookie', '$5432', '$5432', 'food', 'normal', 'animalmatter', '2000', '2741', '6165', '2955', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49052', 'Roasted Kiwi Parrot', '$5433', '$5433', 'food', 'normal', 'animalmatter', '2000', '2740', '6165', '2956', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49053', 'Roasted Scorpion', '$5434', '$5434', 'food', 'normal', 'animalmatter', '2000', '2730', '6165', '2957', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49054', 'Elekkadom Stew', '$5435', '$5435', 'food', 'normal', 'animalmatter', '2000', '2735', '6165', '2958', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49055', 'Roasted Spider Leg Skewers', '$5436', '$5436', 'food', 'normal', 'animalmatter', '2000', '2728', '6165', '2959', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49056', 'Crab Meat Soup', '$5437', '$5437', 'food', 'normal', 'animalmatter', '2000', '2738', '6165', '2960', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49057', 'Cavier Canape of Fantasy', '$4928 $5430', '$4928 $5430', 'food', 'normal', 'animalmatter', '2000', '2736', '6165', '2961', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49058', 'Alligator Steak of Fantasy', '$4928 $5431', '$4928 $5431', 'food', 'normal', 'animalmatter', '2000', '2733', '6165', '2962', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49059', 'Turtle Dragon Cookie of Fantasy', '$4928 $5432', '$4928 $5432', 'food', 'normal', 'animalmatter', '2000', '2741', '6165', '2963', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49060', 'Roasted Kiwi Parrot of Fantasy', '$4928 $5433', '$4928 $5433', 'food', 'normal', 'animalmatter', '2000', '2740', '6165', '2964', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49061', 'Roasted Scorpion of Fantasy', '$4928 $5434', '$4928 $5434', 'food', 'normal', 'animalmatter', '2000', '2730', '6165', '2965', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49062', 'Elekkadom Stew of Fantasy', '$4928 $5435', '$4928 $5435', 'food', 'normal', 'animalmatter', '2000', '2735', '6165', '2966', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49063', 'Roasted Spider Leg of Fantasy', '$4928 $5436', '$4928 $5436', 'food', 'normal', 'animalmatter', '2000', '2728', '6165', '2967', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49064', 'Crab Meat Soup of Fantasy', '$4928 $5437', '$4928 $5437', 'food', 'normal', 'animalmatter', '2000', '2738', '6165', '2968', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '150', '1');
INSERT INTO `etcitem` VALUES ('49065', 'Fountain', '$5477', '$5477', 'other', 'normal', 'mineral', '0', '2869', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49066', 'Flower Pillar', '$5479', '$5479', 'other', 'normal', 'steel', '0', '2870', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49067', 'Flower Pillar', '$5479', '$5479', 'other', 'normal', 'steel', '0', '2871', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49068', 'Partition', '$5186', '$5186', 'other', 'normal', 'steel', '0', '2885', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49069', 'Partition', '$5186', '$5186', 'other', 'normal', 'steel', '0', '2886', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49070', 'Vase', '$5478', '$5478', 'other', 'normal', 'steel', '0', '2890', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49071', 'Cake', '$5476', '$5476', 'other', 'normal', 'vegetation', '0', '2887', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49072', 'Demon Bronze Statue', '$5471', '$5471', 'other', 'normal', 'copper', '0', '2872', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49073', 'Drake Bronze Statue', '$5472', '$5472', 'other', 'normal', 'copper', '0', '2875', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49074', 'Cougar Bronze Statue', '$5473', '$5473', 'other', 'normal', 'copper', '0', '2882', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49075', 'Iris Bronze Statue', '$5474', '$5474', 'other', 'normal', 'copper', '0', '2881', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49076', 'Great Minotaur Bronze Statue', '$5475', '$5475', 'other', 'normal', 'copper', '0', '2880', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49077', 'Demon Spirit', '$5480', '$5480', 'other', 'normal', 'glass', '0', '2873', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49078', 'Drake Spirit', '$5481', '$5481', 'other', 'normal', 'glass', '0', '2876', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49079', 'Cougar Spirit', '$5482', '$5482', 'other', 'normal', 'glass', '0', '2883', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49080', 'Iris Spirit', '$5483', '$5483', 'other', 'normal', 'glass', '0', '2878', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49081', 'Great Minotaur Spirit', '$5484', '$5484', 'other', 'normal', 'glass', '0', '2888', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49082', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2131', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49084', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2132', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49086', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2133', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49088', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2134', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49090', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2135', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49083', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49085', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2137', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49087', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2138', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49089', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2139', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49091', 'Incomplete Logbook', '$4403', '$4403', 'questitem', 'normal', 'paper', '0', '2256', '5614', '2140', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49142', 'Candle of Reminiscence', '$5589', '$5589', 'other', 'normal', 'web', '1000', '2923', '6', '3120', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40697', 'Gloves of Expedition Member', '$3992', '$3992', 'questitem', 'normal', 'leather', '0', '2054', '3963', '1841', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('40696', 'Relic of Expedition Member', '$3978', '$3978', 'treasure_box', 'normal', 'none', '0', '957', '3963', '1838', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49268', 'Portrait of Emai', '$4831', '$4831', 'questitem', 'normal', 'paper', '5000', '2440', '4355', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49269', 'Portrait of Esem', '$4847', '$4847', 'questitem', 'normal', 'paper', '5000', '2443', '4355', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49143', 'Crystal of Bravery', '$5786', '$5786', 'gem', 'normal', 'gemstone', '1000', '2977', '6455', '3292', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49281', 'Spell Scroll (Enchant Mighty)', '$1487 $1462', '$1487 $1462', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49282', 'Spell Scroll (Bless Weapon)', '$1487 $1985', '$1487 $1985', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49283', 'Spell Scroll (Heal Pledge)', '$1487 $1466', '$1487 $1466', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49284', 'Spell Scroll (Holywalk)', '$1487 $1469', '$1487 $1469', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49285', 'Spell Scroll (Greater Haste)', '$1487 $1976', '$1487 $1976', 'scroll', 'normal', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49286', 'Spell Scroll (Full Heal)', '$1487 $1471', '$1487 $1471', 'scroll', 'spell_buff', 'paper', '630', '863', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '5', '1800', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('240102', 'Scroll of Teleportation - Turtle Island', '$230 - Turtle Island', '$230 - Turtle Island', 'scroll', 'normal', 'paper', '0', '1813', '22', '0', '0', '0', '0', '0', '0', '0', '32790', '32766', '701', '1', '0', '0', '0', '4', '150', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41426', '', '$3258', '$3258', 'scroll', 'choice', 'paper', '630', '1687', '4283', '1396', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `etcitem` VALUES ('41427', '', '$3268', '$3268', 'scroll', 'choice', 'paper', '630', '1686', '4282', '1395', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1');
INSERT INTO `etcitem` VALUES ('41428', '', '$6347', '$6347', 'other', 'normal', 'dragonscale', '0', '3277', '7068', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '2', '1000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('41429', '', '$5725', '$5725', 'scroll', 'dai', 'paper', '630', '3030', '6936', '3270', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41430', '', '$5726', '$5726', 'scroll', 'dai', 'paper', '630', '3028', '6933', '3271', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41431', '', '$5727', '$5727', 'scroll', 'dai', 'paper', '630', '3029', '6935', '3272', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('41432', '', '$5728', '$5728', 'scroll', 'dai', 'paper', '630', '3032', '6938', '3273', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42088', '', '????? $230', '????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32626', '32900', '780', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42089', '', '??? ??????? $230', '??? ??????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32743', '32799', '781', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42090', '', '??? ?????? $230', '??? ?????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32735', '32831', '782', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42091', '', '???? $505', '???? $505', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32779', '32887', '1001', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42092', '', '????? $505', '????? $505', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32841', '32856', '1000', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42093', '', '????? $230', '????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32758', '32794', '600', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42094', '', '??????? $230', '??????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32682', '32831', '603', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42095', '', '????????? $230', '????????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32648', '32921', '535', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42096', '', '?????????????? $230', '?????????????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32832', '32761', '778', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42097', '', '?????????????? $230', '?????????????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32891', '32728', '779', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('42098', '', '???????????????? $230', '???????????????? $230', 'scroll', 'normal', 'paper', '630', '551', '22', '0', '1', '0', '0', '0', '0', '0', '32555', '32899', '777', '1', '0', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49092', '', '$5715', '$5715', 'material', 'choice', 'gemstone', '0', '3026', '6928', '3262', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49093', '', '$5716', '$5716', 'material', 'normal', 'gold', '0', '3223', '7030', '3260', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49094', '', '$5717', '$5717', 'material', 'normal', 'gold', '0', '3224', '7031', '3261', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49095', '', '$5908', '$5908', 'material', 'normal', 'gold', '0', '3222', '7032', '3547', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49096', '', '$5909', '$5909', 'treasure_box', 'normal', 'gold', '0', '3225', '7029', '3548', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49097', '', '$5955', '$5955', 'material', 'normal', 'gold', '0', '3042', '6952', '3581', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49098', '', '$5956', '$5956', 'material', 'normal', 'gold', '0', '3043', '6953', '3582', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49099', '', '$5965', '$5965', 'material', 'normal', 'gold', '0', '3219', '7027', '3583', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49100', '', '$5966', '$5966', 'treasure_box', 'normal', 'gold', '0', '3220', '7028', '3584', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49101', '', '$5642', '$5642', 'material', 'normal', 'gemstone', '0', '3034', '6941', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49102', 'Dragon Tablet(DragonSkin)', '$5778', '$5778', 'spellbook', 'normal', 'gemstone', '5000', '3035', '6943', '3245', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49103', 'Dragon Tablet(BurningSlash)', '$5701', '$5701', 'spellbook', 'normal', 'gemstone', '5000', '3035', '6943', '3246', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49104', 'Dragon Tablet(GuardBreak)', '$5702', '$5702', 'spellbook', 'normal', 'gemstone', '5000', '3035', '6943', '3247', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49105', 'Dragon Tablet(MagmaBreath)', '$5703', '$5703', 'spellbook', 'normal', 'gemstone', '5000', '3035', '6943', '3248', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49106', 'Dragon Tablet(AwakenAntharas)', '$5704', '$5704', 'spellbook', 'normal', 'gemstone', '5000', '3035', '6943', '3249', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49107', 'Dragon Tablet(BloodLust)', '$5705', '$5705', 'spellbook', 'normal', 'gemstone', '5000', '3036', '6944', '3250', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49108', 'Dragon Tablet(FoeSlayer)', '$5706', '$5706', 'spellbook', 'normal', 'gemstone', '5000', '3036', '6944', '3251', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49109', 'Dragon Tablet(ResistFear)', '$5707', '$5707', 'spellbook', 'normal', 'gemstone', '5000', '3036', '6944', '3252', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49110', 'Dragon Tablet(ShockSkin)', '$5708', '$5708', 'spellbook', 'normal', 'gemstone', '5000', '3036', '6944', '3253', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49111', 'Dragon Tablet(AwakenFafurion)', '$5709', '$5709', 'spellbook', 'normal', 'gemstone', '5000', '3036', '6944', '3254', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49112', 'Dragon Tablet(MortalBody)', '$5710', '$5710', 'spellbook', 'normal', 'gemstone', '5000', '3037', '6945', '3255', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49113', 'Dragon Tablet(ThunderGrab)', '$5711', '$5711', 'spellbook', 'normal', 'gemstone', '5000', '3037', '6945', '3256', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49114', 'Dragon Tablet(HorrorOfDeath)', '$5712', '$5712', 'spellbook', 'normal', 'gemstone', '5000', '3037', '6945', '3257', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49115', 'Dragon Tablet(FreezingBreath)', '$5713', '$5713', 'spellbook', 'normal', 'gemstone', '5000', '3037', '6945', '3258', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49116', 'Dragon Tablet(AwakenValakas)', '$5714', '$5714', 'spellbook', 'normal', 'gemstone', '5000', '3037', '6945', '3259', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49117', 'Memory Crystal(MirrorImage)', '$5681', '$5681', 'spellbook', 'normal', 'gemstone', '7000', '3008', '6929', '3225', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49118', 'Memory Crystal(Confusion)', '$5682', '$5682', 'spellbook', 'normal', 'gemstone', '7000', '3008', '6929', '3226', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49119', 'Memory Crystal(Smash)', '$5683', '$5683', 'spellbook', 'normal', 'gemstone', '7000', '3008', '6929', '3227', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49120', 'Memory Crystal(IllusionOgre)', '$5684', '$5684', 'spellbook', 'normal', 'gemstone', '7000', '3008', '6929', '3228', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49121', 'Memory Crystal(CubeIgnition)', '$5685', '$5685', 'spellbook', 'normal', 'gemstone', '7000', '3008', '6929', '3229', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49122', 'Memory Crystal(Concentration)', '$5686', '$5686', 'spellbook', 'normal', 'gemstone', '7000', '3010', '6930', '3230', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49123', 'Memory Crystal(MindBreak)', '$5687', '$5687', 'spellbook', 'normal', 'gemstone', '7000', '3010', '6930', '3231', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49124', 'Memory Crystal(BoneBreak)', '$5688', '$5688', 'spellbook', 'normal', 'gemstone', '7000', '3010', '6930', '3232', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49125', 'Memory Crystal(IllusionLich)', '$5689', '$5689', 'spellbook', 'normal', 'gemstone', '7000', '3010', '6930', '3233', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49126', 'Memory Crystal(CubeQuake)', '$5690', '$5690', 'spellbook', 'normal', 'gemstone', '7000', '3010', '6930', '3234', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49127', 'Memory Crystal(Patience)', '$5691', '$5691', 'spellbook', 'normal', 'gemstone', '7000', '3012', '6931', '3235', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49128', 'Memory Crystal(Phantasm)', '$5692', '$5692', 'spellbook', 'normal', 'gemstone', '5000', '3012', '6931', '3236', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49129', 'Memory Crystal(ArmBreaker)', '$5693', '$5693', 'spellbook', 'normal', 'gemstone', '7000', '3012', '6931', '3237', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49130', 'Memory Crystal(IllusionDiaGolem)', '$5694', '$5694', 'spellbook', 'normal', 'gemstone', '7000', '3012', '6931', '3238', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49131', 'Memory Crystal(CubeShock)', '$5695', '$5695', 'spellbook', 'normal', 'gemstone', '7000', '3012', '6931', '3239', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49132', 'Memory Crystal(Insight)', '$5696', '$5696', 'spellbook', 'normal', 'gemstone', '7000', '3014', '6932', '3240', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49133', 'Memory Crystal(Panic)', '$5697', '$5697', 'spellbook', 'normal', 'gemstone', '7000', '3014', '6932', '3241', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49134', 'Memory Crystal(JoyofPain)', '$5698', '$5698', 'spellbook', 'normal', 'gemstone', '7000', '3014', '6932', '3242', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49135', 'Memory Crystal(IllusionAvatar)', '$5699', '$5699', 'spellbook', 'normal', 'gemstone', '7000', '3014', '6932', '3243', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49136', 'Memory Crystal(CubeBalance)', '$5700', '$5700', 'spellbook', 'normal', 'gemstone', '7000', '3014', '6932', '3244', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0', '0', '3000', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49137', 'Fresh Cream Cake', '$5509', '$5509', 'potion', 'normal', 'vegetation', '1530', '2900', '6683', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49138', 'Chocolate Cake', '$5510', '$5510', 'potion', 'normal', 'vegetation', '1530', '2901', '6683', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49139', 'Cheese Cake', '$5511', '$5511', 'potion', 'normal', 'vegetation', '1530', '2902', '6683', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49140', 'Green Tea Roll', '$5512', '$5512', 'potion', 'normal', 'vegetation', '1530', '2897', '6683', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49141', 'Magic Cake Box', '$5518', '$5518', 'treasure_box', 'normal', 'paper', '10000', '608', '2058', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2', '500', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49148', 'Scroll of Enchant Accessory', '$5729', '$5729', 'scroll', 'del', 'paper', '0', '3040', '6950', '3274', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49149', 'Sharna\'s Transformation Scroll (Level 30)', '$5878', '$5878', 'scroll', 'normal', 'paper', '630', '2975', '22', '0', '1', '0', '0', '0', '30', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49150', 'Sharna\'s Transformation Scroll (Level 40)', '$5879', '$5879', 'scroll', 'normal', 'paper', '630', '2975', '22', '0', '1', '0', '0', '0', '40', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49151', 'Sharna\'s Transformation Scroll (Level 52)', '$5880', '$5880', 'scroll', 'normal', 'paper', '630', '2975', '22', '0', '1', '0', '0', '0', '52', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49152', 'Sharna\'s Transformation Scroll (Level 55)', '$5881', '$5881', 'scroll', 'normal', 'paper', '630', '2975', '22', '0', '1', '0', '0', '0', '55', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49153', 'Sharna\'s Transformation Scroll (Level 60)', '$5882', '$5882', 'scroll', 'normal', 'paper', '630', '2975', '22', '0', '1', '0', '0', '0', '60', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49154', 'Sharna\'s Transformation Scroll (Level 65)', '$5883', '$5883', 'scroll', 'normal', 'paper', '630', '2975', '22', '0', '1', '0', '0', '0', '65', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49155', 'Sharna\'s Transformation Scroll (Level 70)', '$5884', '$5884', 'scroll', 'normal', 'paper', '630', '2975', '22', '0', '1', '0', '0', '0', '70', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49156', 'Elemental Stone', '$6346', '$6346', 'material', 'normal', 'gemstone', '1000', '3279', '7090', '3606', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49157', 'Bone Fragment', '$6072', '$6072', 'material', 'normal', 'bone', '1000', '3025', '6927', '3605', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49158', 'Forbidden Fruit', '$6073', '$6073', 'potion', 'normal', 'vegetation', '4690', '3038', '6948', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49159', 'Movement Order', '$5579', '$5579', 'questitem', 'normal', 'paper', '0', '2246', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49160', 'Dantes\' Royal Letter', '$5580', '$5580', 'questitem', 'normal', 'paper', '0', '2246', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49161', 'Spirit\'s Whisper', '$5581', '$5581', 'questitem', 'normal', 'paper', '0', '2994', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49162', 'Ancient Dark Elf\'s Secret Text', '$5582', '$5582', 'questitem', 'normal', 'paper', '0', '940', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49163', 'Sealed Secret Intelligence', '$5583', '$5583', 'questitem', 'normal', 'paper', '0', '912', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49164', 'Secret Intelligence Report', '$5584', '$5584', 'questitem', 'normal', 'paper', '0', '1322', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49165', 'Sanctum 2nd Floor Key', '$5585', '$5585', 'questitem', 'none', 'iron', '0', '59', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49166', 'Sanctum 3rd Floor Key', '$5586', '$5586', 'questitem', 'none', 'iron', '0', '59', '151', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49167', 'Ma\'s Horn Flute', '$5587', '$5587', 'questitem', 'normal', 'bone', '8000', '2992', '906', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49168', 'Secret Medicine of Destruction', '$5588', '$5588', 'questitem', 'normal', 'glass', '0', '2996', '3714', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49169', 'Contaminated Breath of Orcs', '$5616', '$5616', 'questitem', 'normal', 'animalmatter', '0', '2101', '6375', '3161', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49170', 'Contaminated Nucleus of Spirit', '$5617', '$5617', 'questitem', 'normal', 'vegetation', '0', '2096', '5183', '3162', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49171', 'Sleyin\'s Order', '$5679', '$5679', 'questitem', 'none', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49172', 'Sleyin\'s First Letter', '$5618', '$5618', 'questitem', 'normal', 'paper', '0', '2018', '5614', '3163', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49173', 'Sleyin\'s Second Letter', '$5619', '$5619', 'questitem', 'normal', 'paper', '0', '2018', '5614', '3164', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49174', 'Sleyin\'s Third Letter', '$5620', '$5620', 'questitem', 'normal', 'paper', '0', '2018', '5614', '3165', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49175', 'Sleyin\'s Fourth Letter', '$5621', '$5621', 'questitem', 'normal', 'paper', '0', '2018', '5614', '3166', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49176', 'Sleyin\'s Fifth Letter', '$5622', '$5622', 'questitem', 'normal', 'paper', '0', '2018', '5614', '3167', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49177', 'Sleyin\'s Sixth Letter', '$5739', '$5739', 'questitem', 'normal', 'paper', '0', '2018', '5614', '3212', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49178', 'Sleyin\'s Amulet', '$5645', '$5645', 'scroll', 'normal', 'paper', '10000', '1036', '2879', '3187', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49179', 'Sleyin\'s Pouch', '$5623', '$5623', 'treasure_box', 'normal', 'leather', '1000', '1645', '7068', '3168', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49180', 'Sleyin\'s Pouch', '$5623', '$5623', 'treasure_box', 'normal', 'leather', '1000', '1645', '7068', '3169', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49181', 'Recommendation of Sleyin', '$5775', '$5775', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49182', 'Teleport Scroll (Elven Forest)', '$5624', '$5624', 'scroll', 'normal', 'paper', '0', '473', '22', '3157', '1', '0', '0', '0', '0', '0', '32803', '32725', '19', '1', '1', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49183', 'Teleport Scroll (Oren Town)', '$5625', '$5625', 'scroll', 'normal', 'paper', '0', '473', '22', '3158', '1', '0', '0', '0', '0', '0', '34039', '32476', '4', '1', '1', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49184', 'Teleport Scroll (Windawood)', '$5626', '$5626', 'scroll', 'normal', 'paper', '0', '473', '22', '3159', '1', '0', '0', '0', '0', '0', '32617', '33201', '4', '1', '1', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49185', 'Teleport Scroll (Weldern)', '$5627', '$5627', 'scroll', 'normal', 'paper', '0', '473', '22', '3160', '1', '0', '0', '0', '0', '0', '33705', '32504', '4', '1', '1', '0', '0', '4', '1500', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49186', 'Rusted Flute', '$5628', '$5628', 'questitem', 'normal', 'iron', '0', '43', '906', '3172', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49187', 'Breath of Elmore Zombie Commander', '$5629', '$5629', 'questitem', 'none', 'gemstone', '0', '2478', '6963', '3170', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49188', 'Soul Stone of Elmore Commander Solsheica', '$5630', '$5630', 'questitem', 'none', 'gemstone', '0', '2476', '5930', '3172', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49189', 'Vengeful Spirit Calling Flute', '$5469', '$5469', 'questitem', 'none', 'iron', '8000', '999', '1166', '3174', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49190', 'Sealed Article of Solsheica', '$5633', '$5633', 'questitem', 'none', 'leather', '1000', '1396', '3461', '3175', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49191', 'Elmore Squad Report', '$5634', '$5634', 'questitem', 'none', 'paper', '0', '2557', '6964', '3176', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49192', 'Green Crystal of Time', '$5635', '$5635', 'questitem', 'normal', 'gemstone', '0', '2995', '6934', '3177', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49193', 'Blue Crystal of Time', '$5636', '$5636', 'questitem', 'normal', 'gemstone', '0', '2993', '6934', '3178', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49194', 'First Memory Fragment', '$5637', '$5637', 'questitem', 'normal', 'gemstone', '0', '2094', '1561', '3280', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49195', 'Second Memory Fragment', '$5771', '$5771', 'questitem', 'normal', 'gemstone', '0', '2094', '1561', '3280', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49196', 'Third Memory Fragment', '$5772', '$5772', 'questitem', 'normal', 'gemstone', '0', '2094', '1561', '3280', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49197', 'First Thought Fragment', '$5638', '$5638', 'questitem', 'normal', 'gemstone', '0', '2095', '1561', '3284', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49198', 'Second Thought Fragment', '$5773', '$5773', 'questitem', 'normal', 'gemstone', '0', '2095', '1561', '3284', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49199', 'Third Thought Fragment', '$5774', '$5774', 'questitem', 'normal', 'gemstone', '0', '2095', '1561', '3285', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49200', 'Unfinished Crystal Bead of Time', '$5639', '$5639', 'questitem', 'none', 'glass', '0', '865', '3966', '3181', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49201', 'Crystal Bead of Time', '$5640', '$5640', 'questitem', 'none', 'glass', '0', '938', '3966', '3182', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49202', 'Thought Piece of Time', '$5641', '$5641', 'questitem', 'none', 'mineral', '0', '1206', '3177', '3183', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49203', 'Tear of Otyu', '$5643', '$5643', 'questitem', 'none', 'liquid', '0', '2556', '6125', '3190', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49204', 'Tear of Wyvern', '$5644', '$5644', 'questitem', 'none', 'liquid', '0', '2215', '5491', '3190', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49205', 'Special Ore', '$5646', '$5646', 'questitem', 'normal', 'gemstone', '0', '3002', '6961', '3202', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49206', 'Thought Piece of Savius', '$5649', '$5649', 'questitem', 'normal', 'gemstone', '0', '3039', '6949', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49207', 'Fire Ash of Soul', '$6348', '$6348', 'questitem', 'normal', 'gemstone', '0', '591', '7088', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49208', 'Sparks of Blue Flame', '$5648', '$5648', 'questitem', 'normal', 'gemstone', '0', '3276', '7088', '3189', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49209', 'Prochel\'s Letter', '$5740', '$5740', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49210', 'First Order of Prochel', '$5672', '$5672', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49211', 'Second Order of Prochel', '$5673', '$5673', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49212', 'Third Order of Prochel', '$5674', '$5674', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49213', 'Prochel\'s First Note', '$5736', '$5736', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49214', 'Prochel\'s Second Note', '$5895', '$5895', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49215', 'Prochel\'s Mineral Pouch', '$5731', '$5731', 'questitem', 'normal', 'leather', '0', '1531', '3832', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49216', 'Prochel\'s Amulet', '$5734', '$5734', 'scroll', 'normal', 'paper', '10000', '1036', '2879', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49217', 'Orc Search Document (Orc Forest)', '$5730', '$5730', 'questitem', 'normal', 'paper', '0', '917', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49218', 'Orc Search Document (Gludin)', '$5779', '$5779', 'questitem', 'normal', 'paper', '0', '917', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49219', 'Orc Search Document (Windawood)', '$5780', '$5780', 'questitem', 'normal', 'paper', '0', '917', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49220', 'Orc Emissary\'s Scroll of Polymorph', '$5732', '$5732', 'scroll', 'normal', 'paper', '1000', '472', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49221', 'Official Note of Orc Emissary Leader', '$5677', '$5677', 'questitem', 'normal', 'bone', '1000', '917', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49222', 'Flute of Orc Emissary', '$5676', '$5676', 'questitem', 'normal', 'bone', '1000', '43', '906', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49223', 'Evidence of Orc Emissary', '$5670', '$5670', 'questitem', 'normal', 'mineral', '0', '2998', '5119', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49224', 'Sign of Alliance', '$5671', '$5671', 'questitem', 'normal', 'mineral', '0', '3000', '5119', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49225', 'Heart of Yeti', '$5678', '$5678', 'questitem', 'none', 'animalmatter', '0', '2093', '4301', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49226', 'Tower Portal Teleport Scroll', '$5782', '$5782', 'scroll', 'normal', 'paper', '0', '473', '22', '0', '1', '0', '0', '0', '0', '0', '32841', '32860', '1000', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49227', 'Sparks of Red Flame', '$5738', '$5738', 'questitem', 'normal', 'gemstone', '0', '3031', '6937', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49228', 'Shiny Silver Bullion', '$5964', '$5964', 'material', 'normal', 'silver', '6000', '1424', '3525', '3590', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49229', 'Otherworldly Thought Powder', '$5781', '$5781', 'questitem', 'none', 'glass', '0', '2456', '884', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49230', 'Material List of Talion', '$5887', '$5887', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49231', 'Thought Piece of Lucius', '$5733', '$5733', 'questitem', 'normal', 'gemstone', '0', '3039', '6949', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49232', 'Novice Secret Book', '$5893', '$5893', 'questitem', 'normal', 'paper', '0', '2557', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49233', 'Secret Book of Training', '$6075', '$6075', 'questitem', 'normal', 'paper', '0', '2257', '22', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49234', 'Lunch Box Bundle', '$6076', '$6076', 'questitem', 'normal', 'leather', '0', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49235', 'Kurtz\'s Secret', '$5900', '$5900', 'questitem', 'normal', 'paper', '0', '919', '22', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49236', 'Crystal of Kugas', '$5894', '$5894', 'questitem', 'none', 'gemstone', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49237', 'Island Drake\'s Crystal', '$6074', '$6074', 'questitem', 'normal', 'gemstone', '0', '991', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49238', 'Certificate of Training', '$5959', '$5959', 'questitem', 'normal', 'bone', '0', '665', '8', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49239', 'Will of Destruction', '$5735', '$5735', 'questitem', 'normal', 'gemstone', '1000', '990', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49240', 'Eyes of Watcher', '$5741', '$5741', 'questitem', 'normal', 'animalmatter', '1000', '1395', '3328', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49241', 'Fragment of Altar', '$5799', '$5799', 'questitem', 'normal', 'glass', '0', '1997', '5048', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49242', 'Thebes Osiris Altar Key', '$6093', '$6093', 'questitem', 'none', 'iron', '0', '59', '151', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49243', '', '$1191', '$1191', 'food', 'normal', 'vegetation', '1000', '513', '1490', '3618', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '800', '1');
INSERT INTO `etcitem` VALUES ('49244', '', '$6099', '$6099', 'food', 'normal', 'animalmatter', '2000', '2940', '6549', '3618', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49245', '', '$6100', '$6100', 'food', 'normal', 'animalmatter', '2000', '2925', '6535', '3619', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49246', '', '$6101', '$6101', 'food', 'normal', 'animalmatter', '2000', '2939', '6548', '3620', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49247', '', '$6102', '$6102', 'food', 'normal', 'animalmatter', '2000', '2927', '6537', '3621', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49248', '', '$6103', '$6103', 'food', 'normal', 'animalmatter', '2000', '2930', '6540', '3622', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49249', '', '$6104', '$6104', 'food', 'normal', 'animalmatter', '2000', '2928', '6538', '3623', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49250', '', '$6105', '$6105', 'food', 'normal', 'animalmatter', '2000', '2936', '6545', '3624', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49251', '', '$6106', '$6106', 'food', 'normal', 'animalmatter', '2000', '2933', '6543', '3625', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49252', '', '$4928$6099', '$4928$6099', 'food', 'normal', 'animalmatter', '2000', '2940', '6549', '3626', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49253', '', '$4928$6100', '$4928$6100', 'food', 'normal', 'animalmatter', '2000', '2925', '6535', '3627', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49254', '', '$4928$6101', '$4928$6101', 'food', 'normal', 'animalmatter', '2000', '2939', '6548', '3628', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49255', '', '$4928$6102', '$4928$6102', 'food', 'normal', 'animalmatter', '2000', '2927', '6537', '3629', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49256', '', '$4928$6103', '$4928$6103', 'food', 'normal', 'animalmatter', '2000', '2930', '6540', '3630', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49257', '', '$4928$6104', '$4928$6104', 'food', 'normal', 'animalmatter', '2000', '2928', '6538', '3631', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49258', '', '$4928$6105', '$4928$6105', 'food', 'normal', 'animalmatter', '2000', '2936', '6545', '3632', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49259', '', '$4928$6106', '$4928$6106', 'food', 'normal', 'animalmatter', '2000', '2933', '6543', '3633', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '120', '1');
INSERT INTO `etcitem` VALUES ('49260', '', '$6107', '$6107', 'food', 'normal', 'animalmatter', '10000', '2941', '6550', '3632', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49261', '', '$6108', '$6108', 'food', 'normal', 'animalmatter', '10000', '2926', '6536', '3634', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49262', '', '$6109', '$6109', 'food', 'normal', 'animalmatter', '10000', '2938', '6547', '3634', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49263', '', '$6110', '$6110', 'food', 'normal', 'animalmatter', '10000', '2937', '6546', '3634', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49264', '', '$6111', '$6111', 'food', 'normal', 'animalmatter', '10000', '2931', '6541', '3634', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49265', '', '$6112', '$6112', 'food', 'normal', 'animalmatter', '10000', '2929', '6539', '3634', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49266', '', '$6113', '$6113', 'food', 'normal', 'animalmatter', '10000', '2935', '6544', '3634', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49267', '', '$6114', '$6114', 'food', 'normal', 'animalmatter', '10000', '2932', '6542', '3634', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '100', '1');
INSERT INTO `etcitem` VALUES ('49270', '', '$4839', '$4839', 'firecracker', 'normal', 'gemstone', '0', '2456', '884', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('49271', '', '$4830', '$4830', 'treasure_box', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49272', '', '$4830', '$4830', 'treasure_box', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49273', '', '$4830', '$4830', 'treasure_box', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49274', '', '$4846', '$4846', 'treasure_box', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49275', '', '$4846', '$4846', 'treasure_box', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49276', '', '$4846', '$4846', 'treasure_box', 'normal', 'none', '0', '2439', '3963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49277', 'Resta\'s Ring', '$3598', '$3598', 'questitem', 'normal', 'gold', '1000', '1028', '3963', '1536', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49278', '', '$5287', '$5287', 'treasure_box', 'normal', 'vegetation', '14000', '943', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49279', '', '$5287', '$5287', 'treasure_box', 'normal', 'vegetation', '14000', '943', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49280', '', '$5287', '$5287', 'treasure_box', 'normal', 'vegetation', '14000', '943', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49287', 'Fourth Order of Prochel', '$5673', '$5673', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49288', 'Fifth Order of Prochel', '$5674', '$5674', 'questitem', 'normal', 'paper', '0', '2018', '5614', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('49308', 'Altar Key', '$6435', '$6435', 'questitem', 'none', 'iron', '59', '151', '3780', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90000', 'Bag of Greater Mana Potions', 'Bag of Greater Mana Potions', 'Bag of Greater Mana Potions', 'treasure_box', 'normal', 'leather', '14100', '1645', '4248', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90001', 'Bag of Greater Haste Potions', 'Bag of Greater Haste Potions', 'Bag of Greater Haste Potions', 'treasure_box', 'normal', 'leather', '14100', '957', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90002', 'Bag of Elven Wafers', 'Bag of Elven Wafers', 'Bag of Elven Wafers', 'treasure_box', 'normal', 'leather', '15000', '1396', '3461', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90003', 'Bag of Brave Potions', 'Bag of Brave Potions', 'Bag of Brave Potions', 'treasure_box', 'normal', 'leather', '13500', '958', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90004', 'Bag of Devil\'s Blood', 'Bag of Devil\'s Blood', 'Bag of Devil\'s Blood', 'treasure_box', 'normal', 'leather', '13500', '1417', '4248', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90005', 'Bag of Wisdom Potions', 'Bag of Wisdom Potions', 'Bag of Wisdom Potions', 'treasure_box', 'normal', 'leather', '13500', '1643', '4246', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90006', 'Bag of Mana Potions', 'Bag of Mana Potions', 'Bag of Mana Potions', 'treasure_box', 'normal', 'leather', '23400', '1645', '4248', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90007', 'Bag of Haste Potions', 'Bag of Haste Potions', 'Bag of Haste Potions', 'treasure_box', 'normal', 'leather', '11700', '957', '3963', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90008', 'Greater Potion of Mana', 'Greater Potion of Mana', 'Greater Potion of Mana', 'potion', 'normal', 'glass', '7050', '75', '20', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `etcitem` VALUES ('90009', 'Fiery Coal', 'Fiery Coal', 'Fiery Coal', 'material', 'none', 'none', '500', '244', '774', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `etcitem` VALUES ('90010', 'Lump of Metal', 'Lump of Metal', 'Lump of Metal', 'material', 'none', 'iron', '400', '521', '1498', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '0', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '1', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '2', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '3', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Gunter\'s Cave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '5', '32624', '32813', '32624', '32813', '32624', '32813', '4', '1', '0', '0', '1', 'Ship talking island to aden world');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '6', '32574', '32941', '32574', '32941', '32574', '32941', '0', '3', '0', '0', '1', 'Ship aden world to talking island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '7', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '9', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '10', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '11', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '12', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '13', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', 'Main Land Caves 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '14', '32574', '32941', '32574', '32941', '32574', '32941', '0', '0', '0', '0', '1', 'Underground Passage');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '15', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '16', '33051', '32343', '33051', '32343', '33051', '32343', '4', '0', '0', '0', '1', 'Hardin\'s lab');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '17', '33051', '32343', '33051', '32343', '33051', '32343', '4', '4', '11', '0', '1', 'Nerupa\'s Cave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '18', '33051', '32343', '33051', '32343', '33051', '32343', '4', '4', '11', '0', '1', 'Dupelgenon dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '19', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '11', '0', '1', 'Elven Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '20', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '11', '0', '1', 'Elven Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '21', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '11', '0', '1', 'Elven Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '22', '33089', '33397', '33089', '33397', '33089', '33397', '4', '0', '0', '0', '1', 'Gerard test dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '23', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Castle Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '24', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Castle Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '25', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '26', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '27', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '28', '33089', '33397', '33089', '33397', '33089', '33397', '4', '2', '0', '0', '1', 'Silver Knight Town Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '29', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Inner Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '30', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '31', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '32', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '33', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '35', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '36', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '37', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Dragon Valley Caves 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '39', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '41', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Hall of Honor');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '42', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '43', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '44', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '45', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '46', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '47', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '48', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '49', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '50', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 8F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '51', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Ant Caves 9F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '52', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '53', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '54', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '55', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '56', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Dungeon 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '57', '32574', '32941', '32574', '32941', '32574', '32941', '4', '0', '0', '0', '1', 'Singing Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '58', '33082', '33389', '33082', '33389', '33082', '33389', '4', '0', '0', '0', '1', 'Hidden Valley');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '59', '33614', '33243', '33614', '33243', '33614', '33243', '4', '8', '0', '0', '1', 'Heine Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '60', '33614', '33243', '33614', '33243', '33614', '33243', '4', '8', '0', '0', '1', 'Heine Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '61', '33614', '33243', '33614', '33243', '33614', '33243', '4', '8', '0', '0', '1', 'Heine Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '62', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Sanctuary of Eva');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '63', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Kingdom of Eva');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '64', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Heine Inner Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '65', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Lair of Fafurion');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '66', '33722', '32496', '33722', '32496', '33722', '32496', '4', '9', '0', '0', '1', 'Iron Gate Guild Inner Castle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '67', '33719', '32491', '33719', '32491', '33719', '32491', '4', '9', '0', '0', '1', 'Lair of Valakas');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '68', '32778', '32779', '32778', '32779', '32778', '32779', '68', '0', '0', '0', '1', 'Singing Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '69', '32714', '32877', '32714', '32877', '32714', '32877', '69', '0', '0', '0', '1', 'Hidden Valley');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '70', '32828', '32848', '32828', '32848', '32828', '32848', '70', '0', '0', '0', '1', 'Forgotten Island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '71', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '72', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Crystal Cavern 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '73', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Crystal Cavern 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '74', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Crystal Cavern 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '75', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '76', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '77', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '78', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '79', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '80', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '81', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '82', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Ivory Tower 8F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '83', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Ship aden world to forgotten island');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '84', '33604', '33237', '33604', '33237', '33604', '33237', '4', '0', '0', '0', '1', 'Ship forgotten island to Aden world');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '85', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Singing Island Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '86', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Hidden Valley Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '87', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Pago\'s Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '88', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '89', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '90', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '91', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', 'Talking island Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '92', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '1', 'Gludio Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '93', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Kent Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '94', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Windawood Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '95', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Silver knight Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '96', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', 'Lair of Valakas Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '97', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '1', 'Heine Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '98', '0', '0', '0', '0', '0', '0', '0', '9', '0', '0', '1', 'Welldone Colosseum');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '99', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Healper\'s room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '101', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '102', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '103', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '104', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '105', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 5F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '106', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 6F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '107', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 7F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '108', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 8F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '109', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 9F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '110', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 10F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '111', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 11F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '112', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 12F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '113', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 13F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '114', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 14F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '115', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 15F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '116', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 16F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '117', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 17F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '118', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 18F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '119', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 19F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '120', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 20F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '121', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 21F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '122', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 22F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '123', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 23F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '124', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 24F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '125', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 25F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '126', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 26F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '127', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 27F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '128', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 28F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '129', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 29F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '130', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 30F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '131', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 31F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '132', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 32F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '133', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 33F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '134', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 34F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '135', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 35F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '136', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 36F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '137', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 37F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '138', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 38F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '139', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 39F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '140', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 40F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '141', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 41F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '142', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 42F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '143', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 43F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '144', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 44F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '145', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 45F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '146', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 46F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '147', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 47F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '148', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 48F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '149', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 49F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '150', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 50F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '151', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 51F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '152', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 52F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '153', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 53F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '154', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 54F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '155', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 55F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '156', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 56F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '157', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 57F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '158', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 58F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '159', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 59F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '160', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 60F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '161', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 61F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '162', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 62F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '163', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 63F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '164', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 64F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '165', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 65F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '166', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 66F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '167', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 67F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '168', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 68F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '169', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 69F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '170', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 70F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '171', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 71F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '172', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 72F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '173', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 73F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '174', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 74F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '175', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 75F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '176', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 76F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '177', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 77F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '178', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 78F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '179', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 79F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '180', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 80F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '181', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 81F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '182', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 82F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '183', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 83F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '184', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 84F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '185', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 85F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '186', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 86F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '187', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 87F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '188', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 88F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '189', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 89F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '190', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 90F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '191', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 91F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '192', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 92F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '193', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 93F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '194', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 94F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '195', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 95F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '196', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 96F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '197', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 97F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '198', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 98F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '199', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 99F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '200', '33966', '33253', '33966', '33253', '33966', '33253', '4', '12', '0', '0', '1', 'Tower of Insolence 100F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '201', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Mage quest dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '202', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '203', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '204', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '205', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '206', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '207', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '208', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '209', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '210', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '211', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '212', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '213', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', 'Darkelf dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '214', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '215', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '216', '0', '0', '0', '0', '0', '0', '0', '4', '11', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '217', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', 'Mutant ant dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '218', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '219', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '220', '32612', '33188', '32612', '33188', '32612', '33188', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '221', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', 'Gerard test dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '222', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '223', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '224', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '225', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '226', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '227', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '228', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '229', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '230', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '231', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '232', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '233', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '234', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '235', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '236', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '237', '32628', '32807', '32628', '32807', '32628', '32807', '4', '3', '0', '0', '1', 'Jim dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '238', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '239', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '240', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '241', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '242', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '243', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Kent Castle Dungeon 4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '244', '32750', '32435', '32745', '32447', '32738', '32452', '4', '0', '0', '0', '1', 'Blessed land of tainted');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '255', '33722', '32496', '33722', '32496', '33722', '32496', '4', '0', '0', '0', '1', 'Unknown 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '256', '33722', '32496', '33722', '32496', '33722', '32496', '4', '0', '0', '0', '1', 'Unknown 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '310', '0', '0', '0', '0', '0', '0', '0', '14', '0', '0', '1', 'Oum Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '320', '0', '0', '0', '0', '0', '0', '0', '14', '0', '0', '1', 'Diad Fortress');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '330', '0', '0', '0', '0', '0', '0', '0', '14', '0', '0', '1', 'Mineral Dungeon');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '340', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '350', '0', '0', '0', '0', '0', '0', '0', '7', '0', '0', '1', 'Giran Traders Village');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '360', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '1', 'Oren Traders Village');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '370', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', 'Silver Knight Traders Village');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '420', '32422', '33074', '32422', '33074', '32422', '33074', '440', '17', '0', '0', '1', 'Abyss Lake');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '430', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Elemental Grave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '440', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island First Part');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '441', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 1F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '442', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 2F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '443', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 3F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '444', '32422', '33074', '32422', '33074', '32422', '33074', '440', '16', '0', '0', '1', 'Pirate Island Dungeon 4F');
INSERT INTO `getback` VALUES ('32515', '32192', '32959', '32536', '4', '32745', '32445', '32745', '32445', '32745', '32445', '4', '4', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32515', '32537', '32959', '33022', '4', '32628', '32807', '32628', '32807', '32628', '32807', '4', '3', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32515', '33023', '32959', '33532', '4', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32960', '32192', '33215', '32510', '4', '33051', '32343', '33051', '32343', '33051', '32343', '4', '4', '11', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32960', '32511', '33280', '33022', '4', '33049', '32780', '33049', '32780', '33049', '32780', '4', '6', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('32960', '33023', '33279', '33532', '4', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33216', '32192', '33471', '32510', '4', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '11', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33280', '32511', '33535', '33022', '4', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33280', '33023', '33791', '33532', '4', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33472', '32192', '33855', '32574', '4', '33722', '32496', '33722', '32496', '33722', '32496', '4', '9', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33536', '32574', '33919', '33022', '4', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33792', '33023', '34303', '33532', '4', '33962', '33254', '33962', '33254', '33962', '33254', '4', '12', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33856', '32192', '33920', '32738', '4', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33920', '32128', '34303', '32738', '4', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('33920', '32739', '34303', '33532', '4', '33962', '33254', '33962', '33254', '33962', '33254', '4', '12', '0', '0', '1', 'Mainland Aden');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '521', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', 'Outer Area of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '522', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', '1st Floor of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '523', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', '2nd Floor of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '524', '34017', '32188', '34023', '32160', '34041', '32164', '4', '0', '0', '0', '1', '3rd Floor of Temple of Shadows');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '480', '0', '0', '0', '0', '0', '0', '0', '16', '0', '0', '1', 'Pirate\'s Isle');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '481', '0', '0', '0', '0', '0', '0', '0', '16', '0', '0', '1', 'Kamyla\'s Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '550', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '551', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '552', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '553', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '554', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '555', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '556', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '557', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '558', '32844', '32694', '32844', '32694', '32844', '32694', '550', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '600', '32608', '33178', '32626', '33185', '32630', '33179', '4', '5', '0', '0', '1', 'Cave of Desire Outland');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '601', '32608', '33178', '32626', '33185', '32630', '33179', '4', '5', '0', '0', '1', 'Cave of Desire lobby');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '608', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Yahee LAB');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '778', '32608', '33178', '32626', '33185', '32630', '33179', '4', '5', '0', '0', '1', 'fallen cave');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8011', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8012', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8013', '32734', '32798', '32734', '32798', '32734', '32798', '8013', '0', '0', '0', '0', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8014', '32745', '32722', '32745', '32722', '32745', '32722', '8014', '0', '0', '0', '0', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '8015', '32831', '32838', '32831', '32838', '32831', '32838', '8011', '0', '0', '0', '1', 'Unknown');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '304', '32857', '32898', '32857', '32898', '32857', '32898', '304', '0', '0', '0', '1', 'Silent Cavern');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '482', '32451', '33058', '32451', '33058', '32451', '33058', '440', '0', '0', '0', '1', '?t?R{');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '483', '32451', '33058', '32451', '33058', '32451', '33058', '440', '0', '0', '0', '1', '?f?B?G?S?S');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '484', '32451', '33058', '32451', '33058', '32451', '33058', '440', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('32512', '32810', '32581', '32865', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-?B??1?j');
INSERT INTO `getback` VALUES ('32512', '32865', '32553', '32880', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-?B??2?j');
INSERT INTO `getback` VALUES ('32512', '32880', '32541', '32995', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-?B??3?j');
INSERT INTO `getback` VALUES ('32736', '32595', '32890', '32647', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-X?g)');
INSERT INTO `getback` VALUES ('32699', '32647', '32740', '32720', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-X?g??H1)');
INSERT INTO `getback` VALUES ('32740', '32647', '32890', '32720', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-X?g??H2)');
INSERT INTO `getback` VALUES ('32740', '32720', '32885', '32730', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-X?g??H3)');
INSERT INTO `getback` VALUES ('32586', '32813', '32659', '32868', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?B??1)');
INSERT INTO `getback` VALUES ('32555', '32868', '32659', '32958', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?B??2)');
INSERT INTO `getback` VALUES ('32530', '32958', '32730', '33003', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?B??3)');
INSERT INTO `getback` VALUES ('32659', '32817', '32665', '32958', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?B??-??1)');
INSERT INTO `getback` VALUES ('32665', '32808', '32730', '32958', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?B??-?n?????H1)');
INSERT INTO `getback` VALUES ('32730', '32796', '32746', '32829', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?B??-?n?????H2)');
INSERT INTO `getback` VALUES ('32810', '32850', '32915', '32870', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?B??-?n?????H3)');
INSERT INTO `getback` VALUES ('32915', '32920', '33000', '33000', '400', '32600', '32922', '32600', '32922', '32600', '32922', '400', '0', '0', '0', '1', '?n?A(?B???G???A-?n???????)');
INSERT INTO `getback` VALUES ('32752', '32730', '32865', '32852', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-l??)');
INSERT INTO `getback` VALUES ('32863', '32830', '32915', '32940', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???X?^?oH1)');
INSERT INTO `getback` VALUES ('32911', '32618', '33004', '32860', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???X?^?oH)');
INSERT INTO `getback` VALUES ('32900', '32650', '32911', '32690', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???X?^?oH3)');
INSERT INTO `getback` VALUES ('32890', '32690', '32911', '32830', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???X?^?oH4)');
INSERT INTO `getback` VALUES ('32730', '32833', '32860', '32980', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-l??)');
INSERT INTO `getback` VALUES ('32788', '32828', '32800', '32833', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-l???e???|?[?g');
INSERT INTO `getback` VALUES ('32538', '32595', '32695', '32810', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-??j');
INSERT INTO `getback` VALUES ('32568', '32810', '32575', '32815', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-??1?j');
INSERT INTO `getback` VALUES ('32658', '32810', '32665', '32816', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-??2?j');
INSERT INTO `getback` VALUES ('32695', '32629', '32710', '32647', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-?A??1?j');
INSERT INTO `getback` VALUES ('32695', '32720', '32737', '32790', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???1?j');
INSERT INTO `getback` VALUES ('32737', '32730', '32890', '32765', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???2?j');
INSERT INTO `getback` VALUES ('32737', '32765', '32755', '32790', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???3?j');
INSERT INTO `getback` VALUES ('32695', '32790', '32710', '32810', '400', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i???W?X?^???X?G???A-???4?j');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '401', '32563', '32680', '32563', '32680', '32563', '32680', '400', '0', '0', '0', '1', '?n?A?i?I?[_???W?H?j');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '450', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Front Gate of Lastavard');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '451', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '1st Floor Meeting Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '452', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '1st Floor Shock Squad Training Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '453', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '1st Floor Evil Power King\'s Power Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '454', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '1st Floor Dark Warrens');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '455', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '1st Floor Dark Warrens');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '456', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '1st Floor Evil Power Summoning Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '457', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '1st Floor Off-Limits Area of Darkness');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '460', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Dark Magic Training Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '461', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Dark Magic Laboratory');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '462', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Evil Spirit King\'s Power Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '463', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Evil Spirit King\'s Library');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '464', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Spirit Summoning Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '465', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Spirit Abode');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '466', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Dark Spirit Laboratory');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '467', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Closed Place of Darkness');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '468', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '2nd Floor Closed Place of Darkness');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '470', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Evil Spirit Altar');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '471', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Devil Road Altar');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '472', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Mercenary Training Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '473', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Arcane Army Training Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '474', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Oum Experiment Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '475', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Arcane King\'s Power Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '476', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Central Control Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '477', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Devil Road Mercenary Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '478', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', '3rd Floor Control Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '490', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Underground Training Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '491', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Underground Passageway');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '492', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Assassin King\'s Power Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '493', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Underground Control Room');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '494', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Underground Punishment Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '495', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Underground Duel Area');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '496', '32663', '32803', '32663', '32803', '32663', '32803', '450', '0', '0', '0', '1', 'Underground Jail');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '530', '32744', '32818', '32744', '32818', '32744', '32818', '450', '0', '0', '0', '1', '???X?^?o??:4F');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '531', '32744', '32818', '32744', '32818', '32744', '32818', '450', '0', '0', '0', '1', '???X?^?o??:?O?J?C_?a/?P?C?i?');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '532', '32744', '32818', '32744', '32818', '32744', '32818', '450', '0', '0', '0', '1', '???X?^?o??:?r?A?^?X/?o?X/?G???f?B?A?X?');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '533', '32744', '32818', '32744', '32818', '32744', '32818', '450', '0', '0', '0', '1', '???X?^?o??:??/?C?f?A?');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '534', '32744', '32818', '32744', '32818', '32744', '32818', '450', '0', '0', '0', '1', '???X?^?o??:?e?B?A???X/???~?A?X/?o???[?h?');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '535', '32744', '32818', '32744', '32818', '32744', '32818', '450', '0', '0', '0', '1', '???X?^?o??:?J?T???h??/?_???e?X?');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '536', '32744', '32818', '32744', '32818', '32744', '32818', '450', '0', '0', '0', '1', '?_?[?N?G???tn');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '5140', '32624', '32813', '32624', '32813', '32624', '32813', '4', '3', '0', '0', '1', '?~');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '16384', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island Hotel Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '16896', '32574', '32941', '32574', '32941', '32574', '32941', '0', '1', '0', '0', '1', 'Talking Island Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '21054', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', 'SKT Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '22016', '33082', '33389', '33082', '33389', '33082', '33389', '4', '2', '0', '0', '1', 'SKT Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '17408', '32628', '32807', '32628', '32807', '32628', '32807', '4', '3', '0', '0', '1', 'Gludio Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '17920', '32628', '32807', '32628', '32807', '32628', '32807', '4', '3', '0', '0', '1', 'Gludio Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '20480', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '20992', '32612', '33188', '32612', '33188', '32612', '33188', '4', '5', '0', '0', '1', 'Windawood Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '18432', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '18944', '33429', '32814', '33429', '32814', '33429', '32814', '4', '7', '0', '0', '1', 'Giran Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '22528', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Heine Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '23040', '33604', '33237', '33604', '33237', '33604', '33237', '4', '8', '0', '0', '1', 'Heine Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '19456', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Oren Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '19968', '34053', '32284', '34053', '32284', '34053', '32284', '4', '10', '0', '0', '1', 'Oren Hotel');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '777', '34043', '32184', '34023', '32174', '34053', '32195', '4', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '779', '32608', '33178', '32626', '33185', '32630', '33179', '4', '5', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '780', '32639', '32876', '32639', '32876', '32639', '32876', '780', '0', '0', '0', '0', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '781', '32639', '32876', '32639', '32876', '32639', '32876', '780', '0', '0', '0', '0', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '782', '32639', '32876', '32639', '32876', '32639', '32876', '780', '0', '0', '0', '0', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '783', '32879', '32750', '32879', '32750', '32879', '32750', '783', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '784', '32879', '32750', '32879', '32750', '32879', '32750', '783', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '1002', '32820', '32904', '32820', '32904', '32820', '32904', '1002', '0', '0', '0', '1', '');
INSERT INTO `getback` VALUES ('0', '0', '0', '0', '2005', '32688', '32873', '32675', '32863', '32691', '32862', '2005', '0', '0', '0', '1', '');
INSERT INTO `getback_restart` VALUES ('5', 'Talking Island Ship to Aden Mainland', '32631', '32983', '0');
INSERT INTO `getback_restart` VALUES ('6', 'Aden Mainland Ship to Talking Island', '32543', '32728', '4');
INSERT INTO `getback_restart` VALUES ('70', '', '32828', '32848', '70');
INSERT INTO `getback_restart` VALUES ('75', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('76', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('77', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('78', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('79', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('80', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('81', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('82', '', '34047', '32283', '4');
INSERT INTO `getback_restart` VALUES ('83', 'Aden Mainland Ship to Forgotten Island', '33426', '33499', '4');
INSERT INTO `getback_restart` VALUES ('84', 'Forgotten Island Ship to Aden Mainland', '32936', '33057', '70');
INSERT INTO `getback_restart` VALUES ('88', 'Giran Colosseum', '33442', '32797', '0');
INSERT INTO `getback_restart` VALUES ('91', 'Talking island Colosseum', '32580', '32931', '4');
INSERT INTO `getback_restart` VALUES ('92', 'Gludio Colosseum', '32612', '32734', '0');
INSERT INTO `getback_restart` VALUES ('95', 'Silver knight Colosseum', '33080', '33392', '4');
INSERT INTO `getback_restart` VALUES ('98', 'Welldone Colosseum', '33705', '32504', '4');
INSERT INTO `getback_restart` VALUES ('101', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('102', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('103', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('104', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('105', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('106', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('107', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('108', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('109', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('110', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('111', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('112', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('113', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('114', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('115', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('116', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('117', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('118', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('119', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('120', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('121', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('122', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('123', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('124', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('125', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('126', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('127', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('128', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('129', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('130', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('131', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('132', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('133', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('134', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('135', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('136', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('137', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('138', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('139', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('140', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('141', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('142', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('143', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('144', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('145', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('146', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('147', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('148', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('149', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('150', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('151', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('152', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('153', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('154', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('155', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('156', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('157', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('158', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('159', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('160', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('161', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('162', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('163', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('164', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('165', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('166', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('167', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('168', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('169', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('170', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('171', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('172', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('173', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('174', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('175', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('176', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('177', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('178', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('179', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('180', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('181', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('182', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('183', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('184', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('185', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('186', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('187', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('188', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('189', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('190', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('191', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('192', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('193', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('194', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('195', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('196', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('197', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('198', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('199', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('200', '', '32781', '32816', '101');
INSERT INTO `getback_restart` VALUES ('303', '', '33976', '32936', '4');
INSERT INTO `getback_restart` VALUES ('446', 'Ship Pirate island to Hidden dock', '32297', '33087', '440');
INSERT INTO `getback_restart` VALUES ('447', 'Ship Hidden dock to Pirate island', '32750', '32874', '445');
INSERT INTO `getback_restart` VALUES ('451', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('452', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('453', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('454', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('455', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('456', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('460', '', '32667', '32863', '457');
INSERT INTO `getback_restart` VALUES ('461', '', '32667', '32863', '457');
INSERT INTO `getback_restart` VALUES ('462', '', '32667', '32863', '457');
INSERT INTO `getback_restart` VALUES ('463', '', '32667', '32863', '457');
INSERT INTO `getback_restart` VALUES ('464', '', '32667', '32863', '457');
INSERT INTO `getback_restart` VALUES ('465', '', '32667', '32863', '457');
INSERT INTO `getback_restart` VALUES ('466', '', '32667', '32863', '457');
INSERT INTO `getback_restart` VALUES ('470', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('471', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('472', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('473', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('474', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('475', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('476', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('477', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('478', '', '32671', '32855', '467');
INSERT INTO `getback_restart` VALUES ('490', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('491', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('492', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('493', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('494', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('495', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('496', '', '32744', '32818', '450');
INSERT INTO `getback_restart` VALUES ('530', '', '32744', '32792', '536');
INSERT INTO `getback_restart` VALUES ('531', '', '32744', '32792', '536');
INSERT INTO `getback_restart` VALUES ('532', '', '32744', '32792', '536');
INSERT INTO `getback_restart` VALUES ('533', '', '32744', '32792', '536');
INSERT INTO `getback_restart` VALUES ('534', '', '32744', '32792', '536');
INSERT INTO `getback_restart` VALUES ('535', '', '32744', '32792', '536');
INSERT INTO `getback_restart` VALUES ('550', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('551', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('552', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('553', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('554', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('555', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('556', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('557', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('558', '', '32844', '32694', '550');
INSERT INTO `getback_restart` VALUES ('600', '', '32608', '33178', '4');
INSERT INTO `getback_restart` VALUES ('601', '', '32608', '33178', '4');
INSERT INTO `getback_restart` VALUES ('608', '', '34053', '32284', '4');
INSERT INTO `getback_restart` VALUES ('778', '', '32608', '33178', '4');
INSERT INTO `getback_restart` VALUES ('5140', '', '32624', '32813', '4');
INSERT INTO `getback_restart` VALUES ('5124', 'Fishing place', '32815', '32809', '5124');
INSERT INTO `getback_restart` VALUES ('5125', 'petmatch place', '32628', '32781', '4');
INSERT INTO `getback_restart` VALUES ('5131', 'petmatch place', '32628', '32781', '4');
INSERT INTO `getback_restart` VALUES ('5132', 'petmatch place', '32628', '32781', '4');
INSERT INTO `getback_restart` VALUES ('5133', 'petmatch place', '32628', '32781', '4');
INSERT INTO `getback_restart` VALUES ('5134', 'petmatch place', '32628', '32781', '4');
INSERT INTO `getback_restart` VALUES ('16384', 'Talking Island Hotel', '32599', '32931', '0');
INSERT INTO `getback_restart` VALUES ('16896', 'Talking Island Hotel', '32599', '32931', '0');
INSERT INTO `getback_restart` VALUES ('17408', 'Gludio Hotel', '32631', '32761', '4');
INSERT INTO `getback_restart` VALUES ('17920', 'Gludio Hotel', '32631', '32761', '4');
INSERT INTO `getback_restart` VALUES ('18432', 'Giran Hotel', '33437', '32790', '4');
INSERT INTO `getback_restart` VALUES ('18944', 'Giran Hotel', '33437', '32790', '4');
INSERT INTO `getback_restart` VALUES ('19456', 'Oren Hotel', '34067', '32254', '4');
INSERT INTO `getback_restart` VALUES ('19968', 'Oren Hotel', '34067', '32254', '4');
INSERT INTO `getback_restart` VALUES ('20480', 'Windawood Hotel', '32627', '33167', '4');
INSERT INTO `getback_restart` VALUES ('20992', 'Windawood Hotel', '32627', '33167', '4');
INSERT INTO `getback_restart` VALUES ('21504', 'SKT Hotel', '33115', '33379', '4');
INSERT INTO `getback_restart` VALUES ('22016', 'SKT Hotel', '33115', '33379', '4');
INSERT INTO `getback_restart` VALUES ('22528', 'Heine Hotel', '33604', '33276', '4');
INSERT INTO `getback_restart` VALUES ('23040', 'Heine Hotel', '33604', '33276', '4');
INSERT INTO `getback_restart` VALUES ('53', '', '33426', '32823', '4');
INSERT INTO `getback_restart` VALUES ('54', '', '33426', '32823', '4');
INSERT INTO `getback_restart` VALUES ('55', '', '33426', '32823', '4');
INSERT INTO `getback_restart` VALUES ('56', '', '33426', '32823', '4');
INSERT INTO `getback_restart` VALUES ('777', '', '34043', '32184', '4');
INSERT INTO `getback_restart` VALUES ('779', '', '32608', '33178', '4');
INSERT INTO `getback_restart` VALUES ('780', '', '33966', '33253', '4');
INSERT INTO `getback_restart` VALUES ('781', '', '33966', '33253', '4');
INSERT INTO `getback_restart` VALUES ('782', '', '33966', '33253', '4');
INSERT INTO `getback_restart` VALUES ('783', '', '32795', '32751', '783');
INSERT INTO `getback_restart` VALUES ('784', '', '32795', '32751', '783');
INSERT INTO `getback_restart` VALUES ('1002', '', '33705', '32504', '4');
INSERT INTO `getback_restart` VALUES ('2005', '', '32691', '32864', '2005');
INSERT INTO `getback_restart` VALUES ('5143', '', '32628', '32772', '4');
INSERT INTO `house` VALUES ('262145', 'Giran House 1', '78', 'Giran', '50527', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262146', 'Giran House 2', '45', 'Giran', '50505', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262147', 'Giran House 3', '120', 'Giran', '50519', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262148', 'Giran House 4', '45', 'Giran', '50545', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262149', 'Giran House 5', '78', 'Giran', '50531', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262150', 'Giran House 6', '120', 'Giran', '50529', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262151', 'Giran House 7', '45', 'Giran', '50516', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262152', 'Giran House 8', '78', 'Giran', '50538', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262153', 'Giran House 9', '78', 'Giran', '50518', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262154', 'Giran House 10', '120', 'Giran', '50509', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262155', 'Giran House 11', '78', 'Giran', '50536', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262156', 'Giran House 12', '78', 'Giran', '50520', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262157', 'Giran House 13', '120', 'Giran', '50543', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262158', 'Giran House 14', '78', 'Giran', '50526', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262159', 'Giran House 15', '45', 'Giran', '50512', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262160', 'Giran House 16', '78', 'Giran', '50510', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262161', 'Giran House 17', '45', 'Giran', '50504', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262162', 'Giran House 18', '120', 'Giran', '50525', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262163', 'Giran House 19', '78', 'Giran', '50534', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262164', 'Giran House 20', '78', 'Giran', '50540', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262165', 'Giran House 21', '45', 'Giran', '50515', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262166', 'Giran House 22', '120', 'Giran', '50513', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262167', 'Giran House 23', '78', 'Giran', '50528', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262168', 'Giran House 24', '45', 'Giran', '50533', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262169', 'Giran House 25', '45', 'Giran', '50542', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262170', 'Giran House 26', '120', 'Giran', '50511', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262171', 'Giran House 27', '78', 'Giran', '50501', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262172', 'Giran House 28', '45', 'Giran', '50503', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262173', 'Giran House 29', '78', 'Giran', '50508', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262174', 'Giran House 30', '45', 'Giran', '50514', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262175', 'Giran House 31', '78', 'Giran', '50532', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262176', 'Giran House 32', '78', 'Giran', '50544', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262177', 'Giran House 33', '45', 'Giran', '50524', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262178', 'Giran House 34', '45', 'Giran', '50535', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262179', 'Giran House 35', '120', 'Giran', '50521', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262180', 'Giran House 36', '45', 'Giran', '50517', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262181', 'Giran House 37', '78', 'Giran', '50537', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262182', 'Giran House 38', '78', 'Giran', '50539', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262183', 'Giran House 39', '45', 'Giran', '50507', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262184', 'Giran House 40', '78', 'Giran', '50530', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262185', 'Giran House 41', '78', 'Giran', '50502', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262186', 'Giran House 42', '45', 'Giran', '50506', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262187', 'Giran House 43', '120', 'Giran', '50522', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262188', 'Giran House 44', '120', 'Giran', '50541', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('262189', 'Giran House 45', '78', 'Giran', '50523', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327681', 'Heine House 1', '0', 'Heine', '50620', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327682', 'Heine House 2', '0', 'Heine', '50623', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327683', 'Heine House 3', '0', 'Heine', '50619', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327684', 'Heine House 4', '0', 'Heine', '50621', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327685', 'Heine House 5', '0', 'Heine', '50622', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327686', 'Heine House 6', '0', 'Heine', '50624', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327687', 'Heine House 7', '0', 'Heine', '50617', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327688', 'Heine House 8', '0', 'Heine', '50614', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327689', 'Heine House 9', '0', 'Heine', '50618', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327690', 'Heine House 10', '0', 'Heine', '50616', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('327691', 'Heine House 11', '0', 'Heine', '50615', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458753', 'Aden House 1', '51', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458754', 'Aden House 2', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458755', 'Aden House 3', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458756', 'Aden House 4', '56', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458757', 'Aden House 5', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458758', 'Aden House 6', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458759', 'Aden House 7', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458760', 'Aden House 8', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458761', 'Aden House 9', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458762', 'Aden House 10', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458763', 'Aden House 11', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458764', 'Aden House 12', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458765', 'Aden House 13', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458766', 'Aden House 14', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458767', 'Aden House 15', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458768', 'Aden House 16', '56', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458769', 'Aden House 17', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458770', 'Aden House 18', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458771', 'Aden House 19', '32', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458772', 'Aden House 20', '64', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458773', 'Aden House 21', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458774', 'Aden House 22', '20', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458775', 'Aden House 23', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458776', 'Aden House 24', '56', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458777', 'Aden House 25', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458778', 'Aden House 26', '20', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458779', 'Aden House 27', '42', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458780', 'Aden House 28', '15', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458781', 'Aden House 29', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458782', 'Aden House 30', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458783', 'Aden House 31', '42', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458784', 'Aden House 32', '48', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458785', 'Aden House 33', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458786', 'Aden House 34', '15', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458787', 'Aden House 35', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458788', 'Aden House 36', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458789', 'Aden House 37', '64', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458790', 'Aden House 38', '15', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458791', 'Aden House 39', '15', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458792', 'Aden House 40', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458793', 'Aden House 41', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458794', 'Aden House 42', '29', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458795', 'Aden House 43', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458796', 'Aden House 44', '15', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458797', 'Aden House 45', '56', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458798', 'Aden House 46', '15', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458799', 'Aden House 47', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458800', 'Aden House 48', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458801', 'Aden House 49', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458802', 'Aden House 50', '48', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458803', 'Aden House 51', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458804', 'Aden House 52', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458805', 'Aden House 53', '54', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458806', 'Aden House 54', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458807', 'Aden House 55', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458808', 'Aden House 56', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458809', 'Aden House 57', '42', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458810', 'Aden House 58', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458811', 'Aden House 59', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458812', 'Aden House 60', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458813', 'Aden House 61', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458814', 'Aden House 62', '21', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458815', 'Aden House 63', '63', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458816', 'Aden House 64', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458817', 'Aden House 65', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458818', 'Aden House 66', '48', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('458819', 'Aden House 67', '24', 'Aden', '0', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('524289', 'Gludio House 1', '48', 'Gludio', '50626', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('524290', 'Gludio House 2', '71', 'Gludio', '50627', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('524291', 'Gludio House 3', '48', 'Gludio', '50628', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('524292', 'Gludio House 4', '48', 'Gludio', '50629', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('524293', 'Gludio House 5', '82', 'Gludio', '50630', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `house` VALUES ('524294', 'Gludio House 6', '40', 'Gludio', '50631', '1', '0', '2009-04-24 00:00:00');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '0', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '1', '0', '0', '1', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '2', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '3', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '4', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '5', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '6', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '7', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '8', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '9', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '10', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '11', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '12', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '13', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '14', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Talking Island', '70012', '15', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '0', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '1', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Gludio', '70019', '2', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '3', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '4', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '5', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '6', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '7', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Gludio', '70019', '8', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '9', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '10', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '11', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '12', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '13', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Gludio', '70019', '14', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Gludio', '70019', '15', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '0', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '1', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '2', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '3', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '4', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '5', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '6', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '7', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '8', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Giran', '70031', '9', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '10', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '11', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '12', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '13', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Giran', '70031', '14', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Giran', '70031', '15', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '0', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '1', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '2', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '3', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '4', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '5', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '6', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '7', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '8', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '9', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '10', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '11', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '12', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '13', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '14', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Ivory Tower Town', '70065', '15', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '0', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '1', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '2', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '3', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '4', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '5', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '6', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '7', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '8', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '9', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '10', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '11', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '12', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '13', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '14', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('WoodBec', '70070', '15', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '0', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '1', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '2', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '3', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '4', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '5', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '6', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '7', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '8', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '9', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '10', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '11', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '12', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '13', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '14', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Silver Knights Town', '70075', '15', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '0', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '1', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Heine', '70084', '2', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '3', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '4', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '5', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '6', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '7', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Heine', '70084', '8', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '9', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '10', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Heine', '70084', '11', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '12', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Heine', '70084', '13', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '14', '0', '0', '0', '2011-05-19 05:46:37');
INSERT INTO `inn` VALUES ('Heine', '70084', '15', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '0', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '1', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '2', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '3', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '4', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '5', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '6', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '7', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '8', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '9', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '10', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '11', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '12', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '13', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '14', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Aden', '70054', '15', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '0', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '1', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '2', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '3', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '4', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '5', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '6', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '7', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '8', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '9', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '10', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '11', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '12', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '13', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '14', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `inn` VALUES ('Pirate Island', '70096', '15', '0', '0', '0', '2011-05-19 05:16:07');
INSERT INTO `mapids` VALUES ('0', 'Talking Island', '32256', '32767', '32768', '33279', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('1', 'Talking Island Dungeon Floor 1', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2', 'Talking Island Dungeon Floor 2', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('3', 'Gunters House', '32640', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('4', 'Mainland Aden', '32384', '34303', '32064', '33535', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5', 'Ship to Gludin', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('6', 'Ship to Talking Island', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7', 'Gludio Dungeon Floor 1', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('8', 'Gludio Dungeon Floor 2', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('9', 'Gludio Dungeon Floor 3', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('10', 'Gludio Dungeon Floor 4', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('11', 'Gludio Dungeon Floor 5', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('12', 'Gludio Dungeon Floor 6', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('13', 'Gludio Dungeon Floor 7', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('14', 'Underground Passageway', '32512', '33023', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('15', 'Kent Inner Castle', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('16', 'Hardins Laboratory', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('17', 'Nerupa\'s Cave', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('18', 'Dupelgenon Dungeon', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('19', 'Elven Forest Dungeon Floor 1', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('20', 'Elven Forest Dungeon Floor 2', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('21', 'Elven Forest Dungeon Floor 3', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('22', 'Gerards Test Dungeon', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('23', 'Windawood Castle Dungeon 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('24', 'Windawood Castle Dungeon 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('25', 'Training Dungeon Floor 1', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('26', 'Training Dungeon Floor 2', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('27', 'Training Dungeon Floor 3', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('28', 'Training Dungeon Floor 4', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('29', 'Windawood Inner Castle', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('30', 'Dragon Valley Dungeon Floor 1', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('31', 'Dragon Valley Dungeon Floor 2', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('32', 'Dragon Valley Dungeon Floor 3', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('33', 'Dragon Valley Dungeon Floor 4', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('34', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('35', 'Dragon Valley Dungeon Floor 5', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('36', 'Dragon Valley Dungeon Floor 6', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('37', 'Lair of Antharas', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('38', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('39', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('40', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('41', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('51', 'Ant Caves 9F', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('50', 'Ant Caves 8F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('49', 'Ant Caves 7F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('48', 'Ant Caves 6F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('47', 'Ant Caves 5F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('46', 'Ant Caves 4F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('45', 'Ant Caves 3F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('44', 'Ant Caves 2F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('43', 'Ant Caves 1F', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('52', 'Giran Inner Castle', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('53', 'Giran Prison Floor 1', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('54', 'Giran Prison Floor 2', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('55', 'Giran Prison Floor 3', '32704', '32767', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('56', 'Giran Prison Floor 4', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('57', 'Singing Island', '32576', '33023', '32512', '32959', '1', '1', '0', '0', '1', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('58', 'Hidden Valley', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('59', 'Eva Kingdom Dungeon Floor 1', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('60', 'Eva Kingdom Dungeon Floor 2', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('61', 'Eva Kingdom Dungeon Floor 3', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('62', 'Sanctuary of Eva', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('63', 'Kingdom of Eva', '32576', '32895', '32640', '32959', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('64', 'Heine Inner Castle', '32512', '32639', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('65', 'Lair of Fafurion', '32704', '32831', '32768', '32895', '1', '1', '1', '0', '0', '0', '1', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('66', 'Iron Gate Guild Inner Castle', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('67', 'Lair of Valakas', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('68', 'Singing Island', '32576', '33023', '32512', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('69', 'Hidden Valley', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('70', 'Forgotten Island', '32576', '33023', '32640', '33087', '1', '1', '0', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('72', 'Ice Crystal Cave', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('73', 'Ice Queens Castle 2F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('74', 'Ice Queens Castle 3F', '32704', '32831', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('75', 'Oren Ivory Tower Floor 1', '32704', '32831', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('76', 'Oren Ivory Tower Floor 2', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('77', 'Oren Ivory Tower Floor 3', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('78', 'Oren Ivory Tower Floor 4', '32832', '32959', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('79', 'Oren Ivory Tower Floor 5', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('80', 'Oren Ivory Tower Floor 6', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('81', 'Oren Ivory Tower Floor 7', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('82', 'Oren Ivory Tower Floor 8', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('83', 'Ship to Forgotten Island', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('84', 'Ship to Heine', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('85', 'Singing Island Dungeon', '32576', '32767', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('86', 'Hidden Valley Dungeon', '32768', '32959', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('87', 'Pago\'s Room', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('88', 'Giran Colosseum', '33472', '33535', '32704', '32767', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('89', 'Giran Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('90', 'Giran Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('91', 'Talking island Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('92', 'Gludio Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('93', 'Kent Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('94', 'Windawood Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('95', 'Silver knight Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('96', 'Lair of Valakas Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('97', 'Heine Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '1', '0', '1', '1');
INSERT INTO `mapids` VALUES ('98', 'Werldern Colosseum', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '0', '1', '0', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('99', 'Manager\'s Room', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('101', 'Tower of Insolence 1F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('102', 'Tower of Insolence 2F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('103', 'Tower of Insolence 3F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('104', 'Tower of Insolence 4F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('105', 'Tower of Insolence 5F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('106', 'Tower of Insolence 6F', '33728', '33855', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('107', 'Tower of Insolence 7F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('108', 'Tower of Insolence 8F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('109', 'Tower of Insolence 9F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('110', 'Tower of Insolence 10F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('111', 'Tower of Insolence 11F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('112', 'Tower of Insolence 12F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('113', 'Tower of Insolence 13F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('114', 'Tower of Insolence 14F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('115', 'Tower of Insolence 15F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('116', 'Tower of Insolence 16F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('117', 'Tower of Insolence 17F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('118', 'Tower of Insolence 18F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('119', 'Tower of Insolence 19F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('120', 'Tower of Insolence 20F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('121', 'Tower of Insolence 21F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('122', 'Tower of Insolence 22F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('123', 'Tower of Insolence 23F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('124', 'Tower of Insolence 24F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('125', 'Tower of Insolence 25F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('126', 'Tower of Insolence 26F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('127', 'Tower of Insolence 27F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('128', 'Tower of Insolence 28F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('129', 'Tower of Insolence 29F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('130', 'Tower of Insolence 30F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('131', 'Tower of Insolence 31F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('132', 'Tower of Insolence 32F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('133', 'Tower of Insolence 33F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('134', 'Tower of Insolence 34F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('135', 'Tower of Insolence 35F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('136', 'Tower of Insolence 36F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('137', 'Tower of Insolence 37F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('138', 'Tower of Insolence 38F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('139', 'Tower of Insolence 39F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('140', 'Tower of Insolence 40F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('141', 'Tower of Insolence 41F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('142', 'Tower of Insolence 42F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('143', 'Tower of Insolence 43F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('144', 'Tower of Insolence 44F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('145', 'Tower of Insolence 45F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('146', 'Tower of Insolence 46F', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('147', 'Tower of Insolence 47F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('148', 'Tower of Insolence 48F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('149', 'Tower of Insolence 49F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('150', 'Tower of Insolence 50F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('151', 'Tower of Insolence 51F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('152', 'Tower of Insolence 52F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('153', 'Tower of Insolence 53F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('154', 'Tower of Insolence 54F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('155', 'Tower of Insolence 55F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('156', 'Tower of Insolence 56F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('157', 'Tower of Insolence 57F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('158', 'Tower of Insolence 58F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('159', 'Tower of Insolence 59F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('160', 'Tower of Insolence 60F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('161', 'Tower of Insolence 61F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('162', 'Tower of Insolence 62F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('163', 'Tower of Insolence 63F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('164', 'Tower of Insolence 64F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('165', 'Tower of Insolence 65F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('166', 'Tower of Insolence 66F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('167', 'Tower of Insolence 67F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('168', 'Tower of Insolence 68F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('169', 'Tower of Insolence 69F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('170', 'Tower of Insolence 70F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('171', 'Tower of Insolence 71F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('172', 'Tower of Insolence 72F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('173', 'Tower of Insolence 73F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('174', 'Tower of Insolence 74F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('175', 'Tower of Insolence 75F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('176', 'Tower of Insolence 76F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('177', 'Tower of Insolence 77F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('178', 'Tower of Insolence 78F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('179', 'Tower of Insolence 79F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('180', 'Tower of Insolence 80F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('181', 'Tower of Insolence 81F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('182', 'Tower of Insolence 82F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('183', 'Tower of Insolence 83F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('184', 'Tower of Insolence 84F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('185', 'Tower of Insolence 85F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('186', 'Tower of Insolence 86F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('187', 'Tower of Insolence 87F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('188', 'Tower of Insolence 88F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('189', 'Tower of Insolence 89F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('190', 'Tower of Insolence 90F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('191', 'Tower of Insolence 91F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('192', 'Tower of Insolence 92F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('193', 'Tower of Insolence 93F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('194', 'Tower of Insolence 94F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('195', 'Tower of Insolence 95F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('196', 'Tower of Insolence 96F', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('197', 'Tower of Insolence 97F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('198', 'Tower of Insolence 98F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('199', 'Tower of Insolence 99F', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('200', 'Tower of Insolence 100F', '32576', '32831', '32768', '33023', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('201', 'Mage quest dungeon', '32768', '32959', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('202', 'Mage Quest Dungeon', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('203', 'Mage Quest Dungeon', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('204', 'Mage Quest Dungeon', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('205', 'Empty Open Castle DeathMatch', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('206', 'Empty Open Castle DeathMatch', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('207', 'Empty Open Castle DeathMatch', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('208', 'Empty Open Castle DeathMatch', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('209', 'Darkelf dungeon', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('210', 'Darkelf dungeon', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('211', 'Darkelf dungeon', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('213', 'Darkelf dungeon', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('217', 'Mutant ant dungeon', '32640', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('221', 'Gerard test dungeon', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('237', 'Jim dungeon', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('240', 'Kent Castle Dungeon 1F', '32640', '32767', '33024', '33151', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('241', 'Kent Castle Dungeon 2F', '32704', '32831', '32832', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('242', 'Kent Castle Dungeon 3F', '32704', '32831', '32896', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('243', 'Kent Castle Dungeon 4F', '32640', '32767', '32832', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('244', 'Polluted Land of Blessing', '32704', '33023', '32768', '33087', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('248', '1F Taros underground Dungeon', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('249', '2F Coveters Trap', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('250', '3F Hall of Greed', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('251', '4F Counts Room', '32768', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('252', 'Heine Basement Prison', '32576', '32767', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('253', 'Kingdom of Eva', '32704', '32831', '32832', '33023', '1', '1', '1', '0', '0', '1', '1', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('254', 'Barbados\'s Hideout', '32576', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('255', 'Dwarf Mine', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('256', 'Wilderness', '32640', '32895', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('257', 'Basement Floor 1 Path of the Dead', '32640', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('258', 'Basement Floor 2 Grave of the Dead', '32640', '32831', '32768', '33151', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('259', 'Basement Floor 3 Path of the Dead', '32704', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('300', 'Aden Inner Castle', '32832', '32959', '32448', '32639', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('301', 'Tower of Insolence Underground Path', '32640', '32767', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('302', 'Sepia Dungeon', '32704', '32767', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('303', 'Island of Dreams', '32576', '32895', '32576', '32895', '1', '1', '0', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('304', 'Cave of Silence', '32576', '32959', '32768', '33023', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('305', 'Lair of Bludika', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('306', 'Dark Elf Quest Dungeon', '32512', '32767', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('309', 'Lastabad Dungeon 3F', '32704', '33087', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('308', 'Lastabad Dungeon 2F', '32704', '33023', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('307', 'Lastabad Dungeon 1F', '32704', '32959', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('310', 'Oum Dungeon', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('320', 'Diad Fortress', '32704', '33087', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('330', 'Mineral Cave', '32704', '32767', '32832', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('340', 'Gludin Market', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('350', 'Giran Market', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('360', 'Oren Market', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('370', 'Silver Knight Town Market', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('400', 'All Associations Region', '32512', '33023', '32576', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('401', 'Large Cavern route', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('410', 'Sanctuary of Evil', '32704', '32959', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('420', 'Abyss Lake', '32704', '32831', '32832', '33087', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('430', 'Elemental Grave', '32704', '32959', '32768', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('440', 'Pirate Island First Part', '32256', '32767', '32768', '33279', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('441', 'Pirate Island Dungeon 1F', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('442', 'Pirate Island Dungeon 2F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('443', 'Pirate Island Dungeon 3F', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('444', 'Pirate Island Dungeon 4F', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('445', 'Hidden dock to Pirate island', '32704', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('446', 'Ship to Hidden to Dock', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('447', 'Ship to Pirate Island', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('450', 'Lastavard Main Gate', '32640', '32831', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('451', '1st Floor Meeting Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('452', '1st Floor Shock Squad Training Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('453', '1st Floor Evil Power King\'s Power Room', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('454', '1st Floor Dark Warrens', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('455', '1st Floor Dark Warrens', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('456', '1st Floor Evil Power Summoning Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('457', '1st Floor Off-Limits Area of Darkness', '32640', '32703', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('460', '2nd Floor Dark Magic Training Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('461', '2nd Floor Dark Magic Laboratory', '32640', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('462', '2nd Floor Evil Spirit King\'s Power Room', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('463', '2nd Floor Evil Spirit King\'s Library', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('464', '2nd Floor Spirit Summoning Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('465', '2nd Floor Spirit Abode', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('466', '2nd Floor Dark Spirit Laboratory', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('467', '2nd Floor Closed Place of Darkness', '32640', '32703', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('468', '2nd Floor Closed Place of Darkness', '32640', '32703', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('470', '3rd Floor Evil Spirit Altar', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('471', '3rd Floor Devil Road Altar', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('472', '3rd Floor Mercenary Training Area', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('473', '3rd Floor Arcane Army Training Area', '32704', '32959', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('474', '3rd Floor Oum Experiment Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('475', '3rd Floor Arcane King\'s Power Room', '32640', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('476', '3rd Floor Central Control Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('477', '3rd Floor Devil Road Mercenary Room', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('478', '3rd Floor Control Area', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('480', 'Pirate\'s Isle', '32640', '32895', '32768', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('481', 'Kamyla\'s Room', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('482', 'Franco\'s Labyrinth', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('483', 'Closed Jail of Diego', '32704', '32831', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('484', 'Underground Jail of Jose', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('490', 'Underground Training Area', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('491', 'Underground Passageway', '32640', '32767', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('492', 'Assassin King\'s Power Room', '32768', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('493', 'Underground Control Room', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('494', 'Underground Punishment Area', '32768', '32895', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('495', 'Underground Duel Area', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('496', 'Underground Jail', '32768', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('500', 'KR_Event', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('501', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('502', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('503', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('504', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('505', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('506', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('507', 'KR_Event', '32704', '33023', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('508', 'KR_Event', '32768', '32895', '33088', '33215', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('509', 'Chaos Battle Collosseum', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('511', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('512', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('513', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('514', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('515', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('516', 'KR_Event', '32832', '32895', '32576', '32703', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('521', 'Shadow Temple Outline', '32640', '32767', '32896', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('522', 'Shadow Temple Floor 1', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('523', 'Shadow Temple Floor 2', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('524', 'Shadow Temple Floor 3', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('530', '4th Floor1', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('531', '4th Floor2', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('532', '4th Floor3', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('533', '4th Floor4', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('534', '4th Floor5', '32704', '32959', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('535', 'Dark Elf Holy Lands', '32576', '32895', '32704', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('536', '3rd Floor Closed Place of Darkness', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('550', 'Watery Grave of Spirit', '32384', '32895', '32640', '33151', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('551', 'Grave of Ships 1F-1', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('552', 'Grave of Ships 1F-2', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('553', 'Grave of Ships 1F-3', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('554', 'Grave of Ships 2F-1', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('555', 'Grave of Ships 2F-2', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('556', 'Grave of Ships 2F-3', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('557', 'Grave of Ships 3F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('558', 'Deep Sea Grave of Spirit', '32704', '33215', '32768', '33279', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('600', 'Cave of Desire Outland', '32704', '32831', '32768', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('601', 'Cave of Desire lobby', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('602', 'Varloks Audience Room', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('603', 'Varloks Hideout', '32640', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('604', 'Room of Waves', '32768', '32895', '32768', '32895', '1', '1', '1', '0', '1', '1', '1', '1', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('605', 'Room of Flames', '32768', '32895', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('606', 'Room of Hurricanes', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('607', 'Room of Earthquakes', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('608', 'Yahees Laboratory', '32640', '32767', '32832', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('610', 'Sakura Forest JP Event', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('611', 'Cantonment JP Event', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('612', 'Fruit Forest JP Event', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('666', 'Hell', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '0', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('701', 'Turtle Island', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('777', 'fallen temple', '32512', '32767', '32832', '33087', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('778', 'fallen cave', '32704', '32959', '32640', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('779', 'fallen cave underwater', '32832', '32959', '32704', '32831', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('997', 'Empty Open Black Castle DeathMatch', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('998', 'Hall of Honor', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2000', 'Ancient Space 1F', '32704', '32895', '32832', '33023', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2001', 'Ancient Space 2F', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2002', 'Ancient Space 3F', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2003', 'Ancient Space 4F', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('4941', 'KR_EVENT', '32768', '32895', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5001', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5002', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5003', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5004', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5005', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5006', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5007', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5008', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5009', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5010', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5011', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5012', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5013', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5014', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5015', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5016', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5017', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5018', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5019', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5020', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5021', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5022', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5023', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5024', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5025', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5026', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5027', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5028', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5029', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5030', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5031', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5032', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5033', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5034', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5035', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5036', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5037', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5038', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5039', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5040', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5041', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5042', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5043', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5044', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5045', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5046', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5047', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5048', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5049', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5050', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5051', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5052', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5053', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5054', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5055', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5056', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5057', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5058', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5059', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5060', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5061', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5062', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5063', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5064', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5065', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5066', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5067', 'Aden Underground house', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5068', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5069', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5070', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5071', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5072', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5073', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5074', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5075', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5076', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5077', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5078', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5079', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5080', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5081', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5082', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5083', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5084', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5085', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5086', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5087', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5088', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5089', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5090', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5091', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5092', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5093', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5094', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5095', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5096', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5097', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5098', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5099', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5100', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5101', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5102', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5103', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5104', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5105', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5106', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5107', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5108', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5109', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5110', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5111', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5112', 'Giran Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5113', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5114', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5115', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5116', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5117', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5118', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5119', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5120', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5121', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5122', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5123', 'Heine Underground house', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5124', 'Fishing place', '32768', '32831', '32768', '32831', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5125', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5131', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5132', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5133', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5134', 'petmatch place', '32768', '32831', '32832', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5140', 'Ghost house', '32704', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5701', 'Singing island TW Event', '32576', '33023', '32512', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5801', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5802', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5803', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5804', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('5805', 'Hidden valley TW Event', '32512', '32831', '32704', '33023', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7000', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7001', 'The hell JP Event', '32640', '32831', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7002', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7003', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7004', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7005', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7006', 'Sin Temple JP Event', '32512', '32767', '32512', '32767', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7007', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7008', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7009', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7010', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7011', 'Sin Tomb JP Event', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7051', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7052', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7053', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7054', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('7055', 'EventForest JP Event', '32640', '32959', '32576', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('8011', 'Unknown', '32768', '32895', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('8012', 'Unknown', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('8013', 'Unknown', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('8014', 'Unknown', '32704', '32767', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('8015', 'Unknown', '32704', '32831', '32704', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('16384', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('16896', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('17408', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '1', '1', '1');
INSERT INTO `mapids` VALUES ('17492', 'InnRoom', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '1', '0', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('17820', 'InnRoom', '0', '0', '0', '0', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('17920', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('18432', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('18944', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('19456', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('19968', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('20480', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('20992', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('21504', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('22016', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('22528', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('23040', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('23552', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('24064', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('24576', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('25088', 'InnRoom', '32704', '32767', '32768', '32831', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '1', '1');
INSERT INTO `mapids` VALUES ('541', 'ant A', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('542', 'ant B', '32704', '32767', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('543', 'Queen ant room', '32704', '32895', '32704', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('780', '?????', '32576', '32831', '32704', '33087', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('781', '??? ???????', '32704', '33023', '32704', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('782', '??? ??????', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('783', 'Tikal Temple', '32768', '33279', '32640', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('784', 'Kukulcan altar', '32704', '32831', '32768', '32895', '1', '1', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('1000', 'Silveria', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('1001', 'Behimous', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '1', '1', '1', '0', '0', '1', '1', '1', '1');
INSERT INTO `mapids` VALUES ('2004', '???', '32704', '32895', '32768', '32959', '1', '1', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1');
INSERT INTO `mobgroup` VALUES ('1', 'Black Knight Search Party(8)', '0', '81066', '81066', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('2', 'Elmore General(1) Elmore Soldier(2) Elmore Wizard(2)', '0', '45248', '45216', '2', '45224', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('3', 'Elmore General(1) Elmore Soldier(1) Elmore Wizard(2)', '0', '45248', '45216', '1', '45224', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('4', 'Elmore General(1) Elmore Soldier(2) Elmore Wizard(1)', '0', '45248', '45216', '2', '45224', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('5', 'Goblin(8)', '0', '45008', '45008', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('6', 'Hobgoblin(1) Goblin(3)', '0', '45140', '45008', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('7', 'Elder(1) Floating Eye(2)', '0', '45215', '45068', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('8', 'Orc Fighter(1) Orc(2) Orc Archer(2)', '0', '45082', '45017', '2', '45019', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('9', 'Fire Egg(4)', '0', '45206', '45206', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('10', 'Ghast Lord(1) Ghast(3)', '0', '45346', '45213', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('11', 'Zombie(16)', '0', '45065', '45065', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('12', 'Mermaid(1) Merman(3)', '0', '45154', '45159', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('13', 'Kurtz (1) Black Knight(8)', '0', '45600', '45165', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('14', 'Caspa(1) Merkyor(1) Baltazar(1) Sema(1)', '0', '45488', '45497', '1', '45473', '1', '45464', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('15', 'Necromancer(1) Ghoul(4) Floating Eye(2)', '1', '45456', '45157', '4', '45068', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('16', 'Dark Elder(1) Spartoi(2)', '0', '45545', '45161', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('17', 'Drake(2)', '0', '45529', '45529', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('18', 'Ken Rahuel(1) Cerenis(1)', '0', '45680', '45678', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('19', 'Dread King Baranka(1) Laia(1)', '0', '45651', '45677', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('20', 'Mambo Rabbit(1) Mambo Rabbit Servant(3)', '0', '45534', '45366', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('21', 'Mambo Rabbit(1) Mambo Rabbit Servant(3)', '0', '45535', '45366', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('22', 'Abyss Master(1) Fang of Earth(1) Fang of Water(1)Fang of Flame(1) Fang of Wind(1)', '0', '45646', '45416', '1', '45419', '1', '45424', '1', '45418', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('23', 'Mutant Arachnevil Elder(3)', '0', '45348', '45348', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('24', 'Medusa(3)', '0', '45380', '45380', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('25', 'Cimaera(3)', '0', '45407', '45407', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('26', 'Cockatrice(3)', '0', '81173', '81173', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('27', 'Succubus(3)', '0', '45394', '45394', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('28', 'Dire Wolf(3)', '0', '45409', '45409', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('29', 'Wicked Beholder(3)', '0', '45406', '45406', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('30', 'Dancing Sword(3)', '0', '45386', '45386', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('31', 'Nightmare(3)', '0', '45440', '45440', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('32', 'Horrific Fire Egg(3)', '0', '45384', '45384', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('33', 'Horrific Cerberus(3)', '0', '45471', '45471', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('34', 'Lesser Demon(3)', '0', '45481', '45481', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('35', 'Ifrit(3)', '0', '45515', '45515', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('36', 'Raging Skeleton Pike(3)', '0', '45403', '45403', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('37', 'Raging Ghoul(3)', '0', '45454', '45454', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('38', 'Raging Spartoi(3)', '0', '45455', '45455', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('39', 'Raging Skeleton Marksman(3)', '0', '45494', '45494', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('40', 'Cursed Elmore General(3)', '0', '45541', '45541', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('41', 'Spirit Taurverus of Fire(3)', '0', '45520', '45520', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('42', 'Astagio of Fire(3)', '0', '45572', '45572', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('43', 'Fire Archer of Darkness(3)', '0', '45532', '45532', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('44', 'Insolent Zenith Queen(3)', '0', '45581', '45581', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('45', 'Marquise Vampire(3)', '0', '45604', '45604', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('46', 'Zombie Lord of Fear(3)', '0', '45589', '45589', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('47', 'Great Spirit of Fire(2)', '0', '45622', '45622', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('48', 'Great Spirit of Water(2)', '0', '45620', '45620', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('49', 'Kuman(1) Heavy Lizardman(2)', '0', '45492', '81174', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('50', 'Black Knight(8)', '0', '45165', '45165', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('51', 'Count Elite Guard General(1) Guard Dog(2)', '1', '46024', '46019', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('172', 'Orc Emissary(1) Escort of Orc Emissary(2)', '1', '46157', '46160', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('173', 'Orc Emissary(1) Escort of Orc Emissary(2)', '1', '46158', '46160', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('174', 'Orc Emissary(1) Escort of Orc Emissary(2)', '1', '46159', '46160', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('175', 'Hen(5)', '0', '70981', '70981', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('176', 'Pig(5)', '0', '70983', '70983', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('52', '', '0', '46082', '46083', '1', '46084', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('53', '', '0', '46085', '46086', '1', '46087', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('54', '', '0', '46088', '46089', '1', '46090', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('55', '', '0', '46097', '46098', '1', '46099', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('56', '', '0', '46100', '46101', '1', '46102', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('57', '', '0', '46103', '46104', '1', '46105', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('58', '', '0', '45539', '45501', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('59', '', '0', '45539', '45502', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('60', '', '0', '45422', '45297', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('61', '', '0', '45423', '45374', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('62', '', '0', '45603', '45537', '1', '45530', '1', '45498', '1', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('63', '', '0', '46107', '46107', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('64', '', '0', '46135', '46135', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('65', '', '0', '46138', '46138', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('66', '', '0', '46139', '46139', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('67', '', '0', '46137', '46137', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('68', '', '0', '46141', '46140', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('69', '', '0', '45448', '45836', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('70', '', '0', '45315', '45647', '1', '45579', '1', '45569', '1', '45482', '1', '45450', '1', '45391', '1', '0', '0');
INSERT INTO `mobgroup` VALUES ('71', '', '0', '45570', '45571', '1', '45582', '1', '45587', '1', '45605', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('72', '', '1', '46157', '46160', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('73', '', '1', '46158', '46160', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('74', '', '1', '46159', '46160', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('75', '', '0', '45624', '45628', '2', '45629', '1', '45630', '1', '45596', '2', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('76', '', '0', '45623', '45631', '2', '45632', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('77', '', '0', '91266', '91265', '2', '91266', '2', '91267', '2', '91268', '2', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('78', '', '0', '91272', '91273', '2', '91270', '1', '91271', '3', '91276', '1', '91274', '1', '91275', '1', '0', '0');
INSERT INTO `mobgroup` VALUES ('79', '', '0', '91272', '91273', '4', '91270', '3', '91271', '3', '91274', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('80', '', '0', '91271', '91273', '2', '91270', '2', '91271', '1', '91274', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('81', '', '0', '91272', '91273', '1', '91271', '2', '91276', '3', '91275', '2', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('82', '', '0', '91269', '91273', '2', '91270', '3', '91271', '2', '91276', '1', '91274', '1', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('83', '', '0', '91270', '91273', '1', '91270', '1', '91271', '2', '91272', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('84', '', '0', '91273', '91273', '1', '91271', '3', '91276', '2', '91274', '2', '91275', '3', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('86', '', '0', '91340', '91340', '1', '45278', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('85', '', '0', '91341', '91340', '2', '91341', '2', '91342', '2', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobgroup` VALUES ('87', '', '0', '91341', '91341', '1', '45298', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45049', '0', 'Killer Rabbit', 'Cone of Cold', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '38', '1809', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45167', '0', 'Jack-O-Lantern', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '45', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45224', '0', 'Undead Elmore Wizard', 'Cone of Cold', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45228', '0', 'Sea Dancer', 'Ice Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45241', '0', 'Cerberus', null, '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45278', '0', 'Ogre', null, '1', '30', '0', '0', '-2', '0', '0', '2', '1', '2', '20', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45283', '0', 'Giran Cerberus', null, '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45284', '0', 'Fire Warrior', null, '1', '100', '0', '0', '2', '0', '0', '2', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45291', '0', 'Fire Archer', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45315', '0', 'Incarnation of Varlok', null, '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '25', '10056', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '0', 'Giran Ancient Giant', null, '2', '30', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '1', 'Giran Ancient Giant', 'Cancel', '2', '5', '0', '0', '-6', '0', '3', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '2', 'Giran Ancient Giant', null, '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '3', '10010', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45316', '3', 'Giran Ancient Giant', null, '3', '5', '25', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45351', '3', '3', '0');
INSERT INTO `mobskill` VALUES ('45316', '4', 'Giran Ancient Giant', null, '1', '100', '0', '0', '-2', '0', '3', '2', '1', '2', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45326', '0', 'Dark Forester', null, '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '10043', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45341', '0', 'Taurverus', null, '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45341', '1', 'Taurverus', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45256', '1', 'Dark Elf Apprentice', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '8', '53', '0', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45256', '0', 'Dark Elf Apprentice', 'Cone of Cold', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '4', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45373', '0', 'Ettin', 'Haste', '2', '20', '0', '0', '-10', '1', '2', '0', '0', '0', '0', '43', '0', '7', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45391', '0', 'Succubus of Varlok', null, '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '0', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45391', '1', 'Succubus of Varlok', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45393', '0', 'Succubus', null, '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45393', '1', 'Succubus', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45394', '0', 'Succubus', null, '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45394', '1', 'Succubus', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45400', '0', 'Succubus', null, '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10030', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45400', '1', 'Succubus', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45405', '0', 'Black Wizard', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '7', '10044', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45408', '0', 'Taurverus', null, '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45408', '1', 'Taurverus', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45416', '0', 'Fang of Earth', 'Root Debuff', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45416', '1', 'Fang of Earth', 'Weakness', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45416', '2', 'Fang of Earth', 'Stalac', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '16', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45418', '0', 'Fang of Wind', 'Weakness', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45418', '1', 'Fang of Wind', 'Slow', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45418', '2', 'Fang of Wind', 'Wind Shuriken', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '7', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45419', '0', 'Fang of Glacier', 'Weakness', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45419', '1', 'Fang of Glacier', 'Cone of Cold', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '5', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '0', 'Subterranean Great King Turtle', 'Frost Cloud', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '22', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '1', 'Subterranean Great King Turtle', 'Slow', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '2', 'Subterranean Great King Turtle', 'Weakness', '2', '10', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45422', '3', 'Subterranean Great King Turtle', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45424', '0', 'Fang of Flame', 'Weakness', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '47', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45424', '1', 'Fang of Flame', 'Fire Arrow', '2', '45', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45425', '0', 'Black Wizard', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10044', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45450', '0', 'Succubus Queen of Varlok', null, '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10031', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45450', '1', 'Succubus Queen of Varlok', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45451', '0', 'Succubus Queen', null, '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '6', '10031', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45451', '1', 'Succubus Queen', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45456', '0', 'Necromancer', 'Lightning', '2', '40', '0', '0', '-5', '0', '0', '0', '0', '0', '40', '17', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45458', '0', 'Spirit of Drake', null, '1', '30', '0', '0', '-6', '0', '0', '6', '6', '6', '40', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45458', '1', 'Spirit of Drake', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '80', '0', '4222', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45458', '2', 'Spirit of Drake', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45464', '0', 'Sema', 'Lightning', '2', '40', '0', '0', '-5', '0', '0', '0', '0', '0', '35', '17', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45471', '0', 'Horrific Cerberus', null, '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '20', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45473', '0', 'Baltuzar', 'Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '14', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45476', '0', 'Cerberus', null, '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '0', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45480', '0', 'Fire Necromancer', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45480', '1', 'Fire Necromancer', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45481', '0', 'Lesser Demon', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45481', '1', 'Lesser Demon', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45482', '0', 'Lesser Demon of Varlok', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45482', '1', 'Lesser Demon of Varlok', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45485', '0', 'Dark Lycanthrope', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45488', '0', 'Caspa', 'Fireball', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45492', '0', 'Kuman', null, '1', '100', '0', '0', '-6', '0', '0', '6', '0', '0', '20', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45496', '0', 'Lesser Dragon', null, '2', '100', '0', '0', '-2', '0', '0', '2', '1', '2', '0', '10008', '2380', '16', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45497', '0', 'Merkyor', 'Energy Bolt', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '50', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45500', '0', 'Water Spirit Master', 'Vampiric Touch', '2', '30', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45500', '1', 'Water Spirit Master', 'Cone of Cold', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45500', '2', 'Water Spirit Master', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45503', '0', 'Black Knight of Darkness', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45505', '0', 'Ettin', 'Haste', '2', '20', '0', '0', '-10', '1', '2', '0', '0', '0', '0', '43', '0', '7', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45506', '0', 'Cursed Elmore Wizard', 'Cone of Cold', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45508', '0', 'Earth Spirit Master', 'Root Debuff', '2', '15', '0', '0', '-2', '0', '0', '0', '0', '0', '20', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45508', '1', 'Earth Spirit Master', 'Eruption', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45510', '0', 'Wind Spirit Master', 'Slow', '2', '10', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45510', '1', 'Wind Spirit Master', 'Call Lightning', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45511', '0', 'Fire Spirit Master', 'Mana Drain', '2', '15', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '39', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45511', '1', 'Fire Spirit Master', 'Fireball', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45513', '0', 'Zenith Queen', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10004', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45515', '0', 'Ifrit', null, '2', '80', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10014', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45516', '0', 'Ifrit', null, '2', '80', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10014', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45520', '0', 'Spirit Taurverus of Fire', null, '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '30', '0', '954', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45520', '1', 'Spirit Taurverus of Fire', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45522', '0', 'Bone Dragon', null, '2', '100', '0', '0', '-2', '0', '0', '2', '1', '2', '4', '10009', '2411', '16', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45528', '0', 'Cruel Snow Tiger', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45529', '0', 'Drake', null, '1', '20', '0', '0', '-2', '0', '0', '2', '1', '0', '25', '0', '1064', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45532', '0', 'Fire Archer of Darkness', null, '1', '100', '0', '0', '2', '0', '0', '10', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45532', '1', 'Fire Archer of Darkness', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45534', '0', 'Mambo Rabbit (Pink Vest)', 'Tornado', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '30', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45534', '1', 'Mambo Rabbit (Pink Vest)', null, '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '10036', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45535', '0', 'Mambo Rabbit (Orange Vest)', 'Ice Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45535', '1', 'Mambo Rabbit (Orange Vest)', null, '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '10037', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45540', '0', 'Fire Warrior of Darkness', null, '1', '100', '0', '0', '2', '0', '0', '2', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45540', '1', 'Fire Warrior of Darkness', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45542', '0', 'Priest of Death', null, '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '0', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45542', '1', 'Priest of Death', null, '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45545', '0', 'Dark Elder', 'Tornado', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45545', '1', 'Dark Elder', null, '2', '50', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10061', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45546', '0', 'Doppelganger', 'Blizzard', '2', '20', '0', '0', '-15', '0', '0', '0', '0', '0', '15', '59', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45546', '1', 'Doppelganger', 'Firestorm', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '70', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45546', '2', 'Doppelganger', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45547', '0', 'Seer', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '15', '10001', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45547', '1', 'Seer', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45550', '0', 'Dark Elder', 'Tornado', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45550', '1', 'Dark Elder', 'Call Lightning', '2', '60', '0', '0', '-10', '0', '0', '0', '0', '0', '20', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45569', '0', 'Baphomet of Varlok', 'Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45569', '1', 'Baphomet of Varlok', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45570', '0', 'Priest of Corruption', 'Sunburst', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '50', '46', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45572', '0', 'Astagio of Fire', null, '1', '50', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45573', '0', 'Baphomet', 'Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45575', '0', 'Disciple of Death', null, '2', '20', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45575', '1', 'Disciple of Death', null, '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '0', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45575', '2', 'Disciple of Death', null, '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45579', '0', 'Beleth of Varlok', 'Fireball', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '70', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45579', '1', 'Beleth of Varlok', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45580', '0', 'Succubus Queen of Darkness', null, '2', '100', '0', '0', '-6', '5', '0', '0', '0', '0', '20', '10031', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45580', '1', 'Succubus Queen of Darkness', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45581', '0', 'Insolent Zenith Queen', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10004', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45581', '1', 'Insolent Zenith Queen', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45582', '0', 'Priest of Corruption', null, '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10047', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45583', '0', 'Beleth', 'Fireball', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '60', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45584', '0', 'Greater Minotaur', 'Earthquake', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '40', '62', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45584', '1', 'Greater Minotaur', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45586', '0', 'Lesser Seer', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '15', '10001', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45586', '1', 'Lesser Seer', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45589', '0', 'Zombie Lord of Fear', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10000', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45589', '1', 'Zombie Lord of Fear', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45591', '0', 'Abyss Water Spirit', 'Vampiric Touch', '2', '30', '0', '0', '-2', '0', '0', '0', '0', '0', '15', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45591', '1', 'Abyss Water Spirit', 'Cone of Cold', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45591', '2', 'Abyss Water Spirit', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45592', '0', 'Abyss Earth Spirit', 'Root Debuff', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '25', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45592', '1', 'Abyss Earth Spirit', 'Eruption', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45593', '0', 'Abyss Wind Spirit', 'Slow', '2', '10', '0', '0', '-3', '0', '0', '0', '0', '0', '15', '29', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45593', '1', 'Abyss Wind Spirit', 'Call Lightning', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45594', '0', 'Abyss Fire Spirit', 'Mana Drain', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '39', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45594', '1', 'Abyss Fire Spirit', 'Sunburst', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '46', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45594', '2', 'Abyss Fire Spirit', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45595', '0', 'Iris', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '80', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45595', '1', 'Iris', null, '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45597', '0', 'Disciple of Death', 'Eruption', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45597', '1', 'Disciple of Death', 'Eruption', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45598', '0', 'Disciple of Death', null, '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '0', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45598', '1', 'Disciple of Death', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45599', '0', 'Priest of Chaos', 'Shock Stun', '2', '10', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45600', '0', 'Kurtz', 'Earthquake', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '62', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45600', '1', 'Kurtz', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45601', '0', 'Death Knight', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '35', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45601', '1', 'Death Knight', null, '2', '45', '0', '0', '-6', '0', '0', '0', '0', '0', '15', '10056', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45601', '2', 'Death Knight', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45161', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45601', '3', 'Death Knight', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45604', '0', 'Marquise Vampire', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10006', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45604', '1', 'Marquise Vampire', 'Vampiric Touch', '2', '40', '0', '0', '-3', '0', '0', '0', '0', '0', '60', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45604', '2', 'Marquise Vampire', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45606', '0', 'Vampire', null, '3', '2', '0', '0', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45494', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45606', '1', 'Vampire', null, '3', '2', '0', '0', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45493', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45606', '2', 'Vampire', null, '3', '2', '0', '0', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45455', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45606', '3', 'Vampire', null, '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '10006', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45606', '4', 'Vampire', 'Vampiric Touch', '2', '40', '0', '0', '-3', '0', '0', '0', '0', '0', '60', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45606', '5', 'Vampire', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45290', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45609', '0', 'Ice Queen', null, '2', '50', '0', '0', '-15', '0', '0', '0', '0', '0', '40', '10002', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45609', '1', 'Ice Queen', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45610', '0', 'Ancient Giant', null, '2', '20', '0', '0', '-11', '0', '0', '0', '0', '0', '30', '10019', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45610', '1', 'Ancient Giant', null, '1', '100', '0', '0', '-6', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '0', 'Giant Ant Queen', null, '2', '15', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '1', 'Giant Ant Queen', 'Root Debuff', '2', '10', '0', '0', '-5', '0', '0', '0', '0', '0', '30', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '2', 'Giant Ant Queen', 'Cancel', '2', '10', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '3', 'Giant Ant Queen', null, '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10056', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '4', 'Giant Ant Queen', null, '2', '50', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '10019', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45614', '5', 'Giant Ant Queen', null, '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45616', '0', 'Mummy Lord', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45617', '0', 'Phoenix', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '12', '10018', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45617', '1', 'Phoenix', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45618', '0', 'Knight Vald', 'Earthquake', '2', '30', '0', '0', '-3', '0', '0', '0', '0', '0', '40', '62', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45618', '1', 'Knight Vald', 'Meteor Strike', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '74', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45618', '2', 'Knight Vald', null, '3', '5', '80', '0', '-3', '5', '0', '0', '0', '0', '0', '0', '0', '0', '45503', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45618', '3', 'Knight Vald', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45619', '0', 'Great Spirit of Earth', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10020', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45619', '1', 'Great Spirit of Earth', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45620', '0', 'Great Spirit of Water', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10022', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45620', '1', 'Great Spirit of Water', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45621', '0', 'Great Spirit of Wind', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45621', '1', 'Great Spirit of Wind', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45622', '0', 'Great Spirit of Fire', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10021', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45622', '1', 'Great Spirit of Fire', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45624', '0', 'Guardsman of Yahee', null, '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '15', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45624', '1', 'Guardsman of Yahee', null, '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '15', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '0', 'Chaos', null, '2', '70', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '1', 'Chaos', 'Cancel', '2', '15', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '2', 'Chaos', 'Shock Stun', '2', '40', '0', '0', '-1', '0', '0', '1', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '3', 'Chaos', 'Eruption', '2', '15', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45625', '4', 'Chaos', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45227', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45625', '5', 'Chaos', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45576', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45625', '6', 'Chaos', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45627', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45625', '7', 'Chaos', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45627', '0', 'Priest of Chaos', 'Shock Stun', '2', '10', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45628', '0', 'Guardsman of Yahee', null, '2', '20', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45628', '1', 'Guardsman of Yahee', null, '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '20', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45628', '2', 'Guardsman of Yahee', null, '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '20', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45629', '0', 'Guardsman of Yahee', 'Eruption', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45629', '1', 'Guardsman of Yahee', 'Eruption', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '30', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45630', '0', 'Guardsman of Yahee', null, '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '15', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45630', '1', 'Guardsman of Yahee', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '15', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45631', '0', 'Guardsman of Yahee', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45642', '0', 'Great Spirit of Earth', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10020', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45642', '1', 'Great Spirit of Earth', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45643', '0', 'Great Spirit of Water', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10022', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45643', '1', 'Great Spirit of Water', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45644', '0', 'Great Spirit of Wind', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45644', '1', 'Great Spirit of Wind', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45645', '0', 'Great Spirit of Fire', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10021', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45645', '1', 'Great Spirit of Fire', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '0', 'Abyss Master', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10038', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '1', 'Abyss Master', 'Cancel', '2', '10', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '2', 'Abyss Master', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45646', '3', 'Abyss Master', null, '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45647', '0', 'Demon of Varlok', null, '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10024', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45647', '1', 'Demon of Varlok', 'Fireball', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45647', '2', 'Demon of Varlok', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45649', '0', 'Demon', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10024', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45649', '1', 'Demon', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45649', '2', 'Demon', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45174', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '3', 'Demon', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45270', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '4', 'Demon', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45365', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '5', 'Demon', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45372', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '6', 'Demon', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45341', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '7', 'Demon', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45373', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '8', 'Demon', null, '3', '2', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45420', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45649', '9', 'Demon', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45650', '0', 'Zombie Lord', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10000', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45650', '1', 'Zombie Lord', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45651', '0', 'Dread King Baranka', null, '1', '30', '0', '0', '-6', '0', '0', '6', '6', '6', '50', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45651', '1', 'Dread King Baranka', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45483', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45651', '2', 'Dread King Baranka', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45653', '0', 'Mummy Lord', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '40', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45654', '0', 'Iris', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '80', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45654', '1', 'Iris', null, '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45664', '0', 'Knight Vald', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '45', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45671', '0', 'Ariorc', null, '2', '50', '0', '0', '-4', '0', '0', '0', '0', '0', '25', '10039', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45671', '1', 'Ariorc', null, '1', '100', '0', '0', '-6', '0', '0', '6', '6', '6', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45672', '0', 'Lich', null, '2', '50', '0', '0', '-15', '0', '0', '0', '0', '0', '25', '10010', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45672', '1', 'Lich', null, '2', '50', '0', '0', '-8', '0', '0', '0', '0', '0', '25', '10061', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45672', '2', 'Lich', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45673', '0', 'Grim Reaper', null, '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '45', '10062', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45673', '1', 'Grim Reaper', null, '2', '60', '0', '0', '-15', '0', '0', '0', '0', '0', '40', '10012', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45673', '2', 'Grim Reaper', null, '1', '100', '0', '0', '-2', '0', '0', '2', '2', '1', '80', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '0', 'Death', null, '2', '80', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '1', 'Death', 'Shock Stun', '2', '50', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '2', 'Death', 'Cancel', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '44', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '3', 'Death', null, '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45536', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '4', 'Death', null, '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45542', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '5', 'Death', null, '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45575', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '6', 'Death', null, '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45597', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '7', 'Death', null, '3', '7', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45598', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45674', '8', 'Death', 'Energy Bolt', '2', '100', '0', '0', '-1', '0', '0', '0', '0', '0', '80', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45674', '9', 'Death', null, '1', '100', '0', '0', '-5', '0', '0', '5', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45675', '0', 'Yahee', null, '1', '30', '0', '0', '-3', '0', '0', '3', '2', '2', '40', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45675', '1', 'Yahee', null, '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45675', '2', 'Yahee', null, '1', '50', '0', '0', '-2', '0', '0', '2', '1', '0', '30', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45677', '0', 'Laia', 'Ice Eruption', '2', '30', '0', '0', '-9', '0', '0', '0', '0', '0', '30', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45677', '1', 'Laia', null, '4', '5', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3906');
INSERT INTO `mobskill` VALUES ('45677', '2', 'Laia', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45310', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45678', '0', 'Cerenis', 'Full Heal', '2', '80', '0', '90', '-15', '0', '0', '0', '0', '0', '50', '57', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45678', '1', 'Cerenis', 'Blizzard', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '40', '59', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45678', '2', 'Cerenis', 'Meteor Strike', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '74', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45680', '0', 'Ken Rauhel', null, '1', '30', '0', '0', '-6', '0', '0', '6', '6', '6', '60', '0', '4223', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45680', '1', 'Ken Rauhel', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '0', 'Lindvior', null, '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10053', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '1', 'Lindvior', null, '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10026', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '2', 'Lindvior', null, '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10053', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '3', 'Lindvior', null, '2', '50', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '10053', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '4', 'Lindvior', null, '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '5', 'Lindvior', null, '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45681', '6', 'Lindvior', null, '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '0', 'Antharas', null, '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10054', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '1', 'Antharas', null, '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10027', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '2', 'Antharas', 'Eruption', '2', '20', '0', '0', '3', '0', '0', '0', '0', '0', '200', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '3', 'Antharas', null, '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10054', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '4', 'Antharas', null, '2', '50', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '10054', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '5', 'Antharas', null, '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '6', 'Antharas', null, '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45682', '7', 'Antharas', null, '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '0', 'Fafurion', null, '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10051', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '1', 'Fafurion', null, '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10051', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '2', 'Fafurion', null, '2', '50', '0', '0', '0', '0', '0', '0', '0', '0', '50', '10051', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '3', 'Fafurion', null, '2', '10', '0', '0', '-4', '0', '0', '0', '0', '0', '100', '10050', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '4', 'Fafurion', null, '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '5', 'Fafurion', null, '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '6', 'Fafurion', null, '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '7', 'Fafurion', null, '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45683', '8', 'Fafurion', null, '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10029', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '0', 'Valakas', null, '2', '100', '25', '0', '-15', '3', '0', '0', '0', '0', '1000', '10052', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '1', 'Valakas', null, '2', '50', '0', '0', '5', '0', '0', '0', '0', '0', '50', '10052', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '2', 'Valakas', null, '2', '50', '0', '0', '0', '0', '0', '0', '0', '0', '50', '10052', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '3', 'Valakas', null, '2', '2', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '10028', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '4', 'Valakas', null, '1', '10', '0', '0', '-3', '0', '0', '3', '3', '4', '200', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45684', '5', 'Valakas', null, '1', '10', '0', '0', '-2', '0', '0', '2', '0', '0', '150', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45685', '0', 'Tarak', null, '4', '5', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3872');
INSERT INTO `mobskill` VALUES ('45685', '1', 'Tarak', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '30', '10025', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45685', '2', 'Tarak', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45570', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '3', 'Tarak', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45571', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '4', 'Tarak', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45582', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '5', 'Tarak', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45587', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45685', '6', 'Tarak', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45605', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45046', '0', 'Beagle', 'Stalac', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '16', '1583', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45693', '0', 'High St. Bernard', 'Wind Shuriken', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '7', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45048', '0', 'Fox', 'Fire Arrow', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '15', '1801', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45695', '0', 'High Rabbit', 'Cone of Cold', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45696', '0', 'High Cat', 'Chill Touch', '2', '50', '0', '0', '-3', '0', '0', '0', '0', '0', '5', '10', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45701', '0', 'Spirit of Enraged Ancient Person', 'Lightning', '2', '40', '0', '0', '-5', '0', '0', '0', '0', '0', '40', '17', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45702', '0', 'Spirit of Enraged Ancient Person', 'Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '14', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45703', '0', 'Spirit of Enraged Ancient Person', 'Fireball', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45704', '0', 'Spirit of Enraged Ancient Person', 'Energy Bolt', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '50', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45708', '0', 'Creation of Varlok', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45709', '0', 'Varlok\'s Servant', null, '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '10024', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45709', '1', 'Varlok\'s Servant', 'Fireball', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45709', '2', 'Varlok\'s Servant', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45710', '0', 'Battle Tiger', null, '2', '100', '0', '0', '-6', '0', '0', '1', '0', '0', '0', '10076', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45712', '0', 'Jindo Dog', null, '2', '100', '0', '0', '-6', '0', '0', '1', '0', '0', '0', '10077', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45720', '0', 'Drowned Male', null, '2', '100', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10072', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45721', '0', 'Drowned Female', null, '2', '30', '0', '0', '6', '0', '0', '0', '0', '0', '0', '10073', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45721', '1', 'Drowned Female', 'Root Debuff', '2', '30', '0', '0', '3', '0', '0', '0', '0', '0', '20', '10071', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45723', '0', 'Dark Elemental', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45722', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45727', '0', 'Grave Sea Dancer', 'Ice Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45734', '0', 'Great King Squid', null, '2', '30', '0', '0', '-7', '0', '0', '0', '0', '0', '30', '10075', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45736', '0', 'Lesser Demon', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45739', '0', 'Shiboin of Earth', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45740', '0', 'Shiboin of Waves', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45741', '0', 'Shiboin of Fire', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45742', '0', 'Shiboin of Wind', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45746', '0', 'Deangus', null, '2', '20', '0', '0', '-5', '0', '0', '5', '1', '5', '0', '10067', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45747', '0', 'Angus', null, '2', '20', '0', '0', '-5', '0', '0', '5', '1', '5', '0', '10068', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45748', '0', 'Paj', 'Tornado', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45749', '0', 'Paj', null, '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '5', '10065', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45750', '0', 'Pasaj', 'Tornado', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45751', '0', 'Pasaj', null, '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '5', '10066', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45752', '0', 'Varlok', null, '2', '10', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '10069', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45752', '1', 'Varlok', null, '2', '10', '0', '0', '-15', '0', '0', '0', '0', '0', '20', '10070', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45752', '2', 'Varlok', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45753', '0', 'Varlok', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '10069', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45753', '1', 'Varlok', null, '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '20', '10070', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45753', '2', 'Varlok', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45770', '0', 'Polluted Orc Wizard', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45771', '0', 'Contaminated Fairy', 'Call Lightning', '2', '90', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45772', '0', 'Polluted Orc Hunter', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45770', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45783', '0', 'Polluted Great Spirit of Darkness', 'Vampiric Touch', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '28', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45783', '1', 'Polluted Great Spirit of Darkness', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45782', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45784', '0', 'Polluted Great Spirit of Light', 'Call Lightning', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45785', '0', 'Polluted Great Spirit of Earth', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10020', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45785', '1', 'Polluted Great Spirit of Earth', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45786', '0', 'Polluted Great Spirit of Fire', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10021', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45786', '1', 'Polluted Great Spirit of Fire', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45787', '0', 'Polluted Great Spirit of Wind', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '50', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45787', '1', 'Polluted Great Spirit of Wind', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45788', '0', 'Polluted Great Spirit of Water', null, '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '10022', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45788', '1', 'Polluted Great Spirit of Water', null, '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45794', '0', 'Servant of Spirit', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10078', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45795', '0', 'Spirit', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10079', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45795', '1', 'Spirit', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45794', '1', '3', '0');
INSERT INTO `mobskill` VALUES ('45801', '0', 'Diamond Golem of Maino Shaman', 'Destroy', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '30', '77', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45802', '0', 'Maino Shaman', 'Call Lightning', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '100', '34', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45802', '1', 'Maino Shaman', 'Lightning Storm', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '100', '65', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45806', '0', 'Crabman', 'Ice Dagger', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '0', '6', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45812', '0', 'Sea Dancer', 'Cone of Cold', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45823', '0', 'Crustacean', 'Cone of Cold', '2', '30', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45828', '0', 'Doppleganger Boss', 'Blizzard', '2', '20', '0', '0', '-15', '0', '0', '0', '0', '0', '0', '59', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45828', '1', 'Doppleganger Boss', 'Firestorm', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '70', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45828', '2', 'Doppleganger Boss', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45829', '0', 'Barbados', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45874', '0', 'Mutant Lizardman', 'Lesser Heal', '2', '30', '0', '50', '-15', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45874', '1', 'Mutant Lizardman', null, '2', '30', '0', '0', '6', '0', '0', '0', '0', '0', '0', '10080', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81081', '0', 'Elindaire', 'Energy Bolt', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '40', '4', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81082', '0', 'Yahee', null, '1', '100', '0', '0', '-15', '1', '0', '15', '0', '0', '20', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81082', '1', 'Yahee', null, '4', '15', '0', '0', '-10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3872');
INSERT INTO `mobskill` VALUES ('81082', '2', 'Yahee', null, '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '35', '10063', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81082', '3', 'Yahee', null, '2', '100', '0', '0', '-10', '0', '0', '0', '0', '0', '35', '10064', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81103', '0', 'Doppelganger', 'Ice Eruption', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81103', '1', 'Doppelganger', 'Stalac', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '16', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81103', '2', 'Doppelganger', null, '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45039', '0', 'Cat', 'Chill Touch', '2', '50', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '10', '252', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45047', '0', 'Saint Bernard', 'Wind Shuriken', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '7', '1799', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45692', '0', 'High Beagle', 'Stalac', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '16', '1583', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45694', '0', 'High Fox', 'Fire Arrow', '2', '50', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '15', '1801', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45044', '0', 'Raccoon', 'Slow', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '30', '29', '752', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45697', '0', 'High Raccoon', 'Slow', '2', '10', '0', '0', '-2', '0', '0', '0', '0', '0', '30', '29', '752', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45121', '0', 'Orc Wizard', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '25', '171', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45265', '0', 'Dark Elf', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '10', '53', '758', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45364', '0', 'Dark Elf', 'Tornado', '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '15', '53', '758', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45447', '0', 'Dark Elf Wizard', 'Cone of Cold', '2', '40', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '38', '1809', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45447', '1', 'Dark Elf Wizard', 'Tornado', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '9', '53', '758', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45215', '0', 'Elder', 'Call Lightning', '2', '35', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '34', '10', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45279', '0', 'Elekkadom', null, '2', '25', '0', '0', '-1', '0', '0', '0', '0', '0', '8', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45819', '0', 'Elekkadom', null, '2', '25', '0', '0', '-1', '0', '0', '0', '0', '0', '8', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45487', '0', 'Subterranean Elekkadom', null, '2', '30', '0', '0', '-2', '0', '0', '0', '0', '0', '16', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45732', '0', 'Grave Elekkadom', null, '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '16', '11000', '1714', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81050', '0', 'Summoned Spirit of Fire', 'Fire Arrow', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '15', '1801', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81051', '0', 'Summoned Spirit of Water', 'Ice Dagger', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '6', '1797', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81052', '0', 'Summoned Spirit of Wind', 'Wind Shuriken', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '7', '1799', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81053', '0', 'Summoned Spirit of Earth', 'Stalac', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '3', '16', '1583', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45578', '0', 'Drake', null, '1', '20', '0', '0', '-2', '0', '0', '2', '1', '0', '10', '0', '1064', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45413', '0', 'Diego', null, '1', '50', '0', '0', '-8', '0', '0', '2', '0', '0', '30', '0', '1812', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45474', '0', 'Dark Forester', null, '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '10043', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45512', '0', 'Hell Bound', 'Bite Attack', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '30', '0', '4646', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45517', '0', 'Spiritologist of Blood', null, '2', '70', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10086', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45517', '1', 'Spiritologist of Blood', null, '2', '30', '0', '0', '-7', '0', '0', '0', '0', '0', '0', '10087', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45523', '0', 'Lord of Darkness', null, '2', '70', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10088', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45523', '1', 'Lord of Darkness', null, '2', '30', '0', '0', '-7', '0', '0', '0', '0', '0', '0', '10089', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45526', '0', 'Crimson Drake', null, '1', '100', '0', '0', '5', '0', '0', '5', '0', '0', '30', '0', '4651', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45527', '0', 'Blood Rain Knight', null, '1', '50', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '4631', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45548', '0', 'Jose', null, '1', '20', '0', '0', '-4', '0', '0', '3', '5', '5', '80', '0', '4700', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45577', '0', 'Brigade Commander Dark Fencer', null, '2', '70', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10083', '4630', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45577', '1', 'Brigade Commander Dark Fencer', null, '2', '30', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '10084', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45588', '0', 'Division Commander Sinclair', 'Meteor Strike', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '74', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45607', '0', 'Evil Power Squad Leader Kybar', null, '2', '70', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10083', '4630', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45607', '1', 'Evil Power Squad Leader Kybar', null, '2', '30', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '10084', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45608', '0', 'Mercenary Commander Mephaisto', null, '2', '70', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10083', '4630', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45608', '1', 'Mercenary Commander Mephaisto', null, '2', '30', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '10084', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45615', '0', 'Bright Magic Troup Leader Crepus', null, '2', '70', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10083', '4630', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45615', '1', 'Bright Magic Troup Leader Crepus', null, '2', '30', '0', '0', '-3', '0', '0', '0', '0', '0', '30', '10084', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45676', '0', 'Bright Magic King Hellvine', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '4540', '45517', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45676', '1', 'Bright Magic King Hellvine', null, '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '4540', '45523', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('45676', '2', 'Bright Magic King Hellvine', 'Meteor Strike', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '74', '4538', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45831', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45831', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45832', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45832', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45833', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45833', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45834', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45834', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45835', '0', 'Cursed Dark Elf Warrior', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45839', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45839', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45840', '0', 'Cursed Dark Elf Warrior', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45842', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45842', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45843', '0', 'Cursed Dark Elf Warrior', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45847', '0', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45847', '1', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45847', '2', 'Cursed Dark Elf Wizard', null, '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '10085', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45849', '0', 'Cursed Dark Elf Warrior', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45850', '0', 'Dark Forester', null, '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '10043', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45851', '0', 'Dark Forester', null, '2', '40', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '10043', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45853', '0', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45853', '1', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45853', '2', 'Cursed Dark Elf Wizard', null, '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '10085', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45859', '0', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45859', '1', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45859', '2', 'Cursed Dark Elf Wizard', null, '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '10085', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45860', '0', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45860', '1', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45860', '2', 'Cursed Dark Elf Wizard', null, '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '10085', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45861', '0', 'Cursed Dark Elf Warrior', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45862', '0', 'Cursed Dark Elf Warrior', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45863', '0', 'Dread Queen Laia', 'Ice Eruption', '2', '30', '0', '0', '-9', '0', '0', '0', '0', '0', '30', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45863', '1', 'Dread Queen Laia', null, '4', '5', '0', '0', '-9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3906');
INSERT INTO `mobskill` VALUES ('45863', '2', 'Dread Queen Laia', 'Greater Heal', '2', '80', '0', '90', '-15', '0', '0', '0', '0', '0', '100', '35', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45864', '0', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45864', '1', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45864', '2', 'Cursed Dark Elf Wizard', null, '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '10085', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45865', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45865', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45866', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45866', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45867', '0', 'Cursed Dark Elf Warrior', 'Shock Stun', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45869', '0', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45869', '1', 'Cursed Dark Elf Wizard', null, '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45869', '2', 'Cursed Dark Elf Wizard', null, '2', '30', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '10085', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45870', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45870', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45871', '0', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '5', '10081', '5722', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45871', '1', 'Cursed Dark Elf Knight', null, '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '10082', '5635', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81176', '0', 'Dark Elder', 'Tornado', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81176', '1', 'Dark Elder', null, '2', '50', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10061', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45944', '0', 'Giant Worm Close Range', null, '1', '50', '0', '0', '-2', '0', '0', '1', '7', '7', '50', '0', '5792', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45361', '0', 'Cockatrice', null, '2', '20', '0', '0', '-2', '0', '0', '2', '0', '0', '10', '12001', '1054', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45273', '0', 'Deep Flower', null, '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '10', '10094', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45275', '0', 'Black Ent', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '10', '10095', '0', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45347', '0', 'Dark Forester', null, '2', '100', '0', '0', '2', '0', '0', '6', '2', '2', '0', '10093', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45363', '0', 'Dark Elementalist', null, '2', '70', '0', '0', '-3', '0', '0', '0', '0', '0', '10', '10091', '0', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45363', '1', 'Dark Elementalist', null, '3', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45911', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45368', '0', 'Beast Summoner', null, '1', '40', '0', '0', '2', '0', '0', '6', '0', '0', '30', '0', '3696', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45899', '0', 'Dark Elf Deserters', 'Cone of Cold', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '15', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45906', '0', 'Dark Elf Deserters', 'Cone of Cold', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '15', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45907', '0', 'Dark Elementalist', null, '2', '70', '0', '0', '-3', '0', '0', '0', '0', '0', '10', '10091', '0', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45907', '1', 'Dark Elementalist', null, '3', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45911', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('46018', '0', 'Black Wizard', null, '2', '80', '0', '0', '0', '0', '0', '0', '0', '0', '10', '10044', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46018', '1', 'Black Wizard', null, '2', '50', '0', '0', '0', '0', '0', '0', '0', '0', '10', '10092', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46021', '0', 'Greedy Wizard', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46021', '1', 'Greedy Wizard', 'Firestorm', '2', '20', '0', '0', '-3', '0', '0', '0', '0', '0', '25', '70', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46025', '0', 'Count Taros', null, '1', '50', '0', '0', '-4', '0', '0', '1', '0', '0', '50', '0', '4853', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46025', '1', 'Count Taros', null, '1', '50', '0', '0', '-6', '0', '0', '1', '0', '0', '50', '0', '4858', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46026', '0', 'Priest of Chaos', null, '1', '30', '0', '0', '-6', '0', '0', '1', '0', '0', '100', '0', '4792', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46026', '1', 'Priest of Chaos', null, '1', '50', '0', '0', '-4', '0', '0', '1', '0', '0', '50', '0', '4795', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46033', '0', 'Corrupted Zombie Wizard', 'Cone of Cold', '2', '70', '0', '0', '-8', '0', '0', '0', '0', '0', '10', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46033', '1', 'Corrupted Zombie Wizard', 'Mass Slow', '2', '10', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '76', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46034', '0', 'Corrupted Zombie General', 'Eruption', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '10', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46035', '0', 'Corrupted Zombie Lord', null, '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '20', '10000', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46036', '0', 'Corrupted Skeleton Knight', 'Wind Shuriken', '2', '20', '0', '0', '-6', '0', '0', '0', '0', '0', '70', '7', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46036', '1', 'Corrupted Skeleton Knight', null, '1', '20', '0', '0', '-4', '0', '0', '1', '0', '0', '20', '0', '3680', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46037', '0', 'Dark Wizard Maya', 'Fireball', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '100', '25', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46037', '1', 'Dark Wizard Maya', null, '1', '50', '0', '0', '-4', '0', '0', '1', '0', '0', '80', '0', '5215', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46037', '2', 'Dark Wizard Maya', null, '1', '50', '0', '0', '-6', '0', '0', '1', '0', '0', '80', '0', '5216', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46037', '3', 'Dark Wizard Maya', null, '3', '20', '0', '0', '-3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '46038', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('46037', '4', 'Dark Wizard Maya', null, '3', '20', '0', '0', '-3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '46039', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('46037', '5', 'Dark Wizard Maya', null, '3', '20', '0', '0', '-3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '46040', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45944', '1', 'Giant Worm AOE', null, '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '50', '10099', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45952', '0', 'Giant Guarding Ant Close Range', null, '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '5', '10090', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45952', '1', 'Giant Guarding Ant AOE', null, '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45359', '0', 'Astagio', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45572', '1', 'Astagio of Fire', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '26', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45381', '0', 'Basilisk', null, '2', '50', '0', '0', '-3', '0', '0', '15', '0', '0', '10', '10015', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45165', '0', 'Black Knight', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45239', '0', 'Blue Tail', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45223', '0', 'Bugbear', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45738', '0', 'Bugbear', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45407', '0', 'Cimaera', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45806', '1', 'Crabman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45519', '1', 'Cruel Snow Tiger', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '27', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45506', '1', 'Cursed Elmore Wizard', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '12', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45420', '0', 'Cyclops', null, '1', '0', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45386', '0', 'Dancing Sword', null, '1', '50', '0', '0', '-3', '0', '0', '2', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45288', '0', 'Dark Elf General', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45287', '0', 'Dark Elf Guard', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45485', '1', 'Dark Lycanthrope', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45409', '0', 'Dire Wolf', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45257', '0', 'Dragonfly', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45035', '0', 'Escaped Black Knight', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '3', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45373', '1', 'Ettin', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45519', '0', 'Fire Ghost', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '12', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45284', '1', 'Fire Warrior', null, '1', '50', '0', '0', '-3', '0', '0', '2', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45509', '0', 'Forgotten Island King Bugbear', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '12', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45392', '0', 'Forgotten Island Bugbear', null, '1', '50', '0', '0', '-3', '0', '0', '0', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45505', '1', 'Forgotten Island Ettin', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '13', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45452', '0', 'Forgotten Island Harpy', 'Chill Touch', '2', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '10', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45387', '0', 'Forgotten Island Ramia', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45174', '0', 'Ghost', null, '1', '50', '0', '0', '0', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45198', '0', 'Ghost', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45295', '0', 'Giant', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45079', '0', 'Gnoll', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45321', '0', 'Griffon', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45445', '0', 'Griffon', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45140', '0', 'Hobgoblin', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45479', '0', 'Horrific Iron Golem', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '12', '0', '30', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45556', '0', 'Ice Man', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '13', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45372', '0', 'Iron Golem', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45298', '0', 'King Bugbear', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45600', '2', 'Kurtz', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '30', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45365', '0', 'Lava Golem', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45377', '0', 'Lizardman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45805', '0', 'LizardMan', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '7', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45144', '0', 'Lizardman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '7', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45145', '0', 'Lizardman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '7', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45380', '0', 'Medusa', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45390', '0', 'Minotaur', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45332', '0', 'Mutant Ramia', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45815', '0', 'Mutant Ramia', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '17', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45385', '0', 'Nightmare', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45440', '0', 'Nightmare', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45759', '0', 'Orc Fighter', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45402', '0', 'Raging Skeleton Axeman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81088', '0', 'Raging Skeleton Fighter', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45403', '0', 'Raging Skeleton Pike', null, '1', '50', '0', '0', '-3', '0', '0', '2', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45809', '0', 'Ratman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45369', '0', 'Salamander', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45552', '0', 'Salamander', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '12', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45259', '0', 'Scorpion', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45130', '0', 'Skeleton Axeman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '6', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45286', '0', 'Skeleton Fighter', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45267', '0', 'Snow Tiger', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45133', '0', 'Snowman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45297', '0', 'Subterrean Crabman', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45155', '0', 'Troglodyte', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45280', '0', 'Troll', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '8', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45248', '0', 'Undead Elmore General', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '12', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45216', '0', 'Undead Elmore Soldier', null, '1', '50', '0', '0', '-3', '0', '0', '2', '0', '0', '9', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45224', '1', 'Undead Elmore Wizard', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '11', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45294', '0', 'Yeti', null, '1', '50', '0', '0', '-3', '0', '0', '1', '0', '0', '10', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45512', '1', 'Hell Bound', 'Fire Breath', '1', '50', '0', '0', '1', '0', '0', '3', '1', '2', '15', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45978', '0', 'Deep Flower', 'Root Attack', '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '10', '10094', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45978', '1', 'Deep Flower', 'Poison Cloud', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '20001', '3571', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45273', '1', 'Deep Flower', 'Poison Cloud', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '20001', '3571', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45775', '0', 'Polluted Deep Flower', 'Root Attack', '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '10', '10094', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45775', '1', 'Polluted Deep Flower', 'Poison Cloud', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '5', '20001', '3571', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45697', '1', 'High Raccoon', 'Disease', '2', '5', '0', '0', '-2', '0', '0', '0', '0', '0', '40', '56', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45676', '3', 'Bright Magic King Hellvine', 'Hell Storm', '2', '15', '0', '0', '-15', '0', '0', '0', '0', '0', '20', '20002', '4539', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45648', '0', 'Slave of Assassin King', '', '2', '25', '0', '0', '-6', '0', '0', '0', '0', '0', '25', '20003', '0', '19', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46046', '1', 'Gold Dragon', 'Fire Breath', '2', '50', '0', '0', '-2', '0', '0', '2', '1', '2', '10', '20005', '6398', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46046', '0', 'Gold Dragon', 'Fire Ball', '2', '50', '0', '0', '-8', '0', '0', '0', '0', '0', '20', '20004', '5214', '19', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45309', '0', 'Black Tiger', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45323', '0', 'Beast Summoner', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45357', '0', 'Black Tiger', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45374', '0', 'Subterranean Lizardman', '', '2', '100', '0', '0', '-6', '0', '0', '6', '0', '0', '0', '10133', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45382', '0', 'Subterranean Scormystic', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45383', '0', 'Subterranean Scorpaitan', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45423', '0', 'Subterranean Beholder', '', '2', '25', '0', '0', '-4', '0', '0', '4', '0', '0', '0', '167', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45448', '0', 'Lastabad Tormenter', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45483', '0', 'Black Tiger', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45498', '0', 'Grave Guardian', '', '1', '50', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45530', '0', 'Grave Guardian Mage', '', '1', '45', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45530', '1', 'Grave Guardian Mage', '', '1', '50', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45530', '2', 'Grave Guardian Mage', '', '2', '85', '0', '0', '-6', '0', '0', '0', '0', '0', '45', '10136', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45537', '0', 'Grave Guardian Knight', '', '1', '50', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45574', '0', 'Palace General Kyte', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '12', '10104', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45588', '1', 'Division Commander Sinclair', '', '2', '30', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '10107', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45602', '0', 'Evil Magic Squad Leader Carmiel', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '12', '10105', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45603', '0', 'Large Grave Guardian', '', '1', '50', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45612', '0', 'Temple Head Bounty', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '15', '10103', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45727', '1', 'Grave Sea Dancer', '', '2', '100', '0', '0', '-10', '0', '0', '0', '0', '0', '20', '10097', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45743', '0', 'Sand Tomb', '', '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45812', '1', 'Sea Dancer', '', '2', '100', '0', '0', '-10', '0', '0', '8', '0', '0', '0', '10097', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45836', '0', 'Black Tiger', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45837', '0', 'Lastabad Tormenter', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45845', '0', 'Dark Elementalist', '', '2', '100', '0', '0', '-3', '4', '0', '3', '0', '0', '0', '10091', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45852', '0', 'Dark Elementalist', '', '2', '100', '0', '0', '-3', '4', '0', '3', '0', '0', '0', '10091', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45926', '0', 'Cursed Beholder', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10101', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45931', '0', 'Spirit of Water', '', '2', '30', '0', '0', '-10', '0', '0', '0', '0', '0', '20', '6', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45931', '1', 'Spirit of Water', '', '3', '5', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45932', '2', '2', '0');
INSERT INTO `mobskill` VALUES ('45935', '0', 'Cursed Medusa', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10101', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45936', '0', 'Eva Sea Dancer', '', '2', '100', '0', '0', '-10', '0', '0', '10', '0', '0', '0', '10096', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45936', '1', 'Eva Sea Dancer', '', '2', '100', '0', '0', '-10', '0', '0', '8', '0', '0', '0', '10097', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45938', '0', 'Eva Elekkadom', '', '1', '80', '0', '0', '-3', '0', '0', '2', '5', '5', '20', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45941', '0', 'Cursed Exorcist Saell', '', '2', '50', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '10100', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45942', '0', 'Cursed Great Spirit of Water', '', '2', '60', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45943', '0', 'Kapu', '', '2', '50', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10098', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45945', '2', 'Cleaning Ant', '', '1', '100', '1', '0', '-1', '0', '0', '1', '7', '7', '300', '0', '5793', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45955', '0', 'Supreme Court Justice Kenya', '', '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10113', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45955', '1', 'Supreme Court Justice Kenya', '', '2', '15', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '10117', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45955', '2', 'Supreme Court Justice Kenya', '', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '20', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45956', '0', 'Supreme Court Justice Viatas', '', '2', '15', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '10116', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45956', '1', 'Supreme Court Justice Viatas', '', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '20', '0', '5367', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45957', '0', 'Supreme Court Justice Baromes', '', '2', '10', '0', '0', '-5', '0', '0', '0', '0', '0', '7', '10109', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45957', '1', 'Supreme Court Justice Baromes', '', '2', '10', '0', '0', '-7', '0', '0', '0', '0', '0', '8', '10115', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45957', '2', 'Supreme Court Justice Baromes', '', '1', '100', '0', '0', '-1', '0', '0', '0', '0', '0', '20', '0', '5480', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45958', '0', 'Supreme Court Justice Endias', '', '2', '15', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '10114', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45958', '1', 'Supreme Court Justice Endias', '', '1', '100', '0', '0', '-8', '0', '0', '8', '0', '0', '20', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45959', '0', 'Supreme Court Justice Edea', '', '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10113', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45959', '1', 'Supreme Court Justice Edea', '', '1', '100', '0', '0', '-2', '0', '0', '2', '0', '0', '30', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45960', '0', 'Supreme Court Justice Tiames', '', '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10111', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45960', '1', 'Supreme Court Justice Tiames', '', '2', '15', '0', '0', '-15', '0', '0', '0', '0', '0', '30', '10112', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45960', '2', 'Supreme Court Justice Tiames', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45961', '0', 'Supreme Court Justice Ramias', '', '2', '30', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '10110', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45961', '1', 'Supreme Court Justice Ramias', '', '3', '20', '50', '0', '-3', '10', '0', '0', '0', '0', '0', '0', '0', '0', '45483', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45961', '2', 'Supreme Court Justice Ramias', '', '3', '20', '50', '0', '-3', '10', '0', '0', '0', '0', '0', '0', '0', '0', '45512', '1', '1', '0');
INSERT INTO `mobskill` VALUES ('45961', '3', 'Supreme Court Justice Ramias', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45962', '0', 'Supreme Court Justice Barode', '', '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10108', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45962', '1', 'Supreme Court Justice Barode', '', '2', '10', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '10109', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45962', '2', 'Supreme Court Justice Barode', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '20', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45963', '0', 'New King Adjutant Cassandra', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '12', '10104', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45980', '0', 'Lastabad Tormenter', '', '1', '50', '0', '0', '-2', '0', '0', '2', '0', '0', '2', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45982', '0', 'Dark Forester', '', '2', '100', '0', '0', '-6', '5', '0', '6', '0', '0', '0', '10093', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45991', '0', 'Dark Elementalist', '', '2', '100', '0', '0', '-3', '4', '0', '3', '0', '0', '0', '10091', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45994', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10102', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45995', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10103', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45998', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10102', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45999', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '11', '10103', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46002', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '9', '10102', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46003', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10103', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46004', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '11', '10103', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46007', '0', 'Elder Attendant', '', '2', '80', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10103', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46053', '0', 'Evil Spirit of Ship', '', '3', '5', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45722', '1', '2', '0');
INSERT INTO `mobskill` VALUES ('46062', '0', 'Cursed Dark Elf Warrior', '', '2', '15', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '87', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46062', '1', 'Cursed Dark Elf Warrior', '', '2', '60', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10119', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46063', '0', 'Cursed Dark Elf Wizard', '', '2', '60', '0', '0', '-10', '0', '0', '0', '0', '0', '0', '10120', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46064', '0', 'Cursed Dark Elf Knight', '', '2', '15', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10121', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46064', '2', 'Cursed Dark Elf Knight', '', '2', '15', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '10123', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46064', '1', 'Cursed Dark Elf Knight', '', '2', '15', '0', '0', '-7', '0', '0', '0', '0', '0', '0', '10122', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46065', '0', 'Otyu', '', '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10124', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46066', '0', 'Tyupon', '', '2', '30', '0', '0', '-5', '0', '0', '0', '0', '0', '0', '10125', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46067', '0', 'Wyvern', '', '2', '30', '0', '0', '-4', '0', '0', '0', '0', '0', '20', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46069', '0', 'Unchosen One', '', '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '18', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46070', '0', 'Unchosen One', '', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46071', '0', 'Unchosen One', '', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '2', '10065', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46072', '0', 'Unchosen One', '', '2', '20', '0', '0', '-4', '0', '0', '0', '0', '0', '5', '53', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46073', '0', 'Unchosen One', '', '2', '100', '0', '0', '-8', '0', '0', '0', '0', '0', '2', '10066', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46078', '0', 'Unchosen One', '', '2', '20', '0', '0', '-5', '0', '0', '5', '1', '5', '0', '10067', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46079', '0', 'Unchosen One', '', '2', '20', '0', '0', '-5', '0', '0', '5', '1', '5', '0', '10068', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46082', '0', 'Patrol 1', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46082', '1', 'Patrol 1', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46083', '0', 'Patrol 2', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46083', '1', 'Patrol 2', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46084', '0', 'Patrol 3', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46084', '1', 'Patrol 3', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46085', '0', 'Patrol 4', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46085', '1', 'Patrol 4', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46086', '0', 'Patrol 5', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46086', '1', 'Patrol 5', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46087', '0', 'Patrol 6', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46087', '1', 'Patrol 6', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46088', '0', 'Patrol 7', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46088', '1', 'Patrol 7', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46089', '0', 'Patrol 8', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46089', '1', 'Patrol 8', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46090', '0', 'Patrol 9', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46090', '1', 'Patrol 9', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46091', '0', 'Guard', '', '2', '50', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '10042', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46091', '1', 'Guard', '', '1', '100', '0', '0', '-1', '0', '0', '1', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46093', '0', 'Unchosen One', '', '2', '100', '0', '0', '2', '0', '0', '0', '0', '0', '0', '10060', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46094', '0', 'Unchosen One', '', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '10', '45', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46095', '0', 'Unchosen One', '', '2', '100', '0', '0', '3', '0', '0', '0', '0', '0', '0', '10059', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46096', '0', 'Unchosen One', '', '2', '10', '0', '0', '5', '0', '0', '0', '0', '0', '0', '10057', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('46096', '1', 'Unchosen One', '', '2', '10', '0', '0', '2', '0', '0', '0', '0', '0', '0', '10058', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('60563', '0', 'Heine Guard', '', '2', '100', '0', '0', '-10', '0', '0', '10', '0', '0', '0', '10145', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('70857', '0', 'Heine Guard', '', '2', '100', '0', '0', '-10', '0', '0', '10', '0', '0', '0', '10145', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81163', '0', 'Girtas', '', '2', '100', '18', '0', '-15', '0', '0', '0', '0', '0', '20', '10130', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81163', '1', 'Girtas', '', '2', '10', '0', '0', '-15', '0', '0', '0', '0', '0', '80', '10126', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81163', '2', 'Girtas', '', '2', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10128', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81163', '3', 'Girtas', '', '2', '20', '0', '0', '0', '0', '0', '0', '0', '0', '15', '10129', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81163', '4', 'Girtas', '', '2', '20', '0', '0', '0', '0', '0', '0', '0', '0', '40', '10127', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81163', '5', 'Girtas', '', '1', '60', '0', '0', '0', '0', '0', '3', '0', '0', '30', '0', '0', '5', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81163', '6', 'Girtas', '', '1', '100', '0', '0', '0', '0', '0', '3', '0', '0', '30', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81224', '0', 'High Lizardman', '', '2', '100', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10135', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81231', '0', 'Giant Guardian Ant', '', '1', '100', '0', '0', '-3', '0', '0', '3', '0', '0', '15', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81236', '0', 'Otyu', '', '2', '60', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '10124', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81237', '0', 'Hell Bound', '', '1', '100', '0', '0', '2', '2', '0', '2', '0', '0', '30', '0', '4646', '3', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81238', '0', 'Doppelganger', '', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '0', '10035', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81238', '1', 'Doppelganger', '', '2', '30', '0', '0', '-6', '0', '0', '0', '0', '0', '30', '16', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81238', '2', 'Doppelganger', '', '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('81239', '1', 'Greater Minotaur', '', '1', '30', '0', '0', '-1', '0', '0', '1', '0', '0', '30', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `mobskill` VALUES ('45263', '0', 'Bomb Flower', '10 cell ranged', '2', '100', '0', '0', '-10', '0', '0', '10', '0', '0', '0', '10034', '0', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45001', 'Training Dummy', '', '', 'L1Scarecrow', '114', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45002', 'Training Dummy', '', '', 'L1Scarecrow', '116', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45003', 'Training Dummy', '', '', 'L1Scarecrow', '2084', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45004', 'Training Dummy', '', '', 'L1Scarecrow', '2992', '1', '1', '0', '0', '0', '0', '0', '0', '99', '0', '2', '0', 'small', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45005', 'Frog', '$256', '', 'L1Monster', '55', '1', '1', '0', '10', '0', '0', '0', '0', '0', '0', '2', '0', 'small', '0', '1', '0', '1440', '1000', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45006', 'Sea Anemone', '$1425', '', 'L1Monster', '1586', '1', '20', '0', '3', '7', '10', '7', '1', '1', '0', '2', '0', 'small', '0', '1', '0', '0', '1000', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45008', 'Goblin', '$958', '', 'L1Monster', '1022', '2', '3', '10', '10', '10', '12', '10', '7', '7', '2', '5', '-3', 'small', '2', '1', '1', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45009', 'Orc', '$59', '', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '5', '-2', 'small', '4', '1', '1', '800', '1320', '0', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45010', 'Rabbit', '$936', '', 'L1Monster', '998', '2', '7', '0', '10', '12', '11', '12', '8', '7', '0', '5', '0', 'small', '0', '1', '0', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45011', 'Rabbit', '$936', '', 'L1Monster', '1002', '2', '7', '0', '10', '0', '0', '0', '0', '99', '0', '5', '0', 'small', '0', '1', '0', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45012', 'Rabbit', '$936', '', 'L1Monster', '999', '2', '7', '0', '10', '12', '11', '12', '8', '7', '0', '5', '0', 'small', '0', '1', '0', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45013', 'Rabbit', '$936', '', 'L1Monster', '1003', '2', '7', '0', '10', '0', '0', '0', '0', '99', '0', '5', '0', 'small', '0', '1', '0', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45015', 'Duck', '$952', '', 'L1Monster', '1014', '2', '10', '0', '10', '5', '12', '15', '1', '0', '0', '5', '25', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45016', 'Kobold', '$970', '', 'L1Monster', '1059', '3', '7', '15', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '2', '1', '1', '1280', '1080', '0', '1080', '1080', '0', '0', '0', '0', '0', '0', 'kobold', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45017', 'Orc', '$59', '', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '10', '-2', 'small', '8', '1', '1', '800', '1320', '0', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45019', 'Orc Archer', '$267', '', 'L1Monster', '3860', '3', '12', '4', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '4', '10', '1', '800', '1880', '720', '1880', '1880', '5', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45020', 'Monster Mushroom', '$1750', '', 'L1Monster', '852', '3', '20', '10', '10', '6', '10', '12', '6', '6', '0', '10', '-5', 'small', '2', '1', '1', '1040', '1480', '0', '1480', '1480', '0', '4', '0', '0', '0', '0', 'fungus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45021', 'Deer', '$930', '', 'L1Monster', '947', '3', '25', '0', '9', '5', '12', '15', '1', '0', '0', '10', '0', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45022', 'Rudolph', '$5410', '', 'L1Monster', '1236', '3', '25', '0', '9', '5', '12', '15', '1', '0', '0', '10', '0', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45023', 'Wild Boar', '$931', '', 'L1Monster', '979', '6', '20', '5', '7', '11', '12', '10', '5', '6', '1', '37', '0', 'small', '2', '1', '1', '640', '800', '0', '800', '800', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45024', 'Werewolf', '$18', '', 'L1Monster', '1110', '9', '50', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '1', '1', '1', '640', '840', '880', '840', '840', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45025', 'Gremlin', '$1046', '', 'L1Monster', '1154', '4', '50', '20', '10', '11', '12', '18', '7', '8', '1', '17', '-3', 'small', '2', '1', '1', '320', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45026', 'Mutated Alligator', '$1702', '', 'L1Monster', '1574', '4', '25', '10', '8', '15', '13', '13', '6', '5', '60', '17', '-4', 'small', '8', '1', '1', '640', '1480', '1240', '1480', '1156', '0', '0', '0', '0', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45027', 'Eidlon', '$1043', '', 'L1Monster', '1150', '4', '20', '5', '10', '11', '10', '11', '7', '8', '1', '17', '-3', 'small', '2', '1', '1', '320', '960', '0', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45028', 'Polluted Orc Zombie', '$1744', '', 'L1Monster', '1121', '4', '45', '25', '8', '10', '10', '10', '7', '8', '0', '17', '-7', 'small', '0', '1', '0', '1440', '1800', '0', '1800', '1800', '1', '1', '0', '1', '0', '0', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45029', 'Fungus', '$757', '', 'L1Monster', '852', '4', '20', '10', '5', '6', '10', '12', '6', '6', '0', '17', '-5', 'small', '2', '1', '1', '1040', '1480', '0', '1480', '1480', '0', '1', '0', '1', '0', '0', 'fungus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45030', 'Fungus', '$757', '', 'L1Monster', '852', '4', '40', '10', '5', '6', '10', '12', '6', '6', '1', '17', '-5', 'small', '2', '1', '1', '1040', '1480', '0', '1480', '1480', '0', '1', '0', '1', '0', '0', 'fungus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45032', 'Blob', '$758', '', 'L1Monster', '31', '5', '20', '10', '7', '15', '17', '8', '4', '7', '0', '26', '-5', 'small', '8', '1', '1', '840', '640', '0', '640', '640', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45033', 'Imp', '$1044', '', 'L1Monster', '1152', '5', '20', '40', '6', '9', '10', '14', '7', '8', '1', '26', '-3', 'small', '1', '10', '1', '480', '1520', '0', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45034', 'Shepherd', '$907', '', 'L1Monster', '936', '5', '30', '5', '9', '15', '12', '15', '7', '7', '1', '26', '0', 'small', '0', '1', '1', '560', '960', '920', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45035', 'Escaped Black Knight', '$1715', '', 'L1Monster', '4003', '5', '25', '10', '8', '16', '16', '15', '12', '12', '0', '26', '-5', 'small', '0', '2', '0', '480', '1120', '760', '1120', '1120', '0', '0', '0', '0', '0', '0', 'antiking', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45036', 'Valley Bear', '$1700', '', 'L1Monster', '1642', '5', '50', '0', '10', '0', '0', '0', '0', '99', '0', '26', '0', 'small', '0', '1', '1', '1120', '2000', '1120', '2000', '2000', '0', '0', '0', '0', '0', '0', 'bear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45037', 'Valley Lycanthrope', '$1711', '', 'L1Monster', '1108', '5', '35', '10', '6', '16', '16', '13', '10', '10', '7', '26', '-6', 'small', '2', '1', '1', '640', '800', '720', '800', '800', '5', '0', '0', '0', '0', '0', 'wolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45038', 'Valley Arachnevil', '$1699', '', 'L1Monster', '95', '5', '30', '15', '8', '15', '13', '17', '6', '5', '12', '26', '-5', 'large', '2', '2', '1', '480', '880', '0', '880', '880', '0', '0', '0', '0', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45039', 'Cat', '$2701', '', 'L1Monster', '3134', '5', '20', '30', '20', '9', '8', '13', '15', '15', '15', '26', '0', 'small', '0', '1', '1', '640', '1040', '1120', '1040', '1040', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45040', 'Bear', '$1495', '', 'L1Monster', '1642', '5', '50', '0', '28', '16', '16', '8', '8', '8', '0', '26', '0', 'small', '2', '2', '1', '1120', '2000', '1120', '2000', '2000', '0', '0', '0', '0', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45041', 'Dwarf', '$58', '', 'L1Monster', '54', '5', '30', '5', '10', '10', '12', '10', '7', '10', '2', '26', '0', 'small', '2', '1', '1', '600', '1480', '0', '1480', '1480', '0', '0', '0', '0', '0', '0', 'dwarf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '6', '0', '0', '0');
INSERT INTO `npc` VALUES ('45042', 'Doberman', '$905', '', 'L1Monster', '931', '5', '20', '5', '25', '16', '10', '16', '6', '8', '1', '37', '0', 'small', '4', '1', '1', '560', '960', '0', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45043', 'Wolf', '$268', '', 'L1Monster', '96', '5', '30', '5', '18', '13', '13', '16', '7', '8', '1', '37', '0', 'small', '1', '1', '1', '480', '1000', '720', '1000', '1000', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45044', 'Raccoon', '$3508', '', 'L1Monster', '4038', '5', '30', '20', '20', '15', '10', '12', '12', '14', '15', '26', '0', 'small', '0', '1', '1', '720', '960', '1600', '960', '960', '0', '0', '0', '0', '0', '0', 'animal', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45045', 'Rock Golem', '$1698', '', 'L1Monster', '49', '5', '45', '20', '8', '58', '16', '10', '6', '5', '0', '26', '-1', 'large', '2', '1', '0', '1280', '1840', '0', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45046', 'Beagle', '$908', '', 'L1Monster', '938', '5', '20', '30', '25', '11', '10', '10', '13', '14', '15', '26', '0', 'small', '0', '1', '1', '720', '960', '1320', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45047', 'Saint Bernard', '$904', '', 'L1Monster', '929', '5', '30', '30', '23', '10', '13', '10', '14', '13', '15', '26', '0', 'small', '0', '1', '1', '640', '1440', '1480', '1440', '1440', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45048', 'Fox', '$1397', '', 'L1Monster', '1540', '5', '15', '30', '25', '10', '10', '15', '10', '15', '15', '26', '0', 'small', '2', '1', '1', '640', '1200', '1440', '1200', '1200', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45049', 'Killer Rabbit', '$2563', '', 'L1Monster', '3783', '5', '20', '30', '20', '9', '10', '9', '16', '16', '15', '26', '0', 'small', '0', '1', '1', '960', '1040', '1120', '1040', '1040', '0', '0', '0', '0', '0', '0', 'manborabbit', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45050', 'Orc Archer', '$267', '', 'L1Monster', '3860', '3', '12', '4', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '4', '10', '1', '800', '1880', '720', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45051', 'Imp', '$1044', '', 'L1Monster', '1152', '5', '20', '40', '6', '9', '10', '14', '7', '8', '1', '26', '-3', 'small', '1', '6', '1', '480', '1520', '0', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1156', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45052', 'Fatigued Ratman', '$1713', '', 'L1Monster', '1612', '5', '30', '10', '6', '12', '16', '12', '11', '6', '10', '26', '-6', 'small', '2', '2', '1', '480', '1520', '1360', '1520', '1520', '0', '0', '0', '0', '0', '0', 'ratman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45053', 'Husky', '$1788', '', 'L1Monster', '2145', '5', '50', '5', '20', '10', '17', '15', '7', '7', '0', '37', '0', 'small', '0', '1', '1', '720', '1040', '800', '1040', '1040', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45054', 'Collie', '$906', '', 'L1Monster', '934', '5', '40', '5', '25', '10', '16', '14', '10', '6', '1', '26', '0', 'small', '0', '1', '1', '640', '960', '640', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45055', 'Seahorse', '$1412', '', 'L1Monster', '1584', '5', '30', '0', '9', '7', '12', '15', '3', '0', '0', '26', '20', 'small', '0', '1', '0', '1000', '1000', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45056', 'Valley Owlbear', '$1695', '', 'L1Monster', '1162', '6', '40', '10', '7', '18', '13', '14', '8', '7', '0', '37', '-6', 'small', '0', '1', '0', '960', '1080', '0', '1080', '1080', '0', '0', '0', '0', '0', '0', 'bear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45057', 'Mutated Lizard', '$1703', '', 'L1Monster', '1173', '6', '35', '10', '7', '15', '13', '10', '5', '5', '0', '37', '-7', 'small', '0', '1', '0', '640', '920', '800', '920', '920', '0', '0', '0', '0', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45058', 'Wild Boar', '$931', '', 'L1Monster', '979', '6', '20', '5', '7', '11', '12', '10', '5', '6', '1', '37', '0', 'small', '2', '1', '1', '640', '800', '0', '800', '800', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45059', 'Giant Spider', '$1748', '', 'L1Monster', '146', '6', '55', '30', '6', '18', '16', '14', '6', '5', '0', '37', '-8', 'large', '2', '2', '0', '480', '840', '0', '840', '840', '0', '1', '0', '0', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45060', 'Slime', '$8', '', 'L1Monster', '31', '6', '60', '10', '-10', '10', '16', '10', '7', '7', '10', '37', '-6', 'small', '8', '1', '1', '840', '640', '0', '640', '640', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45061', 'Rotting Skeleton', '$1749', '', 'L1Monster', '145', '6', '45', '10', '7', '16', '14', '15', '14', '6', '0', '37', '-8', 'small', '0', '1', '0', '800', '920', '0', '920', '920', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45062', 'Rotting Skeleton Guard', '$1708', '', 'L1Monster', '1134', '6', '40', '10', '7', '16', '14', '16', '16', '6', '25', '37', '-8', 'small', '0', '2', '0', '640', '880', '840', '880', '880', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45063', 'Rotting Skeleton Marksman', '$1706', '', 'L1Monster', '1130', '6', '40', '10', '7', '9', '11', '14', '7', '7', '25', '37', '-8', 'small', '0', '10', '0', '800', '920', '920', '920', '920', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45064', 'Imp Elder', '$1045', '', 'L1Monster', '1158', '6', '100', '50', '10', '9', '11', '14', '12', '12', '30', '37', '-10', 'small', '1', '1', '1', '960', '960', '0', '960', '960', '0', '0', '0', '0', '1', '0', 'imp', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45065', 'Zombie', '$57', '', 'L1Monster', '52', '6', '45', '12', '8', '14', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '1', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45066', 'Zombie', '$57', '', 'L1Monster', '52', '6', '45', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45067', 'Valley Harpy', '$1704', '', 'L1Monster', '1024', '7', '40', '15', '6', '18', '16', '16', '8', '8', '0', '50', '-8', 'small', '0', '1', '0', '840', '1240', '0', '1240', '1240', '0', '0', '0', '0', '0', '0', 'harpy', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45068', 'Floating Eye', '$6', '', 'L1Monster', '29', '7', '40', '30', '5', '10', '13', '12', '7', '9', '20', '50', '-8', 'small', '0', '1', '1', '960', '1680', '0', '1680', '1680', '0', '0', '1', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45069', 'Starved Troll', '$1716', '', 'L1Monster', '1098', '7', '50', '30', '6', '17', '18', '16', '8', '8', '0', '50', '-8', 'large', '0', '1', '0', '960', '1200', '1040', '1200', '1200', '0', '0', '0', '0', '0', '0', 'troll', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45070', 'Giant Tarantula', '$1747', '', 'L1Monster', '1082', '7', '60', '20', '4', '17', '16', '15', '2', '2', '0', '50', '-8', 'small', '0', '1', '0', '640', '720', '0', '720', '720', '0', '0', '0', '1', '0', '0', 'murrian', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45071', 'Island Ghast', '$1696', '', 'L1Monster', '255', '7', '40', '15', '6', '18', '14', '14', '14', '6', '0', '50', '-9', 'small', '0', '1', '0', '1000', '640', '760', '640', '640', '0', '2', '0', '0', '0', '0', 'ghast', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45072', 'Sewer Vakuuk', '$1743', '', 'L1Monster', '1595', '7', '65', '0', '5', '15', '15', '12', '12', '10', '0', '50', '-9', 'small', '0', '1', '0', '480', '1160', '1280', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45073', 'Rotting Skeleton Fighter', '$1707', '', 'L1Monster', '1132', '7', '50', '10', '3', '18', '15', '12', '6', '5', '0', '50', '-9', 'small', '0', '1', '0', '480', '840', '840', '840', '840', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45074', 'Underground Ramia', '$1742', '', 'L1Monster', '1597', '7', '65', '30', '5', '15', '15', '12', '12', '10', '0', '50', '-9', 'large', '0', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '0', '0', '0', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45075', 'Underground Crabman', '$1741', '', 'L1Monster', '1610', '7', '65', '0', '3', '18', '15', '12', '6', '5', '0', '50', '-10', 'small', '0', '2', '0', '960', '1000', '1840', '1000', '1000', '0', '0', '0', '0', '0', '0', 'crab', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45076', 'Underground Ramia', '$1742', '', 'L1Monster', '1600', '7', '65', '30', '5', '15', '15', '12', '12', '10', '0', '50', '-9', 'large', '0', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '0', '0', '0', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45077', 'Stingray', '$1489', '', 'L1Monster', '1623', '8', '40', '5', '8', '12', '11', '15', '7', '8', '2', '65', '-4', 'small', '0', '1', '0', '1920', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45078', 'Valley Ogre', '$1714', '', 'L1Monster', '1020', '8', '65', '20', '6', '20', '18', '12', '12', '4', '0', '65', '-8', 'large', '0', '2', '0', '960', '1200', '1400', '1200', '1200', '0', '0', '0', '0', '0', '0', 'ogre', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45079', 'Gnoll', '$1391', '', 'L1Monster', '1477', '8', '60', '5', '4', '18', '15', '10', '6', '8', '1', '65', '-6', 'small', '1', '1', '1', '640', '880', '960', '880', '880', '0', '0', '0', '0', '0', '0', 'nord', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45080', 'Lesser Succubus', '$1746', '', 'L1Monster', '1112', '8', '70', '50', '2', '15', '15', '18', '25', '18', '0', '65', '-10', 'small', '0', '1', '0', '640', '800', '1080', '1500', '800', '2', '0', '0', '0', '0', '0', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45081', 'Island Ghast Lord', '$1697', '', 'L1Monster', '257', '8', '55', '25', '4', '18', '16', '16', '12', '6', '0', '65', '-10', 'small', '0', '1', '0', '1080', '680', '760', '680', '680', '0', '2', '0', '0', '0', '0', 'ghast', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45082', 'Orc Fighter', '$266', '', 'L1Monster', '3864', '8', '50', '8', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '4', '1', '1', '640', '880', '760', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45083', 'Crawling Claw', '$405', '', 'L1Monster', '246', '8', '30', '15', '0', '12', '11', '17', '5', '9', '5', '65', '-10', 'small', '1', '1', '1', '640', '1240', '0', '1240', '1240', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45084', 'Crawling Claw', '$405', '', 'L1Monster', '246', '8', '30', '15', '0', '12', '11', '17', '5', '9', '5', '65', '-10', 'small', '1', '1', '0', '640', '1240', '0', '1240', '1240', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45085', 'Cursed Bugbear', '$1740', '', 'L1Monster', '152', '8', '80', '30', '2', '19', '18', '12', '12', '10', '0', '65', '-10', 'large', '0', '1', '0', '640', '840', '720', '840', '840', '0', '0', '0', '0', '0', '0', 'bugbear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45086', 'Degenerated Beholder', '$1710', '', 'L1Monster', '1123', '8', '45', '20', '6', '10', '13', '12', '18', '18', '0', '65', '-10', 'large', '0', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '1', '0', '0', '0', 'gazer', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45088', 'Paper Man', '$1396', '', 'L1Monster', '1538', '8', '40', '5', '-10', '11', '16', '10', '8', '10', '5', '65', '-8', 'small', '2', '1', '1', '960', '960', '800', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45089', 'Coelacanth', '$1491', '', 'L1Monster', '1628', '8', '35', '10', '2', '12', '10', '15', '9', '15', '10', '65', '-10', 'small', '8', '1', '0', '1440', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45090', 'Valley Griffon', '$1718', '', 'L1Monster', '1204', '9', '70', '30', '4', '30', '18', '17', '12', '5', '0', '82', '-10', 'large', '0', '1', '0', '640', '1280', '1480', '1280', '1280', '0', '0', '0', '0', '0', '0', 'griffon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45091', 'Valley Basilisk', '$1723', '', 'L1Monster', '1041', '9', '80', '30', '4', '30', '18', '17', '12', '5', '0', '82', '-12', 'large', '0', '1', '0', '800', '1240', '0', '1240', '1240', '0', '0', '0', '0', '0', '0', 'basilisk', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45092', 'Dwarf Warrior', '$1112', '', 'L1Monster', '1184', '9', '70', '5', '5', '15', '13', '15', '9', '9', '1', '82', '-9', 'small', '2', '1', '1', '640', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'dwarf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45093', 'Werewolf', '$18', '', 'L1Monster', '1110', '9', '40', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '1', '1', '1', '640', '840', '880', '840', '840', '5', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45094', 'Werewolf', '$18', '', 'L1Monster', '1110', '9', '50', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '1', '1', '1', '640', '840', '880', '840', '840', '5', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45095', 'Island Cockatrice', '$1709', '', 'L1Monster', '1052', '9', '80', '40', '5', '25', '18', '18', '12', '8', '0', '82', '-11', 'large', '0', '1', '0', '520', '1040', '0', '1040', '1040', '0', '0', '2', '0', '0', '0', 'cockatrice', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45096', 'Island Crocodile', '$1701', '', 'L1Monster', '1572', '9', '90', '20', '6', '15', '13', '13', '6', '5', '0', '82', '-7', 'large', '0', '2', '0', '960', '1600', '1240', '1600', '1600', '0', '0', '0', '0', '0', '0', 'cockatrice', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45097', 'Acaleph', '$1494', '', 'L1Monster', '1636', '25', '120', '5', '-14', '9', '15', '12', '6', '5', '2', '626', '-8', 'small', '8', '1', '0', '2400', '1560', '0', '1560', '1560', '0', '4', '0', '0', '0', '0', 'jellyfish', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45098', 'Gandi Orc', '$496', '', 'L1Monster', '784', '10', '80', '25', '0', '10', '17', '10', '17', '10', '15', '101', '-2', 'small', '4', '1', '1', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45099', 'Imp Elder', '$1045', '', 'L1Monster', '1158', '6', '100', '50', '10', '9', '11', '14', '12', '12', '30', '37', '-10', 'small', '1', '1', '1', '960', '960', '0', '960', '960', '0', '0', '0', '0', '1', '1', 'imp', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45100', 'Betrayer\'s Skeleton Guardsman', '$2081', '', 'L1Monster', '1134', '10', '100', '60', '-1', '16', '14', '15', '14', '14', '5', '101', '-30', 'small', '2', '2', '0', '640', '880', '840', '880', '880', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45101', 'Alligator', '$1407', '', 'L1Monster', '1574', '10', '90', '20', '1', '15', '13', '13', '6', '5', '60', '101', '-15', 'small', '8', '1', '1', '640', '1480', '1240', '1480', '1480', '0', '0', '0', '1', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45102', 'Maid of the Ice Queen', '$2218', '', 'L1Monster', '2118', '10', '1000', '400', '-35', '30', '18', '20', '18', '18', '60', '0', '-120', 'small', '8', '1', '0', '960', '1320', '0', '1320', '1320', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45103', 'Contaminated Fungus', '$4005', '', 'L1Monster', '5685', '12', '80', '10', '5', '6', '10', '12', '6', '6', '0', '145', '-5', 'small', '8', '1', '0', '1040', '1480', '0', '1480', '1480', '0', '1', '0', '1', '0', '0', 'fungus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45104', 'Orc Zombie', '$1041', '', 'L1Monster', '1121', '10', '100', '25', '0', '10', '10', '10', '7', '8', '1', '101', '-10', 'small', '2', '1', '0', '1440', '1800', '0', '1800', '1800', '1', '1', '0', '1', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45105', 'Zombie', '$57', '', 'L1Monster', '52', '6', '40', '4', '8', '14', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45107', 'Skeleton', '$7', '', 'L1Monster', '30', '10', '80', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '2', '1', '1', '640', '920', '1280', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45108', 'Skeleton', '$7', '', 'L1Monster', '30', '10', '50', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '2', '1', '1', '640', '920', '1280', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45109', 'Orc Zombie', '$1041', '', 'L1Monster', '1121', '10', '100', '25', '0', '10', '10', '10', '7', '8', '1', '101', '-10', 'small', '2', '1', '1', '1440', '1800', '0', '1800', '1800', '1', '1', '0', '1', '0', '0', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45110', 'Lesser Succubus Queen', '$1745', '', 'L1Monster', '1116', '11', '110', '120', '-1', '15', '15', '18', '25', '18', '0', '122', '-15', 'small', '0', '1', '0', '640', '800', '1080', '1100', '800', '2', '0', '0', '1', '1', '0', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45111', 'Island Drake', '$1705', '', 'L1Monster', '1062', '11', '100', '50', '3', '32', '18', '18', '15', '15', '0', '122', '-15', 'large', '0', '1', '0', '320', '960', '1920', '960', '960', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45112', 'Cursed Ettin', '$1739', '', 'L1Monster', '1128', '12', '80', '10', '5', '6', '10', '12', '6', '8', '0', '145', '-5', 'small', '0', '1', '0', '640', '1160', '1240', '1160', '1160', '0', '0', '0', '1', '1', '0', 'brute', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45113', 'Kyucas', '$1722', '', 'L1Monster', '1202', '11', '110', '50', '2', '20', '18', '7', '5', '5', '0', '122', '-15', 'large', '0', '1', '0', '960', '1160', '1120', '1160', '1160', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45114', 'Skeleton', '$7', '', 'L1Monster', '30', '10', '80', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '2', '1', '1', '640', '920', '1280', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45115', 'Giant Ant', '$960', '', 'L1Monster', '1037', '12', '90', '20', '-4', '15', '13', '13', '6', '5', '60', '145', '-15', 'small', '2', '1', '1', '640', '880', '0', '880', '880', '0', '0', '0', '1', '0', '1', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45116', 'Vakuuk', '$1427', '', 'L1Monster', '1595', '12', '100', '0', '-1', '17', '15', '16', '2', '2', '0', '145', '-12', 'small', '2', '2', '1', '480', '1160', '1280', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45117', 'Contaminated Orc', '$3957', '', 'L1Monster', '4457', '12', '70', '8', '10', '14', '14', '12', '7', '10', '0', '145', '-8', 'small', '4', '1', '0', '800', '1320', '1360', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45118', 'Contaminated Orc Archer', '$3958', '', 'L1Monster', '4463', '12', '70', '8', '10', '8', '14', '16', '12', '10', '0', '145', '-4', 'small', '4', '10', '0', '800', '1880', '1040', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45119', 'Orc Elder', '$2431', '', 'L1Monster', '1211', '12', '80', '50', '0', '6', '12', '10', '13', '10', '30', '145', '-15', 'small', '4', '1', '0', '960', '1240', '0', '1240', '1240', '0', '0', '0', '0', '0', '0', 'orc', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45121', 'Orc Wizard', '$1110', '', 'L1Monster', '1211', '12', '80', '50', '0', '6', '12', '10', '13', '10', '30', '145', '-15', 'small', '4', '1', '0', '960', '1240', '0', '1240', '1240', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45122', 'Skeleton Archer', '$986', '', 'L1Monster', '1096', '12', '80', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '2', '10', '1', '800', '1120', '920', '1120', '1120', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45123', 'Skeleton Archer', '$986', '', 'L1Monster', '1096', '12', '80', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '2', '10', '1', '800', '1120', '920', '1120', '1120', '1', '0', '0', '1', '1', '1', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45124', 'Skeleton Archer', '$986', '', 'L1Monster', '1096', '12', '60', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '2', '10', '1', '800', '1120', '920', '1120', '1120', '1', '0', '0', '0', '0', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45125', 'Giran Imp', '$1242 $1044', '', 'L1Monster', '3912', '12', '70', '40', '2', '9', '10', '14', '7', '8', '1', '145', '-8', 'small', '0', '6', '1', '480', '1520', '0', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1156', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45126', 'Stone Golem', '$56', '', 'L1Monster', '49', '13', '150', '50', '-1', '58', '16', '10', '6', '10', '5', '170', '-12', 'large', '2', '1', '1', '1280', '1840', '0', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45127', 'Rova Orc', '$497', '', 'L1Monster', '784', '13', '80', '20', '-2', '12', '12', '12', '8', '14', '5', '170', '-12', 'small', '4', '1', '1', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45128', 'Contaminated Orc Warrior', '$3959', '', 'L1Monster', '5691', '13', '75', '8', '8', '14', '14', '14', '8', '10', '10', '170', '-8', 'small', '4', '1', '0', '640', '880', '760', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45129', 'Skeleton Archer', '$986', '', 'L1Monster', '1096', '12', '80', '25', '5', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '2', '10', '1', '800', '1120', '920', '1120', '1120', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45130', 'Skeleton Axeman', '$987', '', 'L1Monster', '1104', '13', '90', '20', '0', '18', '14', '14', '12', '10', '10', '170', '-13', 'small', '2', '1', '1', '480', '840', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45131', 'Skeleton Soldier', '$988', '', 'L1Monster', '1106', '13', '90', '15', '8', '16', '14', '15', '12', '10', '10', '170', '-13', 'small', '2', '2', '1', '640', '880', '840', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45133', 'Snowman', '$1783', '', 'L1Monster', '2064', '14', '80', '0', '-10', '14', '16', '10', '6', '8', '0', '197', '-10', 'small', '8', '1', '1', '1280', '1080', '1200', '1080', '1080', '0', '0', '0', '0', '0', '0', 'snowman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45134', 'Stone Golem', '$56', '', 'L1Monster', '49', '13', '150', '50', '-1', '18', '16', '10', '6', '10', '5', '170', '-12', 'large', '2', '1', '1', '1280', '1840', '0', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45135', 'Betrayed Orc Archer', '$2220', '', 'L1Monster', '790', '14', '90', '15', '-3', '14', '14', '14', '8', '10', '5', '197', '-12', 'small', '0', '10', '0', '640', '1520', '0', '1520', '1520', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45136', 'Arachnevil', '$265', '', 'L1Monster', '95', '14', '100', '15', '0', '15', '13', '17', '6', '5', '12', '197', '-17', 'large', '2', '2', '1', '480', '880', '0', '880', '880', '0', '0', '0', '1', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45137', 'Contaminated Cyclops', '$3960', '', 'L1Monster', '5683', '18', '165', '35', '-5', '20', '18', '8', '9', '15', '25', '325', '-20', 'large', '0', '1', '0', '960', '1160', '1120', '1160', '1160', '0', '0', '0', '1', '1', '0', 'cyclops', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45138', 'Orc Scout', '$511', '', 'L1Monster', '790', '14', '90', '15', '-3', '14', '14', '14', '8', '10', '5', '197', '-12', 'small', '4', '10', '1', '640', '1520', '0', '1520', '1520', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45139', 'Wild Venom', '$3378', '', 'L1Monster', '4205', '18', '180', '10', '0', '16', '16', '14', '6', '8', '5', '325', '-17', 'small', '0', '1', '1', '640', '680', '1400', '680', '680', '0', '1', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45140', 'Hobgoblin', '$1111', '', 'L1Monster', '1206', '14', '90', '30', '1', '13', '13', '13', '9', '9', '1', '197', '-7', 'small', '2', '1', '1', '640', '960', '1080', '960', '960', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45141', 'Mimic', '$1392', '', 'L1Monster', '1479', '15', '120', '20', '-2', '16', '12', '14', '10', '11', '20', '226', '-20', 'small', '2', '1', '1', '1280', '1120', '0', '1120', '1120', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45142', 'Giran Ghast', '$1242 $504', '', 'L1Monster', '3928', '14', '110', '30', '0', '17', '18', '16', '8', '8', '10', '197', '-12', 'small', '2', '1', '1', '1000', '640', '0', '640', '640', '0', '2', '0', '1', '0', '0', 'ghast', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45143', 'Duda-Mara Orc', '$498', '', 'L1Monster', '788', '15', '100', '50', '-5', '12', '14', '14', '15', '16', '20', '226', '-8', 'small', '4', '2', '1', '640', '1160', '0', '1160', '1160', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45144', 'Lizardman', '$1174', '', 'L1Monster', '1173', '15', '90', '10', '-2', '15', '13', '10', '5', '5', '5', '226', '-14', 'small', '8', '1', '1', '640', '920', '800', '920', '920', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45145', 'Lizardman', '$1174', '', 'L1Monster', '1173', '15', '90', '10', '-2', '15', '13', '10', '5', '5', '5', '226', '-14', 'small', '8', '1', '1', '640', '920', '800', '920', '920', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45147', 'Owlbear', '$1047', '', 'L1Monster', '1162', '15', '250', '10', '-6', '18', '13', '14', '7', '8', '10', '226', '-15', 'large', '2', '1', '1', '960', '1080', '0', '1080', '1080', '0', '0', '0', '1', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45148', 'Owlbear', '$1047', '', 'L1Monster', '1162', '15', '250', '10', '-6', '18', '13', '14', '7', '8', '10', '226', '-15', 'large', '2', '1', '1', '960', '1080', '0', '1080', '1080', '0', '0', '0', '0', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45149', 'Atuba Orc', '$494', '', 'L1Monster', '786', '15', '120', '15', '-5', '14', '14', '14', '12', '10', '10', '226', '-8', 'small', '4', '1', '1', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '1', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45150', 'Contaminated Gandhi Orc', '$3961', '', 'L1Monster', '5689', '15', '90', '25', '-1', '12', '17', '12', '17', '14', '5', '226', '-12', 'small', '0', '2', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45151', 'Contaminated Duda-Mara Orc', '$3962', '', 'L1Monster', '5690', '15', '100', '50', '-5', '12', '14', '14', '15', '16', '20', '226', '-8', 'small', '0', '2', '0', '640', '1160', '0', '1160', '1160', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45152', 'Contaminated Ent', '$3963', '', 'L1Monster', '851', '15', '100', '10', '-5', '12', '12', '12', '6', '6', '0', '226', '-5', 'small', '0', '1', '0', '1280', '1280', '0', '1280', '1280', '0', '1', '0', '0', '0', '0', 'ent', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45153', 'Contaminated Fairy', '$3964', '', 'L1Monster', '5684', '15', '100', '100', '-10', '6', '15', '18', '14', '17', '50', '226', '-5', 'small', '0', '1', '0', '480', '1360', '0', '1360', '1360', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45154', 'Mermaid', '$1405', '', 'L1Monster', '1580', '15', '60', '20', '-10', '15', '15', '12', '8', '8', '5', '226', '12', 'small', '8', '1', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'merman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45155', 'Troglodyte', '$1432', '', 'L1Monster', '1614', '15', '60', '30', '-4', '16', '18', '17', '12', '12', '10', '226', '-10', 'small', '8', '2', '1', '640', '1080', '1000', '1080', '1080', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45156', 'Giran Lizardman', '$1242 $1174', '', 'L1Monster', '1173', '15', '160', '10', '0', '15', '13', '10', '5', '5', '5', '226', '-15', 'small', '0', '1', '0', '640', '920', '800', '920', '920', '0', '0', '0', '0', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45157', 'Ghoul', '$317', '', 'L1Monster', '144', '16', '110', '30', '-4', '16', '17', '16', '11', '4', '13', '257', '-19', 'small', '2', '1', '1', '1280', '720', '0', '720', '720', '1', '4', '0', '1', '0', '1', 'ghoul', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45158', 'Mad Lizardman', '$3381', '', 'L1Monster', '4149', '20', '200', '10', '-4', '14', '16', '16', '10', '10', '10', '401', '-18', 'small', '0', '1', '1', '640', '960', '800', '960', '960', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45159', 'Merman', '$1490', '', 'L1Monster', '1626', '16', '85', '20', '-2', '15', '15', '12', '8', '8', '5', '257', '5', 'small', '8', '1', '0', '960', '1360', '1240', '1360', '1360', '0', '0', '0', '1', '0', '0', 'merman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45160', 'Shark', '$1496', '', 'L1Monster', '1644', '27', '190', '5', '-15', '18', '16', '18', '5', '20', '100', '730', '-20', 'large', '8', '1', '0', '640', '1760', '0', '1760', '1760', '0', '0', '0', '1', '0', '0', 'shark', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45161', 'Spartoi', '$318', '', 'L1Monster', '145', '16', '120', '30', '-3', '17', '15', '16', '14', '14', '18', '257', '-18', 'small', '2', '1', '1', '800', '920', '0', '920', '920', '1', '0', '0', '1', '1', '0', 'spartoi', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45162', 'Silhouette', '$1404', '', 'L1Monster', '1571', '16', '110', '15', '-18', '14', '8', '16', '12', '14', '30', '257', '-14', 'small', '2', '1', '1', '640', '1920', '1760', '1920', '1920', '1', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45163', 'Wild Fang', '$3379', '', 'L1Monster', '4207', '18', '180', '10', '-6', '17', '16', '13', '6', '8', '10', '325', '-20', 'small', '0', '1', '1', '640', '920', '1520', '920', '920', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45164', 'Crabman', '$1430', '', 'L1Monster', '1610', '18', '200', '0', '-10', '18', '15', '12', '6', '5', '1', '325', '-20', 'small', '8', '2', '0', '960', '1000', '1840', '1000', '1000', '0', '0', '0', '1', '0', '0', 'crab', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45165', 'Black Knight', '$272', '', 'L1Monster', '4003', '16', '100', '10', '-10', '16', '16', '15', '12', '12', '10', '257', '-15', 'small', '0', '2', '1', '480', '1120', '760', '1120', '1120', '0', '0', '0', '0', '1', '0', 'antiking', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45166', 'Jack-O-Lantern', '$2063', '', 'L1Monster', '2501', '30', '350', '5', '-5', '18', '17', '20', '5', '6', '10', '901', '0', 'small', '0', '1', '0', '480', '1160', '1720', '1160', '1160', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45167', 'Jack-O-Lantern', '$2064', '', 'L1Monster', '2501', '45', '450', '5', '-33', '18', '17', '20', '5', '6', '10', '2026', '0', 'small', '0', '1', '0', '480', '1160', '1720', '1160', '1160', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45168', 'Giran Imp Elder', '$1242 $1045', '', 'L1Monster', '3926', '16', '100', '50', '-2', '9', '11', '14', '12', '12', '10', '257', '-10', 'small', '0', '1', '0', '960', '920', '0', '920', '920', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45169', 'Giran Crabman', '$1242 $1430', '', 'L1Monster', '1610', '17', '150', '0', '-12', '18', '15', '12', '6', '5', '1', '290', '-20', 'small', '0', '2', '0', '960', '1000', '1840', '1000', '1000', '0', '0', '0', '1', '0', '0', 'crab', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45170', 'Giran Troglodyte', '$1242 $1432', '', 'L1Monster', '1614', '17', '160', '30', '-4', '16', '18', '17', '12', '12', '10', '290', '-10', 'small', '0', '2', '0', '640', '1080', '1000', '1080', '1080', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45171', 'Neruga Orc', '$495', '', 'L1Monster', '788', '17', '150', '15', '-8', '17', '14', '13', '8', '10', '7', '290', '-16', 'small', '4', '2', '1', '640', '1160', '0', '1160', '1160', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45172', 'Dire Bat', '$2892', '', 'L1Monster', '3415', '17', '180', '200', '-10', '14', '16', '14', '6', '5', '10', '290', '-18', 'small', '0', '3', '0', '853', '1560', '0', '1560', '1560', '0', '0', '0', '1', '1', '1', 'bat', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3417', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45173', 'Lycanthrope', '$990', '', 'L1Monster', '1108', '17', '120', '60', '-4', '16', '16', '13', '10', '10', '7', '290', '-18', 'small', '1', '1', '1', '640', '800', '720', '800', '800', '5', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45174', 'Ghost - Red', '$1563', '', 'L1Monster', '1321', '20', '120', '10', '-45', '11', '11', '11', '9', '13', '5', '401', '-10', 'small', '2', '1', '1', '960', '1000', '1440', '1000', '1000', '1', '0', '0', '0', '0', '0', 'ghost', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45175', 'Dark Elf Guard', '$2890', '', 'L1Monster', '3402', '40', '500', '50', '-27', '14', '14', '18', '5', '5', '30', '1601', '-37', 'small', '0', '10', '0', '1280', '1360', '1040', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45179', 'Betrayed Orc Chief', '$2219', '', 'L1Monster', '3867', '18', '250', '0', '-15', '17', '14', '13', '8', '10', '15', '325', '-16', 'small', '0', '1', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45181', 'Spartoi', '$318', '', 'L1Monster', '145', '16', '120', '30', '-3', '17', '16', '16', '14', '14', '18', '257', '-18', 'small', '2', '1', '1', '800', '920', '0', '920', '920', '1', '0', '0', '1', '1', '0', 'spartoi', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45182', 'Ice Golem', '$1395', '', 'L1Monster', '1525', '18', '220', '0', '-8', '46', '16', '10', '5', '6', '7', '325', '-14', 'large', '8', '1', '1', '1920', '1480', '1680', '1480', '1480', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45183', 'Contaminated Ogre', '$3966', '', 'L1Monster', '5687', '22', '200', '20', '-10', '20', '18', '12', '12', '12', '20', '485', '-34', 'large', '0', '1', '0', '960', '1200', '1400', '1200', '1200', '0', '0', '0', '1', '0', '0', 'ogre', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45184', 'Arachnevil Elder', '$319', '', 'L1Monster', '146', '18', '200', '30', '-5', '18', '16', '14', '6', '5', '10', '325', '-23', 'large', '2', '2', '1', '480', '840', '0', '840', '840', '0', '1', '0', '1', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70600', 'Gatekeeper', '$474', '', 'L1Guard', '826', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '4', '1', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '0', '0', 'guard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45186', 'Contaminated Troll', '$3967', '', 'L1Monster', '5688', '24', '250', '30', '-11', '18', '16', '16', '8', '12', '20', '577', '-20', 'large', '0', '1', '0', '960', '1200', '1040', '1200', '1200', '0', '0', '0', '1', '0', '0', 'troll', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45187', 'Giran Vakuuk', '$1242 $1427', '', 'L1Monster', '3920', '19', '180', '0', '-3', '17', '15', '16', '2', '2', '0', '362', '-20', 'small', '0', '1', '0', '480', '1160', '1280', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45188', 'Giran Ghast Lord', '$1242 $619', '', 'L1Monster', '3930', '19', '140', '50', '-10', '18', '18', '16', '12', '11', '20', '362', '-15', 'small', '0', '1', '0', '1000', '720', '0', '720', '720', '0', '2', '0', '1', '1', '1', 'ghast', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45189', 'Doppelganger', '$1554', '', 'L1Monster', '31', '19', '280', '30', '-6', '19', '18', '12', '12', '10', '10', '362', '-25', 'small', '2', '1', '0', '800', '1000', '0', '1000', '1000', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45190', 'Giant Soldier Ant', '$961', '', 'L1Monster', '1039', '20', '150', '100', '-7', '30', '18', '20', '17', '15', '60', '401', '-20', 'large', '2', '2', '1', '640', '760', '0', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45191', 'Dark Elf Thief', '$2886', '', 'L1Monster', '3412', '20', '160', '80', '-40', '20', '18', '12', '12', '8', '40', '401', '-50', 'small', '0', '10', '0', '1280', '1440', '1160', '1440', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45192', 'Ratman', '$1431', '', 'L1Monster', '1612', '20', '150', '10', '-5', '12', '16', '12', '11', '8', '10', '401', '-14', 'small', '2', '2', '1', '480', '1520', '1360', '1520', '1520', '0', '0', '0', '1', '0', '0', 'ratman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45194', 'Right-Hand Bandit', '$2263', '', 'L1Monster', '2417', '20', '500', '50', '-25', '20', '20', '18', '12', '13', '50', '401', '-45', 'small', '0', '1', '0', '960', '1160', '1080', '1160', '1160', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45195', 'Aste', '$1497', '', 'L1Monster', '1646', '25', '180', '10', '-10', '14', '18', '14', '8', '8', '5', '626', '-28', 'large', '8', '1', '0', '1920', '1480', '0', '1480', '1480', '0', '4', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45196', 'Alligator', '$1407', '', 'L1Monster', '1574', '20', '150', '8', '-14', '15', '13', '13', '6', '5', '5', '401', '-15', 'small', '8', '1', '0', '480', '1160', '1240', '1160', '1160', '0', '0', '0', '1', '1', '0', 'alligator', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45197', 'Wild Magic', '$3380', '', 'L1Monster', '4203', '20', '200', '40', '-10', '18', '18', '12', '6', '8', '10', '401', '-20', 'small', '0', '1', '1', '640', '880', '960', '880', '880', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45198', 'Ghost - Blue', '$1563', '', 'L1Monster', '1318', '17', '120', '10', '-40', '11', '11', '11', '9', '13', '15', '290', '-10', 'small', '2', '1', '0', '960', '1000', '1440', '1000', '1000', '1', '0', '0', '0', '0', '0', 'ghost', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45199', 'Mutant Giant Soldier Ant', '$2074', '', 'L1Monster', '2460', '10', '200', '100', '-5', '30', '18', '20', '17', '15', '60', '101', '-10', 'large', '0', '1', '0', '640', '760', '0', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45203', 'Salamander', '$1505', '', 'L1Monster', '1666', '32', '350', '180', '-23', '17', '12', '15', '12', '10', '10', '1025', '-30', 'small', '4', '1', '0', '640', '1080', '1280', '1080', '1080', '0', '0', '0', '1', '1', '0', 'salamander', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45206', 'Fire Egg', '$1570', '', 'L1Monster', '1820', '25', '120', '10', '-14', '16', '18', '16', '12', '16', '35', '626', '-40', 'small', '4', '1', '0', '1440', '880', '0', '880', '880', '0', '0', '0', '1', '0', '0', 'fireegg', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45207', 'Ice Man', '$1791', '', 'L1Monster', '2158', '26', '200', '20', '-20', '17', '17', '17', '12', '12', '15', '677', '-25', 'large', '8', '1', '1', '960', '1600', '1640', '1600', '1600', '0', '0', '0', '1', '0', '0', 'iceman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45213', 'Ghast', '$504', '', 'L1Monster', '255', '21', '200', '30', '-10', '17', '18', '16', '8', '8', '10', '442', '-23', 'small', '2', '1', '1', '1000', '640', '760', '640', '640', '0', '2', '0', '1', '0', '0', 'ghast', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70549', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45215', 'Elder', '$19', '', 'L1Monster', '32', '21', '250', '60', '-5', '10', '14', '10', '16', '16', '30', '442', '200', 'small', '0', '1', '1', '800', '1800', '840', '1800', '1800', '0', '0', '0', '0', '0', '0', 'elder', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('45216', 'Undead Elmore Soldier', '$1790', '', 'L1Monster', '2150', '21', '150', '0', '-15', '16', '16', '17', '8', '8', '0', '442', '-20', 'small', '2', '2', '0', '480', '1040', '1400', '1040', '1040', '1', '0', '0', '1', '0', '0', 'elmore', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45217', 'High Lizardman', '$3382', '', 'L1Monster', '4192', '25', '160', '60', '-10', '10', '12', '16', '16', '16', '15', '626', '-25', 'small', '0', '1', '0', '640', '1000', '2080', '1000', '1000', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60562', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45220', 'Dark Elf Thief', '$2886', '', 'L1Monster', '3412', '28', '500', '20', '-18', '20', '18', '12', '12', '8', '20', '785', '-34', 'small', '0', '10', '0', '1280', '1440', '1160', '1440', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45221', 'Death', '$1562', '', 'L1Monster', '1576', '22', '140', '40', '-50', '12', '11', '11', '9', '13', '5', '485', '-28', 'small', '2', '1', '1', '640', '2280', '2080', '2280', '2280', '1', '0', '0', '1', '1', '0', 'death', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45222', 'Ramia', '$1428', '', 'L1Monster', '1600', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '10', '485', '-25', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45223', 'Bugbear', '$325', '', 'L1Monster', '152', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'large', '4', '1', '1', '640', '840', '720', '840', '840', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45224', 'Undead Elmore Wizard', '$1785', '', 'L1Monster', '2112', '22', '130', '100', '-10', '15', '17', '10', '7', '10', '50', '485', '-20', 'small', '2', '1', '1', '1440', '1920', '1600', '1920', '1920', '1', '0', '0', '1', '0', '0', 'elmore', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45226', 'Priest of Chaos', '$3780', '', 'L1Monster', '4550', '22', '500', '300', '-36', '25', '25', '25', '25', '25', '100', '485', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45227', 'Priest of Chaos', '$3780', '', 'L1Monster', '4550', '22', '500', '300', '-36', '25', '25', '25', '18', '18', '100', '485', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45228', 'Sea Dancer', '$1429', '', 'L1Monster', '4017', '50', '1500', '300', '-53', '15', '15', '15', '18', '18', '50', '2501', '-60', 'small', '0', '2', '0', '960', '1440', '0', '1440', '1440', '0', '0', '0', '1', '1', '1', ' ', '0', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1608', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45229', 'Ramia', '$1428', '', 'L1Monster', '1597', '20', '120', '30', '-6', '15', '15', '12', '12', '10', '100', '401', '-25', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '1', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45230', 'Giran Ramia', '$1242 $1428', '', 'L1Monster', '1597', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '10', '485', '-25', 'large', '0', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45231', 'Priest of Chaos', '$3780', '', 'L1Monster', '4550', '22', '500', '300', '-65', '25', '25', '25', '25', '25', '0', '485', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45232', 'Follower of Chaos', '$3782', '', 'L1Monster', '4550', '22', '250', '300', '-65', '25', '25', '25', '25', '25', '0', '485', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45233', 'Dark Elf Soldier', '$2887', '', 'L1Monster', '3044', '23', '200', '50', '-28', '16', '20', '18', '18', '18', '35', '530', '-50', 'small', '0', '1', '0', '640', '960', '1080', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45235', 'Large Rat', '$3729', '', 'L1Monster', '4684', '24', '300', '60', '-5', '18', '14', '16', '6', '5', '10', '577', '-20', 'small', '0', '1', '0', '1040', '880', '960', '880', '880', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45236', 'Dire Bear', '$2893', '', 'L1Monster', '3357', '26', '300', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '0', '2', '1', '426', '840', '1200', '840', '840', '0', '0', '0', '1', '1', '1', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60561', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45238', 'Dark Elf Hunter', '$3159', '', 'L1Monster', '2976', '24', '230', '50', '-15', '13', '17', '18', '20', '18', '50', '577', '-25', 'small', '0', '10', '0', '960', '1200', '720', '1200', '1200', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45239', 'Blue Tail', '$3509', '', 'L1Monster', '4078', '24', '240', '10', '-15', '15', '12', '12', '10', '9', '10', '577', '-30', 'small', '0', '1', '0', '400', '1200', '1760', '1200', '1200', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45240', 'Turtle Dragon', '$1498', '', 'L1Monster', '1649', '24', '280', '10', '-4', '16', '18', '15', '12', '12', '5', '577', '-22', 'large', '8', '2', '0', '1920', '1320', '1440', '1320', '1320', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45241', 'Cerberus', '$925', '', 'L1Monster', '951', '24', '120', '60', '-20', '17', '18', '15', '12', '16', '25', '577', '-27', 'small', '4', '1', '0', '640', '1040', '1840', '1840', '1840', '2', '0', '0', '1', '1', '0', 'cerberus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45243', 'Giran Snow Tiger', '$1242 $1784', '', 'L1Monster', '3918', '23', '180', '0', '-8', '19', '18', '16', '12', '10', '0', '530', '-20', 'small', '0', '1', '1', '960', '1360', '1400', '1360', '1360', '0', '0', '0', '0', '0', '0', 'tiger', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45244', 'Dark Elemental', '$2895', '', 'L1Monster', '3364', '25', '120', '10', '-14', '16', '18', '16', '12', '16', '35', '626', '-18', 'small', '0', '1', '0', '960', '1240', '1080', '1240', '1240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60560', 'Orcish Court Guard', '$607', '', 'L1Guard', '824', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '4', '1', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '0', '0', 'guard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45246', 'Dillo', '$3146', '', 'L1Monster', '3652', '25', '120', '10', '-14', '16', '18', '16', '12', '16', '35', '626', '-18', 'small', '0', '2', '0', '853', '1440', '1360', '1440', '1440', '0', '0', '0', '1', '1', '1', 'diro', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45247', 'Skeletal Pirate', '$3387', '', 'L1Monster', '4186', '25', '220', '10', '-18', '16', '12', '16', '10', '10', '40', '626', '-25', 'small', '0', '2', '1', '640', '1120', '960', '1120', '1120', '1', '0', '0', '1', '1', '1', 'pirate', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45248', 'Undead Elmore General', '$1787', '', 'L1Monster', '2137', '25', '180', '0', '-18', '17', '18', '15', '12', '10', '10', '626', '-25', 'small', '2', '1', '1', '960', '1200', '1280', '1200', '1200', '1', '0', '0', '1', '0', '0', 'elmore', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45249', 'Kiwi Parrot', '$3511', '', 'L1Monster', '4147', '25', '300', '10', '-20', '15', '16', '10', '10', '9', '10', '626', '-20', 'small', '0', '1', '0', '960', '1360', '1000', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45251', 'Heavy Lizardman', '$3383', '', 'L1Monster', '4151', '24', '250', '10', '-15', '14', '14', '18', '12', '10', '15', '577', '-25', 'small', '0', '2', '0', '640', '1200', '1360', '1200', '1200', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60552', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45253', 'Dark Elf Guard', '$2890', '', 'L1Monster', '3404', '40', '800', '50', '-27', '18', '18', '20', '5', '5', '30', '1601', '-37', 'small', '0', '2', '0', '853', '960', '1280', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45254', 'Dark Elf Guard', '$2890', '', 'L1Monster', '3402', '36', '240', '30', '-20', '17', '18', '16', '8', '8', '10', '1297', '-23', 'small', '0', '10', '0', '1280', '1360', '1040', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45255', 'Dark Elf Ranger', '$2495', '', 'L1Monster', '3402', '26', '250', '40', '-40', '16', '12', '14', '11', '10', '0', '677', '-37', 'small', '0', '10', '0', '1280', '1360', '1040', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45256', 'Dark Elf Apprentice', '$3160', '', 'L1Monster', '3376', '26', '180', '320', '-8', '17', '17', '18', '25', '22', '75', '677', '-25', 'small', '0', '1', '0', '1920', '1560', '0', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45257', 'Dragonfly', '$1579', '', 'L1Monster', '1844', '26', '200', '10', '-20', '16', '15', '20', '8', '8', '70', '677', '-30', 'small', '1', '1', '0', '960', '1200', '880', '1200', '1200', '0', '0', '0', '1', '1', '0', 'dragonfly', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45259', 'Scorpion', '$966', '', 'L1Monster', '1047', '26', '200', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '4', '2', '1', '640', '800', '960', '800', '800', '0', '1', '0', '1', '1', '0', 'scorpion', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45260', 'Scorpion', '$966', '', 'L1Monster', '4060', '26', '200', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'small', '4', '2', '0', '640', '800', '960', '800', '800', '0', '1', '0', '1', '1', '0', 'scorpion', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45262', 'Turtle Dragon', '$1498', '', 'L1Monster', '1649', '26', '280', '10', '-4', '16', '18', '15', '12', '12', '0', '677', '-22', 'large', '8', '2', '0', '1920', '1320', '1440', '1320', '1320', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45263', 'Bomb Flower', '$1571', '', 'L1Monster', '1828', '26', '230', '100', '-10', '12', '18', '18', '12', '10', '25', '677', '-25', 'small', '4', '0', '0', '0', '1000', '0', '1000', '1000', '0', '0', '0', '1', '0', '0', 'bombflower', '1', '1440', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45264', 'Harpy', '$959', '', 'L1Monster', '1024', '26', '230', '150', '-18', '16', '10', '18', '12', '10', '25', '677', '-27', 'small', '1', '1', '1', '840', '1240', '0', '1240', '1240', '0', '0', '2', '1', '1', '0', 'harpy', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45265', 'Dark Elf', '$1042', '', 'L1Monster', '1125', '27', '350', '110', '-24', '16', '14', '16', '16', '16', '30', '730', '-35', 'small', '2', '10', '0', '640', '1920', '0', '1920', '1920', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45266', 'Dark Elf Beast Tamer', '$2891', '', 'L1Monster', '3409', '26', '230', '200', '-15', '22', '17', '18', '15', '16', '10', '677', '-50', 'large', '0', '1', '0', '960', '1120', '1320', '1120', '1120', '0', '0', '0', '1', '0', '0', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45267', 'Snow Tiger', '$1784', '', 'L1Monster', '2086', '27', '270', '0', '-18', '19', '18', '16', '12', '10', '0', '730', '-25', 'large', '8', '1', '1', '960', '1360', '1400', '1360', '1360', '0', '0', '0', '1', '0', '0', 'tiger', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45269', 'Skeleton Guard', '$1018', '', 'L1Monster', '1134', '27', '270', '60', '-15', '16', '14', '15', '14', '14', '25', '730', '-30', 'small', '2', '2', '1', '640', '880', '840', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45270', 'Skeleton Marksman', '$1016', '', 'L1Monster', '1130', '27', '250', '60', '-15', '16', '14', '16', '16', '16', '25', '730', '-30', 'small', '2', '10', '1', '800', '920', '920', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60549', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60550', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45272', 'Dark Elf Thief', '$2886', '', 'L1Monster', '3412', '42', '450', '80', '-50', '15', '15', '20', '17', '17', '45', '1765', '-50', 'small', '0', '10', '0', '1280', '1440', '1160', '1440', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60540', 'Aden Mercenary Guard', '$2129 $2928', '', 'L1Guard', '2335', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45274', 'Skeletal Pirate Soldier', '$3388', '', 'L1Monster', '4190', '28', '260', '20', '-16', '14', '12', '18', '10', '10', '25', '785', '-30', 'small', '0', '10', '0', '960', '1400', '1000', '1400', '1400', '1', '0', '0', '1', '1', '1', 'pirate', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60539', 'Aden Mercenary Guard', '$2129 $2928', '', 'L1Guard', '2382', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60538', 'Aden Guard', '$2129 $240', '', 'L1Guard', '2295', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '960', '1000', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60536', 'Aden Court Guard', '$2129 $475', '', 'L1Guard', '2335', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45278', 'Ogre', '$953', '', 'L1Monster', '1020', '28', '500', '20', '-18', '20', '18', '12', '12', '8', '20', '785', '-34', 'large', '0', '2', '1', '960', '1200', '1400', '1200', '1200', '0', '0', '0', '1', '1', '0', 'ogre', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45279', 'Elekkadom', '$1433', '', 'L1Monster', '1616', '35', '350', '300', '-15', '20', '15', '17', '18', '15', '15', '1226', '-35', 'large', '8', '2', '0', '960', '1240', '0', '1240', '1240', '0', '0', '0', '0', '0', '0', 'angler', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45280', 'Troll', '$989', '', 'L1Monster', '1098', '28', '270', '30', '-15', '18', '16', '16', '8', '8', '20', '785', '-20', 'large', '2', '1', '1', '960', '1200', '1040', '1200', '1200', '0', '0', '0', '1', '0', '0', 'troll', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45281', 'Giran Stone Golem', '$1242 $56', '', 'L1Monster', '3914', '28', '440', '300', '-8', '58', '16', '10', '6', '11', '30', '785', '-30', 'large', '0', '1', '0', '1280', '2640', '0', '2640', '2640', '0', '0', '0', '1', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45282', 'Giran Dire Wolf', '$1242 $2105', '', 'L1Monster', '3916', '28', '220', '20', '-12', '22', '17', '18', '15', '11', '35', '785', '-25', 'large', '0', '1', '0', '480', '1440', '1680', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45283', 'Giran Cerberus', '$1242 $925', '', 'L1Monster', '951', '27', '160', '60', '-18', '17', '18', '15', '12', '16', '25', '730', '-27', 'small', '0', '2', '0', '640', '1040', '1840', '1040', '1040', '2', '0', '0', '1', '1', '0', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45284', 'Fire Warrior', '$1566', '', 'L1Monster', '1770', '29', '280', '20', '-11', '15', '10', '11', '9', '9', '20', '842', '-25', 'small', '4', '2', '0', '960', '1520', '1480', '1520', '1520', '0', '0', '0', '1', '0', '0', 'burningwarrior', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45285', 'Crustacean', '$1492', '', 'L1Monster', '1632', '40', '550', '16', '-20', '20', '18', '16', '18', '18', '100', '1601', '-50', 'large', '8', '1', '0', '1440', '1800', '1520', '1800', '1800', '0', '0', '0', '1', '0', '0', 'hermitcrab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45286', 'Skeleton Fighter', '$1017', '', 'L1Monster', '1132', '29', '280', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '2', '1', '1', '480', '840', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45287', 'Dark Elf Guard', '$2890', '', 'L1Monster', '3404', '40', '800', '50', '-23', '20', '18', '7', '5', '5', '30', '1601', '-37', 'small', '0', '2', '0', '853', '960', '1280', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45288', 'Dark Elf General', '$2885', '', 'L1Monster', '3366', '30', '400', '40', '-20', '20', '18', '15', '17', '17', '10', '901', '-50', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '0', '0', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45289', 'Muryan', '$991', '', 'L1Monster', '1082', '30', '350', '50', '-12', '17', '18', '16', '25', '16', '35', '901', '-40', 'small', '2', '1', '1', '640', '720', '0', '720', '720', '0', '0', '0', '1', '1', '0', 'murrian', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45290', 'Bats', '$2409', '', 'L1Monster', '2885', '30', '150', '0', '-12', '13', '13', '13', '10', '10', '20', '901', '-10', 'small', '0', '1', '0', '960', '1160', '0', '1160', '1160', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '2', '0', '0', '0');
INSERT INTO `npc` VALUES ('45291', 'Fire Archer', '$1572', '', 'L1Monster', '1832', '30', '230', '20', '-5', '13', '10', '16', '9', '9', '20', '901', '-25', 'small', '4', '10', '0', '960', '2000', '1320', '2000', '2000', '0', '0', '0', '1', '0', '0', 'burningarcher', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45292', 'Corrupt Guard', '$2433', '', 'L1Monster', '2976', '28', '320', '10', '-16', '19', '14', '12', '8', '10', '25', '785', '-35', 'small', '0', '10', '0', '960', '1200', '720', '1200', '1200', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45293', 'Dark Elf Carrier', '$3119', '', 'L1Monster', '3659', '30', '500', '31', '-13', '21', '18', '18', '12', '10', '20', '901', '-32', 'small', '0', '2', '0', '853', '1520', '0', '1520', '1520', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45294', 'Yeti', '$1786', '', 'L1Monster', '2134', '30', '400', '10', '-18', '22', '20', '12', '9', '6', '0', '901', '-26', 'large', '8', '1', '1', '960', '1400', '1360', '1400', '1400', '0', '0', '0', '1', '0', '0', 'yeti', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45295', 'Giant', '$1398', '', 'L1Monster', '1555', '32', '380', '10', '-22', '20', '16', '12', '10', '11', '25', '1025', '-10', 'large', '2', '1', '1', '1280', '2000', '1880', '2000', '2000', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45296', 'Gelatinous Cube', '$2115', '', 'L1Monster', '2541', '30', '350', '30', '-33', '21', '20', '8', '5', '9', '0', '901', '-25', 'large', '0', '10', '1', '1440', '1280', '0', '1280', '1280', '0', '1', '0', '1', '1', '0', 'gelatine', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2559', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45297', 'Subterranean Crabman', '$3270', '', 'L1Monster', '1610', '30', '420', '5', '-30', '18', '16', '15', '10', '12', '10', '901', '-20', 'small', '0', '2', '0', '960', '1280', '1840', '1000', '1000', '0', '0', '0', '0', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45298', 'King Bugbear', '$937', '', 'L1Monster', '894', '30', '400', '30', '-13', '21', '18', '12', '12', '10', '20', '901', '-32', 'large', '4', '1', '1', '640', '720', '720', '720', '720', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60535', 'Aden Court Guard', '$2129 $475', '', 'L1Guard', '2382', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45300', 'Ancient Apparition', '$2261', '', 'L1Monster', '2716', '45', '1000', '400', '-32', '17', '17', '18', '25', '18', '50', '0', '-50', 'small', '0', '8', '0', '960', '1440', '0', '1440', '1440', '1', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45301', 'Sin of Sepia', '$2260', '', 'L1Monster', '1116', '20', '600', '250', '-25', '15', '15', '18', '25', '18', '50', '401', '10000', 'small', '0', '1', '0', '640', '800', '1080', '800', '800', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('60529', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45303', 'Spirit of Fire', '$2004', '', 'L1Monster', '2276', '30', '400', '0', '-11', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '1000', '0', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45304', 'Spirit of Water', '$2005', '', 'L1Monster', '2274', '30', '400', '0', '-13', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '1000', '0', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45305', 'Spirit of Wind', '$2006', '', 'L1Monster', '2275', '30', '400', '0', '-13', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '1000', '0', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45306', 'Spirit of Earth', '$2007', '', 'L1Monster', '2273', '30', '400', '0', '-15', '16', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '1000', '0', '1000', '1000', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45307', 'Alligator', '$1407', '', 'L1Monster', '1574', '16', '80', '5', '-6', '15', '13', '13', '6', '5', '0', '257', '-10', 'small', '8', '1', '1', '640', '1480', '1240', '1480', '1480', '0', '0', '0', '1', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45308', 'Muryan', '$991', '', 'L1Monster', '4086', '32', '380', '10', '-22', '20', '16', '12', '10', '11', '25', '1025', '-10', 'small', '2', '1', '1', '640', '720', '0', '720', '720', '0', '0', '0', '1', '1', '0', 'murrian', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60525', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45310', 'Summon Elemental', '$3137', '', 'L1Monster', '3566', '25', '250', '550', '-32', '17', '17', '18', '25', '22', '75', '626', '-50', 'large', '0', '1', '0', '960', '1400', '0', '1400', '1400', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('60524', 'Court Guard', '$475', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45312', 'Giran Arachnevil Elder', '$1242 $319', '', 'L1Monster', '146', '20', '180', '30', '-5', '18', '14', '16', '6', '5', '10', '401', '-23', 'large', '0', '2', '1', '480', '840', '0', '840', '840', '0', '1', '0', '1', '0', '0', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45313', 'Tiger', '$3041', '', 'L1Monster', '4542', '5', '40', '5', '10', '16', '15', '13', '9', '7', '0', '26', '0', 'large', '0', '1', '1', '480', '800', '1400', '800', '800', '0', '0', '0', '0', '0', '0', 'tiger', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45314', 'Skeletal Pirate Rogue', '$3730', '', 'L1Monster', '4796', '32', '500', '50', '-25', '18', '14', '16', '6', '15', '60', '1025', '-40', 'small', '0', '6', '0', '640', '1200', '720', '1200', '1200', '1', '0', '0', '1', '1', '1', 'pirate', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '4799', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45315', 'Incarnation of Varlok', '$3414', '', 'L1Monster', '2538', '57', '3000', '500', '-60', '70', '20', '18', '20', '20', '70', '3250', '-5', 'large', '0', '3', '0', '960', '1520', '1400', '1520', '1520', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0', '0', '0', '-2', '-1', '0', '14', '0', '0', '1');
INSERT INTO `npc` VALUES ('45316', 'Giran Ancient Giant', '$1242 $2109', '', 'L1Monster', '2421', '56', '20000', '2000', '-63', '20', '20', '18', '18', '20', '90', '3137', '-80', 'large', '0', '2', '0', '960', '1880', '1000', '1880', '1880', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '5000', '1200', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45317', 'Bandit', '$2099', '', 'L1Monster', '2443', '28', '500', '10', '-16', '19', '14', '12', '8', '10', '25', '785', '-35', 'small', '0', '1', '0', '480', '1000', '1280', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45318', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45318', 'Giant', '$1398', '', 'L1Monster', '1569', '33', '1000', '10', '-25', '22', '19', '15', '13', '14', '40', '1090', '-10', 'large', '2', '2', '1', '1280', '2000', '1880', '2000', '2000', '0', '0', '0', '1', '1', '1', 'Giant', '1', '-1', '-1', '0', '0', '0', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45316', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45321', 'Griffon', '$1176', '', 'L1Monster', '1204', '31', '380', '150', '-20', '16', '15', '12', '12', '10', '10', '962', '-30', 'large', '1', '1', '0', '640', '1280', '1480', '1280', '1280', '0', '0', '0', '1', '1', '0', 'griffon', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45322', 'Living Armor', '$1408', '', 'L1Monster', '1578', '31', '300', '50', '-25', '18', '15', '12', '12', '10', '40', '962', '-35', 'small', '2', '1', '1', '1440', '1920', '0', '1920', '1920', '2', '0', '0', '1', '1', '0', 'livingarmour', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60514', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45324', 'Bandit', '$2099', '', 'L1Monster', '2489', '32', '330', '15', '-22', '17', '15', '18', '11', '12', '40', '1025', '-39', 'small', '0', '1', '0', '960', '1080', '1120', '1080', '1080', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45325', 'Giran Cimaera', '$1242 $2107', '', 'L1Monster', '3922', '31', '260', '40', '-23', '19', '18', '16', '8', '8', '35', '962', '-30', 'small', '0', '1', '1', '960', '1440', '1560', '1440', '1440', '0', '1', '0', '1', '1', '0', 'cimaera', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45326', 'Dark Forester', '$3142', '', 'L1Monster', '3747', '33', '450', '500', '-10', '10', '13', '12', '18', '18', '50', '1090', '-30', 'small', '0', '2', '0', '853', '1720', '0', '1240', '1240', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45327', 'Dark Elf Ranger', '$2495', '', 'L1Monster', '2976', '41', '700', '50', '-32', '13', '17', '18', '20', '18', '80', '1682', '-50', 'small', '0', '10', '0', '1280', '1360', '720', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60512', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45329', 'Bandit', '$2099', '', 'L1Monster', '2443', '28', '320', '10', '-16', '19', '14', '12', '8', '10', '25', '785', '-35', 'small', '0', '1', '0', '480', '1000', '1280', '1000', '1000', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45330', 'Skeletal Pirate Head', '$3389', '', 'L1Monster', '4188', '32', '350', '10', '-23', '18', '14', '16', '10', '12', '50', '1025', '-35', 'small', '0', '2', '0', '640', '1200', '960', '1200', '1200', '1', '0', '0', '1', '1', '1', 'pirate', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60511', 'Court Guard', '$475', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45332', 'Mutant Ramia', '$2382', '', 'L1Monster', '1597', '32', '330', '45', '-10', '15', '15', '12', '12', '10', '15', '1025', '-35', 'large', '0', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '1', '1', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45333', 'Dark Elf Wizard', '$2888', '', 'L1Monster', '3376', '41', '500', '400', '-32', '17', '17', '18', '25', '22', '75', '1682', '-50', 'small', '0', '1', '0', '1920', '1560', '0', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45336', 'Assassin', '$2445', '', 'L1Monster', '2966', '32', '330', '15', '-22', '17', '15', '18', '11', '12', '40', '0', '-39', 'small', '2', '1', '0', '960', '880', '0', '880', '880', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45337', 'Giant', '$1398', '', 'L1Monster', '1542', '30', '400', '10', '-20', '19', '18', '12', '10', '10', '30', '901', '-10', 'large', '2', '2', '1', '1280', '2000', '1880', '2000', '2000', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45338', 'Crocodile', '$1406', '', 'L1Monster', '1572', '32', '400', '20', '-23', '15', '13', '13', '6', '5', '10', '1025', '-15', 'large', '8', '2', '1', '960', '1600', '1240', '1600', '1600', '0', '0', '0', '1', '0', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45913', 'Ghost Soldier Full of Resentment', '$5109', '', 'L1Monster', '5972', '20', '330', '30', '-10', '20', '18', '15', '12', '10', '10', '401', '-13', 'small', '2', '1', '0', '1280', '1360', '1160', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45340', 'Heavy Oum', '$3144', '', 'L1Monster', '3596', '32', '400', '20', '-23', '15', '13', '13', '6', '5', '10', '1025', '-15', 'large', '0', '2', '0', '1600', '1800', '1480', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45341', 'Taurverus', '$1568', '', 'L1Monster', '1780', '39', '600', '80', '-28', '20', '20', '18', '20', '18', '35', '1522', '-50', 'small', '4', '0', '0', '880', '1000', '1000', '1440', '1440', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45342', 'Mutant Giant Queen Ant', '$2073', '', 'L1Monster', '2457', '20', '400', '70', '-12', '20', '18', '16', '18', '16', '50', '401', '-10', 'large', '0', '2', '0', '1280', '800', '0', '800', '800', '0', '0', '0', '1', '1', '1', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45343', 'Darkmar', '$2017', '', 'L1Monster', '185', '27', '350', '110', '-24', '16', '14', '16', '16', '16', '30', '730', '-35', 'small', '0', '1', '0', '640', '1480', '800', '1480', '1480', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45344', 'Betrayer of Undead', '$2020', '', 'L1Monster', '1576', '27', '900', '600', '-15', '16', '14', '16', '16', '16', '25', '0', '-10', 'small', '0', '1', '0', '640', '2280', '2080', '2280', '2280', '1', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45345', 'Giran Iron Golem', '$1242 $1789', '', 'L1Monster', '2147', '32', '580', '10', '-25', '70', '18', '8', '5', '5', '50', '1025', '-34', 'large', '0', '1', '0', '1920', '1760', '2080', '1760', '1760', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45346', 'Ghast Lord', '$619', '', 'L1Monster', '257', '33', '300', '50', '-13', '18', '18', '16', '12', '11', '20', '1090', '-30', 'small', '2', '1', '1', '1080', '680', '760', '680', '680', '0', '2', '0', '1', '0', '0', 'ghast', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45912', 'Ghost Soldier Full of Resentment', '$5109', '', 'L1Monster', '5972', '15', '240', '0', '-5', '17', '18', '15', '12', '10', '10', '226', '-10', 'small', '2', '1', '0', '1280', '1360', '1160', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45348', 'Mutant Arachnevil Elder', '$2381', '', 'L1Monster', '146', '33', '370', '20', '-13', '18', '16', '14', '6', '5', '20', '1090', '-40', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '1', '0', '1', '1', '1', 'spider', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45349', 'Beholder', '$1001', '', 'L1Monster', '1123', '33', '450', '500', '-10', '10', '13', '12', '18', '18', '50', '1090', '-30', 'large', '1', '1', '1', '960', '1120', '0', '1120', '1120', '0', '0', '1', '1', '1', '1', 'gazer', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45350', 'Dark Elf Carrier', '$3119', '', 'L1Monster', '3659', '33', '420', '10', '-25', '22', '19', '15', '13', '14', '40', '1090', '-10', 'small', '0', '1', '0', '853', '1520', '0', '1520', '1520', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45351', 'Giant', '$1398', '', 'L1Monster', '1569', '33', '420', '10', '-25', '22', '19', '15', '13', '14', '40', '1090', '-10', 'large', '2', '2', '1', '1280', '2000', '1880', '2000', '2000', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45352', 'Doppelganger', '$2101', '', 'L1Monster', '2340', '33', '320', '30', '-20', '19', '19', '15', '13', '11', '20', '1090', '-28', 'small', '2', '1', '0', '960', '1040', '960', '1040', '1040', '0', '0', '0', '1', '0', '0', 'doppel', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45353', 'Priest of Chaos', '$3780', '', 'L1Monster', '4550', '33', '500', '300', '-65', '25', '25', '25', '25', '25', '0', '1090', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45354', 'Follower of Chaos', '$3782', '', 'L1Monster', '4550', '33', '250', '300', '-65', '25', '25', '25', '25', '25', '0', '1090', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45355', 'Werewolf', '$18', '', 'L1Monster', '2367', '34', '180', '20', '-20', '15', '15', '12', '10', '10', '10', '1157', '-9', 'small', '1', '1', '0', '420', '740', '0', '740', '740', '5', '0', '0', '1', '1', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45356', 'Dark Elf Beast Tamer', '$2891', '', 'L1Monster', '3409', '44', '550', '250', '-38', '15', '17', '12', '17', '17', '65', '1937', '-44', 'small', '0', '1', '0', '1600', '1400', '1320', '1400', '1400', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45357', 'Black Tiger', '$3136', '', 'L1Monster', '3547', '34', '500', '30', '-18', '22', '18', '22', '11', '10', '30', '1157', '-30', 'small', '0', '2', '0', '853', '1640', '1800', '1640', '1640', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45358', 'Arachnevil', '$265', '', 'L1Monster', '2369', '34', '170', '15', '-15', '15', '13', '17', '6', '5', '12', '1157', '-17', 'large', '0', '2', '0', '320', '740', '0', '740', '740', '0', '0', '0', '1', '1', '0', 'spider', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45359', 'Astagio', '$1580', '', 'L1Monster', '1841', '34', '500', '30', '-18', '22', '18', '22', '11', '10', '30', '1157', '-30', 'large', '4', '1', '0', '800', '1000', '1800', '1000', '1000', '0', '0', '0', '0', '0', '0', 'asitagio', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45360', 'Subterranean Great King Worm', '$3273', '', 'L1Monster', '3654', '34', '400', '10', '-60', '18', '13', '18', '12', '12', '15', '1157', '-20', 'small', '0', '2', '0', '960', '1480', '3360', '1480', '1480', '0', '1', '0', '0', '0', '0', 'centipede', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45361', 'Cockatrice', '$969', '', 'L1Monster', '1052', '34', '500', '250', '-20', '25', '18', '18', '12', '12', '30', '1157', '-36', 'large', '1', '1', '0', '520', '1040', '0', '1040', '1040', '0', '0', '2', '1', '1', '0', 'cockatrice', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45362', 'Cockatrice', '$969', '', 'L1Monster', '2360', '47', '600', '250', '-25', '25', '18', '18', '12', '12', '30', '2210', '-36', 'large', '1', '1', '0', '440', '760', '0', '840', '840', '0', '0', '2', '1', '1', '1', 'cockatrice', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45363', 'Dark Elementalist', '$2894', '', 'L1Monster', '3360', '35', '450', '500', '-30', '12', '15', '12', '17', '17', '45', '1226', '-50', 'small', '0', '1', '0', '1280', '1520', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45364', 'Dark Elf', '$1042', '', 'L1Monster', '2435', '35', '350', '110', '-29', '16', '14', '16', '16', '16', '30', '1226', '-42', 'small', '1', '10', '0', '470', '1440', '0', '1520', '1520', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45365', 'Lava Golem', '$1565', '', 'L1Monster', '1762', '35', '600', '10', '-15', '65', '18', '8', '5', '5', '50', '1226', '-40', 'large', '4', '1', '0', '1920', '2160', '2400', '2160', '2160', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45366', 'Mambo Rabbit Servant', '$3463', '', 'L1Monster', '3783', '35', '1200', '200', '-40', '18', '18', '18', '18', '24', '50', '1226', '-20', 'small', '0', '1', '0', '960', '1040', '1120', '1040', '1040', '0', '0', '0', '0', '0', '0', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45367', 'Black Ent', '$3143', '', 'L1Monster', '3678', '35', '1000', '50', '-15', '13', '20', '11', '11', '13', '65', '1226', '-50', 'large', '0', '2', '0', '960', '1960', '2880', '1960', '1960', '0', '0', '0', '1', '1', '1', 'ent', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45368', 'Beast Summoner', '$3140', '', 'L1Monster', '3694', '35', '383', '197', '-25', '19', '13', '16', '13', '11', '11', '1226', '-32', 'small', '0', '2', '0', '1280', '1560', '1400', '1560', '1560', '0', '0', '0', '1', '1', '1', 'beastsummoner', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45369', 'Salamander', '$1505', '', 'L1Monster', '4083', '35', '383', '197', '-23', '19', '13', '16', '13', '11', '11', '1103', '-32', 'small', '4', '1', '0', '640', '1080', '1280', '1080', '1080', '0', '0', '0', '1', '1', '1', 'salamander', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45370', 'Bandit Leader', '$2100', '', 'L1Monster', '2417', '35', '500', '50', '-25', '20', '20', '18', '12', '13', '50', '1226', '-45', 'small', '0', '2', '0', '960', '1160', '1080', '1160', '1160', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45371', 'Owlbear', '$1047', '', 'L1Monster', '2368', '35', '250', '10', '-21', '18', '13', '14', '7', '8', '10', '1226', '-15', 'large', '2', '1', '0', '650', '840', '0', '840', '840', '0', '0', '0', '1', '1', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45372', 'Iron Golem', '$1789', '', 'L1Monster', '2147', '35', '650', '10', '-18', '70', '18', '8', '5', '5', '50', '1226', '-42', 'large', '2', '1', '0', '1920', '1760', '2080', '1760', '1760', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45373', 'Ettin', '$1010', '', 'L1Monster', '1128', '35', '500', '70', '-22', '20', '18', '16', '18', '16', '50', '1226', '-40', 'large', '2', '2', '1', '640', '1160', '1240', '1160', '1160', '0', '0', '0', '1', '1', '0', 'brute', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45374', 'Subterranean Lizardman', '$3272', '', 'L1Monster', '4192', '35', '480', '20', '-25', '18', '15', '18', '12', '18', '20', '1226', '-20', 'small', '0', '1', '0', '720', '1080', '2080', '1000', '1000', '0', '0', '0', '0', '0', '0', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45375', 'Gargoyle', '$2102', '', 'L1Monster', '2308', '35', '550', '0', '-30', '0', '0', '0', '0', '99', '0', '1226', '-30', 'large', '0', '1', '0', '960', '1240', '1240', '1240', '1240', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45376', 'Giran Lava Golem', '$1242 $1565', '', 'L1Monster', '1762', '35', '500', '300', '-15', '65', '18', '8', '5', '5', '50', '1226', '-40', 'large', '0', '1', '0', '1920', '2160', '2400', '2160', '2160', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45377', 'Lizardman', '$1174', '', 'L1Monster', '2372', '20', '180', '10', '-17', '15', '13', '10', '5', '5', '5', '401', '-14', 'small', '8', '1', '0', '680', '540', '800', '540', '540', '0', '0', '0', '1', '1', '0', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45378', 'Ghast', '$504', '', 'L1Monster', '255', '36', '240', '30', '-20', '17', '18', '16', '8', '8', '10', '1370', '-23', 'small', '0', '1', '0', '1000', '640', '760', '640', '640', '0', '2', '0', '1', '1', '1', 'ghast', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45379', 'Dark Elf Wizard', '$2888', '', 'L1Monster', '3376', '41', '500', '400', '-32', '17', '17', '18', '25', '18', '80', '1682', '-50', 'small', '0', '1', '0', '1920', '1560', '0', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45380', 'Medusa', '$2113', '', 'L1Monster', '2535', '36', '420', '120', '-16', '17', '18', '16', '17', '15', '50', '1297', '-39', 'small', '0', '1', '0', '960', '1200', '0', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45381', 'Basilisk', '$962', '', 'L1Monster', '1041', '36', '800', '300', '-20', '30', '18', '17', '12', '12', '30', '1297', '-38', 'large', '8', '1', '0', '800', '1240', '0', '1240', '1240', '0', '0', '1', '1', '1', '1', 'basilisk', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45382', 'Subterranean Scormystic', '$3275', '', 'L1Monster', '4058', '36', '400', '20', '-15', '20', '14', '16', '18', '18', '70', '1297', '-30', 'small', '0', '2', '0', '640', '800', '960', '800', '800', '0', '1', '0', '0', '0', '0', 'scorpion', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45383', 'Subterranean Scorpaitan', '$3276', '', 'L1Monster', '4060', '36', '400', '30', '-30', '20', '14', '18', '12', '12', '10', '1297', '-30', 'small', '0', '2', '0', '640', '800', '960', '800', '800', '0', '1', '0', '1', '0', '0', 'scorpion', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45384', 'Horrific Fire Egg', '$2386', '', 'L1Monster', '1820', '37', '500', '15', '-36', '16', '18', '16', '12', '16', '40', '1370', '-35', 'small', '0', '1', '0', '680', '1440', '880', '880', '1000', '0', '0', '0', '1', '1', '1', 'fireegg', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45385', 'Nightmare', '$2103', '', 'L1Monster', '4088', '37', '416', '0', '-39', '11', '9', '14', '7', '7', '19', '1233', '-35', 'large', '0', '2', '0', '480', '1600', '2240', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45386', 'Dancing Sword', '$2111', '', 'L1Monster', '2513', '37', '380', '0', '-43', '17', '12', '20', '5', '6', '40', '1370', '-39', 'small', '0', '2', '0', '480', '1120', '1440', '1120', '1120', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45387', 'Ramia', '$1428', '', 'L1Monster', '2351', '37', '240', '30', '-16', '15', '15', '12', '12', '10', '10', '1370', '-25', 'large', '8', '1', '0', '630', '1380', '2720', '1380', '1380', '0', '1', '0', '1', '1', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45389', 'Lycanthrope', '$990', '', 'L1Monster', '2366', '37', '220', '60', '-24', '16', '16', '13', '10', '10', '25', '1370', '-18', 'small', '1', '1', '0', '420', '680', '720', '680', '680', '0', '0', '0', '1', '1', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45390', 'Minotaur', '$1393', '', 'L1Monster', '2364', '37', '300', '20', '-20', '20', '18', '10', '12', '14', '0', '1370', '-20', 'small', '0', '1', '0', '480', '860', '1040', '860', '860', '0', '0', '0', '0', '0', '0', 'minotaur', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45391', 'Succubus of Varlok', '$3517', '', 'L1Monster', '1112', '37', '400', '250', '-25', '15', '15', '18', '25', '18', '50', '1370', '-5', 'small', '0', '1', '0', '640', '800', '1080', '1500', '800', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '1', '0', '-2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45392', 'Bugbear', '$325', '', 'L1Monster', '2357', '37', '300', '30', '-16', '19', '18', '12', '12', '10', '10', '1370', '-25', 'large', '4', '1', '0', '480', '700', '720', '700', '700', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45393', 'Succubus', '$1000', '', 'L1Monster', '1112', '37', '400', '250', '-25', '15', '15', '18', '25', '18', '50', '1370', '-40', 'small', '2', '1', '0', '640', '800', '1080', '1500', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45394', 'Succubus', '$1000', '', 'L1Monster', '1112', '37', '400', '250', '-25', '15', '15', '18', '25', '18', '50', '1370', '-40', 'small', '2', '1', '0', '640', '800', '1080', '1500', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45395', 'Dire Bat', '$2892', '', 'L1Monster', '3415', '38', '350', '200', '-50', '19', '18', '12', '12', '10', '0', '1445', '-23', 'small', '0', '3', '0', '853', '1560', '0', '1560', '1560', '0', '0', '0', '1', '1', '1', 'bat', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3417', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45396', 'Dire Wolf', '$2105', '', 'L1Monster', '2392', '38', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1445', '-36', 'large', '0', '1', '0', '480', '1440', '1760', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45397', 'Dark Elf Ranger', '$2495', '', 'L1Monster', '2976', '38', '500', '30', '-20', '16', '12', '14', '11', '10', '40', '1445', '-25', 'small', '0', '10', '0', '1280', '1360', '720', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45398', 'Dark Elf Soldier', '$2887', '', 'L1Monster', '3044', '38', '500', '30', '-28', '16', '20', '18', '18', '18', '35', '1445', '-50', 'small', '0', '2', '0', '640', '960', '1080', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45399', 'Wicked Mimic', '$2384', '', 'L1Monster', '1479', '38', '500', '30', '-2', '16', '12', '14', '11', '10', '40', '1445', '-25', 'small', '0', '1', '0', '1280', '1120', '0', '1120', '1120', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45400', 'Succubus', '$1000', '', 'L1Monster', '4091', '38', '411', '257', '-26', '15', '15', '18', '26', '18', '5', '1301', '-40', 'small', '2', '1', '0', '640', '800', '1080', '1500', '800', '2', '0', '0', '1', '1', '1', 'succubus', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45401', 'Arachnevil Elder', '$319', '', 'L1Monster', '2370', '38', '250', '30', '-20', '18', '16', '14', '6', '5', '10', '1445', '-23', 'large', '2', '2', '0', '320', '740', '0', '740', '740', '0', '1', '0', '1', '1', '1', 'spider', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45402', 'Raging Skeleton Axeman', '$2389', '', 'L1Monster', '1104', '39', '500', '50', '-30', '18', '14', '14', '12', '10', '25', '1522', '-30', 'small', '0', '1', '0', '480', '840', '840', '840', '840', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45403', 'Raging Skeleton Pike', '$2391', '', 'L1Monster', '1106', '39', '450', '45', '-30', '16', '14', '15', '12', '10', '35', '1522', '-30', 'small', '0', '2', '0', '640', '880', '840', '880', '880', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45404', 'Dark Elf Soldier', '$2887', '', 'L1Monster', '3044', '39', '600', '80', '-28', '16', '20', '18', '18', '18', '35', '1522', '-50', 'small', '0', '2', '0', '640', '960', '1080', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45405', 'Black Wizard', '$3141', '', 'L1Monster', '3698', '32', '380', '600', '-22', '20', '16', '12', '10', '11', '25', '1025', '-10', 'small', '0', '1', '0', '1280', '1280', '1920', '1280', '1280', '0', '0', '0', '1', '1', '1', 'blackwizard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45406', 'Wicked Beholder', '$2383', '', 'L1Monster', '1123', '39', '540', '600', '-20', '12', '15', '14', '18', '18', '55', '1522', '-30', 'large', '0', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '1', '1', '1', '1', 'gazer', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45407', 'Cimaera', '$2107', '', 'L1Monster', '2407', '39', '550', '40', '-25', '19', '18', '16', '8', '8', '35', '1522', '-40', 'small', '0', '2', '1', '960', '1440', '1560', '1440', '1440', '0', '1', '0', '1', '1', '0', 'cimaera', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45408', 'Taurverus', '$1568', '', 'L1Monster', '4121', '32', '350', '180', '-23', '17', '12', '15', '12', '10', '10', '1025', '-30', 'small', '0', '0', '0', '880', '1480', '1480', '1520', '1520', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45409', 'Dire Wolf', '$2105', '', 'L1Monster', '2392', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1601', '-36', 'large', '0', '2', '0', '480', '1440', '1760', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45410', 'Nightmare', '$2103', '', 'L1Monster', '2332', '40', '450', '0', '-42', '12', '10', '15', '8', '8', '80', '1601', '-38', 'large', '0', '2', '0', '480', '1600', '2240', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45411', 'Dark Elf Guard', '$2890', '', 'L1Monster', '3402', '40', '800', '50', '-23', '18', '18', '20', '5', '5', '30', '1601', '-37', 'small', '0', '10', '0', '853', '960', '1040', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45412', 'Dark Elf Guard', '$2890', '', 'L1Monster', '3404', '40', '800', '50', '-27', '14', '14', '18', '5', '5', '30', '1601', '-37', 'small', '0', '2', '0', '1280', '1360', '1280', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45413', 'Diego', '$3727', '', 'L1Monster', '4677', '40', '1500', '500', '-40', '24', '25', '12', '6', '8', '10', '1601', '-100', 'large', '0', '1', '0', '800', '1000', '1200', '1000', '1000', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45414', 'Dark Elf Beast Tamer', '$2891', '', 'L1Monster', '3409', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1601', '-36', 'small', '0', '2', '0', '1600', '1400', '1320', '1400', '1400', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45415', 'Dark Elf General', '$2885', '', 'L1Monster', '3366', '43', '1150', '50', '-40', '20', '18', '15', '17', '17', '90', '1850', '-50', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45416', 'Fang of Earth', '$3467', '', 'L1Monster', '4012', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '0', '1', '0', '600', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritearth', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45417', 'Death', '$1562', '', 'L1Monster', '4095', '40', '255', '73', '-60', '22', '20', '20', '16', '24', '9', '1441', '-28', 'small', '0', '1', '0', '960', '2280', '2080', '2280', '2280', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45418', 'Fang of Wind', '$3466', '', 'L1Monster', '4011', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '0', '1', '0', '600', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritwind', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45419', 'Fang of Glacier', '$3465', '', 'L1Monster', '4010', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '0', '1', '0', '600', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritwater', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45420', 'Cyclops', '$1113', '', 'L1Monster', '1202', '40', '800', '50', '-23', '20', '18', '7', '5', '5', '30', '1601', '-37', 'large', '1', '2', '1', '960', '1160', '1120', '1160', '1160', '0', '0', '0', '1', '0', '0', 'cyclops', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45421', 'Goblin of Ordeal', '$4029', '', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '1', '0', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45422', 'Subterranean Great King Turtle', '$3271', '', 'L1Monster', '1649', '40', '2400', '40', '-20', '18', '18', '15', '18', '24', '60', '10000', '-22', 'large', '0', '2', '0', '1920', '1320', '1440', '1320', '1320', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '66', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45423', 'Subterranean Beholder', '$3277', '', 'L1Monster', '1123', '40', '1000', '30', '-38', '16', '16', '16', '18', '20', '70', '5000', '-30', 'large', '0', '1', '0', '960', '1120', '0', '1280', '1280', '0', '0', '1', '0', '0', '0', 'gazer', '1', '-1', '-1', '0', '0', '0', '5000', '29', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45424', 'Fang of Flame', '$3464', '', 'L1Monster', '4009', '40', '1200', '200', '-30', '18', '16', '18', '18', '20', '20', '1601', '-20', 'small', '0', '1', '0', '600', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'spiritfire', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45909', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3409', '34', '340', '250', '-17', '19', '11', '14', '10', '10', '34', '1157', '-34', 'small', '0', '2', '0', '960', '1320', '1320', '1400', '1400', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45440', 'Nightmare', '$2103', '', 'L1Monster', '2332', '40', '450', '0', '-42', '12', '10', '15', '8', '8', '80', '1601', '-38', 'large', '0', '2', '0', '480', '1600', '2240', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45445', 'Griffon', '$1176', '', 'L1Monster', '2353', '41', '410', '150', '-25', '16', '15', '12', '12', '10', '10', '1682', '-30', 'large', '1', '1', '0', '480', '950', '1480', '920', '920', '0', '0', '0', '1', '1', '1', 'griffon', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45446', 'Dark Elf Ranger', '$2495', '', 'L1Monster', '2976', '41', '700', '50', '-50', '13', '17', '18', '20', '18', '50', '1682', '-50', 'small', '0', '10', '0', '1280', '1360', '720', '1360', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45447', 'Dark Elf Wizard', '$2888', '', 'L1Monster', '3376', '41', '500', '500', '-32', '17', '17', '18', '25', '22', '75', '1682', '-50', 'small', '0', '1', '0', '1920', '1560', '0', '1560', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45448', 'Lastabad Tormenter', '$3808', '', 'L1Monster', '3694', '40', '85', '0', '-36', '16', '13', '14', '14', '15', '55', '1601', '-50', 'small', '4', '2', '0', '1280', '1560', '1400', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45843', '5306', '9', '0', '0', '0');
INSERT INTO `npc` VALUES ('45449', 'Minotaur', '$1393', '', 'L1Monster', '2365', '41', '430', '30', '-20', '20', '18', '10', '12', '14', '0', '1682', '-30', 'small', '0', '1', '0', '480', '860', '1040', '860', '860', '0', '0', '0', '1', '1', '1', 'minotaur', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45450', 'Succubus Queen of Varlok', '$3518', '', 'L1Monster', '1116', '41', '500', '300', '-32', '17', '17', '18', '25', '18', '80', '1682', '-5', 'small', '0', '1', '0', '640', '800', '1080', '1100', '800', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '1', '0', '-2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45451', 'Succubus Queen', '$1019', '', 'L1Monster', '1116', '41', '500', '400', '-32', '17', '17', '18', '25', '18', '80', '1682', '-50', 'small', '2', '1', '0', '640', '800', '1080', '1100', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45452', 'Harpy', '$959', '', 'L1Monster', '2363', '41', '250', '150', '-28', '16', '10', '18', '11', '10', '25', '1682', '-27', 'small', '1', '1', '0', '640', '960', '0', '1080', '1080', '0', '0', '2', '1', '1', '0', 'harpy', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45908', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3366', '37', '370', '50', '-20', '19', '14', '18', '10', '10', '37', '1370', '-37', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45454', 'Raging Ghoul', '$2392', '', 'L1Monster', '144', '42', '550', '70', '-35', '16', '17', '16', '11', '12', '45', '1764', '-50', 'small', '0', '1', '0', '1280', '720', '0', '720', '720', '1', '4', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45455', 'Raging Spartoi', '$2387', '', 'L1Monster', '145', '42', '550', '50', '-38', '17', '15', '16', '14', '14', '40', '1764', '-35', 'small', '0', '1', '0', '800', '920', '0', '920', '920', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45456', 'Necromancer', '$331', '', 'L1Monster', '183', '42', '800', '250', '-32', '12', '15', '12', '17', '17', '80', '1765', '-50', 'small', '0', '1', '0', '640', '1480', '800', '1480', '1480', '0', '0', '0', '1', '1', '1', 'necromansar', '1', '-1', '-1', '0', '0', '0', '5000', '160', '5000', '160', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '1', '0', '1');
INSERT INTO `npc` VALUES ('45457', 'Doppelganger', '$1554', '', 'L1Monster', '31', '42', '350', '30', '-21', '19', '18', '12', '12', '10', '60', '1765', '-25', 'small', '2', '1', '0', '960', '1040', '0', '1040', '1040', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45458', 'Captain Drake', 'Captain Drake', '', 'L1Monster', '4218', '42', '1200', '50', '-35', '18', '18', '20', '18', '18', '50', '1765', '-45', 'small', '2', '1', '0', '960', '1280', '1280', '1280', '1280', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45459', 'Guardian of Earth Spirit', '$3820', '', 'L1Monster', '4634', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '2', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45460', 'Guardian of Water Spirit', '$3818', '', 'L1Monster', '4632', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '8', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45461', 'Guardian of Wind Spirit', '$3821', '', 'L1Monster', '4786', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '1', '1', '0', '960', '1280', '1280', '1520', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45462', 'Guardian of Fire Spirit', '$3819', '', 'L1Monster', '4633', '42', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '1765', '-25', 'small', '4', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45463', 'Medusa', '$2113', '', 'L1Monster', '4097', '42', '490', '140', '-19', '20', '21', '19', '20', '18', '58', '1765', '-39', 'small', '0', '1', '0', '960', '1200', '0', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45464', 'Sema', '$338', '', 'L1Monster', '183', '42', '800', '250', '-32', '12', '15', '12', '17', '17', '80', '1765', '-50', 'small', '0', '1', '0', '640', '900', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '125', '5000', '165', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '1', '0', '1');
INSERT INTO `npc` VALUES ('45465', 'Guardian of Darkness Spirit', '$3822', '', 'L1Monster', '4787', '42', '725', '364', '-37', '19', '20', '15', '10', '15', '60', '1764', '-25', 'small', '2', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45466', 'Oum Warrior', '$3830', '', 'L1Monster', '4689', '42', '628', '0', '-50', '15', '14', '14', '10', '8', '40', '1764', '-25', 'small', '2', '1', '0', '640', '1280', '1440', '1280', '1280', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45467', 'Wolf Rider', '$3809', '', 'L1Monster', '3409', '42', '378', '0', '-37', '15', '17', '12', '17', '17', '65', '1765', '-50', 'small', '4', '2', '0', '960', '1120', '1320', '1360', '1360', '0', '0', '0', '1', '1', '1', 'wolfrider', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45468', 'Cursed Orc Zombie', '$2610', '', 'L1Monster', '1121', '42', '800', '25', '-60', '10', '10', '10', '7', '14', '25', '1765', '-10', 'small', '0', '1', '0', '1440', '1800', '0', '1800', '1800', '1', '1', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45469', 'Crocodile', '$1406', '', 'L1Monster', '2355', '42', '440', '30', '-28', '15', '13', '13', '6', '5', '10', '1765', '-15', 'large', '0', '2', '0', '960', '1180', '1240', '1180', '1180', '0', '0', '0', '1', '1', '1', 'alligator', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45470', 'Ghast Lord', '$619', '', 'L1Monster', '2373', '42', '360', '50', '-22', '18', '18', '16', '12', '11', '20', '1765', '-30', 'small', '2', '1', '0', '680', '540', '760', '540', '540', '0', '2', '0', '1', '1', '1', 'ghast', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45471', 'Horrific Cerberus', '$2385', '', 'L1Monster', '951', '43', '350', '105', '-35', '17', '18', '15', '12', '16', '25', '1850', '-40', 'small', '0', '1', '0', '640', '1040', '1840', '1840', '1840', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45472', 'Dark Elf General', '$2885', '', 'L1Monster', '3366', '43', '1150', '50', '-50', '20', '18', '15', '17', '17', '45', '1850', '-50', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45473', 'Baltuzar', '$335', '', 'L1Monster', '185', '43', '800', '250', '-32', '12', '15', '12', '17', '17', '80', '1850', '-50', 'small', '0', '1', '0', '640', '1480', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '155', '5000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '1', '0', '1');
INSERT INTO `npc` VALUES ('45474', 'Dark Forester', '$3823', '', 'L1Monster', '3747', '43', '385', '77', '-35', '14', '15', '14', '10', '18', '75', '1850', '-25', 'small', '1', '2', '0', '853', '1720', '0', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45849', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45475', 'Thief of Darkness', '$3802', '', 'L1Monster', '3412', '43', '600', '0', '-53', '15', '15', '20', '17', '17', '45', '1850', '-25', 'small', '2', '10', '0', '1280', '1440', '1160', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '45835', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45476', 'Cerberus', '$925', '', 'L1Monster', '4100', '43', '215', '108', '-36', '17', '18', '15', '12', '16', '25', '1665', '-27', 'small', '4', '1', '0', '640', '1040', '1840', '1840', '1840', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45477', 'Troll', '$989', '', 'L1Monster', '2371', '43', '330', '30', '-25', '18', '16', '16', '8', '8', '20', '1850', '-20', 'large', '2', '1', '0', '620', '920', '1040', '960', '960', '0', '0', '0', '1', '1', '0', 'troll', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45478', 'Necromancer', '$331', '', 'L1Monster', '183', '45', '800', '250', '-32', '12', '15', '12', '17', '17', '80', '1765', '-50', 'small', '0', '1', '0', '640', '900', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'necromansar', '1', '-1', '-1', '0', '0', '0', '5000', '160', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45479', 'Horrific Iron Golem', '$2407', '', 'L1Monster', '2147', '44', '800', '20', '-37', '70', '18', '18', '10', '10', '35', '1937', '-90', 'large', '0', '1', '0', '1920', '1760', '2080', '1760', '1760', '0', '0', '0', '1', '1', '1', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45480', 'Fire Necromancer', '$2394', '', 'L1Monster', '173', '44', '450', '250', '-32', '12', '15', '12', '17', '17', '90', '1937', '-50', 'small', '0', '1', '0', '640', '1480', '800', '1480', '1480', '0', '0', '0', '1', '1', '1', 'necromansar', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45481', 'Lesser Demon', '$2112', '', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '80', '1937', '-60', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45482', 'Lesser Demon of Varlok', '$3515', '', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '80', '1937', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '0', '-2', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45483', 'Black Tiger', '$3136', '', 'L1Monster', '3547', '40', '600', '0', '-37', '15', '18', '12', '13', '7', '45', '1601', '-50', 'small', '4', '2', '0', '853', '1640', '1800', '1640', '1640', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45484', 'Dark Mage', '$3824', '', 'L1Monster', '3698', '42', '110', '148', '-36', '12', '12', '15', '17', '17', '70', '0', '0', 'small', '0', '1', '0', '1280', '1280', '1920', '1280', '1280', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45847', '5306', '9', '0', '0', '0');
INSERT INTO `npc` VALUES ('45485', 'Dark Lycanthrope', '$2614', '', 'L1Monster', '1108', '44', '750', '60', '-64', '16', '16', '18', '10', '12', '45', '1937', '-18', 'small', '0', '1', '0', '640', '800', '720', '800', '800', '5', '0', '0', '1', '1', '1', 'wolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45486', 'Darkness Avenger', '$3828', '', 'L1Monster', '4603', '45', '1056', '0', '-52', '17', '18', '15', '13', '16', '55', '2026', '-25', 'small', '2', '1', '0', '960', '1120', '1080', '1120', '1120', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45487', 'Subterranean Elekkadom', '$3274', '', 'L1Monster', '1616', '44', '1800', '80', '-20', '16', '18', '18', '18', '24', '30', '8000', '-20', 'large', '0', '2', '0', '800', '1240', '960', '1240', '1240', '0', '0', '0', '0', '0', '0', 'angler', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45488', 'Caspa', '$336', '', 'L1Monster', '173', '44', '450', '250', '-32', '12', '15', '12', '17', '17', '80', '1937', '-50', 'small', '0', '1', '0', '640', '1480', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '160', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '1', '0', '1');
INSERT INTO `npc` VALUES ('45489', 'Assassin of Blood', '$3801', '', 'L1Monster', '5596', '44', '800', '278', '-54', '18', '19', '15', '15', '15', '60', '0', '0', 'small', '2', '10', '0', '640', '840', '1480', '1080', '1080', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2989', '0', '45834', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45490', 'Priest of Chaos', '$3780', '', 'L1Monster', '4550', '44', '500', '300', '-54', '22', '22', '22', '22', '22', '0', '1937', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45491', 'Follower of Chaos', '$3782', '', 'L1Monster', '4521', '44', '250', '300', '-60', '25', '25', '25', '25', '25', '0', '1937', '-5', 'large', '0', '6', '0', '1000', '1172', '960', '1172', '1172', '3', '0', '0', '1', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45492', 'Kuman', '$3726', '', 'L1Monster', '4746', '44', '2000', '100', '-50', '18', '18', '16', '10', '16', '35', '1937', '-500', 'small', '0', '6', '0', '800', '1000', '960', '1000', '1000', '0', '0', '0', '0', '0', '0', 'pirate', '1', '-1', '-1', '0', '0', '0', '5000', '56', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '4749', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45493', 'Raging Skeleton Fighter', '$2388', '', 'L1Monster', '1132', '45', '700', '90', '-40', '18', '14', '14', '14', '14', '45', '2026', '-50', 'small', '0', '1', '0', '480', '840', '840', '840', '840', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45494', 'Raging Skeleton Marksman', '$2390', '', 'L1Monster', '1130', '45', '650', '100', '-38', '16', '14', '16', '16', '16', '45', '2026', '-48', 'small', '0', '10', '0', '800', '920', '920', '920', '920', '1', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45495', 'Lastabad Palace Guard', '$3803', '', 'L1Monster', '4609', '45', '800', '278', '-55', '19', '18', '18', '12', '14', '50', '0', '0', 'small', '2', '1', '0', '640', '1200', '1120', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45832', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45496', 'Lesser Dragon', '$2104', '', 'L1Monster', '2379', '45', '800', '120', '-45', '35', '18', '12', '18', '18', '60', '2026', '-45', 'large', '0', '1', '0', '960', '1360', '0', '1950', '1360', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45497', 'Merkyor', '$337', '', 'L1Monster', '187', '45', '450', '250', '-32', '12', '15', '12', '17', '17', '80', '2026', '-50', 'small', '0', '1', '0', '640', '1480', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '1', '0', '1');
INSERT INTO `npc` VALUES ('45498', 'Grave Guardian', '$3412', '', 'L1Monster', '4209', '45', '1000', '1000', '-50', '55', '21', '11', '21', '18', '70', '2026', '-80', 'large', '0', '2', '0', '1280', '1000', '1000', '1000', '1000', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45499', 'Vampire', '$2399', '', 'L1Monster', '4104', '45', '1205', '1402', '-53', '10', '10', '15', '16', '16', '68', '1823', '-100', 'small', '2', '1', '0', '960', '1040', '0', '1040', '2320', '2', '0', '0', '1', '1', '1', 'vampire', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45500', 'Water Spirit Master', '$3469', '', 'L1Monster', '4017', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '0', '1', '0', '960', '1440', '0', '1600', '1600', '0', '0', '0', '0', '0', '0', 'spiritwater', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1608', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45501', 'Abyss Ghoul', '$3477', '', 'L1Monster', '4005', '45', '2400', '10', '-10', '22', '20', '8', '16', '14', '68', '2026', '-100', 'small', '0', '3', '0', '2000', '1040', '0', '1040', '1040', '1', '1', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45502', 'Abyss Archer', '$3478', '', 'L1Monster', '4125', '45', '600', '10', '-65', '18', '14', '20', '16', '14', '58', '2026', '-100', 'small', '0', '10', '0', '640', '840', '1240', '840', '840', '1', '0', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45503', 'Black Knight of Darkness', '$2618', '', 'L1Monster', '4003', '45', '900', '10', '-67', '19', '16', '17', '12', '12', '65', '2026', '-15', 'small', '0', '2', '0', '480', '1120', '760', '1120', '1120', '0', '0', '0', '1', '1', '0', 'antiking', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45504', 'Assassin Master', '$2446', '', 'L1Monster', '2843', '45', '1000', '400', '-32', '17', '17', '18', '25', '18', '50', '2026', '-50', 'small', '4', '1', '0', '960', '1280', '1320', '1280', '1280', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45505', 'Ettin', '$1010', 'Forgotten Island', 'L1Monster', '2356', '45', '550', '70', '-27', '20', '18', '16', '18', '16', '0', '2026', '-40', 'large', '2', '2', '0', '440', '760', '1240', '1080', '1080', '0', '0', '0', '1', '1', '0', 'brute', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45506', 'Cursed Elmore Wizard', '$2612', '', 'L1Monster', '2112', '45', '300', '100', '-62', '15', '17', '10', '10', '19', '90', '2026', '-20', 'small', '0', '1', '0', '1440', '1920', '1600', '1920', '1920', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45507', 'Disciple of Death', '$2657', '', 'L1Monster', '3083', '57', '2000', '100', '-66', '70', '20', '11', '20', '20', '70', '3250', '-10', 'large', '0', '1', '0', '480', '840', '1840', '840', '840', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45508', 'Earth Spirit Master', '$3471', '', 'L1Monster', '4041', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '0', '1', '0', '1920', '1760', '2080', '1760', '1760', '0', '0', '0', '0', '0', '0', 'spiritearth', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45509', 'King Bugbear', '$937', '', 'L1Monster', '2358', '45', '480', '30', '-18', '21', '18', '12', '12', '10', '20', '2026', '-32', 'large', '4', '1', '0', '480', '640', '720', '640', '640', '0', '0', '0', '1', '1', '1', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45510', 'Wind Spirit Master', '$3470', '', 'L1Monster', '4024', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '0', '1', '0', '960', '920', '0', '1240', '1440', '0', '0', '0', '0', '0', '0', 'spiritwind', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45511', 'Fire Spirit Master', '$3468', '', 'L1Monster', '4013', '45', '1400', '200', '-40', '20', '16', '18', '18', '22', '35', '2026', '-20', 'small', '0', '1', '0', '640', '1080', '1280', '1600', '1240', '0', '0', '0', '0', '0', '0', 'spiritfire', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45512', 'Hell Bound', '$3811', '', 'L1Monster', '4643', '40', '657', '278', '-40', '16', '18', '15', '12', '15', '0', '1601', '-25', 'small', '2', '1', '0', '640', '1040', '1320', '1080', '1080', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45513', 'Zenith Queen', '$2395', '', 'L1Monster', '2807', '45', '1200', '250', '-50', '55', '18', '45', '18', '18', '70', '2026', '-70', 'large', '0', '1', '0', '480', '1480', '0', '1760', '1960', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '75', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '2', '1', '0', '1');
INSERT INTO `npc` VALUES ('45514', 'Fire Ghost', '$2393', '', 'L1Monster', '1321', '45', '500', '25', '-45', '18', '14', '14', '14', '14', '45', '2026', '-30', 'small', '0', '1', '0', '960', '1000', '1440', '1000', '1000', '1', '0', '0', '1', '1', '1', 'ghost', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45515', 'Ifrit', '$1567', '', 'L1Monster', '1773', '46', '1100', '300', '-28', '20', '18', '18', '18', '18', '40', '2117', '-55', 'large', '4', '1', '0', '960', '1640', '0', '1640', '1640', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45516', 'Ifrit', '$1567', '', 'L1Monster', '1773', '46', '1100', '300', '-28', '20', '18', '18', '18', '18', '80', '2117', '-55', 'large', '4', '1', '0', '960', '1640', '0', '1640', '1640', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '80', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45517', 'Spiritologist of Blood', '$3832', '', 'L1Monster', '4670', '46', '1198', '318', '-54', '15', '15', '14', '15', '19', '70', '2117', '-50', 'small', '2', '1', '0', '640', '1080', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45518', 'Heavy Oum Warrior', '$3831', '', 'L1Monster', '4744', '46', '898', '0', '-54', '17', '16', '15', '12', '10', '40', '2117', '-25', 'large', '2', '1', '0', '960', '1040', '1480', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45519', 'Fire Ghost', '$2393', '', 'L1Monster', '1318', '46', '500', '25', '-48', '18', '14', '14', '14', '14', '45', '2117', '-30', 'small', '0', '1', '0', '960', '1000', '1440', '1000', '1000', '1', '0', '0', '1', '1', '1', 'ghost', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45520', 'Spirit Taurverus of Fire', '$2616', '', 'L1Monster', '1780', '46', '830', '80', '-65', '20', '20', '18', '18', '18', '55', '2117', '-50', 'small', '0', '0', '0', '880', '1000', '1000', '1440', '1440', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45521', 'Hell Creature', '$3812', '', 'L1Monster', '4622', '43', '962', '0', '-41', '16', '19', '15', '10', '16', '45', '1850', '-25', 'small', '2', '1', '0', '960', '960', '1600', '960', '960', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45522', 'Bone Dragon', '$2108', '', 'L1Monster', '2409', '47', '720', '140', '-48', '32', '16', '11', '18', '18', '90', '2210', '-50', 'large', '0', '1', '0', '960', '1280', '0', '1800', '1280', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45523', 'Lord of Darkness', '$3833', '', 'L1Monster', '4657', '47', '1274', '1200', '-55', '16', '17', '14', '14', '18', '75', '2210', '-25', 'small', '2', '1', '0', '640', '1080', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45524', 'Cursed Elmore Soldier', '$2611', '', 'L1Monster', '2150', '47', '700', '20', '-61', '16', '16', '17', '12', '15', '30', '2210', '-20', 'small', '0', '2', '0', '480', '1040', '1400', '1040', '1040', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45526', 'Crimson Drake', '$3813', '', 'L1Monster', '4649', '43', '1020', '278', '-42', '13', '20', '15', '8', '9', '65', '1850', '-25', 'small', '2', '1', '0', '480', '1160', '1760', '920', '920', '0', '0', '0', '1', '1', '1', 'drake', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45527', 'Blood Rain Knight', '$3829', '', 'L1Monster', '4615', '47', '1274', '318', '-55', '20', '18', '16', '12', '15', '65', '2210', '-25', 'small', '2', '1', '0', '960', '1200', '1120', '1200', '1200', '1', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '35', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45528', 'Cruel Snow Tiger', '$2615', '', 'L1Monster', '2086', '48', '850', '50', '-64', '19', '18', '17', '12', '10', '20', '2305', '-25', 'large', '0', '1', '0', '960', '1360', '1400', '1360', '1360', '0', '0', '0', '1', '1', '1', 'tiger', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45529', 'Drake', '$972', '', 'L1Monster', '1062', '48', '1200', '550', '-48', '32', '18', '18', '15', '15', '70', '2305', '-43', 'large', '1', '1', '0', '320', '960', '1920', '960', '960', '0', '0', '0', '1', '1', '1', 'drake', '0', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45530', 'Grave Guardian Mage', '$3411', '', 'L1Monster', '4051', '48', '1500', '1000', '-50', '55', '21', '11', '21', '18', '70', '2305', '-80', 'large', '0', '2', '0', '1280', '960', '1000', '960', '960', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45531', 'Basilisk', '$962', '', 'L1Monster', '2359', '48', '800', '300', '-25', '30', '18', '17', '12', '12', '30', '2305', '-38', 'large', '8', '1', '0', '620', '860', '0', '1180', '1180', '0', '0', '1', '1', '1', '1', 'basilisk', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45532', 'Fire Archer of Darkness', '$2620', '', 'L1Monster', '1832', '48', '800', '20', '-58', '13', '10', '20', '11', '12', '45', '2305', '-25', 'small', '0', '10', '0', '960', '2000', '1320', '1000', '1000', '0', '0', '0', '1', '1', '1', 'burningarcher', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45533', 'Phantom Knight', '$3814', '', 'L1Monster', '4664', '41', '1080', '278', '-25', '19', '15', '16', '16', '16', '50', '1682', '-50', 'small', '2', '2', '0', '640', '1160', '1400', '1160', '1160', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45534', 'Mambo Rabbit Pink Vest', '$3462', '', 'L1Monster', '4168', '50', '3000', '300', '-35', '18', '18', '18', '18', '18', '50', '20000', '-100', 'small', '0', '1', '0', '960', '800', '1440', '800', '800', '0', '0', '0', '1', '0', '0', 'pirate', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45535', 'Mambo Rabbit Orange Vest', '$3462', '', 'L1Monster', '4171', '50', '4000', '300', '-40', '20', '18', '18', '22', '22', '60', '20000', '-100', 'small', '0', '1', '0', '960', '840', '1480', '840', '840', '0', '0', '0', '0', '0', '0', 'spirit', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45536', 'Priest of Death', '$3781', '', 'L1Monster', '4574', '45', '750', '1200', '-50', '20', '17', '16', '12', '14', '100', '2026', '-5', 'large', '0', '1', '0', '1500', '1172', '1200', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45537', 'Grave Guardian Knight', '$3410', '', 'L1Monster', '4212', '50', '2000', '1000', '-55', '55', '21', '11', '21', '18', '70', '2501', '-80', 'large', '0', '2', '0', '1280', '1080', '1120', '1080', '1080', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45538', 'Cyclops', '$1113', '', 'L1Monster', '2361', '50', '880', '50', '-28', '20', '18', '7', '5', '5', '30', '2501', '-37', 'large', '1', '2', '0', '640', '780', '1120', '780', '780', '0', '0', '0', '1', '1', '1', 'cyclops', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45539', 'Thing', '$3479', '', 'L1Monster', '4007', '50', '2400', '200', '-35', '20', '20', '18', '18', '22', '75', '2501', '-100', 'small', '0', '3', '0', '640', '2280', '2080', '2280', '2280', '1', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45540', 'Fire Warrior of Darkness', '$2619', '', 'L1Monster', '1770', '50', '950', '20', '-64', '18', '10', '18', '12', '15', '30', '2501', '-25', 'small', '0', '2', '0', '960', '1520', '1480', '1520', '1520', '0', '0', '0', '1', '1', '1', 'burningwarrior', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45541', 'Cursed Elmore General', '$2613', '', 'L1Monster', '2137', '50', '750', '100', '-63', '17', '18', '15', '12', '15', '40', '2501', '-25', 'small', '0', '1', '0', '960', '1200', '1280', '1200', '1200', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45542', 'Priest of Death', '$3781', '', 'L1Monster', '4576', '50', '1250', '300', '-55', '25', '25', '25', '25', '25', '100', '2501', '-5', 'large', '0', '1', '0', '1336', '1000', '0', '1000', '1000', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '10', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45543', 'Priest of Chaos', '$3780', '', 'L1Monster', '4550', '50', '500', '300', '-60', '25', '25', '25', '25', '25', '100', '2501', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45544', 'Follower of Chaos', '$3782', '', 'L1Monster', '4550', '50', '250', '300', '-60', '25', '25', '25', '25', '25', '100', '2501', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45545', 'Dark Elder', '$992', '', 'L1Monster', '183', '50', '1500', '1000', '-45', '12', '15', '12', '17', '17', '90', '2501', '-50', 'small', '0', '1', '0', '640', '900', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'elder', '1', '-1', '-1', '0', '0', '0', '5000', '180', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '3', '1', '0', '1');
INSERT INTO `npc` VALUES ('45546', 'Doppelganger', '$1554', '', 'L1Monster', '2389', '50', '3000', '100', '-63', '20', '19', '18', '15', '17', '80', '2501', '-60', 'small', '1', '1', '0', '1040', '1440', '0', '1440', '1440', '0', '0', '0', '1', '1', '1', 'doppel', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45547', 'Seer', '$2397', '', 'L1Monster', '2773', '50', '1500', '300', '-53', '60', '15', '50', '18', '18', '75', '2501', '-60', 'large', '0', '1', '0', '480', '1440', '0', '1400', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '75', '5000', '75', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45548', 'Jose', '$3728', '', 'L1Monster', '4698', '50', '800', '500', '-60', '16', '10', '16', '6', '8', '60', '2501', '-1000', 'small', '0', '8', '0', '800', '1000', '600', '1000', '1000', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2989', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45549', 'Ball Lightning', '$2485', '', 'L1Monster', '2727', '7', '90', '22', '-7', '16', '17', '18', '15', '16', '15', '8', '-10', 'small', '0', '1', '0', '960', '920', '0', '920', '920', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '150', '-45', '1', '-65', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45550', 'Dark Elder', '$992', '', 'L1Monster', '183', '50', '1500', '1000', '-45', '12', '15', '12', '17', '17', '90', '2501', '-50', 'small', '0', '1', '0', '640', '900', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'elder', '1', '-1', '-1', '0', '0', '0', '5000', '0', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '3', '0', '0', '1');
INSERT INTO `npc` VALUES ('45551', 'Fungus', '$757', '', 'L1Monster', '852', '7', '90', '1', '-7', '6', '10', '12', '6', '6', '1', '8', '-10', 'small', '2', '1', '0', '1040', '1480', '0', '1480', '1480', '0', '1', '0', '0', '0', '0', 'fungus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '10', '-45', '1', '-65', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45552', 'Salamander', '$1505', '', 'L1Monster', '1666', '7', '90', '37', '-7', '17', '12', '15', '12', '10', '10', '8', '-11', 'small', '4', '1', '0', '640', '1080', '1280', '1080', '1080', '0', '0', '0', '0', '0', '0', 'salamander', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '250', '-45', '1', '-70', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45553', 'Ice Golem', '$1395', '', 'L1Monster', '1525', '7', '90', '0', '-7', '46', '16', '10', '5', '2', '7', '8', '-10', 'large', '2', '1', '0', '1920', '1480', '1680', '1480', '1480', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '0', '-45', '1', '-65', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45554', 'Killer Bee', '$2484', '', 'L1Monster', '2788', '8', '90', '1', '-9', '17', '17', '18', '11', '10', '10', '9', '-10', 'small', '0', '1', '0', '480', '960', '1280', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '80', '600', '10', '-60', '1', '-65', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45555', 'Fire Egg', '$1570', '', 'L1Monster', '1820', '7', '90', '1', '-7', '16', '18', '16', '16', '12', '35', '8', '-10', 'small', '4', '1', '0', '1440', '880', '880', '1000', '1000', '0', '0', '0', '0', '0', '0', 'fireegg', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '10', '-45', '1', '-65', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45556', 'Ice Man', '$1791', '', 'L1Monster', '2158', '7', '90', '5', '-7', '17', '17', '17', '12', '12', '15', '8', '-10', 'large', '2', '1', '0', '960', '1600', '1640', '1600', '1600', '0', '0', '0', '0', '0', '0', 'iceman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '50', '600', '22', '-45', '1', '-65', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45557', 'Will O\' Wisp', '$2489', '', 'L1Monster', '2975', '6', '90', '37', '-9', '16', '18', '16', '16', '17', '35', '7', '-2', 'small', '0', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '360', '150', '-33', '1', '-6', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45558', 'Will O\' Wisp', '$2489', '', 'L1Monster', '2972', '24', '360', '150', '-33', '16', '18', '16', '16', '17', '35', '25', '-6', 'small', '0', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45559', 'Will O\' Wisp', '$2489', '', 'L1Monster', '2973', '24', '360', '150', '-33', '16', '18', '16', '16', '17', '35', '25', '-6', 'small', '0', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45560', 'Will O\' Wisp', '$2489', '', 'L1Monster', '2974', '6', '90', '37', '-9', '16', '18', '16', '16', '17', '35', '7', '-2', 'small', '0', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45561', 'Will O\' Wisp', '$2489', '', 'L1Monster', '2752', '6', '90', '37', '-9', '16', '18', '16', '16', '17', '35', '7', '-2', 'small', '0', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '600', '250', '-55', '1', '-10', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45562', 'Guardian Armor', '$2487', '', 'L1Monster', '2771', '8', '150', '0', '-8', '21', '19', '12', '5', '3', '0', '9', '-11', 'large', '0', '1', '0', '960', '1640', '1720', '1640', '1640', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '56', '1000', '0', '-50', '1', '-70', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45564', 'Nightmare', '$2103', '', 'L1Monster', '2332', '50', '1800', '500', '-50', '4', '17', '29', '16', '18', '45', '638', '-10', 'small', '0', '2', '0', '480', '1600', '2240', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45569', 'Baphomet of Varlok', '$3519', '', 'L1Monster', '53', '51', '1500', '350', '-65', '68', '20', '18', '17', '16', '80', '2602', '-5', 'small', '0', '1', '0', '480', '760', '800', '800', '1050', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '-2', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45570', 'Priest of Corruption', '$2655', '', 'L1Monster', '3957', '51', '1500', '250', '-50', '55', '21', '11', '21', '18', '70', '2602', '-5', 'small', '0', '1', '0', '960', '1320', '960', '1320', '1320', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45571', 'Priest of Corruption', '$2655', '', 'L1Monster', '3195', '51', '1500', '100', '-53', '55', '21', '11', '21', '18', '70', '2602', '-5', 'small', '0', '2', '0', '960', '1040', '1480', '1040', '1040', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45572', 'Astagio of Fire', '$2617', '', 'L1Monster', '1841', '51', '900', '30', '-65', '22', '18', '22', '11', '10', '50', '2602', '-30', 'large', '0', '1', '0', '800', '1000', '1800', '1000', '1000', '0', '0', '0', '1', '1', '1', 'asitagio', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45573', 'Baphomet', '$306', '', 'L1Monster', '53', '51', '3000', '350', '-65', '68', '20', '18', '17', '16', '80', '2602', '-100', 'small', '2', '1', '0', '480', '760', '800', '800', '1050', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45574', 'Palace General Kyte', '$3800', '', 'L1Monster', '4701', '51', '12544', '732', '-61', '16', '15', '17', '12', '16', '60', '2602', '-25', 'small', '2', '1', '0', '960', '1160', '0', '1800', '1800', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45575', 'Disciple of Death', '$2657', '', 'L1Monster', '4693', '52', '750', '300', '-55', '15', '15', '18', '25', '18', '100', '2705', '-5', 'large', '0', '1', '0', '1000', '1172', '0', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '10', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45576', 'Priest of Chaos', '$3780', '', 'L1Monster', '4521', '52', '750', '300', '-65', '25', '25', '25', '25', '25', '100', '2705', '-5', 'large', '0', '6', '0', '1000', '1172', '960', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45577', 'Brigade Commander Dark Fencer', '$3807', '', 'L1Monster', '4625', '52', '12028', '300', '-47', '19', '20', '18', '16', '15', '40', '2705', '-25', 'small', '2', '1', '0', '960', '760', '1080', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45578', 'Drake', '$972', '', 'L1Monster', '2362', '53', '1200', '550', '-38', '32', '18', '18', '15', '15', '40', '2810', '-43', 'large', '1', '1', '0', '280', '640', '1920', '960', '960', '0', '0', '0', '1', '1', '1', 'drake', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45579', 'Beleth of Varlok', '$3520', '', 'L1Monster', '1011', '53', '1600', '350', '-66', '68', '20', '18', '18', '17', '80', '2810', '-5', 'small', '2', '1', '0', '480', '760', '800', '800', '1050', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '-2', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45580', 'Succubus Queen of Darkness', '$2621', '', 'L1Monster', '1116', '53', '1800', '400', '-70', '17', '17', '18', '25', '18', '80', '2810', '-50', 'small', '0', '1', '0', '640', '800', '1080', '1100', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45581', 'Insolent Zenith Queen', '$2622', '', 'L1Monster', '2807', '53', '1800', '250', '-65', '25', '18', '18', '18', '18', '100', '2810', '-70', 'large', '0', '1', '0', '480', '1480', '0', '1760', '1960', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '2', '0', '0', '0');
INSERT INTO `npc` VALUES ('45582', 'Priest of Corruption', '$2655', '', 'L1Monster', '3989', '53', '1800', '300', '-63', '55', '21', '11', '21', '18', '70', '2810', '-5', 'small', '0', '2', '0', '720', '1040', '1080', '1040', '1040', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45583', 'Beleth', '$945', '', 'L1Monster', '1011', '53', '2100', '350', '-66', '68', '20', '18', '20', '20', '80', '2810', '-100', 'small', '2', '1', '0', '480', '760', '800', '800', '1050', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '380', '5000', '380', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45584', 'Greater Minotaur', '$2106', '', 'L1Monster', '2402', '53', '5000', '200', '-65', '70', '20', '12', '17', '18', '60', '2810', '-110', 'large', '2', '1', '0', '960', '1520', '0', '1520', '1520', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45585', 'Assassin Squad Leader Blaze', '$3799', '', 'L1Monster', '4618', '53', '12873', '630', '-63', '15', '16', '18', '12', '16', '55', '2810', '-25', 'small', '4', '10', '0', '640', '1280', '1360', '1160', '1160', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2989', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45586', 'Lesser Seer', '$2623', '', 'L1Monster', '2773', '54', '1600', '350', '-63', '15', '15', '15', '18', '18', '99', '2917', '-60', 'large', '0', '1', '0', '480', '1440', '0', '1400', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45587', 'Priest of Corruption', '$2655', '', 'L1Monster', '3984', '54', '2100', '400', '-63', '55', '21', '11', '21', '18', '70', '2917', '-5', 'small', '0', '2', '0', '720', '1120', '1040', '1120', '1120', '3', '1', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45588', 'Division Commander Sinclair', '$3806', '', 'L1Monster', '4854', '54', '12262', '1017', '-49', '15', '16', '12', '15', '18', '60', '2917', '-25', 'small', '2', '1', '0', '960', '1080', '0', '1080', '1520', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45589', 'Zombie Lord of Fear', '$2625', '', 'L1Monster', '2803', '55', '3500', '100', '-68', '22', '25', '18', '10', '15', '40', '3026', '-180', 'large', '0', '2', '0', '1440', '1880', '0', '1240', '1800', '3', '0', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45590', 'Reaper', '$2863', '', 'L1Monster', '3092', '55', '1800', '400', '-60', '25', '20', '20', '25', '15', '70', '3026', '-250', 'small', '2', '1', '0', '480', '1400', '1320', '1400', '1400', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45591', 'Abyss Water Spirit', '$3473', '', 'L1Monster', '4028', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '0', '1', '0', '960', '2240', '0', '2240', '2240', '0', '0', '0', '1', '0', '0', 'spiritwater', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45592', 'Abyss Earth Spirit', '$3475', '', 'L1Monster', '4030', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '0', '1', '0', '960', '1360', '0', '1360', '1360', '0', '0', '0', '1', '0', '0', 'spiritearth', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45593', 'Abyss Wind Spirit', '$3474', '', 'L1Monster', '4029', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '0', '1', '0', '960', '2080', '0', '2080', '2080', '0', '0', '0', '1', '0', '0', 'spiritwind', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45594', 'Abyss Fire Spirit', '$3472', '', 'L1Monster', '4025', '55', '1800', '200', '-50', '20', '16', '18', '18', '24', '45', '3026', '-20', 'small', '0', '1', '0', '960', '1200', '0', '1200', '1200', '0', '0', '0', '1', '0', '0', 'spiritfire', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45595', 'Iris', '$2609', '', 'L1Monster', '3180', '55', '2500', '900', '-70', '25', '13', '13', '13', '18', '80', '3026', '-80', 'small', '0', '1', '0', '1040', '1400', '1920', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '1');
INSERT INTO `npc` VALUES ('45596', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4574', '55', '1500', '1200', '-50', '25', '21', '11', '11', '10', '100', '3026', '-5', 'large', '0', '1', '0', '1500', '1172', '1200', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '10', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45597', 'Disciple of Death', '$2657', '', 'L1Monster', '4563', '55', '1000', '300', '-60', '68', '20', '18', '17', '16', '100', '3026', '-5', 'large', '0', '2', '0', '1500', '1344', '1480', '1344', '1344', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '10', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45598', 'Disciple of Death', '$2657', '', 'L1Monster', '4652', '55', '1000', '300', '-60', '68', '20', '18', '18', '17', '100', '3026', '-5', 'large', '0', '2', '0', '1500', '1125', '1120', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '10', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45599', 'Priest of Chaos', '$3780', '', 'L1Monster', '4544', '55', '1000', '300', '-70', '25', '25', '25', '18', '18', '100', '3026', '-5', 'large', '0', '6', '0', '1000', '1125', '960', '1125', '1125', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45600', 'Kurtz', '$274', '', 'L1Monster', '3101', '55', '2000', '250', '-67', '75', '18', '17', '15', '17', '65', '3026', '-120', 'small', '0', '1', '0', '640', '680', '1080', '960', '1050', '0', '0', '0', '0', '1', '0', 'antiking', '1', '0', '4', '0', '0', '0', '5000', '420', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45601', 'Death Knight', '$371', '', 'L1Monster', '240', '55', '4000', '250', '-67', '75', '18', '17', '15', '17', '65', '3026', '-120', 'small', '2', '1', '0', '640', '600', '760', '900', '960', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '310', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '14', '1', '0', '1');
INSERT INTO `npc` VALUES ('45602', 'Evil Magic Squad Leader Carmiel', '$3817', '', 'L1Monster', '4855', '55', '12269', '1413', '-47', '14', '18', '17', '14', '18', '60', '3026', '-25', 'small', '2', '1', '0', '960', '1160', '0', '1800', '1800', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45603', 'Large Grave Guardian', '$3409', '', 'L1Monster', '4215', '56', '5000', '1500', '-63', '60', '21', '11', '21', '18', '70', '3137', '-80', 'large', '0', '5', '0', '1280', '1040', '960', '1040', '1040', '0', '0', '0', '1', '1', '1', 'graveguardian', '1', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '1');
INSERT INTO `npc` VALUES ('45604', 'Marquise Vampire', '$2624', '', 'L1Monster', '2757', '56', '2500', '500', '-63', '13', '13', '13', '20', '20', '65', '3137', '-100', 'small', '0', '1', '0', '960', '1040', '0', '1040', '2320', '2', '0', '0', '1', '1', '1', 'vampire', '1', '-1', '-1', '0', '0', '0', '0', '0', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45605', 'Priest of Corruption', '$2655', '', 'L1Monster', '3969', '56', '1000', '380', '-60', '55', '21', '11', '21', '18', '70', '3137', '-5', 'small', '0', '3', '0', '720', '960', '880', '960', '960', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '30', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45606', 'Vampire', '$2399', '', 'L1Monster', '2757', '56', '3000', '500', '-53', '13', '13', '56', '20', '20', '85', '2501', '-100', 'small', '2', '1', '0', '960', '1040', '0', '1040', '2320', '2', '0', '0', '1', '1', '1', 'vampire', '0', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45607', 'Evil Power Squad Leader Kybar', '$3805', '', 'L1Monster', '4625', '56', '12520', '1200', '-51', '19', '20', '18', '16', '15', '70', '3137', '-25', 'small', '0', '1', '0', '960', '760', '1080', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45608', 'Mercenary Commander Mephaisto', '$3827', '', 'L1Monster', '4625', '56', '13282', '722', '-64', '18', '19', '19', '16', '17', '70', '3137', '-25', 'small', '2', '1', '0', '960', '760', '1080', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45609', 'Ice Queen', '$1771', '', 'L1Monster', '2118', '56', '3000', '400', '-65', '30', '18', '20', '18', '18', '60', '3137', '-120', 'small', '8', '1', '0', '960', '1320', '0', '1320', '1320', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45610', 'Ancient Giant', '$2109', '', 'L1Monster', '2421', '56', '5000', '350', '-63', '20', '20', '18', '18', '20', '70', '3137', '-80', 'large', '2', '1', '0', '960', '1880', '0', '1880', '1880', '0', '0', '0', '1', '1', '1', 'giant', '1', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '225', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45611', 'Incarnation of Varlok', '$3414', '', 'L1Monster', '2538', '57', '8000', '500', '-60', '70', '20', '18', '20', '20', '70', '3250', '-180', 'large', '0', '3', '0', '960', '1520', '1400', '1520', '1520', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45612', 'Temple Head Bounty', '$3816', '', 'L1Monster', '4667', '57', '12521', '1413', '-49', '15', '18', '14', '15', '19', '50', '3250', '-25', 'small', '2', '1', '0', '960', '1080', '0', '1080', '1520', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45613', 'Varlok', '$2114', '', 'L1Monster', '2538', '57', '3100', '500', '-66', '68', '27', '25', '25', '25', '75', '3250', '-180', 'large', '0', '1', '0', '960', '1520', '1400', '1520', '1520', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45614', 'Giant Ant Queen', '$1506', '', 'L1Monster', '1390', '57', '8000', '100', '-65', '30', '18', '20', '17', '15', '60', '3250', '-120', 'large', '2', '3', '0', '1280', '800', '0', '1240', '1240', '0', '0', '0', '1', '1', '1', 'ant', '0', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45615', 'Bright Magic Troup Leader Crepus', '$3826', '', 'L1Monster', '4625', '58', '13692', '722', '-66', '19', '19', '18', '16', '16', '60', '3365', '-25', 'small', '2', '1', '0', '960', '760', '1080', '1320', '1320', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45616', 'Mummy Lord', '$2589', '', 'L1Monster', '3086', '58', '4000', '750', '-55', '20', '15', '14', '22', '22', '80', '3365', '-250', 'large', '0', '1', '0', '1200', '440', '680', '440', '440', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45617', 'Phoenix', '$1569', '', 'L1Monster', '1791', '59', '6000', '200', '-63', '35', '18', '18', '22', '22', '99', '3482', '-130', 'large', '4', '2', '0', '960', '1600', '0', '1600', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '350', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45618', 'Knight Vald', '$2588', '', 'L1Monster', '3066', '65', '5000', '600', '-70', '75', '65', '25', '18', '22', '80', '4226', '-100', 'large', '0', '2', '0', '1360', '640', '1480', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '320', '5000', '400', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45619', 'Great Spirit of Earth', '$2551', '', 'L1Monster', '2749', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '2', '2', '0', '960', '1360', '0', '1360', '1360', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45620', 'Great Spirit of Water', '$2482', '', 'L1Monster', '2738', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '0', '2', '0', '960', '2240', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '1');
INSERT INTO `npc` VALUES ('45621', 'Great Spirit of Wind', '$2483', '', 'L1Monster', '2741', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '1', '2', '0', '960', '2080', '0', '2080', '2080', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '1');
INSERT INTO `npc` VALUES ('45622', 'Great Spirit of Fire', '$2481', '', 'L1Monster', '2747', '60', '2500', '500', '-66', '25', '13', '13', '13', '18', '50', '3601', '-80', 'large', '4', '2', '0', '960', '1200', '0', '1200', '1200', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45623', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4521', '62', '1500', '300', '-55', '45', '21', '21', '21', '18', '100', '3845', '-5', 'large', '0', '8', '0', '1000', '1172', '960', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '20', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45624', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4576', '60', '2500', '300', '-60', '45', '21', '21', '21', '18', '100', '3601', '-5', 'large', '0', '1', '0', '1336', '1000', '0', '1000', '1000', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45625', 'Chaos', '$3778', '', 'L1Monster', '4595', '60', '5000', '300', '-60', '45', '21', '21', '21', '18', '100', '3601', '-5', 'large', '0', '1', '0', '1000', '1047', '1440', '1047', '1047', '3', '1', '0', '1', '1', '1', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '100', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45626', 'Priest of Chaos', '$3780', '', 'L1Monster', '4521', '22', '750', '300', '-65', '25', '25', '25', '25', '25', '100', '485', '-5', 'large', '0', '6', '0', '1000', '1172', '960', '1172', '1172', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '4552', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45627', 'Priest of Chaos', '$3780', '', 'L1Monster', '4544', '55', '1000', '300', '-70', '25', '25', '25', '18', '18', '100', '3026', '-5', 'large', '0', '6', '0', '1000', '1125', '960', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45628', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4693', '62', '1500', '300', '-65', '35', '21', '21', '21', '18', '100', '3845', '-5', 'large', '0', '1', '0', '1000', '1172', '0', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '20', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45629', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4563', '65', '2000', '300', '-70', '45', '21', '21', '21', '18', '100', '4226', '-5', 'large', '0', '2', '0', '1500', '1344', '1480', '1344', '1344', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45630', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4652', '65', '2000', '300', '-60', '45', '21', '21', '21', '18', '100', '4226', '-5', 'large', '0', '2', '0', '1500', '1125', '1120', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45631', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4544', '65', '2000', '300', '-70', '68', '25', '25', '18', '18', '100', '4226', '-5', 'large', '0', '6', '0', '1000', '1125', '960', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '120', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '20', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45632', 'Guardsman of Yahee', '$3785', '', 'L1Monster', '4550', '60', '1000', '300', '-60', '35', '21', '11', '21', '18', '100', '3601', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '20', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45640', 'Unicorn', '$2488', '', 'L1Monster', '2755', '7', '270', '75', '-8', '19', '18', '17', '17', '16', '45', '7', '-2', 'small', '0', '2', '0', '960', '1680', '1760', '1680', '1680', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '50', '1800', '500', '-50', '1', '-10', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45641', 'Nightmare', '$2103', '', 'L1Monster', '2332', '60', '2000', '500', '-55', '20', '18', '20', '16', '16', '45', '915', '-10', 'small', '0', '2', '0', '480', '1600', '2240', '1600', '1600', '2', '0', '0', '1', '1', '1', 'nightmare', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45642', 'Great Spirit of Earth', '$2551', '', 'L1Monster', '2749', '60', '1500', '500', '-53', '30', '19', '18', '19', '18', '45', '3601', '-80', 'large', '2', '1', '0', '960', '1360', '0', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45643', 'Great Spirit of Water', '$2482', '', 'L1Monster', '2738', '60', '1500', '500', '-53', '30', '20', '18', '18', '18', '45', '3601', '-80', 'large', '8', '1', '0', '960', '2240', '0', '2240', '2240', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '1', '0', '1');
INSERT INTO `npc` VALUES ('45644', 'Great Spirit of Wind', '$2483', '', 'L1Monster', '2741', '60', '1500', '500', '-53', '30', '18', '20', '18', '18', '45', '3601', '-80', 'large', '1', '1', '0', '960', '2080', '0', '2080', '2080', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '1', '0', '1');
INSERT INTO `npc` VALUES ('45645', 'Great Spirit of Fire', '$2481', '', 'L1Monster', '2747', '60', '1500', '500', '-53', '32', '18', '18', '18', '18', '45', '3601', '-80', 'large', '4', '1', '0', '960', '1200', '0', '1200', '1200', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45646', 'Abyss Master', '$3476', '', 'L1Monster', '4034', '60', '4000', '100', '-60', '20', '20', '20', '18', '20', '60', '3601', '-100', 'small', '0', '3', '0', '640', '720', '1760', '720', '720', '2', '0', '0', '0', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45647', 'Demon of Varlok', '$3516', '', 'L1Monster', '1180', '61', '6000', '250', '-68', '25', '20', '18', '20', '18', '75', '3722', '-150', 'large', '0', '1', '0', '640', '720', '1760', '900', '960', '2', '0', '0', '1', '1', '1', 'daemon', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '8', '0', '0', '0', '0', '0', '-2', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45648', 'Slave of Assassin King', '$3798', '', 'L1Monster', '4527', '61', '16202', '1239', '-71', '16', '18', '20', '10', '17', '75', '3722', '-25', 'large', '0', '10', '0', '640', '800', '0', '1280', '1440', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '120', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '2989', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45649', 'Demon', '$1175', '', 'L1Monster', '1180', '61', '6000', '250', '-68', '25', '20', '18', '20', '20', '75', '3722', '-150', 'large', '2', '1', '0', '640', '720', '1760', '900', '960', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '285', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45650', 'Zombie Lord', '$2398', '', 'L1Monster', '2803', '62', '8000', '100', '-58', '65', '25', '62', '10', '15', '50', '3845', '-180', 'large', '0', '2', '0', '1440', '1880', '0', '1240', '1800', '3', '0', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45651', 'Dread King Baranka', '$3804', 'Diad Castle Gate Boss', 'L1Monster', '3664', '63', '17290', '0', '-58', '22', '25', '20', '18', '18', '65', '3970', '-5', 'large', '0', '2', '0', '480', '1000', '1720', '1000', '1000', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '150', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45652', 'Cougar', '$2587', '', 'L1Monster', '3049', '63', '2800', '400', '-65', '65', '20', '63', '8', '20', '75', '3970', '-200', 'large', '0', '1', '0', '480', '440', '1560', '440', '440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45653', 'Mummy Lord', '$2589', '', 'L1Monster', '3086', '63', '5000', '750', '-60', '65', '22', '63', '22', '22', '99', '3970', '-250', 'large', '0', '1', '0', '1200', '440', '680', '440', '440', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45654', 'Iris', '$2609', '', 'L1Monster', '3180', '64', '3100', '900', '-75', '70', '13', '64', '13', '18', '99', '4097', '-80', 'large', '0', '1', '0', '1040', '1400', '1920', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '275', '5000', '275', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '14', '1', '0', '1');
INSERT INTO `npc` VALUES ('45655', 'Guard', '$240', '', 'L1Guard', '3136', '65', '2000', '300', '-70', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45656', 'Guard', '$240', '', 'L1Guard', '3136', '65', '2000', '300', '-70', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45657', 'Guard', '$240', '', 'L1Guard', '3136', '65', '2000', '300', '-70', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45658', 'Guard', '$240', '', 'L1Guard', '3136', '65', '1500', '300', '-55', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45659', 'Guard', '$240', '', 'L1Guard', '3136', '65', '1500', '300', '-55', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45660', 'Guard', '$240', '', 'L1Guard', '3136', '65', '2000', '300', '-60', '126', '126', '126', '126', '126', '0', '4226', '0', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45661', 'Guard', '$240', '', 'L1Guard', '3136', '65', '1000', '300', '-50', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45662', 'Guard', '$2933 ??', '', 'L1Guard', '3136', '65', '1500', '300', '-55', '126', '126', '126', '126', '126', '0', '4226', '-5', 'large', '0', '1', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45664', 'Knight Vald', '$2588', '', 'L1Monster', '3066', '60', '5000', '600', '-65', '25', '25', '25', '8', '15', '55', '3601', '-100', 'small', '0', '1', '0', '1360', '640', '1480', '1240', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '5000', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45665', 'Baras', '$2921', '', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45666', 'Teranus', '$2923', '', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45667', 'Kunos', '$2922', '', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45668', 'Zyrus', '$2924', '', 'L1Monster', '3366', '65', '12000', '150', '-78', '19', '18', '18', '18', '18', '50', '4226', '-5', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45906', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3376', '31', '279', '400', '-10', '9', '10', '10', '18', '17', '39', '962', '-31', 'small', '0', '1', '0', '1920', '1560', '0', '1560', '1560', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45670', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '3366', '48', '600', '50', '-50', '20', '18', '15', '17', '17', '45', '2305', '-50', 'large', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45671', 'Ariorc', 'Ariorc', 'Kent Castle Dunegon Boss', 'L1Monster', '4466', '65', '14500', '2250', '-60', '20', '20', '20', '22', '18', '45', '4226', '-250', 'large', '0', '2', '0', '1920', '1080', '1320', '1080', '1080', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '15', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45672', 'Lich', '$2110', '', 'L1Monster', '2495', '66', '6000', '1250', '-75', '50', '20', '66', '22', '23', '99', '4357', '-250', 'large', '0', '2', '0', '1920', '1440', '1280', '1600', '1240', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '14', '1', '0', '1');
INSERT INTO `npc` VALUES ('45673', 'Grim Reaper', '$2590', '', 'L1Monster', '3387', '68', '8000', '1200', '-80', '20', '20', '20', '20', '20', '80', '4625', '-250', 'large', '0', '2', '0', '960', '1440', '0', '1400', '4000', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '350', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45674', 'Death', '$3779', '', 'L1Monster', '4587', '70', '10000', '300', '-65', '45', '21', '21', '21', '18', '100', '4901', '-5', 'large', '0', '2', '0', '1000', '1219', '1040', '1219', '1219', '3', '0', '0', '1', '1', '1', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '4592', '100', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45675', 'Yahee', '$3777', '', 'L1Monster', '4569', '65', '12000', '4000', '-65', '45', '21', '21', '21', '18', '100', '4226', '-5', 'large', '0', '2', '0', '640', '1400', '1600', '1920', '2320', '3', '0', '0', '1', '1', '1', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '4536', '100', '81082', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45676', 'Bright Magic King Hellvine', '$3825', '', 'L1Monster', '4533', '70', '22672', '3970', '-78', '20', '20', '20', '20', '20', '85', '4901', '-25', 'large', '2', '8', '0', '1040', '1560', '1720', '1720', '1880', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '66', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45677', 'Dread Queen Laia', '$3139', 'Diad Castle Gate Boss', 'L1Monster', '3744', '65', '15070', '4277', '-57', '19', '18', '18', '18', '25', '80', '1937', '-5', 'small', '0', '1', '0', '640', '1880', '2120', '1880', '1880', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45678', 'Cerenis', '$2118', '', 'L1Monster', '2468', '72', '8000', '600', '-72', '18', '18', '18', '25', '25', '90', '5185', '-10', 'small', '0', '1', '0', '960', '1080', '1600', '1240', '1240', '0', '0', '0', '1', '1', '1', 'antiking', '1', '-1', '-1', '0', '0', '0', '5000', '180', '5000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45680', 'Ken Rauhel', '$2117', '', 'L1Monster', '2419', '75', '14000', '150', '-78', '25', '25', '25', '18', '18', '50', '5626', '-5', 'small', '0', '1', '0', '960', '1240', '0', '1240', '1240', '0', '0', '0', '1', '1', '1', 'antiking', '1', '-1', '-1', '0', '0', '0', '5000', '300', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45681', 'Lindvior', '$2116', '', 'L1Monster', '2544', '87', '20000', '900', '-99', '66', '21', '18', '20', '18', '99', '7570', '10000', 'large', '1', '2', '0', '480', '1600', '2240', '1600', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45682', 'Antharas', '$1116', '', 'L1Monster', '1245', '90', '22200', '800', '-99', '80', '21', '10', '20', '18', '99', '8101', '10000', 'large', '2', '2', '0', '480', '2240', '1960', '2240', '2240', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45683', 'Fafurion', '$1426', '', 'L1Monster', '1590', '93', '21000', '5000', '-99', '78', '20', '8', '22', '18', '99', '8650', '10000', 'large', '8', '2', '0', '480', '1600', '3480', '1600', '1600', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45684', 'Valakas', '$1605', '', 'L1Monster', '2001', '95', '26000', '4500', '-99', '78', '20', '8', '22', '18', '99', '9026', '10000', 'large', '4', '2', '0', '480', '1840', '2520', '1840', '1840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45685', 'Tarak', '$3407', '', 'L1Monster', '4068', '68', '6600', '1250', '-75', '66', '20', '66', '22', '20', '99', '4625', '-10', 'large', '8', '3', '0', '720', '960', '1280', '960', '960', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '440', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '20', '1', '0', '0', '0', '0', '100', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45686', 'High Wolf', '$2703', '', 'L1Monster', '3199', '5', '30', '5', '18', '13', '13', '16', '7', '8', '1', '37', '0', 'small', '0', '1', '1', '480', '880', '1200', '880', '880', '0', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45687', 'High Shepherd', '$2694', '', 'L1Monster', '3184', '5', '30', '5', '9', '15', '12', '15', '7', '7', '1', '26', '0', 'small', '0', '1', '1', '560', '1000', '1120', '1000', '1000', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45688', 'High Doberman', '$2692', '', 'L1Monster', '3132', '5', '20', '5', '25', '16', '10', '16', '6', '8', '1', '37', '0', 'small', '0', '1', '1', '560', '880', '1120', '880', '880', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45689', 'High Husky', '$2699', '', 'L1Monster', '3107', '5', '50', '5', '20', '10', '17', '15', '7', '7', '0', '37', '0', 'small', '0', '1', '1', '560', '1040', '1200', '1040', '1040', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45690', 'High Bear', '$2693', '', 'L1Monster', '3188', '5', '50', '0', '28', '16', '16', '8', '8', '8', '0', '26', '0', 'small', '0', '3', '1', '960', '1280', '1320', '1280', '1280', '0', '0', '0', '0', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45691', 'High Collie', '$2704', '', 'L1Monster', '3211', '5', '40', '5', '25', '10', '16', '14', '10', '6', '1', '26', '0', 'small', '0', '1', '1', '640', '960', '1120', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45692', 'High Beagle', '$2698', '', 'L1Monster', '3143', '5', '20', '30', '25', '11', '10', '10', '13', '14', '15', '26', '0', 'small', '0', '1', '1', '640', '960', '0', '960', '960', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45693', 'High St. Bernard', '$2695', '', 'L1Monster', '3182', '5', '30', '30', '23', '10', '13', '10', '14', '14', '15', '26', '0', 'small', '0', '1', '1', '720', '1040', '0', '1040', '1040', '0', '0', '0', '0', '0', '0', 'dog', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45694', 'High Fox', '$2696', '', 'L1Monster', '3156', '5', '15', '30', '25', '10', '10', '15', '10', '15', '15', '26', '0', 'small', '0', '1', '1', '640', '1160', '1200', '1160', '1160', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45695', 'High Rabbit', '$2697', '', 'L1Monster', '3154', '5', '20', '30', '20', '9', '10', '9', '16', '16', '15', '26', '0', 'small', '0', '1', '1', '960', '1120', '1120', '1120', '1120', '0', '0', '0', '0', '0', '0', 'manborabbit', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45696', 'High Cat', '$2702', '', 'L1Monster', '3178', '5', '20', '30', '20', '9', '8', '13', '15', '15', '15', '26', '0', 'small', '0', '1', '1', '560', '1000', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45697', 'High Raccoon', '$3510', '', 'L1Monster', '4133', '5', '30', '20', '20', '15', '10', '12', '12', '14', '15', '26', '0', 'small', '0', '1', '1', '480', '1160', '2160', '1160', '1160', '0', '0', '0', '1', '0', '0', 'animal', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45698', 'Spirit of Ancient Person', '$2361', '', 'L1Monster', '1576', '22', '140', '40', '-50', '12', '11', '11', '9', '13', '5', '485', '-28', 'small', '2', '1', '1', '640', '2280', '2080', '2280', '2280', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45699', 'Spirit of Ancient Person', '$2361', '', 'L1Monster', '1130', '27', '250', '60', '-15', '16', '14', '16', '16', '16', '25', '730', '-30', 'small', '2', '10', '0', '800', '920', '920', '920', '920', '1', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45700', 'Spirit of Ancient Person', '$2361', '', 'L1Monster', '1132', '29', '280', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '2', '1', '0', '480', '840', '840', '840', '840', '1', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45701', 'Spirit of Enraged Ancient Person', '$2362', '', 'L1Monster', '183', '42', '1000', '250', '-32', '12', '15', '12', '17', '17', '45', '1765', '-50', 'small', '0', '1', '0', '640', '900', '800', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '165', '5000', '165', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45702', 'Spirit of Enraged Ancient Person', '$2362', '', 'L1Monster', '185', '43', '1000', '250', '-50', '12', '15', '12', '17', '17', '45', '1850', '-50', 'small', '0', '1', '0', '640', '1480', '800', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '180', '5000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45703', 'Spirit of Enraged Ancient Person', '$2362', '', 'L1Monster', '173', '44', '450', '250', '-32', '12', '15', '12', '17', '17', '100', '1937', '-50', 'small', '0', '1', '0', '640', '1480', '800', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45704', 'Spirit of Enraged Ancient Person', '$2362', '', 'L1Monster', '187', '45', '450', '250', '-100', '12', '15', '12', '17', '17', '0', '2026', '-50', 'small', '0', '1', '0', '640', '1480', '800', '800', '800', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45705', 'Creation of Varlok', '$2368', '', 'L1Monster', '2535', '36', '420', '120', '-16', '17', '18', '16', '17', '15', '50', '1297', '-39', 'small', '0', '1', '0', '960', '1200', '0', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45706', 'Creation of Varlok', '$2368', '', 'L1Monster', '2332', '40', '450', '0', '-42', '12', '10', '15', '8', '8', '20', '1601', '-38', 'large', '0', '2', '0', '480', '1600', '2240', '1600', '1600', '2', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '1', '0', '0');
INSERT INTO `npc` VALUES ('45707', 'Creation of Varlok', '$2368', '', 'L1Monster', '2392', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1601', '-36', 'large', '0', '2', '0', '480', '1440', '1760', '1440', '1440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45708', 'Creation of Varlok', '$2368', '', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '30', '1937', '-60', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45709', 'Varlok\'s Servant', '$2360', '', 'L1Monster', '1180', '50', '1000', '50', '-68', '25', '25', '25', '25', '25', '75', '2501', '-150', 'large', '2', '1', '0', '640', '720', '1760', '720', '720', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '40', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45710', 'Battle Tiger', '$4075', '', 'L1Monster', '5089', '5', '50', '30', '9', '16', '16', '16', '16', '16', '15', '26', '0', 'small', '0', '1', '1', '480', '880', '800', '1000', '880', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45711', 'Jindo Puppy', '$4072', '', 'L1Monster', '5065', '5', '30', '30', '10', '10', '10', '12', '15', '14', '15', '26', '0', 'small', '0', '2', '1', '720', '1000', '1120', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45712', 'Jindo Dog', '$4073', '', 'L1Monster', '4582', '5', '30', '30', '20', '13', '13', '10', '16', '14', '15', '26', '0', 'small', '0', '2', '1', '560', '960', '1120', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45713', 'Forgotten Mimic', '$4313', '', 'L1Monster', '1479', '30', '400', '30', '-15', '16', '12', '14', '11', '10', '40', '901', '-35', 'small', '2', '1', '0', '1280', '1120', '0', '1120', '1120', '0', '0', '0', '1', '1', '1', 'mimic', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45714', 'Hidden Sea Depths Mimic', '$4653', '', 'L1Monster', '1479', '30', '400', '30', '-15', '16', '12', '14', '11', '10', '40', '901', '-35', 'small', '2', '1', '0', '1280', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'mimic', '0', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45715', 'Sea Depths Zombie', '$4312', '', 'L1Monster', '52', '32', '300', '20', '-18', '15', '16', '14', '5', '2', '45', '1025', '-30', 'small', '2', '1', '0', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '1', '1', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45716', 'Troglodyte Scout', '$4316', '', 'L1Monster', '1614', '32', '320', '30', '-24', '16', '18', '17', '12', '12', '40', '1025', '-20', 'small', '4', '2', '0', '640', '1080', '1000', '1080', '1080', '0', '0', '0', '1', '1', '1', 'toroggu', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45717', 'Hidden Troglodyte Scout', '$4652', '', 'L1Monster', '1614', '32', '320', '30', '-24', '16', '18', '17', '12', '12', '40', '1025', '-20', 'small', '4', '2', '0', '640', '1080', '1000', '1080', '1080', '0', '0', '0', '0', '1', '1', 'toroggu', '0', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45718', 'Sea Depths Ghoul', '$4311', '', 'L1Monster', '144', '36', '400', '70', '-18', '16', '17', '16', '11', '12', '55', '1297', '-30', 'small', '2', '1', '0', '1280', '720', '0', '720', '720', '0', '4', '0', '1', '1', '1', 'ghoul', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45719', 'Grave Crocodile', '$4310', '', 'L1Monster', '1572', '38', '640', '20', '-25', '16', '14', '12', '6', '5', '30', '1445', '-40', 'large', '8', '1', '0', '960', '1600', '1240', '1600', '1600', '0', '0', '0', '1', '1', '0', 'alligator', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45720', 'Drowned Male', '$4289', '', 'L1Monster', '5484', '38', '600', '30', '-40', '18', '15', '18', '10', '8', '60', '1445', '-50', 'small', '8', '2', '0', '1040', '1120', '0', '1120', '1120', '1', '0', '0', '1', '1', '1', 'drown', '1', '-1', '-1', '0', '0', '0', '5000', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45721', 'Drowned Female', '$4290', '', 'L1Monster', '5412', '40', '500', '120', '-30', '14', '18', '24', '10', '14', '80', '1601', '-50', 'small', '8', '2', '0', '640', '720', '960', '720', '720', '1', '0', '0', '1', '1', '1', 'drown', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45722', 'Dark Elemental', '$4973', '', 'L1Monster', '3364', '30', '250', '120', '-10', '15', '13', '14', '14', '14', '30', '901', '-18', 'small', '0', '1', '0', '960', '1240', '1080', '1240', '1240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45723', 'Dark Elemental', '$4972', '', 'L1Monster', '3365', '45', '1000', '200', '-35', '23', '20', '17', '12', '12', '45', '2026', '-38', 'small', '0', '1', '0', '960', '1400', '1600', '1400', '1400', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45724', 'Shark', '$4947', '', 'L1Monster', '1644', '30', '400', '200', '-28', '18', '16', '18', '5', '5', '5', '901', '-20', 'large', '8', '1', '0', '640', '1760', '0', '1760', '1760', '0', '0', '0', '1', '1', '1', 'shark', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45725', 'Grave Crabman', '$4315', '', 'L1Monster', '1610', '32', '450', '20', '-28', '18', '16', '16', '8', '8', '30', '1025', '-20', 'small', '8', '2', '0', '960', '1000', '1840', '1000', '1000', '0', '0', '0', '0', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '5000', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45726', 'Bone Eel', '$4294', '', 'L1Monster', '5405', '36', '600', '300', '-30', '18', '16', '15', '8', '8', '40', '1297', '-200', 'large', '8', '2', '0', '720', '1000', '0', '1000', '1000', '1', '0', '0', '0', '1', '0', 'skeletoneel', '1', '-1', '-1', '0', '0', '0', '5000', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45727', 'Grave Sea Dancer', '$4314', '', 'L1Monster', '1603', '45', '540', '800', '-36', '10', '14', '10', '18', '18', '60', '2026', '-30', 'small', '8', '0', '0', '960', '1440', '0', '1440', '1440', '0', '0', '0', '1', '1', '0', 'seadancer', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45728', 'Deep Sea Fish', '$4292', '', 'L1Monster', '5289', '45', '1000', '0', '-35', '18', '18', '10', '6', '6', '40', '2026', '-100', 'large', '8', '1', '0', '640', '1040', '1200', '640', '640', '0', '0', '0', '0', '0', '0', 'deepseafish', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45729', 'Hidden Deep Sea Fish', '$4655', '', 'L1Monster', '5289', '45', '1000', '0', '-35', '18', '18', '10', '6', '6', '40', '2026', '-100', 'large', '8', '1', '0', '640', '1040', '1200', '640', '640', '0', '0', '0', '0', '0', '0', 'deepseafish', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45730', 'Ugly Mermaid', '$4291', '', 'L1Monster', '5554', '45', '800', '200', '-35', '18', '18', '15', '12', '14', '70', '2026', '-300', 'large', '8', '2', '0', '800', '720', '640', '1440', '1440', '0', '1', '0', '0', '1', '1', 'fishman', '1', '-1', '-1', '0', '0', '0', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45731', 'Hidden Ugly Mermaid', '$4654', '', 'L1Monster', '5554', '45', '800', '200', '-35', '18', '18', '15', '12', '14', '70', '2026', '-300', 'large', '8', '2', '0', '800', '720', '640', '1440', '1440', '0', '1', '0', '0', '0', '0', 'fishmaninv', '1', '-1', '-1', '0', '0', '0', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45732', 'Grave Elekkadom', '$4317', '', 'L1Monster', '1616', '48', '1500', '300', '-40', '20', '15', '17', '18', '15', '65', '2305', '-60', 'large', '8', '2', '0', '800', '1240', '960', '1240', '1240', '0', '0', '0', '0', '0', '0', 'angler', '1', '-1', '-1', '0', '0', '0', '5000', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45733', 'Grave Crustacean', '$4318', '', 'L1Monster', '1632', '49', '1200', '30', '-45', '20', '18', '16', '12', '14', '20', '2402', '-60', 'large', '8', '1', '0', '1440', '1800', '1520', '1800', '1800', '0', '0', '0', '0', '0', '0', 'hermitcrab', '1', '-1', '-1', '0', '0', '0', '5000', '24', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45734', 'Great King Squid', '$4293', '', 'L1Monster', '5547', '58', '4000', '500', '-55', '18', '18', '16', '10', '12', '60', '3365', '-200', 'large', '8', '2', '0', '960', '960', '1000', '1440', '1440', '0', '0', '0', '0', '0', '0', 'cuttlefish', '1', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45735', 'Chief Mermaid', '$4309', '', 'L1Monster', '5708', '60', '3000', '600', '-50', '18', '18', '23', '12', '12', '80', '3601', '-500', 'large', '8', '2', '0', '800', '720', '640', '1440', '1440', '0', '1', '0', '0', '0', '0', 'fishman', '1', '-1', '-1', '0', '0', '0', '5000', '81', '5000', '16', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45736', 'Lesser Demon', '$2112', '', 'L1Monster', '2524', '44', '420', '100', '-38', '20', '17', '16', '12', '14', '80', '1600', '-60', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-2', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45737', 'Goblin', '$958', '', 'L1Monster', '1022', '2', '20', '10', '10', '10', '12', '10', '7', '7', '2', '1', '-3', 'small', '2', '1', '1', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45738', 'Bugbear', '$325', '', 'L1Monster', '152', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'large', '4', '1', '1', '640', '840', '720', '840', '840', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45739', 'Shiboin of Earth', '$4326 $4330', '', 'L1Monster', '5338', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '8', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5341', '-6', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45740', 'Shiboin of Waves', '$4326 $4327', '', 'L1Monster', '5324', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '2', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5327', '-6', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45741', 'Shiboin of Fire', '$4326 $4328', '', 'L1Monster', '5331', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '4', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5334', '-6', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45742', 'Shiboin of Wind', '$4326 $4329', '', 'L1Monster', '5317', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'large', '1', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5320', '-6', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45743', 'Sand Tomb', '$4331', '', 'L1Monster', '5574', '40', '400', '300', '-80', '35', '21', '11', '21', '18', '100', '1600', '-5', 'small', '0', '1', '0', '1280', '880', '0', '880', '880', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-6', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45744', 'Judigo', '$4333', '', 'L1Monster', '5353', '55', '600', '300', '-60', '35', '21', '11', '21', '18', '100', '1600', '-5', 'small', '0', '1', '0', '960', '1120', '1120', '1000', '1000', '2', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-6', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45745', 'Dego', '$4332', '', 'L1Monster', '5351', '60', '1000', '300', '-70', '35', '21', '11', '21', '18', '100', '2000', '-5', 'large', '0', '1', '0', '960', '1120', '1120', '1000', '1000', '2', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-6', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45746', 'Deangus', '$4335', '', 'L1Monster', '5269', '50', '500', '300', '-40', '35', '21', '11', '21', '18', '100', '1600', '-5', 'small', '0', '1', '0', '960', '1200', '960', '1240', '1240', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '-7', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45747', 'Angus', '$4334', '', 'L1Monster', '5265', '55', '800', '300', '-50', '35', '21', '11', '21', '18', '100', '2000', '-5', 'large', '0', '1', '0', '960', '1200', '960', '1240', '1240', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '-10', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45748', 'Paj', '$4337', '', 'L1Monster', '5655', '35', '600', '300', '-70', '35', '21', '11', '21', '18', '100', '0', '0', 'small', '0', '1', '0', '800', '960', '0', '1200', '1200', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '45749', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45749', 'Paj', '$4337', '', 'L1Monster', '5657', '35', '300', '300', '-60', '35', '21', '11', '21', '18', '100', '2500', '-5', 'small', '0', '1', '0', '960', '1120', '1120', '1000', '1000', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-8', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45750', 'Pasaj', '$4336', '', 'L1Monster', '5461', '40', '800', '300', '-70', '35', '21', '11', '21', '18', '100', '0', '0', 'large', '0', '1', '0', '800', '960', '0', '1200', '1200', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-8', '45751', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45751', 'Pasaj', '$4336', '', 'L1Monster', '5463', '40', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '3000', '-5', 'large', '0', '1', '0', '960', '1000', '1120', '1120', '1120', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-10', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45752', 'Varlok', '$2114', '', 'L1Monster', '5507', '40', '10000', '300', '-110', '35', '21', '11', '21', '18', '100', '1601', '-5', 'large', '0', '3', '0', '960', '960', '960', '1000', '1000', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-120', '45753', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45753', 'Varlok', '$2114', '', 'L1Monster', '5511', '90', '20000', '300', '-60', '35', '21', '11', '21', '18', '100', '8101', '0', 'large', '0', '3', '0', '800', '960', '960', '1280', '1280', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '300', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-120', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45754', 'Kobold', '$970', '', 'L1Monster', '1059', '3', '7', '0', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '2', '1', '1', '1280', '1080', '0', '1080', '1080', '0', '0', '0', '0', '0', '0', 'kobold', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45755', 'Goblin', '$958', '', 'L1Monster', '1022', '2', '3', '10', '10', '10', '12', '10', '7', '7', '2', '5', '-3', 'small', '2', '1', '1', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45756', 'Orc', '$59', '', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '5', '-2', 'small', '4', '1', '1', '800', '1320', '0', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45757', 'Zombie', '$57', '', 'L1Monster', '52', '6', '40', '4', '8', '14', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45758', 'Orc Archer', '$267', '', 'L1Monster', '3860', '3', '12', '4', '10', '12', '11', '12', '7', '8', '2', '10', '-3', 'small', '4', '10', '1', '800', '1880', '720', '1880', '1880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45759', 'Orc Fighter', '$266', '', 'L1Monster', '3864', '8', '50', '8', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '4', '1', '1', '640', '880', '760', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45760', 'Floating Eye', '$6', '', 'L1Monster', '29', '7', '40', '30', '5', '10', '13', '12', '7', '9', '20', '50', '-8', 'small', '0', '1', '1', '960', '1680', '0', '1680', '1680', '0', '0', '1', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45761', 'Dwarf', '$58', '', 'L1Monster', '54', '5', '25', '5', '8', '10', '12', '10', '7', '10', '2', '26', '0', 'small', '2', '1', '1', '600', '1480', '0', '1480', '1480', '0', '0', '0', '0', '0', '0', 'dwarf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '6', '0', '0', '0');
INSERT INTO `npc` VALUES ('45762', 'Imp', '$1044', '', 'L1Monster', '1152', '5', '20', '40', '6', '9', '10', '14', '7', '8', '1', '26', '-3', 'small', '1', '6', '1', '480', '1520', '0', '1520', '1520', '0', '0', '0', '1', '0', '0', 'imp', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1156', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45763', 'Werewolf', '$18', '', 'L1Monster', '1110', '9', '40', '20', '4', '15', '15', '12', '10', '10', '10', '82', '-9', 'small', '1', '1', '1', '640', '840', '880', '840', '840', '5', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45764', 'Skeleton', '$7', '', 'L1Monster', '30', '10', '50', '30', '3', '16', '14', '16', '12', '10', '10', '101', '-12', 'small', '2', '1', '1', '640', '920', '1280', '920', '920', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45765', 'Skeleton Archer', '$986', '', 'L1Monster', '1096', '12', '60', '25', '0', '16', '14', '16', '12', '10', '10', '145', '-12', 'small', '2', '10', '1', '800', '1120', '920', '1120', '1120', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45766', 'Skeleton Soldier', '$988', '', 'L1Monster', '1106', '13', '70', '15', '8', '16', '14', '15', '12', '10', '10', '170', '-13', 'small', '2', '2', '1', '640', '880', '840', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45767', 'Gnoll', '$1391', '', 'L1Monster', '1477', '8', '35', '5', '4', '18', '15', '10', '6', '8', '1', '65', '-6', 'small', '1', '1', '1', '640', '880', '960', '880', '880', '0', '0', '0', '0', '0', '0', 'nord', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45768', 'Stone Golem', '$56', '', 'L1Monster', '49', '13', '350', '50', '-1', '58', '16', '10', '6', '10', '5', '170', '-12', 'large', '2', '1', '1', '1280', '1840', '0', '1840', '1840', '0', '0', '0', '0', '0', '0', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45769', 'Lycanthrope', '$990', '', 'L1Monster', '1108', '17', '200', '60', '0', '16', '16', '13', '10', '10', '25', '290', '-18', 'small', '1', '1', '1', '640', '800', '720', '800', '800', '5', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45770', 'Polluted Orc Wizard', '$4145 $1110', '', 'L1Monster', '5939', '25', '230', '200', '-30', '6', '12', '10', '13', '13', '50', '626', '-15', 'small', '4', '1', '0', '960', '1240', '0', '2160', '2160', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45771', 'Contaminated Fairy', '$3964', '', 'L1Monster', '5684', '35', '330', '100', '-30', '6', '15', '18', '14', '17', '50', '1226', '-5', 'small', '0', '1', '0', '480', '1360', '0', '1360', '1360', '0', '1', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45772', 'Polluted Orc Hunter', '$4145 $4578', '', 'L1Monster', '5938', '51', '10000', '200', '-65', '20', '18', '18', '10', '18', '60', '2602', '-65', 'large', '0', '2', '0', '1040', '1280', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45773', 'Polluted Elf', '$4145 $4147', '', 'L1Monster', '4429', '35', '380', '20', '-25', '15', '15', '18', '25', '18', '50', '1226', '-35', 'small', '4', '8', '0', '960', '1320', '1280', '1320', '1320', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45774', 'Contaminated Ent', '$3963', '', 'L1Monster', '851', '35', '400', '80', '-25', '14', '16', '14', '8', '8', '30', '1226', '-35', 'large', '4', '2', '0', '640', '1320', '0', '1320', '1320', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45775', 'Polluted Deep Flower', '$4145 $3148', '', 'L1Monster', '4364', '35', '400', '200', '-25', '14', '16', '14', '5', '5', '35', '1226', '-20', 'large', '0', '2', '0', '0', '1440', '0', '2560', '2560', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45776', 'Polluted Pan', '$4145 $753', '', 'L1Monster', '4516', '37', '400', '20', '-28', '18', '17', '16', '10', '10', '50', '1370', '-35', 'small', '4', '1', '0', '640', '1200', '0', '1200', '1200', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45777', 'Polluted Arachne', '$4145 $752', '', 'L1Monster', '865', '40', '450', '20', '-30', '17', '14', '16', '8', '10', '50', '1601', '-35', 'small', '4', '1', '0', '640', '1280', '1400', '1400', '1280', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45778', 'Polluted Human', '$4145 $4146', '', 'L1Monster', '4417', '35', '380', '20', '-22', '20', '18', '18', '12', '13', '50', '1226', '-45', 'small', '2', '2', '0', '480', '1000', '1120', '1000', '1000', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45779', 'Polluted Human', '$4145 $4146', '', 'L1Monster', '4426', '37', '400', '20', '-25', '20', '18', '18', '12', '13', '50', '1370', '-45', 'small', '2', '1', '0', '960', '1160', '1080', '1160', '1160', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45780', 'Polluted Human', '$4145 $4146', '', 'L1Monster', '4423', '40', '420', '20', '-28', '16', '18', '18', '12', '13', '50', '1601', '-45', 'small', '2', '8', '0', '960', '1760', '1120', '1760', '1760', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45781', 'Polluted Human', '$4145 $4146', '', 'L1Monster', '4420', '40', '450', '20', '-28', '16', '18', '18', '12', '13', '50', '1601', '-45', 'small', '2', '1', '0', '960', '1360', '1160', '1360', '1360', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45782', 'Polluted Great Spirit\'s Dirty Sycophant', '$4145 $4153', '', 'L1Monster', '3364', '30', '250', '120', '-10', '15', '13', '14', '14', '14', '30', '901', '-18', 'small', '0', '1', '0', '960', '1240', '1080', '1240', '1240', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45783', 'Polluted Great Spirit of Darkness', '$4145 $4152', '', 'L1Monster', '4410', '37', '380', '160', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'small', '0', '1', '0', '320', '1400', '1600', '1400', '1400', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45784', 'Polluted Great Spirit of Light', '$4145 $4144', '', 'L1Monster', '4407', '37', '380', '200', '-25', '18', '16', '16', '18', '20', '45', '1370', '-25', 'large', '0', '1', '0', '480', '920', '0', '920', '920', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45785', 'Polluted Great Spirit of Earth', '$4145 $2551', '', 'L1Monster', '4408', '37', '380', '200', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '2', '2', '0', '480', '1360', '0', '1240', '1240', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45786', 'Polluted Great Spirit of Fire', '$4145 $2481', '', 'L1Monster', '4405', '37', '380', '200', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '4', '2', '0', '480', '1360', '0', '1680', '1600', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45787', 'Polluted Great Spirit of Wind', '$4145 $2483', '', 'L1Monster', '4403', '37', '380', '300', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '1', '2', '0', '480', '2080', '0', '2040', '2040', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45788', 'Polluted Great Spirit of Water', '$4145 $2482', '', 'L1Monster', '4404', '37', '380', '300', '-25', '18', '16', '16', '18', '18', '45', '1370', '-25', 'large', '8', '1', '0', '480', '3040', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '80', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45789', 'Contaminated Orc', '$3957', '', 'L1Monster', '4457', '35', '380', '20', '-22', '14', '14', '14', '8', '10', '45', '1226', '-40', 'small', '4', '1', '0', '480', '1040', '1360', '1040', '1040', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45790', 'Contaminated Orc Archer', '$3958', '', 'L1Monster', '4463', '35', '380', '20', '-25', '12', '14', '16', '8', '10', '55', '1226', '-40', 'small', '4', '8', '0', '960', '1640', '1040', '1640', '1640', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45791', 'Polluted Orc Axe Fighter', '$4145 $4215', '', 'L1Monster', '4460', '37', '400', '20', '-22', '14', '17', '18', '12', '10', '48', '1370', '-50', 'small', '4', '1', '0', '640', '1360', '1360', '1360', '1360', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45792', 'Contaminated Orc Warrior', '$3959', '', 'L1Monster', '4472', '40', '420', '20', '-25', '18', '16', '14', '8', '10', '55', '1601', '-50', 'small', '4', '2', '0', '640', '1040', '1520', '1040', '1040', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45793', 'Contaminated Orc Spearman', '$3957 $4150', '', 'L1Monster', '4475', '42', '450', '20', '-25', '18', '16', '14', '8', '10', '60', '1765', '-50', 'small', '4', '2', '0', '640', '1280', '1400', '1280', '1280', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45794', 'Servant of Spirit', '$4149', '', 'L1Monster', '4502', '40', '500', '200', '-25', '14', '14', '14', '18', '12', '45', '1601', '-45', 'small', '2', '1', '0', '640', '1280', '1520', '1520', '1600', '0', '0', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45795', 'Spirit', '$4148', '', 'L1Monster', '4493', '65', '14000', '3000', '-55', '20', '20', '20', '22', '18', '55', '4226', '0', 'large', '2', '1', '0', '960', '1280', '1520', '1520', '1600', '0', '1', '0', '1', '1', '1', 'pollution', '1', '-1', '-1', '0', '0', '0', '5000', '400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45796', 'Stone Golem of Maino Shaman', '$4869', '', 'L1Monster', '4910', '32', '380', '20', '-22', '14', '14', '14', '8', '10', '45', '1025', '-40', 'small', '0', '1', '0', '1280', '1120', '1200', '2640', '2640', '0', '0', '0', '1', '1', '1', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45797', 'Maino', '$4868', '', 'L1Monster', '4942', '35', '400', '20', '-28', '18', '17', '16', '10', '10', '50', '1226', '-35', 'small', '4', '1', '0', '1280', '960', '880', '1120', '1120', '0', '0', '0', '0', '0', '0', 'minotaur', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45798', 'Iron Golem of Maino Shaman', '$4872', '', 'L1Monster', '4867', '37', '380', '200', '-25', '18', '16', '16', '18', '20', '45', '1370', '-20', 'large', '0', '1', '0', '1920', '1280', '1280', '1280', '1280', '0', '0', '0', '1', '1', '1', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45799', 'Lava Golem of Maino Shaman', '$4871', '', 'L1Monster', '5107', '40', '450', '20', '-30', '17', '14', '16', '8', '10', '50', '1601', '-35', 'small', '4', '1', '0', '1080', '1320', '1800', '1600', '1600', '0', '0', '0', '1', '1', '1', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45800', 'Living Armor of Maino Shaman', '$4873', '', 'L1Monster', '5348', '55', '4500', '20', '-30', '17', '14', '16', '8', '10', '50', '3026', '-35', 'small', '4', '1', '0', '960', '920', '880', '1920', '1920', '0', '0', '0', '0', '0', '0', 'livingarmour', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45801', 'Diamond Golem of Maino Shaman', '$4870', '', 'L1Monster', '4912', '61', '20000', '140', '-70', '20', '20', '19', '22', '22', '99', '3722', '-250', 'large', '2', '1', '0', '1280', '1440', '1200', '1120', '1120', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45802', 'Maino Shaman', '$4867', '', 'L1Monster', '5072', '65', '10000', '50', '-55', '20', '20', '20', '22', '18', '55', '4226', '0', 'large', '2', '1', '0', '1040', '1440', '1240', '1440', '1440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45803', 'Werewolf', '$18', '', 'L1Monster', '1110', '20', '144', '60', '-10', '16', '16', '13', '10', '10', '28', '401', '-15', 'small', '1', '1', '1', '640', '840', '880', '1760', '1760', '5', '0', '0', '0', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45804', 'Vakuuk', '$1427', '', 'L1Monster', '1595', '20', '144', '0', '-10', '16', '15', '12', '10', '10', '28', '401', '-15', 'small', '2', '2', '1', '480', '1160', '1280', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45805', 'Lizardman', '$1174', '', 'L1Monster', '1173', '23', '166', '10', '-13', '15', '13', '15', '11', '11', '32', '530', '-15', 'small', '8', '1', '1', '640', '920', '800', '920', '920', '0', '0', '0', '1', '0', '0', 'lizardman', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45806', 'Crabman', '$1430', '', 'L1Monster', '1610', '25', '180', '0', '-15', '17', '14', '12', '12', '11', '35', '626', '-15', 'small', '8', '2', '0', '960', '1000', '1840', '1000', '1000', '0', '0', '0', '1', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45807', 'Doppelganger', '$1554', '', 'L1Monster', '31', '25', '180', '30', '-15', '17', '18', '15', '12', '10', '35', '626', '-15', 'small', '2', '1', '0', '800', '1000', '0', '1000', '1000', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45808', 'Lycanthrope', '$990', '', 'L1Monster', '1108', '25', '180', '60', '-15', '17', '16', '13', '12', '12', '35', '626', '-15', 'small', '1', '1', '1', '640', '800', '720', '1440', '1440', '5', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45809', 'Ratman', '$1431', '', 'L1Monster', '1612', '25', '180', '10', '-15', '17', '16', '16', '12', '12', '35', '626', '-15', 'small', '2', '2', '1', '480', '1520', '1360', '1520', '1520', '0', '0', '0', '1', '0', '0', 'ratman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45810', 'Merman', '$1490', '', 'L1Monster', '1626', '26', '187', '20', '-16', '17', '15', '12', '12', '10', '36', '677', '5', 'small', '8', '1', '0', '960', '1360', '1240', '1360', '1360', '0', '0', '0', '0', '0', '0', 'merman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45811', 'Mutant Crabman', '$4848 $1430', '', 'L1Monster', '4738', '27', '194', '0', '-17', '18', '15', '15', '12', '12', '38', '730', '-15', 'small', '8', '2', '0', '640', '920', '920', '920', '920', '0', '0', '0', '1', '0', '0', 'crab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45812', 'Sea Dancer', '$1429', '', 'L1Monster', '1603', '27', '210', '500', '-23', '13', '15', '13', '18', '18', '35', '730', '-20', 'small', '8', '0', '0', '960', '1440', '0', '1440', '1440', '0', '0', '0', '1', '1', '1', 'seadancer', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45813', 'Mutant Merman', '$4848 $1490', '', 'L1Monster', '4788', '28', '202', '20', '-15', '18', '16', '16', '12', '12', '20', '785', '5', 'small', '8', '2', '0', '1920', '1280', '1200', '1120', '1120', '0', '0', '0', '1', '0', '0', 'merman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45814', 'Mutated Alligator', '$1702', '', 'L1Monster', '1574', '30', '260', '8', '-20', '17', '16', '16', '13', '13', '42', '901', '-25', 'small', '8', '1', '0', '640', '1480', '1240', '1480', '1480', '0', '0', '0', '1', '1', '0', 'alligator', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45815', 'Mutant Ramia', '$4848 $1428', '', 'L1Monster', '1597', '30', '238', '30', '-20', '18', '16', '16', '12', '13', '42', '901', '-25', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '1', '1', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45816', 'Shark', '$1496', '', 'L1Monster', '1644', '30', '300', '0', '-20', '18', '16', '18', '13', '12', '42', '901', '-20', 'large', '8', '1', '0', '640', '1760', '0', '1760', '1760', '0', '0', '0', '1', '0', '0', 'shark', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45817', 'Doppelganger', '$2101', '', 'L1Monster', '2340', '30', '238', '30', '-20', '18', '18', '15', '13', '11', '42', '901', '-20', 'small', '2', '1', '0', '960', '1040', '960', '1040', '1040', '0', '0', '0', '1', '0', '0', 'doppel', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45818', 'Aste', '$1497', '', 'L1Monster', '1646', '31', '268', '10', '-21', '17', '18', '16', '12', '13', '5', '962', '-20', 'large', '8', '1', '0', '1920', '1480', '0', '1480', '1480', '0', '4', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45819', 'Elekkadom', '$1433', '', 'L1Monster', '1616', '32', '350', '150', '-23', '20', '18', '18', '15', '16', '46', '1025', '-20', 'large', '8', '1', '0', '960', '1240', '0', '1240', '1240', '0', '0', '0', '1', '1', '1', 'angler', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45820', 'Mutant Werewolf', '$4848 $18', '', 'L1Monster', '4822', '32', '323', '20', '-22', '18', '15', '16', '13', '13', '45', '1025', '-25', 'small', '1', '1', '0', '1280', '960', '960', '960', '960', '5', '0', '0', '1', '1', '1', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45821', 'Mutant Ramia', '$4848 $1428', '', 'L1Monster', '1600', '32', '300', '30', '-22', '19', '17', '17', '13', '14', '45', '1025', '-25', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '1', '1', 'lahmia', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45822', 'Turtle Dragon', '$1498', '', 'L1Monster', '1649', '32', '350', '20', '-22', '18', '18', '15', '12', '13', '45', '1025', '-20', 'large', '8', '2', '0', '1920', '1320', '1440', '1320', '1320', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45823', 'Crustacean', '$1492', '', 'L1Monster', '1632', '33', '450', '30', '-23', '18', '17', '16', '12', '14', '45', '1090', '-20', 'large', '8', '1', '0', '1440', '1800', '1520', '1800', '1800', '0', '0', '0', '1', '0', '1', 'hermitcrab', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45824', 'Mutant Lyncanthrope', '$4848 $990', '', 'L1Monster', '4820', '34', '368', '60', '-24', '18', '16', '17', '12', '14', '48', '1157', '-25', 'small', '1', '1', '0', '1280', '1280', '920', '1600', '1600', '5', '0', '0', '1', '1', '1', 'wolf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45825', 'Mutant Lizardman', '$4848 $1174', '', 'L1Monster', '4771', '35', '454', '20', '-25', '18', '18', '18', '12', '15', '49', '1226', '-25', 'small', '8', '1', '0', '1280', '800', '880', '800', '800', '0', '0', '0', '1', '1', '0', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45826', 'Doppelganger', '$2101', '', 'L1Monster', '4753', '35', '403', '30', '-25', '19', '17', '16', '13', '12', '49', '1226', '-25', 'small', '2', '1', '0', '960', '1360', '960', '1360', '1360', '0', '0', '0', '1', '0', '0', 'doppel', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45827', 'Mutant Lizardman', '$4848 $1174', '', 'L1Monster', '4151', '36', '441', '10', '-26', '18', '17', '17', '12', '15', '50', '1297', '-25', 'small', '8', '1', '0', '640', '1200', '1360', '1200', '1200', '0', '0', '0', '1', '1', '0', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45828', 'Doppleganger Boss', '$1554', '', 'L1Monster', '2389', '40', '605', '100', '-35', '20', '19', '18', '15', '17', '56', '1601', '-30', 'small', '1', '1', '0', '693', '720', '0', '1040', '1040', '0', '0', '0', '1', '1', '1', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45829', 'Barbados', '$4849', '', 'L1Monster', '5008', '70', '15000', '500', '-70', '20', '18', '18', '18', '17', '80', '4901', '-60', 'large', '0', '1', '0', '1920', '1920', '1320', '1440', '1280', '0', '0', '0', '1', '1', '1', 'balbados', '1', '-1', '-1', '0', '0', '0', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45830', 'Dark Elf Soldier', '$2887', '', 'L1Monster', '3044', '43', '105', '50', '-53', '20', '18', '15', '17', '17', '45', '0', '0', 'small', '0', '2', '0', '640', '960', '1080', '960', '960', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45833', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45831', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5742', '45', '580', '200', '-38', '20', '18', '15', '15', '15', '45', '2026', '-50', 'small', '2', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45832', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5724', '45', '620', '200', '-38', '18', '19', '15', '15', '15', '60', '2026', '-50', 'small', '2', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45833', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5742', '45', '580', '200', '-42', '18', '19', '15', '15', '15', '60', '2026', '-50', 'small', '2', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45834', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5608', '48', '720', '200', '-42', '18', '19', '15', '15', '15', '60', '2305', '-50', 'small', '2', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45835', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5751', '48', '750', '200', '-38', '15', '15', '20', '17', '17', '45', '2305', '-50', 'small', '2', '1', '0', '960', '1040', '1040', '1440', '1280', '1', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45836', 'Black Tiger', '$3136', '', 'L1Monster', '3547', '42', '600', '0', '-37', '15', '18', '12', '13', '7', '45', '1765', '-50', 'small', '4', '2', '0', '853', '1640', '1800', '1640', '1640', '0', '0', '0', '1', '1', '1', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '9', '0', '0', '0');
INSERT INTO `npc` VALUES ('45837', 'Lastabad Tormenter', '$3808', '', 'L1Monster', '3694', '40', '85', '0', '-37', '16', '13', '14', '14', '15', '55', '0', '0', 'small', '2', '2', '0', '1280', '1560', '1400', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45843', '5306', '9', '0', '0', '0');
INSERT INTO `npc` VALUES ('45838', 'Dark Elf General', '$2885', '', 'L1Monster', '3366', '43', '132', '50', '-45', '20', '18', '15', '17', '17', '45', '0', '0', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45842', '5306', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45839', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5745', '43', '520', '200', '-36', '18', '19', '15', '15', '17', '60', '1850', '-50', 'small', '2', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45840', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5754', '43', '520', '200', '-36', '15', '15', '20', '17', '17', '45', '1850', '-50', 'small', '2', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45841', 'Wolf Beast Tamer', '$4642', '', 'L1Monster', '3409', '43', '728', '0', '-39', '15', '17', '12', '17', '17', '65', '1850', '-50', 'small', '4', '2', '0', '960', '1120', '1320', '1360', '1360', '0', '0', '0', '1', '1', '1', 'wolfrider', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45842', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5745', '45', '590', '200', '-38', '18', '19', '15', '15', '17', '60', '2026', '-50', 'small', '2', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45843', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5754', '45', '540', '200', '-34', '15', '15', '20', '17', '17', '45', '2026', '-50', 'small', '2', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45844', 'Dread King Baranka', '$3804', '', 'L1Monster', '3664', '63', '17290', '0', '-58', '22', '25', '20', '18', '18', '65', '3970', '-5', 'large', '2', '2', '0', '480', '1000', '1720', '1720', '1720', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '150', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45845', 'Dark Elementalist', '$2894', '', 'L1Monster', '3360', '42', '85', '148', '-34', '15', '15', '20', '17', '17', '45', '0', '0', 'small', '0', '1', '0', '1280', '1520', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45853', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45846', 'Dark Elf Wizard', '$2888', '', 'L1Monster', '3376', '44', '85', '148', '-34', '16', '15', '18', '16', '18', '70', '1937', '-25', 'small', '0', '1', '0', '1920', '1560', '0', '1520', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45847', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45847', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '4744', '44', '420', '300', '-34', '16', '15', '18', '16', '18', '80', '1937', '-50', 'small', '0', '1', '0', '960', '1040', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45848', 'Dark Elf Wizard', '$2888', '', 'L1Monster', '3376', '44', '500', '400', '-32', '16', '15', '18', '16', '18', '70', '0', '0', 'small', '0', '1', '0', '1920', '1560', '0', '1520', '1440', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45860', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45849', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5751', '44', '550', '200', '-37', '15', '15', '20', '17', '17', '45', '1937', '-50', 'small', '2', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45850', 'Dark Forester', '$3823', '', 'L1Monster', '3747', '42', '105', '77', '-37', '14', '15', '14', '10', '18', '75', '0', '0', 'small', '1', '2', '0', '853', '1720', '0', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45849', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45851', 'Dark Forester', '$3823', '', 'L1Monster', '3747', '45', '105', '77', '-35', '14', '15', '14', '10', '18', '75', '0', '0', 'small', '1', '2', '0', '853', '1720', '0', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45861', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45852', 'Dark Elementalist', '$2894', '', 'L1Monster', '3360', '45', '132', '148', '-37', '15', '15', '20', '17', '17', '45', '0', '0', 'small', '0', '1', '0', '1280', '1520', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45859', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45853', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5739', '45', '440', '300', '-35', '16', '15', '18', '16', '18', '80', '2026', '-50', 'small', '2', '1', '0', '960', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45854', 'Guardian of Earth Spirit', '$3820', '', 'L1Monster', '4634', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '2', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45855', 'Guardian of Water Spirit', '$3818', '', 'L1Monster', '4632', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '8', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45856', 'Guardian of Wind Spirit', '$3821', '', 'L1Monster', '4786', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '1', '1', '0', '960', '1280', '1280', '1520', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45857', 'Guardian of Fire Spirit', '$3819', '', 'L1Monster', '4633', '45', '725', '10', '-37', '19', '20', '15', '10', '10', '60', '2026', '-25', 'small', '4', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45858', 'Guardian of Darkness Spirit', '$3822', '', 'L1Monster', '4787', '45', '725', '364', '-37', '19', '20', '15', '10', '15', '60', '2026', '-25', 'small', '2', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45859', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5739', '47', '480', '300', '-36', '16', '15', '18', '16', '18', '80', '2210', '-50', 'small', '2', '1', '0', '960', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45860', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5516', '47', '480', '300', '-38', '16', '15', '18', '16', '18', '80', '2210', '-50', 'small', '2', '1', '0', '960', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45861', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5751', '47', '650', '200', '-38', '15', '15', '20', '17', '17', '45', '2210', '-50', 'small', '2', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45862', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5751', '47', '650', '200', '-38', '15', '15', '20', '17', '17', '45', '2210', '-50', 'small', '2', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45863', 'Dread Queen Laia', '$3815', '', 'L1Monster', '3744', '65', '15070', '4277', '-57', '19', '18', '18', '18', '25', '80', '4226', '-5', 'small', '2', '1', '0', '640', '1880', '2120', '1760', '2560', '0', '0', '0', '0', '0', '0', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '80', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45864', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5693', '45', '550', '300', '-38', '16', '15', '18', '16', '18', '80', '2026', '-50', 'small', '2', '1', '0', '1040', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45865', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5695', '45', '620', '200', '-38', '18', '19', '15', '15', '15', '60', '2026', '-50', 'small', '0', '1', '0', '960', '1120', '1080', '1280', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45866', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5695', '45', '620', '200', '-38', '15', '15', '20', '17', '17', '45', '2026', '-50', 'small', '2', '1', '0', '960', '1120', '1080', '1280', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45867', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5694', '45', '650', '200', '-38', '15', '15', '20', '17', '17', '45', '2026', '-50', 'small', '2', '1', '0', '960', '880', '880', '1320', '1120', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45868', 'Oum Warrior', '$3830', '', 'L1Monster', '4689', '45', '828', '0', '-50', '15', '14', '14', '10', '8', '40', '2026', '-25', 'small', '2', '1', '0', '640', '1280', '1440', '1280', '1280', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45869', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5693', '48', '750', '300', '-38', '16', '15', '18', '16', '18', '80', '2305', '-50', 'small', '0', '1', '0', '1040', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45870', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5695', '48', '820', '200', '-43', '18', '19', '15', '15', '15', '45', '2305', '-50', 'small', '2', '1', '0', '960', '1120', '1080', '1280', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45871', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5695', '48', '720', '200', '-42', '18', '19', '15', '15', '15', '60', '2305', '-50', 'small', '0', '1', '0', '960', '1120', '1080', '1280', '1360', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45872', 'Heavy Oum Warrior', '$3831', '', 'L1Monster', '4744', '48', '998', '0', '-54', '17', '16', '15', '12', '10', '40', '2305', '-25', 'large', '2', '1', '0', '960', '1040', '1480', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '5000', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45873', 'Eidlon', '$1043', '', 'L1Monster', '1150', '4', '20', '5', '10', '11', '10', '11', '7', '8', '1', '17', '-3', 'small', '2', '1', '1', '320', '960', '0', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45874', 'Mutant Lizardman', '$4848 $1174', '', 'L1Monster', '4192', '35', '403', '20', '-25', '18', '16', '17', '12', '15', '49', '1226', '-25', 'small', '8', '1', '0', '640', '1000', '2080', '1000', '1000', '0', '0', '0', '1', '1', '1', 'lizardman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45875', 'Skeletal Pirate Head', '$3389', '', 'L1Monster', '4188', '32', '350', '10', '-23', '18', '14', '16', '10', '12', '50', '1025', '-35', 'small', '0', '2', '0', '640', '1200', '960', '1200', '1200', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45876', 'Treasure Chest', '$2408', 'Brown Chest', 'L1Monster', '1093', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45877', 'Treasure Chest', '$2408', 'Blue Chest', 'L1Monster', '3520', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45878', 'Spirit of Drake', '$4028', '', 'L1Monster', '4218', '42', '600', '50', '-35', '18', '18', '20', '18', '18', '50', '1765', '-45', 'small', '2', '1', '0', '960', '1280', '1280', '1280', '1280', '3', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45879', 'Goblin of Ordeal', '$4029', '', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '1', '0', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45880', 'Goblin of Ordeal', '$4029', '', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '1', '0', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45881', 'Goblin of Ordeal', '$4029', '', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '1', '0', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45882', 'Goblin of Ordeal', '$4029', '', 'L1Monster', '1022', '40', '3', '10', '10', '16', '12', '16', '7', '7', '2', '1', '0', 'small', '0', '1', '0', '760', '920', '1000', '920', '920', '0', '0', '0', '0', '0', '0', 'goblin', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('50001', 'Barnia', '$1897', '', 'L1Teleporter', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50002', 'Sky', '$1738', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50003', 'Illdrath', '$1422', '', 'L1Teleporter', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50004', 'Novice Teleporter', '$2098', '', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50005', 'Karen', '$2496', '', 'L1Teleporter', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50006', 'Coco', '$1737', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50007', 'Esmeralda', '$1653', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50008', 'Arena Guide', '$1500', '', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50009', 'Ishtar', '$1417', '', 'L1Teleporter', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50010', 'Novice Teleporter', '$2098', '', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50011', 'Kun', '$1730', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50012', 'Kiyari', '$1731', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50013', 'Arena Guide', '$1500', '', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50014', 'Dilong', '$2019', '', 'L1Teleporter', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50015', 'Lucas', '$829', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50016', 'Zeno', '$1418', '', 'L1Teleporter', '1510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50017', 'Keith', '$1068', '', 'L1Teleporter', '984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50018', 'Coliseum Manager', '$1609', '', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50019', 'Assistant Manager of the Coliseum', '$1902', '', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50020', 'Stanley', '$831', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50021', 'Castle Gatekeeper', '$3238', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50022', 'Harrison', '$1069', '', 'L1Teleporter', '981', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50023', 'Ober', '$3427', '', 'L1Teleporter', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50024', 'Stevie', '$830', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50025', 'Market Guard', '$3054', '', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50026', 'Market Teleporter', '$3053', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50027', 'Market Teleporter', '$3053', '', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50028', 'Coliseum Manager', '$1609', '', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50029', 'Assistant Manager of the Coliseum', '$1902', '', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50030', 'Hooper', '$1070', '', 'L1Teleporter', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50031', 'Sepia', '$2259', '', 'L1Teleporter', '2712', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50032', 'Market Guard', '$3054', '', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50033', 'Market Teleporter', '$3053', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50034', 'Market Teleporter', '$3053', '', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50035', 'Castle Gatekeeper', '$3238', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50036', 'Wilma', '$1354', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50037', 'Coliseum Manager', '$1609', '', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50038', 'Assistant Manager of the Coliseum', '$1902', '', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50039', 'Leslie', '$1596', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50040', 'Castle Gatekeeper', '$3238', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50041', 'Coliseum Manager', '$1609', '', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50042', 'Assistant Manager of the Coliseum', '$1902', '', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50043', 'Ramuda', '$2356', '', 'L1Teleporter', '2778', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50044', 'Sirius', '$2126', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50045', 'Eldin', '$2497', '', 'L1Teleporter', '2781', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50046', 'Elleris', '$2234', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50047', 'Castle Gatekeeper', '$3238', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50048', 'Market Guard', '$3054', '', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50049', 'Market Teleporter', '$3053', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50050', 'Market Teleporter', '$3053', '', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50051', 'Kirius', '$1773', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50052', 'Castle Gatekeeper', '$3238', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50053', 'Cobb', '$1071', '', 'L1Teleporter', '793', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50054', 'Trey', '$946', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50055', 'Drist', '$1423', '', 'L1Teleporter', '1510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50056', 'Matt', '$947', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50057', 'Bunch', '$1072', '', 'L1Teleporter', '794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50058', 'Market Guard', '$3054', '', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50059', 'Market Teleporter', '$3053', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50060', 'Market Teleporter', '$3053', '', 'L1Teleporter', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50061', 'Coliseum Manager', '$1609', '', 'L1Teleporter', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50062', 'Assistant Manager of the Coliseum', '$1902', '', 'L1Teleporter', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50063', 'Fortress Gatekeeper', '$3239', '', 'L1Teleporter', '782', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50064', 'Duvall', '$3436', '', 'L1Teleporter', '1514', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50065', 'Ribian', '$1898', '', 'L1Teleporter', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50066', 'Riol', '$1517', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50067', 'Castle Gatekeeper', '$3238', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50068', 'Deanos', '$2586', '', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50069', 'Enya', '$2493', '', 'L1Teleporter', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50070', 'Lucky', '$1955', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50071', 'Ishiris', '$1932', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50072', 'Teleporter Diarus', '$3127', '', 'L1Teleporter', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50073', 'Teleporter Diabes', '$3130', '', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50074', 'Large Cave Teleporter', '$3550', '', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50075', 'Fortress Gatekeeper', '$3239', '', 'L1Teleporter', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50076', 'Orb of Spirit', '$3551', '', 'L1Teleporter', '4047', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50077', 'Orb of Spirit', '$3551', '', 'L1Teleporter', '4047', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50078', 'Orb of Spirit', '$3551', '', 'L1Teleporter', '155', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50079', 'Daniel', '$834', '', 'L1Teleporter', '6377', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50080', 'Paul', '$833', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50081', 'Explorer\'s Assistant', '$4472', '', 'L1Merchant', '4141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('50082', 'Unknown 50082', '$10078', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50083', 'Unknown 50083', '$10079', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50084', 'Guard', '$240', '', 'L1Teleporter', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('50111', 'Liri', '$3318', '', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50112', 'Serian', '$3317', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50113', 'Lekman', '$3316', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50114', 'Chico', '$3323', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50115', 'Jaruman', '$3330', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50116', 'Gion', '$3319', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50117', 'Syria', '$3320', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50118', 'Niki', '$3428', '', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('50119', 'Oshillia', '$3321', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50120', 'Hob', '$3324', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50121', 'Honin', '$3322', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50122', 'Tuck', '$3325', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50123', 'Galleon', '$3326', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50124', 'Porikan', '$3328', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50125', 'Gilbert', '$3327', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50126', 'Jerik', '$3329', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50127', 'Consul', '$3548', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50501', 'Gleda', '$1330', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50502', 'Ginevra', '$1344', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50503', 'Noela', '$1331', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50504', 'Nicoline', '$1320', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50505', 'Diane', '$1306', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50506', 'Duana', '$1345', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50507', 'Leonora', '$1342', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50508', 'Lucinda', '$1332', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50509', 'Livia', '$1314', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50510', 'Marina', '$888', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50511', 'Margery', '$1329', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50512', 'Mary', '$1319', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50513', 'Mennefer', '$1325', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50514', 'Minerva', '$1333', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50515', 'Miryam', '$1324', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50516', 'Valeska', '$1311', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50517', 'Bernice', '$1339', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50518', 'Vevina', '$1313', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50519', 'Beth', '$1307', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50520', 'Sarah', '$1316', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50521', 'Saloma', '$1338', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50522', 'Sigrid', '$1346', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50523', 'Erma', '$1348', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50524', 'Emilia', '$1336', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50525', 'Eulalia', '$1321', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50526', 'Eleanora', '$1318', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50527', 'Emma', '$889', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50528', 'Osa', '$1326', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50529', 'Even', '$675', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50530', 'Ione', '$1343', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50531', 'Justine', '$1309', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50532', 'Geraldine', '$1334', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50533', 'Joanna', '$1327', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50534', 'Julia', '$1322', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50535', 'Juliana', '$1337', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50536', 'Jilda', '$1315', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50537', 'Karelia', '$1340', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50538', 'Carmel', '$1312', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50539', 'Karine', '$1341', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50540', 'Catriona', '$1323', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50541', 'Tessa', '$1347', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50542', 'Teodora', '$1328', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50543', 'Tekla', '$1317', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50544', 'Paulina', '$1335', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50545', 'Henrietta', '$1308', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50546', 'Nadine', '$2304', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50547', 'Nash', '$2285', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50548', 'Natalia', '$2314', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50549', 'Nona', '$2327', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50550', 'Nita', '$2338', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50551', 'Diana', '$2284', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50552', 'Doria', '$2340', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50553', 'Dina', '$2276', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50554', 'Levins', '$2280', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50555', 'Lucie', '$2301', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50556', 'Rociri', '$2303', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50557', 'Locis', '$2309', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50558', 'Ressie', '$2334', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50559', 'Lucinda', '$2331', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50560', 'Liz', '$2282', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50561', 'Rija', '$2278', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50562', 'Mariel', '$2316', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50563', 'McCauley', '$2339', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50564', 'Meyo', '$2297', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50565', 'May', '$2321', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50566', 'Mella', '$2325', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50567', 'Morin', '$2272', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50568', 'Mitchel', '$2286', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50569', 'Michelli', '$2313', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50570', 'Mindy', '$2288', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50571', 'Beverly', '$2296', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50572', 'Beth', '$1307', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50573', 'Bella', '$2318', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50574', 'Bonie', '$2324', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50575', 'Bobby', '$2279', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50576', 'Brittainy', '$2329', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50577', 'Bianca', '$2317', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50578', 'Violet', '$2315', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50579', 'Sadie', '$2328', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50580', 'Cellay', '$2311', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50581', 'Celina', '$2274', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50582', 'Sophia', '$2306', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50583', 'Sherrie', '$2310', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50584', 'Sibia', '$2305', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50585', 'Cindy', '$2275', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50586', 'Sylvia', '$2336', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50587', 'Arana', '$2295', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50588', 'Amie', '$2281', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50589', 'Aberi', '$2307', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50590', 'Acacia', '$2287', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50591', 'Angelina', '$2312', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50592', 'Angelica', '$2332', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50593', 'Edie', '$2294', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50594', 'Ebony', '$2277', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50595', 'Angeline', '$2289', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50596', 'Odia', '$2271', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50597', 'Ophelia', '$2323', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50598', 'Wanda', '$2320', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50599', 'Isabelle', '$2302', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50600', 'Genesse', '$2299', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50601', 'Zenith', '$2337', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50602', 'Joanne', '$2322', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50603', 'Judith', '$2300', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50604', 'Chellany', '$2333', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50605', 'Karot', '$2308', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50606', 'Karisha', '$2335', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50607', 'Candice', '$2273', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50608', 'Kinin', '$2233', '', 'L1Teleporter', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50609', 'Tamara', '$2330', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50610', 'Teresa', '$2326', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50611', 'Prolance', '$2298', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50612', 'Florina', '$2319', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50613', 'Helena', '$2341', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50614', 'Novita', '$1547', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50615', 'Dain', '$1550', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50616', 'Delia', '$1549', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50617', 'Lorena', '$1546', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50618', 'Morna', '$1548', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50619', 'Miriam', '$1542', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50620', 'Adina', '$1540', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50621', 'Edry', '$1543', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50622', 'Elsha', '$1544', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50623', 'Zenia', '$1541', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50624', 'Triona', '$1545', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50625', 'Ancient Person', '$2357', '', 'L1Teleporter', '266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60001', 'Dorin', '$309', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60002', 'Bahof', '$468', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60003', 'Thram', '$568', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60004', 'Denitz', '$3223', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60005', 'Luke', '$844', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60006', 'Jianku', '$3055', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60007', 'Karim', '$334', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60008', 'Nodim', '$1249', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60009', 'Sauram', '$1248', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60010', 'Kasham', '$3224', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60011', 'Kuron', '$3070', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60012', 'Tofen', '$1380', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60013', 'Axellon', '$1604', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60014', 'Kriom', '$1611', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60015', 'Ogi', '$2125', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60016', 'Juke', '$2229', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60017', 'Karudim', '$2228', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60018', 'Calvas', '$2087', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60019', 'Timpukin', '$2230', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60020', 'Tulak', '$3071', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60021', 'Hirim', '$1878', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60022', 'Borgin', '$950', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60023', 'Tarkin', '$948', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60024', 'Gotham', '$949', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60025', 'Kusian', '$3072', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60026', 'Orclon', '$2092', '', 'L1Dwarf', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60027', 'Kuhatin', '$1073', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60028', 'El', '$750', '', 'L1Dwarf', '918', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60029', 'Haidrim', '$1551', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60030', 'Hakim', '$1538', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60031', 'Rayearth', '$2492', '', 'L1Dwarf', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60032', 'Storage House Keeper Garin', '$3132', '', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60033', 'Storage House Keeper Gaul', '$3129', '', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60034', 'Kuud', '$3526', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60035', 'Zidar', '$3564', '', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60036', 'Tigus', '$3563', '', 'L1Dwarf', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60037', 'Unknown 60037', '$10076', '', 'L1Dwarf', '143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60501', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60502', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60503', 'Ranger', '$1177', '', 'L1Guard', '1222', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60504', 'Ranger', '$1177', '', 'L1Guard', '1250', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60505', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60506', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60507', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60508', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60509', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60510', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60513', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45347', 'Dark Forester', '$3142', '', 'L1Monster', '3747', '32', '500', '100', '-32', '17', '17', '18', '25', '22', '75', '1025', '-50', 'small', '0', '2', '0', '853', '1720', '0', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60515', 'Kent Mercenary Squad', '$2932 $2928', '', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60516', 'Kent Mercenary Squad', '$2932 $2928', '', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60517', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60518', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60519', 'Blue Sharks', '$460', '', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60520', 'Kent Mercenary Squad', '$2932 $2928', '', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60521', 'Kent Mercenary Squad', '$2932 $2928', '', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60522', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60523', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60526', 'Giran Mercenary Squad', '$1242 $2928', '', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60527', 'Giran Mercenary Squad', '$1242 $2928', '', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60528', 'Gludin Town Guard', '$364 $240', '', 'L1Guard', '335', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45339', 'Plate Worm', '$3147', '', 'L1Monster', '3654', '30', '400', '30', '-33', '14', '14', '18', '5', '5', '20', '901', '-32', 'large', '0', '2', '0', '960', '1480', '3360', '1480', '1480', '0', '0', '0', '1', '1', '1', 'centipede', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60530', 'Dwarf Guard', '$1577', '', 'L1Guard', '1997', '70', '2500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60531', 'Dwarf Guard', '$1577', '', 'L1Guard', '1997', '70', '2500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60532', 'Unknown 60532', 'Unknown 60532', '', 'L1Guard', '1839', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60533', 'Aden Castle Guard', 'Aden Castle $240', '', 'L1Guard', '2650', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60534', 'Aden Castle Guard', 'Aden Castle $240', '', 'L1Guard', '2649', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60537', 'Aden Guard', '$2129 $240', '', 'L1Guard', '2289', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45331', 'Middle Oum', '$3145', '', 'L1Monster', '3644', '32', '450', '50', '-23', '18', '18', '16', '5', '5', '30', '1025', '-35', 'small', '0', '2', '0', '853', '1520', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45328', 'Dillo', '$3146', '', 'L1Monster', '3652', '32', '350', '50', '-33', '14', '14', '18', '5', '5', '50', '1025', '-42', 'small', '0', '2', '0', '853', '1440', '1360', '1440', '1440', '0', '0', '0', '1', '1', '1', 'diro', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60541', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60542', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60543', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60544', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60545', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60546', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60547', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60548', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45323', 'Beast Summoner', '$3140', '', 'L1Monster', '3694', '30', '600', '150', '-28', '16', '13', '18', '18', '18', '35', '962', '-50', 'small', '0', '2', '0', '1280', '1560', '1400', '1560', '1560', '0', '0', '0', '1', '1', '1', 'beastsummoner', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60551', 'Windawood Castle Guard', '$951 $240', '', 'L1Guard', '335', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60553', 'Windawood Mercenary Squad', '$2933 $2928', '', 'L1Guard', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60554', 'Windawood Mercenary Squad', '$2933 $2928', '', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60555', 'Unknown 60555', 'Unknown 60555', '', 'L1Guard', '4003', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60556', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60557', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60558', 'Gerard Mercenary Squad', '$914 $2928', '', 'L1Guard', '3447', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60559', 'Gerard Mercenary Squad', '$914 $2928', '', 'L1Guard', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45311', 'Mole', '$3149', '', 'L1Monster', '3582', '20', '150', '100', '-7', '30', '18', '20', '17', '15', '60', '401', '-20', 'small', '0', '4', '0', '480', '1240', '1720', '1240', '1240', '0', '0', '0', '0', '0', '0', 'mole', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3584', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('60563', 'Heine Guard', '$1513 $240', '', 'L1Guard', '1659', '85', '3000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '960', '1540', '0', '1240', '1240', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60564', 'Unknown 60564', 'Unknown 60564', '', 'L1Guard', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60565', 'Unknown 60565', 'Unknown 60565', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('60566', 'Dark Elf Ranger', '$2495', '', 'L1Guard', '2976', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('60567', 'Guard', '$240', '', 'L1Guard', '2976', '75', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70001', 'Rose', '$1643', '', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70002', 'Sasha', '$1557', '', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70003', 'Siriss', '$1416', '', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70004', 'Peddler Johan', '$10081', '', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70005', 'Pago', '$1732', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70006', 'Kiris', '$1726', '', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70007', 'Tina', '$1644', '', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70008', 'Fraoun', '$1420', '', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70009', 'Gereng', '$374', '', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70010', 'Balsim', '$304', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70011', 'Harbor Master', '$320', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70012', 'Selena', '$955', '', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70013', 'Cole', '$1637', '', 'L1Merchant', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70014', 'Pandora', '$269', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70015', 'Arieh', '$1638', '', 'L1Merchant', '1530', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70016', 'Andyn', '$458', '', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70017', 'Orim', '$406', '', 'L1Merchant', '266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70018', 'Ysorya', '$459', '', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70019', 'Lolia', '$450', '', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70020', 'Rollko', '$2861', '', 'L1Merchant', '3235', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70021', 'Luth', '$333', '', 'L1Merchant', '234', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70022', 'Harbor Master', '$320', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70023', 'Aden Chamber of Commerce', '$3237', '', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70024', 'Catty', '$332', '', 'L1Merchant', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70025', 'Pasim', '$2899', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70026', 'Derek', '$861', '', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70027', 'Dio', '$859', '', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70028', 'Randal', '$857', '', 'L1Merchant', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70029', 'Margaret', '$866', '', 'L1Merchant', '1298', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70030', 'Mayer', '$1301', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70031', 'Molly', '$1250', '', 'L1Merchant', '1507', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70032', 'Vergil', '$1295', '', 'L1Merchant', '1314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70033', 'Verita', '$891', '', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70034', 'Vincent', '$848', '', 'L1Merchant', '1314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70035', 'Polly', '$858', '', 'L1Merchant', '990', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70036', 'Stella', '$1624', '', 'L1Merchant', '200', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70037', 'Aden Chamber of Commerce', '$3237', '', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70038', 'Evert', '$849', '', 'L1Merchant', '1296', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70039', 'Werner', '$1286', '', 'L1Merchant', '1208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70040', 'Jason', '$855', '', 'L1Merchant', '1243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70041', 'Maeno', '$854', '', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70042', 'Secil', '$886', '', 'L1Merchant', '1505', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70043', 'Philip', '$838', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70044', 'Ralf', '$1595', '', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70045', 'Berry', '$1594', '', 'L1Merchant', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70046', 'Jin', '$1642', '', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70047', 'Defman', '$2121', '', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70048', 'Raon', '$2122', '', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70049', 'Rozen', '$2148', '', 'L1Merchant', '1282', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70050', 'Ruky', '$2167', '', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70051', 'Magus', '$2235', '', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70052', 'Melissa', '$2237', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70053', 'Shara', '$2232', '', 'L1Merchant', '1298', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70054', 'Sabin', '$2163', '', 'L1Merchant', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70055', 'Ashinnue', '$2995', '', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70056', 'Jode', '$2860', '', 'L1Merchant', '3232', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70057', 'Catherine', '$2231', '', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70058', 'Fega', '$2236', '', 'L1Merchant', '1314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70059', 'Dico', '$1877', '', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70060', 'Linda', '$1875', '', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70061', 'Mandra', '$1776', '', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70062', 'Varyeth', '$1779', '', 'L1Merchant', '2090', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70063', 'Bius', '$1775', '', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70064', 'Aden Chamber of Commerce', '$3237', '', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70065', 'Enke', '$1828', '', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70066', 'Kreister', '$1781', '', 'L1Merchant', '2143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70067', 'Pagoru', '$1876', '', 'L1Merchant', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70068', 'Franko', '$2929', '', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70069', 'Momo', '$1639', '', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70070', 'Velisa', '$912', '', 'L1Merchant', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70071', 'Ashur', '$965', '', 'L1Merchant', '1045', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70072', 'Elmina', '$910', '', 'L1Merchant', '234', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70073', 'Glen', '$915', '', 'L1Merchant', '984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70074', 'Mellin', '$916', '', 'L1Merchant', '990', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70075', 'Miranda', '$918', '', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70076', 'Aden Chamber of Commerce', '$3237', '', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70077', 'Rodney', '$840', '', 'L1Merchant', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70078', 'Orcm', '$1640', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70079', 'Jackson', '$964', '', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70080', 'Horun', '$751', '', 'L1Merchant', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70081', 'Buakheu', '$1434', '', 'L1Merchant', '1619', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70082', 'Britt', '$1516', '', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70083', 'Shivan', '$1515', '', 'L1Merchant', '695', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70084', 'Elly', '$1539', '', 'L1Merchant', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70085', 'Old', '$1641', '', 'L1Merchant', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70086', 'Isvall', '$1931', '', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70087', 'Sedia', '$2552', '', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70088', 'Squalid', '$2494', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70089', 'Oblivion', '$1944', '', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70090', 'Chicky', '$1954', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70091', 'Tilon', '$1956', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70092', 'Trader Emart', '$3131', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70093', 'Trader Carupu', '$3128', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70094', 'Duran', '$3437', '', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70095', 'Duron', '$3529', '', 'L1Merchant', '1045', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70096', 'Millay', '$3525', '', 'L1Merchant', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70097', 'Foni', '$3530', '', 'L1Merchant', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70098', 'Bobo', '$3424', '', 'L1Merchant', '4312', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70099', 'Kuper', '$2344', '', 'L1Merchant', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70100', 'Lengo', '$454', '', 'L1Merchant', '704', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70101', 'Fiin', '$455', '', 'L1Merchant', '705', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70102', 'Judice', '$456', '', 'L1Merchant', '706', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70501', 'Eban', '$839', '', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70502', 'Arena Guide', '$1500', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70503', 'Goodman', '$1501', '', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '32767', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70504', 'Neutralman', '$1502', '', 'L1Merchant', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70505', 'Unknown 70505', '', '', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70506', 'Ruba', '$1728', '', 'L1Merchant', '1301', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70507', 'Rion', '$1724', '', 'L1Merchant', '985', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70508', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70509', 'Armor Enchanter', '$1685', '', 'L1Merchant', '1208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70510', 'Polymorph Magician', '$1684', '', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70511', 'Evilman', '$1503', '', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-32767', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70512', 'Healer', '$1415', '', 'L1Merchant', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70513', 'Peria', '$2573', '', 'L1Npc', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70514', 'Haste Master', '$2343', '', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70515', 'Mubo', '$1727', '', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70516', 'Belgeter', '$1419', '', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70517', 'Cuse', '$1725', '', 'L1Merchant', '986', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70518', 'Tio', '$1729', '', 'L1Merchant', '987', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70519', 'Peria', '$2573', '', 'L1Merchant', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70520', 'Alchemist', '$3480', '', 'L1Merchant', '2090', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70521', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70522', 'Gunter', '$270', '', 'L1Merchant', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70523', 'Ladar', '$1053', '', 'L1Merchant', '988', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70524', 'Lavienue', '$2690', '', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70525', 'Lien', '$1055', '', 'L1Merchant', '981', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70526', 'Raidar', '$2883', '', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70527', 'Terry', '$847', '', 'L1Npc', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70528', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70529', 'Mona', '$862', '', 'L1Merchant', '234', '0', '100', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', '', '0', '0', '0', '3840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70530', 'Goddess of Atonement', '$3126', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70531', 'Jem', '$1928', '', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70532', 'Johnson', '$614', '', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70533', 'Judice', '$456', '', 'L1Npc', '706', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70534', 'Secratary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70535', 'Unknown 70535', '', '', 'L1Npc', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70536', 'Touma', '$478', '', 'L1Merchant', '727', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70537', 'Farlin', '$1054', '', 'L1Merchant', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70538', 'Blood Pledge Administrator', '$2238', '', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70539', 'Unknown 70539', '', '', 'L1Npc', '705', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70541', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70542', 'Gayle', '$430', '', 'L1Npc', '261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70543', 'Unknown 70543', '', '', 'L1Npc', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70544', 'Rick', '$615', '', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70545', 'Richard', '$2160', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70546', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70547', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70548', 'Unknown 70548', '', '', 'L1Npc', '794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45309', 'Black Tiger', '$3136', '', 'L1Monster', '3547', '28', '560', '50', '-16', '18', '18', '20', '5', '15', '30', '785', '-37', 'small', '0', '2', '0', '853', '1640', '1800', '1640', '1640', '0', '0', '0', '0', '0', '0', 'tiger', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70550', 'Armor Enchanter', '$1685', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70551', 'Unknown 70551', '', '', 'L1Npc', '3418', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70552', 'Unknown 70552', '', '', 'L1Npc', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70553', 'Ishmael', '$432', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70554', 'Zero', '$1927', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70555', 'Jim', '$2013', '', 'L1Merchant', '2436', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70556', 'Secratary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70557', 'Cana', '$449', '', 'L1Npc', '699', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70558', 'Kent Mercenary Squad', '$2932 $2928', '', 'L1Npc', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70559', 'Kent Mercenary Squad', '$2932 $2928', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70560', 'Blood Pledge Administrator', '$2238', '', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70561', 'Unknown 70561', 'Unknown 70561', '', 'L1Npc', '3406', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70562', 'Mercenary Captain Hunt', '$445', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70564', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70566', 'Unknown 70566', '', '', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70567', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70568', 'Yuno', '$3225', '', 'L1Merchant', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70569', 'Jaint', '$452', '', 'L1Npc', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70570', 'Jyta', '$453', '', 'L1Npc', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70571', 'Unknown 70571', '', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70572', 'Secratary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70573', 'Farbo', '$451', '', 'L1Npc', '701', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70575', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70576', 'Garth', '$1270', '', 'L1Monster', '721', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70577', 'Auctioneer', '$1233', '', 'L1Merchant', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70578', 'Unknown 70578', '', '', 'L1Npc', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70579', 'Unknown 70579', '', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70580', 'Unknown 70580', '', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70581', 'Gulian', '$1267', '', 'L1Monster', '1514', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70582', 'Neil', '$841', '', 'L1Monster', '1513', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70583', 'Nelson', '$853', '', 'L1Monster', '1512', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70584', 'Daria', '$883', '', 'L1Npc', '989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70585', 'Damon', '$1260', '', 'L1Npc', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70586', 'Daisy', '$880', '', 'L1Monster', '797', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70587', 'Doris', '$884', '', 'L1Npc', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70588', 'Unknown 70588', '', '', 'L1Npc', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70589', 'Laban', '$856', '', 'L1Monster', '1294', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70590', 'Luke', '$844', '', 'L1Npc', '1514', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70591', 'Lina', '$878', '', 'L1Monster', '699', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70592', 'Leal', '$875', '', 'L1Monster', '1531', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70593', 'Manus', '$1268', '', 'L1Monster', '794', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70594', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70595', 'Mandel', '$842', '', 'L1Npc', '1290', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70596', 'Malcom', '$1259', '', 'L1Npc', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70597', 'Moran', '$1263', '', 'L1Npc', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70598', 'Moria', '$865', '', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70599', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70601', 'Armor Enchanter', '$1685', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70602', 'Velma', '$871', '', 'L1Npc', '1509', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70603', 'Bruno', '$836', '', 'L1Npc', '1282', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70604', 'Bridget', '$881', '', 'L1Monster', '798', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70605', 'Blaise', '$3234', '', 'L1Merchant', '1288', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70606', 'Victor', '$852', '', 'L1Monster', '988', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70607', 'Sarsha', '$2986', '', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70608', 'Shalina', '$867', '', 'L1Monster', '1506', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70609', 'Sally', '$879', '', 'L1Npc', '1301', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70610', 'Sherwin', '$1262', '', 'L1Npc', '701', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70611', 'Goddess of Atonement', '$3126', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70612', 'Sidney', '$837', '', 'L1Npc', '1510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70613', 'Amanda', '$877', '', 'L1Npc', '1266', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70614', 'Anton', '$860', '', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70615', 'Alda', '$876', '', 'L1Monster', '1532', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70616', 'Aldred', '$1266', '', 'L1Monster', '792', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70617', 'Almon', '$1299', '', 'L1Merchant', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70618', 'Andrew', '$835', '', 'L1Npc', '1288', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70619', 'Alice', '$872', '', 'L1Monster', '1528', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70620', 'Eban', '$839', '', 'L1Npc', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70621', 'Evelyn', '$873', '', 'L1Monster', '1529', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70622', 'Eliza', '$864', '', 'L1Monster', '1505', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70623', 'Orville', '$1238', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70624', 'Oliver', '$1271', '', 'L1Monster', '723', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70625', 'Iola', '$887', '', 'L1Npc', '234', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70626', 'Jack', '$832', '', 'L1Monster', '1278', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70627', 'Jenny', '$870', '', 'L1Npc', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70628', 'Jessy', '$868', '', 'L1Npc', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70629', 'James', '$843', '', 'L1Npc', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70630', 'Giles', '$1265', '', 'L1Monster', '800', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70631', 'Secratary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70632', 'Kevin', '$1298', '', 'L1Merchant', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70633', 'Colbert', '$850', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70634', 'Tanya', '$882', '', 'L1Monster', '799', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70635', 'Tyrus', '$1261', '', 'L1Npc', '698', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70636', 'Terry', '$847', '', 'L1Npc', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70637', 'Tovia', '$874', '', 'L1Monster', '1530', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70638', 'Tracey', '$885', '', 'L1Npc', '992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70639', 'Ferdinand', '$1264', '', 'L1Monster', '705', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70640', 'Pierre', '$1269', '', 'L1Monster', '981', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70641', 'Herbert', '$1246', '', 'L1Merchant', '1312', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70642', 'Hector', '$846', '', 'L1Merchant', '1208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70643', 'Helen', '$863', '', 'L1Npc', '1286', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70644', 'Blood Pledge Administrator', '$2238', '', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70646', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70647', 'Gavin', '$1598', '', 'L1Monster', '800', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70648', 'Daley', '$1599', '', 'L1Monster', '695', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70649', 'Lary', '$3331', '', 'L1Npc', '4258', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70650', 'Horse of Lary', '$3552', '', 'L1Npc', '4363', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70651', 'Lary\'s Soldier', '$3333', '', 'L1Npc', '4260', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70652', 'Lary\'s Assistant', '$3332', '', 'L1Npc', '4259', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70653', 'Marshall', '$2021', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70654', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70655', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70657', 'Armor Enchanter', '$1685', '', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70658', 'Goddess of Atonement', '$3126', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70659', 'Atara', '$1600', '', 'L1Monster', '696', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70660', 'Unknown 70660', '$2931 $2930', '', 'L1Npc', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70661', 'Unknown 70661', '$2931 $2928', '', 'L1Npc', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70662', 'Ivelviin', '$1592', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70663', 'Secratary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70664', 'Cove', '$1597', '', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70665', 'Potempin', '$1591', '', 'L1Merchant', '1766', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70666', 'Freckson', '$1602', '', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70667', 'Blood Pledge Administrator', '$2238', '', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70669', 'Auctioneer', '$1233', '', 'L1Npc', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70670', 'Cray', '$1015', '', 'L1Npc', '2429', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70671', 'Nose', '$3042', '', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70672', 'Raphael', '$2151', '', 'L1Npc', '2405', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70673', 'Unknown 70673', '', '', 'L1Npc', '2405', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70674', 'Reona', '$3135', '', 'L1Merchant', '1273', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1000', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70675', 'Rose', '$2934', '', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70676', 'Ryumiel', '$2689', '', 'L1Merchant', '3095', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70677', 'Lilia', '$2141', '', 'L1Npc', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70678', 'Unknown 70678', '', '', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70679', 'Marja', '$2132', '', 'L1Npc', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70680', 'Mikey', '$2135', '', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70681', 'Matilda', '$2137', '', 'L1Npc', '2505', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70682', 'Marx', '$2150', '', 'L1Npc', '2293', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70683', 'Montes', '$2705', '', 'L1Merchant', '2139', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70684', 'Words of Montes', '$2717', '', 'L1Npc', '2963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70685', 'Words of Montes', '$2717', '', 'L1Npc', '2964', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70686', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '2487', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('45302', 'Giant Guardian', '$2256', '', 'L1Monster', '2714', '40', '2900', '350', '-30', '75', '21', '11', '21', '20', '100', '1601', '-80', 'large', '0', '1', '0', '960', '1880', '0', '1880', '1880', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('70688', 'Muras', '$2943', '', 'L1Npc', '1301', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70689', 'Misa', '$2131', '', 'L1Npc', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70690', 'Bamute', '$2608', '', 'L1Merchant', '457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70691', 'Barbara', '$2152', '', 'L1Npc', '2400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70692', 'Armor Enchanter', '$1685', '', 'L1Merchant', '2487', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70693', 'Buckley', '$2144', '', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70694', 'Brutus', '$2940', '', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70695', 'Biust', '$2128', '', 'L1Merchant', '2335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70696', 'Bindro', '$2134', '', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70697', 'Seratti', '$2938', '', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70698', 'Selma', '$2140', '', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70699', 'Sheryan', '$2143', '', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70700', 'Sabin', '$2163', '', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70701', 'Goddess Agata', '$1674', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70702', 'Goddess Ariel', '$2342', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70705', 'Arin', '$2136', '', 'L1Npc', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70706', 'Aquin', '$2154', '', 'L1Npc', '2531', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70707', 'Eno', '$3013', '', 'L1Merchant', '2649', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10000', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70708', 'Affleck', '$2165', '', 'L1Npc', '2143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70709', 'Elleanor', '$2138', '', 'L1Npc', '1528', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70710', 'Unknown 70710', '', '', 'L1Npc', '1273', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70711', 'Giant Elder', '$2255', '', 'L1Merchant', '2711', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70712', 'Jennifer', '$2139', '', 'L1Npc', '1529', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70713', 'Jessica', '$2130', '', 'L1Npc', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70714', 'Jaimy', '$2149', '', 'L1Npc', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45299', 'Plate Worm', '$3147', '´', 'L1Monster', '3654', '30', '400', '30', '-13', '21', '18', '12', '12', '10', '20', '901', '-32', 'large', '0', '2', '0', '960', '1480', '3360', '1480', '1480', '0', '0', '0', '0', '0', '0', 'centipede', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70716', 'Chobi', '$2133', '', 'L1Npc', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70717', 'Karas', '$2944', '', 'L1Npc', '1294', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70718', 'Kenihi', '$2942', '', 'L1Npc', '1273', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70719', 'Calvin', '$2157', '', 'L1Npc', '2429', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70720', 'Unknown 70720', '', '', 'L1Npc', '2493', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70721', 'Timon', '$2127', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70722', 'Paruit', '$2371', '', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70723', 'Pau', '$2123', '', 'L1Merchant', '2255', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70724', 'Heit', '$2258', '', 'L1Merchant', '2400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70725', 'Blood Pledge Administrator', '$2238', '', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70726', 'Unknown 70726', '', '', 'L1Npc', '2293', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70727', 'Unknown 70727', '', '', 'L1Npc', '2314', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70728', 'Unknown 70728', '', '', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70729', 'Unknown 70729', '', '', 'L1Npc', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70730', 'Unknown 70730', '', '', 'L1Npc', '2405', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70731', 'Unknown 70731', '', '', 'L1Npc', '2508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70732', 'Unknown 70732', '', '', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70733', 'Unknown 70733', '', '', 'L1Npc', '2491', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70735', 'Garuga', '$1797', '', 'L1Monster', '1288', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70736', 'Derian', '$1777', '', 'L1Monster', '1528', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70737', 'Dekan', '$1795', '', 'L1Npc', '1282', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70738', 'Defuri', '$1823', '', 'L1Npc', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70739', 'Dicarding', '$2355', '', 'L1Merchant', '2767', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70740', 'Soldier of Dicarding', '$2267', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70741', 'Dima', '$1793', '', 'L1Monster', '1280', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70742', 'Detector', '$1953', '', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70743', 'Lazloth', '$1782', '', 'L1Npc', '2139', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70744', 'Roje', '$2444', '', 'L1Merchant', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70745', 'Roku', '$1825', '', 'L1Npc', '261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70746', 'Rotus', '$1796', '', 'L1Monster', '1278', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70747', 'Lulu', '$1362', '', 'L1Npc', '797', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70748', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70749', 'Milo', '$1772', '', 'L1Merchant', '2255', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70750', 'Unknown 70750', '', '', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70751', 'Brad', '$2166', '', 'L1Merchant', '2143', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70752', 'Biyan', '$1827', '', 'L1Monster', '991', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70753', 'Bion', '$1792', '', 'L1Npc', '799', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70754', 'Unknown 70754', '', '', 'L1Npc', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70755', 'Unknown 70755', '', '', 'L1Npc', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70756', 'Moria', '$865', '', 'L1Npc', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70757', 'Goddess of Atonement', '$3126', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70758', 'Sabin', '$2163', '', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70759', 'Unknown 70759', '', '', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70760', 'Ellyonne', '$1780', '', 'L1Merchant', '2115', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70761', 'Secretary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70762', 'Karif', '$2688', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70763', 'Talass', '$1778', '', 'L1Merchant', '2060', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70765', 'Tifany', '$1824', '', 'L1Npc', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70766', 'Paper Man', '$1396', '', 'L1Npc', '2240', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70767', 'Haro', '$2448', '', 'L1Monster', '1528', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '0', '0');
INSERT INTO `npc` VALUES ('70769', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70770', 'Deker', '$913', '', 'L1Monster', '983', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70771', 'Randith', '$932', '', 'L1Merchant', '261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70772', 'Raidar', '$2883', '', 'L1Npc', '3698', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70773', 'Marbin', '$911', '', 'L1Merchant', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70774', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70775', 'Mark', '$2012', '', 'L1Merchant', '981', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70776', 'Mack', '$2161', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70777', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70779', 'Gatekeeper Ant', '$2015', '', 'L1Teleporter', '2438', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '2', '0', '2', '2', '0', '0', '0', '0', '0', '0', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70780', 'Armor Enchanter', '$1685', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70781', 'Goddess of Atonement', '$3126', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70782', 'Search Ant', '$2014', '', 'L1Merchant', '2437', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '2', '0', '2', '2', '0', '0', '0', '0', '0', '0', 'ant', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70783', 'Aria', '$2016', '', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70784', 'Othmond', '$921', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70785', 'Windawood Mercenary Squad', '$2933 $2928', '', 'L1Npc', '335', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70786', 'Windawood Mercenary Squad', '$2933 $2928', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70787', 'Windawood Head of Mercenary Squad', '$2933 $2930', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70788', 'Secretary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70789', 'Halt', '$935', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70790', 'Blood Pledge Administrator', '$2238', '', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70791', 'Unknown 70791', '', '', 'L1Npc', '2337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70793', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70794', 'Gerard', '$914', '', 'L1Merchant', '994', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70795', 'Gerard Mercenary Squad', '$914 $2928', '', 'L1Npc', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70796', 'Dunham', '$2345', '', 'L1Merchant', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70798', 'Ricky', '$1925', '', 'L1Merchant', '2337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70799', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('45277', 'Scorpion', '$966', '', 'L1Monster', '4058', '28', '270', '30', '-15', '18', '16', '16', '8', '8', '20', '785', '-20', 'small', '2', '2', '0', '640', '800', '960', '800', '800', '0', '1', '0', '0', '0', '0', 'scorpion', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70801', 'Goddess of Atonement', '$3126', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70802', 'Aanon', '$917', '', 'L1Merchant', '986', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70803', 'Anotte', '$934', '', 'L1Monster', '992', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70804', 'Joel', '$1058', '', 'L1Merchant', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70805', 'Julie', '$1056', '', 'L1Merchant', '1509', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70806', 'Secretary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70807', 'Pin', '$1057', '', 'L1Merchant', '723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70809', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70810', 'Nenani Guard', '$491', '', 'L1Npc', '784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70811', 'Lyra', '$484', '', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70812', 'Rohan', '$481', '', 'L1Monster', '793', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70813', 'Ruu Duda-Mara', '$493', '', 'L1Npc', '788', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70814', 'Ruka', '$738', '', 'L1Monster', '725', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70815', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70816', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70818', 'Bazure Atuba', '$489', '', 'L1Npc', '786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70819', 'Bob', '$737', '', 'L1Monster', '723', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70820', 'Armor Enchanter', '$1685', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70821', 'Sanita', '$485', '', 'L1Monster', '989', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70822', 'Saghem Atuba', '$488', '', 'L1Merchant', '782', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70823', 'Goddess of Atonement', '$3126', '', 'L1Merchant', '2141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70824', 'Assassin Master\'s Apprentice', '$2443', '', 'L1Merchant', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70825', 'Ellne', '$486', '', 'L1Monster', '798', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70826', 'Oth', '$1926', '', 'L1Merchant', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70828', 'Ofo', '$480', '', 'L1Monster', '792', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70829', 'Woodford', '$479', '', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70830', 'Secretary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70831', 'Kentu Neruga', '$490', '', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70832', 'Taga Rova', '$492', '', 'L1Npc', '786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70833', 'Tommy', '$483', '', 'L1Monster', '721', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70834', 'Torban', '$482', '', 'L1Monster', '1510', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70835', 'Hanna', '$487', '', 'L1Npc', '799', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70836', 'Hans', '$963', '', 'L1Merchant', '982', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70837', 'Narhen', '$811', '', 'L1Merchant', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70838', 'Nerupa', '$749', '', 'L1Merchant', '895', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70839', 'Doett', '$812', '', 'L1Monster', '916', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70840', 'Robiel', 'Robiel', '', 'L1Merchant', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70841', 'Luudiel', '$1510', '', 'L1Merchant', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70842', 'Marba', '$3989', '', 'L1Npc', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70843', 'Morien', '$820', '', 'L1Npc', '918', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70844', 'Mother of the Forest and Elves', '$748', '', 'L1Merchant', '869', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70845', 'Aras', '$3990', '', 'L1Npc', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70846', 'Arachne', '$752', '', 'L1Guardian', '864', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'small', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70847', 'Est', '$1145', '', 'L1Merchant', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70848', 'Ent', '$755', '', 'L1Guardian', '847', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70849', 'Theodore', '$821', '', 'L1Npc', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70850', 'Pan', '$753', '', 'L1Guardian', '875', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70851', 'Fairy', '$754', '', 'L1Guardian', '854', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'small', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '6', '0', '0', '0');
INSERT INTO `npc` VALUES ('70852', 'Fairy Queen', '$805', '', 'L1Guardian', '896', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'small', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70853', 'Fairy Princess', '$2018', '', 'L1Teleporter', '896', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70854', 'Hurindalien', '$813', '', 'L1Monster', '918', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70856', 'Gayle', '$430', '', 'L1Npc', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70857', 'Heine Guard', '$1513 $240', '', 'L1Guard', '1659', '85', '3000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '1800', 'large', '0', '1', '0', '960', '1540', '0', '1240', '1240', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70858', 'Derick', '$1518', '', 'L1Monster', '1512', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70859', 'Velma', '$871', '', 'L1Npc', '1509', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70860', 'Village Manager', '$2171', '', 'L1Merchant', '971', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70861', 'Weapon Enchanter', '$1686', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('45276', 'Right-Hand Bandit', '$2099', '', 'L1Monster', '2533', '30', '300', '15', '-16', '16', '13', '18', '10', '11', '25', '901', '-37', 'small', '0', '10', '0', '800', '1000', '1120', '1000', '1000', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70864', 'Vaiger', '$1512', '', 'L1Npc', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70865', 'Armor Enchanter', '$1685', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70866', 'Unknown 70866', '', '', 'L1Npc', '797', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70867', 'Shannon', '$1520', '', 'L1Monster', '699', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70868', 'Stra', '$1532', '', 'L1Npc', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70869', 'Unknown 70869', '', '', 'L1Npc', '697', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70870', 'Arina', '$1524', '', 'L1Merchant', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70871', 'Annabel', '$1525', '', 'L1Monster', '234', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70872', 'Eveurol', '$1488', '', 'L1Merchant', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70873', 'Ellan', '$1514', '', 'L1Merchant', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70874', 'Elina', '$1522', '', 'L1Npc', '700', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70875', 'Oriel', '$1527', '', 'L1Npc', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70876', 'Secretary to the Mayor', '$2170', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70877', 'Trion', '$1521', '', 'L1Monster', '794', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70878', 'Felix', '$1526', '', 'L1Monster', '702', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70879', 'Unknown 70879', '', '', 'L1Npc', '705', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70880', 'Fisher', '$1511', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70881', 'Heine Mercenary Squad', '$1513 $2928', '', 'L1Npc', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1800', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70882', 'Vaiger', '$1512', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70883', 'Unknown 70883', '??????', '', 'L1Npc', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70884', 'Blood Pledge Administrator', '$2238', '', 'L1Merchant', '949', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70885', 'Kan', '$2430', '', 'L1Merchant', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70887', 'Granik', '$2558', '', 'L1Npc', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70888', 'Derin', '$2550', '', 'L1Npc', '2813', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45275', 'Black Ent', '$3143', '', 'L1Monster', '3678', '28', '500', '20', '-18', '20', '18', '12', '12', '8', '20', '785', '-34', 'large', '0', '2', '0', '960', '1960', '2880', '1960', '1960', '0', '0', '0', '0', '0', '0', 'ent', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70891', 'Rondo', '$2545', '', 'L1Npc', '3420', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70892', 'Ronde', '$2432', '', 'L1Merchant', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70893', 'Ronde\'s Horse', '$2500', '', 'L1Npc', '2964', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70895', 'Bludika', '$2441', '', 'L1Merchant', '2765', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('45273', 'Deep Flower', '$3148', '', 'L1Monster', '3568', '28', '500', '300', '-15', '14', '16', '14', '5', '5', '30', '785', '-20', 'large', '0', '2', '0', '0', '1440', '0', '2560', '2560', '0', '0', '0', '0', '0', '0', 'deepflower', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('70897', 'Bishop', '$2556', '', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70898', 'Seria', '$2546', '', 'L1Npc', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70899', 'Unknown 70899', '', '', 'L1Npc', '2994', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70900', 'Ellvienue', '$2560', '', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70901', 'Jeti', '$2548', '', 'L1Monster', '2801', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('70902', 'Kalynue', '$2562', '', 'L1Npc', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70904', 'Koup', '$2442', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70905', 'Unknown 70905', '', '', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70906', 'Kima', '$2544', '', 'L1Merchant', '2977', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70907', 'Personal Assassin of Kima', '$2549', '', 'L1Npc', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70908', 'Pierce', '$2557', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70910', 'Hadesty', '$2491', '', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70911', 'Hamud', '$2559', '', 'L1Npc', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70912', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70913', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70914', 'Unknown 70914', '', '', 'L1Npc', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70915', 'Unknown 70915', '', '', 'L1Npc', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70916', 'Redin', '$3161', '', 'L1Merchant', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70917', 'Burns', '$3164', '', 'L1Merchant', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70918', 'Unknown 70918', '', '', 'L1Npc', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70919', 'Smiter', '$3169', '', 'L1Merchant', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70920', 'Aden Reconnaissance Soldier', '$3180', '', 'L1Npc', '3788', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70921', 'Unknown 70921', '', '', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70922', 'Oum', '$3124', '', 'L1Merchant', '3787', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70923', 'Olle', '$3181', '', 'L1Merchant', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70924', 'Oum', '$3124', '', 'L1Merchant', '3800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70925', 'Elder Oum', '$3125', '', 'L1Merchant', '3661', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70926', 'Unknown 70926', '', '', 'L1Npc', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70927', 'Coderage', '$3167', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70928', 'Tristan', '$3162', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70929', 'Unknown 70929', '', '', 'L1Npc', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70930', 'Unknown 70930', '', '', 'L1Npc', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70931', 'Unknown 70931', '', '', 'L1Npc', '4359', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70932', 'Doyle', '$3556', '', 'L1Npc', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70933', 'Doyle\'s Dog', '$3557', '', 'L1Npc', '938', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70934', 'Resta', '$3560', '', 'L1Npc', '4153', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70935', 'Roberto', '$3595', '', 'L1Npc', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70936', 'Rooney', '$3594', '', 'L1Npc', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70937', 'Rudien', '$3561', '', 'L1Npc', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70938', 'Lukein', '$3558', '', 'L1Npc', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70939', 'Lupus', '$3596', '', 'L1Npc', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70940', 'Lizardman Elder', '$3733', '', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70941', 'Young Lizardman Warrior', '$3734', '', 'L1Npc', '4149', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70942', 'Monett', '$3953', '', 'L1Npc', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70943', 'Berik', '$3527', '', 'L1Npc', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70944', 'Shian', '$3954', '', 'L1Npc', '2529', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70945', 'Simizz', '$3555', '', 'L1Npc', '4127', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70946', 'Enishia', '$3955', '', 'L1Npc', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70947', 'Exhausted Lizardman Warrior', '$3952', '', 'L1Npc', '4149', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70948', 'Cadmus', '$3559', '', 'L1Npc', '1243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70949', 'Karu', '$3597', '', 'L1Npc', '988', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70950', 'Kamit', '$3531', '', 'L1Npc', '723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70951', 'Spirit of Kamyla', '$3732', '', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70952', 'Franko', '$2929', '', 'L1Npc', '1533', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70954', 'Unknown 70954', '', '', 'L1Npc', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70955', 'Unknown 70955', '', '', 'L1Npc', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70956', 'Lesser Demon', '$2112', '', 'L1Npc', '2524', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70957', 'Roy', '$3420', '', 'L1Quest', '4310', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70958', 'Unknown 70958', '', '', 'L1Npc', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70959', 'Unknown 70959', '', '', 'L1Npc', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70960', 'Unknown 70960', '', '', 'L1Npc', '3418', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70961', 'Unknown 70961', '', '', 'L1Npc', '2524', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70962', 'Unknown 70962', '', '', 'L1Npc', '2524', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70963', 'Incarnation of Varlok', '$3414', '', 'L1Npc', '3103', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70964', 'Basch', '$3419', '', 'L1Npc', '4308', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70965', 'Shackled Aden Soldier', '$3418', '', 'L1Npc', '4309', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70966', 'Shackled Aden Soldier', '$3418', '', 'L1Npc', '4307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70967', 'Shackled Aden Soldier', '$3418', '', 'L1Npc', '4306', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70968', 'Unknown 70968', '', '', 'L1Npc', '61', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70969', 'Unknown 70969', '', '', 'L1Npc', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70972', 'Priest of Corruption', '$2655', '', 'L1Npc', '3195', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70973', 'Fesco', '$3591', '', 'L1Npc', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70974', 'Unknown 70974', '', '', 'L1Npc', '1786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70975', 'Unknown 70975', '', '', 'L1Npc', '1784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70976', 'Unknown 70976', '', '', 'L1Npc', '1788', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70977', 'Unknown 70977', '', '', 'L1Npc', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70978', 'Unknown 70978', '', '', 'L1Npc', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70979', 'Unknown 70979', '', '', 'L1Npc', '3638', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70980', 'Liri', '$3318', '', 'L1Npc', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70981', 'Hen', '$928', '', 'L1Monster', '943', '2', '10', '0', '10', '5', '12', '12', '1', '0', '0', '5', '25', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '0', '0');
INSERT INTO `npc` VALUES ('70982', 'Duck', '$952', '', 'L1Npc', '1014', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70983', 'Pig', '$927', '', 'L1Monster', '941', '2', '10', '0', '10', '5', '12', '12', '1', '0', '0', '5', '25', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '0', '0');
INSERT INTO `npc` VALUES ('70984', 'Milk Cow', '$929', '', 'L1Monster', '945', '1', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '100', 'small', '0', '1', '1', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '1', '15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('45271', 'Greater Dark Elemental', '$2896', '', 'L1Monster', '3365', '28', '270', '30', '-15', '18', '16', '16', '8', '8', '20', '785', '-20', 'large', '0', '1', '0', '960', '1400', '1600', '1400', '1400', '0', '0', '0', '0', '0', '0', 'elemental', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45258', 'Middle Oum', '$3145', '', 'L1Monster', '3644', '26', '230', '150', '-18', '16', '10', '18', '12', '10', '25', '677', '-27', 'small', '0', '2', '0', '853', '1520', '1520', '1520', '1520', '0', '0', '0', '0', '0', '0', 'oum', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45252', 'Dire Bear', '$2893', '', 'L1Monster', '3357', '26', '300', '30', '-15', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '0', '2', '1', '426', '840', '1200', '840', '840', '0', '0', '0', '0', '0', '0', 'bear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45245', 'Dark Elementalist', '$2894', '', 'L1Monster', '3360', '45', '550', '320', '-38', '12', '15', '12', '17', '17', '45', '2026', '-32', 'small', '0', '1', '0', '1280', '1520', '0', '1520', '1520', '0', '0', '0', '0', '0', '0', 'elemental', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70997', 'Unknown 70997', '$10051', '', 'L1Merchant', '2060', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70998', 'Unknown 70998', '$10082', '', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70999', 'Unknown 70999', '$10052', '', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71000', 'Unknown 71000', '$10053', '', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71001', 'Pharmacist Ikushi', '$10059', '', 'L1Merchant', '3095', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71002', 'Unknown 71002', '$10083', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71003', 'Blacksmith Ron', '$10060', '', 'L1Merchant', '727', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71004', 'Unknown 71004', '$10063', '', 'L1Merchant', '3095', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71005', 'Unknown 71005', '$10054', '', 'L1Merchant', '1531', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71006', 'Timmie', '$10055', '', 'L1Merchant', '2398', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71007', 'Unknown 71007', '$10061', '', 'L1Merchant', '2531', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71008', 'Message Board', '$10077 $1385', '', 'L1Board', '1544', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71009', 'Chicory', '$10057', '', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71010', 'Unknown 71010', '$10057', '', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71011', 'Burriana', '$10056', '', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71012', 'Unknown 71012', '$10056', '', 'L1Merchant', '4145', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71013', 'Karen', '$2496', '', 'L1Merchant', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71014', 'Unknown 71014', '$10080', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71015', 'Unknown 71015', '$10080', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71016', 'Unknown 71016', '$10080', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71017', 'Unknown 71017', '$10080', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71018', 'Fader', '$10070', '', 'L1Merchant', '1508', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71019', 'Vito Disciples', '$10068', '', 'L1Merchant', '2293', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71020', 'Region', '$10069', '', 'L1Merchant', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71021', 'BoneSmith Matti', '$10073', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71022', 'BoneSmith Jinan', '$10072', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71023', 'BoneSmith Kei', '$10071', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71024', 'Garrett', '$1558', '', 'L1Merchant', '1511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71025', 'Kesukin', '$10058', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71026', 'Unknown 71026', '$10078', '', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71027', 'Unknown 71027', '$10078', '', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71028', 'Unknown 71028', '$10078', '', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71029', 'Unknown 71029', '$10078', '', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71030', 'Healer', '$1415', '', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71031', 'Unknown 71031', '$10066', '', 'L1Merchant', '2139', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71032', 'ETA Adventurers', '$10067', '', 'L1Merchant', '994', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71033', 'Hermit', '$10075', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71034', 'Rabbi', '$10074', '', 'L1Merchant', '2400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71035', 'Unknown 71035', '$10078', '', 'L1Teleporter', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71036', 'Spirit of Kamyla', '$3732', '', 'L1Merchant', '4691', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71037', 'Healer', '$1415', '', 'L1Merchant', '1512', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71038', 'Elder Nanome', '$4208', '', 'L1Merchant', '782', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71039', 'Dudamara Buwoo', '$4656', '', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71040', 'Noah', '$4278', '', 'L1Merchant', '5816', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71041', 'Hoomo', '$4281', '', 'L1Merchant', '5817', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71042', 'Vakumo', '$4280', '', 'L1Merchant', '5817', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71043', 'Booka', '$4282', '', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71044', 'Camay', '$4279', '', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71045', 'Dudamara Bau', '$4664', '', 'L1Merchant', '5815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71046', 'Roberto', '$3595', '', 'L1Merchant', '924', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71047', 'Lupus', '$3596', '', 'L1Merchant', '1278', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71048', 'Karu', '$3597', '', 'L1Merchant', '984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71049', 'Rooney', '$3594', '', 'L1Merchant', '796', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71050', 'Shian', '$3954', '', 'L1Merchant', '2529', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71051', 'Monett', '$3953', '', 'L1Merchant', '4141', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71052', 'Enishia', '$3955', '', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71053', 'Berik', '$3527', '', 'L1Merchant', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71054', 'Roxanne', '$3438', '', 'L1Merchant', '2466', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71055', 'Lukein', '$3558', '', 'L1Merchant', '1305', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71056', 'Simizz', '$3555', '', 'L1Merchant', '4127', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71057', 'Doyle', '$3556', '', 'L1Merchant', '4137', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71058', 'Doyle\'s Dog', '$3557', '', 'L1Merchant', '4368', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71059', 'Rudian', '$3561', '', 'L1Merchant', '983', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71060', 'Resta', '$3560', '', 'L1Merchant', '4153', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71061', 'Cadmus', '$3559', '', 'L1Merchant', '1243', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71062', 'Kamit', '$3531', '', 'L1Quest', '723', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '1400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71063', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71064', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71065', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71066', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71067', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71068', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71069', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71070', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71071', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71072', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71073', 'Small Box', '$3567', '', 'L1Merchant', '4366', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71074', 'Lizardman Elder', '$3733', '', 'L1Merchant', '4708', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71075', 'Exhausted Lizardman Warrior', '$3952', '', 'L1Quest', '5007', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71076', 'Young Lizardman Warrior', '$3734', '', 'L1Merchant', '5007', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71077', 'Geographical Explorer', '$4471', '', 'L1Merchant', '1216', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71078', 'Pouare', '$4881', '', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71079', 'Toduram', '$4882', '', 'L1Merchant', '1997', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71080', 'Chief Security Amisu', '$4850', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71081', 'Unknown 71081', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71082', 'Unknown 71082', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71083', 'Unknown 71083', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71084', 'Unknown 71084', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71085', 'One of the Red Key\'s Secrets', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71086', 'Unknown 71086', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71087', 'Unknown 71087', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71088', 'Unknown 71088', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71089', 'Franco', '$3731', '', 'L1Merchant', '4680', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71090', 'Crystal of Ordeal', '$4031', '', 'L1Merchant', '155', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71091', 'Crystal of Ordeal', '$4031', '', 'L1Merchant', '155', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80001', 'Oasis Stuff', '', '', 'L1Npc', '2299', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80002', 'Large Christmas Tree', '$2687', '', 'L1FieldObject', '1995', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80003', 'Small Christmas Tree', '$2687', '', 'L1FieldObject', '3191', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80004', 'Large Christmas Tree Special', '$2687', '', 'L1FieldObject', '3201', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80005', 'Weather Vane', '', '', 'L1FieldObject', '2302', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80006', 'Message Board', '$1385', '', 'L1Board', '1546', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80007', 'Flying Bird', '$271', '', 'L1Npc', '102', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80008', 'Ship', '', '', 'L1Npc', '104', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80009', 'Treasure Chest', '', '', 'L1Npc', '122', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80010', 'Unknown 80010', '', '', 'L1Merchant', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80011', 'Unknown 80011', '', '', 'L1Npc', '1374', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80012', 'Unknown 80012', '', '', 'L1Npc', '2092', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80013', 'Unknown 80013', '', '', 'L1Npc', '2786', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80014', 'Unknown 80014', '', '', 'L1Npc', '37', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80015', 'Unknown 80015', '', '', 'L1Npc', '1186', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80016', 'Unknown 80016', '', '', 'L1Npc', '271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80017', 'Unknown 80017', '', '', 'L1Npc', '269', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80018', 'Unknown 80018', '', '', 'L1Npc', '272', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80019', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80020', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80021', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80022', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80023', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80024', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80025', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80026', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80027', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80028', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80029', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80030', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80031', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80032', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80033', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80034', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80035', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80036', 'Cole', '', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80037', 'Cole', '', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80038', 'Cole', '$1879', '', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80039', 'Cole', '$1879', '', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80040', 'Cole', '$1879', '', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80041', 'Cole', '$1879', '', 'L1Merchant', '237', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80042', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80043', 'Cole', '', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80044', 'Cole', '', '', 'L1Merchant', '118', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80045', 'Unknown 80045', '', '', 'L1Merchant', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80047', 'Chamberlain of Yahee', '$3950', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80048', 'Twisting of Space', '$3947', '', 'L1Merchant', '4825', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80049', 'Trembling Person', '$4646', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80050', 'Consul', '$4645', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80051', 'Yahee', '$3777', '', 'L1Merchant', '4880', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80052', 'Army of Yahee', '$4942', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80053', 'Blacksmith of Yahee', '$4691', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80054', 'Researcher', '$4693', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80055', 'Assistant of Yahee', '$4692', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80056', 'Work Manager', '$4647', '', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80057', 'Alfons', '$851', '', 'L1Merchant', '1268', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80058', 'Dimension Door', '$4641', '', 'L1Merchant', '5460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80059', 'Dimension Door', '$4641', '', 'L1Merchant', '5457', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80060', 'Dimension Door', '$4641', '', 'L1Merchant', '5458', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80061', 'Dimension Door', '$4641', '', 'L1Merchant', '5459', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80062', 'Dimension Door', '$4641', '', 'L1Merchant', '5456', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80063', 'Dimension Door', '$4641', '', 'L1Merchant', '5460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80064', 'Consul', '$4645', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80065', 'Agent of Varlok', '$3949', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80066', 'Trembling Person', '$4646', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80067', 'Spy', '$5144', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80068', 'Incarnation of Varlok', '$3414', '', 'L1Merchant', '4262', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80069', 'Lesser Demon', '$2112', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80070', 'Lesser Demon', '$2112', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80071', 'Assistant of Varlok', '$3951', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80072', 'Blacksmith of Varlok', '$3948', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80073', 'Army of Varlok', '$4943', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80074', 'Work Manager', '$4647', '', 'L1Merchant', '4261', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80075', 'Beheak', '$4319', '', 'L1Merchant', '1619', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80076', 'Rotting Voyager', '$4454', '', 'L1Merchant', '5676', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80077', 'Aldran', '$4939', '', 'L1Merchant', '3948', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81000', 'Harbor Master', '$320', '', 'L1Monster', '148', '99', '9999', '9999', '-99', '100', '100', '100', '100', '100', '100', '10000', '-32767', 'small', '0', '2', '0', '480', '840', '520', '840', '840', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81002', 'Shop (Earrings)', 'Shop (Earrings)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81003', 'Shop (Daggers)', 'Shop (Daggers)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81004', 'Shop (Swords)', 'Shop (Swords)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81005', 'Shop (Swords)', 'Shop (Swords)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81006', 'Shop (Polearm)', 'Shop (Polearm)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81007', 'Shop (Blunts)', 'Shop (Blunts)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81008', 'Shop (Edoryu)', 'Shop (Edoryu)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81009', 'Shop (Claws)', 'Shop (Claws)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81010', 'Shop (Staves)', 'Shop (Staves)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81011', 'Shop (Bows)', 'Shop (Bows)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81012', 'Shop (Helmets)', 'Shop (Helmets)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81013', 'Shop (Shields)', 'Shop (Shields)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81014', 'Shop (Gloves)', 'Shop (Gloves)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81015', 'Shop (Boots)', 'Shop (Boots)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81016', 'Shop (Shirts)', 'Shop (Shirts)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81017', 'Shop (Armor)', 'Shop (Armor)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81018', 'Shop (Cloaks)', 'Shop (Cloaks)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81019', 'Shop (Amulets)', 'Shop (Amulets)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81020', 'Shop (Rings)', 'Shop (Rings)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81021', 'Shop (Belt)', 'Shop (Belt)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81022', 'Magic Shop (Spellbooks)', 'Magic Shop (Spellbooks)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81023', 'Magic Shop (Elf)', 'Magic Shop (Elf)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81024', 'Magic Shop (Dark Elf)', 'Magic Shop (Dark Elf)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81025', 'Magic Shop (Knights)', 'Magic Shop (Knights)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81026', 'Magic Shop (Royals)', 'Magic Shop (Royals)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81027', 'Shop (Pots)', 'Shop (Pots)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81028', 'Shop (Scrolls)', 'Shop (Scrolls)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81029', 'Shop (Tel Scrolls)', 'Shop (Tel Scrolls)', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81030', 'Black Knight', 'Black Knight', '', 'L1Monster', '3890', '55', '1000', '50', '70', '21', '18', '12', '9', '8', '30', '1000', '1000', 'small', '0', '1', '0', '640', '560', '0', '560', '560', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81031', 'Black Mage', 'Black Mage', '', 'L1Monster', '3891', '55', '600', '500', '50', '8', '12', '7', '16', '23', '50', '1000', '1000', 'small', '0', '1', '0', '640', '680', '0', '680', '680', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81032', 'Black Ranger', 'Black Ranger', '', 'L1Monster', '3892', '55', '800', '300', '60', '11', '12', '24', '12', '12', '60', '1000', '1000', 'small', '0', '1', '0', '640', '760', '0', '760', '760', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81033', 'Silver Knight', 'Silver Knight', '', 'L1Monster', '3893', '60', '1500', '100', '80', '26', '18', '12', '9', '8', '40', '1500', '1000', 'small', '0', '1', '0', '640', '480', '0', '480', '480', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81034', 'Silver Mage', 'Silver Mage', '', 'L1Monster', '3894', '60', '900', '550', '60', '8', '12', '7', '16', '28', '60', '1500', '1000', 'small', '0', '1', '0', '640', '600', '0', '600', '600', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81035', 'Silver Ranger', 'Silver Ranger', '', 'L1Monster', '3895', '60', '1200', '350', '70', '11', '12', '29', '12', '12', '70', '1500', '1000', 'small', '0', '1', '0', '640', '680', '0', '680', '680', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81036', 'Sword Master', 'Sword Master', '', 'L1Monster', '3896', '65', '2000', '150', '90', '31', '18', '12', '9', '8', '50', '2000', '1000', 'small', '0', '1', '0', '640', '400', '0', '400', '400', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81037', 'Wizardry Master', 'Wizardry Master', '', 'L1Monster', '3897', '65', '1200', '600', '70', '8', '12', '7', '16', '33', '70', '2000', '1000', 'small', '0', '1', '0', '640', '520', '0', '520', '520', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81038', 'Arrow Master', 'Arrow Master', '', 'L1Monster', '3898', '65', '1600', '400', '80', '11', '12', '34', '12', '12', '80', '2000', '1000', 'small', '0', '1', '0', '640', '600', '0', '600', '600', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81039', 'Arch Knight', 'Arch Knight', '', 'L1Monster', '3899', '70', '2500', '200', '100', '36', '18', '12', '9', '8', '60', '2500', '1000', 'small', '0', '1', '0', '640', '320', '0', '320', '320', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81040', 'Arch Mage', 'Arch Mage', '', 'L1Monster', '3900', '70', '1500', '650', '80', '8', '12', '7', '16', '38', '80', '2500', '1000', 'small', '0', '1', '0', '640', '440', '0', '440', '440', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81041', 'Arch Ranger', 'Arch Ranger', '', 'L1Monster', '3901', '70', '2000', '450', '90', '11', '12', '39', '12', '12', '90', '2500', '1000', 'small', '0', '1', '0', '640', '520', '0', '520', '520', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81042', 'Acaleph', '$1494', '', 'L1Monster', '1638', '25', '120', '5', '-14', '9', '15', '12', '6', '5', '2', '626', '-8', 'small', '8', '1', '0', '2400', '1560', '0', '1560', '1560', '0', '4', '0', '1', '1', '0', 'jellyfish', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81043', 'Wicked Yeti', '$2447', '', 'L1Monster', '2134', '30', '400', '10', '-18', '22', '20', '10', '9', '6', '0', '901', '-26', 'large', '8', '1', '0', '960', '1400', '1360', '1400', '1400', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81044', 'Varlok\'s Servant', '$2360', '', 'L1Monster', '2763', '6', '100', '50', '10', '9', '11', '14', '12', '12', '30', '37', '-10', 'large', '2', '1', '0', '960', '920', '0', '920', '920', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81046', 'Unknown 81046', '$2656', '', '', '3089', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81047', 'Grim Reaper', '$2590', '', 'L1Monster', '3391', '68', '8000', '1200', '-80', '20', '20', '20', '20', '20', '80', '4625', '-250', 'large', '0', '2', '0', '960', '1440', '0', '1440', '1440', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '350', '5000', '350', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81048', 'Unknown 81048', '$10102', '', 'L1Monster', '4086', '29', '280', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '2', '1', '0', '640', '720', '0', '720', '720', '0', '0', '0', '1', '0', '0', 'murrian', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81049', 'Unknown 81049', '', '', 'L1Monster', '3478', '20', '500', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '1', '320', '1080', '3360', '1080', '1080', '0', '0', '0', '0', '0', '0', 'bugbear', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81050', 'Summoned Spirit of Fire', '$2008', '', 'L1Monster', '2266', '45', '600', '60', '-18', '20', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '980', '0', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81051', 'Summoned Spirit of Water', '$2009', '', 'L1Monster', '2268', '45', '600', '60', '-18', '18', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '980', '0', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81052', 'Summoned Spirit of Wind', '$2010', '', 'L1Monster', '2282', '45', '720', '60', '-18', '17', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '980', '0', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81053', 'Summoned Spirit of Earth', '$2011', '', 'L1Monster', '2267', '45', '650', '60', '-18', '19', '18', '16', '16', '17', '35', '31', '10', 'small', '0', '1', '0', '640', '980', '0', '980', '980', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '2500', '5', '2500', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81066', 'Black Knight Search Party', '$1929', '', 'L1Monster', '4003', '16', '100', '10', '-10', '16', '16', '15', '12', '12', '10', '257', '-15', 'small', '0', '2', '1', '480', '1120', '760', '1120', '1120', '0', '0', '0', '0', '1', '0', 'antiking', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '0', '0');
INSERT INTO `npc` VALUES ('81067', 'Black Knight', '$272', '', 'L1Monster', '4003', '36', '320', '10', '-38', '16', '16', '15', '12', '12', '10', '1297', '-25', 'small', '0', '2', '0', '480', '1120', '760', '1120', '1120', '0', '0', '0', '1', '1', '1', 'antiking', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81069', 'Doppelganger', '$1554', '', 'L1Monster', '31', '45', '1000', '30', '-20', '19', '19', '15', '13', '11', '20', '1', '-28', 'small', '0', '1', '0', '800', '1000', '0', '1000', '1000', '0', '0', '0', '1', '1', '0', 'doppel', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81070', 'Contaminated Orc Archer', '$3958', '', 'L1Monster', '4463', '35', '380', '20', '-25', '0', '0', '0', '0', '0', '0', '1226', '-40', 'small', '4', '8', '0', '640', '880', '1040', '880', '880', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81071', 'Contaminated Orc', '$3957', '', 'L1Monster', '4457', '35', '380', '20', '-22', '0', '0', '0', '0', '0', '0', '1226', '-40', 'small', '4', '1', '0', '880', '880', '1360', '880', '880', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81072', 'Contaminated Orc Warrior', '$3959', '', 'L1Monster', '4472', '40', '420', '20', '-25', '0', '0', '0', '0', '0', '0', '1601', '-50', 'small', '4', '2', '0', '720', '640', '1520', '640', '640', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81073', 'Polluted Orc Axe Fighter', '$4145 $4215', '', 'L1Monster', '4460', '37', '400', '20', '-22', '0', '0', '0', '0', '0', '0', '1370', '-50', 'small', '4', '1', '0', '880', '720', '1360', '720', '720', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81074', 'Contaminated Orc Spearman', '$3957 $4150', '', 'L1Monster', '4475', '42', '450', '20', '-25', '0', '0', '0', '0', '0', '0', '1765', '-50', 'small', '4', '2', '0', '720', '640', '1400', '640', '640', '0', '0', '0', '1', '1', '1', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81075', 'Ramia', '$1428', '', 'L1Monster', '1597', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '10', '485', '-25', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81076', 'Ramia', '$1428', '', 'L1Monster', '1600', '21', '120', '30', '-6', '15', '15', '12', '12', '10', '100', '442', '-25', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '0', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81077', 'Scorpion', '$966', '', 'L1Monster', '4058', '22', '140', '30', '-15', '14', '18', '12', '12', '20', '50', '485', '-18', 'small', '4', '2', '0', '640', '800', '960', '800', '800', '0', '1', '0', '1', '1', '0', 'scorpion', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81078', 'Unknown 81078', '$10101', '', 'L1Monster', '2460', '24', '150', '40', '-20', '17', '18', '15', '12', '8', '25', '577', '-27', 'large', '4', '1', '0', '640', '760', '0', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81079', 'Unknown 81079', '$10103', '', 'L1Monster', '3654', '26', '200', '40', '-20', '16', '15', '20', '8', '16', '70', '626', '-30', 'large', '1', '1', '0', '960', '1480', '3360', '1480', '1480', '0', '4', '0', '1', '0', '0', 'centipede', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81080', 'Bandit', '$2099', '', 'L1Monster', '2516', '31', '350', '20', '-15', '18', '16', '18', '11', '10', '30', '962', '-38', 'small', '0', '1', '0', '800', '1000', '1160', '1000', '1000', '0', '0', '0', '1', '1', '1', 'bandit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81081', 'Elindaire', '$2049', '', 'L1Monster', '187', '45', '450', '250', '-32', '12', '15', '12', '17', '17', '80', '2026', '-50', 'small', '0', '1', '0', '640', '1480', '800', '1480', '1480', '0', '0', '0', '1', '1', '0', 'foursage', '1', '-1', '-1', '0', '0', '0', '5000', '55', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81082', 'Yahee', '$3777', '', 'L1Monster', '4612', '70', '6000', '2000', '-70', '45', '21', '21', '21', '18', '100', '4901', '-5', 'large', '0', '2', '0', '640', '1000', '0', '1400', '1040', '3', '0', '0', '1', '1', '1', 'chaos', '0', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '100', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81083', 'Owlbear', '$1047', '', 'L1Monster', '1162', '10', '80', '10', '6', '18', '13', '14', '7', '8', '10', '226', '-15', 'large', '0', '1', '1', '960', '1080', '0', '1080', '1080', '0', '0', '0', '1', '0', '0', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81084', 'Vakuuk', '$1427', '', 'L1Monster', '1595', '12', '110', '0', '0', '17', '15', '16', '2', '2', '0', '145', '-12', 'small', '0', '2', '1', '480', '1160', '1280', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '5000', '9', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81085', 'Giant Solider Ant', '$961', '', 'L1Monster', '1039', '19', '160', '100', '-6', '30', '18', '20', '17', '15', '60', '401', '-20', 'large', '0', '2', '0', '640', '760', '0', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81086', 'Bugbear', '$325', '', 'L1Monster', '152', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'large', '0', '1', '1', '640', '840', '720', '840', '840', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '5000', '12', '5000', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81087', 'King Bugbear ', '$937', '', 'L1Monster', '894', '30', '400', '30', '-8', '21', '18', '12', '12', '10', '20', '901', '-32', 'large', '0', '1', '1', '640', '720', '720', '720', '720', '0', '0', '0', '1', '1', '0', 'bugbear', '1', '-1', '-1', '0', '0', '0', '5000', '16', '5000', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81088', 'Skeleton Fighter', '$1017', '', 'L1Monster', '1132', '31', '300', '60', '-15', '18', '14', '14', '14', '14', '25', '842', '-30', 'small', '0', '1', '1', '480', '840', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81089', 'Ettin', '$1010', '', 'L1Monster', '1128', '35', '380', '70', '-15', '20', '18', '16', '18', '16', '50', '1226', '-40', 'large', '0', '2', '0', '640', '1160', '1240', '1160', '1160', '0', '0', '0', '1', '1', '0', 'brute', '1', '-1', '-1', '0', '0', '0', '5000', '22', '5000', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81090', 'Skeleton Axeman', '$987', '', 'L1Monster', '1104', '11', '60', '20', '4', '18', '14', '14', '12', '10', '10', '170', '-13', 'small', '0', '1', '1', '480', '840', '840', '840', '840', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '5000', '6', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81091', 'Lycanthrope', '$990', '', 'L1Monster', '1108', '16', '110', '60', '-2', '16', '16', '13', '10', '10', '7', '290', '-18', 'small', '0', '1', '1', '640', '800', '720', '800', '800', '5', '0', '0', '1', '0', '0', 'wolf', '1', '-1', '-1', '0', '0', '0', '5000', '9', '5000', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81092', 'Undead Elmore Soldier', '$1790', '', 'L1Monster', '2150', '18', '180', '0', '-2', '16', '16', '17', '8', '8', '0', '442', '-20', 'small', '0', '2', '0', '480', '1040', '1400', '1040', '1040', '1', '0', '0', '1', '0', '0', 'elmore', '1', '-1', '-1', '0', '0', '0', '5000', '11', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81093', 'Minotaur', '$1393', '', 'L1Monster', '1517', '23', '250', '20', '-8', '20', '18', '10', '12', '14', '10', '1370', '-20', 'small', '0', '1', '0', '640', '1160', '1040', '1160', '1160', '0', '0', '0', '1', '0', '0', 'minotaur', '1', '-1', '-1', '0', '0', '0', '5000', '12', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81094', 'Skeleton Guard', '$1018', '', 'L1Monster', '1134', '27', '290', '0', '-8', '16', '14', '15', '14', '14', '25', '730', '-30', 'small', '0', '2', '1', '640', '880', '840', '880', '880', '1', '0', '0', '1', '1', '0', 'skeleton', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81095', 'Gargoyle', '$2102', '', 'L1Monster', '2308', '35', '550', '0', '-30', '0', '0', '0', '0', '99', '25', '1226', '-30', 'large', '0', '2', '0', '960', '1240', '1240', '1240', '1240', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '30', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81096', 'Dire Wolf', '$2105', '', 'L1Monster', '2392', '40', '600', '20', '-30', '22', '17', '18', '15', '16', '35', '1445', '-36', 'large', '0', '2', '0', '480', '1440', '1760', '1440', '1440', '0', '0', '0', '1', '1', '1', 'direwolf', '0', '-1', '-1', '0', '0', '0', '5000', '32', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81097', 'Lava Golem', '$1565', '', 'L1Monster', '1762', '44', '700', '80', '-18', '65', '18', '8', '5', '5', '50', '1226', '-40', 'large', '0', '1', '0', '1920', '2160', '2400', '2160', '2160', '0', '0', '0', '1', '1', '0', 'golem', '1', '-1', '-1', '0', '0', '0', '5000', '38', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81098', 'Cyclops', '$1113', '', 'L1Monster', '1202', '44', '500', '50', '-22', '20', '18', '7', '5', '5', '30', '1601', '-37', 'large', '0', '2', '0', '960', '1160', '1120', '1160', '1160', '0', '0', '0', '1', '0', '0', 'cyclops', '0', '-1', '-1', '0', '0', '0', '5000', '28', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81099', 'Medusa', '$2113', '', 'L1Monster', '2535', '44', '400', '120', '-15', '17', '18', '16', '17', '15', '50', '1297', '-39', 'small', '0', '1', '0', '960', '1200', '0', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '22', '5000', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81100', 'Dire Bear', '$2893', '', 'L1Monster', '3357', '48', '700', '40', '-25', '14', '18', '12', '12', '8', '5', '677', '-18', 'large', '0', '2', '1', '426', '840', '1200', '840', '840', '0', '0', '0', '1', '1', '1', 'bear', '1', '-1', '-1', '0', '0', '0', '5000', '38', '5000', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81101', 'Taurverus', '$1568', '', 'L1Monster', '1780', '48', '500', '80', '-23', '20', '18', '7', '11', '10', '0', '1522', '-50', 'small', '0', '2', '0', '880', '1000', '1000', '1000', '1000', '2', '0', '0', '1', '1', '1', 'cerberus', '0', '-1', '-1', '0', '0', '0', '5000', '28', '5000', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81102', 'Cockatrice', '$969', '', 'L1Monster', '1052', '48', '400', '250', '-20', '25', '18', '18', '12', '12', '30', '1157', '-36', 'large', '0', '1', '0', '520', '1040', '0', '1040', '1040', '0', '0', '2', '1', '1', '0', 'cockatrice', '1', '-1', '-1', '0', '0', '0', '5000', '28', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81103', 'Doppelganger', '$1554', '', 'L1Monster', '2389', '58', '1000', '100', '-30', '20', '19', '18', '15', '17', '80', '2501', '-60', 'small', '0', '1', '0', '1040', '1440', '0', '1440', '1440', '0', '0', '0', '1', '1', '1', 'doppel', '0', '-1', '-1', '0', '0', '0', '5000', '60', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81104', 'Cougar', '$2587', '', 'L1Monster', '3049', '63', '1000', '400', '-28', '65', '20', '63', '8', '20', '75', '3970', '-200', 'large', '0', '1', '0', '480', '440', '1560', '440', '440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '60', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81105', 'Mysterious Rock', '$2262', '', 'L1Merchant', '2725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81106', 'Ant Cave Entrance', '', '', 'L1FieldObject', '1036', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81107', 'Ramia', '$1428', '', 'L1Monster', '1600', '22', '200', '30', '-6', '15', '15', '12', '12', '10', '20', '485', '-25', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81108', 'Zombie', '$57', '', 'L1Monster', '52', '45', '800', '800', '-70', '70', '20', '20', '20', '20', '10', '100', '-50', 'small', '2', '1', '0', '2000', '1040', '0', '1040', '1040', '3', '0', '0', '1', '1', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81109', 'Skeleton', '$7', '', 'L1Monster', '30', '45', '800', '800', '-70', '80', '20', '20', '20', '20', '20', '100', '-50', 'small', '2', '1', '0', '640', '920', '1280', '920', '920', '3', '0', '0', '1', '1', '1', 'skeleton', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81110', 'Unknown 81110', '', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81111', 'Guardian Tower', '$1435', '', 'L1Tower', '1672', '1', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81112', 'Rader', '$3121', '', 'L1Merchant', '3757', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1000', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81113', 'Hagutin', '$3122', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81114', 'Psuedo Shadow of Flame', '$2984', '', 'L1Merchant', '3406', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-300000', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81115', 'Black Knight Captain', '$2987', '', 'L1Merchant', '2337', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81118', 'Fettered Soul', '$2985', '', 'L1Merchant', '3418', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81119', 'Lary\'s Assistant', '$3332', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81120', 'Servant of Kalbas', '$3415', '', 'L1Merchant', '4263', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81121', 'Ancient Spirit', '$3523', '', 'L1Merchant', '4359', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81122', 'Siege Flag', '$5184', '', 'L1FieldObject', '1284', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81123', 'Pumpkin Trader', '$2063', '', 'L1Merchant', '2499', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81124', 'Pumpkin Trader', '$2063', '', 'L1Merchant', '2499', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81125', 'Crown', '$413', '', 'L1Crown', '1482', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81126', 'Message Board', '$1385', '', 'L1Board', '1544', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81127', 'Message Board', '$1385', '', 'L1Board', '1557', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81128', 'Message Board', '$1385', '', 'L1Board', '1559', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81129', 'Message Board', '$1385', '', 'L1Board', '2205', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81130', 'Message Board', '$1385', '', 'L1Board', '2207', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('50631', 'Minoel', '$5302', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50630', 'Natasha', '$5301', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50629', 'Dorothy', '$5300', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50628', 'Elisha', '$5299', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50627', 'Foby', '$5298', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('50626', 'Michelle', '$5297', '', 'L1Housekeeper', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81155', 'Olle', '$3181', '', 'L1Merchant', '460', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81156', 'Aden Reconnaissance Soldier', '$3180', '', 'L1Guard', '3801', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81157', 'Firewall', '', '', 'L1Effect', '168', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('81159', 'Birds', '', '', 'L1Monster', '1094', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '2', '100', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81160', 'Torch Fire', '', '', 'L1FieldObject', '1171', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81161', 'Auction Board', '$1383', '', 'L1AuctionBoard', '1544', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81162', 'Unknown 81162', '', '', 'L1Effect', '4183', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81163', 'Girtas', '$4305', '', 'L1Monster', '5620', '99', '28000', '5000', '-99', '80', '21', '18', '20', '20', '99', '9802', '-10000', 'large', '0', '10', '0', '0', '2180', '2200', '2180', '2180', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('81164', 'Fire', '', '', 'L1FieldObject', '1648', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81165', 'Fire', '', '', 'L1FieldObject', '1630', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('81166', 'Light Rays', '', '', 'L1FieldObject', '868', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81167', 'Light Rays', '', '', 'L1FieldObject', '1172', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '8', '0', '0', '0');
INSERT INTO `npc` VALUES ('81168', 'Freeze Effect', '', '', 'L1Effect', '176', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81169', 'Life Stream Effect', '', '', 'L1Effect', '2231', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45018', 'Orc', '$59', '', 'L1Monster', '56', '2', '6', '4', '10', '6', '12', '10', '6', '10', '0', '5', '-2', 'small', '4', '1', '1', '800', '1320', '0', '1320', '1320', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45120', 'Orc Fighter', '$266', '', 'L1Monster', '3864', '8', '50', '8', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '4', '1', '1', '640', '880', '760', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45883', 'Ribil', '$2434', '', 'L1Monster', '2907', '1', '330', '15', '-22', '0', '0', '0', '0', '0', '0', '1', '-39', 'small', '0', '0', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45884', 'Dedoff', '$2435', '', 'L1Monster', '2907', '1', '330', '15', '-22', '0', '0', '0', '0', '0', '0', '1', '-39', 'small', '0', '0', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45885', 'Ica', '$2436', '', 'L1Monster', '2917', '1', '330', '15', '-22', '0', '0', '0', '0', '0', '0', '1', '-39', 'small', '0', '0', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45886', 'Toad', '$2437', '', 'L1Monster', '2907', '1', '330', '15', '-22', '0', '0', '0', '0', '0', '0', '1', '-39', 'small', '0', '0', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45887', 'Rodeck', '$2438', '', 'L1Monster', '2907', '1', '330', '15', '-22', '0', '0', '0', '0', '0', '0', '1', '-39', 'small', '0', '0', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45888', 'Atushin', '$2439', '', 'L1Monster', '2917', '1', '330', '15', '-22', '0', '0', '0', '0', '0', '0', '1', '-39', 'small', '0', '0', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45889', 'Toda', '$2440', '', 'L1Monster', '2917', '1', '330', '15', '-22', '0', '0', '0', '0', '0', '0', '1', '-39', 'small', '0', '0', '0', '960', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45890', 'Oum', '$3124', '', 'L1Monster', '3644', '19', '152', '50', '-10', '12', '10', '11', '9', '9', '19', '362', '-19', 'small', '2', '2', '0', '853', '1520', '1520', '1520', '1520', '0', '0', '0', '0', '0', '0', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45891', 'Wild Oum', '$5253 $3124', '', 'L1Monster', '4689', '21', '168', '20', '-11', '13', '10', '11', '9', '9', '21', '442', '-21', 'small', '2', '2', '0', '640', '1280', '1440', '1520', '1520', '0', '0', '0', '0', '0', '0', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45892', 'Heavy Oum', '$3144', '', 'L1Monster', '3596', '23', '184', '50', '-12', '14', '10', '11', '9', '9', '21', '530', '-23', 'large', '8', '2', '0', '1600', '1800', '1480', '1800', '1800', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45893', 'Wild Heavy Oum', '$5253 $3144', '', 'L1Monster', '4744', '25', '200', '50', '-13', '15', '10', '11', '9', '9', '25', '626', '-25', 'large', '8', '2', '0', '1040', '960', '1440', '1800', '1800', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45905', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3412', '30', '270', '80', '-10', '15', '11', '18', '9', '9', '30', '901', '-30', 'small', '0', '10', '0', '1280', '1440', '1160', '1440', '1440', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45904', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3044', '30', '300', '80', '-15', '18', '11', '12', '9', '9', '30', '901', '-30', 'small', '0', '2', '0', '640', '960', '1080', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45903', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3404', '29', '290', '50', '-15', '17', '11', '11', '9', '9', '29', '742', '-29', 'small', '2', '2', '0', '853', '960', '1280', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45902', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3402', '29', '261', '50', '-11', '14', '11', '18', '9', '9', '29', '742', '-29', 'small', '0', '10', '0', '1280', '1360', '1040', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45901', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '2976', '28', '252', '50', '-12', '13', '10', '16', '9', '9', '27', '785', '-36', 'small', '0', '10', '0', '960', '1200', '720', '1200', '1200', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45900', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3366', '33', '330', '40', '-20', '20', '18', '15', '12', '11', '40', '1090', '-33', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '0', '0', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45899', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3376', '30', '240', '320', '-10', '9', '10', '10', '18', '16', '39', '901', '-30', 'small', '0', '1', '0', '1920', '1560', '0', '1560', '1560', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45898', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3412', '29', '232', '80', '-12', '14', '10', '17', '9', '9', '29', '842', '-29', 'small', '0', '10', '0', '1280', '1440', '1160', '1440', '1440', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45897', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3044', '29', '261', '80', '-15', '17', '10', '11', '9', '9', '29', '842', '-29', 'small', '0', '2', '0', '640', '960', '1080', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45896', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3404', '28', '252', '50', '-12', '14', '11', '17', '9', '9', '36', '785', '-36', 'small', '2', '2', '0', '853', '960', '1280', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45895', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '2976', '27', '216', '50', '-11', '13', '10', '16', '9', '9', '27', '730', '-27', 'small', '0', '10', '0', '960', '1200', '720', '1200', '1200', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45894', 'Dark Elf Deserters', '$5252', '', 'L1Monster', '3659', '26', '234', '26', '-13', '15', '10', '11', '9', '9', '26', '677', '-26', 'small', '4', '2', '0', '853', '1520', '0', '1520', '1520', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45907', 'Dark Elementalist', '$2894', '', 'L1Monster', '3360', '33', '297', '400', '-11', '15', '10', '15', '17', '16', '43', '1090', '-33', 'small', '2', '1', '0', '1280', '1520', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45669', 'Dark Elf General', '$2885', '', 'L1Monster', '3366', '40', '105', '50', '-43', '20', '18', '15', '17', '17', '45', '0', '0', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45839', '5306', '4', '0', '0', '0');
INSERT INTO `npc` VALUES ('45910', 'Greater Dark Elemental', '$2896', '', 'L1Monster', '3365', '31', '310', '30', '-16', '17', '11', '16', '10', '10', '30', '962', '-31', 'large', '2', '2', '0', '960', '1400', '1600', '1400', '1400', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45911', 'Dark Elemental', '$2895', '', 'L1Monster', '3364', '29', '290', '120', '-15', '18', '11', '12', '10', '10', '29', '842', '-29', 'small', '0', '1', '0', '960', '1240', '1080', '1240', '1240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45453', 'Heavy Oum', '$3144', '', 'L1Monster', '3596', '41', '950', '50', '-20', '13', '17', '18', '20', '18', '45', '1682', '-50', 'large', '0', '2', '0', '1600', '1800', '1480', '1800', '1800', '0', '0', '0', '1', '1', '1', 'oum', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45425', 'Black Wizard', '$3141', '', 'L1Monster', '3698', '39', '600', '400', '-28', '16', '20', '18', '18', '18', '35', '1522', '-50', 'small', '0', '1', '0', '1280', '1280', '1920', '1280', '1280', '0', '0', '0', '1', '1', '1', 'blackwizard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45914', 'Ghost Man Full of Resentment', '$5110', '', 'L1Monster', '5969', '22', '350', '60', '-6', '18', '20', '15', '12', '10', '10', '485', '-14', 'small', '2', '1', '0', '1280', '1360', '840', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45915', 'Ghost Woman Full of Resentment', '$5111', '', 'L1Monster', '5977', '25', '420', '60', '-12', '18', '20', '15', '12', '10', '10', '485', '-16', 'small', '2', '1', '0', '1280', '1360', '1240', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45916', 'General Hamel Full of Resentment', '$5112', '', 'L1Monster', '5979', '35', '800', '50', '-25', '20', '20', '15', '12', '10', '10', '1226', '-115', 'small', '2', '2', '0', '1280', '1360', '1360', '1360', '1360', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45917', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5724', '1', '500', '300', '-20', '16', '10', '13', '9', '9', '30', '10', '-5', 'small', '0', '1', '0', '960', '1200', '1200', '1440', '1560', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45918', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5751', '1', '500', '300', '-20', '14', '10', '16', '9', '9', '30', '10', '-5', 'small', '0', '1', '0', '960', '1040', '1040', '1440', '1280', '1', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45919', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5516', '1', '400', '300', '-20', '10', '10', '11', '14', '16', '50', '10', '-5', 'small', '0', '1', '0', '960', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45920', 'Cursed Vakuuk', '$228 $1427', '', 'L1Monster', '1595', '20', '300', '0', '-5', '17', '15', '16', '2', '2', '10', '401', '-12', 'small', '2', '1', '1', '480', '1160', '1280', '1160', '1160', '0', '1', '0', '1', '0', '0', 'cockroach', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45921', 'Cursed Troglodyte', '$228 $1432', '', 'L1Monster', '1614', '22', '300', '40', '-8', '16', '18', '17', '12', '12', '10', '485', '-13', 'small', '8', '2', '1', '640', '1080', '1000', '1080', '1080', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45922', 'Cursed Large Rat', '$228 $3729', '', 'L1Monster', '4684', '24', '350', '60', '-5', '18', '14', '16', '6', '5', '10', '577', '-20', 'small', '2', '2', '0', '1040', '880', '960', '880', '880', '0', '1', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45923', 'Evil Spirit of Heine', '$4359', '', 'L1Monster', '3364', '25', '300', '120', '-12', '20', '16', '18', '15', '15', '50', '626', '-16', 'large', '2', '2', '0', '960', '1400', '1080', '1400', '1400', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45924', 'Cursed Ratman', '$228 $1431', '', 'L1Monster', '1612', '28', '480', '50', '-18', '12', '16', '12', '11', '8', '10', '785', '-17', 'small', '2', '2', '1', '480', '1520', '1360', '1520', '1520', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45925', 'Eva Acaleph', '$5228 $1494', '', 'L1Monster', '1636', '30', '440', '55', '-16', '9', '15', '12', '6', '5', '2', '901', '-19', 'small', '8', '1', '0', '2400', '1560', '0', '1560', '1560', '0', '4', '0', '1', '0', '0', 'jellyfish', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45926', 'Cursed Beholder', '$228 $1001', '', 'L1Monster', '1123', '30', '440', '160', '-10', '10', '13', '12', '18', '18', '50', '901', '-19', 'small', '1', '1', '0', '960', '1120', '0', '1120', '1120', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45927', 'Eva Crabman', '$5228 $1430', '', 'L1Monster', '1610', '32', '400', '0', '-20', '18', '15', '12', '6', '5', '1', '1025', '-19', 'small', '8', '0', '0', '960', '1000', '1840', '1000', '1000', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45928', 'Cursed Ramia', '$228 $1428', '', 'L1Monster', '1597', '32', '440', '60', '-10', '15', '15', '12', '12', '10', '10', '1025', '-22', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '1', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45929', 'Cursed Ramia', '$228 $1428', '', 'L1Monster', '1600', '32', '400', '60', '-15', '15', '15', '12', '12', '10', '10', '1025', '-20', 'large', '8', '1', '0', '960', '1880', '2720', '1880', '1880', '0', '1', '0', '1', '1', '0', 'lahmia', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45930', 'Cursed Lizardman', '$228 $1174', '', 'L1Monster', '1173', '35', '580', '70', '-18', '15', '13', '10', '5', '5', '5', '1226', '-22', 'small', '12', '1', '0', '640', '920', '800', '920', '920', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45931', 'Spirit of Water', '$2005', '', 'L1Monster', '2268', '45', '10000', '110', '-28', '16', '18', '12', '16', '16', '10', '2026', '-28', 'small', '8', '1', '0', '640', '980', '0', '980', '980', '0', '0', '0', '0', '0', '0', 'waters', '1', '-1', '-1', '0', '0', '0', '10000', '500', '10000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45932', 'Summoned Object of the Spirit of Water', '$5187', '', 'L1Monster', '2274', '35', '600', '100', '-20', '16', '20', '16', '18', '18', '50', '1', '-22', 'small', '8', '1', '0', '640', '980', '0', '980', '980', '0', '0', '0', '1', '0', '0', 'waters', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45933', 'Eva Shark', '$5228 $1496', '', 'L1Monster', '1644', '36', '580', '0', '-15', '18', '16', '18', '5', '5', '5', '1297', '-22', 'large', '8', '1', '0', '640', '1760', '0', '1760', '1760', '0', '0', '0', '1', '0', '0', 'shark', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45934', 'Eva Aste', '$5228 $1497', '', 'L1Monster', '1646', '36', '580', '10', '-22', '14', '18', '14', '8', '8', '5', '1297', '-22', 'large', '8', '1', '0', '1920', '1480', '0', '1480', '1480', '0', '4', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45935', 'Cursed Medusa', '$228 $2113', '', 'L1Monster', '2535', '36', '2100', '276', '-35', '17', '18', '16', '17', '15', '50', '1297', '-140', 'small', '2', '1', '0', '960', '1200', '0', '1200', '1200', '0', '0', '1', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '10000', '500', '10000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45936', 'Eva Sea Dancer', '$5228 $1429', '', 'L1Monster', '1603', '38', '600', '220', '-23', '10', '12', '10', '17', '17', '30', '1445', '-25', 'large', '8', '0', '0', '960', '1440', '0', '1440', '1440', '0', '0', '0', '1', '1', '1', 'seadancer', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45937', 'Eva Turtle Dragon', '$5228 $1498', '', 'L1Monster', '1649', '38', '680', '10', '-28', '16', '18', '15', '12', '12', '5', '1445', '-25', 'large', '1', '1', '0', '1920', '1320', '1440', '1320', '1320', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45938', 'Eva Elekkadom', '$5228 $1433', '', 'L1Monster', '1616', '40', '740', '100', '-24', '20', '15', '17', '18', '15', '15', '1601', '-25', 'large', '0', '2', '0', '960', '1240', '0', '1240', '1240', '0', '0', '0', '0', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45939', 'Eva Crustacean', '$5228 $1492', '', 'L1Monster', '1632', '40', '750', '100', '-30', '20', '18', '16', '12', '14', '0', '1601', '-40', 'large', '8', '1', '0', '1440', '1800', '1520', '1800', '1800', '0', '0', '0', '0', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45940', 'Cursed Merman', '$228 $1490', '', 'L1Monster', '1626', '42', '700', '92', '-24', '15', '15', '12', '8', '8', '5', '1765', '-25', 'large', '8', '2', '0', '960', '1360', '1240', '1360', '1360', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45941', 'Cursed Exorcist Saell', '$4347', '', 'L1Monster', '5447', '43', '800', '278', '-20', '16', '18', '15', '12', '15', '40', '1850', '-25', 'small', '2', '6', '0', '960', '1440', '1200', '1440', '1440', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '10000', '500', '10000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '5451', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45942', 'Cursed Great Spirit of Water', '$228 $2482', '', 'L1Monster', '4404', '45', '1800', '229', '-36', '20', '16', '18', '18', '24', '45', '2026', '-150', 'small', '8', '6', '0', '960', '2240', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '10000', '500', '10000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2740', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45943', 'Kapu', '$4360', '', 'L1Monster', '5818', '50', '2600', '220', '-32', '22', '16', '16', '15', '15', '80', '2501', '-160', 'large', '2', '6', '0', '960', '1360', '1000', '1360', '1360', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '10000', '500', '10000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '5821', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45952', 'Giant Guarding Ant', '$5285', '', 'L1Monster', '6290', '44', '4400', '229', '-48', '20', '20', '20', '8', '20', '60', '1937', '-160', 'large', '0', '2', '0', '960', '1200', '1560', '1200', '1200', '0', '0', '0', '1', '1', '0', 'ant', '1', '-1', '-1', '0', '0', '0', '10000', '500', '10000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45945', 'Cleaning Ant', '$5445', '', 'L1Monster', '1037', '12', '90', '20', '-4', '15', '13', '13', '6', '5', '60', '145', '-15', 'small', '2', '1', '1', '640', '880', '0', '880', '880', '0', '0', '0', '1', '0', '1', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45946', 'White Ants Troop', '$5279', '', 'L1Monster', '6161', '25', '300', '40', '-12', '20', '12', '20', '5', '5', '60', '626', '-16', 'small', '4', '1', '0', '640', '880', '0', '880', '880', '0', '0', '0', '1', '0', '0', 'ant', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45947', 'Giant White Ant', '$5280', '', 'L1Monster', '6302', '28', '380', '55', '-15', '12', '16', '18', '16', '18', '60', '785', '-18', 'large', '8', '6', '0', '640', '880', '0', '880', '880', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '6306', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45948', 'Giant Reinforced Ant', '$5281', '', 'L1Monster', '1037', '31', '440', '55', '-15', '15', '13', '13', '6', '5', '60', '962', '-19', 'small', '1', '1', '0', '640', '880', '0', '880', '880', '0', '0', '0', '1', '1', '0', 'ant', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45949', 'Mountain Fortress Ants Troop', '$5282', '', 'L1Monster', '6161', '25', '300', '40', '-12', '20', '12', '20', '5', '5', '60', '626', '-16', 'small', '4', '1', '0', '640', '880', '0', '880', '880', '0', '0', '0', '1', '0', '0', 'ant', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45950', 'Giant Charging Ant', '$5283', '', 'L1Monster', '1039', '37', '640', '80', '-20', '30', '18', '20', '17', '15', '60', '1370', '-23', 'small', '1', '1', '0', '640', '760', '0', '760', '760', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45951', 'Giant Mountain Fortress Ant', '$5284', '', 'L1Monster', '6302', '40', '740', '92', '-24', '15', '13', '13', '16', '18', '60', '1601', '-25', 'large', '4', '6', '0', '640', '880', '0', '880', '880', '0', '0', '0', '1', '1', '1', 'ant', '1', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '6306', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45944', 'Giant Worm', '$4361', 'HC', 'L1Monster', '5786', '65', '9800', '689', '-64', '25', '15', '18', '13', '18', '90', '4226', '-215', 'large', '2', '1', '0', '960', '1200', '1120', '1200', '1200', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '10000', '500', '10000', '500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45953', 'Ant Egg', '$5319', '', 'L1Monster', '6345', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45954', 'Ant Egg', '$5319', '', 'L1Monster', '6348', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45237', 'Dire Wolf', '$2105', '', 'L1Monster', '2392', '24', '120', '60', '-20', '17', '18', '15', '12', '16', '25', '577', '-27', 'large', '0', '2', '1', '480', '1440', '1760', '1440', '1440', '0', '0', '0', '0', '0', '0', 'direwolf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71095', 'unknown', '$2658', '', 'L1Teleporter', '3380', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71096', 'ghoul dungeon gate', '', '', 'L1FieldObject', '3351', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71097', 'central_fountain', '', '', 'L1FieldObject', '1670', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71098', 'H Fountain_B_n', '', '', 'L1FieldObject', '1725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71099', 'H Fountain_B_e', '', '', 'L1FieldObject', '1726', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71100', 'H Fountain_B_s', '', '', 'L1FieldObject', '1727', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71101', 'H Fountain_B_n', '', '', 'L1FieldObject', '1728', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71102', 'siksudea b', '', '', 'L1FieldObject', '1678', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71103', 'siksudea c', '', '', 'L1FieldObject', '1681', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71104', 'fountain', '', '', 'L1FieldObject', '361', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71105', 'l temple water', '', '', 'L1FieldObject', '779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71106', 'fountain d aden', '', '', 'L1FieldObject', '2503', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71107', 'fountain c aden', '', '', 'L1FieldObject', '2504', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71108', 'unknown', '', '', 'L1Merchant', '155', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71109', 'unknown', '', '', 'L1Merchant', '780', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71110', 'Rohen', '$3599', '', 'L1Merchant', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71111', 'Kasty', '$3600', '', 'L1Merchant', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71112', 'Giles', '$3601', '', 'L1Monster', '2794', '2', '30', '0', '10', '5', '12', '12', '1', '0', '0', '5', '1000', 'small', '0', '1', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '1', '1', '0');
INSERT INTO `npc` VALUES ('71113', 'Alchemist', '$3480', '', 'L1Merchant', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71114', 'Alchemist', '$3480', '', 'L1Merchant', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71115', 'Aden Information Guide', '$3590', '', 'L1Merchant', '4369', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71116', 'Ancient Giant Elder', '$3417', '', 'L1Merchant', '4043', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71117', 'Ancient Giant General', '$3416', '', 'L1Merchant', '4045', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71118', 'Runaway Oum', '$3123', '', 'L1Merchant', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71119', 'Ataroze', '$4614', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71120', 'Rian', '$3593', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71121', 'Leonard', '$3566', '', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71122', 'Fesco', '$3591', '', 'L1Merchant', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71123', 'Rubo', '$3592', '', 'L1Merchant', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71124', 'Alri', '$3565', '', 'L1Merchant', '1515', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71125', 'Dwarf Adelio', '$4574', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71126', 'Eris', '$4340', '', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71127', 'Squaroo', '$4473', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71128', 'Perita', '$4477', '', 'L1Merchant', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71129', 'Rumtis', '$4571', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71130', 'Rabla', '$3187', '', 'L1Merchant', '3946', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71131', 'Rabor', '$3188', '', 'L1Merchant', '3948', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71132', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71133', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71134', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71135', 'Miner Oum', '$3118', '', 'L1Merchant', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71136', 'Miner Oum', '$3118', '', 'L1Merchant', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71137', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71138', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71139', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71140', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71141', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71142', 'Miner Oum', '$3118', '', 'L1Merchant', '3642', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71143', 'Miner Oum', '$3118', '', 'L1Merchant', '3800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71144', 'Miner Oum', '$3118', '', 'L1Merchant', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71145', 'Miner Oum', '$3118', '', 'L1Merchant', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71146', 'Miner Oum', '$3118', '', 'L1Merchant', '3800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71147', 'Work Supervisor Oum', '$3133', '', 'L1Merchant', '3801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71148', 'Runaway Oum', '$3123', '', 'L1Merchant', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71149', 'Runaway Oum', '$3123', '', 'L1Merchant', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71150', 'Runaway Oum', '$3123', '', 'L1Merchant', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71151', 'Runaway Oum', '$3123', '', 'L1Merchant', '3640', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71152', 'Runaway Oum', '$3123', '', 'L1Merchant', '3638', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71153', 'Runaway Oum', '$3123', '', 'L1Merchant', '3638', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71154', 'Runaway Oum', '$3123', '', 'L1Merchant', '3638', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71155', 'Runaway Oum', '$3123', '', 'L1Merchant', '3636', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71156', 'Prisoner Dark Elf', '$3182', '', 'L1Merchant', '3590', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71157', 'Prisoner Dark Elf', '$3182', '', 'L1Merchant', '3590', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71158', 'Prisoner Dark Elf', '$3182', '', 'L1Merchant', '3592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71159', 'Prisoner Dark Elf', '$3182', '', 'L1Merchant', '3592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71160', 'Prisoner Dark Elf', '$3182', '', 'L1Merchant', '3592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71161', 'Prisoner Dark Elf', '$3182', '', 'L1Merchant', '3592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71162', 'Prisoner Dark Elf', '$3182', '', 'L1Merchant', '3592', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71163', 'Yanstin', '$3170', '', 'L1Merchant', '2801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71164', 'Lance', '$3166', '', 'L1Merchant', '2792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71165', 'Xestin', '$3168', '', 'L1Merchant', '2820', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71166', 'Drapgadin', '$3134', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71167', 'Frim', '$3120', '', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71168', 'Fidelity Dantes', '$4295', '', 'L1Merchant', '5454', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71169', 'Assistant Marbes', '$4599', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71170', 'Dark Elf Elder', '$4577', '', 'L1Merchant', '5723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71171', 'Guardsman', '$2945', '', 'L1Merchant', '3450', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71172', 'Guardsman', '$2945', '', 'L1Merchant', '3449', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71173', 'Head of Guards', '$2982', '', 'L1Merchant', '3454', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71174', 'Head of Fighters', '$2983', '', 'L1Merchant', '3448', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71175', 'Supreme Commander Esteban', '$4043', '', 'L1Merchant', '2648', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71176', 'Mercenary Squad', '', '', 'L1Merchant', '2649', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71177', 'Mercenary Squad', '', '', 'L1Merchant', '2650', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71178', 'Lougi', '$4822', '', 'L1Merchant', '3235', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71179', 'Diez', '$4823', '', 'L1Merchant', '2511', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71180', 'Jeif', '$4820', '', 'L1Merchant', '721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71181', 'Emai', '$4821', '', 'L1Merchant', '5913', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71182', 'Esem', '$4841', '', 'L1Merchant', '2649', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71183', 'Kent Castle Guard', '$360 $240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '2000', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '0', '-1', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71184', 'Blue Sharks', '$460', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71185', 'Guard', '$240', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71186', 'Guard', '$240', '', 'L1Guard', '335', '65', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '0', '-1', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71187', 'Mercenary Squad', '$2928', '', 'L1Merchant', '148', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71188', 'Mercenary Squad', '$2928', '', 'L1Merchant', '3447', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71189', 'Mercenary Squad', '$2928', '', 'L1Merchant', '2978', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71190', 'Jericho', '$5294', '', 'L1Merchant', '696', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71191', 'Becky', 'Becky', '', 'L1Merchant', '991', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71192', 'Kamel', '$5292', '', 'L1Merchant', '792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71193', 'Chase', '$5293', '', 'L1Merchant', '705', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71194', 'Aurora', '$5290', '', 'L1Merchant', '1528', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71195', 'Winston', '$5311', '', 'L1Merchant', '2811', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71196', 'Alfred', '$5278', '', 'L1Merchant', '984', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('80078', 'Arka', '$3449', '', 'L1Merchant', '2429', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80079', 'Keplisha', '$5199', '', 'L1Merchant', '6171', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80080', 'Fishing Old Man', '$5277', '', 'L1Merchant', '6246', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80081', 'Fishing Woman', '$5295', '', 'L1Merchant', '1286', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80082', 'Fishing Child', '$5276', '', 'L1Merchant', '6252', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80083', 'Fishing Child', '$5276', '', 'L1Merchant', '6252', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80084', 'Suspicious Orc Merchant Parum', '$5202', '', 'L1Merchant', '5946', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80085', 'Haunted House Manager Duo', '$5203', '', 'L1Merchant', '5946', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80086', 'Death Match Manager Kusan', '$5309', '', 'L1Merchant', '5946', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80087', 'Death Match Manager Datu', '$5310', '', 'L1Merchant', '5946', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80088', 'Pet Match Manager', '$5312', '', 'L1Merchant', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80089', 'Pet Match Manager', '$5313', '', 'L1Merchant', '702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80090', 'Guardian Tower: Eva', '$5108', '', 'L1Merchant', '1290', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80091', 'Rafons', '$2902', '', 'L1Merchant', '5957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80092', 'Jaint', '$452', '', 'L1Merchant', '6245', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80093', 'Jyta', '$453', '', 'L1Merchant', '703', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80094', 'Altar', '$5210', '', 'L1Merchant', '6036', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80095', 'Austin', '$5190', '', 'L1Merchant', '704', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80096', 'Sharon', '$5200', '', 'L1Merchant', '914', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80097', 'Ryman', '$2927', '', 'L1Merchant', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80098', 'Farbo', '$451', '', 'L1Merchant', '701', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80099', 'Captain of Public Peace Larson', '$5113', '', 'L1Merchant', '5955', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80100', 'Myzin', '$5394', '', 'L1Merchant', '1532', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80101', 'Kuen', '$5201', '', 'L1Merchant', '1208', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80102', 'Phyllis', '$5191', '', 'L1Merchant', '1276', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80103', 'Auctioneer', '$1233', '', 'L1Merchant', '1256', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80104', 'Aden Horse Riding Member', '$5164', '', 'L1Merchant', '6078', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80105', 'Aden Horse Riding Member', '$5164', '', 'L1Merchant', '6078', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80106', 'Bugbear Magic Doll', '$5223', '', 'L1Doll', '6100', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', 'small', '0', '0', '0', '320', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80107', 'Succubus Magic Doll', '$5224', '', 'L1Doll', '5919', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', 'small', '0', '0', '0', '320', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80108', 'Werewolf Magic Doll', '$5222', '', 'L1Doll', '6096', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', 'small', '0', '0', '0', '320', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80109', 'Unknown_New', '', '', 'L1Furniture', '6039', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80110', 'Unknown_New', '', '', 'L1Furniture', '6041', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80111', 'Unknown_New', '', '', 'L1Furniture', '6043', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80112', 'Unknown_New', '', '', 'L1Furniture', '6045', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80113', 'Unknown_New', '', '', 'L1Furniture', '6047', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80114', 'Unknown_New', '', '', 'L1Furniture', '6049', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80115', 'Unknown_New', '', '', 'L1Furniture', '6052', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80116', 'Unknown_New', '', '', 'L1Furniture', '6054', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80117', 'Unknown_New', '', '', 'L1Furniture', '6056', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80118', 'Unknown_New', '', '', 'L1Furniture', '6058', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80119', 'Unknown_New', '', '', 'L1Furniture', '6060', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80120', 'Unknown_New', '', '', 'L1Furniture', '6062', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80121', 'Unknown_New', '', '', 'L1Furniture', '6065', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80122', 'Unknown_New', '', '', 'L1Furniture', '6067', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80123', 'Unknown_New', '', '', 'L1Furniture', '6068', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80124', 'Unknown_New', '', '', 'L1Furniture', '6069', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80125', 'Unknown_New', '', '', 'L1Furniture', '6071', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80126', 'Unknown_New', '', '', 'L1Furniture', '6074', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80127', 'Aden Castle Chef', '$3448', '', 'L1Merchant', '5957', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80128', 'Seal Merchant', '$5449', '', 'L1Merchant', '800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81170', 'Cooking Fire', '', '', 'L1Effect', '5943', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81171', 'Blue Fire', '', '', 'L1FieldObject', '6331', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81172', 'Bones', '', '', 'L1FieldObject', '6339', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81173', 'Cockatrice', '$969', '', 'L1Monster', '1052', '34', '450', '100', '-15', '25', '18', '18', '12', '12', '30', '1157', '-36', 'large', '1', '1', '0', '520', '1040', '0', '1040', '1040', '0', '0', '2', '1', '1', '0', 'cockatrice', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81174', 'Heavy Lizardman', '$3383', '', 'L1Monster', '4151', '24', '250', '10', '-15', '14', '14', '18', '12', '10', '15', '577', '-25', 'small', '0', '2', '0', '640', '1200', '1360', '1200', '1200', '0', '0', '0', '1', '0', '0', 'PIQUEST', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81175', 'Wanted Criminal Kuzak', '$5232', '', 'L1Monster', '5910', '8', '50', '8', '-5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '4', '1', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '0', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81176', 'Dark Elder', '$992', '', 'L1Monster', '183', '50', '1500', '1000', '-45', '12', '15', '12', '17', '17', '90', '2501', '-50', 'small', '0', '1', '0', '640', '900', '800', '800', '800', '0', '0', '0', '1', '1', '1', 'elder', '1', '-1', '-1', '0', '0', '0', '5000', '200', '5000', '200', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '3', '1', '0', '0');
INSERT INTO `npc` VALUES ('71197', 'Endel', '$4886', '', 'L1Merchant', '1513', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71198', 'Head of Mercenary Squad Tion', '$5030', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('71199', 'Jeron', '$5029', '', 'L1Merchant', '1254', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('81177', 'unknown', '', '', 'L1FieldObject', '85', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81178', 'unknown', '', '', 'L1FieldObject', '1648', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81179', 'unknown', '', '', 'L1FieldObject', '1522', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81180', 'unknown', '', '', 'L1FieldObject', '764', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81181', 'unknown', '', '', 'L1FieldObject', '2394', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('45955', 'Supreme Court Justice Kenya', '$4300', '', 'L1Monster', '5373', '62', '13500', '500', '-65', '15', '18', '20', '14', '16', '60', '3845', '-25', 'large', '0', '2', '0', '960', '1240', '1280', '1400', '1400', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '30', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45956', 'Supreme Court Justice Viatas', '$4302', '', 'L1Monster', '5365', '68', '15500', '500', '-69', '19', '18', '17', '13', '12', '50', '4625', '-25', 'large', '0', '2', '0', '960', '1400', '1160', '1600', '1600', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45957', 'Supreme Court Justice Baromes', '$4297', '', 'L1Monster', '5478', '70', '16664', '700', '-71', '18', '18', '19', '20', '20', '68', '4901', '-25', 'large', '0', '1', '0', '640', '1000', '1400', '1520', '1520', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45958', 'Supreme Court Justice Endias', '$4303', '', 'L1Monster', '5293', '73', '18688', '700', '-78', '17', '18', '20', '16', '17', '70', '5330', '-25', 'large', '2', '8', '0', '1040', '1240', '1040', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '70', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45959', 'Supreme Court Justice Edea', '$4299', '', 'L1Monster', '5297', '64', '14788', '500', '-68', '15', '18', '18', '15', '16', '60', '4097', '-25', 'large', '0', '2', '0', '720', '1320', '1200', '1680', '1680', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '50', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45960', 'Supreme Court Justice Tiames', '$4301', '', 'L1Monster', '5274', '72', '18144', '500', '-75', '18', '18', '19', '20', '20', '71', '5185', '-25', 'large', '2', '1', '0', '640', '1200', '1120', '1280', '1680', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45961', 'Supreme Court Justice Ramias', '$4298', '', 'L1Monster', '5284', '74', '18652', '350', '-78', '21', '20', '16', '12', '13', '65', '5477', '-25', 'large', '2', '1', '0', '1040', '1200', '1240', '1600', '2120', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45962', 'Supreme Court Justice Barode', '$4296', '', 'L1Monster', '5471', '77', '19688', '500', '-78', '20', '18', '17', '15', '16', '80', '5930', '-25', 'large', '0', '1', '0', '800', '720', '1000', '920', '1200', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '100', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45963', 'New King Adjutant Cassandra', '$4465', '', 'L1Monster', '4701', '67', '16000', '700', '-68', '16', '15', '17', '15', '18', '60', '4490', '-25', 'small', '0', '1', '0', '960', '1160', '0', '1800', '1520', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('45964', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5778', '46', '500', '300', '-40', '17', '16', '20', '15', '15', '45', '2117', '-50', 'small', '0', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45965', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5754', '46', '500', '300', '-40', '17', '16', '20', '15', '17', '45', '2117', '-50', 'small', '0', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45966', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5781', '47', '600', '300', '-40', '19', '17', '16', '15', '15', '45', '2210', '-50', 'small', '0', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45967', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5751', '48', '600', '300', '-40', '17', '15', '20', '17', '17', '45', '2305', '-50', 'small', '0', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45968', 'Cursed Dark Elf Warrior', '$4285', '', 'L1Monster', '5778', '48', '820', '300', '-40', '15', '15', '20', '17', '17', '45', '2305', '-50', 'small', '0', '1', '0', '960', '1040', '1040', '1440', '1280', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45969', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5760', '48', '500', '300', '-38', '16', '15', '18', '16', '18', '70', '2305', '-50', 'small', '0', '1', '0', '960', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45970', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5760', '49', '550', '300', '-38', '16', '15', '18', '16', '18', '70', '2402', '-50', 'small', '0', '1', '0', '960', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45971', 'Cursed Dark Elf Wizard', '$4287', '', 'L1Monster', '5760', '50', '750', '300', '-38', '16', '15', '18', '16', '18', '80', '2501', '-50', 'small', '0', '1', '0', '960', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45972', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5745', '50', '700', '300', '-42', '18', '19', '15', '15', '15', '60', '2501', '-50', 'small', '0', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45973', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5742', '50', '700', '300', '-42', '18', '19', '15', '15', '15', '60', '2501', '-50', 'small', '0', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45974', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5742', '52', '850', '300', '-50', '20', '15', '18', '15', '15', '50', '2705', '-50', 'small', '0', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45975', 'Cursed Dark Elf Knight', '$4286', '', 'L1Monster', '5724', '54', '850', '300', '-52', '18', '15', '20', '17', '17', '50', '2917', '-50', 'small', '0', '1', '0', '960', '1200', '1200', '1440', '1560', '0', '0', '0', '1', '1', '1', 'darkelf', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45976', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '3402', '45', '300', '50', '-30', '14', '14', '19', '5', '10', '20', '2026', '-20', 'small', '0', '10', '0', '1280', '1360', '1040', '1360', '1360', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '45964', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45977', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '3404', '45', '400', '50', '-40', '20', '18', '11', '5', '10', '30', '2026', '-20', 'small', '0', '2', '0', '853', '960', '1280', '960', '960', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45966', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45978', 'Deep Flower', '$3148', '', 'L1Monster', '3568', '45', '1300', '500', '-40', '18', '16', '15', '18', '12', '50', '2026', '-20', 'large', '2', '2', '0', '1440', '1280', '0', '2560', '2560', '0', '0', '0', '1', '1', '1', 'deepflower', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('45979', 'Dark Elemental', '$2895', '', 'L1Monster', '3364', '46', '800', '100', '-42', '20', '18', '16', '12', '16', '35', '2117', '-20', 'small', '0', '1', '0', '960', '1240', '1080', '1240', '1240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45980', 'Lastabad Tormenter', '$3808', '', 'L1Monster', '3694', '47', '400', '50', '-40', '19', '16', '15', '14', '15', '60', '2210', '-30', 'small', '0', '2', '0', '1280', '1560', '1400', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45965', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45981', 'Dark Mage', '$3824', '', 'L1Monster', '3698', '47', '400', '148', '-36', '16', '15', '18', '16', '18', '60', '2210', '-25', 'small', '0', '1', '0', '1280', '1280', '1920', '1160', '1160', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45969', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45982', 'Dark Forester', '$3823', '', 'L1Monster', '3747', '47', '400', '300', '-40', '15', '16', '14', '16', '18', '60', '2210', '-25', 'small', '1', '2', '0', '853', '1720', '0', '2200', '2200', '0', '0', '0', '1', '1', '1', 'darkforester', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45967', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45983', 'Guardian of Earth Spirit', '$3820', '', 'L1Monster', '4634', '47', '900', '10', '-45', '19', '20', '15', '10', '10', '60', '2210', '-25', 'small', '2', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45984', 'Guardian of Water Spirit', '$3818', '', 'L1Monster', '4632', '47', '900', '10', '-45', '19', '20', '15', '10', '10', '60', '2210', '-25', 'small', '8', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45985', 'Guardian of Fire Spirit', '$3819', '', 'L1Monster', '4633', '47', '900', '10', '-45', '19', '20', '15', '10', '10', '60', '2210', '-25', 'small', '4', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45986', 'Guardian of Wind Spirit', '$3821', '', 'L1Monster', '4786', '47', '900', '10', '-37', '19', '20', '15', '10', '10', '60', '2210', '-25', 'small', '1', '1', '0', '960', '1280', '1280', '1520', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45987', 'Guardian of Darkness Spirit', '$3822', '', 'L1Monster', '4787', '47', '900', '364', '-37', '19', '20', '15', '10', '15', '60', '2210', '-25', 'small', '2', '1', '0', '960', '1280', '1280', '1400', '1200', '0', '0', '0', '1', '1', '1', 'spirit', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45988', 'Greater Dark Elemental', '$2896', '', 'L1Monster', '3365', '47', '900', '100', '-45', '20', '16', '18', '10', '12', '40', '2210', '-25', 'small', '0', '1', '0', '960', '1400', '1600', '1400', '1400', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('45989', 'Black Ent', '$3143', '', 'L1Monster', '3678', '47', '1500', '50', '-42', '20', '18', '16', '18', '16', '20', '2210', '-25', 'large', '2', '2', '0', '960', '1960', '2880', '1960', '1960', '0', '0', '0', '1', '1', '1', 'ent', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45990', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '3402', '48', '500', '50', '-40', '14', '14', '18', '5', '10', '30', '2305', '-20', 'small', '0', '10', '0', '1280', '1360', '1040', '1360', '1360', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '45968', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45991', 'Dark Elementalist', '$2894', '', 'L1Monster', '3360', '48', '500', '100', '-40', '16', '15', '17', '18', '18', '50', '2305', '-25', 'small', '0', '1', '0', '1280', '1520', '0', '2240', '2240', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45971', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45992', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '3366', '48', '600', '50', '-50', '20', '18', '15', '17', '17', '45', '2305', '-25', 'small', '0', '1', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45972', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45993', 'Dark Elementalist', '$3824', '', 'L1Monster', '3698', '49', '500', '148', '-36', '16', '15', '18', '16', '18', '70', '2402', '-50', 'small', '0', '1', '0', '1280', '1280', '1920', '1160', '1160', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45971', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45994', 'Elder Attendant', '$4304', '', 'L1Monster', '5567', '49', '1000', '500', '-40', '15', '16', '18', '17', '19', '60', '2402', '-25', 'small', '2', '1', '0', '960', '1080', '1320', '1280', '1280', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45995', 'Elder Attendant', '$4304', '', 'L1Monster', '4667', '49', '1000', '500', '-40', '15', '16', '18', '17', '19', '60', '2402', '-25', 'small', '2', '1', '0', '960', '1080', '0', '1080', '1520', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45996', 'Dark Mage', '$3824', '', 'L1Monster', '3698', '50', '430', '148', '-40', '16', '15', '18', '16', '18', '70', '2501', '-50', 'small', '0', '1', '0', '1280', '1280', '1920', '1160', '1160', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45970', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45997', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '4609', '50', '600', '278', '-50', '19', '18', '18', '12', '14', '50', '2501', '-25', 'small', '0', '1', '0', '640', '1200', '1120', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45973', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45998', 'Elder Attendant', '$4304', '', 'L1Monster', '5567', '50', '1000', '500', '-40', '15', '18', '20', '17', '19', '60', '2501', '-25', 'small', '2', '1', '0', '960', '1080', '1320', '1280', '1280', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45999', 'Elder Attendant', '$4304', '', 'L1Monster', '4667', '50', '1200', '500', '-49', '15', '16', '12', '18', '20', '60', '2501', '-25', 'small', '2', '1', '0', '960', '1080', '0', '1080', '1520', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46000', 'Spiritologist of Blood', '$3832', '', 'L1Monster', '4670', '50', '1300', '318', '-54', '16', '15', '14', '15', '20', '70', '2501', '-25', 'small', '2', '1', '0', '640', '1080', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '45', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46001', 'Darkness Avenger', '$3828', '', 'L1Monster', '4603', '50', '1600', '100', '-52', '20', '18', '15', '13', '16', '55', '2501', '-25', 'small', '2', '1', '0', '960', '1120', '1080', '1120', '1120', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46002', 'Elder Attendant', '$4304', '', 'L1Monster', '5567', '51', '1200', '600', '-40', '15', '18', '19', '16', '18', '60', '2602', '-50', 'small', '0', '1', '0', '960', '1080', '1320', '1280', '1280', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46003', 'Elder Attendant', '$4304', '', 'L1Monster', '4667', '51', '1300', '500', '-47', '14', '18', '17', '16', '18', '68', '2602', '-25', 'small', '2', '1', '0', '960', '1080', '0', '1080', '1520', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46004', 'Elder Attendant', '$4304', '', 'L1Monster', '4667', '51', '1500', '300', '-49', '15', '16', '12', '18', '20', '60', '2602', '-25', 'small', '2', '1', '0', '960', '1080', '0', '1080', '1520', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46005', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '4609', '52', '600', '278', '-50', '20', '18', '17', '12', '14', '50', '2705', '-50', 'small', '0', '1', '0', '640', '1200', '1120', '1560', '1560', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '45974', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46006', 'Phantom Knight', '$3814', '', 'L1Monster', '4664', '52', '1300', '278', '-50', '19', '15', '16', '16', '16', '50', '2705', '-50', 'small', '0', '2', '0', '640', '1160', '1400', '1160', '1160', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46007', 'Elder Attendant', '$4304', '', 'L1Monster', '4667', '52', '1500', '700', '-49', '17', '18', '15', '19', '19', '50', '2705', '-25', 'small', '2', '1', '0', '960', '1080', '0', '1080', '1520', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46008', 'Lord of Darkness', '$3833', '', 'L1Monster', '4657', '52', '1500', '1200', '-55', '16', '17', '14', '14', '18', '75', '2705', '-25', 'small', '2', '1', '0', '640', '1080', '1440', '1440', '1440', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46009', 'Blood Rain Knight', '$3829', '', 'L1Monster', '4615', '52', '1800', '318', '-55', '20', '18', '16', '12', '15', '65', '2705', '-25', 'small', '2', '1', '0', '960', '1200', '1120', '1200', '1200', '1', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46010', 'Darkness Avenger', '$3828', '', 'L1Monster', '4603', '53', '1500', '50', '-52', '17', '18', '15', '13', '16', '55', '2810', '-50', 'small', '2', '1', '0', '960', '1120', '1080', '1120', '1120', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46011', 'Assassin of Blood', '$3801', '', 'L1Monster', '5596', '54', '600', '278', '-54', '18', '19', '15', '15', '15', '60', '2917', '-50', 'small', '2', '10', '0', '640', '840', '1480', '1080', '1080', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2989', '0', '45975', '5306', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46012', 'Blood Rain Knight', '$3829', '', 'L1Monster', '4615', '54', '1500', '318', '-55', '20', '18', '16', '12', '15', '65', '2917', '-50', 'small', '2', '1', '0', '960', '1200', '1120', '1200', '1200', '1', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46013', 'Royal Guard Head Shaibbulit', '$4382', '', 'L1Monster', '4618', '54', '3500', '630', '-63', '20', '16', '18', '12', '16', '60', '2917', '-25', 'small', '4', '1', '0', '640', '1280', '1360', '1160', '1160', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('46014', 'Lastabad Royal Guard', '$4383', '', 'L1Monster', '4625', '55', '3500', '722', '-64', '20', '19', '19', '16', '17', '70', '3026', '-25', 'small', '2', '1', '0', '960', '760', '1080', '1320', '1320', '0', '0', '0', '1', '1', '1', 'lastabad', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81182', 'unknown', '', '', 'L1Effect', '4185', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45219', 'Dire Bat', '$2892', '', 'L1Monster', '3415', '22', '250', '30', '-6', '19', '18', '12', '12', '10', '10', '485', '-25', 'small', '0', '3', '0', '853', '1560', '0', '1560', '1560', '0', '0', '0', '0', '0', '0', 'bat', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3417', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45214', 'Mole', '$3149', '', 'L1Monster', '3582', '21', '200', '30', '-20', '14', '16', '14', '6', '5', '15', '442', '-5', 'small', '0', '4', '0', '480', '1240', '1720', '1240', '1240', '0', '0', '0', '1', '1', '1', 'mole', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3584', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('45185', 'Orcish Court Guard', '$607', '', 'L1Monster', '824', '18', '500', '0', '-3', '17', '14', '20', '8', '10', '15', '325', '-16', 'small', '4', '1', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '0', '0', 'guard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('70656', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70687', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70703', 'Aden Court Guard', '$2129 $475', '', 'L1Guard', '2382', '70', '1500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '10', '0', '960', '1120', '0', '1120', '1120', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '66', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70704', 'Aden Court Guard', '$2129 $475', '', 'L1Guard', '2335', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70715', 'Jimu', '$2254', '', 'L1Merchant', '2724', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70764', 'Taus', '$1826', '', 'L1Merchant', '940', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70778', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70800', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70817', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70827', 'Orcish Court Guard', '$607', '', 'L1Guard', '824', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '4', '1', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '0', '0', 'guard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70862', 'Heine Gatekeeper', '$1513 $474', '', 'L1Guard', '1659', '85', '3000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70863', 'Heine Gatekeeper', '$1513 $474', '', 'L1Guard', '1659', '85', '3000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70886', 'Kans Horse', '$2499', '', 'L1Merchant', '2963', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70889', 'Ramune', '$2561', '', 'L1Merchant', '2779', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70890', 'Rabor', '$3188', '', 'L1Merchant', '3948', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70894', 'Ronde\'s Bodyguard', '$2501', '', 'L1Merchant', '2829', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70896', 'Personal Assassin of Bludika', '$2502', '', 'L1Merchant', '2977', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70903', 'Kan\'s Guard', '$2708', '', 'L1Merchant', '2978', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70909', 'Pierot', '$2554', '', 'L1Merchant', '2794', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('70985', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70986', 'Gatekeeper', '$474', '', 'L1Guard', '826', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '4', '1', '0', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '0', '0', 'guard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70987', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70988', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70989', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70990', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70991', 'Gatekeeper', '$474', '', 'L1Guard', '148', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70992', 'Gatekeeper', '$474', '', 'L1Guard', '148', '10', '3000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '1800', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70993', 'Gatekeeper', '$474', '', 'L1Guard', '1997', '70', '2500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70994', 'Gatekeeper', '$474', '', 'L1Guard', '1997', '70', '2500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70995', 'Gatekeeper', '$474', '', 'L1Guard', '1997', '70', '2500', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('70996', 'Gatekeeper', '$474', '', 'L1Guard', '2648', '70', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '1', '0', '480', '760', '0', '760', '760', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71092', 'Scout', '$2257', '', 'L1Quest', '1569', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71093', 'Scout', '$2257', '', 'L1Quest', '1314', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '1280', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71094', 'Endia', '$2659', '', 'L1Quest', '3097', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '1440', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81158', 'unknown', '', '', 'L1Door', '2083', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46015', 'Middle Oum', '$3145', '', 'L1Monster', '3644', '32', '450', '50', '-23', '18', '18', '16', '5', '5', '30', '1025', '-35', 'small', '0', '2', '0', '853', '1520', '1520', '1520', '1520', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46016', 'Heavy Oum', '$3144', '', 'L1Monster', '3596', '41', '950', '50', '-20', '13', '17', '18', '20', '18', '45', '1682', '-50', 'large', '0', '2', '0', '1600', '1800', '1480', '1800', '1800', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46017', 'Plate Worm', '$3147', '', 'L1Monster', '3654', '32', '350', '50', '-33', '14', '14', '18', '5', '5', '25', '1025', '-33', 'large', '0', '2', '0', '960', '1480', '3360', '1480', '1480', '0', '0', '0', '1', '1', '1', 'centipede', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46018', 'Black Wizard', '$3141', '', 'L1Monster', '3698', '39', '600', '400', '-28', '16', '20', '18', '18', '18', '35', '1522', '-50', 'small', '0', '1', '0', '1280', '1280', '1920', '1280', '1280', '0', '0', '0', '1', '1', '1', 'blackwizard', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46019', 'Guard Dog', '$4806', '', 'L1Monster', '4740', '32', '350', '50', '-33', '18', '14', '20', '5', '5', '30', '1025', '-42', 'small', '0', '1', '0', '560', '880', '1200', '880', '880', '0', '0', '0', '1', '0', '0', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46020', 'Greedy Soldier', '$4801', '', 'L1Monster', '4519', '35', '380', '20', '-30', '16', '18', '12', '9', '8', '45', '1226', '-40', 'small', '0', '2', '0', '853', '960', '1000', '960', '960', '0', '0', '0', '1', '1', '1', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46021', 'Greedy Wizard', '$4804', '', 'L1Monster', '4517', '37', '380', '200', '-25', '18', '16', '16', '18', '18', '45', '1376', '-25', 'large', '0', '1', '0', '1280', '1280', '0', '1280', '1280', '0', '0', '0', '1', '1', '1', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46022', 'Greedy Warrior', '$4802', '', 'L1Monster', '4559', '40', '450', '20', '-32', '20', '14', '17', '9', '8', '19', '1601', '-45', 'small', '0', '1', '0', '960', '1280', '1240', '1280', '1280', '0', '0', '0', '1', '1', '1', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46023', 'Greedy Archer', '$4803', '', 'L1Monster', '4531', '40', '420', '20', '-28', '12', '12', '18', '12', '12', '50', '1601', '-45', 'small', '0', '10', '0', '960', '1280', '1360', '1280', '1280', '0', '0', '0', '1', '1', '1', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46024', 'Count Elite Guard General', '$4807', '', 'L1Monster', '4561', '48', '1000', '20', '-60', '32', '18', '18', '8', '8', '50', '2305', '-80', 'small', '0', '1', '0', '960', '1080', '1200', '1080', '1080', '0', '0', '0', '1', '1', '1', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('46025', 'Count Taros', '$4808', '', 'L1Monster', '4851', '55', '4000', '250', '-67', '75', '18', '17', '15', '17', '65', '3026', '-120', 'large', '0', '2', '0', '960', '960', '0', '960', '960', '0', '0', '0', '1', '1', '1', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('46026', 'Mammon', '$4809', '', 'L1Monster', '4790', '61', '8000', '1250', '-70', '20', '20', '19', '22', '22', '99', '3722', '-70', 'large', '0', '1', '0', '1280', '1080', '1120', '1080', '1080', '0', '0', '0', '1', '1', '1', 'giran', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('46027', 'Corrupted Zombie', '$4793 $57', '', 'L1Monster', '5112', '12', '120', '0', '-5', '14', '16', '6', '5', '2', '10', '145', '-35', 'small', '2', '1', '0', '2000', '1040', '1120', '1040', '1040', '1', '0', '0', '1', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '42', '430', '0', '-24', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46028', 'Corrupted Zombie', '$4793 $57', '', 'L1Monster', '5110', '22', '120', '0', '-5', '14', '16', '6', '5', '2', '10', '145', '-35', 'small', '2', '1', '0', '2000', '1040', '1080', '1040', '1040', '1', '0', '0', '1', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '42', '430', '0', '-24', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46029', 'Corrupted Skeleton Archer', '$4793 $986', '', 'L1Monster', '5127', '18', '200', '0', '-10', '16', '14', '16', '12', '10', '8', '325', '-12', 'small', '2', '10', '0', '960', '1280', '1120', '1280', '1280', '1', '0', '0', '1', '1', '1', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '42', '440', '0', '-25', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46030', 'Corrupted Skeleton Axeman', '$4793 $987', '', 'L1Monster', '5014', '20', '220', '0', '-12', '18', '14', '14', '12', '10', '8', '401', '-28', 'small', '2', '1', '0', '960', '1280', '920', '1280', '1280', '1', '0', '0', '1', '1', '1', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '45', '520', '0', '-27', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46031', 'Corrupted Skeleton Soldier', '$4793 $988', '', 'L1Monster', '5033', '22', '250', '0', '-15', '16', '14', '15', '12', '10', '18', '485', '-39', 'small', '2', '2', '0', '960', '960', '840', '960', '960', '1', '0', '0', '1', '1', '1', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '40', '450', '0', '-25', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46032', 'Corrupted Zombie Spearman', '$4793 $4796', '', 'L1Monster', '4930', '24', '250', '0', '-18', '18', '14', '16', '12', '10', '18', '577', '-30', 'small', '2', '2', '0', '960', '960', '1160', '960', '960', '1', '0', '0', '1', '1', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '42', '480', '0', '-30', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46033', 'Corrupted Zombie Wizard', '$4793 $4795', '', 'L1Monster', '4937', '24', '250', '350', '-20', '16', '14', '16', '18', '18', '20', '677', '-30', 'small', '2', '1', '0', '1280', '1280', '1200', '1280', '1280', '1', '0', '0', '1', '1', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '42', '480', '0', '-30', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46034', 'Corrupted Zombie General', '$4793 $4794', '', 'L1Monster', '4935', '32', '300', '250', '-22', '20', '14', '18', '12', '10', '20', '1025', '-30', 'small', '2', '1', '0', '960', '1280', '1160', '1280', '1280', '1', '0', '0', '1', '1', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '47', '560', '0', '-35', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46035', 'Corrupted Zombie Lord', '$4793 $2398', '', 'L1Monster', '2803', '35', '2500', '300', '-25', '14', '16', '16', '15', '12', '50', '1226', '-80', 'large', '2', '2', '0', '1440', '1880', '0', '1240', '1800', '3', '0', '0', '1', '1', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('46036', 'Corrupted Skeleton Knight', '$4793 $4797', '', 'L1Monster', '5677', '55', '9250', '250', '-68', '22', '25', '18', '10', '15', '40', '3026', '-100', 'large', '2', '2', '0', '1080', '1080', '1240', '1080', '1080', '4', '0', '0', '1', '1', '1', 'skeleton', '1', '-1', '-1', '0', '0', '0', '5000', '40', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('46037', 'Dark Wizard Maya', '$4798', '', 'L1Monster', '5212', '70', '13500', '2000', '-65', '18', '18', '18', '23', '23', '80', '4901', '-250', 'large', '0', '1', '0', '1080', '1080', '1080', '1080', '1080', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '3000', '180', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('46038', 'Summoned Stuff of Maya', '$4851', '', 'L1Monster', '5677', '45', '1000', '250', '-68', '18', '25', '18', '10', '15', '40', '2026', '-10', 'large', '2', '2', '0', '1080', '1080', '1240', '1080', '1080', '3', '0', '0', '1', '1', '1', 'skeleton', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46039', 'Summoned Stuff of Maya', '$4851', '', 'L1Monster', '5112', '12', '120', '0', '-5', '14', '16', '6', '5', '2', '10', '145', '-35', 'small', '2', '1', '0', '2000', '1040', '1120', '1040', '1040', '1', '0', '0', '1', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '42', '430', '0', '-24', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46040', 'Summoned Stuff of Maya', '$4851', '', 'L1Monster', '5110', '22', '120', '0', '-5', '14', '16', '6', '5', '2', '10', '145', '-35', 'small', '2', '1', '0', '2000', '1040', '1080', '1040', '1040', '1', '0', '0', '1', '0', '1', 'zombie', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '42', '430', '0', '-24', '1', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46041', 'unknown', '$5522', 'QUEST', 'L1Monster', '3365', '10', '1200', '70', '-30', '30', '18', '20', '18', '18', '70', '101', '-120', 'small', '0', '1', '0', '960', '1400', '1600', '1400', '1400', '0', '0', '0', '0', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46042', 'Baby Kangaroo', '$4079', '', 'L1Monster', '6325', '5', '25', '5', '20', '12', '10', '12', '10', '10', '10', '26', '0', 'small', '0', '1', '1', '640', '1040', '0', '1040', '1040', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46043', 'Kangaroo of Fire', '$4080', '', 'L1Monster', '6322', '5', '40', '15', '20', '16', '10', '18', '10', '15', '15', '26', '0', 'small', '0', '1', '1', '560', '1000', '960', '1000', '1000', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46044', 'Baby Panda', '$4077', '', 'L1Monster', '6310', '5', '30', '10', '25', '10', '12', '10', '10', '12', '12', '26', '0', 'small', '0', '1', '1', '640', '1040', '0', '1040', '1040', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46045', 'Horrific Panda', '$4078', '', 'L1Monster', '6314', '5', '45', '15', '30', '14', '10', '14', '10', '15', '15', '26', '0', 'small', '0', '1', '1', '560', '1000', '1120', '1000', '1000', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '2', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46046', 'Gold Dragon', '$4076', '', 'L1Monster', '6396', '5', '60', '40', '30', '16', '16', '16', '10', '15', '15', '26', '0', 'small', '0', '1', '1', '480', '800', '0', '1172', '1172', '0', '0', '0', '0', '0', '0', 'animal', '1', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46047', 'Dark Elf General', '$2885', '', 'L1Monster', '3366', '43', '900', '50', '-40', '20', '18', '15', '17', '17', '45', '1850', '-50', 'small', '0', '2', '0', '360', '1000', '1400', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71200', 'White Wizard Pieta', '$5521', '3f', 'L1Merchant', '1307', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81183', 'Zombie', '$57', '', 'L1Monster', '52', '10', '100', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81184', 'Zombie', '$57', '', 'L1Monster', '52', '12', '200', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81185', 'Zombie', '$57', '', 'L1Monster', '52', '14', '400', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81186', 'Zombie', '$57', '', 'L1Monster', '52', '16', '500', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81187', 'Zombie', '$57', '', 'L1Monster', '52', '18', '600', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81188', 'Zombie', '$57', '', 'L1Monster', '52', '20', '800', '12', '8', '16', '16', '6', '5', '2', '5', '37', '-8', 'small', '2', '1', '1', '2000', '1040', '0', '1040', '1040', '1', '0', '0', '0', '0', '1', 'zombie', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81189', 'Guardian Tower', '$1435', '', 'L1Tower', '2674', '1', '5000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81190', 'Guard Tower: Eva', '$2204', '', 'L1Tower', '2669', '1', '3000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81191', 'Guardian Tower: Paagrio', '$2205', '', 'L1Tower', '2665', '1', '3000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81192', 'Guardian Tower: Maphr', '$2206', '', 'L1Tower', '2667', '1', '3000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81193', 'Guardian Tower: Sayha', '$2207', '', 'L1Tower', '2671', '1', '3000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'large', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81194', 'Sign Post', '$5216', '', 'L1Signboard', '843', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81195', 'Sign Post', '$461', '', 'L1Signboard', '843', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81196', 'Sign Post', '$462', '', 'L1Signboard', '841', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81197', 'Sign Post', '$5208', '', 'L1Signboard', '841', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81198', 'Sign Post', '$5209', '', 'L1Signboard', '843', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81199', 'Sign Post', '$5217', '', 'L1Signboard', '841', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46048', 'Fish', '$1493', 'Unknown', 'L1Monster', '1634', '1', '30000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46049', 'Fish', '$1493', 'Unknown', 'L1Monster', '1640', '1', '30000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46050', 'Fish', '$1493', 'Unknown', 'L1Monster', '1653', '1', '30000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46051', 'Fish', '$1493', 'Unknown', 'L1Monster', '1655', '1', '30000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46052', 'Fish', '$1493', 'Unknown', 'L1Monster', '1657', '1', '30000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46053', 'Evil Spirit of Ship', '$4972', 'Unknown', 'L1Monster', '3364', '45', '1000', '200', '-35', '23', '20', '17', '12', '12', '45', '2026', '-38', 'small', '0', '1', '0', '640', '640', '1080', '640', '640', '0', '0', '0', '1', '1', '1', 'elemental', '1', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('46054', 'Deep Sea Crabman', '$4315', 'Unknown', 'L1Monster', '1610', '32', '450', '20', '-28', '18', '16', '16', '8', '8', '30', '1025', '-20', 'small', '8', '2', '0', '960', '1000', '1840', '1000', '1000', '0', '0', '0', '1', '1', '1', 'crab', '1', '-1', '-1', '0', '0', '0', '5000', '9', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46055', 'Drowned Male', '$4289', 'Unknown', 'L1Monster', '5484', '38', '600', '30', '-40', '18', '15', '18', '10', '8', '60', '1445', '-50', 'small', '8', '1', '0', '640', '640', '0', '640', '640', '1', '0', '0', '1', '1', '1', 'drown', '1', '-1', '-1', '0', '0', '0', '5000', '12', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46056', 'Skeletal Pirate', '$3387', 'Unknown', 'L1Monster', '4186', '25', '220', '10', '-18', '16', '12', '16', '10', '10', '40', '0', '0', 'small', '0', '2', '1', '640', '1120', '960', '1120', '1120', '1', '0', '0', '1', '1', '1', 'pirate', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46057', 'Skeletal Pirate Soldier', '$3388', 'Unknown', 'L1Monster', '4190', '28', '260', '20', '-16', '14', '12', '18', '10', '10', '25', '0', '0', 'small', '0', '10', '0', '960', '1400', '1000', '1400', '1400', '1', '0', '0', '1', '1', '1', 'pirate', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46058', 'Skeletal Pirate Captain', '$3389', 'Unknown', 'L1Monster', '4188', '32', '350', '10', '-23', '18', '14', '16', '10', '12', '50', '0', '0', 'small', '0', '2', '0', '640', '1200', '960', '1200', '1200', '1', '0', '0', '1', '1', '1', 'pirate', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46059', 'Skeletal Pirate Rogue', '$3730', 'Unknown', 'L1Monster', '4796', '32', '500', '50', '-25', '18', '14', '16', '6', '15', '60', '0', '0', 'small', '0', '6', '0', '640', '1200', '720', '1200', '1200', '1', '0', '0', '1', '1', '1', 'pirate', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '4799', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46060', 'Hell Creature', '$3812', 'Unknown', 'L1Monster', '4622', '48', '900', '0', '-77', '16', '19', '15', '10', '16', '45', '2305', '-25', 'small', '2', '1', '0', '960', '960', '1600', '960', '960', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46061', 'Heavy Oum Warrior', '$3831', 'Unknown', 'L1Monster', '4744', '49', '1100', '0', '-54', '17', '16', '15', '12', '10', '40', '2117', '-25', 'large', '2', '2', '0', '960', '1000', '1440', '1000', '1000', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46062', 'Cursed Dark Elf Warrior', '$4285', 'Unknown', 'L1Monster', '5694', '46', '800', '300', '-43', '15', '15', '20', '17', '17', '45', '2117', '-50', 'small', '2', '1', '0', '960', '880', '880', '1320', '1120', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46063', 'Cursed Dark Elf Wizard', '$4287', 'Unknown', 'L1Monster', '5693', '48', '750', '300', '-38', '16', '15', '18', '16', '18', '80', '2305', '-50', 'small', '2', '1', '0', '1040', '1160', '1280', '1200', '1160', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46064', 'Cursed Dark Elf Knight', '$4286', 'Unknown', 'L1Monster', '5695', '50', '1100', '300', '-52', '18', '15', '20', '17', '15', '50', '2501', '-50', 'small', '2', '1', '0', '960', '1120', '1080', '1280', '1360', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46065', 'Otyu', '$4306', 'Unknown', 'L1Monster', '5442', '50', '1500', '250', '-50', '15', '18', '20', '14', '16', '50', '2501', '-25', 'small', '0', '3', '0', '960', '1120', '920', '1120', '1120', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '25', '500', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46066', 'Tyupon', '$4308', 'Unknown', 'L1Monster', '5259', '52', '1700', '500', '-55', '20', '18', '15', '12', '16', '65', '2705', '-25', 'large', '0', '1', '0', '960', '1320', '1200', '1360', '1280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '35', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46067', 'Wyvern', '$4307', 'Unknown', 'L1Monster', '5282', '54', '2000', '200', '-61', '17', '18', '20', '15', '17', '70', '2917', '-25', 'large', '0', '1', '0', '800', '1200', '1280', '1360', '1360', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '25', '5000', '25', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46068', 'Fire Egg', '$1570', 'Unknown', 'L1Monster', '1820', '25', '120', '10', '-14', '16', '18', '16', '12', '16', '35', '626', '-18', 'small', '4', '1', '0', '1440', '880', '0', '880', '880', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46069', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5574', '30', '400', '30', '-55', '20', '15', '11', '3', '2', '100', '1800', '-5', 'small', '0', '1', '0', '1280', '880', '0', '880', '880', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46070', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5655', '32', '600', '30', '-40', '12', '16', '11', '16', '8', '100', '0', '0', 'small', '0', '1', '0', '800', '960', '0', '1200', '1200', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '46071', '5665', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46071', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5657', '32', '100', '30', '-35', '12', '16', '11', '16', '8', '100', '2500', '-5', 'small', '0', '1', '0', '960', '1120', '1120', '1000', '1000', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46072', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5461', '35', '800', '30', '-50', '13', '18', '11', '18', '8', '100', '0', '0', 'large', '0', '1', '0', '800', '960', '0', '1200', '1200', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '46073', '5665', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46073', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5463', '35', '150', '30', '-45', '13', '18', '11', '18', '8', '100', '5000', '-5', 'large', '0', '1', '0', '960', '1000', '1120', '1120', '1120', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46074', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5338', '35', '500', '30', '-45', '18', '21', '11', '21', '8', '100', '2500', '-5', 'large', '8', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5341', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46075', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5317', '35', '500', '30', '-45', '15', '11', '11', '18', '8', '100', '2500', '-5', 'large', '1', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5320', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46076', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5331', '35', '550', '30', '-45', '15', '13', '11', '10', '8', '100', '2500', '-5', 'large', '4', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5334', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46077', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5324', '35', '500', '30', '-45', '15', '14', '10', '12', '8', '100', '2500', '-5', 'large', '2', '6', '0', '960', '1040', '960', '1040', '1040', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '5327', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46078', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5269', '38', '420', '30', '-40', '15', '18', '11', '4', '8', '100', '2900', '-5', 'small', '0', '1', '0', '960', '1200', '960', '1240', '1240', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46079', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5265', '40', '450', '30', '-50', '17', '21', '11', '6', '8', '100', '3200', '-5', 'large', '0', '1', '0', '960', '1200', '960', '1240', '1240', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46080', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5353', '38', '500', '30', '-45', '12', '11', '11', '9', '8', '100', '2900', '-5', 'small', '0', '1', '0', '960', '1120', '1120', '1000', '1000', '2', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46081', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '5351', '40', '580', '300', '-70', '35', '21', '11', '21', '18', '100', '2000', '-5', 'large', '0', '1', '0', '960', '1120', '1120', '1000', '1000', '2', '1', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46082', 'Patrol 1', '$4987 1', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46083', 'Patrol 2', '$4987 2', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46084', 'Patrol 3', '$4987 3', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46085', 'Patrol 4', '$4987 4', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46086', 'Patrol 5', '$4987 5', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46087', 'Patrol 6', '$4987 6', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46088', 'Patrol 7', '$4987 7', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46089', 'Patrol 8', '$4987 8', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46090', 'Patrol 9', '$4987 9', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '3200', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '0', '0', '0', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46091', 'Guard', '$4988', 'Unknown', 'L1Monster', '2524', '38', '840', '30', '-38', '20', '17', '16', '12', '8', '50', '4000', '-5', 'small', '0', '1', '0', '720', '720', '1040', '720', '720', '2', '0', '0', '1', '1', '1', 'daemon', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '-5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46092', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '4574', '40', '600', '100', '-50', '20', '11', '8', '4', '7', '60', '3200', '-5', 'large', '0', '1', '0', '1500', '1172', '1200', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', '0', '0', '1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46093', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '4576', '40', '600', '100', '-50', '35', '15', '15', '5', '6', '30', '3200', '-5', 'large', '0', '1', '0', '1336', '1000', '0', '1000', '1000', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '1', '0', '0', '1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46094', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '4563', '40', '600', '100', '-50', '35', '16', '18', '4', '5', '35', '3200', '-5', 'large', '0', '2', '0', '1500', '1344', '1480', '1344', '1344', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '1', '0', '0', '1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46095', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '4652', '40', '600', '100', '-50', '35', '14', '17', '8', '6', '33', '3200', '-5', 'large', '0', '2', '0', '1500', '1125', '1120', '1125', '1125', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '1', '0', '0', '1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46096', 'Unchosen One', '$4986', 'Unknown', 'L1Monster', '4693', '52', '750', '300', '-55', '15', '15', '18', '25', '18', '100', '2705', '-5', 'large', '0', '1', '0', '1000', '1172', '0', '1172', '1172', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '1', '0', '0', '1', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46097', 'Patrol 1', '$4987 1', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '1', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46098', 'Patrol 2', '$4987 2', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '1', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46099', 'Patrol 3', '$4987 3', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '1', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46100', 'Patrol 4', '$4987 4', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46101', 'Patrol 5', '$4987 5', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46102', 'Patrol 6', '$4987 6', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46103', 'Patrol 7', '$4987 7', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46104', 'Patrol 8', '$4987 8', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46105', 'Patrol 9', '$4987 9', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4000', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '0', '0', '0', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '0', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46106', 'Guard', '$4988', 'Unknown', 'L1Monster', '4550', '50', '500', '300', '-60', '35', '21', '11', '21', '18', '100', '4500', '-5', 'large', '0', '6', '0', '1000', '750', '880', '750', '750', '3', '0', '0', '1', '1', '1', 'chaos', '1', '-1', '-1', '0', '0', '0', '5000', '80', '5000', '50', '0', '0', '0', '0', '0', '0', '0', '4', '0', '0', '1', '1', '4552', '5', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71201', 'Unknown', '', 'Unknown', 'L1FieldObject', '1719', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71202', 'Unknown', '', 'Unknown', 'L1FieldObject', '1720', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71203', 'Unknown', '', 'Unknown', 'L1FieldObject', '1722', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71204', 'Unknown', '', 'Unknown', 'L1FieldObject', '1721', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71205', 'Unknown', '', 'Unknown', 'L1FieldObject', '1702', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71206', 'Unknown', '', 'Unknown', 'L1FieldObject', '1723', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71207', 'Unknown', '', 'Unknown', 'L1FieldObject', '1724', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71208', 'Unknown', '????????1', 'Unknown', 'L1FieldObject', '1648', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71209', 'Unknown', '?????????', 'Unknown', 'L1FieldObject', '1684', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71210', 'Unknown', '????????????', 'Unknown', 'L1FieldObject', '1759', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71211', 'Unknown', '????????2', 'Unknown', 'L1FieldObject', '1630', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71212', 'Unknown', '????????', 'Unknown', 'L1FieldObject', '1705', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71213', 'Unknown', '????????', 'Unknown', 'L1FieldObject', '1707', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71214', 'Unknown', '????????', 'Unknown', 'L1FieldObject', '1710', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71215', 'Unknown', '????', 'Unknown', 'L1FieldObject', '2842', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71216', 'Unknown', 'light1', 'Unknown', 'L1FieldObject', '2822', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71217', 'Unknown', 'light2', 'Unknown', 'L1FieldObject', '2823', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71218', 'Unknown', 'light3', 'Unknown', 'L1FieldObject', '2824', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71219', 'Unknown', 'plant', 'Unknown', 'L1FieldObject', '2840', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '8', '0', '0', '0');
INSERT INTO `npc` VALUES ('71220', 'Unknown', 'plant', 'Unknown', 'L1FieldObject', '2839', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '8', '0', '0', '0');
INSERT INTO `npc` VALUES ('71221', 'Unknown', 'plant', 'Unknown', 'L1FieldObject', '2841', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '8', '0', '0', '0');
INSERT INTO `npc` VALUES ('71222', 'Unknown', 'bridge', 'Unknown', 'L1FieldObject', '2854', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71223', 'Unknown', 'bridge', 'Unknown', 'L1FieldObject', '2855', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71224', 'Unknown', 'bridge', 'Unknown', 'L1FieldObject', '2856', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71225', 'Unknown', 'bridge', 'Unknown', 'L1FieldObject', '2857', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71226', 'Unknown', 'ball', 'Unknown', 'L1FieldObject', '2837', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '13', '0', '0', '0');
INSERT INTO `npc` VALUES ('71227', 'Unknown', 'ball', 'Unknown', 'L1FieldObject', '2835', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '13', '0', '0', '0');
INSERT INTO `npc` VALUES ('71228', 'Unknown', 'ball', 'Unknown', 'L1FieldObject', '2836', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '13', '0', '0', '0');
INSERT INTO `npc` VALUES ('71229', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2852', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71230', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2853', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71231', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2865', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71232', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2863', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71233', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2864', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71234', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2826', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71235', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2825', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71236', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2847', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71237', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2846', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71238', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2862', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71239', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2832', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71240', 'Unknown', 'lamp', 'Unknown', 'L1FieldObject', '2833', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71241', 'Unknown', '?????', 'Unknown', 'L1FieldObject', '2834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71242', 'Unknown', 'window', 'Unknown', 'L1FieldObject', '2831', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71243', 'Unknown', 'window', 'Unknown', 'L1FieldObject', '2848', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71244', 'Unknown', 'window', 'Unknown', 'L1FieldObject', '2827', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71245', 'Unknown', 'window', 'Unknown', 'L1FieldObject', '2828', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71246', 'Unknown', 'light_size_14', 'Unknown', 'L1FieldObject', '2510', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81200', 'Unknown', '?????????', 'Unknown', 'L1Merchant', '1768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '1', '0');
INSERT INTO `npc` VALUES ('81201', 'Unknown', '$1385', 'Unknown', 'L1Board', '1546', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81202', 'Spy', '$5144', 'Unknown', 'L1Merchant', '4873', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81203', 'Unchosen One', '$4986', 'Unknown', 'L1Merchant', '4876', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81204', 'Unchosen One', '$4986', 'Unknown', 'L1Merchant', '4877', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1336', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81205', 'Unchosen One', '$4986', 'Unknown', 'L1Merchant', '4874', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81206', 'Unchosen One', '$4986', 'Unknown', 'L1Merchant', '4881', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1500', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81207', 'Unchosen One', '$4986', 'Unknown', 'L1Merchant', '4882', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81208', 'Contaminated Blob', '$5162', 'Unknown', 'L1Merchant', '6120', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81209', 'Roy', '$3420', 'Unknown', 'L1Quest', '144', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '1400', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('45007', 'Mambo Rabbit Blue Vest', '$3462', '', 'L1Monster', '4174', '50', '3000', '300', '-35', '18', '18', '18', '18', '18', '50', '20000', '-100', 'small', '0', '1', '0', '960', '800', '0', '800', '800', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('46107', 'Treasure Chest of Aden Castle', '$5492', '', 'L1Monster', '6555', '23', '280', '40', '-10', '13', '12', '13', '10', '10', '50', '530', '-16', 'small', '2', '1', '0', '480', '1600', '0', '1600', '1600', '0', '0', '0', '0', '0', '0', 'tebe_m', '0', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80141', '', '$5867', '', 'L1Merchant', '6690', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80142', '', '$5869', '', 'L1Merchant', '6757', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80143', '', '$5871', '', 'L1Merchant', '6977', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80144', '', '$5870', '', 'L1Merchant', '6968', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80145', 'Elder Sleyin', '$5866', '', 'L1Merchant', '7001', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80146', '', '$5868', '', 'L1Teleporter', '6804', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80147', 'Guard', '$240', '', 'L1Guard', '7016', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80148', 'Guard', '$240', '', 'L1Guard', '7019', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80132', 'Decavia', '$5874', '', 'L1Teleporter', '6899', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80133', 'Blacksmith Pual', '$5875', '', 'L1Merchant', '6986', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80134', 'Talion', '$5876', '', 'L1Merchant', '7010', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80135', 'Elas', '$5877', '', 'L1Merchant', '6793', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80136', 'Elder Prochel', '$5872', '', 'L1Merchant', '6781', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80137', 'Gepharu', '$5873', '', 'L1Merchant', '6989', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('80138', 'Guard', '$240', '', 'L1Guard', '7008', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80139', 'Guard', '$240', '', 'L1Guard', '7017', '65', '2000', '300', '0', '126', '126', '126', '126', '126', '0', '0', '0', 'large', '0', '2', '0', '480', '840', '0', '840', '840', '0', '0', '0', '0', '0', '0', 'guard', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('81210', 'Hobgoblin', '$1111', 'summon eternal', 'L1Monster', '1206', '20', '300', '20', '1', '13', '13', '13', '9', '9', '1', '0', '0', 'small', '2', '1', '1', '640', '960', '1080', '960', '960', '0', '0', '0', '0', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '3', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81211', 'Eidlon', '$1043', 'summon eternal ', 'L1Monster', '1150', '20', '180', '20', '10', '11', '10', '11', '7', '8', '1', '0', '0', 'small', '2', '1', '1', '320', '960', '0', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '3', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81212', 'Imp', '$1044', 'summon eternal ', 'L1Monster', '1152', '20', '120', '60', '6', '9', '10', '14', '7', '8', '1', '0', '0', 'small', '1', '6', '1', '480', '1520', '0', '1520', '1520', '0', '0', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '3', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1156', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81213', 'Gandi orc', '$496', 'summon eternal', 'L1Monster', '784', '24', '350', '30', '0', '10', '17', '10', '17', '10', '15', '0', '0', 'small', '4', '1', '1', '640', '1040', '0', '1040', '1040', '0', '0', '0', '1', '1', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81214', 'Duda-Mara orc', '$498', 'summon eternal', 'L1Monster', '788', '24', '210', '30', '-5', '12', '14', '14', '15', '16', '20', '0', '0', 'small', '4', '2', '1', '640', '1160', '0', '1160', '1160', '0', '0', '0', '1', '1', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81215', 'Orc scout', '$511', 'summon eternal', 'L1Monster', '790', '24', '140', '70', '-3', '14', '14', '14', '8', '10', '5', '0', '0', 'small', '4', '10', '1', '640', '1520', '0', '1520', '1520', '0', '0', '0', '1', '1', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '5', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81216', 'Wild Fang', '$3379', 'summon eternal', 'L1Monster', '4207', '28', '400', '40', '-6', '17', '16', '13', '6', '8', '10', '0', '0', 'small', '0', '1', '1', '640', '920', '1520', '920', '920', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '6', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81217', 'Wild Venom', '$3378', 'summon eternal', 'L1Monster', '4205', '28', '240', '80', '0', '16', '16', '14', '6', '8', '5', '0', '0', 'small', '0', '1', '1', '640', '680', '1400', '680', '680', '0', '1', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '6', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81218', 'Wild Magic', '$3380', 'summon eternal', 'L1Monster', '4203', '28', '160', '80', '-10', '18', '18', '12', '6', '8', '10', '0', '0', 'small', '0', '1', '1', '640', '880', '960', '880', '880', '0', '0', '0', '1', '1', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '6', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81219', 'Bugbear', '$325', 'summon eternal', 'L1Monster', '152', '32', '450', '50', '-6', '19', '18', '12', '12', '10', '10', '0', '0', 'large', '0', '1', '1', '640', '840', '720', '840', '840', '0', '0', '0', '1', '1', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '7', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81220', 'King Bugbear', '$937', 'summon eternal', 'L1Monster', '894', '32', '270', '50', '-8', '21', '18', '12', '12', '10', '20', '0', '0', 'large', '0', '1', '1', '640', '720', '720', '720', '720', '0', '0', '0', '1', '1', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '7', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81221', 'Ice Man', '$1791', 'summon eternal', 'L1Monster', '2158', '32', '180', '90', '-20', '17', '17', '17', '12', '12', '15', '0', '0', 'large', '8', '1', '1', '960', '1600', '1640', '1600', '1600', '0', '0', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '7', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81222', 'Mad Lizardman', '$3381', 'summon eternal', 'L1Monster', '4149', '36', '500', '50', '-4', '14', '16', '16', '10', '10', '10', '0', '0', 'small', '0', '1', '1', '640', '960', '800', '960', '960', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81223', 'Heavy Lizardman', '$3383', 'summon eternal', 'L1Monster', '4151', '36', '300', '50', '-15', '14', '14', '18', '12', '10', '15', '0', '0', 'small', '0', '2', '0', '640', '1200', '1360', '1200', '1200', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81224', 'High Lizardman', '$3382', 'summon eternal', 'L1Monster', '4192', '36', '200', '100', '-10', '10', '12', '16', '16', '16', '15', '0', '0', 'small', '0', '1', '0', '640', '1000', '2080', '1000', '1000', '0', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '8', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81225', 'Salamander', '$1505', 'summon eternal', 'L1Monster', '1666', '40', '550', '60', '-23', '17', '12', '15', '12', '10', '10', '0', '0', 'small', '4', '1', '0', '640', '1080', '1280', '1080', '1080', '0', '0', '0', '1', '1', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '9', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81226', 'Fire Warrior', '$1566', 'summon eternal', 'L1Monster', '1770', '40', '330', '60', '-11', '15', '10', '11', '9', '9', '20', '0', '0', 'small', '4', '2', '0', '960', '1520', '1480', '1520', '1520', '0', '0', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '9', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81227', 'Fire Archer', '$1572', 'summon eternal', 'L1Monster', '1832', '40', '220', '110', '-5', '13', '10', '16', '9', '9', '20', '0', '0', 'small', '4', '10', '0', '960', '2000', '1320', '2000', '2000', '0', '0', '0', '1', '0', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '9', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81228', 'Dire Bear', '$2893', 'summon eternal', 'L1Monster', '3357', '44', '600', '40', '-25', '14', '18', '12', '12', '8', '5', '0', '0', 'large', '0', '2', '1', '426', '840', '1200', '840', '840', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81229', 'Dire Wolf', '$2105', 'summon eternal', 'L1Monster', '2392', '48', '360', '70', '-30', '22', '17', '18', '15', '16', '35', '0', '0', 'large', '0', '2', '0', '480', '1440', '1760', '1440', '1440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81230', 'Dire Bat', '$2892', 'summon eternal', 'L1Monster', '3415', '48', '240', '120', '-6', '19', '18', '12', '12', '10', '10', '0', '0', 'small', '0', '3', '0', '853', '1560', '0', '1560', '1560', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '5000', '10', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '3417', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81231', 'Giant Guardian Ant', '$5285', 'summon eternal', 'L1Monster', '6290', '48', '650', '60', '-48', '20', '20', '20', '8', '20', '60', '0', '0', 'large', '0', '2', '0', '960', '1200', '1560', '1200', '1200', '0', '0', '0', '1', '1', '0', '', '1', '-1', '-1', '0', '0', '0', '5000', '11', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81232', 'Mountain Fortress Ants Troop', '$5282', 'summon eternal', 'L1Monster', '6161', '48', '390', '60', '-12', '20', '12', '20', '5', '5', '60', '0', '0', 'small', '4', '1', '0', '640', '880', '0', '880', '880', '0', '0', '0', '1', '0', '0', '', '1', '-1', '-1', '1', '0', '0', '5000', '11', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81233', 'Giant Mountain Fortress Ant', '$5284', 'summon eternal', 'L1Monster', '6302', '48', '260', '130', '-24', '15', '13', '13', '16', '18', '60', '0', '0', 'large', '4', '6', '0', '640', '880', '0', '880', '880', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '1', '0', '0', '5000', '11', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '6306', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81234', 'Hell Creature', '$3812', 'summon eternal', 'L1Monster', '4622', '52', '700', '60', '-41', '16', '19', '15', '10', '16', '45', '0', '0', 'small', '2', '1', '0', '960', '960', '1600', '960', '960', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '12', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81235', 'Greater Dark Elemental', '$2896', 'summon eternal', 'L1Monster', '3365', '52', '420', '60', '-40', '17', '11', '16', '10', '10', '30', '0', '0', 'large', '2', '2', '0', '960', '1400', '1600', '1400', '1400', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '12', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81236', 'Otyu', '$4306', 'summon eternal', 'L1Monster', '5442', '52', '280', '140', '-50', '15', '18', '20', '14', '16', '50', '0', '0', 'small', '0', '3', '0', '960', '1120', '920', '1120', '1120', '2', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '12', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81237', 'Hell Bound', '$3811', 'summon eternal', 'L1Monster', '4643', '50', '657', '278', '-40', '16', '18', '15', '12', '15', '0', '0', '0', 'small', '2', '1', '0', '640', '1040', '1320', '1080', '1080', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '13', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81238', 'Doppelganger', '$1554', 'summon eternal', 'L1Monster', '2389', '58', '1000', '100', '-30', '20', '19', '18', '15', '17', '80', '0', '0', 'small', '0', '1', '0', '1040', '1440', '0', '1440', '1440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81239', 'Greater Minotaur', '$2106', 'summon eternal', 'L1Monster', '2402', '58', '1000', '100', '-65', '30', '20', '12', '17', '18', '60', '0', '0', 'large', '2', '1', '0', '960', '1520', '0', '1520', '1520', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '15', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '1', '0', '1');
INSERT INTO `npc` VALUES ('81240', 'Cougar', '$2587', 'summon eternal', 'L1Monster', '3049', '63', '1000', '400', '-65', '65', '20', '63', '8', '20', '75', '0', '0', 'large', '0', '1', '0', '480', '440', '1560', '440', '440', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '20', '5000', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71251', 'Lolo', '$5590', '', 'L1Merchant', '6768', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('46157', 'Orc Emissary', '$6071', 'Orc Forest', 'L1Monster', '788', '17', '250', '15', '-5', '17', '14', '13', '8', '10', '7', '325', '-16', 'small', '0', '2', '0', '640', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46158', 'Orc Emissary', '$6071', 'Gludin', 'L1Monster', '788', '17', '250', '15', '-5', '17', '14', '13', '8', '10', '7', '325', '-16', 'small', '0', '2', '0', '640', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46159', 'Orc Emissary', '$6071', 'Windawood', 'L1Monster', '788', '17', '250', '15', '-5', '17', '14', '13', '8', '10', '7', '325', '-16', 'small', '0', '2', '0', '640', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46160', 'Escort of Orc Emissary', '$6334', '', 'L1Monster', '3864', '12', '85', '5', '5', '14', '14', '14', '8', '10', '5', '65', '-8', 'small', '4', '1', '1', '640', '880', '760', '880', '880', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46161', 'Orc Emissary Leader', '$5788', '', 'L1Monster', '5938', '28', '300', '25', '-15', '20', '18', '18', '10', '18', '15', '0', '-2', 'small', '0', '1', '0', '1040', '1280', '1280', '1280', '1280', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81245', 'Orc Emissary', '$6071', 'HC3F', 'L1Merchant', '5816', '17', '250', '15', '-5', '17', '14', '13', '8', '10', '7', '325', '-16', 'small', '0', '2', '0', '640', '1160', '0', '1160', '1160', '0', '0', '0', '0', '0', '0', 'orc', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('90003', 'Baell Zaer', '$6077', 'Baell Zaer', 'L1Merchant', '6992', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90004', 'Cronos', '$2574', '$2038', 'L1Merchant', '916', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90005', 'Elazer', '$5031', 'Elazer', 'L1Merchant', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90006', 'Skeleton Mage', '$3989', 'Skeleton Mage', 'L1Merchant', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90013', 'Bag Girl', 'Bag Girl', '', 'L1Merchant', '725', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90007', 'Skeleton Sorcerer', '$3990', 'Skeleton Sorcerer', 'L1Merchant', '834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90008', 'Skeleton Wizard', '', 'Skeleton Wizard', 'L1FieldObject', '1758', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('90012', 'Tilo', 'Tilo', 'Candle Npc', 'L1Merchant', '1621', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90009', 'Zarlok', 'Zarlok', 'Zarlok', 'L1Monster', '2887', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('90010', 'Kugas', '', 'Kugas', 'L1FieldObject', '134', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('90011', 'Crack Of Time', '', '', 'L1FieldObject', '6919', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('90521', 'Altar Gakekeeper', '$6434', '$6434', 'L1Teleporter', '7263', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'small', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('90002', 'Arachne', '$752', '', 'L1Guardian', '864', '30', '3000', '300', '0', '30', '30', '30', '30', '30', '70', '0', '0', 'small', '0', '2', '0', '420', '840', '0', '840', '840', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81246', 'Sharna', '$4883', '', 'L1Merchant', '2090', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90000', 'Asha', 'Asha', 'HV', 'L1Teleporter', '6977', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90001', 'Feaena', 'Feaena', 'SI', 'L1Teleporter', '6793', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('46108', 'Mandragora', '$5492', '', 'L1Monster', '6557', '26', '320', '50', '-15', '13', '12', '13', '10', '10', '50', '677', '-18', 'small', '4', '1', '0', '480', '1600', '0', '1600', '1600', '0', '0', '0', '0', '0', '0', 'tebe_m', '0', '-1', '-1', '0', '0', '0', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46109', 'Scarab', '$5493', '', 'L1Monster', '6592', '29', '400', '70', '-25', '15', '15', '14', '10', '10', '60', '842', '-20', 'small', '2', '1', '0', '600', '920', '0', '920', '920', '0', '0', '0', '0', '0', '0', 'tebe_s', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46110', 'Scarab', '$5493', '', 'L1Monster', '6593', '32', '480', '70', '-25', '15', '15', '15', '11', '11', '65', '1025', '-20', 'small', '4', '1', '0', '600', '920', '0', '920', '920', '0', '0', '0', '1', '1', '0', 'tebe_s', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46111', 'Kalbis', '$5494', '', 'L1Monster', '6601', '35', '480', '70', '-20', '17', '15', '15', '12', '12', '66', '1226', '-22', 'small', '2', '1', '0', '640', '800', '1280', '800', '800', '0', '1', '0', '0', '0', '0', 'tebe_k', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46112', 'Kalbis', '$5494', '', 'L1Monster', '6603', '39', '600', '72', '-25', '17', '16', '15', '12', '12', '66', '1522', '-25', 'small', '8', '1', '0', '600', '800', '1280', '800', '800', '0', '1', '0', '1', '1', '0', 'tebe_k', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46113', 'Obelisk', '$5495', '', 'L1Monster', '6645', '41', '700', '92', '-25', '23', '19', '10', '13', '18', '80', '1682', '-25', 'large', '8', '1', '0', '1280', '1840', '0', '1840', '1840', '0', '0', '0', '0', '0', '0', 'tebe_o', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46114', 'Obelisk', '$5495', '', 'L1Monster', '6649', '44', '800', '100', '-25', '23', '22', '10', '13', '18', '80', '1937', '-28', 'large', '4', '1', '0', '1280', '1840', '0', '1840', '1840', '0', '0', '0', '0', '0', '1', 'tebe_o', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46115', 'Sphinx', '$5496', '', 'L1Monster', '6699', '47', '880', '115', '-29', '24', '18', '18', '21', '19', '100', '2210', '-28', 'large', '0', '2', '0', '720', '1240', '1440', '1240', '1240', '0', '0', '0', '0', '0', '0', 'tebe_sf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46116', 'Sphinx', '$5496', '', 'L1Monster', '6704', '50', '1120', '140', '-32', '24', '19', '19', '21', '21', '100', '2501', '-32', 'large', '2', '2', '0', '720', '1240', '1440', '1240', '1240', '0', '0', '0', '1', '1', '1', 'tebe_sf', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46117', 'Horus Falcon', '$5497', '', 'L1Monster', '6664', '50', '900', '250', '-20', '20', '15', '18', '18', '17', '60', '2501', '-32', 'small', '4', '1', '0', '640', '1280', '0', '1280', '1280', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46118', 'Horus Falcon', '$5497', '', 'L1Monster', '6665', '52', '1120', '200', '-30', '20', '15', '18', '18', '17', '60', '2705', '-32', 'small', '2', '1', '0', '640', '1280', '0', '1280', '1280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46119', 'Thebes Guardian', '$5499', '', 'L1Monster', '6653', '54', '1200', '1200', '-40', '24', '17', '20', '15', '16', '65', '2917', '-34', 'small', '0', '2', '0', '640', '880', '1720', '1720', '1720', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46120', 'Thebes Guardian', '$5499', '', 'L1Monster', '6654', '56', '1300', '1300', '-40', '24', '17', '20', '15', '16', '65', '3137', '-34', 'small', '0', '2', '0', '640', '880', '1720', '1720', '1720', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46121', 'Thebes Elder', '$5498', '', 'L1Monster', '6562', '58', '1400', '190', '-30', '18', '18', '19', '21', '18', '70', '3365', '-37', 'small', '0', '1', '0', '600', '920', '1240', '960', '960', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46122', 'Thebes Elder', '$5498', '', 'L1Monster', '6563', '60', '1500', '100', '-30', '18', '18', '19', '21', '18', '70', '3601', '-37', 'small', '0', '1', '0', '600', '920', '1240', '960', '960', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46123', 'Thebes Horus', '$5501', '', 'L1Monster', '6569', '70', '20000', '100', '-140', '70', '22', '21', '21', '22', '80', '4901', '-315', 'large', '8', '1', '0', '600', '1720', '1760', '960', '1720', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '5000', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46124', 'Thebes Anubis', '$5500', '', 'L1Monster', '6595', '70', '25000', '100', '-140', '75', '22', '21', '21', '23', '80', '4901', '-315', 'large', '1', '1', '0', '600', '1800', '1400', '1600', '1600', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '5000', '5000', '20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46125', 'Iron Golem', '$1789', '', 'L1Monster', '6638', '43', '566', '10', '-29', '70', '30', '8', '5', '5', '50', '1850', '-28', 'large', '0', '1', '0', '1920', '1760', '1320', '1760', '1760', '0', '0', '0', '1', '1', '1', 'golem', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46126', 'Lycanthrope', '$990', '', 'L1Monster', '6636', '39', '538', '60', '-26', '16', '16', '13', '10', '10', '25', '1522', '-24', 'small', '0', '1', '0', '640', '800', '720', '800', '800', '5', '0', '0', '1', '1', '1', 'wolf', '1', '-1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46127', 'Owlbear', '$1047', '', 'L1Monster', '6634', '41', '552', '200', '-27', '18', '13', '14', '7', '8', '20', '1682', '-26', 'large', '0', '1', '1', '960', '1080', '0', '1080', '1080', '0', '0', '0', '1', '1', '1', 'bear', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46128', 'Snow Tiger', '$1784', '', 'L1Monster', '6632', '42', '554', '0', '-18', '19', '18', '16', '12', '10', '0', '1765', '-27', 'large', '0', '1', '0', '960', '1360', '800', '1360', '1360', '0', '0', '0', '1', '1', '1', 'tiger', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46129', 'Snowman', '$1783', '', 'L1Monster', '2064', '37', '444', '0', '-25', '14', '16', '10', '6', '8', '0', '1370', '-22', 'small', '0', '1', '1', '1280', '1080', '1200', '1080', '1080', '0', '0', '0', '1', '1', '1', 'snowman', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46130', 'Yeti', '$1786', '', 'L1Monster', '2134', '44', '528', '10', '-29', '16', '20', '12', '9', '6', '22', '1937', '-29', 'large', '0', '1', '0', '960', '1400', '1360', '1400', '1400', '0', '0', '0', '1', '1', '1', 'yeti', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46131', 'Ghost', '$1563', '', 'L1Monster', '1321', '46', '644', '10', '-31', '11', '11', '11', '9', '13', '5', '2117', '-31', 'small', '0', '1', '1', '960', '1000', '1440', '1000', '1000', '1', '0', '0', '1', '1', '1', 'ghost', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46132', 'Ghost', '$1563', '', 'L1Monster', '1318', '48', '672', '10', '-32', '11', '11', '11', '9', '13', '23', '2305', '-33', 'small', '0', '1', '0', '960', '1000', '1440', '1000', '1000', '1', '0', '0', '1', '1', '1', 'ghost', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46133', 'Ice Golem', '$1395', '', 'L1Monster', '1525', '47', '573', '0', '-31', '46', '16', '10', '5', '6', '7', '2210', '-32', 'large', '0', '1', '1', '1920', '1480', '1680', '1480', '1480', '0', '0', '0', '1', '1', '1', 'golem', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46134', 'Ice Man', '$1791', '', 'L1Monster', '4915', '48', '586', '20', '-30', '17', '17', '17', '12', '12', '21', '2305', '-33', 'large', '0', '1', '1', '960', '1600', '960', '1600', '1600', '0', '0', '0', '1', '1', '1', 'iceman', '1', '-1', '-1', '0', '0', '0', '5000', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46135', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6560', '50', '610', '30', '-34', '18', '20', '30', '18', '18', '50', '2501', '-35', 'large', '0', '2', '1', '960', '1320', '920', '2080', '2080', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '30', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46136', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '40', '800', '30', '-50', '18', '20', '30', '18', '18', '50', '2501', '-35', 'large', '0', '10', '0', '0', '1920', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '30', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46137', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6560', '52', '742', '30', '-36', '18', '20', '30', '18', '18', '50', '2501', '-35', 'large', '0', '2', '1', '960', '1320', '920', '2080', '2080', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '30', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46138', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '50', '560', '30', '-30', '18', '20', '30', '18', '18', '25', '2501', '-35', 'large', '0', '10', '0', '640', '1920', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '30', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46139', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '40', '800', '30', '-50', '18', '20', '30', '18', '18', '50', '2501', '-35', 'large', '0', '10', '0', '640', '1920', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '1', '-1', '-1', '0', '0', '0', '5000', '30', '5000', '10', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46140', 'Maid of the Ice Queen', '$2218', '', 'L1Monster', '2118', '10', '1000', '400', '-35', '30', '18', '20', '18', '18', '60', '0', '-120', 'small', '0', '1', '0', '960', '1320', '0', '1320', '1320', '0', '0', '0', '1', '1', '1', 'icequeen', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '1', '0', '0');
INSERT INTO `npc` VALUES ('46141', 'Ice Queen', '$1771', '', 'L1Monster', '6581', '70', '10000', '400', '-80', '40', '25', '30', '28', '28', '90', '5000', '-1000', 'small', '0', '1', '0', '960', '1320', '0', '1320', '1320', '0', '0', '0', '1', '1', '1', 'icequeen', '1', '-1', '-1', '0', '0', '0', '5000', '400', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('46142', 'Ice Demon', '$5525', '', 'L1Monster', '6566', '65', '7000', '450', '-70', '30', '25', '25', '25', '25', '80', '3600', '-1000', 'small', '0', '1', '0', '640', '720', '880', '900', '960', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '5000', '250', '5000', '250', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '1');
INSERT INTO `npc` VALUES ('46143', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '45', '540', '10', '-30', '18', '20', '30', '18', '18', '0', '2026', '-30', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46144', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46145', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46146', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46147', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46148', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46149', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46150', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46151', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46152', 'Ice Queen Royal Guard', '$5502', '', 'L1Monster', '6558', '52', '642', '10', '-36', '18', '20', '30', '18', '18', '27', '2705', '-38', 'large', '0', '12', '0', '0', '1720', '920', '2280', '2280', '0', '0', '0', '1', '1', '1', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '66', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46153', 'Yeti', '$1786', '', 'L1Monster', '2134', '49', '598', '10', '-33', '18', '20', '12', '9', '6', '24', '2402', '-34', 'large', '0', '1', '0', '960', '1400', '1360', '1400', '1400', '0', '0', '0', '1', '1', '1', 'yeti', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46154', 'Yeti', '$1786', '', 'L1Monster', '2134', '51', '720', '10', '-35', '20', '20', '12', '9', '6', '26', '2602', '-36', 'large', '0', '1', '0', '960', '1400', '1360', '1400', '1400', '0', '0', '0', '1', '1', '1', 'yeti', '1', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46155', 'Ice Man', '$1791', '', 'L1Monster', '4915', '50', '700', '20', '-34', '17', '17', '17', '12', '12', '25', '2501', '-37', 'large', '0', '1', '1', '960', '1600', '960', '1600', '1600', '0', '0', '0', '1', '1', '1', 'iceman', '1', '-1', '-1', '0', '0', '0', '5000', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46156', 'Succubus Queen', '$1019', '', 'L1Monster', '1116', '60', '30000', '400', '-32', '17', '17', '18', '25', '18', '80', '0', '-50', 'small', '2', '1', '0', '640', '800', '1080', '1100', '800', '2', '0', '0', '1', '1', '1', 'succubus', '0', '-1', '-1', '0', '0', '0', '5000', '500', '5000', '400', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46162', 'Elmore Zombie Commander', '$5650', '', 'L1Monster', '6776', '25', '180', '0', '-18', '17', '18', '15', '12', '10', '10', '626', '-25', 'large', '2', '1', '1', '960', '1200', '1280', '1200', '1200', '1', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('46163', 'Vengeful Spirit of Commander of Elmore Solsheica', '$5651', '', 'L1Monster', '6778', '25', '180', '0', '-18', '17', '18', '15', '12', '10', '10', '626', '-25', 'large', '2', '1', '1', '960', '1200', '1280', '1200', '1200', '1', '0', '0', '1', '0', '0', '', '0', '-1', '-1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71247', 'Flag', 'type A', '', 'L1FieldObject', '1449', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71248', 'Flag', 'type B', '', 'L1FieldObject', '1450', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71249', '', 'torch', 'right', 'L1FieldObject', '86', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71250', '', 'torch', 'left', 'L1FieldObject', '87', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('71252', 'Joe\'s Stone Golem', '$5526', '', 'L1Merchant', '6685', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71253', 'Joe\'s Stone Golem', '$5526', '', 'L1Merchant', '6685', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71262', 'butterfly', '', '', 'L1Monster', '2889', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71263', 'butterfly', '', '', 'L1Monster', '2891', '1', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '2000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71264', 'Shiren', '$4883', '', 'L1Merchant', '2090', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71265', 'Sin Warrior', '$1504', '', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1800', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71266', 'Heine Mercenary Squad', '$1513 $2928', 'can change head', 'L1Merchant', '1659', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1800', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('71267', '', '', 'Elven Forest house light', 'L1FieldObject', '874', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '10', '0', '0', '0');
INSERT INTO `npc` VALUES ('71268', '', 'weapon bags', 'Desert shop', 'L1FieldObject', '120', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71269', '', '', 'Desert pool', 'L1FieldObject', '1055', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71270', 'rune wall', '', '', 'L1FieldObject', '136', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('71272', 'rune wall', '', '', 'L1FieldObject', '264', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80129', '', '$5414', '', 'L1Doll', '6443', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', 'small', '0', '0', '0', '320', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80130', '', '$5415', '', 'L1Doll', '6449', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', 'small', '0', '0', '0', '320', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80131', '', '$5416', '', 'L1Doll', '6452', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', 'small', '0', '0', '0', '320', '0', '0', '1000', '1000', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '0', '0');
INSERT INTO `npc` VALUES ('80149', '', '', '', 'L1Effect', '6706', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80150', '', '', '', 'L1Effect', '6712', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80151', '', '', '', 'L1Effect', '6718', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('80152', '', '', '', 'L1Effect', '6724', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '0', '0', '0', '0');
INSERT INTO `npc` VALUES ('81241', '', '', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81242', '', '', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81243', '', '', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('81244', '', '', '', 'L1Merchant', '98', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90014', 'Benole', 'Benole', '', 'L1Merchant', '1271', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npc` VALUES ('90015', 'Sarah', 'Sarah', '', 'L1Merchant', '706', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '0', '-1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-1', '0', '14', '0', '1', '0');
INSERT INTO `npcaction` VALUES ('50001', 'barnia1', 'barnia1', 'barnia4', '');
INSERT INTO `npcaction` VALUES ('50002', 'sky4', 'sky4', 'sky1', '');
INSERT INTO `npcaction` VALUES ('50003', 'illdrath1', 'illdrath1', 'illdrath', '');
INSERT INTO `npcaction` VALUES ('50004', 'htel', 'htel', 'htel1', '');
INSERT INTO `npcaction` VALUES ('50005', 'karen3', 'karen3', 'karen1', '');
INSERT INTO `npcaction` VALUES ('50006', 'coco4', 'coco4', 'coco1', '');
INSERT INTO `npcaction` VALUES ('50007', 'esmereld2', 'esmereld2', 'esmereld', '');
INSERT INTO `npcaction` VALUES ('50008', 'aghvout', 'aghvout', 'agout', '');
INSERT INTO `npcaction` VALUES ('50009', 'ishtar1', 'ishtar1', 'ishtar', '');
INSERT INTO `npcaction` VALUES ('50010', 'stel', 'stel', 'stel1', '');
INSERT INTO `npcaction` VALUES ('50011', 'kun4', 'kun4', 'kun2', '');
INSERT INTO `npcaction` VALUES ('50012', 'kiyari4', 'kiyari4', 'kiyari2', '');
INSERT INTO `npcaction` VALUES ('50013', 'agsiout', 'agsiout', 'agout', '');
INSERT INTO `npcaction` VALUES ('50014', 'dilong2', 'dilong2', 'dilongs', '');
INSERT INTO `npcaction` VALUES ('50015', 'teleisland1', 'teleisland1', 'teleisland2', '');
INSERT INTO `npcaction` VALUES ('50016', 'zeno', 'zeno', 'zeno2', '');
INSERT INTO `npcaction` VALUES ('50017', 'telefire1', 'telefire2', 'telefire3', '');
INSERT INTO `npcaction` VALUES ('50018', 'colos', 'colos', 'colos1', '');
INSERT INTO `npcaction` VALUES ('50019', 'colusher', 'colusher', '', '');
INSERT INTO `npcaction` VALUES ('50020', 'telekent1', 'telekent1', 'telekent2', 'telekent3');
INSERT INTO `npcaction` VALUES ('50022', 'telefire1', 'telefire2', 'telefire3', '');
INSERT INTO `npcaction` VALUES ('50021', 'teleckent1', 'teleckent1', 'teleckent2', '');
INSERT INTO `npcaction` VALUES ('50023', 'kentober1', 'kentober1', 'kentober2', '');
INSERT INTO `npcaction` VALUES ('50024', 'telegludin1', 'telegludin1', 'telegludin2', 'telegludin3');
INSERT INTO `npcaction` VALUES ('50025', 'gltzguard', 'gltzguard', 'gltzguard1', '');
INSERT INTO `npcaction` VALUES ('50026', 'telegltz1', 'telegltz1', 'telegltz2', '');
INSERT INTO `npcaction` VALUES ('50027', 'gltztele', 'gltztele', 'gltztele1', '');
INSERT INTO `npcaction` VALUES ('50028', 'colos', 'colos', 'colos1', '');
INSERT INTO `npcaction` VALUES ('50029', 'colusher', 'colusher', '', '');
INSERT INTO `npcaction` VALUES ('50030', 'telefire1', 'telefire2', 'telefire3', '');
INSERT INTO `npcaction` VALUES ('50031', 'sepia2', 'sepia2', '', '');
INSERT INTO `npcaction` VALUES ('50032', 'grtzguard', 'grtzguard', 'grtzguard1', '');
INSERT INTO `npcaction` VALUES ('50033', 'telegrtz1', 'telegrtz1', 'telegrtz2', '');
INSERT INTO `npcaction` VALUES ('50034', 'grtztele', 'grtztele', 'grtztele1', '');
INSERT INTO `npcaction` VALUES ('50035', 'telecgiran1', 'telecgiran1', 'telecgiran2', '');
INSERT INTO `npcaction` VALUES ('50036', 'telegiran1', 'telegiran1', 'telegiran2', 'telegiran3');
INSERT INTO `npcaction` VALUES ('50037', 'colos', 'colos', 'colos1', '');
INSERT INTO `npcaction` VALUES ('50038', 'colusher', 'colusher', '', '');
INSERT INTO `npcaction` VALUES ('50039', 'televala1', 'televala1', 'televala2', 'televala3');
INSERT INTO `npcaction` VALUES ('50040', 'telecdwarf1', 'telecdwarf1', 'telecdwarf2', '');
INSERT INTO `npcaction` VALUES ('50041', 'colos', 'colos', 'colos1', '');
INSERT INTO `npcaction` VALUES ('50042', 'colusher', 'colusher', '', '');
INSERT INTO `npcaction` VALUES ('50043', 'ramudap2', 'ramudap2', 'ramudap1', '');
INSERT INTO `npcaction` VALUES ('50044', 'sirius1', 'sirius1', 'sirius2', 'sirius3');
INSERT INTO `npcaction` VALUES ('50045', 'telephantasm', 'telephantasm', 'phantasmisle', '');
INSERT INTO `npcaction` VALUES ('50046', 'elleris1', 'elleris1', 'elleris2', 'elleris3');
INSERT INTO `npcaction` VALUES ('50047', 'telecaden1', 'telecaden1', 'telecaden2', '');
INSERT INTO `npcaction` VALUES ('50048', 'ortzguard', 'ortzguard', 'ortzguard1', '');
INSERT INTO `npcaction` VALUES ('50049', 'teleortz1', 'teleortz1', 'teleortz2', '');
INSERT INTO `npcaction` VALUES ('50050', 'ortztele', 'ortztele', 'ortztele1', '');
INSERT INTO `npcaction` VALUES ('50051', 'kirius1', 'kirius1', 'kirius2', 'kirius3');
INSERT INTO `npcaction` VALUES ('50052', 'telecwoods1', 'telecwoods1', 'telecwoods2', '');
INSERT INTO `npcaction` VALUES ('50053', 'telefire1', 'telefire2', 'telefire3', '');
INSERT INTO `npcaction` VALUES ('50054', 'telewoods1', 'telewoods1', 'telewoods2', 'telewoods3');
INSERT INTO `npcaction` VALUES ('50055', 'drist2', 'drist2', '', '');
INSERT INTO `npcaction` VALUES ('50056', 'telesilver1', 'telesilver1', 'telesilver2', 'telesilver3');
INSERT INTO `npcaction` VALUES ('50057', 'telefire1', 'telefire2', 'telefire3', '');
INSERT INTO `npcaction` VALUES ('50058', 'sktzguard', 'sktzguard', 'sktzguard1', '');
INSERT INTO `npcaction` VALUES ('50059', 'telesktz1', 'telesktz1', 'telesktz2', '');
INSERT INTO `npcaction` VALUES ('50060', 'sktztele', 'sktztele', 'sktztele1', '');
INSERT INTO `npcaction` VALUES ('50061', 'colos', 'colos', 'colos1', '');
INSERT INTO `npcaction` VALUES ('50062', 'colusher', 'colusher', '', '');
INSERT INTO `npcaction` VALUES ('50063', 'telecorc1', 'telecorc1', 'telecorc2', '');
INSERT INTO `npcaction` VALUES ('50064', 'duvall1', 'duvall1', 'duvall3', '');
INSERT INTO `npcaction` VALUES ('50065', 'ribian4', 'ribian4', '', '');
INSERT INTO `npcaction` VALUES ('50066', 'teleheine1', 'teleheine1', 'teleheine2', 'teleheine3');
INSERT INTO `npcaction` VALUES ('50067', 'telecheine1', 'telecheine1', 'telecheine2', '');
INSERT INTO `npcaction` VALUES ('50068', 'telescave1', 'telescave1', 'telescave2', '');
INSERT INTO `npcaction` VALUES ('50069', 'enya3', 'enya3', 'enya1', '');
INSERT INTO `npcaction` VALUES ('50070', 'luck1', 'luck1', 'luck2', '');
INSERT INTO `npcaction` VALUES ('50071', 'escapefi1', 'escapefi1', 'escapefi2', '');
INSERT INTO `npcaction` VALUES ('50072', 'teleoum1', 'teleoum1', 'teleoum2', '');
INSERT INTO `npcaction` VALUES ('50073', 'telediad1', 'telediad1', 'telediad2', '');
INSERT INTO `npcaction` VALUES ('50074', 'telecavern1', 'telecavern1', 'telecavern2', '');
INSERT INTO `npcaction` VALUES ('50075', 'telecdiad1', 'telecdiad1', 'telecdiad2', '');
INSERT INTO `npcaction` VALUES ('50076', 'telgrave1', 'telgrave1', 'telgrave2', '');
INSERT INTO `npcaction` VALUES ('50077', 'telabyss1', 'telabyss1', 'telabyss2', '');
INSERT INTO `npcaction` VALUES ('50078', 'picrystal', 'picrystal', 'picrystal1', '');
INSERT INTO `npcaction` VALUES ('50079', 'telediad1', 'telediad1', 'telediad2', 'telediad3');
INSERT INTO `npcaction` VALUES ('50080', 'paul1', 'paul1', 'teleorcbdg1', '');
INSERT INTO `npcaction` VALUES ('50081', 'subinvest1', 'subinvest1', '', '');
INSERT INTO `npcaction` VALUES ('50082', 'en0221', 'en0221', '', '');
INSERT INTO `npcaction` VALUES ('50084', 'exitghost1', 'exitghost1', '', '');
INSERT INTO `npcaction` VALUES ('50111', 'orenc14', 'orenc14', '', '');
INSERT INTO `npcaction` VALUES ('50112', 'orenb1', 'orenb1', 'orenb0', '');
INSERT INTO `npcaction` VALUES ('50113', 'orena1', 'orena1', 'orena0', '');
INSERT INTO `npcaction` VALUES ('50114', 'orenh1', 'orenh1', 'orenh0', '');
INSERT INTO `npcaction` VALUES ('50115', 'oreno1', 'oreno1', 'oreno0', '');
INSERT INTO `npcaction` VALUES ('50116', 'orend1', 'orend1', 'orend0', '');
INSERT INTO `npcaction` VALUES ('50117', 'orene1', 'orene1', 'orene0', '');
INSERT INTO `npcaction` VALUES ('50118', 'niki', 'niki', '', '');
INSERT INTO `npcaction` VALUES ('50119', 'orenf1', 'orenf1', 'orenf0', '');
INSERT INTO `npcaction` VALUES ('50120', 'oreni1', 'oreni1', 'oreni0', '');
INSERT INTO `npcaction` VALUES ('50121', 'oreng1', 'oreng1', 'oreng0', '');
INSERT INTO `npcaction` VALUES ('50122', 'orenj1', 'orenj1', 'orenj0', '');
INSERT INTO `npcaction` VALUES ('50123', 'orenk1', 'orenk1', 'orenk0', '');
INSERT INTO `npcaction` VALUES ('50124', 'orenm1', 'orenm1', 'orenm0', '');
INSERT INTO `npcaction` VALUES ('50125', 'orenl1', 'orenl1', 'orenl0', '');
INSERT INTO `npcaction` VALUES ('50126', 'orenn1', 'orenn1', 'orenn0', '');
INSERT INTO `npcaction` VALUES ('50127', 'consul2', 'consul2', 'consul1', '');
INSERT INTO `npcaction` VALUES ('50501', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50502', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50503', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50504', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50505', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50506', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50507', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50508', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50509', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50510', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50511', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50512', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50513', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50514', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50515', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50516', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50517', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50518', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50519', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50520', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50521', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50522', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50523', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50524', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50525', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50526', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50527', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50528', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50529', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50530', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50531', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50532', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50533', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50534', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50535', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50536', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50537', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50538', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50539', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50540', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50541', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50542', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50543', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50544', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50545', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50546', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50547', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50548', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50549', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50550', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50551', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50552', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50553', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50554', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50555', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50556', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50557', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50558', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50559', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50560', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50561', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50562', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50563', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50564', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50565', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50566', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50567', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50568', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50569', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50570', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50571', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50572', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50573', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50574', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50575', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50576', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50577', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50578', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50579', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50580', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50581', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50582', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50583', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50584', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50585', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50586', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50587', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50588', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50589', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50590', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50591', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50592', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50593', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50594', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50595', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50596', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50597', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50598', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50599', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50600', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50601', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50602', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50603', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50604', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50605', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50606', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50607', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50608', 'kinin2', 'kinin2', '', '');
INSERT INTO `npcaction` VALUES ('50609', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50610', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50611', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50612', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50613', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50614', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50615', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50616', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50617', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50618', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50619', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50620', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50621', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50622', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50623', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50624', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50625', 'acient1', 'acient1', '', '');
INSERT INTO `npcaction` VALUES ('60001', 'dorin', 'dorinl', 'pdorin', '');
INSERT INTO `npcaction` VALUES ('60002', 'bahof', 'bahof', 'pbahof', '');
INSERT INTO `npcaction` VALUES ('60003', 'thram', 'thraml', 'pthram', '');
INSERT INTO `npcaction` VALUES ('60004', 'denitz', 'denitzl', 'pdenitz', '');
INSERT INTO `npcaction` VALUES ('60005', 'luku', 'lukul', 'pluku', '');
INSERT INTO `npcaction` VALUES ('60006', 'jianku', 'jiankul', 'pjianku', '');
INSERT INTO `npcaction` VALUES ('60007', 'karim', 'kariml', 'pkarim', '');
INSERT INTO `npcaction` VALUES ('60008', 'nodim', 'nodiml', 'pnodim', '');
INSERT INTO `npcaction` VALUES ('60009', 'sauram', 'sauraml', 'psauram', '');
INSERT INTO `npcaction` VALUES ('60010', 'kasham', 'kashaml', 'pkasham', '');
INSERT INTO `npcaction` VALUES ('60011', 'kuron', 'kuronl', 'pkuron', '');
INSERT INTO `npcaction` VALUES ('60012', 'tofen', 'tofen', 'ptofen', '');
INSERT INTO `npcaction` VALUES ('60013', 'axellon', 'axellonl', 'paxellon', '');
INSERT INTO `npcaction` VALUES ('60014', 'kriom', 'kriom', 'pkriom', '');
INSERT INTO `npcaction` VALUES ('60015', 'ogi', 'ogi', 'pogi', '');
INSERT INTO `npcaction` VALUES ('60016', 'juke', 'jukel', 'pjuke', '');
INSERT INTO `npcaction` VALUES ('60017', 'karudim', 'karudiml', 'pkarudim', '');
INSERT INTO `npcaction` VALUES ('60018', 'kamu', 'kamul', 'pkamu', '');
INSERT INTO `npcaction` VALUES ('60019', 'timpukin', 'timpukinl', 'ptimpukin', '');
INSERT INTO `npcaction` VALUES ('60020', 'tulak', 'tulakl', 'ptulak', '');
INSERT INTO `npcaction` VALUES ('60021', 'hirim', 'hiriml', 'phirim', '');
INSERT INTO `npcaction` VALUES ('60022', 'borgin', 'borgin', 'pborgin', '');
INSERT INTO `npcaction` VALUES ('60023', 'tarkin', 'tarkinl', 'ptarkin', '');
INSERT INTO `npcaction` VALUES ('60024', 'gotham', 'gothaml', 'pgotham', '');
INSERT INTO `npcaction` VALUES ('60025', 'kusian', 'kusianl', 'pkusian', '');
INSERT INTO `npcaction` VALUES ('60026', 'orclon', 'orclon', 'porclon', '');
INSERT INTO `npcaction` VALUES ('60027', 'kuhatin', 'kuhatinl', 'pkuhatin', '');
INSERT INTO `npcaction` VALUES ('60028', 'elE1', 'elE1', 'elCE1', '');
INSERT INTO `npcaction` VALUES ('60029', 'haidrim', 'haidrim', 'phaidrim', '');
INSERT INTO `npcaction` VALUES ('60030', 'hakim', 'hakiml', 'phakim', '');
INSERT INTO `npcaction` VALUES ('60031', 'rayearth1', 'rayearth2', 'pgotham', '');
INSERT INTO `npcaction` VALUES ('60032', 'garin', 'garinl', 'pgarin', '');
INSERT INTO `npcaction` VALUES ('60033', 'gawl', 'gawll', 'pgawl', '');
INSERT INTO `npcaction` VALUES ('60034', 'kuud', 'kuudl', 'pkuud', '');
INSERT INTO `npcaction` VALUES ('60035', 'zidar', 'zadarl', 'pgawl', '');
INSERT INTO `npcaction` VALUES ('60036', 'tigus', 'tigusl', 'pgawl', '');
INSERT INTO `npcaction` VALUES ('60037', 'en1011', 'en1011', '', '');
INSERT INTO `npcaction` VALUES ('60501', 'patguard', 'patguard', '', '');
INSERT INTO `npcaction` VALUES ('60502', 'patguard', 'patguard', '', '');
INSERT INTO `npcaction` VALUES ('60506', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60507', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60508', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60509', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60510', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60513', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60514', 'ktguard6', 'ktguard6', 'ktguard6', '');
INSERT INTO `npcaction` VALUES ('60515', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60516', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60517', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60522', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60523', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60524', 'grguard6', 'grguard6', 'grguard6', '');
INSERT INTO `npcaction` VALUES ('60525', 'grguard6', 'grguard6', 'grguard6', '');
INSERT INTO `npcaction` VALUES ('60526', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60527', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60528', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60529', 'grguard6', 'grguard6', 'grguard6', '');
INSERT INTO `npcaction` VALUES ('60530', 'dcguard6', 'dcguard6', 'dcguard6', '');
INSERT INTO `npcaction` VALUES ('60531', 'dcguard6', 'dcguard6', 'dcguard6', '');
INSERT INTO `npcaction` VALUES ('60533', 'adguard6', 'adguard6', 'adguard6', '');
INSERT INTO `npcaction` VALUES ('60534', 'adguard6', 'adguard6', 'adguard6', '');
INSERT INTO `npcaction` VALUES ('60537', 'adguard6', 'adguard6', 'adguard6', '');
INSERT INTO `npcaction` VALUES ('60538', 'adguard6', 'adguard6', 'adguard6', '');
INSERT INTO `npcaction` VALUES ('60539', 'adguard6', 'adguard6', 'adguard6', '');
INSERT INTO `npcaction` VALUES ('60540', 'adguard6', 'adguard6', 'adguard6', '');
INSERT INTO `npcaction` VALUES ('60551', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60552', 'wdguard6', 'wdguard6', 'wdguard6', '');
INSERT INTO `npcaction` VALUES ('60553', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60554', '', '', '', '');
INSERT INTO `npcaction` VALUES ('60558', 'sdummy1', 'sdummy1', '', '');
INSERT INTO `npcaction` VALUES ('60559', 'sdummy1', 'sdummy1', '', '');
INSERT INTO `npcaction` VALUES ('60560', 'orcguard6', 'orcguard6', 'orcguard6', '');
INSERT INTO `npcaction` VALUES ('60563', 'heguard6', 'heguard6', 'heguard6', '');
INSERT INTO `npcaction` VALUES ('60565', 'wdguard4', 'wdguard4', 'wdguard5', '');
INSERT INTO `npcaction` VALUES ('70001', 'rose1', 'rose1', 'rose6', '');
INSERT INTO `npcaction` VALUES ('70002', 'sasha', 'sasha', '', '');
INSERT INTO `npcaction` VALUES ('70003', 'siriss', 'siriss', 'sirissmg', '');
INSERT INTO `npcaction` VALUES ('70004', 'johan', 'johan', 'johan1', '');
INSERT INTO `npcaction` VALUES ('70005', 'pago', 'pago', '', '');
INSERT INTO `npcaction` VALUES ('70006', 'kiris', 'kiris', '', '');
INSERT INTO `npcaction` VALUES ('70007', 'tina1', 'tina1', 'tina6', '');
INSERT INTO `npcaction` VALUES ('70008', 'fraoun', 'fraoun', '', '');
INSERT INTO `npcaction` VALUES ('70009', '', '', '', '');
INSERT INTO `npcaction` VALUES ('70010', 'balsim', 'balsim', '', '');
INSERT INTO `npcaction` VALUES ('70011', 'shipEvI3', 'shipEvI1', '', '');
INSERT INTO `npcaction` VALUES ('70012', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70013', 'cold1', 'cold2', '', '');
INSERT INTO `npcaction` VALUES ('70014', 'pandora', 'pandora5', '', '');
INSERT INTO `npcaction` VALUES ('70015', 'arieh1', 'arieh1', 'arieh6', '');
INSERT INTO `npcaction` VALUES ('70016', 'andyn', 'andyn', 'andyn3', '');
INSERT INTO `npcaction` VALUES ('70017', 'orim1', 'orim1', 'orim2', '');
INSERT INTO `npcaction` VALUES ('70018', 'ysorya', 'ysorya', 'ysorya3', '');
INSERT INTO `npcaction` VALUES ('70019', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70020', 'rollko', 'rollko', 'rollko1', '');
INSERT INTO `npcaction` VALUES ('70021', 'luth', 'luth', 'luth3', '');
INSERT INTO `npcaction` VALUES ('70022', 'shipEvM1', 'shipEvM1', 'shipEvM2', '');
INSERT INTO `npcaction` VALUES ('70023', 'tzmerchant', 'tzmerchant', '', '');
INSERT INTO `npcaction` VALUES ('70024', 'catty', 'catty', 'catty3', '');
INSERT INTO `npcaction` VALUES ('70025', 'pasim', 'pasim', 'pasim2', '');
INSERT INTO `npcaction` VALUES ('70026', 'derek1', 'derek1', 'derek2', '');
INSERT INTO `npcaction` VALUES ('70027', 'dio1', 'dio1', 'dio2', '');
INSERT INTO `npcaction` VALUES ('70028', 'randal1', 'randal1', 'randal2', '');
INSERT INTO `npcaction` VALUES ('70029', 'margaret1', 'margaret1', 'margaret2', '');
INSERT INTO `npcaction` VALUES ('70030', 'mayer', 'mayer', 'mayer3', '');
INSERT INTO `npcaction` VALUES ('70031', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70032', 'vergil', 'vergil', 'vergil3', '');
INSERT INTO `npcaction` VALUES ('70033', 'verita', 'verita', 'verita3', '');
INSERT INTO `npcaction` VALUES ('70034', 'vincent1', 'vincent1', 'vincent2', '');
INSERT INTO `npcaction` VALUES ('70035', 'secil', 'secil', '', '');
INSERT INTO `npcaction` VALUES ('70036', 'stella1', 'stella1', 'stella6', '');
INSERT INTO `npcaction` VALUES ('70037', 'tzmerchant', 'tzmerchant', '', '');
INSERT INTO `npcaction` VALUES ('70038', 'evert1', 'evert1', 'evert2', '');
INSERT INTO `npcaction` VALUES ('70039', 'werner', 'werner', 'werner3', '');
INSERT INTO `npcaction` VALUES ('70040', 'jason1', 'jason1', 'jason2', '');
INSERT INTO `npcaction` VALUES ('70041', 'perkin', 'perkin', '', '');
INSERT INTO `npcaction` VALUES ('70042', 'polee', 'polee', '', '');
INSERT INTO `npcaction` VALUES ('70043', 'philip1', 'philip1', 'philip2', '');
INSERT INTO `npcaction` VALUES ('70044', 'ralf1', 'ralf1', 'ralf6', '');
INSERT INTO `npcaction` VALUES ('70045', 'berry1', 'berry1', 'berry6', '');
INSERT INTO `npcaction` VALUES ('70046', 'jin1', 'jin1', 'jin6', '');
INSERT INTO `npcaction` VALUES ('70047', 'defman', 'defman', 'defman3', '');
INSERT INTO `npcaction` VALUES ('70048', 'raon', 'raon', 'raon3', '');
INSERT INTO `npcaction` VALUES ('70049', 'rozen1', 'rozen1', 'rozen2', '');
INSERT INTO `npcaction` VALUES ('70050', 'ruky1', 'ruky1', 'ruky6', '');
INSERT INTO `npcaction` VALUES ('70051', 'magus', 'magus', 'magus2', '');
INSERT INTO `npcaction` VALUES ('70052', 'mellisa', 'mellisa', 'mellisa3', '');
INSERT INTO `npcaction` VALUES ('70053', 'sharu1', 'sharu1', 'sharu2', '');
INSERT INTO `npcaction` VALUES ('70054', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70055', 'ashinnue', 'ashinnue', '', '');
INSERT INTO `npcaction` VALUES ('70056', 'jode', 'jode', 'jode1', '');
INSERT INTO `npcaction` VALUES ('70057', 'catherine', 'catherine', 'catherine3', '');
INSERT INTO `npcaction` VALUES ('70058', 'fega', 'fega', 'fega3', '');
INSERT INTO `npcaction` VALUES ('70059', 'dico', 'dico', 'dico3', '');
INSERT INTO `npcaction` VALUES ('70060', 'rinda', 'rinda', 'rinda3', '');
INSERT INTO `npcaction` VALUES ('70061', 'mandra', 'mandra', 'mandra3', '');
INSERT INTO `npcaction` VALUES ('70062', 'varyeth', 'varyeth', 'varyeth3', '');
INSERT INTO `npcaction` VALUES ('70063', 'bius', 'bius', 'bius3', '');
INSERT INTO `npcaction` VALUES ('70064', 'tzmerchant', 'tzmerchant', '', '');
INSERT INTO `npcaction` VALUES ('70065', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70066', 'kreister', 'kreister', 'kreister3', '');
INSERT INTO `npcaction` VALUES ('70067', 'pagoru', 'pagoru', 'pagoru3', '');
INSERT INTO `npcaction` VALUES ('70068', 'franko', 'franko', 'franko1', '');
INSERT INTO `npcaction` VALUES ('70069', 'momo1', 'momo1', 'momo6', '');
INSERT INTO `npcaction` VALUES ('70070', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70071', 'ashur', 'ashur', 'ashur3', '');
INSERT INTO `npcaction` VALUES ('70072', 'elmina', 'elmina', 'elmina3', '');
INSERT INTO `npcaction` VALUES ('70073', 'glen', 'glen1', '', '');
INSERT INTO `npcaction` VALUES ('70074', 'mellin', 'mellin1', '', '');
INSERT INTO `npcaction` VALUES ('70075', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70076', 'tzmerchant', 'tzmerchant', '', '');
INSERT INTO `npcaction` VALUES ('70077', 'dogdealer', 'dogdealer', 'rodney', '');
INSERT INTO `npcaction` VALUES ('70078', 'orcm1', 'orcm1', 'orcm6', '');
INSERT INTO `npcaction` VALUES ('70079', 'jackson', 'jackson', 'jackson3', '');
INSERT INTO `npcaction` VALUES ('70080', 'horunev1', 'horunev1', 'horunev2', '');
INSERT INTO `npcaction` VALUES ('70081', 'buakheu1', 'buakheu1', 'buakheu2', '');
INSERT INTO `npcaction` VALUES ('70082', 'britt', 'britt', 'britt3', '');
INSERT INTO `npcaction` VALUES ('70083', 'shivan', 'shivan', 'shivan3', '');
INSERT INTO `npcaction` VALUES ('70084', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70085', 'old1', 'old1', 'old6', '');
INSERT INTO `npcaction` VALUES ('70086', 'isvall4', 'isvall4', 'isvall1', '');
INSERT INTO `npcaction` VALUES ('70087', 'sedia4', 'sedia4', '', '');
INSERT INTO `npcaction` VALUES ('70088', 'scwaty1', 'scwaty1', 'scwaty2', '');
INSERT INTO `npcaction` VALUES ('70089', 'oblivion1', 'oblivion1', 'oblivion2', '');
INSERT INTO `npcaction` VALUES ('70090', 'chiky1', 'chiky1', 'chiky3', '');
INSERT INTO `npcaction` VALUES ('70091', 'tilon1', 'tilon1', 'tilon13', '');
INSERT INTO `npcaction` VALUES ('70092', 'emart', 'emart', '', '');
INSERT INTO `npcaction` VALUES ('70093', 'karupu', 'karupu', '', '');
INSERT INTO `npcaction` VALUES ('70094', 'duran', 'duran', 'duran2', '');
INSERT INTO `npcaction` VALUES ('70095', 'duron1', 'duron1', '', '');
INSERT INTO `npcaction` VALUES ('70096', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70097', 'foni1', 'foni1', '', '');
INSERT INTO `npcaction` VALUES ('70098', 'bobo1', 'bobo1', '', '');
INSERT INTO `npcaction` VALUES ('70099', 'kuper2', 'kuper2', '', '');
INSERT INTO `npcaction` VALUES ('70100', 'lengo1', 'lengo1', '', '');
INSERT INTO `npcaction` VALUES ('70101', 'fiin1', 'fiin1', '', '');
INSERT INTO `npcaction` VALUES ('70102', 'judice1', 'judice1', '', '');
INSERT INTO `npcaction` VALUES ('70503', 'goodman', 'goodman', '', '');
INSERT INTO `npcaction` VALUES ('70504', 'neutralman', 'neutralman', '', '');
INSERT INTO `npcaction` VALUES ('70506', 'en0101', 'en0101', '', '');
INSERT INTO `npcaction` VALUES ('70507', 'rion1', 'rion1', 'rion2', '');
INSERT INTO `npcaction` VALUES ('70508', 'enchanterw1', 'enchanterw1', 'encw', '');
INSERT INTO `npcaction` VALUES ('70509', 'enchantera1', 'enchantera1', 'enca', '');
INSERT INTO `npcaction` VALUES ('70510', 'newgypsy', 'newgypsy', 'gypsy1', '');
INSERT INTO `npcaction` VALUES ('70511', 'evilman', 'evilman', '', '');
INSERT INTO `npcaction` VALUES ('70512', 'noved', 'noved', '', '');
INSERT INTO `npcaction` VALUES ('70513', 'peria1', 'peria1', 'peria2', '');
INSERT INTO `npcaction` VALUES ('70514', 'freehaste', 'freehaste', '', '');
INSERT INTO `npcaction` VALUES ('70517', 'cuse1', 'cuse1', 'cuse3', '');
INSERT INTO `npcaction` VALUES ('70518', 'tio', 'tio', '', '');
INSERT INTO `npcaction` VALUES ('70519', 'peria1', 'peria1', 'peria2', '');
INSERT INTO `npcaction` VALUES ('70520', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70522', '', '', '', '');
INSERT INTO `npcaction` VALUES ('70523', 'ladar1', 'ladarC1', '', '');
INSERT INTO `npcaction` VALUES ('70524', 'lavienue9', 'lavienue9', 'lavienue2', '');
INSERT INTO `npcaction` VALUES ('70525', 'lien1', 'lienC1', '', '');
INSERT INTO `npcaction` VALUES ('70526', 'raiders1', 'raiders1', 'raiders3', '');
INSERT INTO `npcaction` VALUES ('70527', 'lengo1', 'lengo1', '', '');
INSERT INTO `npcaction` VALUES ('70528', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70529', 'mona1', 'mona1', '', '');
INSERT INTO `npcaction` VALUES ('70530', 'restore1pk', 'restore1pk', 'helppk', '');
INSERT INTO `npcaction` VALUES ('70531', 'jem2', 'jem2', '', '');
INSERT INTO `npcaction` VALUES ('70532', 'johnson1', 'johnson1', '', '');
INSERT INTO `npcaction` VALUES ('70533', 'judice1', 'judice1', '', '');
INSERT INTO `npcaction` VALUES ('70534', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70535', 'kuper1', 'kuper1', '', '');
INSERT INTO `npcaction` VALUES ('70536', 'touma1', 'touma1', 'touma2', '');
INSERT INTO `npcaction` VALUES ('70537', 'farlin1', 'farlinC1', '', '');
INSERT INTO `npcaction` VALUES ('70538', 'bpledge2', 'bpledge2', 'bpledge1', '');
INSERT INTO `npcaction` VALUES ('70539', 'fiin1', 'fiin1', '', '');
INSERT INTO `npcaction` VALUES ('70540', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70544', 'dick1', 'dick1', 'dick2', '');
INSERT INTO `npcaction` VALUES ('70545', 'richard3', 'richard3', '', '');
INSERT INTO `npcaction` VALUES ('70546', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70547', 'encwc', 'encwc', '', '');
INSERT INTO `npcaction` VALUES ('70549', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70550', 'encac', 'encac', '', '');
INSERT INTO `npcaction` VALUES ('70553', 'ishmael1', 'ishmael1', 'ishmael2', '');
INSERT INTO `npcaction` VALUES ('70554', 'zero2', 'zero2', '', '');
INSERT INTO `npcaction` VALUES ('70555', '', '', '', '');
INSERT INTO `npcaction` VALUES ('70556', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70560', 'bpledge2', 'bpledge2', 'bpledge1', '');
INSERT INTO `npcaction` VALUES ('70562', 'hunt1', 'hunt1', 'hunt2', '');
INSERT INTO `npcaction` VALUES ('70563', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70567', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70568', 'yuno', 'yuno', '', '');
INSERT INTO `npcaction` VALUES ('70572', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70574', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70577', 'auction1', 'auction1', 'auction3', '');
INSERT INTO `npcaction` VALUES ('70594', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70598', 'moria1', 'moria1', 'moria4', '');
INSERT INTO `npcaction` VALUES ('70599', 'encwc', 'encwc', '', '');
INSERT INTO `npcaction` VALUES ('70600', 'orckeeperop', 'orckeeperop', 'orckeeperop', '');
INSERT INTO `npcaction` VALUES ('70601', 'encac', 'encac', '', '');
INSERT INTO `npcaction` VALUES ('70605', 'blaise1', 'blaise1', 'blaise4', '');
INSERT INTO `npcaction` VALUES ('70607', 'sarsha1', 'sarsha1', 'sarsha2', '');
INSERT INTO `npcaction` VALUES ('70611', 'restore1pk', 'restore1pk', '', '');
INSERT INTO `npcaction` VALUES ('70614', 'anton1', 'anton1', '', '');
INSERT INTO `npcaction` VALUES ('70617', 'almon1', 'almon1', 'almon2', '');
INSERT INTO `npcaction` VALUES ('70623', 'orville1', 'orville1', 'orville2', '');
INSERT INTO `npcaction` VALUES ('70631', 'secretary4', 'secretary4', 'secretary1', '');
INSERT INTO `npcaction` VALUES ('70632', 'kevin1', 'kevin1', 'kevin2', '');
INSERT INTO `npcaction` VALUES ('70633', 'colbert1', 'colbert1', 'colbert2', '');
INSERT INTO `npcaction` VALUES ('70641', 'herbert1', 'herbert1', 'herbert2', '');
INSERT INTO `npcaction` VALUES ('70642', 'hector1', 'hector1', 'hector2', '');
INSERT INTO `npcaction` VALUES ('70644', 'bpledge2', 'bpledge2', 'bpledge1', '');
INSERT INTO `npcaction` VALUES ('70645', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70653', 'masha', 'masha', '', '');
INSERT INTO `npcaction` VALUES ('70654', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70655', 'encwc', 'encwc', '', '');
INSERT INTO `npcaction` VALUES ('70656', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70657', 'encac', 'encac', '', '');
INSERT INTO `npcaction` VALUES ('70658', 'restore1pk', 'restore1pk', '', '');
INSERT INTO `npcaction` VALUES ('70662', 'ivelviin1', 'ivelviin1', 'ivelviin2', '');
INSERT INTO `npcaction` VALUES ('70663', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70664', 'cove1', 'cove1', 'cove2', '');
INSERT INTO `npcaction` VALUES ('70665', 'potempin1', 'potempin1', 'potempin2', '');
INSERT INTO `npcaction` VALUES ('70666', 'freckson1', 'freckson1', 'freckson2', '');
INSERT INTO `npcaction` VALUES ('70667', 'bpledge2', 'bpledge2', 'bpledge1', '');
INSERT INTO `npcaction` VALUES ('70668', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70670', 'citizen8', 'citizen8', '', '');
INSERT INTO `npcaction` VALUES ('70671', 'nose', 'nose', 'nose1', '');
INSERT INTO `npcaction` VALUES ('70674', 'reona1', 'reona1', 'reona2', '');
INSERT INTO `npcaction` VALUES ('70675', 'citizen1', 'citizen1', '', '');
INSERT INTO `npcaction` VALUES ('70676', 'ryumiel1', 'ryumiel1', '', '');
INSERT INTO `npcaction` VALUES ('70683', 'montes2', 'montes2', 'montes4', '');
INSERT INTO `npcaction` VALUES ('70686', 'encwc', 'encwc', '', '');
INSERT INTO `npcaction` VALUES ('70687', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70688', 'citizen10', 'citizen10', '', '');
INSERT INTO `npcaction` VALUES ('70690', 'bamute1', 'bamute1', 'bamute2', '');
INSERT INTO `npcaction` VALUES ('70692', 'encac', 'encac', '', '');
INSERT INTO `npcaction` VALUES ('70695', 'biust1', 'biust1', 'biust2', '');
INSERT INTO `npcaction` VALUES ('70701', 'restore', 'restore', '', '');
INSERT INTO `npcaction` VALUES ('70702', 'ring1', 'ring1', '', '');
INSERT INTO `npcaction` VALUES ('70707', 'eno1', 'eno1', 'enoc1', '');
INSERT INTO `npcaction` VALUES ('70711', 'giantk1', 'giantk1', 'giantk2', '');
INSERT INTO `npcaction` VALUES ('70715', 'jimuk1', 'jimuk1', 'jimuk2', '');
INSERT INTO `npcaction` VALUES ('70721', 'timon1', 'timon1', 'timon2', '');
INSERT INTO `npcaction` VALUES ('70722', 'paruit01', 'paruit01', 'paruitC', '');
INSERT INTO `npcaction` VALUES ('70723', 'pau1', 'pau1', 'pau2', '');
INSERT INTO `npcaction` VALUES ('70724', 'heit4', 'heit4', '', '');
INSERT INTO `npcaction` VALUES ('70725', 'bpledge2', 'bpledge2', 'bpledge1', '');
INSERT INTO `npcaction` VALUES ('70734', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70739', 'dicardinge1', 'dicardinge1', 'dicardinge2', '');
INSERT INTO `npcaction` VALUES ('70740', 'zero2', 'zero2', '', '');
INSERT INTO `npcaction` VALUES ('70742', 'detecter1', 'detecter1', 'detecter2', '');
INSERT INTO `npcaction` VALUES ('70744', 'roje16', 'roje16', '', '');
INSERT INTO `npcaction` VALUES ('70748', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70749', 'mild1', 'mild1', 'mild2', '');
INSERT INTO `npcaction` VALUES ('70751', 'brad1', 'brad1', '', '');
INSERT INTO `npcaction` VALUES ('70757', 'restore1pk', 'restore1pk', '', '');
INSERT INTO `npcaction` VALUES ('70758', 'sabin', 'sabin', '', '');
INSERT INTO `npcaction` VALUES ('70760', 'ellyonne', 'ellyonne', 'ellyonne4', '');
INSERT INTO `npcaction` VALUES ('70761', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70762', 'karif1', 'karif1', '', '');
INSERT INTO `npcaction` VALUES ('70763', 'talass', 'talass', '', '');
INSERT INTO `npcaction` VALUES ('70768', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70771', 'randith1', 'randith1', 'randith2', '');
INSERT INTO `npcaction` VALUES ('70773', 'marbin1', 'marbin1', 'marbin2', '');
INSERT INTO `npcaction` VALUES ('70772', 'ladar1', 'ladarC1', '', '');
INSERT INTO `npcaction` VALUES ('70774', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70775', 'mark1', 'mark1', 'mark2', '');
INSERT INTO `npcaction` VALUES ('70776', 'meg4', 'meg4', '', '');
INSERT INTO `npcaction` VALUES ('70777', 'encwc', 'encwc', '', '');
INSERT INTO `npcaction` VALUES ('70778', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70779', 'ants2', 'ants2', 'antss', '');
INSERT INTO `npcaction` VALUES ('70780', 'encac', 'encac', '', '');
INSERT INTO `npcaction` VALUES ('70781', 'restore1pk', 'restore1pk', '', '');
INSERT INTO `npcaction` VALUES ('70782', 'ant2', 'ant2', '', '');
INSERT INTO `npcaction` VALUES ('70783', 'aria4', 'aria4', '', '');
INSERT INTO `npcaction` VALUES ('70784', 'othmond1', 'othmond1', 'othmond2', '');
INSERT INTO `npcaction` VALUES ('70788', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70789', 'halt1', 'halt1', 'halt2', '');
INSERT INTO `npcaction` VALUES ('70790', 'bpledge2', 'bpledge2', 'bpledge1', '');
INSERT INTO `npcaction` VALUES ('70792', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70794', '', '', '', '');
INSERT INTO `npcaction` VALUES ('70796', 'dunham2', 'dunham2', '', '');
INSERT INTO `npcaction` VALUES ('70797', 'drist', 'drist', '', '');
INSERT INTO `npcaction` VALUES ('70798', 'riky2', 'riky2', '', '');
INSERT INTO `npcaction` VALUES ('70799', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70800', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70801', 'restore1pk', 'restore1pk', '', '');
INSERT INTO `npcaction` VALUES ('70802', 'aanon1', 'aanon1', '', '');
INSERT INTO `npcaction` VALUES ('70804', 'lien1', 'lienC1', '', '');
INSERT INTO `npcaction` VALUES ('70805', 'ladar1', 'ladarC1', '', '');
INSERT INTO `npcaction` VALUES ('70806', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70807', 'farlin1', 'farlinC1', '', '');
INSERT INTO `npcaction` VALUES ('70808', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70809', '', '', '', '');
INSERT INTO `npcaction` VALUES ('70811', 'lyraEv1', 'lyraEv1', 'lyraEv3', '');
INSERT INTO `npcaction` VALUES ('70815', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70816', 'encwc', 'encwc', '', '');
INSERT INTO `npcaction` VALUES ('70817', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70820', 'encac', 'encac', '', '');
INSERT INTO `npcaction` VALUES ('70822', 'seghem1', 'seghem1', 'seghem2', '');
INSERT INTO `npcaction` VALUES ('70823', 'restore1pk', 'restore1pk', '', '');
INSERT INTO `npcaction` VALUES ('70764', 'taus', 'taus', '', '');
INSERT INTO `npcaction` VALUES ('70826', 'oth2', 'oth2', '', '');
INSERT INTO `npcaction` VALUES ('70830', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70831', 'kentu1', 'kentu1', 'kentu2', '');
INSERT INTO `npcaction` VALUES ('70836', 'hans1', 'hans1', 'hans2', '');
INSERT INTO `npcaction` VALUES ('70837', 'narhenE3', 'narhenE3', 'narhenE1', '');
INSERT INTO `npcaction` VALUES ('70838', 'nerupaE1', 'nerupaE1', 'nerupaCE1', '');
INSERT INTO `npcaction` VALUES ('70840', 'robinwood1', 'robinwood1', 'robinwood3', '');
INSERT INTO `npcaction` VALUES ('70841', 'luudiel1', 'luudiel1', '', '');
INSERT INTO `npcaction` VALUES ('70844', '', '', '', '');
INSERT INTO `npcaction` VALUES ('70846', 'arachnee1', 'arachnee1', 'arachnem1', '');
INSERT INTO `npcaction` VALUES ('70847', 'estE1', 'estE1', 'estCE1', '');
INSERT INTO `npcaction` VALUES ('70848', 'ente1', 'ente1', 'entm1', '');
INSERT INTO `npcaction` VALUES ('70850', 'pane1', 'pane1', 'panm1', '');
INSERT INTO `npcaction` VALUES ('70851', 'fairye1', 'fairye1', 'fairym1', '');
INSERT INTO `npcaction` VALUES ('70852', 'fairyqe1', 'fairyqe1', 'fairyqm1', '');
INSERT INTO `npcaction` VALUES ('70853', 'fairyp3', 'fairyp3', '', '');
INSERT INTO `npcaction` VALUES ('70855', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70857', 'heguard6', 'heguard6', 'heguard6', '');
INSERT INTO `npcaction` VALUES ('70860', 'othertown', 'othertown', 'othertownh', '');
INSERT INTO `npcaction` VALUES ('70861', 'encwc', 'encwc', '', '');
INSERT INTO `npcaction` VALUES ('70862', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70863', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70865', 'encac', 'encac', '', '');
INSERT INTO `npcaction` VALUES ('70872', 'eveurol1', 'eveurol1', 'eveurol5', '');
INSERT INTO `npcaction` VALUES ('70873', 'ellan1', 'ellan1', 'ellan2', '');
INSERT INTO `npcaction` VALUES ('70876', 'secretary1', 'secretary1', 'secretary4', '');
INSERT INTO `npcaction` VALUES ('70880', 'fisher1', 'fisher1', 'fisher2', '');
INSERT INTO `npcaction` VALUES ('70881', 'gdummy1', 'gdummy1', '', '');
INSERT INTO `npcaction` VALUES ('70882', 'vaiger1', 'vaiger1', 'vaiger2', '');
INSERT INTO `npcaction` VALUES ('70884', 'bpledge2', 'bpledge2', 'bpledge1', '');
INSERT INTO `npcaction` VALUES ('70885', 'kanguard4', 'kanguard4', '', '');
INSERT INTO `npcaction` VALUES ('70889', 'citizen6', 'citizen6', '', '');
INSERT INTO `npcaction` VALUES ('70892', 'ronde6', 'ronde6', '', '');
INSERT INTO `npcaction` VALUES ('70895', 'bluedikaq4', 'bluedikaq4', '', '');
INSERT INTO `npcaction` VALUES ('70898', 'inn', 'Inn1', '', '');
INSERT INTO `npcaction` VALUES ('70904', 'koup1', 'koup1', 'koupdwaf', '');
INSERT INTO `npcaction` VALUES ('70906', 'kimaq1', 'kimaq1', 'kimaq2', '');
INSERT INTO `npcaction` VALUES ('70908', 'pears1', 'pears1', '', '');
INSERT INTO `npcaction` VALUES ('70910', 'hadesty1', 'hadesty1', 'hadesty2', '');
INSERT INTO `npcaction` VALUES ('70934', 'lesta', 'lesta', '', '');
INSERT INTO `npcaction` VALUES ('70953', 'alchemy1', 'alchemy1', 'alchemy4', '');
INSERT INTO `npcaction` VALUES ('70970', 'clalchemist1', 'clalchemist1', 'clalchemist2', '');
INSERT INTO `npcaction` VALUES ('70971', 'sialchemist1', 'sialchemist1', 'sialchemist2', '');
INSERT INTO `npcaction` VALUES ('70980', 'orenc0', 'orenc0', '', '');
INSERT INTO `npcaction` VALUES ('70981', 'hen1', 'hen1', '', '');
INSERT INTO `npcaction` VALUES ('70983', 'pig1', 'pig1', '', '');
INSERT INTO `npcaction` VALUES ('70984', 'milkcow1', 'milkcow1', 'none', '');
INSERT INTO `npcaction` VALUES ('70985', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70986', 'orckeeperop', 'orckeeperop', 'orckeeperop', '');
INSERT INTO `npcaction` VALUES ('70987', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70988', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70989', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70990', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70991', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70992', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70993', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70994', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70995', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70996', 'gatekeeperop', 'gatekeeperop', 'gatekeeperop', '');
INSERT INTO `npcaction` VALUES ('70997', 'jpe0011', 'jpe0011', '', '');
INSERT INTO `npcaction` VALUES ('70998', 'en0307', 'en0307', '', '');
INSERT INTO `npcaction` VALUES ('70999', 'jpe0021', 'jpe0021', '', '');
INSERT INTO `npcaction` VALUES ('71000', 'jpe0031', 'jpe0031', '', '');
INSERT INTO `npcaction` VALUES ('71001', 'en0011', 'en0015', '', '');
INSERT INTO `npcaction` VALUES ('71002', 'jpe0161', 'jpe0161', '', '');
INSERT INTO `npcaction` VALUES ('71003', 'en0021', 'en0025', '', '');
INSERT INTO `npcaction` VALUES ('71004', 'en0051', 'en0051', '', '');
INSERT INTO `npcaction` VALUES ('71005', 'jpe0041', 'jpe0041', '', '');
INSERT INTO `npcaction` VALUES ('71006', 'jpe0051', 'jpe0051', '', '');
INSERT INTO `npcaction` VALUES ('71007', 'en0031', 'en0031', '', '');
INSERT INTO `npcaction` VALUES ('71009', 'jpe0076', 'jpe0076', '', '');
INSERT INTO `npcaction` VALUES ('71010', 'en0061', 'en0061', '', '');
INSERT INTO `npcaction` VALUES ('71011', 'jpe0067', 'jpe0067', '', '');
INSERT INTO `npcaction` VALUES ('71012', 'en0041', 'en0041', '', '');
INSERT INTO `npcaction` VALUES ('71013', 'karen2', 'karen2', '', '');
INSERT INTO `npcaction` VALUES ('71014', 'en0242', 'en0242', '', '');
INSERT INTO `npcaction` VALUES ('71015', 'en0263', 'en0263', '', '');
INSERT INTO `npcaction` VALUES ('71016', 'en0251', 'en0251', '', '');
INSERT INTO `npcaction` VALUES ('71017', 'en0251', 'en0251', '', '');
INSERT INTO `npcaction` VALUES ('71018', 'jpe0134', 'jpe0134', '', '');
INSERT INTO `npcaction` VALUES ('71019', 'jpe0115', 'jpe0115', '', '');
INSERT INTO `npcaction` VALUES ('71020', 'jpe0121', 'jpe0121', '', '');
INSERT INTO `npcaction` VALUES ('71021', 'en0197', 'en0197', '', '');
INSERT INTO `npcaction` VALUES ('71022', 'jpe0151', 'jpe0151', '', '');
INSERT INTO `npcaction` VALUES ('71023', 'jpe0141', 'jpe0141', '', '');
INSERT INTO `npcaction` VALUES ('71024', 'garret1', 'garret1', '', '');
INSERT INTO `npcaction` VALUES ('71025', 'jpe0086', 'jpe0086', '', '');
INSERT INTO `npcaction` VALUES ('71026', 'en0112', 'en0112', '', '');
INSERT INTO `npcaction` VALUES ('71027', 'en0282', 'en0282', '', '');
INSERT INTO `npcaction` VALUES ('71028', 'en0121', 'en0121', '', '');
INSERT INTO `npcaction` VALUES ('71029', 'en0291', 'en0291', '', '');
INSERT INTO `npcaction` VALUES ('71030', 'en1021', 'en1021', '', '');
INSERT INTO `npcaction` VALUES ('71031', 'en0085', 'en0085', '', '');
INSERT INTO `npcaction` VALUES ('71032', 'en0091e', 'en0091e', '', '');
INSERT INTO `npcaction` VALUES ('71033', 'en0214', 'en0214', '', '');
INSERT INTO `npcaction` VALUES ('71034', 'en0205', 'en0205', '', '');
INSERT INTO `npcaction` VALUES ('71035', 'en0231', 'en0231', '', '');
INSERT INTO `npcaction` VALUES ('71036', 'kamyla000', 'kamyla000', '', '');
INSERT INTO `npcaction` VALUES ('71037', 'jpe0101', 'jpe0101', '', '');
INSERT INTO `npcaction` VALUES ('71038', 'orcfnoname1', 'orcfnoname1', '', '');
INSERT INTO `npcaction` VALUES ('71039', 'orcfbuwoo1', 'orcfbuwoo1', '', '');
INSERT INTO `npcaction` VALUES ('71040', 'orcfnoa2', 'orcfnoa2', '', '');
INSERT INTO `npcaction` VALUES ('71041', 'orcfhuwoomo1', 'orcfhuwoomo1', '', '');
INSERT INTO `npcaction` VALUES ('71042', 'orcfbakumo1', 'orcfbakumo1', '', '');
INSERT INTO `npcaction` VALUES ('71043', 'orcfbuka1', 'orcfbuka1', '', '');
INSERT INTO `npcaction` VALUES ('71044', 'orcfkame1', 'orcfkame1', '', '');
INSERT INTO `npcaction` VALUES ('71045', 'orcfbawoo1', 'orcfbawoo1', '', '');
INSERT INTO `npcaction` VALUES ('71046', 'roberto', 'roberto', '', '');
INSERT INTO `npcaction` VALUES ('71047', 'lupus', 'lupus', '', '');
INSERT INTO `npcaction` VALUES ('71048', 'karu', 'karu', '', '');
INSERT INTO `npcaction` VALUES ('71051', 'monett', 'monett', '', '');
INSERT INTO `npcaction` VALUES ('71052', 'enishia', 'enishia', '', '');
INSERT INTO `npcaction` VALUES ('71053', 'berik1', 'berik1', '', '');
INSERT INTO `npcaction` VALUES ('71054', 'roxxan', 'roxxan', '', '');
INSERT INTO `npcaction` VALUES ('71055', 'lukein1', 'lukein1', '', '');
INSERT INTO `npcaction` VALUES ('71056', 'simizz1', 'simizz1', '', '');
INSERT INTO `npcaction` VALUES ('71057', 'doil1', 'doilc', '', '');
INSERT INTO `npcaction` VALUES ('71058', 'ratsyu1', 'ratsyu1', '', '');
INSERT INTO `npcaction` VALUES ('71059', 'rudian1a', 'rudian1a', '', '');
INSERT INTO `npcaction` VALUES ('71060', 'resta1', 'resta1', '', '');
INSERT INTO `npcaction` VALUES ('71061', 'cadmus1', 'cadmus1', '', '');
INSERT INTO `npcaction` VALUES ('71062', 'kamit1', 'kamit1', '', '');
INSERT INTO `npcaction` VALUES ('71063', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71064', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71065', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71066', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71067', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71068', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71069', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71070', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71071', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71072', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71073', 'maptbox0', 'maptbox0', '', '');
INSERT INTO `npcaction` VALUES ('71074', 'lelder0', 'lelder0', '', '');
INSERT INTO `npcaction` VALUES ('71075', 'llizard1a', 'llizard1a', '', '');
INSERT INTO `npcaction` VALUES ('71076', 'ylizardb', 'ylizardb', '', '');
INSERT INTO `npcaction` VALUES ('71077', 'invest1', 'invest1', '', '');
INSERT INTO `npcaction` VALUES ('71078', 'usender1', 'usender1', '', '');
INSERT INTO `npcaction` VALUES ('71079', 'ubuy', 'ubuy1', '', '');
INSERT INTO `npcaction` VALUES ('71080', 'amisoo1', 'amisoo1', '', '');
INSERT INTO `npcaction` VALUES ('71081', 'blackkey1', 'blackkey1', '', '');
INSERT INTO `npcaction` VALUES ('71082', 'blackkey2', 'blackkey2', '', '');
INSERT INTO `npcaction` VALUES ('71083', 'blackkey3', 'blackkey3', '', '');
INSERT INTO `npcaction` VALUES ('71084', 'blackkey4', 'blackkey4', '', '');
INSERT INTO `npcaction` VALUES ('71085', 'redkey1', 'redkey1', '', '');
INSERT INTO `npcaction` VALUES ('71086', 'redkey2', 'redkey2', '', '');
INSERT INTO `npcaction` VALUES ('71087', 'redkey3', 'redkey3', '', '');
INSERT INTO `npcaction` VALUES ('71088', 'redkey4', 'redkey4', '', '');
INSERT INTO `npcaction` VALUES ('80010', 'aprincess1', 'aprincess1', 'aprincess2', '');
INSERT INTO `npcaction` VALUES ('80019', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80020', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80021', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80022', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80023', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80024', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80025', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80026', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80027', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80028', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80029', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80030', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80031', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80032', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80033', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80034', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80035', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80036', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80037', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80038', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80039', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80040', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80041', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80042', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80043', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80044', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80045', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('80047', 'uhelp1', 'uhelp1', '', '');
INSERT INTO `npcaction` VALUES ('80048', 'entgate', 'entgate', '', '');
INSERT INTO `npcaction` VALUES ('80049', 'betray12', 'betray12', '', '');
INSERT INTO `npcaction` VALUES ('80050', 'meet101', 'meet101', '', '');
INSERT INTO `npcaction` VALUES ('80051', 'qyahee', 'qyahee', '', '');
INSERT INTO `npcaction` VALUES ('80052', 'u_hunt', 'u_hunt', '', '');
INSERT INTO `npcaction` VALUES ('80053', 'alice_no', 'alice_no', '', '');
INSERT INTO `npcaction` VALUES ('80054', 'lapyahee', 'lapyahee', '', '');
INSERT INTO `npcaction` VALUES ('80055', 'uamulet0', 'uamulet0', '', '');
INSERT INTO `npcaction` VALUES ('80056', 'infamous12', 'infamous12', '', '');
INSERT INTO `npcaction` VALUES ('80057', 'alfons1', 'alfons1', '', '');
INSERT INTO `npcaction` VALUES ('80058', 'cpass01', 'cpass01', 'cpass01', '');
INSERT INTO `npcaction` VALUES ('80059', 'wpass05', 'wpass05', 'wpass05', '');
INSERT INTO `npcaction` VALUES ('80060', 'wpass05', 'wpass05', 'wpass05', '');
INSERT INTO `npcaction` VALUES ('80061', 'wpass05', 'wpass05', 'wpass05', '');
INSERT INTO `npcaction` VALUES ('80062', 'wpass05', 'wpass05', 'wpass05', '');
INSERT INTO `npcaction` VALUES ('80063', 'gpass01', 'gpass01', 'gpass01', '');
INSERT INTO `npcaction` VALUES ('80064', 'meet001', 'meet001', '', '');
INSERT INTO `npcaction` VALUES ('80065', 'uturn0', 'uturn0', '', '');
INSERT INTO `npcaction` VALUES ('80066', 'betray01', 'betray01', '', '');
INSERT INTO `npcaction` VALUES ('80067', 'minicod08', 'minicod08', '', '');
INSERT INTO `npcaction` VALUES ('80068', 'fakebarlog1', 'fakebarlog1', '', '');
INSERT INTO `npcaction` VALUES ('80069', 'ldemon1', 'ldemon1', '', '');
INSERT INTO `npcaction` VALUES ('80070', 'tldemon1', 'tldemon1', '', '');
INSERT INTO `npcaction` VALUES ('80071', 'lring0', 'lring0', '', '');
INSERT INTO `npcaction` VALUES ('80072', 'lsmith0', 'lsmith0', '', '');
INSERT INTO `npcaction` VALUES ('80073', 'l_hunt', 'l_hunt', '', '');
INSERT INTO `npcaction` VALUES ('80074', 'infamous02', 'infamous02', '', '');
INSERT INTO `npcaction` VALUES ('80075', 'vehikeu1', 'vehikeu1', '', '');
INSERT INTO `npcaction` VALUES ('80076', 'voyager1', 'voyager1', '', '');
INSERT INTO `npcaction` VALUES ('80077', 'aldran1', 'aldran1', '', '');
INSERT INTO `npcaction` VALUES ('81002', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81003', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81004', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81005', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81006', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81007', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81008', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81009', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81010', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81011', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81012', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81013', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81014', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81015', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81016', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81017', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81018', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81019', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81020', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81021', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81022', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81023', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81024', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81025', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81026', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81027', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81028', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81029', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81105', 'stoenm4', 'stoenm4', '', '');
INSERT INTO `npcaction` VALUES ('81110', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81112', 'rader1', 'rader1', '', '');
INSERT INTO `npcaction` VALUES ('81113', 'hagutin1', 'hagutin1', '', '');
INSERT INTO `npcaction` VALUES ('81114', 'fsflame1', 'fsflame1', '', '');
INSERT INTO `npcaction` VALUES ('81115', 'adjutant1', 'adjutant1', '', '');
INSERT INTO `npcaction` VALUES ('81118', 'bsoul1', 'bsoul1', '', '');
INSERT INTO `npcaction` VALUES ('81119', 'laryaide1', 'laryaide1', '', '');
INSERT INTO `npcaction` VALUES ('81120', 'kalbass1', 'kalbass1', '', '');
INSERT INTO `npcaction` VALUES ('81121', 'pielemental', 'pielemental', '', '');
INSERT INTO `npcaction` VALUES ('81123', 'pump1', 'pump1', '', '');
INSERT INTO `npcaction` VALUES ('81124', 'pump1', 'pump1', '', '');
INSERT INTO `npcaction` VALUES ('81155', 'olle1', 'olle1', 'olle1', '');
INSERT INTO `npcaction` VALUES ('81156', 'dfguard1', 'dfguard1', 'dfguard1', '');
INSERT INTO `npcaction` VALUES ('45015', 'duck1', 'duck1', '', '');
INSERT INTO `npcaction` VALUES ('45154', 'mermaid', 'mermaid', '', '');
INSERT INTO `npcaction` VALUES ('70912', 'woumsix1', 'woumsix1', '', '');
INSERT INTO `npcaction` VALUES ('70913', 'woumfour1', 'woumfour1', '', '');
INSERT INTO `npcaction` VALUES ('70916', 'redin1', 'redin1', '', '');
INSERT INTO `npcaction` VALUES ('70917', 'burns1', 'burns1', '', '');
INSERT INTO `npcaction` VALUES ('70919', 'smiter1', 'smiter1', '', '');
INSERT INTO `npcaction` VALUES ('70920', 'dfguard1', 'dfguard1', '', '');
INSERT INTO `npcaction` VALUES ('70922', 'credonas1', 'credonas1', '', '');
INSERT INTO `npcaction` VALUES ('70923', 'olle1', 'olle1', '', '');
INSERT INTO `npcaction` VALUES ('70924', 'genes1', 'genes1', '', '');
INSERT INTO `npcaction` VALUES ('70925', 'elderoum1', 'elderoum1', '', '');
INSERT INTO `npcaction` VALUES ('70927', 'coderage1', 'coderage1', '', '');
INSERT INTO `npcaction` VALUES ('70928', 'tristan1', 'tristan1', '', '');
INSERT INTO `npcaction` VALUES ('71089', 'francu1', 'francu001', '', '');
INSERT INTO `npcaction` VALUES ('71090', 'jcrystal0', 'jcrystal0', '', '');
INSERT INTO `npcaction` VALUES ('71091', 'jcrystall0', 'jcrystall0', '', '');
INSERT INTO `npcaction` VALUES ('71108', 'chaotictp1', 'chaotictp1', '', '');
INSERT INTO `npcaction` VALUES ('71109', 'lawfultp1', 'lawfultp1', '', '');
INSERT INTO `npcaction` VALUES ('71110', 'caexplorer1', 'caexplorer1', '', '');
INSERT INTO `npcaction` VALUES ('71111', 'cahunterone1', 'cahunterone1', '', '');
INSERT INTO `npcaction` VALUES ('71112', 'cahuntertwo1', 'cahuntertwo1', '', '');
INSERT INTO `npcaction` VALUES ('71113', 'clalchemist1', 'clalchemist1', '', '');
INSERT INTO `npcaction` VALUES ('71114', 'sialchemist1', 'sialchemist1', '', '');
INSERT INTO `npcaction` VALUES ('71115', 'inforaden1', 'inforaden1', '', '');
INSERT INTO `npcaction` VALUES ('71116', 'agelder1', 'agelder1', '', '');
INSERT INTO `npcaction` VALUES ('71117', 'aggeneral1', 'aggeneral1', '', '');
INSERT INTO `npcaction` VALUES ('71118', 'talkingoum1', 'talkingoum1', '', '');
INSERT INTO `npcaction` VALUES ('71119', 'ataroze', 'ataroze', '', '');
INSERT INTO `npcaction` VALUES ('71120', 'rian1', 'rian1', '', '');
INSERT INTO `npcaction` VALUES ('71121', 'leonard1', 'leonard1', '', '');
INSERT INTO `npcaction` VALUES ('71122', 'fesco1', 'fesco1', '', '');
INSERT INTO `npcaction` VALUES ('71123', 'rubo1', 'rubo1', '', '');
INSERT INTO `npcaction` VALUES ('71124', 'alri1', 'alri1', '', '');
INSERT INTO `npcaction` VALUES ('71125', 'adelio', 'adelio', '', '');
INSERT INTO `npcaction` VALUES ('71126', 'eris1', 'eris1', '', '');
INSERT INTO `npcaction` VALUES ('71127', 'scwaru1', 'scwaru1', '', '');
INSERT INTO `npcaction` VALUES ('71128', 'perita1', 'perita1', '', '');
INSERT INTO `npcaction` VALUES ('71129', 'rumtis1', 'rumtis1', '', '');
INSERT INTO `npcaction` VALUES ('71130', 'rabla', 'rabla', '', '');
INSERT INTO `npcaction` VALUES ('71131', 'rabor', 'rabor', '', '');
INSERT INTO `npcaction` VALUES ('71132', 'woumfive1', 'woumfive1', '', '');
INSERT INTO `npcaction` VALUES ('71133', 'woumone1', 'woumone1', '', '');
INSERT INTO `npcaction` VALUES ('71134', 'woumtwo1', 'woumtwo1', '', '');
INSERT INTO `npcaction` VALUES ('71135', 'woumthir1', 'woumthir1', '', '');
INSERT INTO `npcaction` VALUES ('71136', 'woumele1', 'woumele1', '', '');
INSERT INTO `npcaction` VALUES ('71137', 'woumseven1', 'woumseven1', '', '');
INSERT INTO `npcaction` VALUES ('71138', 'woumnine1', 'woumnine1', '', '');
INSERT INTO `npcaction` VALUES ('71139', 'woumeight1', 'woumeight1', '', '');
INSERT INTO `npcaction` VALUES ('71140', 'woumten1', 'woumten1', '', '');
INSERT INTO `npcaction` VALUES ('71141', 'moumthree2', 'moumthree2', '', '');
INSERT INTO `npcaction` VALUES ('71142', 'moumtwo2', 'moumtwo2', '', '');
INSERT INTO `npcaction` VALUES ('71143', 'woumthree1', 'woumthree1', '', '');
INSERT INTO `npcaction` VALUES ('71144', 'woumtwel1', 'woumtwel1', '', '');
INSERT INTO `npcaction` VALUES ('71145', 'moumone2', 'moumone2', '', '');
INSERT INTO `npcaction` VALUES ('71146', 'midoum1', 'midoum1', '', '');
INSERT INTO `npcaction` VALUES ('71147', 'cutoum', 'cutoum', '', '');
INSERT INTO `npcaction` VALUES ('71148', 'eoumone1', 'eoumone1', '', '');
INSERT INTO `npcaction` VALUES ('71149', 'soumthree1', 'soumthree1', '', '');
INSERT INTO `npcaction` VALUES ('71150', 'soumone1', 'soumone1', '', '');
INSERT INTO `npcaction` VALUES ('71151', 'soumtwo1', 'soumtwo1', '', '');
INSERT INTO `npcaction` VALUES ('71152', 'stoumone1', 'stoumone1', '', '');
INSERT INTO `npcaction` VALUES ('71153', 'stoumthree1', 'stoumthree1', '', '');
INSERT INTO `npcaction` VALUES ('71154', 'stoumtwo1', 'stoumtwo1', '', '');
INSERT INTO `npcaction` VALUES ('71155', 'eoumtwo1', 'eoumtwo1', '', '');
INSERT INTO `npcaction` VALUES ('71156', 'prisondef1', 'prisondef1', '', '');
INSERT INTO `npcaction` VALUES ('71157', 'prisondef4', 'prisondef4', '', '');
INSERT INTO `npcaction` VALUES ('71158', 'prisondef5', 'prisondef5', '', '');
INSERT INTO `npcaction` VALUES ('71159', 'prisondef9', 'prisondef9', '', '');
INSERT INTO `npcaction` VALUES ('71160', 'prisondef6', 'prisondef6', '', '');
INSERT INTO `npcaction` VALUES ('71161', 'prisondef7', 'prisondef7', '', '');
INSERT INTO `npcaction` VALUES ('71162', 'prisondef8', 'prisondef8', '', '');
INSERT INTO `npcaction` VALUES ('71163', 'yastin1', 'yastin1', '', '');
INSERT INTO `npcaction` VALUES ('71164', 'lance1', 'lance1', '', '');
INSERT INTO `npcaction` VALUES ('71165', 'xestin1', 'xestin1', '', '');
INSERT INTO `npcaction` VALUES ('71166', 'guardin1', 'guardin1', '', '');
INSERT INTO `npcaction` VALUES ('71167', 'frim2', 'frim2', '', '');
INSERT INTO `npcaction` VALUES ('71168', 'dantes', 'dantes', '', '');
INSERT INTO `npcaction` VALUES ('71169', 'marbes1', 'marbes1', '', '');
INSERT INTO `npcaction` VALUES ('71170', 'clorence', 'clorence', '', '');
INSERT INTO `npcaction` VALUES ('71171', 'debow1', 'debow1', '', '');
INSERT INTO `npcaction` VALUES ('71172', 'dethief1', 'dethief1', '', '');
INSERT INTO `npcaction` VALUES ('71173', 'degeneral1', 'degeneral1', '', '');
INSERT INTO `npcaction` VALUES ('71174', 'desword1', 'desword1', '', '');
INSERT INTO `npcaction` VALUES ('71175', 'Ep5event16', 'Ep5event16', '', '');
INSERT INTO `npcaction` VALUES ('71176', 'adummy1', 'adummy1', '', '');
INSERT INTO `npcaction` VALUES ('71177', 'adummy1', 'adummy1', '', '');
INSERT INTO `npcaction` VALUES ('71178', 'ru1', 'ru1', '', '');
INSERT INTO `npcaction` VALUES ('71179', 'dh1', 'dh1', '', '');
INSERT INTO `npcaction` VALUES ('71180', 'jp1', 'jp1', '', '');
INSERT INTO `npcaction` VALUES ('71181', 'my1', 'my1', '', '');
INSERT INTO `npcaction` VALUES ('71182', 'sm1', 'sm1', '', '');
INSERT INTO `npcaction` VALUES ('71184', 'gdummy1', 'gdummy1', '', '');
INSERT INTO `npcaction` VALUES ('71187', 'diadummy1', 'diadummy1', '', '');
INSERT INTO `npcaction` VALUES ('71188', 'diadummy1', 'diadummy1', '', '');
INSERT INTO `npcaction` VALUES ('71189', 'diaguard1', 'diaguard1', '', '');
INSERT INTO `npcaction` VALUES ('71190', 'jericho1', 'jericho1', '', '');
INSERT INTO `npcaction` VALUES ('71191', 'becky1', 'becky1', '', '');
INSERT INTO `npcaction` VALUES ('71192', 'carmel1', 'carmel1', '', '');
INSERT INTO `npcaction` VALUES ('71193', 'chase1', 'chase1', '', '');
INSERT INTO `npcaction` VALUES ('71194', 'aurora1', 'aurora1', '', '');
INSERT INTO `npcaction` VALUES ('71195', 'winston1', 'winston1', '', '');
INSERT INTO `npcaction` VALUES ('71196', 'alfred', 'alfred1', '', '');
INSERT INTO `npcaction` VALUES ('80078', 'arka1', 'arka1', '', '');
INSERT INTO `npcaction` VALUES ('80079', 'keplisha1', 'keplisha4', 'keplisha2', '');
INSERT INTO `npcaction` VALUES ('80080', 'f_elder', 'f_elder', '', '');
INSERT INTO `npcaction` VALUES ('80081', 'f_grandma1', 'f_grandma1', '', '');
INSERT INTO `npcaction` VALUES ('80082', 'fk_in_1', 'fk_in_1', '', '');
INSERT INTO `npcaction` VALUES ('80083', 'fk_out_1', 'fk_out_1', '', '');
INSERT INTO `npcaction` VALUES ('80084', 'rparum', 'rparum', '', '');
INSERT INTO `npcaction` VALUES ('80085', 'duo', 'duo', '', '');
INSERT INTO `npcaction` VALUES ('80086', 'kusan', 'kusan', '', '');
INSERT INTO `npcaction` VALUES ('80087', 'datu', 'datu', '', '');
INSERT INTO `npcaction` VALUES ('80088', 'petmatcher', 'petmatcher', '', '');
INSERT INTO `npcaction` VALUES ('80089', 'medalbuyer', 'medalbuyer', '', '');
INSERT INTO `npcaction` VALUES ('80090', 'rakuki1', 'rakuki1', '', '');
INSERT INTO `npcaction` VALUES ('80091', 'rrafons', 'rrafons', '', '');
INSERT INTO `npcaction` VALUES ('80092', 'rjaint1', 'rjaint1', '', '');
INSERT INTO `npcaction` VALUES ('80093', 'rjyta1', 'rjyta1', '', '');
INSERT INTO `npcaction` VALUES ('80094', 'altar1', 'altar1', '', '');
INSERT INTO `npcaction` VALUES ('80095', 'rostin1', 'rostin1', '', '');
INSERT INTO `npcaction` VALUES ('80096', 'sharon1', 'sharon1', '', '');
INSERT INTO `npcaction` VALUES ('80097', 'rryman', 'rryman', '', '');
INSERT INTO `npcaction` VALUES ('80098', 'rfarbo1', 'rfarbo1', '', '');
INSERT INTO `npcaction` VALUES ('80099', 'rarson1', 'rarson8', 'rarson11', '');
INSERT INTO `npcaction` VALUES ('80100', 'maijin1', 'maijin1', '', '');
INSERT INTO `npcaction` VALUES ('80101', 'kuen1', 'kuen1', '', '');
INSERT INTO `npcaction` VALUES ('80102', 'fillis1', 'fillis3', '', '');
INSERT INTO `npcaction` VALUES ('80103', 'auction1', 'auction1', '', '');
INSERT INTO `npcaction` VALUES ('80104', 'horseseller1', 'horseseller0', '', '');
INSERT INTO `npcaction` VALUES ('80105', 'horserestore', 'horserestore', '', '');
INSERT INTO `npcaction` VALUES ('80127', 'cook1', 'cook1', '', '');
INSERT INTO `npcaction` VALUES ('80128', 'cointrader', 'cointrader', '', '');
INSERT INTO `npcaction` VALUES ('71197', 'endel1', 'endel1', '', '');
INSERT INTO `npcaction` VALUES ('71198', 'tion1', 'tion1', '', '');
INSERT INTO `npcaction` VALUES ('71199', 'jeron1', 'jeron1', '', '');
INSERT INTO `npcaction` VALUES ('50626', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50627', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50628', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50629', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50630', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('50631', 'agit', 'agit', 'agtel0', '');
INSERT INTO `npcaction` VALUES ('70660', 'gdummyc1', 'gdummyc1', '', '');
INSERT INTO `npcaction` VALUES ('70661', 'gdummy1', 'gdummy1', '', '');
INSERT INTO `npcaction` VALUES ('71050', 'shian', 'shian', '', '');
INSERT INTO `npcaction` VALUES ('70890', 'rabor', 'rabor', '', '');
INSERT INTO `npcaction` VALUES ('70894', 'rondedum', 'rondedum', '', '');
INSERT INTO `npcaction` VALUES ('70896', 'bluedum', 'bluedum', '', '');
INSERT INTO `npcaction` VALUES ('70903', 'kandum', 'kandum', '', '');
INSERT INTO `npcaction` VALUES ('70909', 'pierot1', 'pierot1', '', '');
INSERT INTO `npcaction` VALUES ('71200', 'pieta1', 'pieta1', '', '');
INSERT INTO `npcaction` VALUES ('70824', 'assassin4', 'assassin4', '', '');
INSERT INTO `npcaction` VALUES ('80141', 'sbial1', 'sbial1', '', '');
INSERT INTO `npcaction` VALUES ('80142', 'batr1', 'batr1', '', '');
INSERT INTO `npcaction` VALUES ('80143', 'azel1', 'azel1', '', '');
INSERT INTO `npcaction` VALUES ('80144', 'rark1', 'rark1', '', '');
INSERT INTO `npcaction` VALUES ('80145', 'silrein1', 'silrein1', '', '');
INSERT INTO `npcaction` VALUES ('80146', 'sharial1', 'sharial1', 'sharial2', 'sharial3');
INSERT INTO `npcaction` VALUES ('80132', 'dekabia1', 'dekabia1', 'dekabia2', 'dekabia3');
INSERT INTO `npcaction` VALUES ('80133', 'pual1', 'pual1', '', '');
INSERT INTO `npcaction` VALUES ('80134', 'talrion4', 'talrion4', '', '');
INSERT INTO `npcaction` VALUES ('80135', 'elas3', 'elas3', '', '');
INSERT INTO `npcaction` VALUES ('80136', 'prokel1', 'prokel1', '', '');
INSERT INTO `npcaction` VALUES ('80137', 'jepar1', 'jepar1', '', '');
INSERT INTO `npcaction` VALUES ('71251', 'baseReset', 'baseReset', '', '');
INSERT INTO `npcaction` VALUES ('81245', '', '', '', '');
INSERT INTO `npcaction` VALUES ('90521', 'tikalgate1', 'tikalgate1', '', '');
INSERT INTO `npcaction` VALUES ('46069', 'minicod1', 'minicod1', '', '');
INSERT INTO `npcaction` VALUES ('46070', 'minicod3', 'minicod3', '', '');
INSERT INTO `npcaction` VALUES ('46077', 'minicod2', 'minicod2', '', '');
INSERT INTO `npcaction` VALUES ('46072', 'minicod2', 'minicod2', '', '');
INSERT INTO `npcaction` VALUES ('46076', 'minicod1', 'minicod1', '', '');
INSERT INTO `npcaction` VALUES ('46074', 'minicod2', 'minicod2', '', '');
INSERT INTO `npcaction` VALUES ('46075', 'minicod3', 'minicod3', '', '');
INSERT INTO `npcaction` VALUES ('46078', 'minicod1', 'minicod1', '', '');
INSERT INTO `npcaction` VALUES ('46079', 'minicod2', 'minicod2', '', '');
INSERT INTO `npcaction` VALUES ('46080', 'minicod1', 'minicod1', '', '');
INSERT INTO `npcaction` VALUES ('46081', 'minicod2', 'minicod2', '', '');
INSERT INTO `npcaction` VALUES ('46092', 'minitos3', 'minitos3', '', '');
INSERT INTO `npcaction` VALUES ('46093', 'minitos3', 'minitos3', '', '');
INSERT INTO `npcaction` VALUES ('46094', 'minitos2', 'minitos2', '', '');
INSERT INTO `npcaction` VALUES ('46095', 'minitos2', 'minitos2', '', '');
INSERT INTO `npcaction` VALUES ('46096', 'minitos1', 'minitos1', '', '');
INSERT INTO `npcaction` VALUES ('50083', 'en0231', 'en0231', '', '');
INSERT INTO `npcaction` VALUES ('70712', 'jennifer1', 'jennifer1', '', '');
INSERT INTO `npcaction` VALUES ('70964', 'basch', 'basch', '', '');
INSERT INTO `npcaction` VALUES ('71049', 'rooney', 'rooney', '', '');
INSERT INTO `npcaction` VALUES ('71252', 'joegolem', 'joegolem', '', '');
INSERT INTO `npcaction` VALUES ('71253', 'joegolem17', 'joegolem17', '', '');
INSERT INTO `npcaction` VALUES ('71255', 'tebegate1', 'tebegate1', '', '');
INSERT INTO `npcaction` VALUES ('71256', 'robinhood1', 'robinhood1', '', '');
INSERT INTO `npcaction` VALUES ('71257', 'zybril1', 'zybril1', '', '');
INSERT INTO `npcaction` VALUES ('71258', 'marba3', 'marba1', '', '');
INSERT INTO `npcaction` VALUES ('71259', 'aras1', 'aras11', '', '');
INSERT INTO `npcaction` VALUES ('71264', 'sciairen1', 'sciairen2', '', '');
INSERT INTO `npcaction` VALUES ('71265', 'sinwarrior', 'sinwarrior', '', '');
INSERT INTO `npcaction` VALUES ('71266', 'gdummy1', 'gdummy1', '', '');
INSERT INTO `npcaction` VALUES ('71270', 'dunsign1', 'dunsign1', '', '');
INSERT INTO `npcaction` VALUES ('71271', 'dunboard2', 'dunboard2', '', '');
INSERT INTO `npcaction` VALUES ('71272', 'dunsign2', 'dunsign2', '', '');
INSERT INTO `npcaction` VALUES ('81200', 'nobelt', 'nobelt', '', '');
INSERT INTO `npcaction` VALUES ('81202', 'minitos08', 'minitos08', '', '');
INSERT INTO `npcaction` VALUES ('81203', 'minitos3', 'minitos3', '', '');
INSERT INTO `npcaction` VALUES ('81204', 'minitos3', 'minitos3', '', '');
INSERT INTO `npcaction` VALUES ('81205', 'minitos2', 'minitos2', '', '');
INSERT INTO `npcaction` VALUES ('81206', 'minitos2', 'minitos2', '', '');
INSERT INTO `npcaction` VALUES ('81207', 'minitos1', 'minitos1', '', '');
INSERT INTO `npcaction` VALUES ('81208', 'minibrob01', 'minibrob01', '', '');
INSERT INTO `npcaction` VALUES ('81241', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81242', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81243', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81244', 'cold1', 'cold1', '', '');
INSERT INTO `npcaction` VALUES ('81246', 'sharna1', 'sharna2', '', '');
INSERT INTO `npcaction` VALUES ('80166', 'yuris1', 'yuris1', '', '');
INSERT INTO `npcaction` VALUES ('80167', 'churchm1', 'churchm1', '', '');
INSERT INTO `npcaction` VALUES ('80168', 'dufo', 'dufo', '', '');
INSERT INTO `npcaction` VALUES ('80213', 'gdummyc1', 'gdummyc1', '', '');
INSERT INTO `npcaction` VALUES ('91003', 'gr_mammon1', 'gr_mammon2', 'gr_mammon3', '');
INSERT INTO `npcaction` VALUES ('91005', 'adenshadow1', 'adenshadow1', '', '');
INSERT INTO `npcaction` VALUES ('91006', 'adenflora1', 'adenflora1', 'adenflora2', '');
INSERT INTO `npcaction` VALUES ('91007', 'amelia', 'amelia1', '', '');
INSERT INTO `npcaction` VALUES ('91050', 'veil1', 'veil1', '', '');
INSERT INTO `npcaction` VALUES ('91051', 'dragonsmap', 'dragonsmap', '', '');
INSERT INTO `npcaction` VALUES ('91056', 'bankoo1', 'bankoo1', '', '');
INSERT INTO `npcaction` VALUES ('91057', 'fivelviin1', 'fivelviin1', '', '');
INSERT INTO `npcaction` VALUES ('91058', 'fivelviin2', 'fivelviin2', '', '');
INSERT INTO `npcaction` VALUES ('91059', 'fivelviin3', 'fivelviin3', '', '');
INSERT INTO `npcaction` VALUES ('91060', 'fivelviin4', 'fivelviin4', '', '');
INSERT INTO `npcaction` VALUES ('91061', 'sherme2', 'sherme2', '', '');
INSERT INTO `npcaction` VALUES ('91062', 'grayknight1', 'grayknight1', '', '');
INSERT INTO `npcaction` VALUES ('91063', 'familyed', 'familyedl', 'pfamilyed', '');
INSERT INTO `npcaction` VALUES ('91064', 'ilbakiel', 'ilbakiel', '', '');
INSERT INTO `npcaction` VALUES ('91065', 'merlin1', 'merlin1', 'merlin2', '');
INSERT INTO `npcaction` VALUES ('91066', 'dsecret1', 'dsecret2', 'dsecret3', '');
INSERT INTO `npcaction` VALUES ('91184', 'dwfmerchant', 'dwfmerchant', '', '');
INSERT INTO `npcaction` VALUES ('91185', 'hankoo1', 'hankoo1', '', '');
INSERT INTO `npcaction` VALUES ('91327', 'j_html00', 'j_html00', '', '');
INSERT INTO `npcaction` VALUES ('91328', 'id0', 'id0', '', '');
INSERT INTO `npcaction` VALUES ('90000', 'asha3', 'asha3', 'asha1', '');
INSERT INTO `npcaction` VALUES ('90001', 'feaena3', 'feaena3', 'feaena1', '');
INSERT INTO `npcaction` VALUES ('70901', 'jeti1', '', '', '');
INSERT INTO `npcaction` VALUES ('70604', 'bridget1', '', '', '');
INSERT INTO `npcaction` VALUES ('70615', 'alda1', '', '', '');
INSERT INTO `npcaction` VALUES ('70619', 'alice1', '', '', '');
INSERT INTO `npcaction` VALUES ('70621', 'evelyn1', '', '', '');
INSERT INTO `npcaction` VALUES ('70624', 'oliver1', '', '', '');
INSERT INTO `npcaction` VALUES ('70626', 'jack1', '', '', '');
INSERT INTO `npcaction` VALUES ('70634', 'tanya1', '', '', '');
INSERT INTO `npcaction` VALUES ('70582', 'neil1', '', '', '');
INSERT INTO `npcaction` VALUES ('70583', 'nelson1', '', '', '');
INSERT INTO `npcaction` VALUES ('70606', 'victor1', '', '', '');
INSERT INTO `npcaction` VALUES ('70608', 'shalina1', '', '', '');
INSERT INTO `npcaction` VALUES ('70825', 'ellne1', '', '', '');
INSERT INTO `npcaction` VALUES ('70839', 'doettE1', '', '', '');
INSERT INTO `npcaction` VALUES ('70854', 'hurinCE1', '', '', '');
INSERT INTO `npcaction` VALUES ('70803', 'anotte1', '', '', '');
INSERT INTO `npcaction` VALUES ('70858', 'derick1', '', '', '');
INSERT INTO `npcaction` VALUES ('70581', 'gulian1', '', '', '');
INSERT INTO `npcaction` VALUES ('70586', 'daisy1', '', '', '');
INSERT INTO `npcaction` VALUES ('70592', 'leal1', '', '', '');
INSERT INTO `npcaction` VALUES ('70593', 'manus1', '', '', '');
INSERT INTO `npcaction` VALUES ('70589', 'laban1', '', '', '');
INSERT INTO `npcaction` VALUES ('70591', 'lina1', '', '', '');
INSERT INTO `npcaction` VALUES ('70637', 'tovia1', '', '', '');
INSERT INTO `npcaction` VALUES ('70630', 'giles1', '', '', '');
INSERT INTO `npcaction` VALUES ('70639', 'ferdinand1', '', '', '');
INSERT INTO `npcaction` VALUES ('70576', 'garth1', '', '', '');
INSERT INTO `npcaction` VALUES ('70640', 'pierre1', '', '', '');
INSERT INTO `npcaction` VALUES ('70834', 'torban1', '', '', '');
INSERT INTO `npcaction` VALUES ('70833', 'tommy1', '', '', '');
INSERT INTO `npcaction` VALUES ('70828', 'ofo1', '', '', '');
INSERT INTO `npcaction` VALUES ('70821', 'sanita1', '', '', '');
INSERT INTO `npcaction` VALUES ('70814', 'ruka1', '', '', '');
INSERT INTO `npcaction` VALUES ('70812', 'rohan1', '', '', '');
INSERT INTO `npcaction` VALUES ('70819', 'bob1', '', '', '');
INSERT INTO `npcaction` VALUES ('70767', 'haro1', '', '', '');
INSERT INTO `npcaction` VALUES ('70735', 'garuga1', '', '', '');
INSERT INTO `npcaction` VALUES ('70736', 'derian1', '', '', '');
INSERT INTO `npcaction` VALUES ('70741', 'dima1', '', '', '');
INSERT INTO `npcaction` VALUES ('70752', 'biyan1', '', '', '');
INSERT INTO `npcaction` VALUES ('70746', 'rotus1', '', '', '');
INSERT INTO `npcaction` VALUES ('70659', 'atara1', '', '', '');
INSERT INTO `npcaction` VALUES ('70648', 'daley1', '', '', '');
INSERT INTO `npcaction` VALUES ('70647', 'gavin1', '', '', '');
INSERT INTO `npcaction` VALUES ('70867', 'shannon1', '', '', '');
INSERT INTO `npcaction` VALUES ('70871', 'annabel1', '', '', '');
INSERT INTO `npcaction` VALUES ('70877', 'trion1', '', '', '');
INSERT INTO `npcaction` VALUES ('70878', 'felix1', '', '', '');
INSERT INTO `npcaction` VALUES ('90012', 'candle', '', '', '');
INSERT INTO `npcaction` VALUES ('90013', 'potionbag1', '', '', '');
INSERT INTO `npcaction` VALUES ('90014', 'ringq6', '', '', '');
INSERT INTO `npcaction` VALUES ('90015', 'ammymkr', '', '', '');
INSERT INTO `npcaction` VALUES ('70870', 'arina1x', '', '', '');
INSERT INTO `npcchat` VALUES ('45473', '0', 'Baltuzar', '0', '$339', '', '', '', '', '60', '1', '0', '1', '20000', '0');
INSERT INTO `npcchat` VALUES ('45488', '0', 'Caspa', '5000', '$340', '', '', '', '', '60', '1', '0', '1', '20000', '0');
INSERT INTO `npcchat` VALUES ('45497', '0', 'Merkyor', '10000', '$341', '', '', '', '', '60', '1', '0', '1', '20000', '0');
INSERT INTO `npcchat` VALUES ('45464', '0', 'Sema', '15000', '$342', '', '', '', '', '60', '1', '0', '1', '20000', '0');
INSERT INTO `npcchat` VALUES ('45545', '0', 'Dark Elder', '0', '$993', '', '', '', '', '60', '1', '0', '1', '10000', '0');
INSERT INTO `npcchat` VALUES ('45545', '1', 'Dark Elder', '0', '$995', '', '', '', '', '60', '1', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45600', '0', 'Kurtz', '0', '$275', '$279', '$281', '$285', '$287', '60', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45600', '1', 'Kurtz', '0', '$302', '', '', '', '', '60', '1', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45264', '2', 'Harpy', '0', '$994', '', '', '', '', '60', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45573', '0', 'Baphomet', '0', '$825', '', '', '', '', '0', '1', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45931', '1', 'Spirit of Water', '0', '$5167', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45935', '0', 'Cursed Medusa', '0', '$5169', '', '', '', '', '0', '0', '0', '0', '10000', '0');
INSERT INTO `npcchat` VALUES ('45941', '1', 'Cursed Exorcist Saell', '0', '$5166', '', '', '', '', '0', '1', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45942', '0', 'Cursed Great Spirit of Water', '0', '$5170', '', '', '', '', '0', '1', '0', '0', '10000', '0');
INSERT INTO `npcchat` VALUES ('45943', '1', 'Kapu', '0', '$5165', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('46083', '0', 'Patrol 2', '0', '$5016', '', '', '', '', '0', '1', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('46098', '0', 'Patrol 2', '0', '$5014', '', '', '', '', '0', '1', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45577', '1', 'Brigade Commander Dark Fencer', '0', '$3892', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45607', '1', 'Evil Power Squad Leader Kybar', '0', '$3900', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45863', '1', 'Dread Queen Laia', '0', '$3908', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45676', '1', 'Bright Magic King Hellvine', '0', '$3923', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45648', '1', 'Slave of Assassin King', '0', '$3940', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45588', '1', 'Division Commander Sinclair', '0', '$3901', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45602', '1', 'Evil Magic Squad Leader Carmiel', '0', '$3903', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45608', '1', 'Mercenary Commander Mephaisto', '0', '$3930', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45612', '1', 'Temple Head Bounty', '0', '$3912', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45844', '1', 'Dread King Baranka', '0', '$3895', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45615', '1', 'Bright Magic Troup Leader Crepus', '0', '$3917', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45585', '1', 'Assassin Squad Leader Blaze', '0', '$3939', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45574', '1', 'Palace General Kyte', '0', '$3938', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45492', '1', 'Kuman', '0', '$3943', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45548', '1', 'Jose', '0', '$4030', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45955', '1', 'Supreme Court Justice Kenya', '0', '$4625', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45959', '1', 'Supreme Court Justice Edea', '0', '$4626', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45963', '1', 'New King Adjutant Cassandra', '0', '$3888', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('46157', '1', 'Orc Emissary', '0', '$6127', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('46158', '1', 'Orc Emissary', '0', '$6127', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('46159', '1', 'Orc Emissary', '0', '$6127', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('81175', '0', 'Wanted Criminal Kuzak', '0', '$5325', '', '', '', '', '0', '1', '0', '1', '15000', '0');
INSERT INTO `npcchat` VALUES ('81175', '1', 'Wanted Criminal Kuzak', '0', '$5327', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `npcchat` VALUES ('45458', '1', 'Captain Drake', '0', '$3603', '', '', '', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40749', '', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40750', '', '-3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40751', '', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40752', '', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0');
INSERT INTO `petitem` VALUES ('40756', '', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0');
INSERT INTO `petitem` VALUES ('40757', '', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40758', '', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40761', '', '0', '0', '-4', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40762', '', '0', '0', '-7', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40763', '', '0', '0', '-8', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40764', '', '0', '0', '-12', '0', '0', '0', '1', '1', '0', '0', '0', '10');
INSERT INTO `petitem` VALUES ('40765', '', '0', '0', '-13', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `petitem` VALUES ('40766', '', '0', '0', '-20', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `pettypes` VALUES ('45034', 'Shepherd', '40057', '5', '8', '1', '2', '45687', '1088', '1089', '1090', '1091', '1092', '1074');
INSERT INTO `pettypes` VALUES ('45039', 'Cat', '40057', '3', '6', '3', '5', '45696', '2728', '2729', '2730', '2731', '2731', '2732');
INSERT INTO `pettypes` VALUES ('45040', 'Bear', '40057', '8', '14', '1', '2', '45690', '2738', '2739', '2740', '2741', '2741', '2742');
INSERT INTO `pettypes` VALUES ('45042', 'Doberman', '40057', '3', '6', '1', '2', '45688', '1088', '1089', '1090', '1091', '1092', '1074');
INSERT INTO `pettypes` VALUES ('45043', 'Wolf', '40057', '3', '9', '1', '2', '45686', '1088', '1089', '1090', '1091', '1092', '1074');
INSERT INTO `pettypes` VALUES ('45044', 'Raccoon', '40057', '3', '9', '2', '4', '45697', '3578', '3579', '3580', '3581', '3581', '3582');
INSERT INTO `pettypes` VALUES ('45046', 'Beagle', '40057', '4', '8', '2', '4', '45692', '1088', '1089', '1090', '1091', '1092', '1074');
INSERT INTO `pettypes` VALUES ('45047', 'Saint Bernard', '40057', '6', '10', '2', '4', '45693', '1088', '1089', '1090', '1091', '1092', '1074');
INSERT INTO `pettypes` VALUES ('45048', 'Fox', '40057', '3', '9', '2', '3', '45694', '2733', '2734', '2735', '2736', '2736', '2737');
INSERT INTO `pettypes` VALUES ('45049', 'Killer Rabbit', '40060', '3', '8', '3', '5', '45695', '2723', '2724', '2725', '2726', '2726', '2727');
INSERT INTO `pettypes` VALUES ('45053', 'Husky', '40057', '8', '13', '1', '2', '45689', '1088', '1089', '1090', '1091', '1092', '1074');
INSERT INTO `pettypes` VALUES ('45054', 'Collie', '40057', '8', '11', '3', '4', '45691', '1088', '1089', '1090', '1091', '1092', '1074');
INSERT INTO `pettypes` VALUES ('45313', 'Tiger', '40057', '8', '14', '3', '5', '45710', '4135', '4136', '4137', '4138', '4138', '4134');
INSERT INTO `pettypes` VALUES ('45686', 'High Wolf', '0', '3', '9', '1', '2', '46046', '2823', '2824', '2825', '2826', '2826', '1074');
INSERT INTO `pettypes` VALUES ('45687', 'High Shepherd', '0', '5', '8', '1', '2', '46046', '2819', '2820', '2821', '2822', '2822', '1074');
INSERT INTO `pettypes` VALUES ('45688', 'High Doberman', '0', '4', '6', '1', '2', '46046', '2811', '2812', '2813', '2814', '2814', '1074');
INSERT INTO `pettypes` VALUES ('45689', 'High Husky', '0', '10', '15', '1', '2', '46046', '2815', '2816', '2817', '2818', '2818', '1074');
INSERT INTO `pettypes` VALUES ('45690', 'High Bear', '0', '8', '14', '1', '2', '46046', '2831', '2832', '2833', '2834', '2834', '2742');
INSERT INTO `pettypes` VALUES ('45691', 'High Collie', '0', '10', '14', '3', '4', '46046', '2827', '2828', '2829', '2830', '2830', '1074');
INSERT INTO `pettypes` VALUES ('45692', 'High Beagle', '0', '4', '8', '2', '4', '46046', '2847', '2848', '2849', '2850', '2850', '1074');
INSERT INTO `pettypes` VALUES ('45693', 'High St. Bernard', '0', '6', '9', '2', '4', '46046', '2851', '2852', '2853', '2854', '2854', '1074');
INSERT INTO `pettypes` VALUES ('45694', 'High Fox', '0', '3', '9', '2', '4', '46046', '2835', '2836', '2837', '2838', '2838', '2737');
INSERT INTO `pettypes` VALUES ('45695', 'High Rabbit', '0', '3', '8', '3', '5', '46046', '2843', '2844', '2845', '2846', '2846', '2727');
INSERT INTO `pettypes` VALUES ('45696', 'High Cat', '0', '3', '6', '3', '5', '46046', '2839', '2840', '2841', '2842', '2842', '2732');
INSERT INTO `pettypes` VALUES ('45697', 'High Raccoon', '0', '5', '9', '3', '5', '46046', '3583', '3584', '3585', '3586', '3586', '3582');
INSERT INTO `pettypes` VALUES ('45710', 'Battle Tiger', '0', '10', '15', '3', '5', '46046', '4140', '4141', '4142', '4143', '4143', '4134');
INSERT INTO `pettypes` VALUES ('45711', 'Jindo Puppy', '40057', '3', '6', '3', '5', '45712', '4125', '4126', '4127', '4128', '4128', '4124');
INSERT INTO `pettypes` VALUES ('45712', 'Jindo Dog', '0', '5', '8', '3', '5', '46046', '4130', '4131', '4132', '4133', '4133', '4124');
INSERT INTO `pettypes` VALUES ('46046', 'Gold Dragon', '0', '5', '8', '3', '5', '0', '3038', '3040', '2725', '2833', '2834', '4990');
INSERT INTO `polymorphs` VALUES ('945', 'milkcow', '945', '1', '0', '0', '0', '7');
INSERT INTO `polymorphs` VALUES ('947', 'deer', '947', '1', '0', '0', '0', '7');
INSERT INTO `polymorphs` VALUES ('979', 'wild boar', '979', '1', '0', '0', '1', '7');
INSERT INTO `polymorphs` VALUES ('3906', 'orc', '3906', '1', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3860', 'bow orc', '3860', '1', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3861', 'goblin', '3861', '1', '239', '913', '0', '7');
INSERT INTO `polymorphs` VALUES ('3862', 'kobolds', '3862', '1', '239', '913', '1', '7');
INSERT INTO `polymorphs` VALUES ('3863', 'dwarf', '3863', '1', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3864', 'orc fighter', '3864', '1', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3865', 'werewolf', '3865', '1', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3904', 'stone golem', '3904', '1', '239', '145', '1', '7');
INSERT INTO `polymorphs` VALUES ('29', 'floating eye', '29', '1', '0', '0', '1', '7');
INSERT INTO `polymorphs` VALUES ('1037', 'giant ant', '1037', '1', '0', '136', '0', '7');
INSERT INTO `polymorphs` VALUES ('1039', 'giant ant soldier', '1039', '1', '0', '136', '0', '7');
INSERT INTO `polymorphs` VALUES ('3866', 'gandi orc', '3866', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3867', 'rova orc', '3867', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3868', 'atuba orc', '3868', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3869', 'dudamara orc', '3869', '10', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3870', 'neruga orc', '3870', '10', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2374', 'skeleton polymorph', '2374', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2377', 'skeleton pike polymorph', '2377', '10', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3871', 'skeleton archer polymorph', '3871', '10', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2376', 'skeleton axeman polymorph', '2376', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('95', 'shelob', '95', '10', '0', '0', '0', '7');
INSERT INTO `polymorphs` VALUES ('3872', 'zombie', '3872', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3873', 'ghoul', '3873', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2378', 'spartoi polymorph', '2378', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3874', 'lycanthrope', '3874', '10', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('146', 'ungoliant', '146', '10', '0', '0', '0', '7');
INSERT INTO `polymorphs` VALUES ('3875', 'ghast', '3875', '10', '239', '945', '1', '7');
INSERT INTO `polymorphs` VALUES ('3876', 'bugbear', '3876', '10', '239', '945', '1', '7');
INSERT INTO `polymorphs` VALUES ('951', 'cerberus', '951', '15', '0', '0', '0', '7');
INSERT INTO `polymorphs` VALUES ('1047', 'scorpion', '1047', '15', '0', '0', '0', '7');
INSERT INTO `polymorphs` VALUES ('3877', 'ogre', '3877', '15', '255', '913', '1', '7');
INSERT INTO `polymorphs` VALUES ('3878', 'troll', '3878', '15', '239', '545', '1', '7');
INSERT INTO `polymorphs` VALUES ('3879', 'elder', '3879', '15', '239', '0', '1', '7');
INSERT INTO `polymorphs` VALUES ('3880', 'king bugbear', '3880', '15', '239', '945', '1', '7');
INSERT INTO `polymorphs` VALUES ('2323', 'orc scout polymorph', '2323', '15', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2386', 'minotaur i morph', '2386', '15', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2387', 'giant a morph', '2387', '15', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2385', 'yeti morph', '2385', '15', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3630', 'cyclops', '3630', '40', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3631', 'griffon', '3631', '40', '0', '32', '1', '7');
INSERT INTO `polymorphs` VALUES ('3632', 'cockatrice', '3632', '40', '0', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3633', 'ettin', '3633', '40', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3881', 'dark elder', '3881', '45', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3884', 'necromancer3', '3884', '45', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3885', 'necromancer4', '3885', '45', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3882', 'necromancer1', '3882', '45', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3883', 'necromancer2', '3883', '45', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3634', 'assassin', '3634', '45', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3887', 'darkelf carrier', '3887', '45', '255', '2047', '0', '7');
INSERT INTO `polymorphs` VALUES ('3888', 'baphomet', '3888', '50', '239', '954', '1', '7');
INSERT INTO `polymorphs` VALUES ('3905', 'beleth', '3905', '50', '239', '954', '1', '7');
INSERT INTO `polymorphs` VALUES ('3889', 'demon', '3889', '51', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3784', 'death knight', '3784', '52', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2284', 'dark elf polymorph', '2284', '52', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3945', 'gelatincube', '3945', '15', '239', '0', '1', '7');
INSERT INTO `polymorphs` VALUES ('3950', 'middle oum', '3950', '15', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2384', 'succubus morph', '2384', '40', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4918', 'bandit bow morph', '4918', '40', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4925', 'elmor soldier morph', '4925', '40', '56', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3886', 'lesser demon', '3886', '45', '239', '2047', '0', '7');
INSERT INTO `polymorphs` VALUES ('4917', 'darkelf ranger morph', '4917', '45', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4920', 'elmor general morph', '4920', '45', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3102', 'great minotaur morph', '3102', '50', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4919', 'darkelf guard morph', '4919', '50', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4922', 'guardian armor morph', '4922', '50', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4924', 'darkelf spear morph', '4924', '50', '56', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4926', 'darkelf wizard morph', '4926', '50', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3101', 'black knight chief morph', '3101', '51', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4923', 'black knight morph', '4923', '51', '56', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3126', 'fire bowman morph', '3126', '51', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3103', 'barlog morph', '3103', '52', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4921', 'darkelf general morph', '4921', '52', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4932', 'assassin master morph', '4932', '52', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3890', 'ancient black knight morph', '3890', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3891', 'ancient black mage morph', '3891', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3892', 'ancient black scouter morph', '3892', '55', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5727', 'ancient black assassin morph', '5727', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3893', 'ancient silver knight morph', '3893', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3894', 'ancient silver mage morph', '3894', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3895', 'ancient silver scouter morph', '3895', '60', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5730', 'ancient silver assassin morph', '5730', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3896', 'ancient gold knight morph', '3896', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3897', 'ancient gold mage morph', '3897', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3898', 'ancient gold scouter morph', '3898', '65', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5733', 'ancient gold assassin morph', '5733', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3899', 'ancient platinum knight morph', '3899', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3900', 'ancient platinum mage morph', '3900', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3901', 'ancient platinum scouter morph', '3901', '70', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5736', 'ancient platinum assassin morph', '5736', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('2501', 'jack o lantern', '2501', '1', '239', '417', '0', '7');
INSERT INTO `polymorphs` VALUES ('2388', 'death', '2388', '1', '0', '32', '0', '7');
INSERT INTO `polymorphs` VALUES ('3952', 'vampire', '3952', '1', '0', '32', '0', '7');
INSERT INTO `polymorphs` VALUES ('4767', 'rabbit', '4767', '1', '0', '2047', '0', '7');
INSERT INTO `polymorphs` VALUES ('4769', 'carrot rabbit', '4769', '1', '0', '2047', '0', '7');
INSERT INTO `polymorphs` VALUES ('4928', 'high collie', '4928', '1', '0', '2', '1', '7');
INSERT INTO `polymorphs` VALUES ('4929', 'high raccoon', '4929', '1', '0', '2', '1', '7');
INSERT INTO `polymorphs` VALUES ('938', 'beagle', '938', '1', '0', '2', '1', '7');
INSERT INTO `polymorphs` VALUES ('2064', 'snowman', '2064', '1', '0', '1027', '1', '7');
INSERT INTO `polymorphs` VALUES ('4227', 'hakama', '4227', '1', '0', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3750', 'haregi', '3750', '1', '0', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3664', 'baranka', '3664', '1', '192', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5719', 'manekineko', '5719', '1', '511', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6010', 'red orc', '6010', '1', '0', '1', '0', '7');
INSERT INTO `polymorphs` VALUES ('6089', 'drake morph', '6089', '1', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4000', 'knight vald morph', '4000', '1', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4001', 'iris morph', '4001', '1', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4002', 'paperman morph', '4002', '1', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('4004', 'succubus queen morph', '4004', '1', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5184', 'red uniform', '5184', '1', '0', '8', '1', '7');
INSERT INTO `polymorphs` VALUES ('5186', 'blue uniform', '5186', '1', '0', '8', '1', '7');
INSERT INTO `polymorphs` VALUES ('4186', 'robber bone', '4186', '1', '239', '2047', '0', '7');
INSERT INTO `polymorphs` VALUES ('4188', 'robber bone head', '4188', '1', '239', '2047', '0', '7');
INSERT INTO `polymorphs` VALUES ('4190', 'robber bone soldier', '4190', '1', '256', '2047', '0', '7');
INSERT INTO `polymorphs` VALUES ('6002', 'spirit of earth boss', '6002', '1', '8', '0', '1', '7');
INSERT INTO `polymorphs` VALUES ('6080', 'princess horse', '6080', '1', '16', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6094', 'prince horse', '6094', '1', '16', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6137', 'death 52', '6137', '52', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6140', 'darkelf 52', '6140', '52', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6136', 'barlog 52', '6136', '52', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6139', 'general 52', '6139', '52', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6138', 'assassin 52', '6138', '52', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6267', 'neo black knight', '6267', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6268', 'neo black mage', '6268', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6269', 'neo black scouter', '6269', '55', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6279', 'neo black assassin', '6279', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6142', 'death 55', '6142', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6145', 'darkelf 55', '6145', '55', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6141', 'barlog 55', '6141', '55', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6144', 'general 55', '6144', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6143', 'assassin 55', '6143', '55', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6270', 'neo silver knight', '6270', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6271', 'neo silver mage', '6271', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6272', 'neo silver scouter', '6272', '60', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6280', 'neo silver assassin', '6280', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6147', 'death 60', '6147', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6150', 'darkelf 60', '6150', '60', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6146', 'barlog 60', '6146', '60', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6149', 'general 60', '6149', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6148', 'assassin 60', '6148', '60', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6273', 'neo gold knight', '6273', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6274', 'neo gold mage', '6274', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6275', 'neo gold scouter', '6275', '65', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6281', 'neo gold assassin', '6281', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6152', 'death 65', '6152', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6155', 'darkelf 65', '6155', '65', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6151', 'barlog 65', '6151', '65', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6154', 'general 65', '6154', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6153', 'assassin 65', '6153', '65', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6276', 'neo platinum knight', '6276', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6277', 'neo platinum mage', '6277', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6278', 'neo platinum scouter', '6278', '70', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6282', 'neo platinum assassin', '6282', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6157', 'death 70', '6157', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6160', 'darkelf 70', '6160', '70', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6156', 'barlog 70', '6156', '70', '255', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6159', 'general 70', '6159', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6158', 'assassin 70', '6158', '70', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6180', 'unicorn A', '6180', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6181', 'unicorn B', '6181', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6182', 'unicorn C', '6182', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6183', 'unicorn D', '6183', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6184', 'bear A', '6184', '0', '237', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6185', 'bear B', '6185', '0', '237', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6186', 'bear C', '6186', '0', '237', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6187', 'bear D', '6187', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6188', 'mini white dog A', '6188', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6189', 'mini white dog B', '6189', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6190', 'mini white dog C', '6190', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6191', 'mini white dog D', '6191', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6192', 'ratman A', '6192', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6193', 'ratman B', '6193', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6194', 'ratman C', '6194', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6195', 'ratman D', '6195', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6196', 'pet tiger A', '6196', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6197', 'pet tiger B', '6197', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6198', 'pet tiger C', '6198', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6199', 'pet tiger D', '6199', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6200', 'dillo A', '6200', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6201', 'dillo B', '6201', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6202', 'dillo C', '6202', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6203', 'dillo D', '6203', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6204', 'mole A', '6204', '0', '256', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6205', 'mole B', '6205', '0', '256', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6206', 'mole C', '6206', '0', '256', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6207', 'mole D', '6207', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6208', 'darkelf thief A', '6208', '0', '495', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6209', 'darkelf thief B', '6209', '0', '495', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6210', 'darkelf thief C', '6210', '0', '495', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6211', 'darkelf thief D', '6211', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6212', 'ken lauhel A', '6212', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6213', 'ken lauhel B', '6213', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6214', 'ken lauhel C', '6214', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6215', 'ken lauhel D', '6215', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6216', 'kelenis A', '6216', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6217', 'kelenis B', '6217', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6218', 'kelenis C', '6218', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6219', 'kelenis D', '6219', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6220', 'slave A', '6220', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6221', 'slave B', '6221', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6222', 'slave C', '6222', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6223', 'slave D', '6223', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6224', 'dofleganger boss A', '6224', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6225', 'dofleganger boss B', '6225', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6226', 'dofleganger boss C', '6226', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6227', 'dofleganger boss D', '6227', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6228', 'lich A', '6228', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6229', 'lich B', '6229', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6230', 'lich C', '6230', '0', '239', '2047', '1', '10');
INSERT INTO `polymorphs` VALUES ('6231', 'lich D', '6231', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6232', 'woman1 A', '6232', '0', '0', '2047', '0', '10');
INSERT INTO `polymorphs` VALUES ('6233', 'woman1 B', '6233', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6234', 'woman2 A', '6234', '0', '0', '2047', '0', '10');
INSERT INTO `polymorphs` VALUES ('6235', 'woman2 B', '6235', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6236', 'woman3 A', '6236', '0', '0', '2047', '0', '10');
INSERT INTO `polymorphs` VALUES ('6237', 'woman3 B', '6237', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6238', 'woman4 A', '6238', '0', '0', '2047', '0', '10');
INSERT INTO `polymorphs` VALUES ('6239', 'woman4 B', '6239', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6240', 'woman5 A', '6240', '0', '0', '2047', '0', '10');
INSERT INTO `polymorphs` VALUES ('6241', 'woman5 B', '6241', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6242', 'noblewoman A', '6242', '0', '0', '2047', '0', '10');
INSERT INTO `polymorphs` VALUES ('6243', 'noblewoman B', '6243', '0', '0', '0', '0', '10');
INSERT INTO `polymorphs` VALUES ('6284', 'Haunted House jack o lantern', '6284', '1', '0', '0', '0', '7');
INSERT INTO `polymorphs` VALUES ('3902', 'Kelenis Morph', '3902', '1', '43', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('3903', 'Ken Lauhel Morph', '3903', '1', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5645', 'Halloween Pumpkin', '5645', '1', '511', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('5976', 'high bear', '5976', '1', '239', '2', '0', '7');
INSERT INTO `polymorphs` VALUES ('6086', 'Rabor Born Head', '6086', '1', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6087', 'Rabor Born archer', '6087', '1', '256', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6088', 'Rabor Born knife', '6088', '1', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6400', 'Halloween jack o lantern', '6400', '1', '511', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6034', 'priest of corruption', '6034', '45', '239', '2047', '1', '7');
INSERT INTO `polymorphs` VALUES ('6894', 'awake', '6894', '1', '751', '4095', '1', '7');
INSERT INTO `polymorphs` VALUES ('7338', 'spearm 55', '7338', '55', '1040', '4095', '1', '7');
INSERT INTO `polymorphs` VALUES ('7339', 'spearm 60', '7339', '60', '1040', '4095', '1', '7');
INSERT INTO `polymorphs` VALUES ('7340', 'spearm 65', '7340', '65', '1040', '4095', '1', '7');
INSERT INTO `polymorphs` VALUES ('7341', 'spearm 70', '7341', '70', '1040', '4095', '1', '7');
INSERT INTO `polymorphs` VALUES ('7332', 'spearm 52', '7332', '50', '1040', '4095', '1', '7');
INSERT INTO `quest_drops` VALUES ('40502', 'D');
INSERT INTO `quest_drops` VALUES ('40503', 'D');
INSERT INTO `quest_drops` VALUES ('40556', 'D');
INSERT INTO `quest_drops` VALUES ('40557', 'D');
INSERT INTO `quest_drops` VALUES ('40558', 'D');
INSERT INTO `quest_drops` VALUES ('40559', 'D');
INSERT INTO `quest_drops` VALUES ('40560', 'D');
INSERT INTO `quest_drops` VALUES ('40561', 'D');
INSERT INTO `quest_drops` VALUES ('40562', 'D');
INSERT INTO `quest_drops` VALUES ('40563', 'D');
INSERT INTO `quest_drops` VALUES ('40571', 'D');
INSERT INTO `quest_drops` VALUES ('40572', 'D');
INSERT INTO `quest_drops` VALUES ('40582', 'D');
INSERT INTO `quest_drops` VALUES ('40583', 'D');
INSERT INTO `quest_drops` VALUES ('40584', 'D');
INSERT INTO `quest_drops` VALUES ('40585', 'D');
INSERT INTO `quest_drops` VALUES ('40595', 'D');
INSERT INTO `quest_drops` VALUES ('40596', 'D');
INSERT INTO `quest_drops` VALUES ('40606', 'D');
INSERT INTO `quest_drops` VALUES ('40648', 'D');
INSERT INTO `quest_drops` VALUES ('40566', 'E');
INSERT INTO `quest_drops` VALUES ('40602', 'E');
INSERT INTO `quest_drops` VALUES ('40609', 'E');
INSERT INTO `quest_drops` VALUES ('40610', 'E');
INSERT INTO `quest_drops` VALUES ('40611', 'E');
INSERT INTO `quest_drops` VALUES ('40612', 'E');
INSERT INTO `quest_drops` VALUES ('40538', 'W');
INSERT INTO `quest_drops` VALUES ('40539', 'W');
INSERT INTO `quest_drops` VALUES ('40542', 'W');
INSERT INTO `quest_drops` VALUES ('40579', 'W');
INSERT INTO `quest_drops` VALUES ('40580', 'W');
INSERT INTO `quest_drops` VALUES ('40594', 'W');
INSERT INTO `quest_drops` VALUES ('40604', 'W');
INSERT INTO `quest_drops` VALUES ('40605', 'W');
INSERT INTO `quest_drops` VALUES ('40537', 'K');
INSERT INTO `quest_drops` VALUES ('40544', 'K');
INSERT INTO `quest_drops` VALUES ('40601', 'K');
INSERT INTO `quest_drops` VALUES ('40547', 'P');
INSERT INTO `quest_drops` VALUES ('40564', 'P');
INSERT INTO `quest_drops` VALUES ('40565', 'P');
INSERT INTO `quest_drops` VALUES ('40570', 'P');
INSERT INTO `quest_drops` VALUES ('40573', 'P');
INSERT INTO `quest_drops` VALUES ('40574', 'P');
INSERT INTO `quest_drops` VALUES ('40575', 'P');
INSERT INTO `quest_drops` VALUES ('40576', 'P');
INSERT INTO `quest_drops` VALUES ('40577', 'P');
INSERT INTO `quest_drops` VALUES ('40578', 'P');
INSERT INTO `quest_drops` VALUES ('40586', 'P');
INSERT INTO `quest_drops` VALUES ('40587', 'P');
INSERT INTO `quest_drops` VALUES ('40598', 'P');
INSERT INTO `quest_drops` VALUES ('40555', 'K');
INSERT INTO `quest_drops` VALUES ('40581', 'W');
INSERT INTO `quest_drops` VALUES ('40590', 'K');
INSERT INTO `resolvent` VALUES ('1', '', '2');
INSERT INTO `resolvent` VALUES ('200001', '', '2');
INSERT INTO `resolvent` VALUES ('21', '', '2');
INSERT INTO `resolvent` VALUES ('2', '', '2');
INSERT INTO `resolvent` VALUES ('200002', '', '2');
INSERT INTO `resolvent` VALUES ('23', '', '3');
INSERT INTO `resolvent` VALUES ('26', '', '25');
INSERT INTO `resolvent` VALUES ('27', '', '100');
INSERT INTO `resolvent` VALUES ('100027', '', '100');
INSERT INTO `resolvent` VALUES ('200027', '', '100');
INSERT INTO `resolvent` VALUES ('25', '', '180');
INSERT INTO `resolvent` VALUES ('100025', '', '180');
INSERT INTO `resolvent` VALUES ('32', '', '250');
INSERT INTO `resolvent` VALUES ('200032', '', '250');
INSERT INTO `resolvent` VALUES ('31', '', '300');
INSERT INTO `resolvent` VALUES ('52', '', '1800');
INSERT INTO `resolvent` VALUES ('100052', '', '1800');
INSERT INTO `resolvent` VALUES ('200052', '', '1800');
INSERT INTO `resolvent` VALUES ('93', '', '2');
INSERT INTO `resolvent` VALUES ('91', '', '5');
INSERT INTO `resolvent` VALUES ('95', '', '6');
INSERT INTO `resolvent` VALUES ('100095', '', '6');
INSERT INTO `resolvent` VALUES ('96', '', '8');
INSERT INTO `resolvent` VALUES ('94', '', '50');
INSERT INTO `resolvent` VALUES ('104', '', '800');
INSERT INTO `resolvent` VALUES ('102', '', '900');
INSERT INTO `resolvent` VALUES ('100102', '', '900');
INSERT INTO `resolvent` VALUES ('107', '', '20000');
INSERT INTO `resolvent` VALUES ('100107', '', '20000');
INSERT INTO `resolvent` VALUES ('137', '', '1');
INSERT INTO `resolvent` VALUES ('136', '', '2');
INSERT INTO `resolvent` VALUES ('138', '', '3');
INSERT INTO `resolvent` VALUES ('139', '', '4');
INSERT INTO `resolvent` VALUES ('140', '', '9');
INSERT INTO `resolvent` VALUES ('143', '', '70');
INSERT INTO `resolvent` VALUES ('100143', '', '70');
INSERT INTO `resolvent` VALUES ('145', '', '100');
INSERT INTO `resolvent` VALUES ('146', '', '350');
INSERT INTO `resolvent` VALUES ('100146', '', '350');
INSERT INTO `resolvent` VALUES ('142', '', '800');
INSERT INTO `resolvent` VALUES ('148', '', '1200');
INSERT INTO `resolvent` VALUES ('149', '', '1200');
INSERT INTO `resolvent` VALUES ('151', '', '20000');
INSERT INTO `resolvent` VALUES ('100151', '', '20000');
INSERT INTO `resolvent` VALUES ('128', '', '30');
INSERT INTO `resolvent` VALUES ('126', '', '900');
INSERT INTO `resolvent` VALUES ('132', '', '10000');
INSERT INTO `resolvent` VALUES ('100132', '', '10000');
INSERT INTO `resolvent` VALUES ('171', '', '3');
INSERT INTO `resolvent` VALUES ('200171', '', '3');
INSERT INTO `resolvent` VALUES ('172', '', '5');
INSERT INTO `resolvent` VALUES ('100172', '', '5');
INSERT INTO `resolvent` VALUES ('169', '', '500');
INSERT INTO `resolvent` VALUES ('100169', '', '500');
INSERT INTO `resolvent` VALUES ('20182', '', '800');
INSERT INTO `resolvent` VALUES ('120182', '', '800');
INSERT INTO `resolvent` VALUES ('20162', '', '800');
INSERT INTO `resolvent` VALUES ('20188', '', '800');
INSERT INTO `resolvent` VALUES ('20177', '', '10000');
INSERT INTO `resolvent` VALUES ('20189', '', '10000');
INSERT INTO `resolvent` VALUES ('20181', '', '10000');
INSERT INTO `resolvent` VALUES ('20172', '', '10000');
INSERT INTO `resolvent` VALUES ('20034', '', '15');
INSERT INTO `resolvent` VALUES ('220034', '', '15');
INSERT INTO `resolvent` VALUES ('20043', '', '20');
INSERT INTO `resolvent` VALUES ('120043', '', '20');
INSERT INTO `resolvent` VALUES ('220043', '', '20');
INSERT INTO `resolvent` VALUES ('20007', '', '60');
INSERT INTO `resolvent` VALUES ('20011', '', '250');
INSERT INTO `resolvent` VALUES ('120011', '', '250');
INSERT INTO `resolvent` VALUES ('20089', '', '10');
INSERT INTO `resolvent` VALUES ('20135', '', '20');
INSERT INTO `resolvent` VALUES ('220135', '', '20');
INSERT INTO `resolvent` VALUES ('20147', '', '30');
INSERT INTO `resolvent` VALUES ('220147', '', '30');
INSERT INTO `resolvent` VALUES ('20096', '', '50');
INSERT INTO `resolvent` VALUES ('20136', '', '80');
INSERT INTO `resolvent` VALUES ('220136', '', '80');
INSERT INTO `resolvent` VALUES ('20114', '', '100');
INSERT INTO `resolvent` VALUES ('20139', '', '100');
INSERT INTO `resolvent` VALUES ('20122', '', '200');
INSERT INTO `resolvent` VALUES ('220122', '', '200');
INSERT INTO `resolvent` VALUES ('20124', '', '200');
INSERT INTO `resolvent` VALUES ('20149', '', '1600');
INSERT INTO `resolvent` VALUES ('120149', '', '1600');
INSERT INTO `resolvent` VALUES ('20115', '', '2000');
INSERT INTO `resolvent` VALUES ('220115', '', '2000');
INSERT INTO `resolvent` VALUES ('20101', '', '2500');
INSERT INTO `resolvent` VALUES ('120101', '', '2500');
INSERT INTO `resolvent` VALUES ('220101', '', '2500');
INSERT INTO `resolvent` VALUES ('20143', '', '3700');
INSERT INTO `resolvent` VALUES ('20142', '', '3700');
INSERT INTO `resolvent` VALUES ('20140', '', '3700');
INSERT INTO `resolvent` VALUES ('20141', '', '3700');
INSERT INTO `resolvent` VALUES ('20072', '', '5');
INSERT INTO `resolvent` VALUES ('20052', '', '10');
INSERT INTO `resolvent` VALUES ('20056', '', '20');
INSERT INTO `resolvent` VALUES ('120056', '', '20');
INSERT INTO `resolvent` VALUES ('220056', '', '20');
INSERT INTO `resolvent` VALUES ('20205', '', '200');
INSERT INTO `resolvent` VALUES ('20217', '', '300');
INSERT INTO `resolvent` VALUES ('20306', '', '1500');
INSERT INTO `resolvent` VALUES ('120306', '', '1500');
INSERT INTO `resolvent` VALUES ('20307', '', '1500');
INSERT INTO `resolvent` VALUES ('120307', '', '1500');
INSERT INTO `resolvent` VALUES ('20308', '', '1500');
INSERT INTO `resolvent` VALUES ('120308', '', '1500');
INSERT INTO `resolvent` VALUES ('20312', '', '3000');
INSERT INTO `resolvent` VALUES ('120312', '', '3000');
INSERT INTO `resolvent` VALUES ('20316', '', '3000');
INSERT INTO `resolvent` VALUES ('120316', '', '3000');
INSERT INTO `resolvent` VALUES ('20319', '', '3000');
INSERT INTO `resolvent` VALUES ('120319', '', '3000');
INSERT INTO `resolvent` VALUES ('20321', '', '3000');
INSERT INTO `resolvent` VALUES ('120321', '', '3000');
INSERT INTO `resolvent` VALUES ('20266', '', '1000');
INSERT INTO `resolvent` VALUES ('120266', '', '1000');
INSERT INTO `resolvent` VALUES ('20263', '', '6500');
INSERT INTO `resolvent` VALUES ('20284', '', '200');
INSERT INTO `resolvent` VALUES ('40010', '', '3');
INSERT INTO `resolvent` VALUES ('140010', '', '3');
INSERT INTO `resolvent` VALUES ('240010', '', '3');
INSERT INTO `resolvent` VALUES ('40011', '', '25');
INSERT INTO `resolvent` VALUES ('140011', '', '25');
INSERT INTO `resolvent` VALUES ('40012', '', '37');
INSERT INTO `resolvent` VALUES ('140012', '', '37');
INSERT INTO `resolvent` VALUES ('40019', '', '4');
INSERT INTO `resolvent` VALUES ('40020', '', '25');
INSERT INTO `resolvent` VALUES ('40021', '', '56');
INSERT INTO `resolvent` VALUES ('40017', '', '7');
INSERT INTO `resolvent` VALUES ('40013', '', '20');
INSERT INTO `resolvent` VALUES ('140013', '', '20');
INSERT INTO `resolvent` VALUES ('40018', '', '150');
INSERT INTO `resolvent` VALUES ('140018', '', '150');
INSERT INTO `resolvent` VALUES ('40016', '', '60');
INSERT INTO `resolvent` VALUES ('140016', '', '60');
INSERT INTO `resolvent` VALUES ('40014', '', '80');
INSERT INTO `resolvent` VALUES ('140014', '', '80');
INSERT INTO `resolvent` VALUES ('40015', '', '100');
INSERT INTO `resolvent` VALUES ('140015', '', '100');
INSERT INTO `resolvent` VALUES ('40068', '', '50');
INSERT INTO `resolvent` VALUES ('140068', '', '50');
INSERT INTO `resolvent` VALUES ('40317', '', '15');
INSERT INTO `resolvent` VALUES ('40126', '', '5');
INSERT INTO `resolvent` VALUES ('40100', '', '7');
INSERT INTO `resolvent` VALUES ('140100', '', '7');
INSERT INTO `resolvent` VALUES ('40119', '', '10');
INSERT INTO `resolvent` VALUES ('140119', '', '10');
INSERT INTO `resolvent` VALUES ('40079', '', '12');
INSERT INTO `resolvent` VALUES ('40089', '', '100');
INSERT INTO `resolvent` VALUES ('140089', '', '100');
INSERT INTO `resolvent` VALUES ('40088', '', '130');
INSERT INTO `resolvent` VALUES ('140088', '', '130');
INSERT INTO `resolvent` VALUES ('40090', '', '10');
INSERT INTO `resolvent` VALUES ('40091', '', '40');
INSERT INTO `resolvent` VALUES ('40092', '', '100');
INSERT INTO `resolvent` VALUES ('40093', '', '250');
INSERT INTO `resolvent` VALUES ('40094', '', '500');
INSERT INTO `resolvent` VALUES ('40170', '', '160');
INSERT INTO `resolvent` VALUES ('40171', '', '160');
INSERT INTO `resolvent` VALUES ('40172', '', '160');
INSERT INTO `resolvent` VALUES ('40173', '', '160');
INSERT INTO `resolvent` VALUES ('40174', '', '160');
INSERT INTO `resolvent` VALUES ('40175', '', '160');
INSERT INTO `resolvent` VALUES ('40176', '', '160');
INSERT INTO `resolvent` VALUES ('40177', '', '160');
INSERT INTO `resolvent` VALUES ('40178', '', '180');
INSERT INTO `resolvent` VALUES ('40179', '', '180');
INSERT INTO `resolvent` VALUES ('40180', '', '180');
INSERT INTO `resolvent` VALUES ('40181', '', '180');
INSERT INTO `resolvent` VALUES ('40182', '', '180');
INSERT INTO `resolvent` VALUES ('40183', '', '180');
INSERT INTO `resolvent` VALUES ('40184', '', '180');
INSERT INTO `resolvent` VALUES ('40185', '', '180');
INSERT INTO `resolvent` VALUES ('40186', '', '200');
INSERT INTO `resolvent` VALUES ('40187', '', '200');
INSERT INTO `resolvent` VALUES ('40188', '', '200');
INSERT INTO `resolvent` VALUES ('40189', '', '200');
INSERT INTO `resolvent` VALUES ('40190', '', '200');
INSERT INTO `resolvent` VALUES ('40191', '', '200');
INSERT INTO `resolvent` VALUES ('40192', '', '200');
INSERT INTO `resolvent` VALUES ('40193', '', '200');
INSERT INTO `resolvent` VALUES ('40210', '', '280');
INSERT INTO `resolvent` VALUES ('40211', '', '280');
INSERT INTO `resolvent` VALUES ('40212', '', '280');
INSERT INTO `resolvent` VALUES ('40213', '', '280');
INSERT INTO `resolvent` VALUES ('40214', '', '280');
INSERT INTO `resolvent` VALUES ('40215', '', '280');
INSERT INTO `resolvent` VALUES ('40216', '', '280');
INSERT INTO `resolvent` VALUES ('40217', '', '280');
INSERT INTO `resolvent` VALUES ('40265', '', '50');
INSERT INTO `resolvent` VALUES ('40266', '', '50');
INSERT INTO `resolvent` VALUES ('40267', '', '50');
INSERT INTO `resolvent` VALUES ('40268', '', '50');
INSERT INTO `resolvent` VALUES ('40269', '', '50');
INSERT INTO `resolvent` VALUES ('40270', '', '200');
INSERT INTO `resolvent` VALUES ('40271', '', '200');
INSERT INTO `resolvent` VALUES ('40272', '', '200');
INSERT INTO `resolvent` VALUES ('40273', '', '200');
INSERT INTO `resolvent` VALUES ('40274', '', '200');
INSERT INTO `resolvent` VALUES ('40275', '', '500');
INSERT INTO `resolvent` VALUES ('40276', '', '500');
INSERT INTO `resolvent` VALUES ('40277', '', '500');
INSERT INTO `resolvent` VALUES ('40278', '', '500');
INSERT INTO `resolvent` VALUES ('40279', '', '500');
INSERT INTO `resolvent` VALUES ('40164', '', '1000');
INSERT INTO `resolvent` VALUES ('40007', '', '2');
INSERT INTO `resolvent` VALUES ('40006', '', '2');
INSERT INTO `resolvent` VALUES ('140006', '', '2');
INSERT INTO `resolvent` VALUES ('40008', '', '2');
INSERT INTO `resolvent` VALUES ('140008', '', '2');
INSERT INTO `resolvent` VALUES ('40524', '', '2');
INSERT INTO `resolvent` VALUES ('40515', '', '10');
INSERT INTO `resolvent` VALUES ('40044', '', '50');
INSERT INTO `resolvent` VALUES ('40047', '', '50');
INSERT INTO `resolvent` VALUES ('40045', '', '50');
INSERT INTO `resolvent` VALUES ('40046', '', '50');
INSERT INTO `resolvent` VALUES ('40048', '', '100');
INSERT INTO `resolvent` VALUES ('40051', '', '100');
INSERT INTO `resolvent` VALUES ('40049', '', '100');
INSERT INTO `resolvent` VALUES ('40050', '', '100');
INSERT INTO `resolvent` VALUES ('40496', '', '2');
INSERT INTO `resolvent` VALUES ('40408', '', '2');
INSERT INTO `resolvent` VALUES ('40499', '', '2');
INSERT INTO `resolvent` VALUES ('40444', '', '100');
INSERT INTO `resolvent` VALUES ('40443', '', '8');
INSERT INTO `resolvent` VALUES ('40442', '', '2');
INSERT INTO `resolvent` VALUES ('40899', '', '2');
INSERT INTO `resolvent` VALUES ('40486', '', '2');
INSERT INTO `resolvent` VALUES ('40514', '', '10');
INSERT INTO `resolvent` VALUES ('40397', '', '2');
INSERT INTO `resolvent` VALUES ('40398', '', '2');
INSERT INTO `resolvent` VALUES ('40399', '', '2');
INSERT INTO `resolvent` VALUES ('40400', '', '2');
INSERT INTO `resolvent` VALUES ('40437', '', '2');
INSERT INTO `resolvent` VALUES ('40483', '', '2');
INSERT INTO `resolvent` VALUES ('40438', '', '2');
INSERT INTO `resolvent` VALUES ('40431', '', '3');
INSERT INTO `resolvent` VALUES ('40434', '', '3');
INSERT INTO `resolvent` VALUES ('40424', '', '5');
INSERT INTO `resolvent` VALUES ('40490', '', '8');
INSERT INTO `resolvent` VALUES ('40459', '', '10');
INSERT INTO `resolvent` VALUES ('40472', '', '120');
INSERT INTO `resolvent` VALUES ('40419', '', '150');
INSERT INTO `resolvent` VALUES ('40512', '', '2');
INSERT INTO `resolvent` VALUES ('40510', '', '3');
INSERT INTO `resolvent` VALUES ('40511', '', '105');
INSERT INTO `resolvent` VALUES ('40986', '', '50');
INSERT INTO `resolvent` VALUES ('40978', '', '100');
INSERT INTO `resolvent` VALUES ('40979', '', '100');
INSERT INTO `resolvent` VALUES ('40980', '', '100');
INSERT INTO `resolvent` VALUES ('40981', '', '100');
INSERT INTO `resolvent` VALUES ('40982', '', '200');
INSERT INTO `resolvent` VALUES ('40983', '', '200');
INSERT INTO `resolvent` VALUES ('40984', '', '200');
INSERT INTO `resolvent` VALUES ('40985', '', '200');
INSERT INTO `resolvent` VALUES ('40407', '', '2');
INSERT INTO `resolvent` VALUES ('40999', '', '2');
INSERT INTO `resolvent` VALUES ('41343', '', '2');
INSERT INTO `resolvent` VALUES ('40612', '', '2');
INSERT INTO `resolvent` VALUES ('40610', '', '2');
INSERT INTO `resolvent` VALUES ('40611', '', '2');
INSERT INTO `resolvent` VALUES ('40609', '', '2');
INSERT INTO `resolvent` VALUES ('40432', '', '5');
INSERT INTO `resolvent` VALUES ('41038', '', '10');
INSERT INTO `resolvent` VALUES ('41039', '', '10');
INSERT INTO `resolvent` VALUES ('41040', '', '10');
INSERT INTO `resolvent` VALUES ('41041', '', '10');
INSERT INTO `resolvent` VALUES ('41042', '', '10');
INSERT INTO `resolvent` VALUES ('41043', '', '10');
INSERT INTO `resolvent` VALUES ('41044', '', '10');
INSERT INTO `resolvent` VALUES ('41045', '', '10');
INSERT INTO `resolvent` VALUES ('41046', '', '10');
INSERT INTO `resolvent` VALUES ('41047', '', '10');
INSERT INTO `resolvent` VALUES ('40329', '', '10');
INSERT INTO `resolvent` VALUES ('140329', '', '10');
INSERT INTO `resolvent` VALUES ('40041', '', '20');
INSERT INTO `resolvent` VALUES ('41342', '', '200');
INSERT INTO `resolvent` VALUES ('41206', '', '600');
INSERT INTO `resolvent` VALUES ('40678', '', '1000');
INSERT INTO `resolvent` VALUES ('40718', '', '1000');
INSERT INTO `resolvent` VALUES ('90010', 'Lump of Metal', '2');
INSERT INTO `shop` VALUES ('50118', null, '40331', null, '0', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('50118', null, '40332', null, '1', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('50118', null, '40333', null, '2', '160000', '0', '80000');
INSERT INTO `shop` VALUES ('50118', null, '40334', null, '3', '40000', '0', '20000');
INSERT INTO `shop` VALUES ('50118', null, '40335', null, '4', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('50118', null, '40336', null, '5', '16000', '0', '8000');
INSERT INTO `shop` VALUES ('50118', null, '40337', null, '6', '200000', '0', '100000');
INSERT INTO `shop` VALUES ('50118', null, '40338', null, '7', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('50118', null, '40339', null, '8', '60000', '0', '30000');
INSERT INTO `shop` VALUES ('50118', null, '40340', null, '9', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70001', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70001', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70001', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70001', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70001', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70001', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70001', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70001', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70001', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70001', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70004', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70004', null, '40001', null, '1', '10', '0', '5');
INSERT INTO `shop` VALUES ('70004', null, '40317', null, '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('70004', null, '40119', null, '3', '100', '0', '50');
INSERT INTO `shop` VALUES ('70004', null, '40100', null, '4', '70', '0', '35');
INSERT INTO `shop` VALUES ('70004', null, '40098', null, '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('70004', null, '40743', null, '6', '1', '10', '0');
INSERT INTO `shop` VALUES ('70004', null, '40744', null, '7', '5', '5', '1');
INSERT INTO `shop` VALUES ('70004', null, '4', 'Dagger', '8', '5', '0', '3');
INSERT INTO `shop` VALUES ('70004', null, '136', 'Axe', '9', '20', '0', '10');
INSERT INTO `shop` VALUES ('70004', null, '172', null, '10', '50', '0', '25');
INSERT INTO `shop` VALUES ('70004', null, '137', 'Athame', '11', '15', '0', '8');
INSERT INTO `shop` VALUES ('70004', null, '90', 'Bardiche', '12', '35', '0', '18');
INSERT INTO `shop` VALUES ('70004', null, '23', 'Broad Sword', '13', '30', '0', '15');
INSERT INTO `shop` VALUES ('70004', null, '96', 'Spear', '14', '80', '0', '40');
INSERT INTO `shop` VALUES ('70004', null, '140', 'Mace', '15', '90', '0', '45');
INSERT INTO `shop` VALUES ('70004', null, '24', 'Short Sword', '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('70004', null, '27', 'Scimitar', '17', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70004', null, '25', 'Silver Sword', '18', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70004', null, '32', 'Gradius', '19', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70004', null, '31', 'Long Sword', '20', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70004', null, '69', 'Bronze Edoryu', '21', '800', '0', '400');
INSERT INTO `shop` VALUES ('70004', null, '71', 'Steel Edoryu', '22', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70004', null, '152', 'Bronze Claw', '23', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70004', null, '153', 'Steel Claw', '24', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70004', null, '128', 'Oak Staff', '25', '300', '0', '150');
INSERT INTO `shop` VALUES ('70004', null, '129', 'Wizard\'s Staff', '26', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70004', null, '20322', null, '27', '20', '0', '1');
INSERT INTO `shop` VALUES ('70004', null, '20239', null, '28', '60', '0', '30');
INSERT INTO `shop` VALUES ('70004', null, '20242', null, '29', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70004', null, '20089', null, '30', '100', '0', '50');
INSERT INTO `shop` VALUES ('70004', null, '20147', null, '31', '300', '0', '150');
INSERT INTO `shop` VALUES ('70004', null, '20096', null, '32', '500', '0', '250');
INSERT INTO `shop` VALUES ('70004', null, '20114', null, '33', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70004', null, '20122', null, '34', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70004', null, '20125', null, '35', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70007', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70007', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70007', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70007', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70007', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70007', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70007', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70007', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70007', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70007', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70008', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70008', null, '4', 'Dagger', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70008', null, '40001', null, '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70008', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70008', null, '172', null, '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70008', null, '137', 'Athame', '5', '17', '0', '9');
INSERT INTO `shop` VALUES ('70008', null, '90', 'Bardiche', '6', '39', '0', '20');
INSERT INTO `shop` VALUES ('70008', null, '23', 'Broad Sword', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70008', null, '96', 'Spear', '8', '88', '0', '44');
INSERT INTO `shop` VALUES ('70008', null, '140', 'Mace', '9', '99', '0', '50');
INSERT INTO `shop` VALUES ('70008', null, '24', 'Short Sword', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70008', null, '27', 'Scimitar', '11', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70008', null, '31', 'Long Sword', '12', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70008', null, '20322', null, '13', '1', '0', '0');
INSERT INTO `shop` VALUES ('70008', null, '20239', null, '14', '60', '0', '30');
INSERT INTO `shop` VALUES ('70008', null, '20089', null, '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70008', null, '20147', null, '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70008', null, '20096', null, '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70008', null, '20114', null, '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70008', null, '20122', null, '19', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70008', null, '20242', null, '20', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70008', null, '20125', null, '21', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70008', null, '40056', null, '22', '1', '0', '1');
INSERT INTO `shop` VALUES ('70008', null, '40065', null, '23', '5', '0', '3');
INSERT INTO `shop` VALUES ('70008', null, '40017', null, '24', '70', '0', '35');
INSERT INTO `shop` VALUES ('70008', null, '40010', null, '25', '37', '0', '19');
INSERT INTO `shop` VALUES ('70008', null, '40011', null, '26', '150', '0', '75');
INSERT INTO `shop` VALUES ('70008', null, '40013', null, '27', '200', '0', '100');
INSERT INTO `shop` VALUES ('70008', null, '40018', null, '28', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70008', null, '40126', null, '29', '50', '0', '25');
INSERT INTO `shop` VALUES ('70008', null, '40014', null, '30', '800', '0', '400');
INSERT INTO `shop` VALUES ('70008', null, '40016', null, '31', '600', '0', '300');
INSERT INTO `shop` VALUES ('70008', null, '40738', null, '32', '2', '0', '1');
INSERT INTO `shop` VALUES ('70008', null, '40740', null, '33', '3', '0', '2');
INSERT INTO `shop` VALUES ('70010', null, '20239', null, '0', '60', '0', '30');
INSERT INTO `shop` VALUES ('70010', null, '20229', null, '1', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70010', null, '20242', null, '2', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70010', null, '20231', null, '3', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70010', null, '20043', null, '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70010', null, '20013', null, '5', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70010', null, '20014', null, '6', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70010', null, '20015', null, '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70010', null, '20036', null, '8', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70010', null, '20011', null, '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70010', null, '20006', null, '10', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70010', null, '20089', null, '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70010', null, '20147', null, '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70010', null, '20114', null, '13', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70010', null, '20096', null, '14', '500', '0', '250');
INSERT INTO `shop` VALUES ('70010', null, '20122', null, '15', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70011', null, '40299', null, '0', '300', '0', '150');
INSERT INTO `shop` VALUES ('70013', null, '40136', null, '0', '920', '0', '460');
INSERT INTO `shop` VALUES ('70013', null, '40137', null, '1', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70013', null, '40138', null, '2', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70013', null, '40139', null, '3', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', null, '40140', null, '4', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', null, '40141', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', null, '40142', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', null, '40143', null, '7', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', null, '40144', null, '8', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', null, '40145', null, '9', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', null, '40146', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', null, '40147', null, '11', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', null, '40148', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', null, '40149', null, '13', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', null, '40150', null, '14', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', null, '40151', null, '15', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', null, '40152', null, '16', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', null, '40153', null, '17', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', null, '40154', null, '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70013', null, '40155', null, '19', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', null, '40156', null, '20', '700', '0', '350');
INSERT INTO `shop` VALUES ('70013', null, '40157', null, '21', '350', '0', '175');
INSERT INTO `shop` VALUES ('70013', null, '40158', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70013', null, '40159', null, '23', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', null, '40160', null, '24', '175', '0', '88');
INSERT INTO `shop` VALUES ('70013', null, '40161', null, '25', '350', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70014', null, '4', 'Dagger', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70014', null, '40001', null, '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70014', null, '172', null, '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70014', null, '137', 'Athame', '5', '17', '0', '9');
INSERT INTO `shop` VALUES ('70014', null, '90', 'Bardiche', '6', '39', '0', '20');
INSERT INTO `shop` VALUES ('70014', null, '23', 'Broad Sword', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70014', null, '96', 'Spear', '8', '88', '0', '44');
INSERT INTO `shop` VALUES ('70014', null, '140', 'Mace', '9', '99', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '24', 'Short Sword', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70014', null, '27', 'Scimitar', '11', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70014', null, '31', 'Long Sword', '12', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70014', null, '20322', null, '13', '1', '0', '0');
INSERT INTO `shop` VALUES ('70014', null, '20239', null, '14', '60', '0', '30');
INSERT INTO `shop` VALUES ('70014', null, '20089', null, '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '20147', null, '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '20096', null, '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '20114', null, '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '20122', null, '19', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '20242', null, '20', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70014', null, '20125', null, '21', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40056', null, '22', '1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40065', null, '23', '5', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '40310', null, '24', '35', '0', '18');
INSERT INTO `shop` VALUES ('70014', null, '40311', null, '25', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70014', null, '40374', null, '26', '90', '0', '45');
INSERT INTO `shop` VALUES ('70014', null, '40317', null, '27', '150', '0', '75');
INSERT INTO `shop` VALUES ('70014', null, '40010', null, '28', '37', '0', '19');
INSERT INTO `shop` VALUES ('70014', null, '40011', null, '29', '150', '0', '75');
INSERT INTO `shop` VALUES ('70014', null, '40017', null, '30', '70', '0', '35');
INSERT INTO `shop` VALUES ('70014', null, '40013', null, '31', '200', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '40018', null, '32', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70014', null, '40315', null, '33', '500', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40126', null, '34', '50', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40100', null, '35', '70', '0', '35');
INSERT INTO `shop` VALUES ('70014', null, '40079', null, '36', '120', '0', '60');
INSERT INTO `shop` VALUES ('70014', null, '42027', null, '37', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '40119', null, '38', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '40009', null, '39', '990', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '40739', null, '40', '1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40738', null, '41', '2', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40740', null, '42', '3', '0', '2');
INSERT INTO `shop` VALUES ('70014', null, '40022', null, '43', '63', '0', '32');
INSERT INTO `shop` VALUES ('70014', null, '40023', null, '44', '375', '0', '188');
INSERT INTO `shop` VALUES ('70014', null, '40024', null, '45', '990', '0', '495');
INSERT INTO `shop` VALUES ('70015', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70015', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70015', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70015', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70015', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70015', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70015', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70015', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70015', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70015', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70016', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70016', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70016', null, '172', null, '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70016', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70016', null, '143', 'Battle Axe', '4', '770', '0', '385');
INSERT INTO `shop` VALUES ('70016', null, '141', 'War Hammer', '5', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70016', null, '146', 'Morning Staf', '6', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70016', null, '102', 'Lucern Hammer', '7', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70016', null, '148', 'Great Axe', '8', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70016', null, '23', 'Broad Sword', '9', '33', '0', '17');
INSERT INTO `shop` VALUES ('70016', null, '24', 'Short Sword', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70016', null, '31', 'Long Sword', '11', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70016', null, '32', 'Gradius', '12', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70016', null, '41', 'Katana', '13', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70016', null, '128', 'Oak Staff', '14', '330', '0', '165');
INSERT INTO `shop` VALUES ('70016', null, '129', 'Wizard\'s Staff', '15', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70016', null, '20239', null, '16', '60', '0', '30');
INSERT INTO `shop` VALUES ('70016', null, '20242', null, '17', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70016', null, '20231', null, '18', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70016', null, '20043', null, '19', '200', '0', '100');
INSERT INTO `shop` VALUES ('70016', null, '20006', null, '20', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70016', null, '20089', null, '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70016', null, '20147', null, '22', '300', '0', '150');
INSERT INTO `shop` VALUES ('70016', null, '20114', null, '23', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70016', null, '20096', null, '24', '500', '0', '250');
INSERT INTO `shop` VALUES ('70016', null, '20122', null, '25', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70016', null, '20125', null, '26', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70016', null, '20149', null, '27', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70016', null, '20115', null, '28', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70016', null, '40739', null, '29', '1', '0', '1');
INSERT INTO `shop` VALUES ('70016', null, '40738', null, '30', '2', '0', '1');
INSERT INTO `shop` VALUES ('70016', null, '40740', null, '31', '3', '0', '2');
INSERT INTO `shop` VALUES ('70017', null, '40012', null, '0', '300', '0', '150');
INSERT INTO `shop` VALUES ('70017', null, '40017', null, '1', '70', '0', '35');
INSERT INTO `shop` VALUES ('70017', null, '40013', null, '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('70017', null, '40018', null, '3', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70017', null, '40126', null, '4', '50', '0', '25');
INSERT INTO `shop` VALUES ('70017', null, '40100', null, '5', '70', '0', '35');
INSERT INTO `shop` VALUES ('70017', null, '40119', null, '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70017', null, '40089', null, '7', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70017', null, '40074', null, '8', '30000', '0', '15000');
INSERT INTO `shop` VALUES ('70017', null, '40567', null, '9', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70017', null, '40603', null, '10', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70018', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '20205', null, '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40001', null, '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '40002', null, '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '40003', null, '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70018', null, '40376', null, '7', '87', '0', '44');
INSERT INTO `shop` VALUES ('70018', null, '40381', null, '8', '87', '0', '44');
INSERT INTO `shop` VALUES ('70018', null, '40310', null, '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70018', null, '40311', null, '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70018', null, '40317', null, '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70018', null, '40315', null, '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40010', null, '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70018', null, '40011', null, '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70018', null, '40012', null, '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '40017', null, '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70018', null, '40013', null, '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '40018', null, '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70018', null, '40126', null, '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40100', null, '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70018', null, '40119', null, '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '40089', null, '22', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40079', null, '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70018', null, '40124', null, '24', '120', '0', '60');
INSERT INTO `shop` VALUES ('70018', null, '42027', null, '25', '100', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '40009', null, '26', '990', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '40022', null, '27', '63', '0', '32');
INSERT INTO `shop` VALUES ('70018', null, '40023', null, '28', '375', '0', '188');
INSERT INTO `shop` VALUES ('70018', null, '40024', null, '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70020', null, '161', null, '0', '40000', '0', '20000');
INSERT INTO `shop` VALUES ('70020', null, '80', 'Damascus Edoryu', '1', '30000', '0', '15000');
INSERT INTO `shop` VALUES ('70020', null, '159', null, '2', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70020', null, '77', 'Stealth Edoryu', '3', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70020', null, '154', 'Shadow Claw', '4', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70020', null, '72', 'Shadow Edoryu', '5', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70020', null, '193', null, '6', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70020', null, '20149', null, '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70020', null, '20154', null, '8', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70020', null, '20115', null, '9', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70020', null, '20110', null, '10', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '40001', null, '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '40002', null, '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '40003', null, '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70021', null, '40375', null, '6', '87', '0', '44');
INSERT INTO `shop` VALUES ('70021', null, '40310', null, '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70021', null, '40311', null, '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70021', null, '40317', null, '9', '150', '0', '75');
INSERT INTO `shop` VALUES ('70021', null, '40315', null, '10', '500', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40010', null, '11', '37', '0', '19');
INSERT INTO `shop` VALUES ('70021', null, '40011', null, '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70021', null, '40012', null, '13', '300', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '40017', null, '14', '70', '0', '35');
INSERT INTO `shop` VALUES ('70021', null, '40013', null, '15', '200', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '40018', null, '16', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70021', null, '40126', null, '17', '50', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40100', null, '18', '70', '0', '35');
INSERT INTO `shop` VALUES ('70021', null, '40079', null, '19', '120', '0', '60');
INSERT INTO `shop` VALUES ('70021', null, '40124', null, '20', '120', '0', '60');
INSERT INTO `shop` VALUES ('70021', null, '40119', null, '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '40089', null, '22', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '42027', null, '23', '100', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '40009', null, '24', '990', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '40022', null, '25', '63', '0', '32');
INSERT INTO `shop` VALUES ('70021', null, '40023', null, '26', '375', '0', '188');
INSERT INTO `shop` VALUES ('70021', null, '40024', null, '27', '990', '0', '495');
INSERT INTO `shop` VALUES ('70022', null, '40298', null, '0', '300', '0', '150');
INSERT INTO `shop` VALUES ('70024', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70024', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70024', null, '172', null, '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('70024', null, '136', 'Axe', '3', '20', '0', '10');
INSERT INTO `shop` VALUES ('70024', null, '143', 'Battle Axe', '4', '700', '0', '350');
INSERT INTO `shop` VALUES ('70024', null, '92', 'Bill-Guisarme', '5', '180', '0', '90');
INSERT INTO `shop` VALUES ('70024', null, '141', 'War Hammer', '6', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70024', null, '23', 'Broad Sword', '7', '30', '0', '15');
INSERT INTO `shop` VALUES ('70024', null, '24', 'Short Sword', '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('70024', null, '31', 'Long Sword', '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70024', null, '102', 'Lucern Hammer', '10', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70024', null, '41', 'Katana', '11', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70024', null, '20239', null, '12', '60', '0', '30');
INSERT INTO `shop` VALUES ('70024', null, '20242', null, '13', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70024', null, '20043', null, '14', '200', '0', '100');
INSERT INTO `shop` VALUES ('70024', null, '20089', null, '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70024', null, '20147', null, '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70024', null, '20096', null, '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70024', null, '20122', null, '18', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70024', null, '20125', null, '19', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70024', null, '20115', null, '20', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70024', null, '20101', null, '21', '25000', '0', '12500');
INSERT INTO `shop` VALUES ('70026', null, '40743', null, '0', '1', '11', '0');
INSERT INTO `shop` VALUES ('70026', null, '40744', null, '1', '5', '6', '1');
INSERT INTO `shop` VALUES ('70026', null, '172', null, '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70026', null, '169', null, '3', '5000', '0', '2500');
INSERT INTO `shop` VALUES ('70027', null, '40044', null, '0', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', null, '40045', null, '1', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', null, '40046', null, '2', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', null, '40047', null, '3', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70027', null, '40048', null, '4', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', null, '40049', null, '5', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', null, '40050', null, '6', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', null, '40051', null, '7', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70027', null, '40052', null, '8', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70027', null, '40053', null, '9', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70027', null, '40054', null, '10', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70027', null, '40055', null, '11', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70028', null, '40010', null, '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70028', null, '40011', null, '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70028', null, '40012', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70028', null, '40017', null, '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70028', null, '40013', null, '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70028', null, '40018', null, '5', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70028', null, '40019', null, '6', '55', '0', '28');
INSERT INTO `shop` VALUES ('70028', null, '40020', null, '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70028', null, '40021', null, '8', '900', '0', '450');
INSERT INTO `shop` VALUES ('70029', null, '40059', null, '0', '4', '0', '2');
INSERT INTO `shop` VALUES ('70029', null, '40069', null, '1', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', null, '40064', null, '2', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', null, '40061', null, '3', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', null, '40060', null, '4', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', null, '40062', null, '5', '6', '0', '3');
INSERT INTO `shop` VALUES ('70029', null, '40072', null, '6', '20', '0', '10');
INSERT INTO `shop` VALUES ('70030', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '20205', null, '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40001', null, '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '40002', null, '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '40003', null, '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70030', null, '40382', null, '7', '82', '0', '41');
INSERT INTO `shop` VALUES ('70030', null, '40381', null, '8', '87', '0', '44');
INSERT INTO `shop` VALUES ('70030', null, '40310', null, '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70030', null, '40311', null, '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70030', null, '40317', null, '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70030', null, '40315', null, '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40010', null, '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70030', null, '40011', null, '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70030', null, '40012', null, '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '40017', null, '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70030', null, '40013', null, '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '40018', null, '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70030', null, '40126', null, '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40100', null, '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70030', null, '40079', null, '21', '120', '0', '60');
INSERT INTO `shop` VALUES ('70030', null, '40124', null, '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70030', null, '40119', null, '23', '100', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '40089', null, '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '42027', null, '25', '100', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '40009', null, '26', '990', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '40022', null, '27', '63', '0', '32');
INSERT INTO `shop` VALUES ('70030', null, '40023', null, '28', '375', '0', '188');
INSERT INTO `shop` VALUES ('70030', null, '40024', null, '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70032', null, '20239', null, '0', '60', '0', '30');
INSERT INTO `shop` VALUES ('70032', null, '20229', null, '1', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70032', null, '20242', null, '2', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70032', null, '20231', null, '3', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70032', null, '20043', null, '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70032', null, '20013', null, '5', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70032', null, '20014', null, '6', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70032', null, '20015', null, '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70032', null, '20036', null, '8', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70032', null, '20011', null, '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70032', null, '20089', null, '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('70032', null, '20147', null, '11', '300', '0', '150');
INSERT INTO `shop` VALUES ('70032', null, '20114', null, '12', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70032', null, '20096', null, '13', '500', '0', '250');
INSERT INTO `shop` VALUES ('70032', null, '20122', null, '14', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70032', null, '20125', null, '15', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70032', null, '20110', null, '16', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70032', null, '20101', null, '17', '23000', '0', '11500');
INSERT INTO `shop` VALUES ('70032', null, '20149', null, '18', '16000', '0', '8000');
INSERT INTO `shop` VALUES ('70032', null, '20115', null, '19', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70032', null, '20154', null, '20', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70033', null, '40010', null, '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70033', null, '40011', null, '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70033', null, '40012', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70033', null, '40017', null, '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70033', null, '40013', null, '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70033', null, '40018', null, '5', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70033', null, '40019', null, '6', '55', '0', '28');
INSERT INTO `shop` VALUES ('70033', null, '40020', null, '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70033', null, '40021', null, '8', '900', '0', '450');
INSERT INTO `shop` VALUES ('70033', null, '40014', null, '9', '800', '0', '400');
INSERT INTO `shop` VALUES ('70033', null, '40016', null, '10', '600', '0', '300');
INSERT INTO `shop` VALUES ('70033', null, '40126', null, '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('70033', null, '40100', null, '12', '70', '0', '35');
INSERT INTO `shop` VALUES ('70033', null, '40119', null, '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('70033', null, '40089', null, '14', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70033', null, '40079', null, '15', '120', '0', '60');
INSERT INTO `shop` VALUES ('70033', null, '40124', null, '16', '120', '0', '60');
INSERT INTO `shop` VALUES ('70033', null, '40088', null, '17', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70033', null, '40074', null, '18', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70033', null, '40087', null, '19', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70033', null, '42027', null, '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70033', null, '40009', null, '21', '990', '0', '3');
INSERT INTO `shop` VALUES ('70033', null, '40022', null, '22', '63', '0', '32');
INSERT INTO `shop` VALUES ('70033', null, '40023', null, '23', '375', '0', '188');
INSERT INTO `shop` VALUES ('70033', null, '40024', null, '24', '990', '0', '495');
INSERT INTO `shop` VALUES ('70036', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70036', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70036', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70036', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70036', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70036', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70036', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70036', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70036', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70036', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70038', null, '40456', null, '0', '200', '0', '100');
INSERT INTO `shop` VALUES ('70038', null, '40455', null, '1', '200', '0', '100');
INSERT INTO `shop` VALUES ('70038', null, '40457', null, '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('70039', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70039', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70039', null, '172', null, '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('70039', null, '136', 'Axe', '3', '20', '0', '10');
INSERT INTO `shop` VALUES ('70039', null, '143', 'Battle Axe', '4', '700', '0', '350');
INSERT INTO `shop` VALUES ('70039', null, '142', 'Silver Axe', '5', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70039', null, '148', 'Great Axe', '6', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70039', null, '138', 'Club', '7', '30', '0', '15');
INSERT INTO `shop` VALUES ('70039', null, '139', 'Flail', '8', '40', '0', '20');
INSERT INTO `shop` VALUES ('70039', null, '141', 'War Hammer', '9', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70039', null, '146', 'Morning Staf', '10', '3500', '0', '1750');
INSERT INTO `shop` VALUES ('70039', null, '102', 'Lucern Hammer', '11', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70039', null, '23', 'Broad Sword', '12', '30', '0', '15');
INSERT INTO `shop` VALUES ('70039', null, '24', 'Short Sword', '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('70039', null, '25', 'Silver Sword', '14', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70039', null, '27', 'Scimitar', '15', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70039', null, '32', 'Gradius', '16', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70039', null, '31', 'Long Sword', '17', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70039', null, '29', 'Long Silver Sword', '18', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('70039', null, '37', 'Damascus Sword', '19', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70039', null, '52', 'Two-Handed Sword', '20', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70039', null, '41', 'Katana', '21', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70039', null, '90', 'Bardiche', '22', '40', '0', '20');
INSERT INTO `shop` VALUES ('70039', null, '92', 'Bill-Guisarme', '23', '180', '0', '90');
INSERT INTO `shop` VALUES ('70039', null, '93', 'Trident', '24', '25', '0', '13');
INSERT INTO `shop` VALUES ('70039', null, '94', 'Partisan', '25', '500', '0', '250');
INSERT INTO `shop` VALUES ('70039', null, '97', 'Guisarme', '26', '200', '0', '100');
INSERT INTO `shop` VALUES ('70039', null, '95', 'Lance', '27', '60', '0', '30');
INSERT INTO `shop` VALUES ('70039', null, '98', 'Glaive', '28', '360', '0', '180');
INSERT INTO `shop` VALUES ('70039', null, '103', 'Halberd', '29', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70039', null, '104', 'Fauchard', '30', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70039', null, '106', 'Bec de Corbin', '31', '16000', '0', '8000');
INSERT INTO `shop` VALUES ('70039', null, '128', 'Oak Staff', '32', '300', '0', '150');
INSERT INTO `shop` VALUES ('70039', null, '125', 'Staff of Sorcery', '33', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70039', null, '129', 'Wizard\'s Staff', '34', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70039', null, '40739', null, '35', '1', '2', '1');
INSERT INTO `shop` VALUES ('70039', null, '40738', null, '36', '1', '0', '1');
INSERT INTO `shop` VALUES ('70039', null, '40740', null, '37', '2', '0', '1');
INSERT INTO `shop` VALUES ('70043', null, '40405', null, '0', '4', '0', '2');
INSERT INTO `shop` VALUES ('70044', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70044', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70044', null, '172', null, '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70044', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70044', null, '137', 'Athame', '4', '17', '0', '9');
INSERT INTO `shop` VALUES ('70044', null, '90', 'Bardiche', '5', '39', '0', '20');
INSERT INTO `shop` VALUES ('70044', null, '96', 'Spear', '6', '88', '0', '44');
INSERT INTO `shop` VALUES ('70044', null, '140', 'Mace', '7', '99', '0', '50');
INSERT INTO `shop` VALUES ('70044', null, '27', 'Scimitar', '8', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70044', null, '143', 'Battle Axe', '9', '770', '0', '385');
INSERT INTO `shop` VALUES ('70044', null, '141', 'War Hammer', '10', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70044', null, '146', 'Morning Staf', '11', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70044', null, '102', 'Lucern Hammer', '12', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70044', null, '148', 'Great Axe', '13', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70044', null, '23', 'Broad Sword', '14', '33', '0', '17');
INSERT INTO `shop` VALUES ('70044', null, '24', 'Short Sword', '15', '110', '0', '55');
INSERT INTO `shop` VALUES ('70044', null, '31', 'Long Sword', '16', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70044', null, '32', 'Gradius', '17', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70044', null, '37', 'Damascus Sword', '18', '5500', '0', '2750');
INSERT INTO `shop` VALUES ('70044', null, '41', 'Katana', '19', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70044', null, '128', 'Oak Staff', '20', '330', '0', '165');
INSERT INTO `shop` VALUES ('70044', null, '129', 'Wizard\'s Staff', '21', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70044', null, '20239', null, '22', '60', '0', '30');
INSERT INTO `shop` VALUES ('70044', null, '20242', null, '23', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70044', null, '20231', null, '24', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70044', null, '20043', null, '25', '200', '0', '100');
INSERT INTO `shop` VALUES ('70044', null, '20006', null, '26', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70044', null, '20089', null, '27', '100', '0', '50');
INSERT INTO `shop` VALUES ('70044', null, '20147', null, '28', '300', '0', '150');
INSERT INTO `shop` VALUES ('70044', null, '20114', null, '29', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70044', null, '20096', null, '30', '500', '0', '250');
INSERT INTO `shop` VALUES ('70044', null, '20122', null, '31', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70044', null, '20125', null, '32', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70044', null, '20149', null, '33', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70044', null, '20154', null, '34', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70044', null, '20115', null, '35', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70044', null, '40739', null, '36', '1', '0', '1');
INSERT INTO `shop` VALUES ('70044', null, '40738', null, '37', '2', '0', '1');
INSERT INTO `shop` VALUES ('70044', null, '40740', null, '38', '3', '0', '2');
INSERT INTO `shop` VALUES ('70045', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '40310', null, '2', '35', '0', '18');
INSERT INTO `shop` VALUES ('70045', null, '40311', null, '3', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70045', null, '40317', null, '4', '150', '0', '75');
INSERT INTO `shop` VALUES ('70045', null, '40010', null, '5', '37', '0', '19');
INSERT INTO `shop` VALUES ('70045', null, '40011', null, '6', '150', '0', '75');
INSERT INTO `shop` VALUES ('70045', null, '40012', null, '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '40017', null, '8', '70', '0', '35');
INSERT INTO `shop` VALUES ('70045', null, '40013', null, '9', '200', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '40018', null, '10', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70045', null, '40019', null, '11', '55', '0', '28');
INSERT INTO `shop` VALUES ('70045', null, '40020', null, '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '40021', null, '13', '900', '0', '450');
INSERT INTO `shop` VALUES ('70045', null, '40014', null, '14', '800', '0', '400');
INSERT INTO `shop` VALUES ('70045', null, '40016', null, '15', '600', '0', '300');
INSERT INTO `shop` VALUES ('70045', null, '40315', null, '16', '500', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40386', null, '17', '62', '0', '31');
INSERT INTO `shop` VALUES ('70045', null, '40126', null, '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40100', null, '19', '70', '0', '35');
INSERT INTO `shop` VALUES ('70045', null, '40079', null, '20', '120', '0', '60');
INSERT INTO `shop` VALUES ('70045', null, '40124', null, '21', '120', '0', '60');
INSERT INTO `shop` VALUES ('70045', null, '40119', null, '22', '100', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '40089', null, '23', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40088', null, '24', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70045', null, '42027', null, '25', '100', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '40009', null, '26', '990', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '40022', null, '27', '63', '0', '32');
INSERT INTO `shop` VALUES ('70045', null, '40023', null, '28', '375', '0', '188');
INSERT INTO `shop` VALUES ('70045', null, '40024', null, '29', '990', '0', '495');
INSERT INTO `shop` VALUES ('70046', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70046', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70046', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70046', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70046', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70046', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70046', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70046', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70046', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70046', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70047', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70047', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70047', null, '172', null, '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70047', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70047', null, '143', 'Battle Axe', '4', '770', '0', '385');
INSERT INTO `shop` VALUES ('70047', null, '142', 'Silver Axe', '5', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70047', null, '148', 'Great Axe', '6', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70047', null, '138', 'Club', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70047', null, '139', 'Flail', '8', '44', '0', '22');
INSERT INTO `shop` VALUES ('70047', null, '141', 'War Hammer', '9', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70047', null, '146', 'Morning Staf', '10', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70047', null, '102', 'Lucern Hammer', '11', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70047', null, '23', 'Broad Sword', '12', '33', '0', '17');
INSERT INTO `shop` VALUES ('70047', null, '24', 'Short Sword', '13', '110', '0', '55');
INSERT INTO `shop` VALUES ('70047', null, '25', 'Silver Sword', '14', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70047', null, '27', 'Scimitar', '15', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70047', null, '32', 'Gradius', '16', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70047', null, '31', 'Long Sword', '17', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70047', null, '29', 'Long Silver Sword', '18', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('70047', null, '37', 'Damascus Sword', '19', '5500', '0', '2750');
INSERT INTO `shop` VALUES ('70047', null, '52', 'Two-Handed Sword', '20', '19800', '0', '9900');
INSERT INTO `shop` VALUES ('70047', null, '41', 'Katana', '21', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70047', null, '90', 'Bardiche', '22', '39', '0', '20');
INSERT INTO `shop` VALUES ('70047', null, '92', 'Bill-Guisarme', '23', '198', '0', '99');
INSERT INTO `shop` VALUES ('70047', null, '93', 'Trident', '24', '27', '0', '14');
INSERT INTO `shop` VALUES ('70047', null, '94', 'Partisan', '25', '550', '0', '275');
INSERT INTO `shop` VALUES ('70047', null, '97', 'Guisarme', '26', '220', '0', '110');
INSERT INTO `shop` VALUES ('70047', null, '95', 'Lance', '27', '66', '0', '33');
INSERT INTO `shop` VALUES ('70047', null, '98', 'Glaive', '28', '385', '0', '193');
INSERT INTO `shop` VALUES ('70047', null, '103', 'Halberd', '29', '2200', '0', '1100');
INSERT INTO `shop` VALUES ('70047', null, '104', 'Fauchard', '30', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70047', null, '106', 'Bec de Corbin', '31', '17600', '0', '8800');
INSERT INTO `shop` VALUES ('70047', null, '128', 'Oak Staff', '32', '330', '0', '165');
INSERT INTO `shop` VALUES ('70047', null, '125', 'Staff of Sorcery', '33', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70047', null, '129', 'Wizard\'s Staff', '34', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70047', null, '40738', null, '35', '2', '0', '1');
INSERT INTO `shop` VALUES ('70047', null, '40740', null, '36', '3', '0', '2');
INSERT INTO `shop` VALUES ('70048', null, '40388', null, '0', '82', '0', '41');
INSERT INTO `shop` VALUES ('70048', null, '40057', null, '1', '200', '0', '100');
INSERT INTO `shop` VALUES ('70048', null, '40056', null, '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('70048', null, '40065', null, '3', '5', '0', '3');
INSERT INTO `shop` VALUES ('70048', null, '20213', null, '4', '300', '0', '150');
INSERT INTO `shop` VALUES ('70048', null, '20205', null, '5', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70048', null, '40001', null, '6', '10', '0', '5');
INSERT INTO `shop` VALUES ('70048', null, '40002', null, '7', '100', '0', '50');
INSERT INTO `shop` VALUES ('70048', null, '40003', null, '8', '30', '0', '15');
INSERT INTO `shop` VALUES ('70048', null, '40310', null, '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70048', null, '40311', null, '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70048', null, '40317', null, '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70048', null, '40315', null, '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70048', null, '40010', null, '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70048', null, '40011', null, '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70048', null, '40012', null, '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70048', null, '40017', null, '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70048', null, '40013', null, '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70048', null, '40018', null, '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70048', null, '40126', null, '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70048', null, '40100', null, '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70048', null, '40119', null, '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70048', null, '40087', null, '22', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70048', null, '40074', null, '23', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70048', null, '40089', null, '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70048', null, '40079', null, '25', '120', '0', '60');
INSERT INTO `shop` VALUES ('70048', null, '40124', null, '26', '120', '0', '60');
INSERT INTO `shop` VALUES ('70048', null, '40088', null, '27', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70048', null, '40009', null, '28', '990', '0', '3');
INSERT INTO `shop` VALUES ('70048', null, '40901', null, '29', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70048', null, '40902', null, '30', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70048', null, '40903', null, '31', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70048', null, '40904', null, '32', '200000', '0', '100000');
INSERT INTO `shop` VALUES ('70048', null, '40905', null, '33', '500000', '0', '250000');
INSERT INTO `shop` VALUES ('70048', null, '40906', null, '34', '1000000', '0', '500000');
INSERT INTO `shop` VALUES ('70048', null, '40022', null, '35', '63', '0', '32');
INSERT INTO `shop` VALUES ('70048', null, '40023', null, '36', '375', '0', '188');
INSERT INTO `shop` VALUES ('70048', null, '40024', null, '37', '990', '0', '495');
INSERT INTO `shop` VALUES ('70049', null, '40010', null, '0', '44', '0', '19');
INSERT INTO `shop` VALUES ('70049', null, '40011', null, '1', '180', '0', '75');
INSERT INTO `shop` VALUES ('70049', null, '40012', null, '2', '360', '0', '150');
INSERT INTO `shop` VALUES ('70049', null, '40017', null, '3', '84', '0', '35');
INSERT INTO `shop` VALUES ('70049', null, '40018', null, '4', '1800', '0', '750');
INSERT INTO `shop` VALUES ('70050', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70050', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70050', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70050', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70050', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70050', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70050', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70050', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70050', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70050', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70051', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70051', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70051', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70051', null, '20205', null, '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70051', null, '40001', null, '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70051', null, '40002', null, '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70051', null, '40003', null, '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70051', null, '40310', null, '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70051', null, '40311', null, '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70051', null, '40317', null, '9', '150', '0', '75');
INSERT INTO `shop` VALUES ('70051', null, '40315', null, '10', '500', '0', '250');
INSERT INTO `shop` VALUES ('70051', null, '40010', null, '11', '37', '0', '19');
INSERT INTO `shop` VALUES ('70051', null, '40017', null, '12', '70', '0', '35');
INSERT INTO `shop` VALUES ('70051', null, '40013', null, '13', '200', '0', '100');
INSERT INTO `shop` VALUES ('70051', null, '40100', null, '14', '70', '0', '35');
INSERT INTO `shop` VALUES ('70051', null, '40119', null, '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70051', null, '40009', null, '16', '990', '0', '3');
INSERT INTO `shop` VALUES ('70052', null, '40388', null, '0', '82', '0', '41');
INSERT INTO `shop` VALUES ('70052', null, '40373', null, '1', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70052', null, '40057', null, '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('70052', null, '40056', null, '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('70052', null, '40065', null, '4', '5', '0', '3');
INSERT INTO `shop` VALUES ('70052', null, '20213', null, '5', '300', '0', '150');
INSERT INTO `shop` VALUES ('70052', null, '20205', null, '6', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70052', null, '40001', null, '7', '10', '0', '5');
INSERT INTO `shop` VALUES ('70052', null, '40002', null, '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('70052', null, '40003', null, '9', '30', '0', '15');
INSERT INTO `shop` VALUES ('70052', null, '40310', null, '10', '35', '0', '18');
INSERT INTO `shop` VALUES ('70052', null, '40311', null, '11', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70052', null, '40317', null, '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70052', null, '40315', null, '13', '500', '0', '250');
INSERT INTO `shop` VALUES ('70052', null, '40010', null, '14', '37', '0', '19');
INSERT INTO `shop` VALUES ('70052', null, '40011', null, '15', '150', '0', '75');
INSERT INTO `shop` VALUES ('70052', null, '40012', null, '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70052', null, '40017', null, '17', '70', '0', '35');
INSERT INTO `shop` VALUES ('70052', null, '40013', null, '18', '200', '0', '100');
INSERT INTO `shop` VALUES ('70052', null, '40018', null, '19', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70052', null, '40022', null, '20', '63', '0', '32');
INSERT INTO `shop` VALUES ('70052', null, '40023', null, '21', '375', '0', '188');
INSERT INTO `shop` VALUES ('70052', null, '40024', null, '22', '990', '0', '495');
INSERT INTO `shop` VALUES ('70053', null, '40059', null, '0', '4', '0', '2');
INSERT INTO `shop` VALUES ('70053', null, '40069', null, '1', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', null, '40064', null, '2', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', null, '40061', null, '3', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', null, '40060', null, '4', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', null, '40062', null, '5', '6', '0', '3');
INSERT INTO `shop` VALUES ('70053', null, '40072', null, '6', '20', '0', '10');
INSERT INTO `shop` VALUES ('70055', null, '40757', null, '0', '90000', '0', '45000');
INSERT INTO `shop` VALUES ('70055', null, '40751', null, '1', '50000', '0', '25000');
INSERT INTO `shop` VALUES ('70055', null, '40761', null, '2', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70055', null, '40763', null, '3', '50000', '0', '25000');
INSERT INTO `shop` VALUES ('70057', null, '40010', null, '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70057', null, '40011', null, '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70057', null, '40012', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70057', null, '40017', null, '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70057', null, '40013', null, '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70057', null, '40018', null, '5', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70057', null, '40019', null, '6', '55', '0', '28');
INSERT INTO `shop` VALUES ('70057', null, '40020', null, '7', '300', '0', '150');
INSERT INTO `shop` VALUES ('70057', null, '40021', null, '8', '900', '0', '450');
INSERT INTO `shop` VALUES ('70057', null, '40014', null, '9', '800', '0', '400');
INSERT INTO `shop` VALUES ('70057', null, '40016', null, '10', '600', '0', '300');
INSERT INTO `shop` VALUES ('70057', null, '40126', null, '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('70057', null, '40100', null, '12', '70', '0', '35');
INSERT INTO `shop` VALUES ('70057', null, '40119', null, '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('70057', null, '40089', null, '14', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70057', null, '40079', null, '15', '120', '0', '60');
INSERT INTO `shop` VALUES ('70057', null, '40124', null, '16', '120', '0', '60');
INSERT INTO `shop` VALUES ('70057', null, '40088', null, '17', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70057', null, '40074', null, '18', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70057', null, '40087', null, '19', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70057', null, '40009', null, '20', '990', '0', '3');
INSERT INTO `shop` VALUES ('70057', null, '40022', null, '21', '63', '0', '32');
INSERT INTO `shop` VALUES ('70057', null, '40023', null, '22', '375', '0', '188');
INSERT INTO `shop` VALUES ('70057', null, '40024', null, '23', '990', '0', '495');
INSERT INTO `shop` VALUES ('70058', null, '20239', null, '0', '60', '0', '30');
INSERT INTO `shop` VALUES ('70058', null, '20229', null, '1', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70058', null, '20242', null, '2', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70058', null, '20231', null, '3', '7000', '0', '3500');
INSERT INTO `shop` VALUES ('70058', null, '20043', null, '4', '200', '0', '100');
INSERT INTO `shop` VALUES ('70058', null, '20013', null, '5', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70058', null, '20014', null, '6', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70058', null, '20015', null, '7', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70058', null, '20036', null, '8', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70058', null, '20011', null, '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70058', null, '20006', null, '10', '5000', '0', '25');
INSERT INTO `shop` VALUES ('70058', null, '20089', null, '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70058', null, '20147', null, '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70058', null, '20114', null, '13', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70058', null, '20096', null, '14', '500', '0', '250');
INSERT INTO `shop` VALUES ('70058', null, '20122', null, '15', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70058', null, '20125', null, '16', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70058', null, '20110', null, '17', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70058', null, '20101', null, '18', '23000', '0', '5750');
INSERT INTO `shop` VALUES ('70058', null, '20149', null, '19', '18000', '0', '9000');
INSERT INTO `shop` VALUES ('70058', null, '20115', null, '20', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('70058', null, '20154', null, '21', '37000', '0', '18500');
INSERT INTO `shop` VALUES ('70059', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70059', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70059', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70059', null, '20205', null, '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70059', null, '40001', null, '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70059', null, '40002', null, '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70059', null, '40003', null, '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70059', null, '40387', null, '7', '86', '0', '43');
INSERT INTO `shop` VALUES ('70059', null, '40310', null, '8', '35', '0', '18');
INSERT INTO `shop` VALUES ('70059', null, '40311', null, '9', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70059', null, '40317', null, '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70059', null, '40315', null, '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('70059', null, '40010', null, '12', '37', '0', '19');
INSERT INTO `shop` VALUES ('70059', null, '40011', null, '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70059', null, '40012', null, '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70059', null, '40017', null, '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70059', null, '40013', null, '16', '200', '0', '100');
INSERT INTO `shop` VALUES ('70059', null, '40018', null, '17', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70059', null, '40126', null, '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('70059', null, '40100', null, '19', '70', '0', '35');
INSERT INTO `shop` VALUES ('70059', null, '40119', null, '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70059', null, '40089', null, '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70059', null, '40079', null, '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70059', null, '40124', null, '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70059', null, '40088', null, '24', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70059', null, '40009', null, '25', '990', '0', '3');
INSERT INTO `shop` VALUES ('70059', null, '40022', null, '26', '63', '0', '32');
INSERT INTO `shop` VALUES ('70059', null, '40023', null, '27', '375', '0', '188');
INSERT INTO `shop` VALUES ('70059', null, '40024', null, '28', '990', '0', '495');
INSERT INTO `shop` VALUES ('70092', null, '40126', null, '13', '55', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40016', null, '12', '660', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40014', null, '11', '880', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40018', null, '10', '1800', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40013', null, '9', '280', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40024', null, '7', '687', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40023', null, '6', '344', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40017', null, '8', '110', '0', '-1');
INSERT INTO `shop` VALUES ('70061', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70061', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70061', null, '172', null, '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70061', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70061', null, '143', 'Battle Axe', '4', '770', '0', '385');
INSERT INTO `shop` VALUES ('70061', null, '142', 'Silver Axe', '5', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70061', null, '148', 'Great Axe', '6', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('70061', null, '138', 'Club', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70061', null, '139', 'Flail', '8', '44', '0', '22');
INSERT INTO `shop` VALUES ('70061', null, '141', 'War Hammer', '9', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70061', null, '146', 'Morning Staf', '10', '3850', '0', '1925');
INSERT INTO `shop` VALUES ('70061', null, '102', 'Lucern Hammer', '11', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70061', null, '23', 'Broad Sword', '12', '33', '0', '17');
INSERT INTO `shop` VALUES ('70061', null, '24', 'Short Sword', '13', '110', '0', '55');
INSERT INTO `shop` VALUES ('70061', null, '25', 'Silver Sword', '14', '1800', '0', '900');
INSERT INTO `shop` VALUES ('70061', null, '27', 'Scimitar', '15', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70061', null, '32', 'Gradius', '16', '2750', '0', '1375');
INSERT INTO `shop` VALUES ('70061', null, '31', 'Long Sword', '17', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70061', null, '29', 'Long Silver Sword', '18', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('70061', null, '37', 'Damascus Sword', '19', '5500', '0', '2750');
INSERT INTO `shop` VALUES ('70061', null, '52', 'Two-Handed Sword', '20', '19800', '0', '9900');
INSERT INTO `shop` VALUES ('70061', null, '41', 'Katana', '21', '22000', '0', '11000');
INSERT INTO `shop` VALUES ('70061', null, '90', 'Bardiche', '22', '39', '0', '20');
INSERT INTO `shop` VALUES ('70061', null, '92', 'Bill-Guisarme', '23', '198', '0', '99');
INSERT INTO `shop` VALUES ('70061', null, '93', 'Trident', '24', '27', '0', '14');
INSERT INTO `shop` VALUES ('70061', null, '94', 'Partisan', '25', '550', '0', '275');
INSERT INTO `shop` VALUES ('70061', null, '97', 'Guisarme', '26', '220', '0', '110');
INSERT INTO `shop` VALUES ('70061', null, '95', 'Lance', '27', '66', '0', '33');
INSERT INTO `shop` VALUES ('70061', null, '98', 'Glaive', '28', '385', '0', '193');
INSERT INTO `shop` VALUES ('70061', null, '103', 'Halberd', '29', '2200', '0', '1100');
INSERT INTO `shop` VALUES ('70061', null, '104', 'Fauchard', '30', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('70061', null, '106', 'Bec de Corbin', '31', '17600', '0', '8800');
INSERT INTO `shop` VALUES ('70061', null, '128', 'Oak Staff', '32', '330', '0', '165');
INSERT INTO `shop` VALUES ('70061', null, '125', 'Staff of Sorcery', '33', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70061', null, '129', 'Wizard\'s Staff', '34', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70061', null, '40739', null, '35', '1', '0', '1');
INSERT INTO `shop` VALUES ('70061', null, '40738', null, '36', '2', '0', '1');
INSERT INTO `shop` VALUES ('70061', null, '40740', null, '37', '3', '0', '2');
INSERT INTO `shop` VALUES ('70092', null, '40021', null, '5', '624', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40020', null, '4', '227', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40012', null, '3', '416', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40011', null, '2', '185', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '41245', null, '1', '75', '10', '-1');
INSERT INTO `shop` VALUES ('70066', null, '40194', null, '6', '29700', '0', '-1');
INSERT INTO `shop` VALUES ('70063', null, '40057', null, '0', '200', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40056', null, '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40065', null, '2', '5', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '20213', null, '3', '300', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '20205', null, '4', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40001', null, '5', '10', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '40002', null, '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '40003', null, '7', '30', '0', '15');
INSERT INTO `shop` VALUES ('70063', null, '40387', null, '8', '86', '0', '43');
INSERT INTO `shop` VALUES ('70063', null, '40310', null, '9', '35', '0', '18');
INSERT INTO `shop` VALUES ('70063', null, '40311', null, '10', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70063', null, '40317', null, '11', '150', '0', '75');
INSERT INTO `shop` VALUES ('70063', null, '40315', null, '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40010', null, '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70063', null, '40011', null, '14', '150', '0', '75');
INSERT INTO `shop` VALUES ('70063', null, '40012', null, '15', '300', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '40017', null, '16', '70', '0', '35');
INSERT INTO `shop` VALUES ('70063', null, '40013', null, '17', '200', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40018', null, '18', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70063', null, '40126', null, '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40100', null, '20', '70', '0', '35');
INSERT INTO `shop` VALUES ('70063', null, '40119', null, '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '40087', null, '22', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70063', null, '40074', null, '23', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70063', null, '40089', null, '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40079', null, '25', '120', '0', '60');
INSERT INTO `shop` VALUES ('70063', null, '40124', null, '26', '120', '0', '60');
INSERT INTO `shop` VALUES ('70063', null, '40088', null, '27', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70063', null, '42027', null, '28', '100', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '40009', null, '29', '990', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '40022', null, '30', '63', '0', '32');
INSERT INTO `shop` VALUES ('70063', null, '40023', null, '31', '375', '0', '188');
INSERT INTO `shop` VALUES ('70063', null, '40024', null, '32', '990', '0', '495');
INSERT INTO `shop` VALUES ('70066', null, '40188', null, '5', '16500', '0', '-1');
INSERT INTO `shop` VALUES ('70066', null, '40187', null, '4', '16500', '0', '-1');
INSERT INTO `shop` VALUES ('70062', null, '40193', null, '5', '16500', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40234', null, '2', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40232', null, '0', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40233', null, '1', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40235', null, '3', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('70067', null, '40010', null, '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70067', null, '40011', null, '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70067', null, '40012', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70067', null, '40019', null, '3', '55', '0', '28');
INSERT INTO `shop` VALUES ('70067', null, '40020', null, '4', '300', '0', '150');
INSERT INTO `shop` VALUES ('70067', null, '40021', null, '5', '900', '0', '450');
INSERT INTO `shop` VALUES ('70067', null, '40013', null, '6', '200', '0', '100');
INSERT INTO `shop` VALUES ('70067', null, '40017', null, '7', '70', '0', '35');
INSERT INTO `shop` VALUES ('70067', null, '40016', null, '8', '600', '0', '300');
INSERT INTO `shop` VALUES ('70067', null, '40025', null, '9', '2', '0', '1');
INSERT INTO `shop` VALUES ('70067', null, '40057', null, '10', '200', '0', '100');
INSERT INTO `shop` VALUES ('70067', null, '40090', null, '11', '165', '0', '83');
INSERT INTO `shop` VALUES ('70067', null, '40091', null, '12', '660', '0', '330');
INSERT INTO `shop` VALUES ('70067', null, '40092', null, '13', '1650', '0', '825');
INSERT INTO `shop` VALUES ('70067', null, '40126', null, '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('70067', null, '40100', null, '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70067', null, '40119', null, '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('70067', null, '40087', null, '17', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70067', null, '40074', null, '18', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70067', null, '40089', null, '19', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70067', null, '40079', null, '20', '120', '0', '60');
INSERT INTO `shop` VALUES ('70067', null, '40124', null, '21', '120', '0', '60');
INSERT INTO `shop` VALUES ('70067', null, '40088', null, '22', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70067', null, '128', 'Oak Staff', '23', '330', '0', '165');
INSERT INTO `shop` VALUES ('70067', null, '129', 'Wizard\'s Staff', '24', '2500', '0', '1250');
INSERT INTO `shop` VALUES ('70067', null, '125', 'Staff of Sorcery', '25', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('70067', null, '40006', null, '26', '33000', '0', '3');
INSERT INTO `shop` VALUES ('70067', null, '40008', null, '27', '165000', '0', '3');
INSERT INTO `shop` VALUES ('70067', null, '40007', null, '28', '4950', '0', '3');
INSERT INTO `shop` VALUES ('70067', null, '40009', null, '29', '990', '0', '3');
INSERT INTO `shop` VALUES ('70067', null, '20114', null, '30', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70067', null, '20036', null, '31', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70067', null, '40325', null, '32', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70067', null, '40326', null, '33', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70067', null, '40327', null, '34', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70067', null, '40328', null, '35', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70068', null, '20014', null, '10', '73000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '20125', null, '6', '63000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '20011', null, '7', '58000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '20015', null, '11', '76000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '20036', null, '8', '69000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '20013', null, '9', '81000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '41', 'Katana', '0', '95000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '125', 'Staff of Sorcery', '5', '84000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '148', 'Great Axe', '1', '88000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '129', 'Wizard\'s Staff', '4', '77000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '29', 'Long Silver Sword', '3', '88000', '0', '-1');
INSERT INTO `shop` VALUES ('70068', null, '142', 'Silver Axe', '2', '83000', '0', '-1');
INSERT INTO `shop` VALUES ('70069', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70069', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70069', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70069', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70069', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70069', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70069', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70069', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70069', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70069', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70071', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70071', null, '40001', null, '1', '10', '0', '5');
INSERT INTO `shop` VALUES ('70071', null, '40056', null, '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('70071', null, '40065', null, '3', '5', '0', '3');
INSERT INTO `shop` VALUES ('70071', null, '40310', null, '4', '35', '0', '18');
INSERT INTO `shop` VALUES ('70071', null, '40311', null, '5', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70071', null, '40317', null, '6', '150', '0', '75');
INSERT INTO `shop` VALUES ('70071', null, '40010', null, '7', '37', '0', '19');
INSERT INTO `shop` VALUES ('70071', null, '40011', null, '8', '150', '0', '75');
INSERT INTO `shop` VALUES ('70071', null, '40017', null, '9', '70', '0', '35');
INSERT INTO `shop` VALUES ('70071', null, '40013', null, '10', '200', '0', '100');
INSERT INTO `shop` VALUES ('70071', null, '40018', null, '11', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70071', null, '40126', null, '12', '50', '0', '25');
INSERT INTO `shop` VALUES ('70071', null, '40100', null, '13', '70', '0', '35');
INSERT INTO `shop` VALUES ('70071', null, '40079', null, '14', '120', '0', '60');
INSERT INTO `shop` VALUES ('70071', null, '40124', null, '15', '120', '0', '60');
INSERT INTO `shop` VALUES ('70071', null, '40119', null, '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('70071', null, '40009', null, '17', '990', '0', '3');
INSERT INTO `shop` VALUES ('70071', null, '40738', null, '18', '2', '0', '1');
INSERT INTO `shop` VALUES ('70071', null, '40740', null, '19', '3', '0', '2');
INSERT INTO `shop` VALUES ('70071', null, '40022', null, '20', '63', '0', '32');
INSERT INTO `shop` VALUES ('70071', null, '40023', null, '21', '375', '0', '188');
INSERT INTO `shop` VALUES ('70071', null, '40024', null, '22', '990', '0', '495');
INSERT INTO `shop` VALUES ('70072', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70072', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70072', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70072', null, '40001', null, '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70072', null, '40002', null, '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70072', null, '40003', null, '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70072', null, '40379', null, '6', '67', '0', '34');
INSERT INTO `shop` VALUES ('70072', null, '40310', null, '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70072', null, '40311', null, '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70072', null, '40315', null, '9', '500', '0', '250');
INSERT INTO `shop` VALUES ('70072', null, '40317', null, '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70072', null, '40010', null, '11', '37', '0', '19');
INSERT INTO `shop` VALUES ('70072', null, '40011', null, '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70072', null, '40017', null, '13', '70', '0', '35');
INSERT INTO `shop` VALUES ('70072', null, '40013', null, '14', '200', '0', '100');
INSERT INTO `shop` VALUES ('70072', null, '40018', null, '15', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70072', null, '40126', null, '16', '50', '0', '25');
INSERT INTO `shop` VALUES ('70072', null, '40100', null, '17', '70', '0', '35');
INSERT INTO `shop` VALUES ('70072', null, '40079', null, '18', '120', '0', '60');
INSERT INTO `shop` VALUES ('70072', null, '40124', null, '19', '120', '0', '60');
INSERT INTO `shop` VALUES ('70072', null, '40119', null, '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70072', null, '40089', null, '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70072', null, '40009', null, '22', '990', '0', '3');
INSERT INTO `shop` VALUES ('70072', null, '40022', null, '23', '63', '0', '32');
INSERT INTO `shop` VALUES ('70072', null, '40023', null, '24', '375', '0', '188');
INSERT INTO `shop` VALUES ('70072', null, '40024', null, '25', '990', '0', '495');
INSERT INTO `shop` VALUES ('70073', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70073', null, '4', 'Dagger', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70073', null, '40001', null, '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70073', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70073', null, '172', null, '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70073', null, '137', 'Athame', '5', '17', '0', '9');
INSERT INTO `shop` VALUES ('70073', null, '90', 'Bardiche', '6', '39', '0', '20');
INSERT INTO `shop` VALUES ('70073', null, '23', 'Broad Sword', '7', '33', '0', '17');
INSERT INTO `shop` VALUES ('70073', null, '96', 'Spear', '8', '88', '0', '44');
INSERT INTO `shop` VALUES ('70073', null, '140', 'Mace', '9', '99', '0', '50');
INSERT INTO `shop` VALUES ('70073', null, '24', 'Short Sword', '10', '110', '0', '55');
INSERT INTO `shop` VALUES ('70073', null, '27', 'Scimitar', '11', '1320', '0', '660');
INSERT INTO `shop` VALUES ('70073', null, '31', 'Long Sword', '12', '3300', '0', '1650');
INSERT INTO `shop` VALUES ('70073', null, '20322', null, '13', '1', '0', '0');
INSERT INTO `shop` VALUES ('70073', null, '20239', null, '14', '60', '0', '30');
INSERT INTO `shop` VALUES ('70073', null, '20089', null, '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70073', null, '20147', null, '16', '300', '0', '150');
INSERT INTO `shop` VALUES ('70073', null, '20096', null, '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('70073', null, '20114', null, '18', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70073', null, '20122', null, '19', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70073', null, '20242', null, '20', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70073', null, '20125', null, '21', '6000', '0', '3000');
INSERT INTO `shop` VALUES ('70073', null, '40056', null, '22', '1', '0', '1');
INSERT INTO `shop` VALUES ('70073', null, '40065', null, '23', '5', '0', '3');
INSERT INTO `shop` VALUES ('70073', null, '40017', null, '24', '70', '0', '35');
INSERT INTO `shop` VALUES ('70073', null, '40010', null, '25', '37', '0', '19');
INSERT INTO `shop` VALUES ('70073', null, '40011', null, '26', '150', '0', '75');
INSERT INTO `shop` VALUES ('70073', null, '40013', null, '27', '200', '0', '100');
INSERT INTO `shop` VALUES ('70073', null, '40018', null, '28', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70073', null, '40126', null, '29', '50', '0', '25');
INSERT INTO `shop` VALUES ('70073', null, '40738', null, '30', '2', '0', '1');
INSERT INTO `shop` VALUES ('70073', null, '40740', null, '31', '3', '0', '2');
INSERT INTO `shop` VALUES ('70074', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '40001', null, '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '40002', null, '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '40003', null, '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70074', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70074', null, '40310', null, '7', '35', '0', '18');
INSERT INTO `shop` VALUES ('70074', null, '40311', null, '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70074', null, '40315', null, '9', '500', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40317', null, '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70074', null, '4', 'Dagger', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70074', null, '40010', null, '12', '37', '0', '19');
INSERT INTO `shop` VALUES ('70074', null, '40011', null, '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70074', null, '40012', null, '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '40017', null, '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70074', null, '40013', null, '16', '200', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '40018', null, '17', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70074', null, '40126', null, '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40100', null, '19', '70', '0', '35');
INSERT INTO `shop` VALUES ('70074', null, '40119', null, '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '40089', null, '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40079', null, '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70074', null, '40124', null, '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70074', null, '42027', null, '24', '100', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '40009', null, '25', '990', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '40022', null, '26', '63', '0', '32');
INSERT INTO `shop` VALUES ('70074', null, '40023', null, '27', '375', '0', '188');
INSERT INTO `shop` VALUES ('70074', null, '40024', null, '28', '990', '0', '495');
INSERT INTO `shop` VALUES ('70078', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70078', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70078', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70078', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70078', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70078', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70078', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70078', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70078', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70078', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70079', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70079', null, '4', 'Dagger', '1', '8', '0', '4');
INSERT INTO `shop` VALUES ('70079', null, '40001', null, '2', '10', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '136', 'Axe', '3', '22', '0', '11');
INSERT INTO `shop` VALUES ('70079', null, '172', null, '4', '55', '0', '28');
INSERT INTO `shop` VALUES ('70079', null, '20043', null, '5', '200', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '20322', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('70079', null, '40056', null, '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40065', null, '8', '5', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '40377', null, '9', '67', '0', '34');
INSERT INTO `shop` VALUES ('70079', null, '40310', null, '10', '35', '0', '18');
INSERT INTO `shop` VALUES ('70079', null, '40311', null, '11', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70079', null, '40317', null, '12', '150', '0', '75');
INSERT INTO `shop` VALUES ('70079', null, '40010', null, '13', '37', '0', '19');
INSERT INTO `shop` VALUES ('70079', null, '40017', null, '14', '70', '0', '35');
INSERT INTO `shop` VALUES ('70079', null, '40013', null, '15', '200', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '40018', null, '16', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70079', null, '40126', null, '17', '50', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40100', null, '18', '70', '0', '35');
INSERT INTO `shop` VALUES ('70079', null, '42027', null, '19', '100', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '40009', null, '20', '990', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '40739', null, '21', '1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40738', null, '22', '2', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40740', null, '23', '3', '0', '2');
INSERT INTO `shop` VALUES ('70079', null, '40022', null, '24', '63', '0', '32');
INSERT INTO `shop` VALUES ('70079', null, '40023', null, '25', '375', '0', '188');
INSERT INTO `shop` VALUES ('70079', null, '40024', null, '26', '990', '0', '495');
INSERT INTO `shop` VALUES ('70081', null, '40744', null, '0', '5', '5', '1');
INSERT INTO `shop` VALUES ('70081', null, '40032', null, '1', '300', '0', '150');
INSERT INTO `shop` VALUES ('70081', null, '40010', null, '2', '37', '0', '19');
INSERT INTO `shop` VALUES ('70081', null, '40011', null, '3', '150', '0', '75');
INSERT INTO `shop` VALUES ('70081', null, '40012', null, '4', '300', '0', '150');
INSERT INTO `shop` VALUES ('70081', null, '40017', null, '5', '70', '0', '35');
INSERT INTO `shop` VALUES ('70081', null, '40013', null, '6', '200', '0', '100');
INSERT INTO `shop` VALUES ('70081', null, '40018', null, '7', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70081', null, '40317', null, '8', '150', '0', '75');
INSERT INTO `shop` VALUES ('70081', null, '40126', null, '9', '50', '0', '25');
INSERT INTO `shop` VALUES ('70081', null, '40100', null, '10', '70', '0', '35');
INSERT INTO `shop` VALUES ('70081', null, '40119', null, '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70081', null, '40089', null, '12', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70081', null, '40079', null, '13', '120', '0', '60');
INSERT INTO `shop` VALUES ('70081', null, '40124', null, '14', '120', '0', '60');
INSERT INTO `shop` VALUES ('70081', null, '40739', null, '15', '1', '0', '1');
INSERT INTO `shop` VALUES ('70081', null, '40738', null, '16', '2', '0', '1');
INSERT INTO `shop` VALUES ('70081', null, '40740', null, '17', '3', '0', '2');
INSERT INTO `shop` VALUES ('70082', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70082', null, '40065', null, '1', '5', '0', '3');
INSERT INTO `shop` VALUES ('70082', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70082', null, '20205', null, '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70082', null, '40001', null, '4', '10', '0', '5');
INSERT INTO `shop` VALUES ('70082', null, '40002', null, '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('70082', null, '40003', null, '6', '30', '0', '15');
INSERT INTO `shop` VALUES ('70082', null, '40385', null, '7', '67', '0', '34');
INSERT INTO `shop` VALUES ('70082', null, '40310', null, '8', '35', '0', '18');
INSERT INTO `shop` VALUES ('70082', null, '40311', null, '9', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70082', null, '40317', null, '10', '150', '0', '75');
INSERT INTO `shop` VALUES ('70082', null, '40315', null, '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('70082', null, '40010', null, '12', '37', '0', '19');
INSERT INTO `shop` VALUES ('70082', null, '40011', null, '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70082', null, '40012', null, '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70082', null, '40017', null, '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70082', null, '40013', null, '16', '200', '0', '100');
INSERT INTO `shop` VALUES ('70082', null, '40018', null, '17', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70082', null, '40019', null, '18', '55', '0', '28');
INSERT INTO `shop` VALUES ('70082', null, '40020', null, '19', '300', '0', '150');
INSERT INTO `shop` VALUES ('70082', null, '40021', null, '20', '900', '0', '450');
INSERT INTO `shop` VALUES ('70082', null, '40126', null, '21', '50', '0', '25');
INSERT INTO `shop` VALUES ('70082', null, '40100', null, '22', '70', '0', '35');
INSERT INTO `shop` VALUES ('70082', null, '40119', null, '23', '100', '0', '50');
INSERT INTO `shop` VALUES ('70082', null, '40089', null, '24', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70082', null, '40079', null, '25', '120', '0', '60');
INSERT INTO `shop` VALUES ('70082', null, '40124', null, '26', '120', '0', '60');
INSERT INTO `shop` VALUES ('70082', null, '40088', null, '27', '1300', '0', '650');
INSERT INTO `shop` VALUES ('70082', null, '40074', null, '28', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('70082', null, '40087', null, '29', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('70082', null, '42027', null, '30', '100', '0', '50');
INSERT INTO `shop` VALUES ('70082', null, '40009', null, '31', '990', '0', '3');
INSERT INTO `shop` VALUES ('70082', null, '40022', null, '32', '63', '0', '32');
INSERT INTO `shop` VALUES ('70082', null, '40023', null, '33', '375', '0', '188');
INSERT INTO `shop` VALUES ('70082', null, '40024', null, '34', '990', '0', '495');
INSERT INTO `shop` VALUES ('70083', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70083', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70083', null, '172', null, '2', '55', '0', '28');
INSERT INTO `shop` VALUES ('70083', null, '143', 'Battle Axe', '3', '770', '0', '385');
INSERT INTO `shop` VALUES ('70083', null, '141', 'War Hammer', '4', '1100', '0', '550');
INSERT INTO `shop` VALUES ('70083', null, '23', 'Broad Sword', '5', '33', '0', '17');
INSERT INTO `shop` VALUES ('70083', null, '24', 'Short Sword', '6', '110', '0', '55');
INSERT INTO `shop` VALUES ('70083', null, '20239', null, '7', '60', '0', '30');
INSERT INTO `shop` VALUES ('70083', null, '20242', null, '8', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70083', null, '20043', null, '9', '200', '0', '100');
INSERT INTO `shop` VALUES ('70083', null, '20089', null, '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('70083', null, '20147', null, '11', '300', '0', '150');
INSERT INTO `shop` VALUES ('70083', null, '20096', null, '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70083', null, '20122', null, '13', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70083', null, '40739', null, '14', '1', '0', '1');
INSERT INTO `shop` VALUES ('70083', null, '40738', null, '15', '2', '0', '1');
INSERT INTO `shop` VALUES ('70083', null, '40740', null, '16', '3', '0', '2');
INSERT INTO `shop` VALUES ('70085', null, '40141', null, '0', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', null, '40145', null, '1', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', null, '40160', null, '2', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', null, '40152', null, '3', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', null, '40151', null, '4', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', null, '40159', null, '5', '175', '0', '88');
INSERT INTO `shop` VALUES ('70085', null, '40149', null, '6', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', null, '40157', null, '7', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', null, '40142', null, '8', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', null, '40161', null, '9', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', null, '40153', null, '10', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', null, '40146', null, '11', '350', '0', '175');
INSERT INTO `shop` VALUES ('70085', null, '40139', null, '12', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', null, '40143', null, '13', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', null, '40156', null, '14', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', null, '40148', null, '15', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', null, '40155', null, '16', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', null, '40147', null, '17', '700', '0', '350');
INSERT INTO `shop` VALUES ('70085', null, '40136', null, '18', '920', '0', '460');
INSERT INTO `shop` VALUES ('70085', null, '40138', null, '19', '2100', '0', '1050');
INSERT INTO `shop` VALUES ('70085', null, '40137', null, '20', '4375', '0', '2188');
INSERT INTO `shop` VALUES ('70085', null, '40158', null, '21', '87', '0', '44');
INSERT INTO `shop` VALUES ('70085', null, '40140', null, '22', '87', '0', '44');
INSERT INTO `shop` VALUES ('70085', null, '40144', null, '23', '87', '0', '44');
INSERT INTO `shop` VALUES ('70085', null, '40150', null, '24', '87', '0', '44');
INSERT INTO `shop` VALUES ('70086', null, '40300', null, '0', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70088', null, '40056', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('70088', null, '40743', null, '1', '1', '10', '0');
INSERT INTO `shop` VALUES ('70088', null, '40744', null, '2', '5', '5', '1');
INSERT INTO `shop` VALUES ('70088', null, '40126', null, '3', '50', '0', '25');
INSERT INTO `shop` VALUES ('70088', null, '40100', null, '4', '70', '0', '35');
INSERT INTO `shop` VALUES ('70088', null, '40079', null, '5', '120', '0', '60');
INSERT INTO `shop` VALUES ('70088', null, '40119', null, '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', null, '40089', null, '7', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70088', null, '42027', null, '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', null, '20011', null, '9', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70088', null, '20089', null, '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', null, '20096', null, '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('70088', null, '20213', null, '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70088', null, '20205', null, '13', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70088', null, '40001', null, '14', '10', '0', '5');
INSERT INTO `shop` VALUES ('70088', null, '40002', null, '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('70088', null, '40003', null, '16', '30', '0', '15');
INSERT INTO `shop` VALUES ('70088', null, '40310', null, '17', '35', '0', '18');
INSERT INTO `shop` VALUES ('70088', null, '40317', null, '18', '150', '0', '75');
INSERT INTO `shop` VALUES ('70088', null, '40010', null, '19', '37', '0', '19');
INSERT INTO `shop` VALUES ('70088', null, '40011', null, '20', '150', '0', '75');
INSERT INTO `shop` VALUES ('70088', null, '40017', null, '21', '70', '0', '35');
INSERT INTO `shop` VALUES ('70088', null, '40013', null, '22', '200', '0', '100');
INSERT INTO `shop` VALUES ('70088', null, '69', 'Bronze Edoryu', '23', '800', '0', '400');
INSERT INTO `shop` VALUES ('70088', null, '71', 'Steel Edoryu', '24', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70088', null, '72', 'Shadow Edoryu', '25', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('70088', null, '77', 'Stealth Edoryu', '26', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('70088', null, '80', 'Damascus Edoryu', '27', '30000', '0', '15000');
INSERT INTO `shop` VALUES ('70088', null, '159', null, '28', '12000', '0', '6000');
INSERT INTO `shop` VALUES ('70088', null, '161', null, '29', '40000', '0', '20000');
INSERT INTO `shop` VALUES ('70088', null, '40738', null, '30', '2', '0', '1');
INSERT INTO `shop` VALUES ('70088', null, '40740', null, '31', '3', '0', '2');
INSERT INTO `shop` VALUES ('70088', null, '193', null, '32', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('70089', null, '40301', null, '0', '15000', '0', '7500');
INSERT INTO `shop` VALUES ('70090', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70090', null, '40056', null, '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70090', null, '40317', null, '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('70090', null, '40310', null, '3', '35', '0', '18');
INSERT INTO `shop` VALUES ('70090', null, '40010', null, '4', '37', '0', '19');
INSERT INTO `shop` VALUES ('70090', null, '40011', null, '5', '150', '0', '75');
INSERT INTO `shop` VALUES ('70090', null, '40012', null, '6', '300', '0', '150');
INSERT INTO `shop` VALUES ('70090', null, '40017', null, '7', '70', '0', '35');
INSERT INTO `shop` VALUES ('70090', null, '40013', null, '8', '200', '0', '100');
INSERT INTO `shop` VALUES ('70090', null, '40018', null, '9', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70090', null, '40739', null, '10', '1', '0', '1');
INSERT INTO `shop` VALUES ('70090', null, '40738', null, '11', '2', '0', '1');
INSERT INTO `shop` VALUES ('70090', null, '40740', null, '12', '3', '0', '2');
INSERT INTO `shop` VALUES ('70091', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70091', null, '40056', null, '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70091', null, '40317', null, '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('70091', null, '40310', null, '3', '35', '0', '18');
INSERT INTO `shop` VALUES ('70091', null, '40010', null, '4', '37', '0', '19');
INSERT INTO `shop` VALUES ('70091', null, '40011', null, '5', '150', '0', '75');
INSERT INTO `shop` VALUES ('70091', null, '40012', null, '6', '300', '0', '150');
INSERT INTO `shop` VALUES ('70091', null, '40017', null, '7', '70', '0', '35');
INSERT INTO `shop` VALUES ('70091', null, '40013', null, '8', '200', '0', '100');
INSERT INTO `shop` VALUES ('70091', null, '40018', null, '9', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70091', null, '40739', null, '10', '1', '0', '1');
INSERT INTO `shop` VALUES ('70091', null, '40738', null, '11', '2', '0', '1');
INSERT INTO `shop` VALUES ('70091', null, '40740', null, '12', '3', '0', '2');
INSERT INTO `shop` VALUES ('70094', null, '40302', null, '0', '690', '0', '345');
INSERT INTO `shop` VALUES ('71054', null, '40303', null, '0', '690', '0', '25');
INSERT INTO `shop` VALUES ('70095', null, '40743', null, '0', '1', '10', '0');
INSERT INTO `shop` VALUES ('70095', null, '40744', null, '1', '5', '5', '1');
INSERT INTO `shop` VALUES ('70095', null, '172', null, '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('70095', null, '143', 'Battle Axe', '3', '700', '0', '350');
INSERT INTO `shop` VALUES ('70095', null, '141', 'War Hammer', '4', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70095', null, '23', 'Broad Sword', '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70095', null, '24', 'Short Sword', '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('70095', null, '40739', null, '7', '1', '2', '1');
INSERT INTO `shop` VALUES ('70095', null, '20239', null, '8', '60', '0', '30');
INSERT INTO `shop` VALUES ('70095', null, '20242', null, '9', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70095', null, '20043', null, '10', '150', '0', '50');
INSERT INTO `shop` VALUES ('70095', null, '20089', null, '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('70095', null, '20147', null, '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('70095', null, '20096', null, '13', '500', '0', '250');
INSERT INTO `shop` VALUES ('70095', null, '20122', null, '14', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('70095', null, '40738', null, '15', '1', '0', '1');
INSERT INTO `shop` VALUES ('70095', null, '40740', null, '16', '2', '0', '1');
INSERT INTO `shop` VALUES ('70097', null, '40001', null, '0', '10', '0', '5');
INSERT INTO `shop` VALUES ('70097', null, '40056', null, '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('70097', null, '40065', null, '2', '5', '0', '3');
INSERT INTO `shop` VALUES ('70097', null, '40310', null, '3', '35', '0', '18');
INSERT INTO `shop` VALUES ('70097', null, '40311', null, '4', '1200', '0', '600');
INSERT INTO `shop` VALUES ('70097', null, '40317', null, '5', '150', '0', '75');
INSERT INTO `shop` VALUES ('70097', null, '40390', null, '6', '50', '0', '25');
INSERT INTO `shop` VALUES ('70097', null, '40010', null, '7', '37', '0', '19');
INSERT INTO `shop` VALUES ('70097', null, '40011', null, '8', '150', '0', '75');
INSERT INTO `shop` VALUES ('70097', null, '40017', null, '9', '70', '0', '35');
INSERT INTO `shop` VALUES ('70097', null, '40013', null, '10', '200', '0', '100');
INSERT INTO `shop` VALUES ('70097', null, '40018', null, '11', '1500', '0', '750');
INSERT INTO `shop` VALUES ('70097', null, '40315', null, '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('70097', null, '41160', null, '13', '2000', '10', '1000');
INSERT INTO `shop` VALUES ('70097', null, '40126', null, '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('70097', null, '40100', null, '15', '70', '0', '35');
INSERT INTO `shop` VALUES ('70097', null, '40079', null, '16', '120', '0', '60');
INSERT INTO `shop` VALUES ('70097', null, '40124', null, '17', '120', '0', '60');
INSERT INTO `shop` VALUES ('70097', null, '40119', null, '18', '100', '0', '50');
INSERT INTO `shop` VALUES ('70097', null, '40022', null, '19', '63', '0', '32');
INSERT INTO `shop` VALUES ('70097', null, '40023', null, '20', '375', '0', '188');
INSERT INTO `shop` VALUES ('70097', null, '40024', null, '21', '990', '0', '495');
INSERT INTO `shop` VALUES ('70098', null, '40010', null, '0', '37', '0', '19');
INSERT INTO `shop` VALUES ('70098', null, '40011', null, '1', '150', '0', '75');
INSERT INTO `shop` VALUES ('70098', null, '40012', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70098', null, '40017', null, '3', '70', '0', '35');
INSERT INTO `shop` VALUES ('70098', null, '40018', null, '4', '1500', '0', '750');
INSERT INTO `shop` VALUES ('71001', null, '40017', null, '0', '70', '0', '35');
INSERT INTO `shop` VALUES ('71001', null, '40010', null, '1', '37', '0', '19');
INSERT INTO `shop` VALUES ('71001', null, '40011', null, '2', '150', '0', '75');
INSERT INTO `shop` VALUES ('71001', null, '40013', null, '3', '200', '0', '100');
INSERT INTO `shop` VALUES ('71001', null, '40018', null, '4', '1500', '0', '750');
INSERT INTO `shop` VALUES ('81002', null, '21000', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21001', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21002', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21003', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21004', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21005', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21006', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21007', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21008', null, '8', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21009', null, '9', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21010', null, '10', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21011', null, '11', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21012', null, '12', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21013', null, '13', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21014', null, '14', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21015', null, '15', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21016', null, '16', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21017', null, '17', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21018', null, '18', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21019', null, '19', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21020', null, '20', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21021', null, '21', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21022', null, '22', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21023', null, '23', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21024', null, '24', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21025', null, '25', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21026', null, '26', '1', '0', '0');
INSERT INTO `shop` VALUES ('81002', null, '21027', null, '27', '1', '0', '0');
INSERT INTO `shop` VALUES ('81003', null, '5', 'Elven Dagger', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', null, '10', 'Lastavard Blade', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', null, '2', 'Dice Dagger', '2', '240', '0', '120');
INSERT INTO `shop` VALUES ('81003', null, '8', 'Mithril Dagger', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', null, '9', 'Oriharukon Dagger', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', null, '13', 'Finger of Death', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', null, '14', 'Claw of Chaos', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81003', null, '12', 'Wind Blade Dagger', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '29', 'Long Silver Sword', '0', '13000', '0', '6500');
INSERT INTO `shop` VALUES ('81004', null, '49', 'Long Sword of Pretender King', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '50', 'Sword of Flames', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '54', 'Sword of Kurtz', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '55', 'Blade of Darkness', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '57', 'Tsurugi', '5', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('81004', null, '68', 'Ancient Sword', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '59', 'Sword of Knight Vald', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '63', 'Devil\'s Knife', '8', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '60', 'Doom Blade', '9', '1', '0', '1');
INSERT INTO `shop` VALUES ('81004', null, '58', 'Fire Sword of Death Knight', '10', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', null, '64', 'Great Sword', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', null, '53', 'Sword of Brave Lizardman Soldier', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', null, '62', 'Two-Handed Sword of Pretender King', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', null, '67', 'Ancient Great Sword', '3', '10000', '0', '5000');
INSERT INTO `shop` VALUES ('81005', null, '16', 'Blade of Revenge', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81005', null, '66', 'Dragon Slayer', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81006', null, '102', 'Lucern Hammer', '0', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('81006', null, '103', 'Halberd', '1', '2200', '0', '1100');
INSERT INTO `shop` VALUES ('81006', null, '104', 'Fauchard', '2', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('81006', null, '99', 'Elven Spear', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81006', null, '106', 'Bec de Corbin', '4', '17600', '0', '8800');
INSERT INTO `shop` VALUES ('81006', null, '107', 'Crimson Lance', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81007', null, '137', 'Athame', '0', '17', '0', '9');
INSERT INTO `shop` VALUES ('81007', null, '140', 'Mace', '1', '99', '0', '50');
INSERT INTO `shop` VALUES ('81007', null, '144', 'Dwarvish Axe', '2', '500', '0', '250');
INSERT INTO `shop` VALUES ('81007', null, '142', 'Silver Axe', '3', '8800', '0', '4400');
INSERT INTO `shop` VALUES ('81007', null, '145', 'Berserker Axe', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81007', null, '148', 'Great Axe', '5', '14300', '0', '7150');
INSERT INTO `shop` VALUES ('81007', null, '151', 'Demon Axe', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81007', null, '149', 'Axe of Minotaur', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '74', 'Silver Edoryu', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '79', 'Edoryu of Abyss', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '83', 'Diad Fortress Edoryu', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '76', 'Edoryu of Ronde', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '82', 'Lastavard Edoryu', '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '78', 'Assassin Sword of Assassin King', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '84', 'Kaiser Edoryu', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81008', null, '85', 'Devil\'s Edoryu', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', null, '157', null, '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', null, '162', null, '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', null, '155', 'Claw of Magic Power King', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', null, '163', null, '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', null, '164', null, '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', null, '165', null, '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81009', null, '166', null, '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', null, '115', 'Crystal Staff', '0', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', null, '116', 'Staff of Black Wizard', '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', null, '118', 'Jet-Black Crystal Ball', '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', null, '126', 'Staff of Mana', '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', null, '131', 'Staff of Strength', '4', '20000', '0', '10000');
INSERT INTO `shop` VALUES ('81010', null, '124', 'Staff of Baphomet', '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', null, '121', 'Staff of Ice Queen', '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81010', null, '119', 'Staff of Demon', '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '169', null, '0', '5000', '0', '2500');
INSERT INTO `shop` VALUES ('81011', null, '180', null, '1', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '181', null, '2', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '179', null, '3', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '184', null, '4', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '185', null, '5', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '182', null, '6', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '190', null, '7', '1', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '40743', null, '8', '1', '10', '0');
INSERT INTO `shop` VALUES ('81011', null, '40744', null, '9', '5', '5', '1');
INSERT INTO `shop` VALUES ('81012', null, '20011', null, '0', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81012', null, '20027', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81012', null, '20033', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81012', null, '20004', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81012', null, '20017', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81012', null, '20343', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81012', null, '20047', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81013', null, '20230', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81013', null, '20236', null, '1', '2300', '0', '1150');
INSERT INTO `shop` VALUES ('81013', null, '20234', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81013', null, '20233', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81013', null, '20225', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81013', null, '20235', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20163', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20175', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20171', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20191', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20176', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20187', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20168', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20164', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20178', null, '8', '1', '0', '0');
INSERT INTO `shop` VALUES ('81014', null, '20186', null, '9', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20194', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20195', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20211', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20218', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20200', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20208', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20201', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81015', null, '20216', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81016', null, '20085', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81016', null, '20084', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81016', null, '20086', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81016', null, '20087', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81016', null, '20088', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20113', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20110', null, '1', '8000', '0', '4000');
INSERT INTO `shop` VALUES ('81017', null, '20095', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20094', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20092', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20093', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20109', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20134', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20106', null, '8', '1', '0', '0');
INSERT INTO `shop` VALUES ('81017', null, '20152', null, '9', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20056', null, '0', '100', '0', '50');
INSERT INTO `shop` VALUES ('81018', null, '20074', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20055', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20051', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20066', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20075', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20049', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20050', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20062', null, '8', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20057', null, '9', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20077', null, '10', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20076', null, '11', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20342', null, '12', '1', '0', '0');
INSERT INTO `shop` VALUES ('81018', null, '20079', null, '13', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20263', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20264', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20256', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20268', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20266', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20267', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20254', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20257', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20252', null, '8', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20255', null, '9', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20260', null, '10', '1', '0', '0');
INSERT INTO `shop` VALUES ('81019', null, '20269', null, '11', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20287', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20280', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20304', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20285', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20302', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20300', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20288', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20281', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20284', null, '8', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20298', null, '9', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20289', null, '10', '1', '0', '0');
INSERT INTO `shop` VALUES ('81020', null, '20279', null, '11', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20310', null, '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20309', null, '1', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20311', null, '2', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20321', null, '3', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20317', null, '4', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20320', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20318', null, '6', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20313', null, '7', '1', '0', '0');
INSERT INTO `shop` VALUES ('81021', null, '20314', null, '8', '1', '0', '0');
INSERT INTO `shop` VALUES ('81022', null, '45000', null, '0', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45001', null, '1', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45002', null, '2', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45003', null, '3', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45004', null, '4', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45005', null, '5', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45006', null, '6', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45007', null, '7', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45008', null, '8', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45009', null, '9', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45010', null, '10', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45011', null, '11', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45012', null, '12', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45013', null, '13', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45014', null, '14', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45015', null, '15', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45016', null, '16', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45017', null, '17', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45018', null, '18', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45019', null, '19', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45020', null, '20', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45021', null, '21', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '45022', null, '22', '100', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40170', null, '23', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40171', null, '24', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40172', null, '25', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40173', null, '26', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40174', null, '27', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40175', null, '28', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40176', null, '29', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40177', null, '30', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40178', null, '31', '3300', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40179', null, '32', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40180', null, '33', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40181', null, '34', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40182', null, '35', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40183', null, '36', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40184', null, '37', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40185', null, '38', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40186', null, '39', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40187', null, '40', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40188', null, '41', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40189', null, '42', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40190', null, '43', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40191', null, '44', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40192', null, '45', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40193', null, '46', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40194', null, '47', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40195', null, '48', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40196', null, '49', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40197', null, '50', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40198', null, '51', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40199', null, '52', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40200', null, '53', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40201', null, '54', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40202', null, '55', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40203', null, '56', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40204', null, '57', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40205', null, '58', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40206', null, '59', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40207', null, '60', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40208', null, '61', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40209', null, '62', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40210', null, '63', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40211', null, '64', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40212', null, '65', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40213', null, '66', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40214', null, '67', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40215', null, '68', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40216', null, '69', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40217', null, '70', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40218', null, '71', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40219', null, '72', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40220', null, '73', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40221', null, '74', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40222', null, '75', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40223', null, '76', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40224', null, '77', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81022', null, '40225', null, '78', '50', '0', '-1');
INSERT INTO `shop` VALUES ('81023', null, '40232', null, '0', '3300', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40233', null, '1', '3300', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40234', null, '2', '3300', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40235', null, '3', '8250', '0', '4125');
INSERT INTO `shop` VALUES ('81023', null, '40236', null, '4', '8250', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40237', null, '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40238', null, '6', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40239', null, '7', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40240', null, '8', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40241', null, '9', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40242', null, '10', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40243', null, '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40244', null, '12', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40245', null, '13', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40246', null, '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40247', null, '15', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40248', null, '16', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40249', null, '17', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40250', null, '18', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40251', null, '19', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40252', null, '20', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40253', null, '21', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40254', null, '22', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40255', null, '23', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40256', null, '24', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40257', null, '25', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40258', null, '26', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40259', null, '27', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40260', null, '28', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40261', null, '29', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40262', null, '30', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40263', null, '31', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81023', null, '40264', null, '32', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40265', null, '0', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40266', null, '1', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40267', null, '2', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40268', null, '3', '15000', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40269', null, '4', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40270', null, '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40271', null, '6', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40272', null, '7', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40273', null, '8', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40274', null, '9', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40275', null, '10', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40276', null, '11', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40277', null, '12', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40278', null, '13', '50', '0', '25');
INSERT INTO `shop` VALUES ('81024', null, '40279', null, '14', '50', '0', '25');
INSERT INTO `shop` VALUES ('81025', null, '40164', null, '0', '50', '0', '25');
INSERT INTO `shop` VALUES ('81025', null, '40165', null, '1', '50', '0', '25');
INSERT INTO `shop` VALUES ('81025', null, '40166', null, '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', null, '40226', null, '0', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', null, '40227', null, '1', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', null, '40228', null, '2', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', null, '40229', null, '3', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', null, '40230', null, '4', '50', '0', '25');
INSERT INTO `shop` VALUES ('81026', null, '40231', null, '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81027', null, '40019', null, '0', '55', '0', '28');
INSERT INTO `shop` VALUES ('81027', null, '40020', null, '1', '300', '0', '150');
INSERT INTO `shop` VALUES ('81027', null, '40021', null, '2', '900', '0', '450');
INSERT INTO `shop` VALUES ('81027', null, '40043', null, '3', '870', '0', '435');
INSERT INTO `shop` VALUES ('81027', null, '40017', null, '4', '70', '0', '35');
INSERT INTO `shop` VALUES ('81027', null, '40013', null, '5', '200', '0', '100');
INSERT INTO `shop` VALUES ('81027', null, '40014', null, '6', '800', '0', '400');
INSERT INTO `shop` VALUES ('81027', null, '40067', null, '7', '1000', '0', '500');
INSERT INTO `shop` VALUES ('81027', null, '40015', null, '8', '777', '0', '389');
INSERT INTO `shop` VALUES ('81027', null, '40016', null, '9', '600', '0', '300');
INSERT INTO `shop` VALUES ('81027', null, '40068', null, '10', '1250', '0', '625');
INSERT INTO `shop` VALUES ('81027', null, '40031', null, '11', '650', '0', '325');
INSERT INTO `shop` VALUES ('81027', null, '40032', null, '12', '300', '0', '150');
INSERT INTO `shop` VALUES ('81027', null, '40039', null, '13', '920', '0', '460');
INSERT INTO `shop` VALUES ('81027', null, '40040', null, '14', '920', '0', '460');
INSERT INTO `shop` VALUES ('81027', null, '40318', null, '15', '243', '0', '122');
INSERT INTO `shop` VALUES ('81027', null, '40319', null, '16', '354', '0', '177');
INSERT INTO `shop` VALUES ('81027', null, '40321', null, '17', '352', '0', '176');
INSERT INTO `shop` VALUES ('81027', null, '40858', null, '18', '200', '0', '100');
INSERT INTO `shop` VALUES ('81028', null, '140100', null, '0', '1020', '0', '510');
INSERT INTO `shop` VALUES ('81028', null, '40100', null, '1', '70', '0', '35');
INSERT INTO `shop` VALUES ('81028', null, '40079', null, '2', '120', '0', '60');
INSERT INTO `shop` VALUES ('81028', null, '40089', null, '3', '1000', '0', '500');
INSERT INTO `shop` VALUES ('81028', null, '40088', null, '4', '1300', '0', '650');
INSERT INTO `shop` VALUES ('81028', null, '40126', null, '5', '50', '0', '25');
INSERT INTO `shop` VALUES ('81028', null, '40119', null, '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('81028', null, '40075', null, '7', '150', '0', '75');
INSERT INTO `shop` VALUES ('81028', null, '40087', null, '8', '75000', '0', '37500');
INSERT INTO `shop` VALUES ('81028', null, '140087', null, '9', '245000', '0', '122500');
INSERT INTO `shop` VALUES ('81028', null, '240087', null, '10', '75220', '0', '37610');
INSERT INTO `shop` VALUES ('81028', null, '40074', null, '11', '31000', '0', '15500');
INSERT INTO `shop` VALUES ('81028', null, '140074', null, '12', '138500', '0', '69250');
INSERT INTO `shop` VALUES ('81028', null, '240074', null, '13', '34510', '0', '17255');
INSERT INTO `shop` VALUES ('81028', null, '40076', null, '14', '1', '0', '0');
INSERT INTO `shop` VALUES ('81029', null, '40101', null, '0', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40085', null, '1', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', null, '40117', null, '2', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40080', null, '3', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', null, '40081', null, '4', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', null, '40095', null, '5', '1', '0', '0');
INSERT INTO `shop` VALUES ('81029', null, '40103', null, '6', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40114', null, '7', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40115', null, '8', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40116', null, '9', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40122', null, '10', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40123', null, '11', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40125', null, '12', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40118', null, '13', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40120', null, '14', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40121', null, '15', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40084', null, '16', '210', '0', '105');
INSERT INTO `shop` VALUES ('81029', null, '40102', null, '17', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '40104', null, '18', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40105', null, '19', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40106', null, '20', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40107', null, '21', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40108', null, '22', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40109', null, '23', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40110', null, '24', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40111', null, '25', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40112', null, '26', '50', '0', '25');
INSERT INTO `shop` VALUES ('81029', null, '40802', null, '27', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42026', null, '28', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42022', null, '29', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40842', null, '30', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40844', null, '31', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42001', null, '32', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42045', null, '33', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42046', null, '34', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42024', null, '35', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42025', null, '36', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42023', null, '37', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40824', null, '38', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40825', null, '39', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40826', null, '40', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40817', null, '41', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40818', null, '42', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40819', null, '43', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40807', null, '44', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40808', null, '45', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40813', null, '46', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40814', null, '47', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40830', null, '48', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40831', null, '49', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40832', null, '50', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40833', null, '51', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40834', null, '52', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40827', null, '53', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40828', null, '54', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40829', null, '55', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40803', null, '56', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40801', null, '57', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40809', null, '58', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40811', null, '59', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40843', null, '60', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40812', null, '61', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40810', null, '62', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40835', null, '63', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40836', null, '64', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40837', null, '65', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40838', null, '66', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40839', null, '67', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40840', null, '68', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40841', null, '69', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42006', null, '70', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42008', null, '71', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42009', null, '72', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42010', null, '73', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40815', null, '74', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40816', null, '75', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42005', null, '76', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40820', null, '77', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40821', null, '78', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40822', null, '79', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40823', null, '80', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42002', null, '81', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42003', null, '82', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42004', null, '83', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40845', null, '84', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40846', null, '85', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40847', null, '86', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40848', null, '87', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42040', null, '88', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42041', null, '89', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42042', null, '90', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42043', null, '91', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40856', null, '92', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40852', null, '93', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42048', null, '94', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40853', null, '95', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40855', null, '96', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42021', null, '97', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40854', null, '98', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40857', null, '99', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42011', null, '100', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42012', null, '101', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42013', null, '102', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42014', null, '103', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42016', null, '104', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42018', null, '105', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42019', null, '106', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42020', null, '107', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42039', null, '108', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42038', null, '109', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42037', null, '110', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42036', null, '111', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42035', null, '112', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42033', null, '113', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42032', null, '114', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42031', null, '115', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42030', null, '116', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42029', null, '117', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40804', null, '118', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40805', null, '119', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40806', null, '120', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40849', null, '121', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '40850', null, '122', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42047', null, '123', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '40851', null, '124', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42007', null, '125', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42049', null, '126', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '42017', null, '127', '3000', '0', '1500');
INSERT INTO `shop` VALUES ('81029', null, '42050', null, '128', '500', '0', '250');
INSERT INTO `shop` VALUES ('81029', null, '42051', null, '129', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42052', null, '130', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42053', null, '131', '200', '0', '100');
INSERT INTO `shop` VALUES ('81029', null, '42054', null, '132', '200', '0', '100');
INSERT INTO `shop` VALUES ('81110', null, '45000', null, '0', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45001', null, '1', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45002', null, '2', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45003', null, '3', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45004', null, '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45005', null, '5', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45006', null, '6', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45007', null, '7', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45008', null, '8', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45009', null, '9', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45010', null, '10', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45011', null, '11', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45012', null, '12', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45013', null, '13', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45014', null, '14', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45015', null, '15', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45016', null, '16', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45017', null, '17', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45018', null, '18', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45019', null, '19', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45020', null, '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45021', null, '21', '100', '0', '50');
INSERT INTO `shop` VALUES ('81110', null, '45022', null, '22', '100', '0', '50');
INSERT INTO `shop` VALUES ('81118', null, '49013', null, '0', '100000', '0', '50000');
INSERT INTO `shop` VALUES ('70074', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '40014', null, '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70074', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70074', null, '40016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70074', null, '40019', null, '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70074', null, '40020', null, '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70074', null, '40021', null, '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70074', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70074', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70074', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70074', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', null, '40057', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70074', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70074', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70074', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70074', null, '40074', null, '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70074', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70074', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70074', null, '40087', null, '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70074', null, '40088', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70074', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70074', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70074', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70074', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70074', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70074', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70074', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70074', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70074', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70074', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20043', null, '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70074', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20089', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20096', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70074', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70074', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20114', null, '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70074', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70074', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20122', null, '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70074', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20125', null, '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70074', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70074', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70074', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70074', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20205', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70074', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70074', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70074', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20239', null, '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70074', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20242', null, '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70074', null, '20322', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70074', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70074', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70074', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70074', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70074', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70074', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70074', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70074', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70074', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70074', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '23', 'Broad Sword', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', null, '24', 'Short Sword', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70074', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '27', 'Scimitar', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70074', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70074', null, '31', 'Long Sword', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70074', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70074', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70074', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70074', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70074', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70074', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70074', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '90', 'Bardiche', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70074', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70074', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70074', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70074', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70074', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70074', null, '96', 'Spear', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70074', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70074', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70074', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70074', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70074', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70074', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70074', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70074', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70074', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '136', 'Axe', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70074', null, '137', 'Athame', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70074', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70074', null, '140', 'Mace', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70074', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70074', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70074', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70074', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70074', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70074', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70074', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70074', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70074', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '172', null, '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70074', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70074', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70074', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70074', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70074', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70074', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70074', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70074', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70074', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70074', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70074', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70074', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70074', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70074', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70074', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70074', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70074', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70074', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70074', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70074', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '50000', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70074', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70074', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70074', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70074', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70074', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70074', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70074', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70074', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70074', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70074', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70074', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70074', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70074', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70074', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70074', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70074', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70074', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70074', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70074', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70074', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70074', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70074', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70074', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70074', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70074', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70074', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70074', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70074', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70074', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70074', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70074', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70074', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70074', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70074', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70074', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70074', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70074', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70074', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70074', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70074', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70074', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70074', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70074', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70074', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70074', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70074', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70074', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70074', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70074', null, '40374', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', null, '40375', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', null, '40376', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70074', null, '40377', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', null, '40381', null, '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70074', null, '40382', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70074', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70074', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70074', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70074', null, '40386', null, '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70074', null, '40387', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70074', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70074', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70074', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70074', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70074', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70074', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70074', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70074', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70074', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70074', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40738', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40739', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40740', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70074', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40743', null, '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70074', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70074', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70074', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70074', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70074', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70074', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70074', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70074', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70074', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70074', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70074', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70021', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70021', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70021', null, '31', 'Long Sword', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70021', null, '27', 'Scimitar', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70021', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70021', null, '24', 'Short Sword', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '23', 'Broad Sword', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '4', 'Dagger', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70021', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70021', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70018', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70018', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70018', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70018', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70018', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70018', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70018', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70018', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70018', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70018', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70018', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70018', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70018', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70018', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70018', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70018', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70018', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70018', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70018', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70018', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70018', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70018', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70018', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70018', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70018', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70018', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70018', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70018', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70018', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70018', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70018', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70018', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70018', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70018', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70018', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70018', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70018', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70018', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70018', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70018', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70018', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70018', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70018', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70018', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70018', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70018', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70018', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40743', null, '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70018', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40740', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', null, '40739', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40738', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70018', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70018', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70018', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70018', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70018', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70018', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70018', null, '40387', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', null, '40386', null, '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70018', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70018', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70018', null, '40382', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70018', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70018', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', null, '40377', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70018', null, '40375', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', null, '40374', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70018', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70018', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70018', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70018', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70018', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70018', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70018', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70018', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70018', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70018', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70018', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70018', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70018', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70018', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70018', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70018', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70018', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70018', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70018', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70018', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70018', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70018', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70018', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70018', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70018', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70018', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70018', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70018', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70018', null, '40088', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70018', null, '40087', null, '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70018', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70018', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70018', null, '40074', null, '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70018', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70018', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70018', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70018', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40057', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70018', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70018', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70018', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70018', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70018', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', null, '40021', null, '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70018', null, '40020', null, '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70018', null, '40019', null, '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70018', null, '40016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70018', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70018', null, '40014', null, '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70018', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70018', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20322', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20242', null, '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70018', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20239', null, '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70018', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70018', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70018', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70018', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70018', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70018', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70018', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70018', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70018', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70018', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20125', null, '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70018', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20122', null, '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70018', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70018', null, '20114', null, '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70018', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70018', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70018', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20096', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70018', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20089', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70018', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20043', null, '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70018', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70018', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70018', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70018', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70018', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70018', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70018', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70018', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70018', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '172', null, '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70018', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70018', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70018', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70018', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70018', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70018', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70018', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70018', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70018', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70018', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70018', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70018', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70018', null, '140', 'Mace', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70018', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', null, '137', 'Athame', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70018', null, '136', 'Axe', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70018', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70018', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70018', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70018', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70018', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70018', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70018', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70018', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70018', null, '96', 'Spear', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70018', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70018', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70018', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70018', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70018', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70018', null, '90', 'Bardiche', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70018', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70018', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70018', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70018', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70018', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70018', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70018', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70018', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70018', null, '31', 'Long Sword', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70018', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70018', null, '27', 'Scimitar', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70018', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70018', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70018', null, '24', 'Short Sword', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70018', null, '23', 'Broad Sword', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70018', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70018', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70018', null, '4', 'Dagger', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70018', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70018', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70021', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70021', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70021', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70021', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '90', 'Bardiche', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70021', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70021', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70021', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70021', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70021', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70021', null, '96', 'Spear', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70021', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70021', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70021', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70021', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70021', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70021', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70021', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70021', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70021', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '136', 'Axe', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70021', null, '137', 'Athame', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70021', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70021', null, '140', 'Mace', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70021', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70021', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70021', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70021', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70021', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70021', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70021', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70021', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70021', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '172', null, '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70021', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70021', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70021', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70021', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70021', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70021', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70021', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20043', null, '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70021', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70021', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20089', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20096', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70021', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70021', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20114', null, '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70021', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70021', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20122', null, '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70021', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20125', null, '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70021', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70021', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70021', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70021', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20205', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70021', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70021', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70021', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20239', null, '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70021', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20242', null, '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70021', null, '20322', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '40014', null, '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70021', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70021', null, '40016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70021', null, '40019', null, '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70021', null, '40020', null, '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70021', null, '40021', null, '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70021', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70021', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70021', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70021', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40057', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70021', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70021', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70021', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', null, '40074', null, '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70021', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70021', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70021', null, '40087', null, '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70021', null, '40088', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70021', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70021', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70021', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70021', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70021', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70021', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70021', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70021', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70021', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70021', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70021', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70021', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70021', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70021', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70021', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70021', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70021', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70021', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70021', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70021', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70021', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70021', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70021', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70021', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70021', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70021', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70021', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70021', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70021', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70021', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70021', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70021', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70021', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70021', null, '40374', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', null, '40376', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', null, '40377', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70021', null, '40381', null, '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70021', null, '40382', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70021', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70021', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70021', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70021', null, '40386', null, '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70021', null, '40387', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70021', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70021', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70021', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70021', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70021', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70021', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70021', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70021', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70021', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40738', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40739', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40740', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70021', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40743', null, '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70021', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70021', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70021', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70021', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70021', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70021', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70021', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70021', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70021', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70021', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70021', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70021', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70021', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70021', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70021', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70021', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70021', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70021', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70021', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70021', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70021', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70021', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70021', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70021', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70021', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70021', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70021', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70021', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70021', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70021', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70021', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70021', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70021', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70021', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70021', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70021', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70021', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70021', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70021', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70021', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70021', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70021', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70021', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70021', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70021', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70021', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70021', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70021', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70021', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70021', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70021', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70021', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70021', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70021', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70021', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70021', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70021', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70021', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70021', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70021', null, '50000', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70030', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70030', null, '4', 'Dagger', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70030', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '23', 'Broad Sword', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', null, '24', 'Short Sword', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70030', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '27', 'Scimitar', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70030', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70030', null, '31', 'Long Sword', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70030', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70030', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70030', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70030', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70030', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70030', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '90', 'Bardiche', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70030', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70030', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70030', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70030', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70030', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70030', null, '96', 'Spear', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70030', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70030', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70030', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70030', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70030', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70030', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70030', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70030', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70030', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '136', 'Axe', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70030', null, '137', 'Athame', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70030', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70030', null, '140', 'Mace', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70030', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70030', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70030', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70030', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70030', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70030', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70030', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70030', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70030', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '172', null, '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70030', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70030', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70030', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70030', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70030', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70030', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70030', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20043', null, '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70030', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70030', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20089', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20096', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70030', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70030', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20114', null, '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70030', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70030', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20122', null, '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70030', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20125', null, '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70030', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70030', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70030', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70030', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70030', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70030', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70030', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20239', null, '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70030', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20242', null, '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70030', null, '20322', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '40014', null, '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70030', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70030', null, '40016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70030', null, '40019', null, '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70030', null, '40020', null, '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70030', null, '40021', null, '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70030', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70030', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70030', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70030', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40057', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70030', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70030', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70030', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', null, '40074', null, '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70030', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70030', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70030', null, '40087', null, '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70030', null, '40088', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70030', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70030', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70030', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70030', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70030', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70030', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70030', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70030', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70030', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70030', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70030', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70030', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70030', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70030', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70030', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70030', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70030', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70030', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70030', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70030', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70030', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70030', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70030', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70030', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70030', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70030', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70030', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70030', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70030', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70030', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70030', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70030', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70030', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70030', null, '40374', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', null, '40375', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', null, '40376', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', null, '40377', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70030', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70030', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70030', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70030', null, '40386', null, '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70030', null, '40387', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70030', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70030', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70030', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70030', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70030', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70030', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70030', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70030', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70030', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40738', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40739', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40740', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70030', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40743', null, '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70030', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70030', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70030', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70030', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70030', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70030', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70030', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70030', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70030', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70030', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70030', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70030', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70030', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70030', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70030', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70030', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70030', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70030', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70030', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70030', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70030', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70030', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70030', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70030', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70030', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70030', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70030', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70030', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70030', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70030', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70030', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70030', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70030', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70030', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70030', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70030', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70030', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70030', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70030', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70030', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70030', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70030', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70030', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70030', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70030', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70030', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70030', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70030', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70030', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70030', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70030', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70030', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70030', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70030', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70030', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70030', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70030', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70030', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70030', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70030', null, '50000', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70045', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70045', null, '4', 'Dagger', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70045', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '23', 'Broad Sword', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', null, '24', 'Short Sword', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70045', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '27', 'Scimitar', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70045', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70045', null, '31', 'Long Sword', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70045', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70045', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70045', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70045', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70045', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70045', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '90', 'Bardiche', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70045', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70045', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70045', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70045', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70045', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70045', null, '96', 'Spear', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70045', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70045', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70045', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70045', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70045', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70045', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70045', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70045', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70045', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '136', 'Axe', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70045', null, '137', 'Athame', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70045', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70045', null, '140', 'Mace', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70045', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70045', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70045', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70045', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70045', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70045', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70045', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70045', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70045', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '172', null, '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70045', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70045', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70045', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70045', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70045', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70045', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70045', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20043', null, '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70045', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70045', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20089', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20096', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70045', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70045', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20114', null, '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70045', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70045', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20122', null, '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70045', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20125', null, '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70045', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70045', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70045', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70045', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20205', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70045', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70045', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70045', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20239', null, '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70045', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20242', null, '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70045', null, '20322', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40001', null, '3', '10', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '40002', null, '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '40003', null, '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70045', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70045', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70045', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70045', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70045', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40057', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70045', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70045', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70045', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', null, '40074', null, '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70045', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70045', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70045', null, '40087', null, '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70045', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70045', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70045', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70045', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70045', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70045', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70045', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70045', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70045', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70045', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70045', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70045', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70045', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70045', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70045', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70045', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70045', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70045', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70045', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70045', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70045', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70045', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70045', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70045', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70045', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70045', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70045', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70045', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70045', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70045', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70045', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70045', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70045', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70045', null, '40374', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', null, '40375', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', null, '40376', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70045', null, '40377', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70045', null, '40381', null, '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70045', null, '40382', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70045', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70045', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70045', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70045', null, '40387', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70045', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70045', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70045', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70045', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70045', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70045', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70045', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70045', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70045', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40738', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40739', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40740', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70045', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40743', null, '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70045', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70045', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70045', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70045', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70045', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70045', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70045', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70045', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70045', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70045', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70045', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70045', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70045', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70045', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70045', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70045', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70045', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70045', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70045', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70045', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70045', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70045', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70045', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70045', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70045', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70045', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70045', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70045', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70045', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70045', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70045', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70045', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70045', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70045', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70045', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70045', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70045', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70045', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70045', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70045', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70045', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70045', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70045', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70045', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70045', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70045', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70045', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70045', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70045', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70045', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70045', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70045', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70045', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70045', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70045', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70045', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70045', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70045', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70045', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70063', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70063', null, '4', 'Dagger', '11', '8', '0', '4');
INSERT INTO `shop` VALUES ('70063', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '23', 'Broad Sword', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', null, '24', 'Short Sword', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70063', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '27', 'Scimitar', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70063', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70063', null, '31', 'Long Sword', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70063', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70063', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70063', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70063', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70063', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70063', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '90', 'Bardiche', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70063', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70063', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70063', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70063', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70063', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70063', null, '96', 'Spear', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70063', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70063', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70063', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70063', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70063', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70063', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70063', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70063', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70063', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '136', 'Axe', '0', '-1', '0', '11');
INSERT INTO `shop` VALUES ('70063', null, '137', 'Athame', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70063', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70063', null, '140', 'Mace', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70063', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70063', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70063', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70063', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70063', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70063', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70063', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70063', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70063', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '172', null, '0', '-1', '0', '26');
INSERT INTO `shop` VALUES ('70063', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70063', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70063', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70063', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70063', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70063', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70063', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20043', null, '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70063', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70063', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20089', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20096', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70063', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70063', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20114', null, '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70063', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70063', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20122', null, '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70063', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20125', null, '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70063', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70063', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70063', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70063', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70063', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70063', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70063', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20239', null, '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70063', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20242', null, '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70063', null, '20322', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '40014', null, '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70063', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70063', null, '40016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70063', null, '40019', null, '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70063', null, '40020', null, '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70063', null, '40021', null, '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70063', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70063', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70063', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70063', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70063', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70063', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70063', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70063', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70063', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70063', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70063', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70063', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70063', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70063', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70063', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70063', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70063', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70063', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70063', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70063', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70063', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70063', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70063', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70063', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70063', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70063', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70063', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70063', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70063', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70063', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70063', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70063', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70063', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70063', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70063', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70063', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70063', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70063', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70063', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70063', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70063', null, '40374', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', null, '40375', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', null, '40376', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70063', null, '40377', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70063', null, '40381', null, '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70063', null, '40382', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70063', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70063', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70063', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70063', null, '40386', null, '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70063', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70063', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70063', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70063', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70063', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70063', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70063', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70063', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70063', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70063', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40738', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40739', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40740', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70063', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40743', null, '0', '-1', '0', '0');
INSERT INTO `shop` VALUES ('70063', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70063', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70063', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70063', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70063', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70063', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70063', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70063', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70063', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70063', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70063', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70063', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70063', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70063', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70063', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70063', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70063', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70063', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70063', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70063', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70063', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70063', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70063', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70063', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70063', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70063', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70063', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70063', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70063', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70063', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70063', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70063', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70063', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70063', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70063', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70063', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70063', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70063', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70063', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70063', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70063', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70063', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70063', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70063', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70063', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70063', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70063', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70063', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70063', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70063', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70063', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70063', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70063', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70063', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70063', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70063', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70063', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70063', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70063', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70079', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70079', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '23', 'Broad Sword', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', null, '24', 'Short Sword', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70079', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '27', 'Scimitar', '0', '-1', '0', '660');
INSERT INTO `shop` VALUES ('70079', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70079', null, '31', 'Long Sword', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70079', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70079', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70079', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70079', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70079', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70079', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '90', 'Bardiche', '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70079', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70079', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70079', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70079', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70079', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70079', null, '96', 'Spear', '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70079', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70079', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70079', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70079', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70079', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70079', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70079', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70079', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70079', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '137', 'Athame', '0', '-1', '0', '8');
INSERT INTO `shop` VALUES ('70079', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70079', null, '140', 'Mace', '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70079', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70079', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70079', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70079', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70079', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70079', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70079', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70079', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70079', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70079', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70079', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70079', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70079', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70079', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70079', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70079', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20089', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20096', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70079', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70079', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20114', null, '0', '-1', '0', '700');
INSERT INTO `shop` VALUES ('70079', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70079', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20122', null, '0', '-1', '0', '1400');
INSERT INTO `shop` VALUES ('70079', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20125', null, '0', '-1', '0', '4200');
INSERT INTO `shop` VALUES ('70079', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70079', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70079', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70079', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20205', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70079', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70079', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70079', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20239', null, '0', '-1', '0', '30');
INSERT INTO `shop` VALUES ('70079', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '20242', null, '0', '-1', '0', '600');
INSERT INTO `shop` VALUES ('70079', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40002', null, '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '40003', null, '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70079', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '40011', null, '13', '150', '0', '75');
INSERT INTO `shop` VALUES ('70079', null, '40012', null, '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '40014', null, '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70079', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70079', null, '40016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70079', null, '40019', null, '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70079', null, '40020', null, '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70079', null, '40021', null, '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70079', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70079', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70079', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70079', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70079', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40057', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70079', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70079', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70079', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', null, '40074', null, '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70079', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70079', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40079', null, '22', '120', '0', '60');
INSERT INTO `shop` VALUES ('70079', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70079', null, '40087', null, '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70079', null, '40088', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70079', null, '40089', null, '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70079', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70079', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70079', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '40119', null, '20', '100', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40124', null, '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70079', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70079', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70079', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70079', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70079', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70079', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70079', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70079', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70079', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70052', null, '41243', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70079', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70079', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70079', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70079', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70079', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70079', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40315', null, '9', '500', '0', '250');
INSERT INTO `shop` VALUES ('70079', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70079', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70079', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70079', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70079', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70079', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70079', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70079', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70079', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70079', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70079', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70079', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70079', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70079', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70079', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70079', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70079', null, '40374', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', null, '40375', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', null, '40376', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70079', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70079', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70079', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70079', null, '40381', null, '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70079', null, '40382', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70079', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70079', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70079', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70079', null, '40386', null, '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70079', null, '40387', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70079', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70079', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70079', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70079', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70079', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70079', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70079', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70079', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70079', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70079', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70079', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70079', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70079', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70079', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70079', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70079', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70079', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70079', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70079', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70079', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70079', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70079', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70079', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70079', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70079', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70079', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70079', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70079', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70079', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70079', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70079', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70079', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70079', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70079', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70079', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70079', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70079', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70079', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70079', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70079', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70079', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70079', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70079', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70079', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70079', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70079', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70079', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70079', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70079', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70079', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70079', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70079', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70079', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70079', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70079', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70079', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70079', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70079', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70079', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70079', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70079', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70079', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70079', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70079', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70079', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70079', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70079', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', null, '1', 'Orcish Dagger', '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70014', null, '2', 'Dice Dagger', '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70014', null, '6', 'Lastavard Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '7', 'Ivory Tower Dagger', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '10', 'Lastavard Blade', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '15', 'Sword of Kurtz', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '21', 'Orcish Short Sword', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '25', 'Silver Sword', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70014', null, '26', 'Dwarvish Short Sword', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '29', 'Long Silver Sword', '0', '-1', '0', '6500');
INSERT INTO `shop` VALUES ('70014', null, '32', 'Gradius', '0', '-1', '0', '1275');
INSERT INTO `shop` VALUES ('70014', null, '33', 'Sword of Honor', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '34', 'Sword of Red Desire', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '35', 'IT One-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '37', 'Damascus Sword', '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70014', null, '38', 'Lastavard Long Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '39', 'Cutlass', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40', 'Large Sword of Blood', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '41', 'Katana', '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '43', 'Shamshir', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '48', 'IT Two-Handed Sword', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '52', 'Two-Handed Sword', '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70014', null, '69', 'Bronze Edoryu', '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70014', null, '71', 'Steel Edoryu', '0', '-1', '0', '750');
INSERT INTO `shop` VALUES ('70014', null, '72', 'Shadow Edoryu', '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70014', null, '73', 'Ivory Tower Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '75', 'Dark Edoryu', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '76', 'Edoryu of Ronde', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '77', 'Stealth Edoryu', '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '80', 'Damascus Edoryu', '0', '-1', '0', '15000');
INSERT INTO `shop` VALUES ('70014', null, '87', 'Unknown Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '91', 'Orcish Spear', '0', '-1', '0', '80');
INSERT INTO `shop` VALUES ('70014', null, '92', 'Bill-Guisarme', '0', '-1', '0', '89');
INSERT INTO `shop` VALUES ('70014', null, '93', 'Trident', '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70014', null, '94', 'Partisan', '0', '-1', '0', '225');
INSERT INTO `shop` VALUES ('70014', null, '95', 'Lance', '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70014', null, '97', 'Guisarme', '0', '-1', '0', '110');
INSERT INTO `shop` VALUES ('70014', null, '98', 'Glaive', '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70014', null, '101', 'Lastavard One-Handed Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '102', 'Lucern Hammer', '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70014', null, '103', 'Halberd', '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70014', null, '104', 'Fauchard', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70014', null, '105', 'Ivory Tower Spear', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '106', 'Bec de Corbin', '0', '-1', '0', '8800');
INSERT INTO `shop` VALUES ('70014', null, '125', 'Staff of Sorcery', '0', '-1', '0', '4500');
INSERT INTO `shop` VALUES ('70014', null, '128', 'Oak Staff', '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '129', 'Wizard\'s Staff', '0', '-1', '0', '1250');
INSERT INTO `shop` VALUES ('70014', null, '135', 'Unknown Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '138', 'Club', '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70014', null, '139', 'Flail', '0', '-1', '0', '22');
INSERT INTO `shop` VALUES ('70014', null, '141', 'War Hammer', '0', '-1', '0', '550');
INSERT INTO `shop` VALUES ('70014', null, '142', 'Silver Axe', '0', '-1', '0', '4400');
INSERT INTO `shop` VALUES ('70014', null, '143', 'Battle Axe', '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70014', null, '144', 'Dwarvish Axe', '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '145', 'Berserker Axe', '0', '-1', '0', '900');
INSERT INTO `shop` VALUES ('70014', null, '146', 'Morning Staf', '0', '-1', '0', '1925');
INSERT INTO `shop` VALUES ('70014', null, '147', 'Ivory Tower Axe', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '148', 'Great Axe', '0', '-1', '0', '7150');
INSERT INTO `shop` VALUES ('70014', null, '150', 'Hammer of the Heavens', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '152', 'Bronze Claw', '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '153', 'Steel Claw', '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '154', 'Shadow Claw', '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '156', 'Ivory Tower Claw', '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '157', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '158', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '159', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70014', null, '161', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70014', null, '168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '169', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70014', null, '170', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '176', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '186', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '187', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '208', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '209', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '211', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '214', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '215', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '216', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '220', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '223', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '225', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '226', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '228', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '230', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20001', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', null, '20002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20006', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70014', null, '20007', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '20008', null, '0', '-1', '0', '300');
INSERT INTO `shop` VALUES ('70014', null, '20011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70014', null, '20012', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20013', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70014', null, '20014', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', null, '20015', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70014', null, '20019', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20023', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20026', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20028', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20032', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70014', null, '20036', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70014', null, '20037', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20038', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20043', null, '0', '-1', '0', '140');
INSERT INTO `shop` VALUES ('70014', null, '20044', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20045', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20052', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '20053', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '20063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20072', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '20073', null, '0', '-1', '0', '575');
INSERT INTO `shop` VALUES ('70014', null, '20075', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20081', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '20085', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20090', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20101', null, '0', '-1', '0', '16100');
INSERT INTO `shop` VALUES ('70014', null, '20102', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20103', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20104', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20105', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20110', null, '0', '-1', '0', '5600');
INSERT INTO `shop` VALUES ('70014', null, '20111', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20115', null, '0', '-1', '0', '14000');
INSERT INTO `shop` VALUES ('70014', null, '20120', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20124', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20126', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20132', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20133', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '20136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70014', null, '20139', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20145', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20148', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20149', null, '0', '-1', '0', '11200');
INSERT INTO `shop` VALUES ('70014', null, '20154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70014', null, '20155', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20161', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20162', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20172', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20173', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20174', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20175', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20177', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20178', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20181', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20188', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20189', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20191', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20192', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20193', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20196', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20199', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20200', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20205', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '20206', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20207', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20210', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20212', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20213', null, '2', '300', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '20217', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20219', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20221', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20222', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20223', null, '0', '-1', '0', '120');
INSERT INTO `shop` VALUES ('70014', null, '20224', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20227', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20229', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '20231', null, '0', '-1', '0', '3500');
INSERT INTO `shop` VALUES ('70014', null, '20232', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20235', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20236', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70014', null, '20237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', null, '20238', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20241', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '20351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40002', null, '4', '100', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '40003', null, '5', '30', '0', '15');
INSERT INTO `shop` VALUES ('70014', null, '40004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '40007', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '40008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '40012', null, '14', '300', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '40014', null, '0', '-1', '0', '470');
INSERT INTO `shop` VALUES ('70014', null, '40015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70014', null, '40016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70014', null, '40019', null, '0', '-1', '0', '48');
INSERT INTO `shop` VALUES ('70014', null, '40020', null, '0', '-1', '0', '132');
INSERT INTO `shop` VALUES ('70014', null, '40021', null, '0', '-1', '0', '506');
INSERT INTO `shop` VALUES ('70014', null, '40025', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', null, '40026', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', null, '40027', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', null, '40028', null, '0', '-1', '0', '2');
INSERT INTO `shop` VALUES ('70014', null, '40029', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40030', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40031', null, '0', '-1', '0', '325');
INSERT INTO `shop` VALUES ('70014', null, '40032', null, '0', '-1', '0', '170');
INSERT INTO `shop` VALUES ('70014', null, '40039', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', null, '40040', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', null, '40041', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40042', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40043', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70014', null, '40044', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40045', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40046', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40047', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40048', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40049', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40050', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40051', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40052', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40053', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40054', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40055', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40057', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70014', null, '40058', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40059', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '40060', null, '0', '-1', '0', '6');
INSERT INTO `shop` VALUES ('70014', null, '40061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '40062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '40063', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40064', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '40066', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40067', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40068', null, '0', '-1', '0', '625');
INSERT INTO `shop` VALUES ('70014', null, '40069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '40071', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40072', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70014', null, '40074', null, '0', '-1', '0', '16000');
INSERT INTO `shop` VALUES ('70014', null, '40075', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70014', null, '40077', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40078', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40080', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', null, '40081', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', null, '40082', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', null, '40083', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', null, '40084', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', null, '40085', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', null, '40086', null, '0', '-1', '0', '105');
INSERT INTO `shop` VALUES ('70014', null, '40087', null, '0', '-1', '0', '35000');
INSERT INTO `shop` VALUES ('70014', null, '40088', null, '0', '-1', '0', '1150');
INSERT INTO `shop` VALUES ('70014', null, '40089', null, '21', '1000', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40090', null, '0', '-1', '0', '85');
INSERT INTO `shop` VALUES ('70014', null, '40091', null, '0', '-1', '0', '330');
INSERT INTO `shop` VALUES ('70014', null, '40092', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70014', null, '40093', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40094', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40095', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40096', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40097', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40098', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40099', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40101', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40102', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40104', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40105', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40106', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40107', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40108', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40109', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40110', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40111', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40112', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40113', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40114', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '40115', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '40116', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '40117', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '40118', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '40120', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40121', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40122', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40123', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40124', null, '23', '120', '0', '60');
INSERT INTO `shop` VALUES ('70014', null, '40125', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('70014', null, '40127', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40129', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40130', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40131', null, '0', '-1', '0', '15');
INSERT INTO `shop` VALUES ('70014', null, '40132', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '40133', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40134', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '40136', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', null, '40137', null, '0', '-1', '0', '2187');
INSERT INTO `shop` VALUES ('70014', null, '40138', null, '0', '-1', '0', '1050');
INSERT INTO `shop` VALUES ('70014', null, '40139', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', null, '40140', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', null, '40141', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', null, '40142', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40143', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', null, '40144', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', null, '40145', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', null, '40146', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40147', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', null, '40148', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', null, '40149', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40150', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', null, '40151', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', null, '40152', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', null, '40153', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40154', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40155', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', null, '40156', null, '0', '-1', '0', '350');
INSERT INTO `shop` VALUES ('70014', null, '40157', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40158', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', null, '40159', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', null, '40160', null, '0', '-1', '0', '87');
INSERT INTO `shop` VALUES ('70014', null, '40161', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40163', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40164', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40165', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40166', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40167', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40168', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40170', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40171', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40172', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40173', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40174', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40175', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40176', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40177', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40178', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40179', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40180', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40181', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40182', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40183', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40184', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40185', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70014', null, '40186', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40187', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40188', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40189', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40190', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40191', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40192', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40193', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40194', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40195', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40196', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40197', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40198', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40199', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40200', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40201', null, '0', '-1', '0', '4000');
INSERT INTO `shop` VALUES ('70014', null, '40202', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40203', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40204', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40205', null, '0', '-1', '0', '6000');
INSERT INTO `shop` VALUES ('70014', null, '40206', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40207', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40208', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40209', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40210', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40211', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40212', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40213', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40214', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40215', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40216', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40217', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40218', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40219', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40220', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40221', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40222', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40223', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40224', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40225', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40226', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40227', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40228', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40229', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40230', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40231', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70052', null, '40264', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40263', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40262', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40261', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40260', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40259', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40258', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40257', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40256', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40255', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40254', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40253', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40252', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40251', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40250', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40249', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40248', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40247', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40246', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40245', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40244', null, '0', '-1', '0', '2500');
INSERT INTO `shop` VALUES ('70052', null, '40243', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40242', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40241', null, '0', '-1', '0', '2000');
INSERT INTO `shop` VALUES ('70052', null, '40240', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40239', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40238', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40237', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70052', null, '40236', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70052', null, '40235', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70052', null, '40234', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70052', null, '40233', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70052', null, '40232', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40265', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40266', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40267', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40268', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70014', null, '40269', null, '0', '-1', '0', '1625');
INSERT INTO `shop` VALUES ('70014', null, '40270', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40271', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40272', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40273', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40274', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40275', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40276', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40277', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40278', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40279', null, '0', '-1', '0', '2625');
INSERT INTO `shop` VALUES ('70014', null, '40280', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40298', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '40299', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '40300', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', null, '40301', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', null, '40302', null, '0', '-1', '0', '345');
INSERT INTO `shop` VALUES ('70014', null, '40303', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40309', null, '0', '-1', '0', '25');
INSERT INTO `shop` VALUES ('70014', null, '40312', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40313', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40318', null, '0', '-1', '0', '122');
INSERT INTO `shop` VALUES ('70014', null, '40319', null, '0', '-1', '0', '177');
INSERT INTO `shop` VALUES ('70014', null, '40320', null, '0', '-1', '0', '121');
INSERT INTO `shop` VALUES ('70014', null, '40321', null, '0', '-1', '0', '171');
INSERT INTO `shop` VALUES ('70014', null, '40322', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70014', null, '40323', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70014', null, '40324', null, '0', '-1', '0', '1256');
INSERT INTO `shop` VALUES ('70014', null, '40325', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40326', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40327', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40328', null, '0', '-1', '0', '500');
INSERT INTO `shop` VALUES ('70014', null, '40329', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40331', null, '0', '-1', '0', '5000');
INSERT INTO `shop` VALUES ('70014', null, '40332', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '40333', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70014', null, '40334', null, '0', '-1', '0', '20000');
INSERT INTO `shop` VALUES ('70014', null, '40335', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '40336', null, '0', '-1', '0', '8000');
INSERT INTO `shop` VALUES ('70014', null, '40337', null, '0', '-1', '0', '65000');
INSERT INTO `shop` VALUES ('70014', null, '40338', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '40339', null, '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70014', null, '40340', null, '0', '-1', '0', '40000');
INSERT INTO `shop` VALUES ('70014', null, '40341', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40342', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40343', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40344', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40345', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40346', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40347', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40348', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40349', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40350', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40351', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40352', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40353', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40354', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40355', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40356', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40357', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40358', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40359', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40360', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40361', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40362', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40363', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40364', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40365', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40366', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40367', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40368', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40369', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40370', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40371', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40372', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40373', null, '0', '-1', '0', '825');
INSERT INTO `shop` VALUES ('70014', null, '40375', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', null, '40376', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70014', null, '40377', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', null, '40378', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', null, '40379', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', null, '40380', null, '6', '62', '0', '31');
INSERT INTO `shop` VALUES ('70014', null, '40381', null, '0', '-1', '0', '44');
INSERT INTO `shop` VALUES ('70014', null, '40382', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70014', null, '40383', null, '0', '-1', '0', '35');
INSERT INTO `shop` VALUES ('70014', null, '40384', null, '0', '-1', '0', '36');
INSERT INTO `shop` VALUES ('70014', null, '40385', null, '0', '-1', '0', '34');
INSERT INTO `shop` VALUES ('70014', null, '40386', null, '0', '-1', '0', '31');
INSERT INTO `shop` VALUES ('70014', null, '40387', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', null, '40388', null, '0', '-1', '0', '41');
INSERT INTO `shop` VALUES ('70014', null, '40389', null, '0', '-1', '0', '39');
INSERT INTO `shop` VALUES ('70014', null, '40390', null, '0', '-1', '0', '37');
INSERT INTO `shop` VALUES ('70014', null, '40391', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40392', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40393', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40394', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40395', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40396', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40397', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40398', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40399', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40400', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40401', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40402', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40403', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40404', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40405', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '40406', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70014', null, '40407', null, '0', '-1', '0', '43');
INSERT INTO `shop` VALUES ('70014', null, '40408', null, '0', '-1', '0', '71');
INSERT INTO `shop` VALUES ('70014', null, '40409', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40410', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40411', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40412', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40413', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40414', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40415', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40416', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40418', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40419', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40420', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40421', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40422', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40423', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40424', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40425', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40426', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40427', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40428', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40429', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40430', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40431', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40432', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40433', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40434', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40435', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40436', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40437', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40438', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40439', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40440', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40441', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40442', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40443', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40444', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40445', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40446', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40447', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40448', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40449', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40450', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40451', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40452', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40453', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40454', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40455', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40456', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40457', null, '0', '-1', '0', '175');
INSERT INTO `shop` VALUES ('70014', null, '40458', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40459', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40460', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40461', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40462', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40463', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40464', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40465', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40467', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40468', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40469', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40470', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40471', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40472', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40473', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40474', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40475', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40476', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40477', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40478', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40479', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40480', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40481', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40482', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40483', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40484', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40485', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40486', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40487', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40488', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40489', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40490', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40491', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40492', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40493', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40494', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40495', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40496', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40497', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40498', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40499', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40500', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40501', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40502', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40503', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40504', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40505', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40507', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40508', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40509', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40510', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40511', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40512', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40514', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40515', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40516', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40517', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40518', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40519', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40520', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40521', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40522', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40523', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40524', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40526', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40527', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40528', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40529', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40530', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40531', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40532', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40533', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40534', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40535', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40536', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40537', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40538', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40539', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40540', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40541', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40542', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40543', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40544', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40545', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40546', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40547', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40548', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40549', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40550', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40551', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40552', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40553', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40554', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40556', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40557', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40558', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40559', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40560', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40561', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40562', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40563', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40564', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40565', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40566', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40567', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70014', null, '40568', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40569', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40570', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40571', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40572', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40573', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40574', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40575', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40576', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40577', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40578', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40579', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40580', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40581', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40582', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40583', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40584', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40585', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40586', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40587', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40588', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40589', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40590', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40591', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40592', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40593', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40594', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40595', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40596', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40597', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40598', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40599', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40600', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40601', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40602', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40603', null, '0', '-1', '0', '50000');
INSERT INTO `shop` VALUES ('70014', null, '40604', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40605', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40606', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40607', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40608', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40609', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40610', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40611', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40612', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40613', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40614', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40615', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40616', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40617', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40618', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40619', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40620', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40621', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40622', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40623', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40624', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40625', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40626', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40627', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40628', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40629', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40630', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40631', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40632', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40633', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40634', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40635', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40636', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40637', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40638', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40639', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40640', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40641', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40642', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40643', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40644', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40645', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40646', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40647', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40648', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40649', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40650', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40651', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40652', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40653', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40654', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40655', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40656', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40657', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40658', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40659', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40660', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40661', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40662', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40663', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40664', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40665', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40666', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40667', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40668', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40669', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40670', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40671', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40672', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40673', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40674', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40675', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40676', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40677', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40678', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40679', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40680', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40681', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40682', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40683', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40684', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40685', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40686', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40687', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40688', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40689', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40690', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40691', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40692', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40693', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40694', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40695', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40696', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40697', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40698', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40699', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40700', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40701', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40702', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40703', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40704', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40705', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40706', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40707', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40708', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40709', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40710', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40711', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40712', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40713', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40714', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40715', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40716', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40717', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40718', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40719', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40720', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40721', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40722', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40723', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40724', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40726', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40727', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40728', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40729', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40730', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40731', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40732', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40733', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40734', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40735', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40736', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40737', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40741', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40742', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40744', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40745', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '40746', null, '0', '-1', '0', '7');
INSERT INTO `shop` VALUES ('70014', null, '40747', null, '0', '-1', '0', '10');
INSERT INTO `shop` VALUES ('70014', null, '40748', null, '0', '-1', '0', '13');
INSERT INTO `shop` VALUES ('70014', null, '40749', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', null, '40750', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', null, '40751', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70014', null, '40752', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', null, '40753', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', null, '40754', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', null, '40755', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', null, '40756', null, '0', '-1', '0', '28750');
INSERT INTO `shop` VALUES ('70014', null, '40757', null, '0', '-1', '0', '45000');
INSERT INTO `shop` VALUES ('70014', null, '40758', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40759', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40760', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40761', null, '0', '-1', '0', '7500');
INSERT INTO `shop` VALUES ('70014', null, '40762', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40763', null, '0', '-1', '0', '25000');
INSERT INTO `shop` VALUES ('70014', null, '40764', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40765', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '40766', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '100004', null, '0', '-1', '0', '4');
INSERT INTO `shop` VALUES ('70014', null, '100025', null, '0', '-1', '0', '990');
INSERT INTO `shop` VALUES ('70014', null, '100027', null, '0', '-1', '0', '1320');
INSERT INTO `shop` VALUES ('70014', null, '100029', null, '0', '-1', '0', '715');
INSERT INTO `shop` VALUES ('70014', null, '100037', null, '0', '-1', '0', '2750');
INSERT INTO `shop` VALUES ('70014', null, '100041', null, '0', '-1', '0', '11000');
INSERT INTO `shop` VALUES ('70014', null, '100052', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70014', null, '100095', null, '0', '-1', '0', '33');
INSERT INTO `shop` VALUES ('70014', null, '100098', null, '0', '-1', '0', '192');
INSERT INTO `shop` VALUES ('70014', null, '100102', null, '0', '-1', '0', '5500');
INSERT INTO `shop` VALUES ('70014', null, '100103', null, '0', '-1', '0', '1100');
INSERT INTO `shop` VALUES ('70014', null, '100143', null, '0', '-1', '0', '385');
INSERT INTO `shop` VALUES ('70014', null, '100169', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '100172', null, '0', '-1', '0', '27');
INSERT INTO `shop` VALUES ('70014', null, '120011', null, '0', '-1', '0', '1500');
INSERT INTO `shop` VALUES ('70014', null, '120043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '120056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '120101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70014', null, '120128', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '120137', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '120149', null, '0', '-1', '0', '9000');
INSERT INTO `shop` VALUES ('70014', null, '120154', null, '0', '-1', '0', '25900');
INSERT INTO `shop` VALUES ('70014', null, '120182', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '120242', null, '0', '-1', '0', '1600');
INSERT INTO `shop` VALUES ('70014', null, '140006', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '140008', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '140010', null, '0', '-1', '0', '32');
INSERT INTO `shop` VALUES ('70014', null, '140011', null, '0', '-1', '0', '106');
INSERT INTO `shop` VALUES ('70014', null, '140012', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70014', null, '140013', null, '0', '-1', '0', '206');
INSERT INTO `shop` VALUES ('70014', null, '140014', null, '0', '-1', '0', '460');
INSERT INTO `shop` VALUES ('70014', null, '140015', null, '0', '-1', '0', '388');
INSERT INTO `shop` VALUES ('70014', null, '140016', null, '0', '-1', '0', '495');
INSERT INTO `shop` VALUES ('70014', null, '140018', null, '0', '-1', '0', '1361');
INSERT INTO `shop` VALUES ('70014', null, '140061', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '140062', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '140065', null, '0', '-1', '0', '3');
INSERT INTO `shop` VALUES ('70014', null, '140068', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '140069', null, '0', '-1', '0', '5');
INSERT INTO `shop` VALUES ('70014', null, '140072', null, '0', '-1', '0', '17');
INSERT INTO `shop` VALUES ('70014', null, '140074', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '140087', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '140088', null, '0', '-1', '0', '1211');
INSERT INTO `shop` VALUES ('70014', null, '140089', null, '0', '-1', '0', '1067');
INSERT INTO `shop` VALUES ('70014', null, '140100', null, '0', '-1', '0', '510');
INSERT INTO `shop` VALUES ('70014', null, '140119', null, '0', '-1', '0', '435');
INSERT INTO `shop` VALUES ('70014', null, '140506', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '200001', null, '0', '-1', '0', '16');
INSERT INTO `shop` VALUES ('70014', null, '200002', null, '0', '-1', '0', '1375');
INSERT INTO `shop` VALUES ('70014', null, '200027', null, '0', '-1', '0', '320');
INSERT INTO `shop` VALUES ('70014', null, '200032', null, '0', '-1', '0', '9900');
INSERT INTO `shop` VALUES ('70014', null, '200041', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70014', null, '200052', null, '0', '-1', '0', '-1');
INSERT INTO `shop` VALUES ('70014', null, '200171', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '220001', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '220002', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '220003', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '220004', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '220005', null, '0', '-1', '0', '1');
INSERT INTO `shop` VALUES ('70014', null, '220034', null, '0', '-1', '0', '75');
INSERT INTO `shop` VALUES ('70014', null, '220043', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '220056', null, '0', '-1', '0', '50');
INSERT INTO `shop` VALUES ('70014', null, '220101', null, '0', '-1', '0', '5750');
INSERT INTO `shop` VALUES ('70014', null, '220115', null, '0', '-1', '0', '10000');
INSERT INTO `shop` VALUES ('70014', null, '220122', null, '0', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('70014', null, '220125', null, '0', '-1', '0', '3000');
INSERT INTO `shop` VALUES ('70014', null, '220135', null, '0', '-1', '0', '100');
INSERT INTO `shop` VALUES ('70014', null, '220136', null, '0', '-1', '0', '400');
INSERT INTO `shop` VALUES ('70014', null, '220147', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '220154', null, '0', '-1', '0', '18500');
INSERT INTO `shop` VALUES ('70014', null, '220213', null, '0', '-1', '0', '150');
INSERT INTO `shop` VALUES ('70014', null, '220237', null, '0', '-1', '0', '45');
INSERT INTO `shop` VALUES ('70005', null, '40743', null, '1', '1', '10', '-1');
INSERT INTO `shop` VALUES ('70005', null, '4', 'Dagger', '2', '8', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40001', null, '3', '12', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '136', 'Axe', '4', '25', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '172', null, '5', '63', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '137', 'Athame', '6', '19', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '90', 'Bardiche', '7', '44', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '23', 'Broad Sword', '8', '37', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '96', 'Spear', '9', '101', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '140', 'Mace', '10', '113', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '24', 'Short Sword', '11', '126', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '27', 'Scimitar', '12', '1518', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '31', 'Long Sword', '13', '3795', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20322', null, '14', '25', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20239', null, '15', '75', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20089', null, '16', '126', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20147', null, '17', '379', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20096', null, '18', '632', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20114', null, '19', '1265', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20122', null, '20', '2530', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20242', null, '21', '1518', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '20125', null, '22', '7590', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40056', null, '23', '1', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40065', null, '24', '6', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40310', null, '25', '40', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40311', null, '26', '1518', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40374', null, '27', '63', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40317', null, '28', '172', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40010', null, '29', '46', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40011', null, '30', '253', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40017', null, '31', '88', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40013', null, '32', '253', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40018', null, '33', '1897', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40315', null, '34', '632', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40126', null, '35', '63', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40100', null, '36', '88', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40079', null, '37', '151', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40124', null, '38', '151', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40119', null, '39', '126', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40009', null, '40', '690', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40739', null, '41', '1', '2', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40738', null, '42', '1', '1', '-1');
INSERT INTO `shop` VALUES ('70005', null, '40740', null, '43', '2', '1', '-1');
INSERT INTO `shop` VALUES ('71079', null, '41103', null, '0', '-1', '0', '250');
INSERT INTO `shop` VALUES ('71079', null, '41104', null, '1', '-1', '0', '500');
INSERT INTO `shop` VALUES ('71079', null, '41105', null, '2', '-1', '0', '500');
INSERT INTO `shop` VALUES ('71079', null, '41106', null, '3', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('71079', null, '41107', null, '4', '-1', '0', '1000');
INSERT INTO `shop` VALUES ('71079', null, '41108', null, '5', '-1', '0', '100000');
INSERT INTO `shop` VALUES ('71079', null, '41109', null, '6', '-1', '0', '100000');
INSERT INTO `shop` VALUES ('80075', null, '40743', null, '0', '2', '10', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40744', null, '1', '2', '5', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40739', null, '2', '1', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40738', null, '3', '2', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40740', null, '4', '4', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40032', null, '5', '379', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40019', null, '6', '126', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40020', null, '7', '690', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40021', null, '8', '2070', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40022', null, '9', '144', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40023', null, '10', '862', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40024', null, '11', '2277', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40014', null, '12', '1840', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40016', null, '13', '1380', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40126', null, '14', '115', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40100', null, '15', '161', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40119', null, '16', '230', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40089', null, '17', '2300', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40079', null, '18', '276', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40124', null, '19', '276', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40017', null, '20', '184', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40013', null, '21', '506', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40018', null, '22', '3795', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '40317', null, '23', '379', '0', '-1');
INSERT INTO `shop` VALUES ('80075', null, '41036', null, '24', '345', '0', '-1');
INSERT INTO `shop` VALUES ('80080', null, '41295', null, '0', '57', '1', '-1');
INSERT INTO `shop` VALUES ('80080', null, '41295', null, '1', '517', '10', '-1');
INSERT INTO `shop` VALUES ('80080', null, '41295', null, '2', '4600', '1000', '-1');
INSERT INTO `shop` VALUES ('80090', null, '40059', null, '0', '4', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '40069', null, '1', '7', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '40064', null, '2', '7', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '40061', null, '3', '7', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '40060', null, '4', '9', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '40062', null, '5', '7', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '40072', null, '6', '24', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41266', null, '7', '9', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41267', null, '8', '24', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41264', null, '9', '24', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41265', null, '10', '24', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41268', null, '11', '30', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41269', null, '12', '30', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41271', null, '13', '30', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41272', null, '14', '30', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41273', null, '15', '30', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41261', null, '16', '30', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41262', null, '17', '30', '0', '-1');
INSERT INTO `shop` VALUES ('80090', null, '41260', null, '18', '300', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41401', null, '0', '110000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41395', null, '1', '300000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41396', null, '2', '80000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41392', null, '3', '200000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41397', null, '4', '30000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41398', null, '5', '30000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41393', null, '6', '110000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41394', null, '7', '110000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41391', null, '8', '110000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41399', null, '9', '30000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41400', null, '10', '30000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41389', null, '11', '200000', '0', '-1');
INSERT INTO `shop` VALUES ('80092', null, '41390', null, '12', '200000', '0', '-1');
INSERT INTO `shop` VALUES ('80096', null, '41321', null, '0', '300', '0', '-1');
INSERT INTO `shop` VALUES ('80096', null, '41319', null, '1', '300', '0', '-1');
INSERT INTO `shop` VALUES ('80096', null, '41320', null, '2', '300', '0', '-1');
INSERT INTO `shop` VALUES ('80096', null, '41322', null, '3', '300', '0', '-1');
INSERT INTO `shop` VALUES ('80096', null, '41323', null, '4', '300', '0', '-1');
INSERT INTO `shop` VALUES ('80096', null, '41324', null, '5', '300', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41357', null, '0', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41358', null, '1', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41359', null, '2', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41360', null, '3', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41361', null, '4', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41362', null, '5', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41363', null, '6', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41364', null, '7', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41365', null, '8', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41366', null, '9', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41367', null, '10', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41368', null, '11', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41369', null, '12', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41370', null, '13', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41371', null, '14', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41372', null, '15', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41373', null, '16', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41374', null, '17', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41375', null, '18', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41376', null, '19', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41377', null, '20', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41378', null, '21', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41379', null, '22', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41380', null, '23', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41381', null, '24', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80100', null, '41382', null, '25', '70', '0', '-1');
INSERT INTO `shop` VALUES ('80104', null, '20383', null, '0', '1000000', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40100', null, '14', '77', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40079', null, '15', '130', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40124', null, '16', '130', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40119', null, '17', '110', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40089', null, '18', '1100', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40088', null, '19', '1430', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40074', null, '20', '34000', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40087', null, '21', '81000', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40310', null, '22', '38', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40311', null, '23', '1450', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40315', null, '24', '650', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '41160', null, '25', '2600', '10', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40317', null, '26', '170', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '40056', null, '27', '2', '0', '-1');
INSERT INTO `shop` VALUES ('70092', null, '41260', null, '28', '330', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40011', null, '1', '168', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40012', null, '2', '378', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40020', null, '3', '300', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40021', null, '4', '900', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40023', null, '5', '375', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40024', null, '6', '990', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40017', null, '7', '70', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40013', null, '8', '200', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40018', null, '9', '1500', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40014', null, '10', '800', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40016', null, '11', '600', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40126', null, '12', '50', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40100', null, '13', '70', '0', '38');
INSERT INTO `shop` VALUES ('70093', null, '40079', null, '14', '120', '0', '65');
INSERT INTO `shop` VALUES ('70093', null, '40124', null, '15', '120', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40119', null, '16', '100', '0', '55');
INSERT INTO `shop` VALUES ('70093', null, '40089', null, '17', '1000', '0', '550');
INSERT INTO `shop` VALUES ('70093', null, '40088', null, '18', '1300', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40074', null, '19', '41000', '0', '17000');
INSERT INTO `shop` VALUES ('70093', null, '40087', null, '20', '85000', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40310', null, '21', '35', '0', '19');
INSERT INTO `shop` VALUES ('70093', null, '40311', null, '22', '1200', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40317', null, '23', '150', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40056', null, '23', '1', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '41260', null, '24', '300', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40743', null, '25', '1', '10', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40744', null, '26', '1', '5', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40739', null, '27', '1', '2', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40738', null, '28', '1', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '40740', null, '29', '2', '0', '-1');
INSERT INTO `shop` VALUES ('70093', null, '193', null, '30', '11000', '0', '5500');
INSERT INTO `shop` VALUES ('70093', null, '80', 'Damascus Edoryu', '31', '33000', '0', '16500');
INSERT INTO `shop` VALUES ('70093', null, '161', null, '32', '44000', '0', '22000');
INSERT INTO `shop` VALUES ('71196', null, '40743', null, '1', '1', '10', '-1');
INSERT INTO `shop` VALUES ('71196', null, '40744', null, '2', '1', '5', '-1');
INSERT INTO `shop` VALUES ('71196', null, '40739', null, '3', '1', '2', '-1');
INSERT INTO `shop` VALUES ('71196', null, '40738', null, '4', '1', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '40740', null, '5', '2', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '80', 'Damascus Edoryu', '6', '33000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '161', null, '7', '44000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '101', 'Lastavard One-Handed Spear', '8', '1000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '6', 'Lastavard Dagger', '9', '1000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '38', 'Lastavard Long Sword', '10', '11000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '82', 'Lastavard Edoryu', '11', '10000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '122', 'Lastavard Staff', '12', '10000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '176', null, '13', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '187', null, '14', '10000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '193', null, '15', '11000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '20105', null, '16', '5000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '20102', null, '17', '1500', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '20104', null, '18', '2000', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '20199', null, '19', '1500', '0', '-1');
INSERT INTO `shop` VALUES ('71196', null, '20224', null, '20', '1000', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40236', null, '4', '8250', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40239', null, '5', '16500', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40256', null, '6', '16500', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40260', null, '7', '16500', '0', '-1');
INSERT INTO `shop` VALUES ('70060', null, '40247', null, '8', '16500', '0', '-1');
INSERT INTO `shop` VALUES ('70062', null, '40170', null, '0', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70062', null, '40173', null, '1', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70062', null, '40177', null, '2', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70062', null, '40179', null, '3', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('70062', null, '40183', null, '4', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('70066', null, '40171', null, '0', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70066', null, '40176', null, '1', '3300', '0', '1000');
INSERT INTO `shop` VALUES ('70066', null, '40180', null, '2', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('70066', null, '40182', null, '3', '8250', '0', '2000');
INSERT INTO `shop` VALUES ('81123', null, '20046', null, '0', '5000', '0', '1');
INSERT INTO `shop` VALUES ('81123', null, '40725', null, '0', '5', '0', '1');
INSERT INTO `shop` VALUES ('81124', null, '20046', null, '0', '5000', '0', '1');
INSERT INTO `shop` VALUES ('81124', null, '40725', null, '0', '5', '0', '1');
INSERT INTO `shop` VALUES ('81011', null, '40741', null, '16', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40743', null, '17', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40744', null, '18', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40745', null, '19', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40746', null, '20', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40747', null, '21', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40748', null, '22', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '194', null, '23', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40738', null, '24', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40739', null, '25', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81011', null, '40740', null, '26', '1', '0', '-1');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40056', 'Meat', '0', '1', '0', '0');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40317', 'Whetstone', '1', '247', '0', '95');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40010', 'Lesser Healing Potion', '2', '60', '0', '23');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40011', 'Healing Potion', '3', '247', '0', '95');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40012', 'Greater Healing Potion', '4', '495', '0', '190');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40017', 'Cure Poison Potion', '5', '114', '0', '44');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40013', 'Haste Potion', '6', '330', '0', '127');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40018', 'Greater Haste Potion', '7', '2477', '0', '952');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40126', 'Scroll of Identify', '8', '198', '0', '25');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40100', 'Scroll of Teleportation', '9', '114', '0', '44');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40089', 'Scroll of Ressurrection', '10', '1651', '0', '635');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40079', 'Scroll of Escape', '11', '198', '0', '76');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40022', 'Ancient Lesser Healing Potion', '12', '104', '0', '40');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40023', 'Ancient Healing Potion', '13', '619', '0', '238');
INSERT INTO `shop` VALUES ('71127', 'Squaroo', '40024', 'Ancient Greater Healing Potion', '14', '1634', '0', '628');
INSERT INTO `shop` VALUES ('70014', '0', '240102', '0', '46', '10000', '1', '1200');
INSERT INTO `shop` VALUES ('70023', 'Aden Chamber of Commerce', '41206', 'Dull Weapon', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70037', 'Aden Chamber of Commerce', '41206', 'Dull Weapon', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70064', 'Aden Chamber of Commerce', '41206', 'Dull Weapon', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('70076', 'Aden Chamber of Commerce', '41206', 'Dull Weapon', '0', '-1', '0', '30000');
INSERT INTO `shop` VALUES ('80137', '', '49103', '', '2', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('80137', '', '49104', '', '3', '2000', '0', '1000');
INSERT INTO `shop` VALUES ('80137', '', '49108', '', '4', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('80137', '', '49109', '', '5', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('81243', '', '49102', '', '0', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49103', '', '1', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49104', '', '2', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49105', '', '3', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49106', '', '4', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49107', '', '5', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49108', '', '6', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49109', '', '7', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49110', '', '8', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49111', '', '9', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49112', '', '10', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49113', '', '11', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49114', '', '12', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49115', '', '13', '1', '0', '-1');
INSERT INTO `shop` VALUES ('81243', '', '49116', '', '14', '1', '0', '-1');
INSERT INTO `shop` VALUES ('80137', 'Gepharu', '49158', 'Forbidden Fruit', '0', '500', '0', '250');
INSERT INTO `shop` VALUES ('80137', 'Gepharu', '49157', 'Bone Fragment', '1', '500', '0', '250');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49156', 'Elemental Stone', '0', '250', '0', '125');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49158', 'Forbidden Fruit', '1', '500', '0', '250');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49117', 'Memory Crystal(MirrorImage)', '2', '1500', '0', '750');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49118', 'Memory Crystal(Confusion)', '3', '1500', '0', '750');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49119', 'Memory Crystal(Smash)', '4', '1500', '0', '750');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49120', 'Memory Crystal(IllusionOgre)', '5', '1500', '0', '750');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49122', 'Memory Crystal(Concentration)', '6', '4000', '0', '2000');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49124', 'Memory Crystal(BoneBreak)', '7', '4000', '0', '2000');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49125', 'Memory Crystal(IllusionLich)', '8', '4000', '0', '2000');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49127', 'Memory Crystal(Patience)', '9', '9000', '0', '4500');
INSERT INTO `shop` VALUES ('80141', 'Sveil', '49129', 'Memory Crystal(ArmBreaker)', '10', '9000', '0', '4500');
INSERT INTO `skills` VALUES ('1', 'LesserHeal', '1', '0', '4', '0', '0', '0', '10', '0', 'buff', '3', '2', '4', '0', '0', '0', '4', '16', '0', '-1', '0', '0', '1', '$1436', '19', '744', '0', '77', '0', '280');
INSERT INTO `skills` VALUES ('2', 'Light', '1', '1', '4', '0', '0', '0', '10', '3600', 'none', '0', '0', '0', '0', '0', '0', '16', '2', '0', '0', '0', '0', '2', '$1437', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('3', 'Shield', '1', '2', '8', '0', '0', '0', '10', '1800', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '$1438', '19', '221', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('4', 'EBolt', '1', '3', '3', '0', '0', '0', '10', '0', 'attack', '3', '8', '10', '1', '0', '0', '16', '64', '0', '10', '0', '0', '8', '$1439', '18', '167', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('5', 'Teleport', '1', '4', '10', '0', '0', '0', '10', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '16', '$1440', '19', '169', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('6', 'IceDagger', '1', '5', '4', '0', '0', '0', '10', '0', 'attack', '3', '10', '10', '1', '0', '0', '4', '64', '0', '10', '0', '0', '32', '$1966', '18', '1797', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('7', 'WindShuriken', '1', '6', '4', '0', '0', '0', '10', '0', 'attack', '3', '10', '10', '1', '0', '0', '8', '64', '0', '10', '0', '0', '64', '$1967', '18', '1799', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('8', 'HolyWeapon', '1', '7', '10', '0', '0', '0', '0', '1200', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '128', '$1977', '19', '2165', '0', '161', '308', '79');
INSERT INTO `skills` VALUES ('9', 'CurePoison', '2', '0', '15', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '1', '$1441', '19', '871', '0', '211', '0', '280');
INSERT INTO `skills` VALUES ('10', 'ChillTouch', '2', '1', '8', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '2', '0', '0', '4', '64', '-2', '3', '0', '0', '2', '$1442', '18', '252', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('12', 'EnchantWeapon', '2', '3', '20', '0', '0', '0', '0', '1800', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '8', '$1444', '19', '747', '0', '161', '308', '79');
INSERT INTO `skills` VALUES ('13', 'Detection', '2', '4', '15', '0', '0', '0', '500', '0', 'none', '3', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '16', '$1445', '19', '749', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('14', 'DecreaseWeight', '2', '5', '10', '50', '0', '0', '0', '1800', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '$1978', '19', '2170', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('15', 'FireArrow', '2', '6', '6', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '2', '0', '0', '2', '64', '0', '10', '0', '0', '64', '$1969', '18', '1583', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('16', 'Stalac', '2', '7', '6', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '2', '0', '0', '1', '64', '0', '10', '0', '0', '128', '$1968', '18', '1801', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('17', 'Lightning', '3', '0', '20', '0', '0', '0', '1000', '0', 'attack', '3', '0', '10', '4', '0', '0', '8', '64', '0', '6', '0', '0', '1', '$1446', '18', '170', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('18', 'TurnUndead', '3', '1', '20', '0', '0', '0', '0', '0', 'attack', '2', '0', '0', '0', '0', '7', '1', '4', '0', '10', '0', '0', '2', '$1970', '19', '754', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('19', 'Heal', '3', '2', '15', '0', '0', '0', '0', '0', 'buff', '3', '4', '8', '0', '0', '0', '4', '16', '0', '-1', '0', '0', '4', '$1448', '19', '829', '0', '77', '0', '280');
INSERT INTO `skills` VALUES ('20', 'Blind', '3', '3', '20', '0', '0', '0', '500', '16', 'buff', '3', '0', '0', '0', '0', '11', '0', '4', '-10', '1', '0', '0', '8', '$1449', '19', '746', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('21', 'EnchantArmor', '3', '4', '20', '0', '0', '0', '0', '1800', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '16', '$1450', '19', '748', '0', '161', '308', '79');
INSERT INTO `skills` VALUES ('22', 'FrostCloud', '3', '5', '20', '0', '0', '0', '300', '0', 'attack', '3', '0', '4', '8', '0', '0', '4', '64', '0', '6', '3', '0', '32', '$1447', '18', '1804', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('23', 'WeakElemental', '3', '6', '8', '0', '0', '0', '0', '0', 'buff', '2', '0', '0', '0', '0', '0', '0', '128', '0', '-1', '0', '0', '64', '$1979', '19', '2510', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('24', 'none', '3', '7', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '19', '189', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('25', 'Fireball', '4', '0', '20', '0', '0', '0', '1000', '0', 'attack', '3', '0', '9', '5', '0', '0', '2', '64', '0', '6', '3', '0', '1', '$1451', '18', '171', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('26', 'EnchantDex', '4', '1', '50', '0', '0', '0', '0', '1200', 'buff', '4', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '2', '$1452', '19', '750', '0', '294', '0', '280');
INSERT INTO `skills` VALUES ('27', 'WeaponBreak', '4', '2', '32', '0', '40318', '1', '3000', '0', 'buff', '3', '0', '0', '0', '0', '10', '2', '4', '-10', '4', '0', '0', '4', '$1453', '19', '172', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('28', 'VampiricTouch', '4', '3', '12', '0', '0', '0', '100', '0', 'attack', '3', '15', '10', '3', '0', '0', '4', '64', '-5', '4', '0', '0', '8', '$1454', '18', '236', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('29', 'Slow', '4', '4', '20', '0', '40318', '1', '1000', '64', 'buff', '3', '0', '0', '0', '0', '12', '8', '1', '0', '-1', '0', '0', '16', '$1455', '19', '752', '0', '277', '0', '280');
INSERT INTO `skills` VALUES ('30', 'EarthJail', '4', '5', '24', '0', '0', '0', '400', '0', 'attack', '3', '0', '8', '5', '0', '0', '1', '64', '0', '6', '2', '0', '32', '$1971', '18', '1805', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('31', 'CounterMagic', '4', '6', '20', '0', '40318', '1', '0', '16', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '64', '$1980', '19', '2174', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('32', 'Meditate', '4', '7', '5', '30', '0', '0', '0', '640', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '128', '$1981', '19', '2173', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('33', 'Paralyze', '5', '0', '80', '0', '40318', '2', '5000', '20', 'buff', '3', '0', '0', '0', '0', '8', '1', '4', '-500', '1', '0', '0', '1', '$1456', '19', '746', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('34', 'CallLightning', '5', '1', '18', '0', '0', '0', '1000', '0', 'attack', '3', '40', '8', '5', '0', '0', '8', '64', '0', '6', '0', '0', '2', '$1457', '18', '10', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('35', 'GreaterHeal', '5', '2', '20', '0', '0', '0', '200', '0', 'buff', '3', '10', '8', '0', '0', '0', '4', '16', '0', '-1', '0', '0', '4', '$1458', '19', '830', '0', '77', '0', '280');
INSERT INTO `skills` VALUES ('36', 'TameMonster', '5', '3', '30', '20', '40318', '1', '0', '3600', 'buff', '2', '0', '0', '0', '0', '6', '0', '1', '0', '-1', '0', '0', '8', '$1459', '19', '228', '0', '0', '324', '280');
INSERT INTO `skills` VALUES ('37', 'RemoveCurse', '5', '4', '20', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '16', '$1460', '19', '227', '0', '155', '0', '280');
INSERT INTO `skills` VALUES ('38', 'ConeOfCold', '5', '5', '18', '0', '0', '0', '400', '0', 'attack', '3', '40', '6', '5', '0', '0', '4', '64', '0', '6', '0', '0', '32', '$1972', '18', '1809', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('39', 'ManaDrain', '5', '6', '1', '50', '0', '0', '400', '0', 'buff', '3', '0', '0', '0', '0', '12', '0', '1', '0', '4', '0', '0', '64', '$1982', '19', '2171', '0', '690', '0', '280');
INSERT INTO `skills` VALUES ('40', 'Darkness', '5', '7', '15', '0', '40318', '1', '0', '32', 'buff', '3', '0', '0', '0', '0', '11', '0', '1', '-10', '3', '0', '0', '128', '$1983', '19', '2175', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('41', 'CreateZombie', '6', '0', '5', '80', '40318', '1', '0', '0', 'buff', '2', '0', '0', '0', '0', '0', '1', '32', '-10', '-1', '0', '0', '1', '$1461', '19', '226', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('42', 'EnchantStr', '6', '1', '50', '0', '0', '0', '0', '1200', 'buff', '4', '0', '0', '0', '0', '0', '2', '2', '0', '-1', '0', '0', '2', '$1462', '19', '751', '0', '292', '0', '280');
INSERT INTO `skills` VALUES ('43', 'Haste', '6', '2', '40', '0', '0', '0', '0', '1200', 'buff', '3', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '4', '$1463', '19', '755', '0', '184', '185', '280');
INSERT INTO `skills` VALUES ('44', 'Cancel', '6', '3', '40', '0', '40318', '2', '0', '0', 'buff', '3', '0', '0', '0', '0', '11', '8', '1', '0', '-1', '0', '0', '8', '$1464', '19', '870', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('45', 'Eruption', '6', '4', '20', '0', '0', '0', '400', '0', 'attack', '3', '50', '3', '5', '0', '0', '1', '64', '0', '8', '0', '0', '16', '$1465', '18', '129', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('46', 'SunBurst', '6', '5', '20', '0', '0', '0', '500', '0', 'attack', '3', '40', '5', '16', '0', '0', '2', '64', '0', '3', '0', '0', '32', '$1973', '18', '1811', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('47', 'Weakness', '6', '6', '10', '0', '40318', '1', '500', '64', 'buff', '3', '0', '0', '0', '0', '12', '0', '4', '-10', '3', '0', '0', '64', '$1984', '19', '2228', '0', '692', '0', '280');
INSERT INTO `skills` VALUES ('48', 'BlessWeapon', '6', '7', '20', '0', '0', '0', '0', '1200', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '128', '$1985', '19', '2176', '0', '161', '308', '79');
INSERT INTO `skills` VALUES ('49', 'HealPledge', '7', '0', '50', '30', '0', '0', '500', '0', 'none', '20', '10', '8', '0', '0', '0', '4', '16', '0', '0', '-1', '0', '1', '$1466', '19', '759', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('50', 'IceLance', '7', '1', '36', '0', '0', '0', '1000', '16', 'attack', '3', '50', '5', '6', '0', '9', '4', '64', '0', '6', '0', '0', '2', '$1467', '18', '756', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('51', 'Summon', '7', '2', '30', '30', '40318', '3', '1000', '0', 'none', '0', '0', '0', '0', '0', '0', '1', '128', '-10', '0', '0', '0', '4', '$1468', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('52', 'HolyWalk', '7', '3', '15', '0', '0', '0', '0', '300', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '8', '$1469', '19', '3936', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('53', 'Tornado', '7', '4', '40', '0', '0', '0', '1000', '0', 'none', '3', '20', '10', '5', '0', '0', '8', '64', '0', '0', '4', '0', '16', '$1470', '18', '758', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('54', 'GreaterHaste', '7', '5', '60', '0', '0', '0', '0', '2400', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '32', '$1976', '19', '3104', '0', '184', '185', '0');
INSERT INTO `skills` VALUES ('55', 'Berzerkers', '7', '6', '40', '0', '0', '0', '0', '320', 'buff', '12', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '64', '$1986', '19', '3943', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('56', 'Disease', '7', '7', '10', '0', '40318', '1', '0', '64', 'buff', '3', '0', '0', '0', '0', '10', '0', '4', '-10', '3', '0', '0', '128', '$1987', '19', '2230', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('57', 'FullHeal', '8', '0', '48', '0', '0', '0', '500', '0', 'buff', '3', '12', '12', '0', '0', '0', '12', '16', '0', '-1', '0', '0', '1', '$1471', '19', '832', '0', '77', '0', '280');
INSERT INTO `skills` VALUES ('58', 'Firewall', '8', '1', '60', '0', '0', '0', '0', '10', 'attack', '3', '41', '0', '0', '0', '0', '2', '64', '0', '8', '0', '0', '2', '$1472', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('59', 'Blizzard', '8', '2', '60', '10', '0', '0', '1500', '0', 'none', '3', '3', '10', '3', '0', '0', '4', '64', '-10', '0', '10', '0', '4', '$1473', '18', '757', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('60', 'Invisibility', '8', '3', '15', '0', '40318', '1', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '8', '$1474', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('61', 'Resurrection', '8', '4', '50', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '32', '0', '-1', '0', '0', '16', '$1475', '19', '3944', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('62', 'Earthquake', '8', '5', '40', '0', '0', '0', '500', '0', 'none', '3', '40', '10', '6', '0', '0', '1', '64', '0', '0', '3', '0', '32', '$1974', '18', '1812', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('63', 'LifeStream', '8', '6', '20', '0', '40318', '1', '0', '320', 'buff', '32', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '3', '0', '64', '$1988', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('64', 'Silence', '8', '7', '20', '0', '40318', '1', '0', '16', 'buff', '3', '0', '0', '0', '0', '10', '0', '1', '0', '3', '0', '0', '128', '$1989', '19', '2177', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('65', 'LightningStorm', '9', '0', '48', '0', '0', '0', '500', '0', 'attack', '3', '25', '10', '5', '0', '0', '8', '64', '0', '10', '4', '0', '1', '$1476', '18', '3924', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('66', 'FogOfSleeping', '9', '1', '40', '0', '40318', '1', '1500', '32', 'buff', '3', '0', '0', '0', '0', '8', '4', '4', '-50', '10', '3', '0', '2', '$1477', '19', '760', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('67', 'Polymorph', '9', '2', '80', '0', '40318', '1', '0', '7200', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '4', '$1478', '19', '231', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('68', 'ImmuneToHarm', '9', '3', '30', '0', '40318', '2', '1500', '32', 'buff', '4', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '8', '$1479', '19', '228', '0', '314', '315', '280');
INSERT INTO `skills` VALUES ('69', 'MassTeleport', '9', '4', '60', '0', '40318', '1', '0', '0', 'none', '4', '0', '0', '0', '0', '0', '0', '128', '0', '0', '2', '0', '16', '$1480', '19', '2236', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('70', 'FireStorm', '9', '5', '48', '0', '0', '0', '400', '0', 'none', '3', '30', '15', '8', '0', '0', '2', '64', '0', '0', '3', '0', '32', '$1975', '18', '1819', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('71', 'DecayPotion', '9', '6', '20', '0', '40318', '2', '500', '16', 'buff', '3', '0', '0', '0', '0', '10', '0', '1', '0', '3', '0', '0', '64', '$1990', '19', '2232', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('72', 'CounterDetection', '9', '7', '30', '0', '0', '0', '0', '0', 'none', '3', '30', '10', '4', '0', '0', '0', '64', '0', '0', '-1', '0', '128', '$1991', '19', '3934', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('73', 'CreateMagicalWeapon', '10', '0', '200', '0', '40318', '10', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '1', '$1481', '19', '763', '0', '685', '0', '0');
INSERT INTO `skills` VALUES ('74', 'MeteorStrike', '10', '1', '60', '0', '0', '0', '1500', '0', 'attack', '3', '50', '15', '8', '0', '0', '2', '64', '0', '10', '3', '0', '2', '$1482', '18', '762', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('75', 'GreaterResurrection', '10', '2', '100', '0', '40318', '1', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '32', '0', '-1', '0', '0', '4', '$1483', '19', '3944', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('76', 'MassSlow', '10', '3', '20', '0', '40318', '2', '3000', '64', 'buff', '3', '0', '0', '0', '0', '9', '1', '1', '0', '-1', '3', '0', '8', '$1484', '19', '3932', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('77', 'Destroy', '10', '4', '70', '0', '0', '0', '5000', '0', 'attack', '3', '100', '15', '8', '0', '0', '16', '64', '1', '10', '0', '0', '16', '$1485', '18', '1815', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('78', 'AbsoluteBarrier', '10', '5', '30', '0', '40318', '2', '12000', '12', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '$1992', '19', '2234', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('79', 'AdvanceSpirit', '10', '6', '20', '0', '0', '0', '0', '1200', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '-1', '0', '0', '64', '$1993', '19', '3935', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('80', 'FreezingBlizzard', '10', '7', '60', '0', '0', '0', '2000', '16', 'none', '3', '3', '10', '3', '0', '7', '4', '64', '-10', '0', '10', '0', '128', '$1994', '18', '3933', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('81', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('82', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('83', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('84', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('85', 'none', '7', '0', '0', '0', '0', '0', '0', '900', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '2059', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('86', 'none', '7', '0', '0', '0', '0', '0', '0', '30', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '760', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('87', 'ShockStun', '11', '6', '15', '0', '0', '0', '1500', '3', 'buff', '3', '0', '0', '0', '50', '0', '0', '1', '0', '1', '0', '0', '64', '', '19', '4434', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('88', 'ReductionArmor', '11', '7', '5', '50', '0', '0', '3000', '32', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '128', '', '19', '4824', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('89', 'BounceAttack', '12', '0', '5', '120', '0', '0', '5000', '64', 'none', '0', '5', '0', '0', '5', '0', '0', '2', '0', '0', '0', '0', '1', '', '19', '4648', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('90', 'SolidCarriage', '12', '1', '10', '100', '0', '0', '3000', '64', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '', '19', '5831', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('91', 'CounterBarrier', '12', '2', '10', '100', '0', '0', '0', '64', 'none', '0', '0', '0', '0', '50', '0', '0', '2', '0', '0', '0', '0', '2', '', '19', '5832', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('92', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('93', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('94', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('95', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('96', 'none', '7', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('97', 'BlindHiding', '13', '0', '10', '0', '0', '0', '10000', '32', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '$2504', '19', '2941', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('98', 'EnchantVenom', '13', '1', '10', '1', '40321', '1', '0', '320', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '$2505', '19', '2942', '0', '814', '827', '0');
INSERT INTO `skills` VALUES ('99', 'ShadowArmor', '13', '2', '10', '5', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '$2506', '19', '2943', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('100', 'PurifyStone', '13', '3', '5', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '8', '$2507', '19', '2944', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('101', 'MovingAcceleration', '13', '4', '10', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '16', '$2508', '19', '2945', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('102', 'BurningSpirit', '13', '5', '20', '0', '0', '0', '3000', '320', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '$2509', '19', '2946', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('103', 'DarkBlind', '13', '6', '20', '0', '40321', '1', '1000', '64', 'buff', '3', '0', '0', '0', '0', '0', '0', '4', '-10', '0', '0', '0', '64', '$2510', '19', '2947', '0', '147', '148', '280');
INSERT INTO `skills` VALUES ('104', 'VenomResist', '13', '7', '20', '0', '0', '0', '0', '320', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '128', '$2511', '19', '2948', '0', '0', '831', '0');
INSERT INTO `skills` VALUES ('105', 'DoubleBreak', '14', '0', '30', '0', '40321', '1', '0', '192', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '$2512', '19', '2949', '0', '823', '829', '0');
INSERT INTO `skills` VALUES ('106', 'UncannyDodge', '14', '1', '20', '0', '0', '0', '0', '210', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '$2513', '19', '2950', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('107', 'ShadowFang', '14', '2', '30', '0', '40321', '1', '0', '192', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '$2514', '19', '2951', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('108', 'FinalBurn', '14', '3', '1', '1', '0', '0', '0', '0', 'attack', '3', '0', '0', '0', '0', '0', '0', '64', '0', '1', '0', '0', '8', '$2515', '18', '2952', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('109', 'DressMighty', '14', '4', '10', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '16', '', '19', '3909', '0', '292', '293', '0');
INSERT INTO `skills` VALUES ('110', 'DressDex', '14', '5', '10', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '', '19', '3910', '0', '294', '295', '0');
INSERT INTO `skills` VALUES ('111', 'DressEvasion', '14', '6', '20', '0', '0', '0', '0', '32', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '64', '', '19', '3911', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('112', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('113', 'TrueTarget', '15', '0', '1', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '128', '0', '-1', '0', '0', '1', '$1995', '19', '1765', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('114', 'Glowing Aura', '15', '1', '30', '0', '0', '0', '0', '640', 'none', '8', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '2', '$1996', '19', '2277', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('115', 'Shining Aura', '15', '2', '40', '0', '0', '0', '0', '640', 'none', '12', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '4', '$1977', '19', '3941', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('116', 'CallPledgeMember', '15', '3', '40', '0', '0', '0', '0', '0', 'buff', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '8', '$1977', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('117', 'Brave Aura', '15', '4', '40', '0', '0', '0', '0', '640', 'none', '8', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '16', '$3178', '19', '3942', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('118', 'Teleport to Pledge Member', '15', '5', '30', '0', '0', '0', '0', '0', 'buff', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '-1', '0', '32', '', '19', '0', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('119', 'Unknown', '15', '6', '1', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '64', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('120', 'Unknown', '15', '7', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '19', '2280', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('121', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('123', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('124', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('125', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('126', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '16', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('127', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '32', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('128', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '64', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('129', 'ResistMagic', '17', '0', '5', '0', '40319', '1', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '', '19', '2186', '0', '0', '719', '0');
INSERT INTO `skills` VALUES ('130', 'BodytoMind', '17', '1', '0', '8', '0', '0', '400', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '', '19', '2179', '0', '702', '0', '0');
INSERT INTO `skills` VALUES ('131', 'TeleportToMotherTree', '17', '2', '10', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '4', '', '19', '169', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('132', 'TripleShot', '17', '3', '15', '0', '0', '0', '400', '0', 'attack', '3', '0', '0', '0', '0', '0', '0', '64', '0', '-1', '0', '0', '8', '', '18', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('133', 'ElementalFallDown', '17', '4', '10', '0', '0', '0', '0', '32', 'buff', '3', '0', '0', '0', '65', '0', '0', '1', '0', '10', '0', '0', '16', '', '19', '4396', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('134', 'CounterMirror', '17', '5', '10', '0', '40319', '1', '0', '16', 'buff', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '', '19', '4395', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('135', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('136', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('137', 'ClearMind', '18', '0', '10', '0', '40319', '1', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '', '19', '2180', '0', '0', '722', '0');
INSERT INTO `skills` VALUES ('138', 'ResistElemental', '18', '1', '10', '0', '40319', '1', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '', '19', '2184', '0', '0', '721', '0');
INSERT INTO `skills` VALUES ('139', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('140', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('141', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '16', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('142', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '32', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('143', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '64', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('144', 'none', '11', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('145', 'ReturnToNature', '19', '0', '30', '0', '40319', '2', '0', '0', 'buff', '16', '0', '0', '0', '50', '30', '0', '1', '0', '-1', '0', '0', '1', '', '19', '19', '0', '2245', '0', '280');
INSERT INTO `skills` VALUES ('146', 'BloodtoSoul', '19', '1', '0', '40', '0', '0', '1200', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '', '19', '2178', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('147', 'ProtectionFromElemental', '19', '2', '6', '0', '40319', '1', '0', '64', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '', '19', '2285', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('148', 'FireWeapon', '19', '3', '15', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '2', '2', '0', '-1', '0', '0', '8', '', '19', '2182', '0', '0', '723', '280');
INSERT INTO `skills` VALUES ('149', 'WindShot', '19', '4', '15', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '8', '2', '0', '-1', '0', '0', '16', '', '19', '2246', '0', '0', '724', '280');
INSERT INTO `skills` VALUES ('150', 'WindWalk', '19', '5', '15', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '32', '', '19', '2247', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('151', 'EarthSkin', '19', '6', '15', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '1', '2', '0', '-1', '0', '0', '64', '', '19', '2249', '0', '0', '725', '280');
INSERT INTO `skills` VALUES ('152', 'Entangle', '19', '7', '20', '0', '40319', '1', '0', '64', 'buff', '3', '0', '0', '0', '50', '30', '1', '1', '0', '10', '0', '0', '128', '', '19', '2250', '0', '711', '0', '280');
INSERT INTO `skills` VALUES ('153', 'EraseMagic', '20', '0', '10', '0', '40319', '1', '0', '32', 'buff', '3', '0', '0', '0', '50', '30', '0', '1', '0', '-1', '0', '0', '1', '', '19', '2181', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('154', 'SummonLesserElement', '20', '1', '20', '0', '40319', '2', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '2', '', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('155', 'BlessOfFire', '20', '2', '40', '0', '0', '0', '0', '960', 'none', '8', '0', '0', '0', '0', '0', '2', '2', '0', '0', '-1', '0', '4', '', '19', '2286', '0', '0', '723', '0');
INSERT INTO `skills` VALUES ('156', 'EyeofStorm', '20', '3', '40', '0', '0', '0', '0', '960', 'none', '8', '0', '0', '0', '0', '0', '8', '2', '0', '0', '-1', '0', '8', '', '19', '2288', '0', '0', '724', '0');
INSERT INTO `skills` VALUES ('157', 'EarthBind', '20', '4', '10', '0', '40319', '2', '0', '16', 'buff', '3', '0', '0', '0', '50', '30', '1', '1', '0', '-1', '0', '0', '16', '', '19', '2251', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('158', 'NaturesTouch', '20', '5', '20', '0', '0', '0', '0', '320', 'buff', '1', '0', '0', '0', '0', '0', '4', '2', '0', '-1', '0', '0', '32', '', '19', '2243', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('159', 'BlessOfEarth', '20', '6', '40', '0', '0', '0', '0', '960', 'none', '8', '0', '0', '0', '0', '0', '1', '2', '0', '0', '-1', '0', '64', '', '19', '2287', '0', '0', '725', '0');
INSERT INTO `skills` VALUES ('160', 'Aqua Protect', '20', '7', '30', '0', '0', '0', '0', '960', 'buff', '1', '0', '0', '0', '0', '0', '4', '2', '0', '-1', '0', '0', '128', '', '19', '5829', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('161', 'AreaOfSilence', '21', '0', '40', '0', '40319', '8', '9000', '16', 'none', '3', '0', '0', '0', '65', '0', '0', '1', '0', '0', '-1', '1', '1', '', '19', '2241', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('162', 'SummonGreaterElement', '21', '1', '20', '0', '40319', '4', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '128', '0', '0', '0', '0', '2', '', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('163', 'BurningWeapon', '21', '2', '30', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '4', '', '19', '2242', '0', '0', '723', '280');
INSERT INTO `skills` VALUES ('164', 'NaturesBlessing', '21', '3', '30', '0', '0', '0', '0', '0', 'none', '8', '10', '18', '0', '0', '0', '4', '16', '0', '0', '-1', '0', '8', '', '19', '2244', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('165', 'NaturesMiracle', '21', '4', '50', '0', '40319', '1', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '4', '32', '0', '10', '0', '0', '16', '', '19', '2245', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('166', 'StormShot', '21', '5', '30', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '8', '2', '0', '0', '0', '0', '32', '', '19', '2248', '0', '0', '724', '280');
INSERT INTO `skills` VALUES ('167', 'WindShackle', '21', '6', '15', '0', '40319', '1', '0', '16', 'buff', '3', '0', '0', '0', '65', '0', '8', '1', '0', '-1', '0', '0', '64', '', '19', '1799', '0', '1001', '0', '280');
INSERT INTO `skills` VALUES ('168', 'IronSkin', '21', '7', '30', '0', '0', '0', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '128', '', '19', '2252', '0', '714', '725', '280');
INSERT INTO `skills` VALUES ('169', 'ExoticVitalize', '22', '0', '30', '0', '40319', '1', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '1', '2', '0', '0', '0', '0', '1', '', '19', '4400', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('170', 'WaterLife', '22', '1', '1', '0', '40319', '1', '0', '64', 'buff', '1', '0', '0', '0', '0', '0', '4', '2', '0', '-1', '0', '0', '2', '', '19', '4401', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('171', 'ElementalFire', '22', '2', '20', '0', '40319', '1', '0', '192', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '4', '', '19', '4402', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('172', 'Storm Walk', '22', '3', '10', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '8', '128', '0', '0', '0', '0', '8', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('173', 'Pollute Water', '22', '4', '20', '0', '40319', '1', '0', '192', 'buff', '3', '0', '0', '0', '40', '30', '4', '1', '0', '3', '0', '0', '16', '', '19', '5830', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('174', 'Striker Gale', '22', '5', '10', '0', '40319', '5', '0', '192', 'buff', '3', '0', '0', '0', '50', '0', '8', '1', '0', '-1', '0', '0', '32', '', '19', '5826', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('175', 'Soul of Flame', '22', '6', '30', '0', '40319', '3', '0', '64', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '64', '', '19', '5833', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('176', 'Additional Fire', '22', '7', '30', '0', '40319', '1', '0', '960', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '128', '', '19', '5825', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10000', 'Zombie King E Multi First', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2806', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10001', 'Seer spell', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2775', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10002', 'Ice Queen Blizzard', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '4', '64', '0', '0', '6', '0', '0', '', '18', '2261', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10003', 'Zenith Queen spell e first', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2809', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10004', 'Zenith Queen spell e second', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2810', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10005', 'Vampire spell e', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2759', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10006', 'Vampire spellnd e first', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2760', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10007', 'Vampire spellnd e second', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2761', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10008', 'Lesser Dragon e', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '2', '2', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10009', 'Bone Dragon e', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '200', '10', '10', '0', '0', '4', '64', '0', '2', '2', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10010', 'Lich e four', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '15', '0', '0', '', '18', '2552', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10011', 'Medusa e', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2537', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10012', 'Super grimreaper change magicattack e multi', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '-1', '0', '0', '', '18', '3393', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10013', 'Super grimreaper sickle e screen', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '3396', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10014', 'Ifrit magic e', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '6', '2', '0', '0', '', '18', '1776', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10015', 'Basilisk s blast', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '1043', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10016', 'Windcutter bomb', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '8', '64', '0', '6', '2', '0', '0', '', '18', '1800', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10017', 'Icedagger bomb', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '4', '64', '0', '6', '2', '0', '0', '', '18', '1798', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10018', 'Phoenix magic e', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '75', '10', '10', '0', '0', '2', '64', '0', '8', '3', '0', '0', '', '18', '1793', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10019', 'Giant boss attack e', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '80', '10', '10', '0', '0', '1', '64', '0', '0', '-1', '0', '0', '', '18', '2483', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10020', 'Spirit of earth boss rockdown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '1', '64', '0', '8', '3', '0', '0', '', '18', '2750', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10021', 'Spirit of fire boss fireball', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '8', '0', '0', '0', '', '18', '2748', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10022', 'Spirit of water boss spout', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '4', '64', '0', '8', '0', '0', '0', '', '18', '2739', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10023', 'Spirit of water boss spear', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '4', '64', '0', '8', '0', '0', '0', '', '18', '2740', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10024', 'Demon magic', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '6', '0', '0', '', '18', '1183', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10025', 'Corruption Magic E', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '18', '4326', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10026', 'Lindvior effect start', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '18', '4155', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10027', 'Antaras effect start', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '18', '4158', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10028', 'Valakas effect start', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '18', '4161', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10029', 'Fafurion effect start', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '300', '10', '10', '0', '0', '0', '64', '0', '-1', '0', '1', '0', '', '18', '4164', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10030', 'Succubus v magic', '0', '0', '20', '0', '0', '0', '0', '0', 'attack', '3', '40', '10', '3', '0', '0', '4', '64', '0', '-1', '0', '0', '0', '', '18', '1115', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10031', 'Succubus g magic', '0', '0', '20', '0', '0', '0', '0', '0', 'attack', '3', '80', '20', '2', '0', '0', '0', '64', '0', '-1', '0', '0', '0', '', '18', '1119', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10032', 'Zenith Queen Spell e venom', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '2819', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10033', 'Imp Magic', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '1', '0', '0', '0', '64', '0', '-1', '0', '0', '0', '', '18', '1160', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10034', 'Bomb Flower E', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '1', '0', '0', '2', '64', '0', '9', '0', '0', '0', '', '18', '1991', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10035', 'Ice Eruption', '0', '0', '32', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '5', '64', '0', '9', '0', '0', '0', '', '18', '3685', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10036', 'Mambo Rabbit V E', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '18', '4170', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10037', 'Mambo Rabbit R E', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '18', '4173', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10038', 'Abyss Lord Magic', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '4', '0', '0', '', '18', '4037', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10039', 'Ariorc Attack I E', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '18', '4373', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10040', 'Ariorc Attack Ii E', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '18', '4374', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10041', 'Ariorc Attack Iii E', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '18', '4375', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10042', 'Lesser Demon Att E', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '20', '10', '8', '0', '0', '2', '64', '0', '0', '2', '0', '0', '', '18', '2527', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10043', 'Dark Elementalist E Multi', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '20', '10', '8', '0', '0', '0', '64', '0', '0', '4', '0', '0', '', '18', '3363', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10044', 'Black Wizard Attack E', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '25', '10', '8', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '3700', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10045', 'Dire Bat L E Screen', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '3417', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10046', 'Blue Tail\'s Laser Attack', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4080', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10047', 'Priest Of Corruption Iv Appear Effect', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '50', '10', '8', '0', '0', '0', '64', '0', '0', '6', '0', '0', '', '18', '3992', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10048', 'Seadancer M A', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '9', '0', '0', '0', '', '18', '1606', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10049', 'Seadancer M B', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '8', '0', '0', '0', '64', '0', '9', '0', '0', '0', '', '18', '1608', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10050', 'Fafurion Ice b', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '200', '10', '8', '0', '0', '4', '64', '0', '4', '6', '0', '0', '', '18', '1593', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10051', 'Fafurion Magic', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '4', '64', '0', '0', '15', '0', '0', '', '18', '1594', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10052', 'Valakas Breath', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '2', '64', '0', '0', '15', '0', '0', '', '18', '2004', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10053', 'Lindvior Breath', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '8', '64', '0', '0', '15', '0', '0', '', '18', '2566', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10054', 'Antharas Magic', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '250', '10', '12', '0', '0', '1', '64', '0', '0', '15', '0', '0', '', '18', '1249', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10055', 'Burst', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '2', '0', '0', '', '18', '243', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10056', 'Hellfire', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '6', '0', '0', '', '18', '245', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10057', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'buff', '3', '0', '0', '0', '0', '0', '0', '128', '0', '10', '0', '0', '0', '', '19', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10058', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '8', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4696', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10059', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '70', '8', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4655', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10060', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '30', '8', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4579', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10061', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '8', '3', '0', '0', '', '18', '2546', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10062', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '8', '3', '0', '0', '', '18', '3396', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10063', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '10', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10064', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '8', '3', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10065', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '50', '8', '5', '0', '0', '8', '64', '0', '8', '0', '0', '0', '', '18', '5663', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10066', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '50', '8', '8', '0', '0', '8', '64', '0', '8', '0', '0', '0', '', '18', '5469', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10067', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '10', '0', '0', '2', '64', '0', '5', '5', '0', '0', '', '18', '5268', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10068', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '2', '64', '0', '5', '5', '0', '0', '', '18', '5272', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10069', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '0', '3', '0', '0', '', '18', '5514', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10070', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '200', '10', '10', '0', '0', '2', '64', '0', '0', '15', '0', '0', '', '18', '5515', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10071', 'Root Debuff', '0', '0', '5', '0', '0', '0', '0', '8', 'buff', '3', '0', '0', '0', '0', '8', '1', '1', '0', '-1', '0', '0', '0', '', '19', '4184', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10072', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '2', '0', '0', '0', '', '18', '5487', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10073', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '5417', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10074', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '50', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '5410', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10075', 'Unknown', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '4', '64', '0', '0', '7', '0', '0', '', '18', '5550', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10076', 'Unknown', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '5131', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10077', 'Unknown', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '6', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4584', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10078', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4508', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10079', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4499', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10080', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '40', '10', '3', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4239', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('11000', 'Elekkadom Electrical Charge', '0', '0', '8', '0', '0', '0', '0', '0', 'attack', '3', '50', '5', '5', '0', '0', '2', '64', '0', '2', '0', '0', '0', '', '19', '1714', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10081', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '6', '7', '0', '0', '', '18', '5633', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10082', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '50', '10', '10', '0', '0', '0', '64', '0', '0', '3', '0', '0', '', '18', '5643', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10083', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '10', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '4630', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10084', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '0', '3', '0', '0', '', '18', '4627', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10085', 'Unknown', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '1', '0', '0', '0', '', '18', '5522', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10086', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '4674', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10087', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '50', '10', '10', '0', '0', '0', '64', '0', '0', '7', '0', '0', '', '18', '4676', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10088', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '4661', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10089', 'Unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '50', '10', '10', '0', '0', '0', '64', '0', '0', '7', '0', '0', '', '18', '4663', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10099', 'Giant Worm AOE', '0', '0', '10', '0', '0', '0', '0', '0', 'none', '3', '50', '10', '10', '0', '0', '8', '64', '0', '0', '7', '0', '0', '', '18', '5789', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('11', 'Poison', '2', '2', '10', '0', '40318', '1', '0', '30', 'buff', '3', '0', '0', '0', '0', '12', '4', '4', '-10', '1', '0', '0', '4', '$1443', '19', '745', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('10091', 'unknown', '0', '0', '20', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '8', '64', '0', '0', '6', '0', '0', '', '18', '3363', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10092', 'unknown', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '100', '10', '10', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '3705', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10093', 'unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '3', '0', '0', '1', '64', '0', '6', '2', '0', '0', '', '18', '3762', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10094', 'unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '3', '0', '0', '1', '64', '0', '6', '0', '0', '0', '', '18', '3572', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10095', 'unknown', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '50', '10', '10', '0', '0', '8', '64', '0', '0', '2', '0', '0', '', '18', '3680', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('12001', 'Cockatrice Laser Attack', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '50', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '0', '19', '1054', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10090', 'Giant Guarding Ant AOE', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '1', '64', '0', '0', '-1', '0', '0', '', '18', '1812', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('20001', 'Poison Cloud', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '2', '20', '10', '5', '0', '0', '0', '64', '0', '0', '2', '0', '16', 'Poison Cloud', '1', '3571', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('20002', 'Hell Storm', '0', '0', '100', '0', '0', '0', '0', '0', 'none', '3', '150', '10', '10', '0', '0', '0', '64', '0', '0', '15', '0', '0', 'Hell Storm', '18', '4539', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('20003', 'Assassin Slave aoe', '0', '0', '5', '0', '0', '0', '0', '0', 'none', '3', '125', '20', '20', '0', '0', '0', '64', '0', '0', '6', '0', '0', 'Assassin Slave aoe', '19', '4527', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('20005', 'Gold Dragon Fire Breath', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '10', '15', '5', '0', '0', '2', '64', '0', '2', '2', '0', '0', 'Gold Dragon Fire Breath', '18', '6398', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('20004', 'Gold Dragon Fire Ball', '0', '0', '5', '0', '0', '0', '0', '0', 'attack', '3', '5', '10', '5', '0', '0', '2', '64', '0', '6', '0', '0', '64', 'Gold Dragon Fire Ball', '19', '5214', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('177', '', '23', '0', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('178', '', '23', '1', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('179', '', '23', '2', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '4', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('180', '', '23', '3', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('181', 'DragonSkin', '23', '4', '0', '15', '0', '0', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '16', '$5920', '19', '6531', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('182', 'BurningSlash', '23', '5', '0', '10', '0', '0', '0', '60', 'none', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '32', '$5921', '19', '6590', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('183', 'GuardBreak', '23', '6', '0', '25', '0', '0', '0', '60', 'buff', '3', '0', '0', '0', '0', '26', '0', '1', '0', '3', '0', '0', '64', '$5922', '19', '6508', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('184', 'MagmaBreath', '23', '7', '0', '35', '0', '0', '0', '0', 'attack', '3', '45', '0', '0', '0', '0', '2', '64', '0', '10', '0', '0', '128', '$5923', '18', '6516', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('185', 'AwakenAntharas', '24', '0', '0', '1', '49157', '1', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '$5924', '19', '6975', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('186', 'BloodLust', '24', '1', '0', '30', '0', '0', '0', '60', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '2', '$5925', '19', '6523', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('187', 'FoeSlayer', '24', '2', '0', '20', '0', '0', '0', '0', 'attack', '3', '0', '0', '0', '0', '0', '0', '64', '0', '2', '0', '0', '4', '$5926', '18', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('188', 'ResistFear', '24', '3', '0', '30', '0', '0', '0', '60', 'buff', '3', '0', '0', '0', '0', '26', '0', '1', '0', '3', '0', '0', '8', '$5927', '19', '6586', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('189', 'ShockSkin', '24', '4', '0', '40', '0', '0', '0', '0', 'none', '3', '45', '0', '0', '0', '0', '8', '64', '0', '0', '2', '0', '16', '$5928', '18', '6532', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('190', 'AwakenFafurion', '24', '5', '0', '1', '49157', '1', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '32', '$5929', '19', '6976', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('191', 'MortalBody', '24', '6', '0', '50', '0', '0', '0', '300', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '64', '$5930', '19', '6519', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('192', 'ThunderGrab', '24', '7', '0', '45', '0', '0', '0', '2', 'attack', '3', '50', '10', '2', '10', '0', '8', '64', '0', '8', '0', '0', '128', '$5931', '18', '6512', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('193', 'HorrorOfDeath', '25', '0', '0', '50', '0', '0', '0', '60', 'buff', '3', '0', '0', '0', '0', '26', '0', '1', '0', '3', '0', '0', '1', '$5932', '19', '6588', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('194', 'FreezingBreath', '25', '1', '0', '50', '0', '0', '0', '3', 'attack', '3', '45', '0', '0', '0', '5', '4', '64', '0', '10', '0', '0', '2', '$5933', '18', '6988', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('195', 'AwakenValakas', '25', '2', '0', '1', '49157', '2', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '4', '$5934', '19', '6922', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('196', '', '25', '3', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('197', '', '25', '4', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '16', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('198', '', '25', '5', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '32', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('199', '', '25', '6', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '64', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('200', '', '25', '7', '0', '0', '0', '0', '0', '0', 'none', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '128', '', '0', '0', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('201', 'MirrorImage', '26', '0', '10', '0', '0', '0', '0', '1200', 'none', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '$5935', '19', '6813', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('202', 'Confusion', '26', '1', '15', '10', '0', '0', '0', '8', 'attack', '3', '10', '0', '0', '25', '0', '0', '64', '0', '3', '0', '0', '2', '$5936', '18', '6525', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('203', 'Smash', '26', '2', '7', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '2', '0', '0', '0', '64', '0', '1', '0', '0', '4', '$5937', '18', '6526', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('204', 'IllusionOgre', '26', '3', '15', '0', '0', '0', '0', '32', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '8', '$5938', '19', '6578', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('205', 'CubeIgnition', '26', '4', '30', '0', '49156', '1', '0', '20', 'none', '32', '10', '0', '0', '0', '0', '0', '2', '0', '0', '3', '0', '16', '$5939', '19', '6708', '6709', '0', '0', '0');
INSERT INTO `skills` VALUES ('206', 'Concentration', '26', '5', '20', '0', '0', '0', '0', '300', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '32', '$5940', '19', '6527', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('207', 'MindBreak', '26', '6', '20', '15', '0', '0', '0', '0', 'attack', '3', '5', '0', '0', '0', '0', '0', '64', '0', '3', '0', '0', '64', '$5941', '18', '6553', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('208', 'BoneBreak', '26', '7', '20', '0', '0', '0', '0', '2', 'attack', '3', '10', '0', '0', '40', '0', '0', '64', '0', '3', '0', '0', '128', '$5942', '18', '7020', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('209', 'IllusionLich', '27', '0', '15', '0', '0', '0', '0', '32', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '1', '$5943', '19', '6577', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('210', 'CubeQuake', '27', '1', '35', '0', '49156', '1', '0', '20', 'none', '32', '0', '0', '0', '0', '0', '0', '2', '0', '0', '3', '0', '2', '$5944', '19', '6714', '6715', '0', '0', '0');
INSERT INTO `skills` VALUES ('211', 'Patience', '27', '2', '25', '0', '0', '0', '0', '600', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '4', '$5945', '19', '6507', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('212', 'Phantasm', '27', '3', '30', '25', '0', '0', '0', '5', 'buff', '3', '0', '0', '0', '30', '0', '0', '4', '0', '3', '0', '0', '8', '$5946', '19', '6530', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('213', 'ArmBreaker', '27', '4', '25', '0', '0', '0', '0', '12', 'attack', '3', '15', '0', '0', '0', '0', '0', '64', '0', '3', '0', '0', '16', '$5947', '18', '6551', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('214', 'IllusionDiaGolem', '27', '5', '25', '0', '0', '0', '0', '32', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '32', '$5948', '19', '6576', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('215', 'CubeShock', '27', '6', '55', '0', '49156', '1', '0', '20', 'none', '32', '0', '0', '0', '0', '0', '0', '2', '0', '0', '3', '0', '64', '$5949', '19', '6720', '6721', '0', '0', '0');
INSERT INTO `skills` VALUES ('216', 'Insight', '27', '7', '40', '0', '0', '0', '0', '300', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '128', '$5950', '19', '6505', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('217', 'Panic', '28', '0', '30', '30', '0', '0', '0', '64', 'buff', '3', '0', '0', '0', '0', '0', '0', '4', '0', '3', '0', '0', '1', '$5951', '19', '6506', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('218', 'JoyofPain', '28', '1', '40', '0', '0', '0', '0', '2', 'buff', '3', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '2', '$5952', '19', '6528', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('219', 'IllusionAvatar', '28', '2', '35', '0', '0', '0', '0', '32', 'buff', '1', '0', '0', '0', '0', '0', '0', '2', '0', '3', '0', '0', '4', '$5953', '19', '6575', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('220', 'CubeBalance', '28', '3', '55', '0', '49156', '2', '0', '20', 'none', '32', '0', '0', '0', '0', '0', '0', '2', '0', '0', '3', '0', '8', '$5954', '19', '6727', '6727', '0', '0', '0');
INSERT INTO `skills` VALUES ('10096', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '4', '64', '0', '10', '0', '0', '0', '', '18', '1606', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10097', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '4', '64', '0', '10', '0', '0', '0', '', '18', '1608', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10098', '', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '20', '10', '6', '0', '0', '1', '64', '0', '10', '0', '0', '0', '', '18', '5847', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10100', '', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '50', '10', '10', '0', '0', '8', '64', '0', '2', '2', '0', '0', '', '18', '5449', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10101', '', '0', '0', '0', '0', '0', '0', '5000', '10', 'buff', '3', '0', '0', '0', '0', '8', '1', '4', '0', '3', '0', '0', '0', '$1456', '18', '746', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('10102', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '20', '5', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '5570', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10103', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '20', '5', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '4840', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10104', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '4706', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10105', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '4846', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10107', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '50', '15', '8', '0', '0', '2', '64', '0', '3', '3', '0', '0', '', '19', '4836', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10106', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '10', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '4834', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10108', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '30', '10', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '5474', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10109', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '5', '2', '0', '0', '', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10110', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '2', '64', '0', '5', '2', '0', '0', '', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10111', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '30', '10', '10', '0', '0', '2', '64', '0', '8', '0', '0', '0', '', '18', '5281', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10112', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '50', '15', '8', '0', '0', '2', '64', '0', '0', '15', '0', '0', '', '19', '4539', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10113', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '30', '10', '10', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '30', '5301', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10114', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '5', '2', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10115', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '80', '10', '10', '0', '0', '0', '64', '0', '7', '3', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10116', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '5', '2', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10117', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '100', '10', '10', '0', '0', '0', '64', '0', '5', '2', '0', '0', '', '18', '5376', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10118', '', '0', '0', '0', '0', '0', '0', '0', '6', 'buff', '3', '0', '0', '0', '50', '0', '0', '1', '0', '5', '3', '0', '0', '', '19', '4434', '0', '0', '0', '280');
INSERT INTO `skills` VALUES ('10119', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '6', '3', '0', '0', '', '19', '5561', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10120', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '10', '0', '0', '0', '', '30', '5524', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10121', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '10', '5', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '18', '5631', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10122', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '10', '5', '5', '0', '0', '0', '64', '0', '7', '3', '0', '0', '', '19', '5637', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10123', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '20', '5', '5', '0', '0', '0', '64', '0', '0', '3', '0', '0', '', '18', '5631', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10124', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '20', '10', '5', '0', '0', '0', '64', '0', '8', '0', '0', '0', '', '18', '5445', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10125', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '20', '5', '5', '0', '0', '0', '64', '0', '0', '2', '0', '0', '', '18', '5261', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10126', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '200', '10', '15', '0', '0', '0', '64', '0', '15', '3', '0', '0', '', '25', '5651', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10127', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '200', '10', '20', '0', '0', '0', '64', '0', '0', '15', '0', '0', '', '18', '5616', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10128', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '200', '10', '20', '0', '0', '0', '64', '0', '6', '3', '0', '0', '', '12', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10129', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '200', '10', '20', '0', '0', '0', '64', '0', '0', '15', '1', '0', '', '19', '5638', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10130', '', '0', '0', '0', '0', '0', '0', '0', '8', 'none', '0', '200', '10', '20', '0', '0', '0', '2', '0', '0', '5', '1', '0', '', '0', '5626', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10131', '', '7', '4', '10', '0', '0', '0', '1000', '0', 'none', '3', '20', '10', '5', '0', '0', '8', '64', '0', '0', '3', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10132', '', '0', '0', '10', '0', '0', '0', '1000', '0', 'none', '3', '50', '10', '8', '0', '0', '8', '64', '0', '0', '3', '0', '0', '', '18', '6703', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10133', '', '0', '0', '20', '0', '0', '0', '0', '0', 'attack', '3', '30', '10', '3', '0', '0', '4', '64', '0', '6', '0', '0', '32', '', '30', '1809', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10134', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '10', '10', '10', '0', '0', '0', '64', '0', '2', '2', '0', '0', '', '18', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10135', '', '0', '0', '4', '0', '0', '0', '0', '0', 'attack', '3', '10', '8', '5', '0', '0', '0', '64', '0', '6', '0', '0', '0', '', '30', '1606', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10136', '', '0', '0', '20', '0', '0', '0', '0', '0', 'attack', '3', '4', '8', '3', '0', '0', '2', '64', '0', '6', '3', '0', '0', '', '30', '171', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10137', '', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '25', '10', '5', '0', '0', '2', '64', '0', '6', '0', '0', '0', '', '18', '6668', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10138', '', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '100', '20', '5', '0', '0', '2', '64', '0', '6', '0', '0', '0', '', '18', '6572', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10139', '', '0', '0', '10', '0', '0', '0', '0', '0', 'attack', '3', '100', '20', '5', '0', '0', '2', '64', '0', '6', '0', '0', '0', '', '18', '6598', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10140', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '80', '10', '10', '0', '0', '2', '64', '0', '4', '3', '0', '0', '', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10141', '', '0', '0', '0', '0', '0', '0', '0', '0', 'none', '3', '80', '10', '10', '0', '0', '1', '64', '0', '4', '3', '0', '0', '', '19', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10142', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '2', '10', '8', '5', '0', '0', '2', '64', '0', '2', '2', '0', '0', '', '30', '2510', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10143', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '2', '10', '8', '3', '0', '0', '2', '64', '0', '2', '2', '0', '0', '', '18', '1783', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10144', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '2', '10', '8', '3', '0', '0', '2', '64', '0', '2', '2', '0', '0', '', '1', '1783', '0', '0', '0', '0');
INSERT INTO `skills` VALUES ('10145', '', '0', '0', '0', '0', '0', '0', '0', '0', 'attack', '3', '8', '5', '3', '0', '0', '0', '64', '0', '10', '0', '0', '0', '', '18', '1662', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1', 'Frog', '1', '45005', '0', '33067', '33392', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2', 'Frog', '1', '45005', '0', '33618', '33247', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3', 'Frog', '1', '45005', '0', '33599', '33255', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4', 'Frog', '1', '45005', '0', '33585', '33240', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5', 'Frog', '1', '45005', '0', '33599', '33161', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6', 'Frog', '1', '45005', '0', '33615', '33163', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7', 'Frog', '1', '45005', '0', '33669', '33182', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8', 'Frog', '1', '45005', '0', '32716', '32441', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9', 'Frog', '1', '45005', '0', '32730', '32455', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10', 'Frog', '1', '45005', '0', '32734', '32440', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11', 'Frog', '1', '45005', '0', '32754', '32440', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15', 'Frog', '1', '45005', '0', '32633', '33209', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('16', 'Frog', '1', '45005', '0', '32635', '33199', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17', 'Frog', '1', '45005', '0', '32634', '33179', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('18', 'Frog', '1', '45005', '0', '32613', '33191', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('19', 'Frog', '1', '45005', '0', '32604', '33177', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('20', 'Frog', '1', '45005', '0', '32618', '33177', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('21', 'Frog', '1', '45005', '0', '32628', '33207', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('22', 'Frog', '1', '45005', '0', '32560', '32263', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('23', 'Frog', '1', '45005', '0', '32568', '32237', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24', 'Frog', '1', '45005', '0', '32549', '32219', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25', 'Frog', '1', '45005', '0', '32595', '32299', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26', 'Frog', '1', '45005', '0', '32581', '32447', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27', 'Frog', '1', '45005', '0', '32569', '32458', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('28', 'Frog', '1', '45005', '0', '32571', '32481', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('29', 'Frog', '1', '45005', '0', '32592', '32489', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('30', 'Frog', '1', '45005', '0', '32692', '32463', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('31', 'Frog', '1', '45005', '0', '32705', '32437', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('32', 'Frog', '1', '45005', '0', '32745', '32374', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('33', 'Frog', '1', '45005', '0', '32721', '32514', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('34', 'Frog', '1', '45005', '0', '32713', '32520', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('35', 'Frog', '1', '45005', '0', '32706', '32461', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('36', 'Frog', '1', '45005', '0', '32557', '32387', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('37', 'Frog', '1', '45005', '0', '32563', '32362', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('38', 'Frog', '1', '45005', '0', '32551', '32349', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('39', 'Frog', '1', '45005', '0', '32556', '32329', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('40', 'Frog', '1', '45005', '0', '32552', '32310', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500387', 'Tiger', '1', '45313', '0', '32808', '32845', '12', '12', '0', '0', '0', '0', '4', '20', '20', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('42', 'Frog', '1', '45005', '0', '32562', '32280', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('43', 'Frog', '1', '45005', '0', '32547', '32272', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('44', 'Frog', '1', '45005', '0', '32550', '32284', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('45', 'Frog', '1', '45005', '0', '32567', '32253', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('46', 'Frog', '1', '45005', '0', '32562', '32226', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('47', 'Frog', '1', '45005', '0', '32550', '32215', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('52', 'Frog', '1', '45005', '0', '32931', '32605', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53', 'Frog', '1', '45005', '0', '32938', '32620', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('54', 'Frog', '1', '45005', '0', '32814', '32756', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55', 'Frog', '1', '45005', '0', '32786', '32763', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('56', 'Frog', '1', '45005', '0', '32769', '32768', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('57', 'Frog', '1', '45005', '0', '32757', '32777', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('58', 'Frog', '1', '45005', '0', '32767', '32787', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('59', 'Frog', '1', '45005', '0', '32778', '32785', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60', 'Frog', '1', '45005', '0', '32785', '32777', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61', 'Frog', '1', '45005', '0', '32765', '32725', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62', 'Frog', '1', '45005', '0', '32670', '32737', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('63', 'Frog', '1', '45005', '0', '32672', '32742', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('64', 'Frog', '1', '45005', '0', '32674', '32769', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('65', 'Frog', '1', '45005', '0', '32703', '32770', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('66', 'Frog', '1', '45005', '0', '32685', '32776', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('67', 'Frog', '1', '45005', '0', '32694', '32788', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('68', 'Frog', '1', '45005', '0', '32711', '32783', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('69', 'Frog', '1', '45005', '0', '32687', '32865', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('70', 'Frog', '1', '45005', '0', '32695', '32870', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('71', 'Frog', '1', '45005', '0', '32705', '32865', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('72', 'Frog', '1', '45005', '0', '32800', '32867', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('73', 'Frog', '1', '45005', '0', '32810', '32857', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('74', 'Frog', '1', '45005', '0', '32807', '32839', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('75', 'Frog', '1', '45005', '0', '32825', '32838', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('76', 'Frog', '1', '45005', '0', '32842', '32841', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('77', 'Frog', '1', '45005', '0', '32849', '32846', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('78', 'Frog', '1', '45005', '0', '32857', '32839', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('79', 'Frog', '1', '45005', '0', '32864', '32846', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('80', 'Frog', '1', '45005', '0', '32879', '32847', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('81', 'Frog', '1', '45005', '0', '32894', '32843', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('82', 'Frog', '1', '45005', '0', '33063', '32772', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('83', 'Frog', '1', '45005', '0', '33076', '32770', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('84', 'Frog', '1', '45005', '0', '33969', '32261', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('85', 'Frog', '1', '45005', '0', '33951', '32258', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('86', 'Frog', '1', '45005', '0', '33943', '32239', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('87', 'Frog', '1', '45005', '0', '33957', '32241', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('88', 'Frog', '1', '45005', '0', '33978', '32242', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('89', 'Frog', '1', '45005', '0', '33976', '32260', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('90', 'Frog', '1', '45005', '0', '33958', '32281', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('91', 'Frog', '1', '45005', '0', '33955', '32302', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('92', 'Frog', '1', '45005', '0', '33966', '32318', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('93', 'Frog', '1', '45005', '0', '33961', '32343', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('94', 'Goblin', '1', '45008', '0', '32060', '33372', '4', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('95', 'Goblin', '1', '45008', '5', '33013', '33461', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('96', 'Goblin', '1', '45008', '0', '33008', '33479', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('97', 'Goblin', '1', '45008', '0', '33000', '33464', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('98', 'Goblin', '1', '45008', '0', '33000', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('99', 'Goblin', '1', '45008', '0', '33022', '33426', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('100', 'Goblin', '1', '45008', '0', '33033', '33405', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('101', 'Goblin', '1', '45008', '0', '33011', '33413', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('103', 'Goblin', '1', '45008', '0', '33067', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('104', 'Goblin', '1', '45008', '0', '33075', '33344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('105', 'Goblin', '1', '45008', '0', '33081', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('106', 'Goblin', '1', '45008', '0', '33082', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('107', 'Goblin', '1', '45008', '0', '33063', '33323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('108', 'Goblin', '1', '45008', '0', '33051', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('109', 'Goblin', '1', '45008', '0', '33117', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('110', 'Goblin', '1', '45008', '0', '33090', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('111', 'Goblin', '1', '45008', '0', '33076', '32580', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('112', 'Goblin', '1', '45008', '0', '33130', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('113', 'Goblin', '1', '45008', '0', '33145', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('114', 'Goblin', '1', '45008', '0', '33194', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('115', 'Goblin', '1', '45008', '0', '33215', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('116', 'Goblin', '1', '45008', '0', '33249', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('117', 'Goblin', '1', '45008', '0', '33181', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('118', 'Goblin', '1', '45008', '0', '33180', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('119', 'Goblin', '1', '45008', '0', '33179', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('120', 'Goblin', '1', '45008', '0', '33163', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('121', 'Goblin', '1', '45008', '0', '33192', '32601', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('122', 'Goblin', '1', '45008', '0', '33228', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('123', 'Goblin', '1', '45008', '5', '33250', '32630', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('175', 'Goblin', '1', '45008', '0', '33040', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('176', 'Goblin', '1', '45008', '0', '33031', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('177', 'Goblin', '1', '45008', '0', '33016', '33402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('178', 'Goblin', '1', '45008', '0', '33049', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('179', 'Goblin', '1', '45008', '0', '33018', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('180', 'Goblin', '1', '45008', '0', '33011', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('181', 'Goblin', '1', '45008', '0', '32997', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('182', 'Goblin', '1', '45008', '0', '32998', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('183', 'Goblin', '1', '45008', '0', '32979', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('184', 'Goblin', '1', '45008', '0', '32974', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('185', 'Goblin', '1', '45008', '0', '32975', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('186', 'Goblin', '1', '45008', '0', '32968', '33415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('187', 'Goblin', '1', '45008', '0', '32948', '33399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('188', 'Goblin', '1', '45008', '0', '32947', '33385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('189', 'Goblin', '1', '45008', '5', '32971', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('190', 'Goblin', '1', '45008', '0', '32965', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('191', 'Goblin', '1', '45008', '0', '32983', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('192', 'Goblin', '1', '45008', '0', '33009', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('193', 'Goblin', '1', '45008', '0', '32994', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('194', 'Goblin', '1', '45008', '0', '32980', '33355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('195', 'Goblin', '1', '45008', '0', '32970', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('196', 'Goblin', '1', '45008', '0', '33069', '33440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('197', 'Goblin', '1', '45008', '0', '33069', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('198', 'Goblin', '1', '45008', '0', '33031', '33494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('199', 'Goblin', '1', '45008', '0', '33045', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('200', 'Goblin', '1', '45008', '0', '33117', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('201', 'Goblin', '1', '45008', '0', '33168', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('202', 'Goblin', '1', '45008', '0', '33224', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('203', 'Goblin', '1', '45008', '0', '33265', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('204', 'Goblin', '1', '45008', '0', '33219', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('205', 'Goblin', '1', '45008', '5', '33184', '33460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('206', 'Goblin', '1', '45008', '0', '33136', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('207', 'Goblin', '1', '45008', '0', '33108', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('208', 'Goblin', '1', '45008', '0', '33174', '33473', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('209', 'Goblin', '1', '45008', '0', '33156', '33442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('210', 'Goblin', '1', '45008', '0', '33153', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('211', 'Goblin', '1', '45008', '0', '33190', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('212', 'Goblin', '1', '45008', '0', '33191', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('213', 'Goblin', '1', '45008', '0', '33219', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('214', 'Goblin', '1', '45008', '0', '33214', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('215', 'Goblin', '1', '45008', '0', '33271', '33431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('216', 'Goblin', '1', '45008', '0', '33152', '33453', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('217', 'Goblin', '1', '45008', '0', '33062', '33451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('218', 'Goblin', '1', '45008', '0', '33117', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('219', 'Goblin', '1', '45008', '0', '33092', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('220', 'Goblin', '1', '45008', '0', '33219', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('221', 'Goblin', '1', '45008', '0', '33132', '33342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('222', 'Goblin', '1', '45008', '0', '33089', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('223', 'Goblin', '1', '45008', '0', '33166', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('224', 'Goblin', '1', '45008', '0', '33191', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('225', 'Goblin', '1', '45008', '0', '33146', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('226', 'Goblin', '1', '45008', '0', '33125', '33193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('227', 'Goblin', '1', '45008', '5', '33073', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('228', 'Goblin', '1', '45008', '0', '33167', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('229', 'Goblin', '1', '45008', '0', '33179', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('230', 'Goblin', '1', '45008', '0', '33174', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('231', 'Goblin', '1', '45008', '0', '33120', '33232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('232', 'Goblin', '1', '45008', '0', '33125', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('233', 'Goblin', '1', '45008', '0', '33046', '33309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('234', 'Goblin', '1', '45008', '0', '32710', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('235', 'Goblin', '1', '45008', '0', '32756', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('236', 'Goblin', '1', '45008', '0', '32703', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('237', 'Goblin', '1', '45008', '0', '32677', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('238', 'Goblin', '1', '45008', '0', '32664', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('239', 'Goblin', '1', '45008', '0', '32683', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('240', 'Goblin', '1', '45008', '0', '32669', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('241', 'Goblin', '1', '45008', '0', '32684', '32713', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('242', 'Goblin', '1', '45008', '0', '32668', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('243', 'Goblin', '1', '45008', '0', '32705', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('244', 'Goblin', '1', '45008', '0', '32722', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('245', 'Goblin', '1', '45008', '5', '32791', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('246', 'Goblin', '1', '45008', '0', '32855', '32723', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('247', 'Goblin', '1', '45008', '0', '32871', '32673', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('248', 'Goblin', '1', '45008', '0', '32839', '32678', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('249', 'Goblin', '1', '45008', '0', '32795', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('250', 'Goblin', '1', '45008', '0', '32772', '32699', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('251', 'Goblin', '1', '45008', '0', '32862', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('252', 'Goblin', '1', '45008', '0', '32902', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('253', 'Goblin', '1', '45008', '0', '32657', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('254', 'Goblin', '1', '45008', '0', '32618', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('255', 'Goblin', '1', '45008', '0', '32663', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('256', 'Goblin', '1', '45008', '0', '32730', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('257', 'Goblin', '1', '45008', '0', '32653', '32798', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('258', 'Goblin', '1', '45008', '0', '32654', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('259', 'Goblin', '1', '45008', '0', '32665', '32724', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('260', 'Goblin', '1', '45008', '0', '32653', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('261', 'Goblin', '1', '45008', '0', '32687', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('262', 'Goblin', '1', '45008', '0', '32672', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('263', 'Goblin', '1', '45008', '0', '32718', '32917', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('264', 'Goblin', '1', '45008', '0', '32650', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('265', 'Goblin', '1', '45008', '5', '32644', '32906', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('266', 'Goblin', '1', '45008', '0', '32684', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('267', 'Goblin', '1', '45008', '0', '32609', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('268', 'Goblin', '1', '45008', '0', '32584', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('269', 'Goblin', '1', '45008', '0', '32544', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('270', 'Goblin', '1', '45008', '0', '32564', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('271', 'Goblin', '1', '45008', '0', '32586', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('272', 'Goblin', '1', '45008', '0', '32632', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('273', 'Goblin', '1', '45008', '0', '32592', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('274', 'Goblin', '1', '45008', '0', '32663', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('275', 'Goblin', '1', '45008', '0', '32705', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('276', 'Goblin', '1', '45008', '0', '32758', '32885', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('277', 'Goblin', '1', '45008', '0', '32792', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('278', 'Goblin', '1', '45008', '0', '32766', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('279', 'Goblin', '1', '45008', '0', '32734', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('280', 'Goblin', '1', '45008', '0', '32797', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('281', 'Goblin', '1', '45008', '0', '32797', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('282', 'Goblin', '1', '45008', '0', '32785', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('283', 'Orc', '1', '45009', '0', '33006', '33480', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('284', 'Orc', '1', '45009', '0', '33003', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('285', 'Orc', '1', '45009', '0', '33016', '33433', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('286', 'Orc', '1', '45009', '0', '33037', '33409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('287', 'Orc', '1', '45009', '0', '33074', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('288', 'Orc', '1', '45009', '0', '33167', '33349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('289', 'Orc', '1', '45009', '0', '33070', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('290', 'Orc', '1', '45009', '0', '33084', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('291', 'Orc', '1', '45009', '0', '33085', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('292', 'Orc', '1', '45009', '0', '33070', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('293', 'Orc', '1', '45009', '0', '33058', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('294', 'Orc', '1', '45009', '0', '33049', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('295', 'Orc', '1', '45009', '0', '32698', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('296', 'Orc', '1', '45009', '0', '32748', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('297', 'Orc', '1', '45009', '0', '32768', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('298', 'Orc', '1', '45009', '0', '32790', '33324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('299', 'Orc', '1', '45009', '0', '32715', '33264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('300', 'Orc', '1', '45009', '0', '32669', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('301', 'Orc', '1', '45009', '0', '32866', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('302', 'Orc', '1', '45009', '0', '32889', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('303', 'Orc', '1', '45009', '0', '32878', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('304', 'Orc', '1', '45009', '0', '32944', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('305', 'Orc', '1', '45009', '0', '32968', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('306', 'Orc', '1', '45009', '0', '33001', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('307', 'Orc', '1', '45009', '0', '33017', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('308', 'Orc', '1', '45009', '0', '33041', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('309', 'Orc', '1', '45009', '0', '33004', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('310', 'Orc', '1', '45009', '0', '32750', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('311', 'Orc', '1', '45009', '0', '32720', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('312', 'Orc', '1', '45009', '0', '32677', '33243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('317', 'Orc', '1', '45009', '0', '33181', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('318', 'Orc', '1', '45009', '0', '33216', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('319', 'Orc', '1', '45009', '0', '33226', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('320', 'Orc', '1', '45009', '0', '33207', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('321', 'Orc', '1', '45009', '0', '33163', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('322', 'Orc', '1', '45009', '0', '33172', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('323', 'Orc', '1', '45009', '0', '33198', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('324', 'Orc', '1', '45009', '0', '33209', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('325', 'Orc', '1', '45009', '0', '33144', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('326', 'Orc', '1', '45009', '0', '33094', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('327', 'Orc', '1', '45009', '0', '33100', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('328', 'Orc', '1', '45009', '0', '33067', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('329', 'Orc', '1', '45009', '0', '33039', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('330', 'Orc', '1', '45009', '0', '33064', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('331', 'Orc', '1', '45009', '0', '33018', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('376', 'Orc', '1', '45009', '0', '33036', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('377', 'Orc', '1', '45009', '0', '33033', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('378', 'Orc', '1', '45009', '0', '33010', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('379', 'Orc', '1', '45009', '0', '33042', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('380', 'Orc', '1', '45009', '0', '33010', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('381', 'Orc', '1', '45009', '0', '33006', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('382', 'Orc', '1', '45009', '0', '32992', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('383', 'Orc', '1', '45009', '0', '32995', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('384', 'Orc', '1', '45009', '0', '32981', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('385', 'Orc', '1', '45009', '0', '32964', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('386', 'Orc', '1', '45009', '0', '32969', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('387', 'Orc', '1', '45009', '0', '32949', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('388', 'Orc', '1', '45009', '0', '32949', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('389', 'Orc', '1', '45009', '0', '32969', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('390', 'Orc', '1', '45009', '0', '32983', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('391', 'Orc', '1', '45009', '0', '33003', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('392', 'Orc', '1', '45009', '0', '33017', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('393', 'Orc', '1', '45009', '0', '32991', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('394', 'Orc', '1', '45009', '0', '32975', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('395', 'Orc', '1', '45009', '0', '32988', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('396', 'Orc', '1', '45009', '0', '33025', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('397', 'Orc', '1', '45009', '0', '33027', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('398', 'Orc', '1', '45009', '0', '33067', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('399', 'Orc', '1', '45009', '0', '33043', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('400', 'Orc', '1', '45009', '0', '33010', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('401', 'Orc', '1', '45009', '0', '33087', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('402', 'Orc', '1', '45009', '0', '33180', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('403', 'Orc', '1', '45009', '0', '33242', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('404', 'Orc', '1', '45009', '0', '33269', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('405', 'Orc', '1', '45009', '0', '33231', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('406', 'Orc', '1', '45009', '0', '33195', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('407', 'Orc', '1', '45009', '0', '33195', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('408', 'Orc', '1', '45009', '0', '33171', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('409', 'Orc', '1', '45009', '0', '33112', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('410', 'Orc', '1', '45009', '0', '33120', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('411', 'Orc', '1', '45009', '0', '33159', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('412', 'Orc', '1', '45009', '0', '33182', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('413', 'Orc', '1', '45009', '0', '33172', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('414', 'Orc', '1', '45009', '0', '33144', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('415', 'Orc', '1', '45009', '0', '33177', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('416', 'Orc', '1', '45009', '0', '33202', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('417', 'Orc', '1', '45009', '0', '33237', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('418', 'Orc', '1', '45009', '0', '33230', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('419', 'Orc', '1', '45009', '0', '33253', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('420', 'Orc', '1', '45009', '0', '33230', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('421', 'Orc', '1', '45009', '0', '33198', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('422', 'Orc', '1', '45009', '0', '33121', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('423', 'Orc', '1', '45009', '0', '33078', '33498', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('424', 'Orc', '1', '45009', '0', '33099', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('425', 'Orc', '1', '45009', '0', '33088', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('426', 'Orc', '1', '45009', '0', '33060', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('427', 'Orc', '1', '45009', '0', '33213', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('428', 'Orc', '1', '45009', '0', '33174', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('429', 'Orc', '1', '45009', '0', '33067', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('430', 'Orc', '1', '45009', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('431', 'Orc', '1', '45009', '0', '33174', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('432', 'Orc', '1', '45009', '0', '33219', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('433', 'Orc', '1', '45009', '0', '33163', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('434', 'Orc', '1', '45009', '0', '33158', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('435', 'Orc', '1', '45009', '0', '33145', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('436', 'Orc', '1', '45009', '0', '33112', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('437', 'Orc', '1', '45009', '0', '33100', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('438', 'Orc', '1', '45009', '0', '32703', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('439', 'Orc', '1', '45009', '0', '32668', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('440', 'Orc', '1', '45009', '0', '32678', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('441', 'Orc', '1', '45009', '0', '32669', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('442', 'Orc', '1', '45009', '0', '32699', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('443', 'Orc', '1', '45009', '0', '32681', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('444', 'Orc', '1', '45009', '0', '32723', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('445', 'Orc', '1', '45009', '0', '32843', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('446', 'Orc', '1', '45009', '0', '32874', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('447', 'Orc', '1', '45009', '0', '32877', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('448', 'Orc', '1', '45009', '0', '32850', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('449', 'Orc', '1', '45009', '0', '32821', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('450', 'Orc', '1', '45009', '0', '32776', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('451', 'Orc', '1', '45009', '0', '32840', '32690', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('452', 'Orc', '1', '45009', '0', '32886', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('453', 'Orc', '1', '45009', '0', '32850', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('454', 'Orc', '1', '45009', '0', '32836', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('455', 'Orc', '1', '45009', '0', '32769', '32652', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('456', 'Orc', '1', '45009', '0', '32652', '32732', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('457', 'Orc', '1', '45009', '0', '32632', '32755', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('458', 'Orc', '1', '45009', '0', '32642', '32790', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('459', 'Orc', '1', '45009', '0', '32690', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('460', 'Orc', '1', '45009', '0', '32684', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('461', 'Orc', '1', '45009', '0', '32704', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('462', 'Orc', '1', '45009', '0', '32681', '32939', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('463', 'Orc', '1', '45009', '0', '32641', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('464', 'Orc', '1', '45009', '0', '32669', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('465', 'Orc', '1', '45009', '0', '32655', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('466', 'Orc', '1', '45009', '0', '32704', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('467', 'Orc', '1', '45009', '0', '32630', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('468', 'Orc', '1', '45009', '0', '32581', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('469', 'Orc', '1', '45009', '0', '32568', '32931', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('470', 'Orc', '1', '45009', '0', '32553', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('471', 'Orc', '1', '45009', '0', '32573', '32882', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('472', 'Orc', '1', '45009', '0', '32606', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('473', 'Orc', '1', '45009', '0', '32754', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('474', 'Orc', '1', '45009', '0', '32775', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('475', 'Orc', '1', '45009', '0', '32783', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('476', 'Orc', '1', '45009', '0', '32761', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('477', 'Rabbit', '1', '45010', '0', '33053', '33427', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('478', 'Rabbit', '1', '45010', '0', '33083', '33429', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('479', 'Rabbit', '1', '45010', '0', '33048', '33469', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('480', 'Rabbit', '1', '45010', '0', '33034', '33470', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('481', 'Rabbit', '1', '45010', '0', '33021', '33492', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('482', 'Rabbit', '1', '45010', '0', '33022', '33492', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('483', 'Rabbit', '1', '45010', '0', '32995', '33499', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('484', 'Rabbit', '1', '45010', '0', '32971', '33457', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('485', 'Rabbit', '1', '45010', '0', '32949', '33436', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('486', 'Rabbit', '1', '45010', '0', '32974', '33379', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('487', 'Rabbit', '1', '45010', '0', '32996', '33380', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('488', 'Rabbit', '1', '45010', '0', '33022', '33362', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('489', 'Rabbit', '1', '45010', '0', '33030', '33325', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('490', 'Rabbit', '1', '45010', '0', '33077', '33361', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('491', 'Rabbit', '1', '45010', '0', '33092', '33363', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('492', 'Rabbit', '1', '45010', '0', '33104', '33333', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('493', 'Rabbit', '1', '45010', '0', '33120', '33330', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('494', 'Rabbit', '1', '45010', '0', '33154', '33348', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('495', 'Rabbit', '1', '45010', '0', '33145', '33356', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('496', 'Rabbit', '1', '45010', '0', '33156', '33369', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('497', 'Rabbit', '1', '45010', '0', '33162', '33383', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('498', 'Rabbit', '1', '45010', '0', '33181', '33390', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('499', 'Rabbit', '1', '45010', '0', '33180', '33414', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('500', 'Rabbit', '1', '45010', '0', '33179', '33433', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('501', 'Rabbit', '1', '45010', '0', '33172', '33440', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('502', 'Rabbit', '1', '45010', '0', '33171', '33479', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('503', 'Rabbit', '1', '45010', '0', '33194', '33488', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('504', 'Rabbit', '1', '45010', '0', '33234', '33484', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('505', 'Rabbit', '1', '45010', '0', '33275', '33467', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('506', 'Rabbit', '1', '45010', '0', '33277', '33441', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('507', 'Rabbit', '1', '45010', '0', '33269', '33421', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('508', 'Rabbit', '1', '45010', '0', '33261', '33392', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('509', 'Rabbit', '1', '45010', '0', '33214', '33354', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('510', 'Rabbit', '1', '45010', '0', '33201', '33345', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('511', 'Rabbit', '1', '45010', '0', '33198', '33323', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('512', 'Rabbit', '1', '45010', '0', '33196', '33312', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('513', 'Rabbit', '1', '45010', '0', '33199', '33290', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('514', 'Rabbit', '1', '45010', '0', '33205', '33260', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('515', 'Rabbit', '1', '45010', '0', '33198', '33213', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('516', 'Rabbit', '1', '45010', '0', '33210', '33189', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('517', 'Rabbit', '1', '45010', '0', '33196', '33173', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('518', 'Rabbit', '1', '45010', '0', '33203', '33156', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('519', 'Rabbit', '1', '45010', '0', '33160', '33138', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('520', 'Rabbit', '1', '45010', '0', '33148', '33156', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('521', 'Rabbit', '1', '45010', '0', '33124', '33189', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('522', 'Rabbit', '1', '45010', '0', '33126', '33201', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('523', 'Rabbit', '1', '45010', '0', '33119', '33213', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('524', 'Rabbit', '1', '45010', '0', '33086', '33398', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('525', 'Rabbit', '1', '45010', '0', '33659', '33210', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('526', 'Rabbit', '1', '45010', '0', '33678', '33234', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('527', 'Rabbit', '1', '45010', '0', '33664', '33245', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('528', 'Rabbit', '1', '45010', '0', '33684', '33256', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('529', 'Rabbit', '1', '45010', '0', '33694', '33268', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('530', 'Rabbit', '1', '45010', '0', '33705', '33266', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('531', 'Rabbit', '1', '45010', '0', '33750', '33305', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('532', 'Rabbit', '1', '45010', '0', '33751', '33317', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('533', 'Rabbit', '1', '45010', '0', '33763', '33332', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('534', 'Rabbit', '1', '45010', '0', '33810', '33345', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('535', 'Rabbit', '1', '45010', '0', '33853', '33387', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('536', 'Rabbit', '1', '45010', '0', '33822', '33440', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('537', 'Rabbit', '1', '45010', '0', '33832', '33449', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('538', 'Rabbit', '1', '45010', '0', '33974', '33245', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('539', 'Rabbit', '1', '45010', '0', '34004', '33224', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('540', 'Rabbit', '1', '45010', '0', '34012', '33249', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('541', 'Rabbit', '1', '45010', '0', '33978', '33289', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('542', 'Rabbit', '1', '45010', '0', '33974', '33295', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('543', 'Rabbit', '1', '45010', '0', '33969', '33332', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('544', 'Rabbit', '1', '45010', '0', '33950', '33333', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('545', 'Rabbit', '1', '45010', '0', '33927', '33336', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('546', 'Rabbit', '1', '45010', '0', '33913', '33380', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('547', 'Rabbit', '1', '45010', '0', '33879', '33354', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('548', 'Rabbit', '1', '45010', '0', '33924', '33280', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('549', 'Rabbit', '1', '45010', '0', '33886', '33259', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('550', 'Rabbit', '1', '45010', '0', '33893', '33246', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('551', 'Rabbit', '1', '45010', '0', '34008', '33142', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('552', 'Rabbit', '1', '45010', '0', '34009', '33135', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('553', 'Rabbit', '1', '45010', '0', '34020', '33117', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('554', 'Rabbit', '1', '45010', '0', '34056', '33120', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('555', 'Rabbit', '1', '45010', '0', '34067', '33143', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('556', 'Rabbit', '1', '45010', '0', '34084', '33145', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('557', 'Rabbit', '1', '45010', '0', '34118', '33134', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('558', 'Rabbit', '1', '45010', '0', '33446', '32801', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('559', 'Rabbit', '1', '45010', '0', '33451', '32783', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('560', 'Rabbit', '1', '45010', '0', '33441', '32823', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('561', 'Rabbit', '1', '45010', '0', '33409', '32797', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('562', 'Rabbit', '1', '45010', '0', '33428', '32810', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('563', 'Rabbit', '1', '45010', '0', '33400', '32777', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('564', 'Rabbit', '1', '45010', '0', '33443', '32749', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('565', 'Rabbit', '1', '45010', '0', '33446', '32730', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('566', 'Rabbit', '1', '45010', '0', '33443', '32714', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('567', 'Rabbit', '1', '45010', '0', '33440', '32649', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('568', 'Rabbit', '1', '45010', '0', '33412', '32661', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('569', 'Rabbit', '1', '45010', '0', '33389', '32675', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('570', 'Rabbit', '1', '45010', '0', '33375', '32669', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('571', 'Rabbit', '1', '45010', '0', '33358', '32662', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('572', 'Rabbit', '1', '45010', '0', '33347', '32689', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('573', 'Rabbit', '1', '45010', '0', '33323', '32736', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('574', 'Rabbit', '1', '45010', '0', '33470', '32820', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('575', 'Rabbit', '1', '45010', '0', '33493', '32781', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('576', 'Rabbit', '1', '45010', '0', '33054', '32775', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('577', 'Rabbit', '1', '45010', '0', '33057', '32742', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('578', 'Rabbit', '1', '45010', '0', '33040', '32752', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('579', 'Rabbit', '1', '45010', '0', '33048', '32774', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('580', 'Rabbit', '1', '45010', '0', '32750', '32438', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('581', 'Rabbit', '1', '45010', '0', '32722', '32450', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('642', 'Rabbit', '1', '45010', '0', '33096', '33372', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('643', 'Rabbit', '1', '45010', '0', '33081', '33327', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('644', 'Rabbit', '1', '45010', '0', '33088', '33395', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('645', 'Rabbit', '1', '45010', '0', '32694', '32876', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('646', 'Rabbit', '1', '45010', '0', '32719', '32873', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('647', 'Rabbit', '1', '45010', '0', '32711', '32883', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('648', 'Rabbit', '1', '45010', '0', '32706', '32873', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('649', 'Rabbit', '1', '45010', '0', '32692', '32852', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('650', 'Rabbit', '1', '45010', '0', '32657', '32869', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('651', 'Rabbit', '1', '45010', '0', '32648', '32865', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('652', 'Rabbit', '1', '45010', '0', '32670', '32840', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('653', 'Rabbit', '1', '45010', '0', '32674', '32854', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('654', 'Rabbit', '1', '45010', '0', '32674', '32890', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('655', 'Rabbit', '1', '45010', '0', '32677', '32893', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('656', 'Rabbit', '1', '45010', '0', '32684', '32891', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('657', 'Rabbit', '1', '45010', '0', '32684', '32889', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('658', 'Rabbit', '1', '45010', '0', '32659', '32883', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('659', 'Rabbit', '1', '45010', '0', '33067', '33413', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('660', 'Rabbit', '1', '45010', '0', '32667', '32461', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('661', 'Rabbit', '1', '45010', '0', '32654', '32434', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('662', 'Rabbit', '1', '45010', '0', '32646', '32421', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('663', 'Rabbit', '1', '45010', '0', '32648', '32398', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('664', 'Rabbit', '1', '45010', '0', '32610', '32378', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('665', 'Rabbit', '1', '45010', '0', '32592', '32367', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('666', 'Rabbit', '1', '45010', '0', '32577', '32356', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('667', 'Rabbit', '1', '45010', '0', '32557', '32356', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('668', 'Rabbit', '1', '45010', '0', '32563', '32381', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('669', 'Rabbit', '1', '45010', '0', '32594', '32410', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('670', 'Rabbit', '1', '45010', '0', '32590', '32430', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('671', 'Rabbit', '1', '45010', '0', '32610', '32484', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('672', 'Rabbit', '1', '45010', '0', '32662', '32507', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('673', 'Rabbit', '1', '45010', '0', '32671', '32504', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('674', 'Rabbit', '1', '45010', '0', '32688', '32514', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('675', 'Rabbit', '1', '45010', '0', '32709', '32505', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('676', 'Rabbit', '1', '45010', '0', '32708', '32490', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('677', 'Rabbit', '1', '45010', '0', '32683', '32481', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('678', 'Rabbit', '1', '45010', '0', '32729', '32375', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('679', 'Rabbit', '1', '45010', '0', '32797', '32347', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('680', 'Rabbit', '1', '45010', '0', '32834', '32345', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('681', 'Rabbit', '1', '45010', '0', '32841', '32358', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('682', 'Rabbit', '1', '45010', '0', '32833', '32425', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('683', 'Rabbit', '1', '45010', '0', '32816', '32432', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('684', 'Rabbit', '1', '45010', '0', '32791', '32478', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('685', 'Rabbit', '1', '45010', '0', '32808', '32462', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('686', 'Rabbit', '1', '45010', '0', '32858', '32464', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('687', 'Rabbit', '1', '45010', '0', '32841', '32481', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('688', 'Rabbit', '1', '45010', '0', '32832', '32490', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('689', 'Rabbit', '1', '45010', '0', '32786', '32510', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('690', 'Rabbit', '1', '45010', '0', '32776', '32504', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('691', 'Rabbit', '1', '45010', '0', '32762', '32489', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('692', 'Rabbit', '1', '45010', '0', '32688', '32494', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('693', 'Rabbit', '1', '45010', '0', '32693', '32477', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('694', 'Rabbit', '1', '45010', '0', '32704', '32402', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('695', 'Rabbit', '1', '45010', '0', '32695', '32380', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('696', 'Rabbit', '1', '45010', '0', '32694', '32328', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('697', 'Rabbit', '1', '45010', '0', '32709', '32310', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('698', 'Rabbit', '1', '45010', '0', '32718', '32290', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('699', 'Rabbit', '1', '45010', '0', '32701', '32258', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('700', 'Rabbit', '1', '45010', '0', '32678', '32281', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('701', 'Rabbit', '1', '45010', '0', '32650', '32294', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('702', 'Rabbit', '1', '45010', '0', '32626', '32309', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('711', 'Rabbit', '1', '45010', '0', '32844', '32646', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('712', 'Rabbit', '1', '45010', '0', '32828', '32626', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('713', 'Rabbit', '1', '45010', '0', '32814', '32634', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('714', 'Rabbit', '1', '45010', '0', '32778', '32643', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('715', 'Rabbit', '1', '45010', '0', '32797', '32639', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('716', 'Rabbit', '1', '45010', '0', '32838', '32639', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('717', 'Rabbit', '1', '45010', '0', '32863', '32692', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('718', 'Rabbit', '1', '45010', '0', '32855', '32708', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('719', 'Rabbit', '1', '45010', '0', '32864', '32738', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('720', 'Rabbit', '1', '45010', '0', '32854', '32721', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('721', 'Rabbit', '1', '45010', '0', '32863', '32707', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('722', 'Rabbit', '1', '45010', '0', '32877', '32668', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('723', 'Rabbit', '1', '45010', '0', '32874', '32635', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('724', 'Rabbit', '1', '45010', '0', '32866', '32620', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('725', 'Rabbit', '1', '45010', '0', '32875', '32611', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('726', 'Rabbit', '1', '45010', '0', '32913', '32598', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('727', 'Rabbit', '1', '45010', '0', '32930', '32636', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('728', 'Rabbit', '1', '45010', '0', '32908', '32629', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('729', 'Rabbit', '1', '45010', '0', '32898', '32625', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('730', 'Rabbit', '1', '45010', '0', '32889', '32645', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('731', 'Rabbit', '1', '45010', '0', '32868', '32641', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('732', 'Rabbit', '1', '45010', '0', '32770', '32776', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('733', 'Rabbit', '1', '45010', '0', '32787', '32768', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('734', 'Rabbit', '1', '45010', '0', '32799', '32763', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('735', 'Rabbit', '1', '45010', '0', '32812', '32754', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('736', 'Rabbit', '1', '45010', '0', '32807', '32778', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('737', 'Rabbit', '1', '45010', '0', '32817', '32726', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('738', 'Rabbit', '1', '45010', '0', '32824', '32728', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('739', 'Rabbit', '1', '45010', '0', '32837', '32752', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('740', 'Rabbit', '1', '45010', '0', '32833', '32754', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('741', 'Rabbit', '1', '45010', '0', '32833', '32753', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('742', 'Rabbit', '1', '45010', '0', '32758', '32765', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('743', 'Rabbit', '1', '45010', '0', '32776', '32756', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('744', 'Rabbit', '1', '45010', '0', '32773', '32722', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('745', 'Rabbit', '1', '45010', '0', '32768', '32709', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('746', 'Rabbit', '1', '45010', '0', '32733', '32707', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('747', 'Rabbit', '1', '45010', '0', '32686', '32712', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('748', 'Rabbit', '1', '45010', '0', '32680', '32724', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('749', 'Rabbit', '1', '45010', '0', '32681', '32729', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('750', 'Rabbit', '1', '45010', '0', '32712', '32774', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('751', 'Rabbit', '1', '45010', '0', '32705', '32757', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('752', 'Rabbit', '1', '45010', '0', '32694', '32776', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('753', 'Rabbit', '1', '45010', '0', '32685', '32793', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('754', 'Rabbit', '1', '45010', '0', '32686', '32812', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('755', 'Rabbit', '1', '45010', '0', '32673', '32837', '0', '0', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('756', 'Rabbit', '1', '45010', '0', '32670', '32848', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('757', 'Rabbit', '1', '45010', '0', '32677', '32857', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('758', 'Rabbit', '1', '45010', '0', '32779', '32857', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('759', 'Rabbit', '1', '45010', '0', '32785', '32869', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('760', 'Rabbit', '1', '45010', '0', '32907', '32853', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('761', 'Rabbit', '1', '45010', '0', '32922', '32846', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('762', 'Rabbit', '1', '45010', '0', '32923', '32829', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('763', 'Rabbit', '1', '45010', '0', '32935', '32817', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('764', 'Rabbit', '1', '45010', '0', '32938', '32803', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('765', 'Rabbit', '1', '45010', '0', '32939', '32787', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('766', 'Rabbit', '1', '45010', '0', '32930', '32786', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('767', 'Rabbit', '1', '45010', '0', '32945', '32798', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('776', 'Rabbit', '1', '45010', '0', '34050', '32272', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('777', 'Rabbit', '1', '45010', '0', '34053', '32278', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('778', 'Rabbit', '1', '45010', '0', '34072', '32277', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('779', 'Rabbit', '1', '45010', '0', '34054', '32310', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('780', 'Rabbit', '1', '45010', '0', '34069', '32311', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('781', 'Rabbit', '1', '45010', '0', '33088', '33452', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('782', 'Rabbit', '1', '45010', '0', '32884', '32790', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('783', 'Rabbit', '1', '45010', '0', '32885', '32783', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('784', 'Rabbit', '1', '45010', '0', '32878', '32781', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('785', 'Rabbit', '1', '45010', '0', '32863', '32815', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('786', 'Rabbit', '1', '45010', '0', '32873', '32811', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('787', 'Rabbit', '1', '45010', '0', '32900', '32795', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('788', 'Rabbit', '1', '45010', '0', '32908', '32775', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('789', 'Rabbit', '1', '45010', '0', '32905', '32758', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('790', 'Rabbit', '1', '45010', '0', '32923', '32754', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('791', 'Rabbit', '1', '45010', '0', '32941', '32788', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('792', 'Rabbit', '1', '45010', '0', '32955', '32786', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('793', 'Rabbit', '1', '45010', '0', '32970', '32783', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('794', 'Rabbit', '1', '45010', '0', '32952', '32823', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('795', 'Rabbit', '1', '45010', '0', '32946', '32828', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('796', 'Rabbit', '1', '45010', '0', '32942', '32841', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('797', 'Rabbit', '1', '45010', '0', '32934', '32857', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('798', 'Rabbit', '1', '45010', '0', '32980', '32880', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('799', 'Rabbit', '1', '45010', '0', '32962', '32902', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('800', 'Rabbit', '1', '45010', '0', '32963', '32995', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801', 'Rabbit', '1', '45010', '0', '32654', '32804', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('802', 'Rabbit', '1', '45010', '0', '32659', '32819', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('803', 'Rabbit', '1', '45010', '0', '32674', '32812', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('804', 'Rabbit', '1', '45010', '0', '32702', '32807', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('805', 'Rabbit', '1', '45010', '0', '32730', '32822', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('806', 'Rabbit', '1', '45010', '0', '32730', '32833', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('807', 'Rabbit', '1', '45010', '0', '32721', '32840', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('808', 'Rabbit', '1', '45010', '0', '32710', '32834', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('809', 'Rabbit', '1', '45010', '0', '32698', '32833', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('810', 'Rabbit', '1', '45010', '0', '32669', '32819', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('811', 'Rabbit', '1', '45010', '0', '32664', '32830', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('812', 'Rabbit', '1', '45010', '0', '32676', '32832', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('813', 'Rabbit', '1', '45010', '0', '32644', '32805', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('814', 'Rabbit', '1', '45010', '0', '32641', '32798', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('815', 'Rabbit', '1', '45010', '0', '32684', '32827', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('816', 'Rabbit', '1', '45010', '0', '32690', '32848', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('817', 'Rabbit', '1', '45010', '0', '32704', '32855', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('818', 'Rabbit', '1', '45010', '0', '32677', '32870', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('819', 'Rabbit', '1', '45010', '0', '32651', '32866', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('820', 'Rabbit', '1', '45010', '0', '32641', '32863', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('821', 'Rabbit', '1', '45010', '0', '32611', '32829', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('822', 'Rabbit', '1', '45010', '0', '32602', '32840', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('823', 'Rabbit', '1', '45010', '0', '32592', '32849', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('824', 'Rabbit', '1', '45010', '0', '32590', '32845', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('825', 'Rabbit', '1', '45010', '0', '32574', '32832', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('826', 'Rabbit', '1', '45010', '0', '32569', '32817', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('827', 'Rabbit', '1', '45010', '0', '32566', '32790', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('828', 'Rabbit', '1', '45010', '0', '32573', '32781', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('829', 'Rabbit', '1', '45010', '0', '32581', '32787', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('830', 'Rabbit', '1', '45010', '0', '32578', '32767', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('831', 'Rabbit', '1', '45010', '0', '32584', '32723', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('832', 'Rabbit', '1', '45010', '0', '32574', '32714', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('833', 'Rabbit', '1', '45010', '0', '32585', '32662', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('834', 'Rabbit', '1', '45010', '0', '32587', '32671', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('835', 'Rabbit', '1', '45010', '0', '32590', '32633', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('836', 'Rabbit', '1', '45010', '0', '32617', '32625', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('837', 'Rabbit', '1', '45010', '0', '32650', '32625', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('838', 'Rabbit', '1', '45010', '0', '32663', '32680', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('839', 'Rabbit', '1', '45010', '0', '32672', '32690', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('840', 'Rabbit', '1', '45010', '0', '32683', '32698', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('841', 'Rabbit', '1', '45010', '0', '32681', '32711', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('842', 'Rabbit', '1', '45010', '0', '32668', '32707', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('843', 'Rabbit', '1', '45010', '0', '32655', '32722', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('844', 'Rabbit', '1', '45010', '0', '32673', '32734', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('845', 'Rabbit', '1', '45010', '0', '32686', '32721', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('846', 'Rabbit', '1', '45010', '0', '32688', '32742', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('847', 'Rabbit', '1', '45010', '0', '32650', '32788', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('848', 'Rabbit', '1', '45010', '0', '32669', '32852', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('849', 'Rabbit', '1', '45010', '0', '32666', '32864', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('850', 'Rabbit', '1', '45010', '0', '32660', '32896', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('851', 'Rabbit', '1', '45010', '0', '32690', '32885', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('852', 'Rabbit', '1', '45010', '0', '32703', '32875', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('853', 'Rabbit', '1', '45010', '0', '32718', '32874', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('854', 'Rabbit', '1', '45010', '0', '32729', '32871', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('855', 'Rabbit', '1', '45010', '0', '32737', '32864', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('856', 'Rabbit', '1', '45010', '0', '32801', '32856', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('857', 'Rabbit', '1', '45010', '0', '32733', '32893', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('858', 'Rabbit', '1', '45010', '0', '32718', '32893', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('859', 'Rabbit', '1', '45010', '0', '32655', '32960', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('860', 'Rabbit', '1', '45010', '0', '32666', '32951', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('861', 'Rabbit', '1', '45010', '0', '32641', '32938', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('862', 'Rabbit', '1', '45010', '0', '32646', '32897', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('863', 'Rabbit', '1', '45010', '0', '32619', '32888', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('864', 'Rabbit', '1', '45010', '0', '32610', '32880', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('865', 'Rabbit', '1', '45010', '0', '32605', '32851', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('866', 'Rabbit', '1', '45010', '0', '33214', '33446', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('867', 'Rabbit', '1', '45010', '0', '33249', '33450', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('868', 'Rabbit', '1', '45010', '0', '33260', '33446', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('869', 'Rabbit', '1', '45010', '0', '33252', '33435', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('870', 'Rabbit', '1', '45010', '0', '33261', '33414', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('871', 'Rabbit', '1', '45010', '0', '33258', '33411', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('872', 'Rabbit', '1', '45010', '0', '33260', '33396', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('873', 'Rabbit', '1', '45010', '0', '33249', '33378', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('874', 'Rabbit', '1', '45010', '0', '33241', '33355', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('875', 'Rabbit', '1', '45010', '0', '33232', '33337', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('876', 'Rabbit', '1', '45010', '0', '33235', '33318', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('877', 'Rabbit', '1', '45010', '0', '33198', '33298', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('878', 'Rabbit', '1', '45010', '0', '33206', '33261', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('879', 'Rabbit', '1', '45010', '0', '33249', '33227', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('880', 'Rabbit', '1', '45010', '0', '33237', '33211', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('881', 'Rabbit', '1', '45010', '0', '33230', '33189', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('882', 'Rabbit', '1', '45010', '0', '33211', '33166', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('883', 'Rabbit', '1', '45010', '0', '33225', '33155', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('884', 'Rabbit', '1', '45010', '0', '33215', '33144', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('885', 'Rabbit', '1', '45010', '0', '33199', '33145', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('886', 'Rabbit', '1', '45010', '0', '33186', '33151', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('887', 'Rabbit', '1', '45010', '0', '33179', '33163', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('888', 'Rabbit', '1', '45010', '0', '33167', '33170', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('889', 'Rabbit', '1', '45010', '0', '33141', '33175', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('890', 'Rabbit', '1', '45010', '0', '33139', '33157', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('891', 'Rabbit', '1', '45010', '0', '33107', '33156', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('892', 'Rabbit', '1', '45010', '0', '33111', '33168', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('893', 'Rabbit', '1', '45010', '0', '33084', '33177', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('894', 'Rabbit', '1', '45010', '0', '33064', '33208', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('895', 'Rabbit', '1', '45010', '0', '33078', '33213', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('896', 'Rabbit', '1', '45010', '0', '33070', '33255', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('897', 'Rabbit', '1', '45010', '0', '33051', '33285', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('898', 'Rabbit', '1', '45010', '0', '33045', '33195', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('899', 'Rabbit', '1', '45010', '0', '33028', '33187', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('900', 'Rabbit', '1', '45010', '0', '33033', '33103', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('901', 'Rabbit', '1', '45010', '0', '33020', '33101', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('902', 'Rabbit', '1', '45010', '0', '33019', '33089', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('903', 'Rabbit', '1', '45010', '0', '32919', '33085', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('904', 'Rabbit', '1', '45010', '0', '32876', '33045', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('905', 'Rabbit', '1', '45012', '0', '33048', '33430', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('906', 'Rabbit', '1', '45012', '0', '32990', '33477', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('907', 'Rabbit', '1', '45012', '0', '33100', '33377', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('908', 'Rabbit', '1', '45012', '0', '33180', '33496', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('909', 'Rabbit', '1', '45012', '0', '33234', '33470', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('910', 'Rabbit', '1', '45012', '0', '33246', '33483', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('911', 'Rabbit', '1', '45012', '0', '33259', '33478', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('912', 'Rabbit', '1', '45012', '0', '33107', '33388', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('913', 'Rabbit', '1', '45012', '0', '33671', '33225', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('914', 'Rabbit', '1', '45012', '0', '33988', '33246', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('915', 'Rabbit', '1', '45012', '0', '33960', '33262', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('916', 'Rabbit', '1', '45012', '0', '33965', '33277', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('917', 'Rabbit', '1', '45012', '0', '33924', '33339', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('918', 'Rabbit', '1', '45012', '0', '33930', '33352', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('919', 'Rabbit', '1', '45012', '0', '33945', '33362', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('920', 'Rabbit', '1', '45012', '0', '33876', '33332', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('921', 'Rabbit', '1', '45012', '0', '33912', '33248', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('922', 'Rabbit', '1', '45012', '0', '33947', '33247', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('923', 'Rabbit', '1', '45012', '0', '33966', '33235', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('924', 'Rabbit', '1', '45012', '0', '33965', '33212', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('925', 'Rabbit', '1', '45012', '0', '33965', '33195', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('926', 'Rabbit', '1', '45012', '0', '33963', '33171', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('927', 'Rabbit', '1', '45012', '0', '33991', '33170', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('928', 'Rabbit', '1', '45012', '0', '34005', '33158', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('929', 'Rabbit', '1', '45012', '0', '34069', '33133', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('930', 'Rabbit', '1', '45012', '0', '34098', '33134', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('931', 'Rabbit', '1', '45012', '0', '34096', '33161', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('932', 'Rabbit', '1', '45012', '0', '34075', '33154', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('933', 'Rabbit', '1', '45012', '0', '33430', '32798', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('934', 'Rabbit', '1', '45012', '0', '33420', '32833', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('935', 'Rabbit', '1', '45012', '0', '33413', '32816', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('936', 'Rabbit', '1', '45012', '0', '33397', '32750', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('937', 'Rabbit', '1', '45012', '0', '33421', '32743', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('938', 'Rabbit', '1', '45012', '0', '33455', '32705', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('939', 'Rabbit', '1', '45012', '0', '33470', '32698', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('940', 'Rabbit', '1', '45012', '0', '33490', '32687', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('941', 'Rabbit', '1', '45012', '0', '33466', '32664', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('942', 'Rabbit', '1', '45012', '0', '33394', '32663', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('943', 'Rabbit', '1', '45012', '0', '33352', '32686', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('944', 'Rabbit', '1', '45012', '0', '33479', '32801', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('945', 'Rabbit', '1', '45012', '0', '33490', '32803', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('946', 'Rabbit', '1', '45012', '0', '33062', '32761', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('947', 'Rabbit', '1', '45012', '0', '33062', '32743', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('948', 'Rabbit', '1', '45012', '0', '33065', '32789', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('949', 'Rabbit', '1', '45012', '0', '33060', '32804', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('950', 'Rabbit', '1', '45012', '0', '33075', '32796', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('951', 'Rabbit', '1', '45012', '0', '32742', '32447', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('975', 'Rabbit', '1', '45012', '0', '33052', '33352', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('976', 'Rabbit', '1', '45012', '0', '32704', '32869', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('977', 'Rabbit', '1', '45012', '0', '32725', '32888', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('978', 'Rabbit', '1', '45012', '0', '32680', '32854', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('979', 'Rabbit', '1', '45012', '0', '32663', '32864', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('980', 'Rabbit', '1', '45012', '0', '32652', '32848', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('981', 'Rabbit', '1', '45012', '0', '32679', '32869', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('982', 'Rabbit', '1', '45012', '0', '32678', '32896', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('983', 'Rabbit', '1', '45012', '0', '32579', '32338', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('984', 'Rabbit', '1', '45012', '0', '32626', '32484', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('985', 'Rabbit', '1', '45012', '0', '32636', '32472', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('986', 'Rabbit', '1', '45012', '0', '32652', '32496', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('987', 'Rabbit', '1', '45012', '0', '32715', '32416', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('988', 'Rabbit', '1', '45012', '0', '32762', '32370', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('989', 'Rabbit', '1', '45012', '0', '32798', '32517', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('990', 'Rabbit', '1', '45012', '0', '32760', '32482', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('991', 'Rabbit', '1', '45012', '0', '32738', '32514', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('992', 'Rabbit', '1', '45012', '0', '32708', '32366', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('993', 'Rabbit', '1', '45012', '0', '32842', '32661', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('994', 'Rabbit', '1', '45012', '0', '32865', '32652', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('995', 'Rabbit', '1', '45012', '0', '32778', '32760', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('996', 'Rabbit', '1', '45012', '0', '32793', '32780', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('997', 'Rabbit', '1', '45012', '0', '32792', '32770', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('998', 'Rabbit', '1', '45012', '0', '32812', '32741', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('999', 'Rabbit', '1', '45012', '0', '32835', '32744', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000', 'Rabbit', '1', '45012', '0', '32839', '32750', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1001', 'Rabbit', '1', '45012', '0', '32754', '32760', '0', '0', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1002', 'Rabbit', '1', '45012', '0', '32749', '32766', '0', '0', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1003', 'Rabbit', '1', '45012', '0', '32763', '32740', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1004', 'Rabbit', '1', '45012', '0', '32726', '32694', '0', '0', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1005', 'Rabbit', '1', '45012', '0', '32734', '32681', '0', '0', '0', '0', '0', '0', '7', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1006', 'Rabbit', '1', '45012', '0', '32718', '32685', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1007', 'Rabbit', '1', '45012', '0', '32700', '32686', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1008', 'Rabbit', '1', '45012', '0', '32686', '32685', '0', '0', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1009', 'Rabbit', '1', '45012', '0', '32718', '32851', '0', '0', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1010', 'Rabbit', '1', '45012', '0', '32752', '32859', '0', '0', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1019', 'Rabbit', '1', '45012', '0', '32872', '32801', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1020', 'Rabbit', '1', '45012', '0', '32678', '32841', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1021', 'Rabbit', '1', '45012', '0', '32680', '32849', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1022', 'Rabbit', '1', '45012', '0', '32583', '32709', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1023', 'Rabbit', '1', '45012', '0', '32595', '32704', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1024', 'Rabbit', '1', '45012', '0', '32659', '32784', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1025', 'Rabbit', '1', '45012', '0', '32712', '32883', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1026', 'Rabbit', '1', '45012', '0', '33264', '33435', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1027', 'Rabbit', '1', '45012', '0', '33251', '33352', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1028', 'Rabbit', '1', '45012', '0', '33235', '33244', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1029', 'Rabbit', '1', '45012', '0', '33014', '33293', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1030', 'Rabbit', '1', '45012', '0', '33004', '33289', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1031', 'Rabbit', '1', '45012', '0', '33025', '33263', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1032', 'Rabbit', '1', '45012', '0', '33027', '33229', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1033', 'Rabbit', '1', '45012', '0', '33021', '33169', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1034', 'Rabbit', '1', '45012', '0', '32905', '33081', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1035', 'Duck', '1', '45015', '0', '33599', '33237', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1036', 'Duck', '1', '45015', '0', '33599', '33236', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1037', 'Duck', '1', '45015', '0', '33619', '33242', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1038', 'Duck', '1', '45015', '0', '33608', '33260', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1039', 'Duck', '1', '45015', '0', '33575', '33278', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1040', 'Duck', '1', '45015', '0', '33558', '33295', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1041', 'Duck', '1', '45015', '0', '33551', '33279', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1042', 'Duck', '1', '45015', '0', '33548', '33264', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1043', 'Duck', '1', '45015', '0', '33548', '33240', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1044', 'Duck', '1', '45015', '0', '33579', '33219', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1045', 'Duck', '1', '45015', '0', '33594', '33200', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1046', 'Duck', '1', '45015', '0', '33596', '33177', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1047', 'Duck', '1', '45015', '0', '33623', '33164', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1048', 'Duck', '1', '45015', '0', '33615', '33185', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1049', 'Duck', '1', '45015', '0', '33640', '33181', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1051', 'Kobold', '1', '45016', '0', '33088', '33290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1052', 'Kobold', '1', '45016', '0', '33064', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1053', 'Kobold', '1', '45016', '0', '33059', '33354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1054', 'Kobold', '1', '45016', '0', '33085', '33345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1055', 'Kobold', '1', '45016', '0', '33053', '33313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1056', 'Kobold', '1', '45016', '0', '32862', '33071', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1057', 'Kobold', '1', '45016', '0', '32901', '33107', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1058', 'Kobold', '1', '45016', '0', '32957', '33114', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1059', 'Kobold', '1', '45016', '0', '32985', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1060', 'Kobold', '1', '45016', '0', '32990', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1061', 'Kobold', '1', '45016', '0', '33022', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1062', 'Kobold', '1', '45016', '0', '33022', '33174', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1063', 'Kobold', '1', '45016', '0', '32735', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1064', 'Kobold', '1', '45016', '0', '32768', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1065', 'Kobold', '1', '45016', '0', '32688', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1066', 'Kobold', '1', '45016', '0', '32681', '32694', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1067', 'Kobold', '1', '45016', '0', '32685', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1068', 'Kobold', '1', '45016', '0', '32736', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1069', 'Kobold', '1', '45016', '0', '32867', '32700', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1070', 'Kobold', '1', '45016', '0', '32864', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1071', 'Kobold', '1', '45016', '0', '32825', '32680', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1072', 'Kobold', '1', '45016', '0', '32815', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1073', 'Kobold', '1', '45016', '0', '32822', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1074', 'Kobold', '1', '45016', '0', '32794', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1075', 'Kobold', '1', '45016', '0', '32762', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1078', 'Orc Archer', '1', '45019', '0', '33006', '33480', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1079', 'Orc Archer', '1', '45019', '0', '33003', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1080', 'Orc Archer', '1', '45019', '0', '33016', '33433', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1081', 'Orc Archer', '1', '45019', '0', '33037', '33409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1082', 'Orc Archer', '1', '45019', '0', '33065', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1083', 'Orc Archer', '1', '45019', '0', '33049', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1084', 'Orc Archer', '1', '45019', '0', '33062', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1085', 'Orc Archer', '1', '45019', '0', '33059', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1086', 'Orc Archer', '1', '45019', '0', '33077', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1087', 'Orc Archer', '1', '45019', '0', '33066', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1088', 'Orc Archer', '1', '45019', '0', '33075', '33186', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1089', 'Orc Archer', '1', '45019', '0', '32710', '33226', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1090', 'Orc Archer', '1', '45019', '0', '32758', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1091', 'Orc Archer', '1', '45019', '0', '32782', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1092', 'Orc Archer', '1', '45019', '0', '32760', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1093', 'Orc Archer', '1', '45019', '0', '32703', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1094', 'Orc Archer', '1', '45019', '0', '32677', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1095', 'Orc Archer', '1', '45019', '0', '32848', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1096', 'Orc Archer', '1', '45019', '0', '32882', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1097', 'Orc Archer', '1', '45019', '0', '32916', '33100', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1098', 'Orc Archer', '1', '45019', '0', '32887', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1099', 'Orc Archer', '1', '45019', '0', '32924', '33110', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100', 'Orc Archer', '1', '45019', '0', '32947', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1101', 'Orc Archer', '1', '45019', '0', '32974', '33136', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1102', 'Orc Archer', '1', '45019', '0', '32996', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1103', 'Orc Archer', '1', '45019', '0', '33012', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1104', 'Orc Archer', '1', '45019', '0', '33040', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1105', 'Orc Archer', '1', '45019', '0', '33034', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1106', 'Orc Archer', '1', '45019', '0', '33026', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1107', 'Orc Archer', '1', '45019', '0', '32989', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1108', 'Orc Archer', '1', '45019', '0', '32780', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1109', 'Orc Archer', '1', '45019', '0', '32746', '33313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1110', 'Orc Archer', '1', '45019', '0', '32705', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1111', 'Orc Archer', '1', '45019', '0', '32647', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1112', 'Orc Archer', '1', '45019', '0', '33181', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1113', 'Orc Archer', '1', '45019', '0', '33216', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1114', 'Orc Archer', '1', '45019', '0', '33226', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1115', 'Orc Archer', '1', '45019', '0', '33207', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1116', 'Orc Archer', '1', '45019', '0', '33163', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1117', 'Orc Archer', '1', '45019', '0', '33172', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1118', 'Orc Archer', '1', '45019', '0', '33198', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1119', 'Orc Archer', '1', '45019', '0', '33209', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1120', 'Orc Archer', '1', '45019', '0', '33144', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1121', 'Orc Archer', '1', '45019', '0', '33094', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1122', 'Orc Archer', '1', '45019', '0', '33100', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1123', 'Orc Archer', '1', '45019', '0', '33067', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1124', 'Orc Archer', '1', '45019', '0', '33039', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1125', 'Orc Archer', '1', '45019', '0', '33064', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1126', 'Orc Archer', '1', '45019', '0', '33018', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1172', 'Orc Archer', '1', '45019', '0', '33036', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1173', 'Orc Archer', '1', '45019', '0', '33033', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1174', 'Orc Archer', '1', '45019', '0', '33010', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1175', 'Orc Archer', '1', '45019', '0', '33042', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1176', 'Orc Archer', '1', '45019', '0', '33010', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1177', 'Orc Archer', '1', '45019', '0', '33006', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1178', 'Orc Archer', '1', '45019', '0', '32992', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1179', 'Orc Archer', '1', '45019', '0', '32995', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1180', 'Orc Archer', '1', '45019', '0', '32981', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1181', 'Orc Archer', '1', '45019', '0', '32964', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1182', 'Orc Archer', '1', '45019', '0', '32969', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1183', 'Orc Archer', '1', '45019', '0', '32949', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1184', 'Orc Archer', '1', '45019', '0', '32949', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1185', 'Orc Archer', '1', '45019', '0', '32969', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1186', 'Orc Archer', '1', '45019', '0', '32983', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1187', 'Orc Archer', '1', '45019', '0', '33003', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1188', 'Orc Archer', '1', '45019', '0', '33017', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1189', 'Orc Archer', '1', '45019', '0', '32991', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1190', 'Orc Archer', '1', '45019', '0', '32975', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1191', 'Orc Archer', '1', '45019', '0', '32988', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1192', 'Orc Archer', '1', '45019', '0', '33025', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1193', 'Orc Archer', '1', '45019', '0', '33027', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1194', 'Orc Archer', '1', '45019', '0', '33067', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1195', 'Orc Archer', '1', '45019', '0', '33043', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1196', 'Orc Archer', '1', '45019', '0', '33010', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1197', 'Orc Archer', '1', '45019', '0', '33087', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1198', 'Orc Archer', '1', '45019', '0', '33242', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1199', 'Orc Archer', '1', '45019', '0', '33269', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200', 'Orc Archer', '1', '45019', '0', '33231', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1201', 'Orc Archer', '1', '45019', '0', '33195', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1202', 'Orc Archer', '1', '45019', '0', '33195', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1203', 'Orc Archer', '1', '45019', '0', '33171', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1204', 'Orc Archer', '1', '45019', '0', '33112', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1205', 'Orc Archer', '1', '45019', '0', '33120', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1206', 'Orc Archer', '1', '45019', '0', '33159', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1207', 'Orc Archer', '1', '45019', '0', '33182', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1208', 'Orc Archer', '1', '45019', '0', '33172', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1209', 'Orc Archer', '1', '45019', '0', '33144', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1210', 'Orc Archer', '1', '45019', '0', '33177', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1211', 'Orc Archer', '1', '45019', '0', '33202', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1212', 'Orc Archer', '1', '45019', '0', '33237', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1213', 'Orc Archer', '1', '45019', '0', '33230', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1214', 'Orc Archer', '1', '45019', '0', '33253', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1215', 'Orc Archer', '1', '45019', '0', '33230', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1216', 'Orc Archer', '1', '45019', '0', '33198', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1217', 'Orc Archer', '1', '45019', '0', '33121', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1218', 'Orc Archer', '1', '45019', '0', '33078', '33498', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1219', 'Orc Archer', '1', '45019', '0', '33099', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1220', 'Orc Archer', '1', '45019', '0', '33088', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1221', 'Orc Archer', '1', '45019', '0', '33060', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1222', 'Orc Archer', '1', '45019', '0', '33213', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1223', 'Orc Archer', '1', '45019', '0', '33174', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1224', 'Orc Archer', '1', '45019', '0', '33067', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1225', 'Orc Archer', '1', '45019', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1226', 'Orc Archer', '1', '45019', '0', '33174', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1227', 'Orc Archer', '1', '45019', '0', '33219', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1228', 'Orc Archer', '1', '45019', '0', '33163', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1229', 'Orc Archer', '1', '45019', '0', '33158', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1230', 'Orc Archer', '1', '45019', '0', '33145', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1231', 'Orc Archer', '1', '45019', '0', '33112', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1232', 'Orc Archer', '1', '45019', '0', '33100', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1233', 'Orc Archer', '1', '45019', '0', '33177', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1234', 'Orc Archer', '1', '45019', '0', '33136', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1235', 'Orc Archer', '1', '45019', '0', '32724', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1236', 'Orc Archer', '1', '45019', '0', '32752', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1237', 'Orc Archer', '1', '45019', '0', '32773', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1238', 'Orc Archer', '1', '45019', '0', '32669', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1239', 'Orc Archer', '1', '45019', '0', '32699', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1240', 'Orc Archer', '1', '45019', '0', '32681', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1241', 'Orc Archer', '1', '45019', '0', '32723', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1242', 'Orc Archer', '1', '45019', '0', '32843', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1243', 'Orc Archer', '1', '45019', '0', '32874', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1244', 'Orc Archer', '1', '45019', '0', '32877', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1245', 'Orc Archer', '1', '45019', '0', '32850', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1246', 'Orc Archer', '1', '45019', '0', '32821', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1247', 'Orc Archer', '1', '45019', '0', '32776', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1248', 'Orc Archer', '1', '45019', '0', '32822', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1249', 'Orc Archer', '1', '45019', '0', '32776', '32704', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1250', 'Orc Archer', '1', '45019', '0', '32650', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1251', 'Orc Archer', '1', '45019', '0', '32649', '33001', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1252', 'Orc Archer', '1', '45019', '0', '32635', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1253', 'Orc Archer', '1', '45019', '0', '32618', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1254', 'Orc Archer', '1', '45019', '0', '32573', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1255', 'Deer', '1', '45021', '0', '32747', '32735', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1256', 'Deer', '1', '45021', '0', '32912', '32837', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1257', 'Deer', '1', '45021', '0', '32898', '32813', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1258', 'Deer', '1', '45021', '0', '32865', '32788', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1259', 'Deer', '1', '45021', '0', '32949', '32870', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1260', 'Deer', '1', '45021', '0', '32971', '32866', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1261', 'Deer', '1', '45021', '0', '32947', '32942', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1262', 'Deer', '1', '45021', '0', '32958', '32968', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1263', 'Deer', '1', '45021', '0', '32646', '32784', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1264', 'Deer', '1', '45021', '0', '32685', '32797', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1265', 'Deer', '1', '45021', '0', '32709', '32818', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1266', 'Deer', '1', '45021', '0', '32723', '32815', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1267', 'Deer', '1', '45021', '0', '32683', '32827', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1268', 'Deer', '1', '45021', '0', '32659', '32841', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1269', 'Deer', '1', '45021', '0', '32646', '32830', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1270', 'Deer', '1', '45021', '0', '32644', '32817', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1271', 'Deer', '1', '45021', '0', '32659', '32800', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1272', 'Deer', '1', '45021', '0', '32710', '32861', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1273', 'Deer', '1', '45021', '0', '32701', '32871', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1274', 'Deer', '1', '45021', '0', '32685', '32876', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1275', 'Deer', '1', '45021', '0', '32662', '32867', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1276', 'Deer', '1', '45021', '0', '32642', '32846', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1277', 'Deer', '1', '45021', '0', '32629', '32845', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1278', 'Deer', '1', '45021', '0', '32615', '32840', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1279', 'Deer', '1', '45021', '0', '32581', '32836', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1280', 'Deer', '1', '45021', '0', '32566', '32808', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1281', 'Deer', '1', '45021', '0', '32557', '32815', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1282', 'Deer', '1', '45021', '0', '32547', '32803', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1283', 'Deer', '1', '45021', '0', '32553', '32788', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1284', 'Deer', '1', '45021', '0', '32585', '32757', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1285', 'Deer', '1', '45021', '0', '32561', '32764', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1286', 'Deer', '1', '45021', '0', '32564', '32749', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1287', 'Deer', '1', '45021', '0', '32576', '32734', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1288', 'Deer', '1', '45021', '0', '32592', '32690', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1289', 'Deer', '1', '45021', '0', '32582', '32679', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1290', 'Deer', '1', '45021', '0', '32570', '32654', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1291', 'Deer', '1', '45021', '0', '32610', '32641', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1292', 'Deer', '1', '45021', '0', '32634', '32635', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1293', 'Deer', '1', '45021', '0', '32665', '32631', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1294', 'Deer', '1', '45021', '0', '32658', '32665', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1295', 'Deer', '1', '45021', '0', '32656', '32701', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1296', 'Deer', '1', '45021', '0', '32643', '32708', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1297', 'Deer', '1', '45021', '0', '32661', '32728', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1298', 'Deer', '1', '45021', '0', '32688', '32755', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1299', 'Deer', '1', '45021', '0', '32674', '32769', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300', 'Deer', '1', '45021', '0', '32657', '32888', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1301', 'Deer', '1', '45021', '0', '32675', '32893', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1302', 'Deer', '1', '45021', '0', '32740', '32846', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1303', 'Deer', '1', '45021', '0', '32759', '32840', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1304', 'Deer', '1', '45021', '0', '32775', '32837', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1305', 'Deer', '1', '45021', '0', '32787', '32855', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1306', 'Deer', '1', '45021', '0', '32795', '32870', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1307', 'Deer', '1', '45021', '0', '32777', '32881', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1308', 'Deer', '1', '45021', '0', '32756', '32896', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1309', 'Deer', '1', '45021', '0', '32700', '32910', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1310', 'Deer', '1', '45021', '0', '32683', '32945', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1311', 'Deer', '1', '45021', '0', '32698', '32961', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1312', 'Deer', '1', '45021', '0', '32673', '32984', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1313', 'Deer', '1', '45021', '0', '32661', '32935', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1314', 'Deer', '1', '45021', '0', '32635', '32918', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1315', 'Deer', '1', '45021', '0', '32634', '32893', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1316', 'Deer', '1', '45021', '0', '32617', '32864', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1317', 'Deer', '1', '45021', '0', '32595', '32919', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1318', 'Deer', '1', '45021', '0', '32611', '32892', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1319', 'Deer', '1', '45021', '0', '32626', '32857', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1320', 'Deer', '1', '45021', '0', '32616', '32841', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1321', 'Deer', '1', '45021', '0', '32593', '32836', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1322', 'Deer', '1', '45021', '0', '32565', '32786', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1323', 'Deer', '1', '45021', '0', '32548', '32774', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1324', 'Deer', '1', '45021', '0', '32740', '32770', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1325', 'Deer', '1', '45021', '0', '33155', '33426', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1326', 'Deer', '1', '45021', '0', '33178', '33421', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1327', 'Deer', '1', '45021', '0', '33214', '33317', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1328', 'Deer', '1', '45021', '0', '33205', '33278', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1329', 'Deer', '1', '45021', '0', '33217', '33179', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1330', 'Deer', '1', '45021', '0', '33122', '33151', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1331', 'Deer', '1', '45021', '0', '33105', '33178', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1332', 'Deer', '1', '45021', '0', '33068', '33190', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1333', 'Deer', '1', '45021', '0', '33090', '33225', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1334', 'Deer', '1', '45021', '0', '33032', '33287', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1335', 'Deer', '1', '45021', '0', '33007', '33276', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1336', 'Deer', '1', '45021', '0', '33032', '33246', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1337', 'Deer', '1', '45021', '0', '33038', '33216', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1338', 'Deer', '1', '45021', '0', '33032', '33139', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1339', 'Deer', '1', '45021', '0', '33030', '33118', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1340', 'Deer', '1', '45021', '0', '32998', '33091', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1341', 'Deer', '1', '45021', '0', '32985', '33092', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1342', 'Deer', '1', '45021', '0', '32971', '33088', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1343', 'Deer', '1', '45021', '0', '32956', '33100', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1344', 'Deer', '1', '45021', '0', '32963', '33114', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1345', 'Deer', '1', '45021', '0', '32955', '33125', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1346', 'Deer', '1', '45021', '0', '32932', '33100', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1347', 'Deer', '1', '45021', '0', '32894', '33070', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1348', 'Deer', '1', '45021', '0', '32877', '33066', '0', '0', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1349', 'Deer', '1', '45021', '0', '32892', '33029', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1350', 'Deer', '1', '45021', '0', '32914', '33019', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1351', 'Deer', '1', '45021', '0', '32672', '32819', '3', '3', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1352', 'Deer', '1', '45021', '0', '32569', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1353', 'Deer', '1', '45021', '0', '32600', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1354', 'Deer', '1', '45021', '0', '33074', '33361', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1355', 'Deer', '1', '45021', '0', '33054', '33349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1356', 'Deer', '1', '45021', '0', '33073', '33325', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1357', 'Deer', '1', '45021', '0', '33072', '33303', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1358', 'Deer', '1', '45021', '0', '33066', '33278', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1359', 'Deer', '1', '45021', '0', '33092', '33274', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1360', 'Deer', '1', '45021', '0', '33111', '33277', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1361', 'Deer', '1', '45021', '0', '33140', '33292', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1362', 'Deer', '1', '45021', '0', '33150', '33312', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1363', 'Deer', '1', '45021', '0', '33192', '33316', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1364', 'Deer', '1', '45021', '0', '33169', '33410', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1365', 'Deer', '1', '45021', '0', '33189', '33445', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1366', 'Deer', '1', '45021', '0', '33197', '33450', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1367', 'Deer', '1', '45021', '0', '33215', '33443', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1368', 'Deer', '1', '45021', '0', '33232', '33457', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1369', 'Deer', '1', '45021', '0', '33255', '33459', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1370', 'Deer', '1', '45021', '0', '33265', '33476', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1371', 'Deer', '1', '45021', '0', '33291', '33456', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1372', 'Deer', '1', '45021', '0', '33268', '33438', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1373', 'Deer', '1', '45021', '0', '33061', '33427', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1374', 'Deer', '1', '45021', '0', '33073', '33458', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1375', 'Deer', '1', '45021', '0', '33021', '33473', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1376', 'Deer', '1', '45021', '0', '32996', '33491', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1377', 'Deer', '1', '45021', '0', '32951', '33457', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1378', 'Deer', '1', '45021', '0', '32946', '33416', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1379', 'Deer', '1', '45021', '0', '32925', '33393', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1380', 'Deer', '1', '45021', '0', '32956', '33373', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1381', 'Deer', '1', '45021', '0', '33024', '33345', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1382', 'Deer', '1', '45021', '0', '33045', '33326', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1383', 'Deer', '1', '45021', '0', '33090', '33322', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1384', 'Deer', '1', '45021', '0', '33129', '33344', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1385', 'Deer', '1', '45021', '0', '33152', '33351', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1386', 'Deer', '1', '45021', '0', '33189', '33406', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1387', 'Deer', '1', '45021', '0', '33186', '33459', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1388', 'Deer', '1', '45021', '0', '33176', '33469', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1389', 'Deer', '1', '45021', '0', '33208', '33480', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1390', 'Deer', '1', '45021', '0', '33230', '33368', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1391', 'Deer', '1', '45021', '0', '33193', '33239', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1392', 'Deer', '1', '45021', '0', '33177', '33146', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1393', 'Deer', '1', '45021', '0', '33154', '33169', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1394', 'Deer', '1', '45021', '0', '33151', '33186', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1395', 'Deer', '1', '45021', '0', '33103', '33214', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1396', 'Deer', '1', '45021', '0', '33089', '33239', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1397', 'Deer', '1', '45021', '0', '33681', '33183', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1398', 'Deer', '1', '45021', '0', '33699', '33189', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1399', 'Deer', '1', '45021', '0', '33689', '33218', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400', 'Deer', '1', '45021', '0', '33664', '33225', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1401', 'Deer', '1', '45021', '0', '33721', '33266', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1402', 'Deer', '1', '45021', '0', '33730', '33243', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1403', 'Deer', '1', '45021', '0', '33745', '33259', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1404', 'Deer', '1', '45021', '0', '33758', '33274', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1405', 'Deer', '1', '45021', '0', '33766', '33295', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1406', 'Deer', '1', '45021', '0', '33754', '33346', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1407', 'Deer', '1', '45021', '0', '33776', '33360', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1408', 'Deer', '1', '45021', '0', '33794', '33344', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1409', 'Deer', '1', '45021', '0', '33828', '33346', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1410', 'Deer', '1', '45021', '0', '33845', '33362', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1411', 'Deer', '1', '45021', '0', '33830', '33399', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1412', 'Deer', '1', '45021', '0', '33812', '33426', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1413', 'Deer', '1', '45021', '0', '33853', '33459', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1414', 'Deer', '1', '45021', '0', '33860', '33438', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1415', 'Deer', '1', '45021', '0', '33841', '33404', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1416', 'Deer', '1', '45021', '0', '33880', '33317', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1417', 'Deer', '1', '45021', '0', '33841', '33299', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1418', 'Deer', '1', '45021', '0', '33904', '33304', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1419', 'Deer', '1', '45021', '0', '33320', '32686', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1420', 'Deer', '1', '45021', '0', '33310', '32715', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1421', 'Deer', '1', '45021', '0', '33330', '32751', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1422', 'Deer', '1', '45021', '0', '33301', '32756', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1423', 'Deer', '1', '45021', '0', '33517', '32784', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1424', 'Deer', '1', '45021', '0', '33535', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1425', 'Deer', '1', '45021', '0', '32703', '32445', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1465', 'Deer', '1', '45021', '0', '32651', '33226', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1466', 'Deer', '1', '45021', '0', '32656', '33248', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1467', 'Deer', '1', '45021', '0', '32681', '33245', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1468', 'Deer', '1', '45021', '0', '32690', '33224', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1469', 'Deer', '1', '45021', '0', '32685', '33211', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1470', 'Deer', '1', '45021', '0', '32692', '33196', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1471', 'Deer', '1', '45021', '0', '32681', '33176', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1472', 'Deer', '1', '45021', '0', '32669', '33154', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1473', 'Deer', '1', '45021', '0', '32658', '33169', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1474', 'Deer', '1', '45021', '0', '32644', '33143', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1475', 'Deer', '1', '45021', '0', '32642', '33115', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1476', 'Deer', '1', '45021', '0', '32662', '33113', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1477', 'Deer', '1', '45021', '0', '32644', '33096', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1478', 'Deer', '1', '45021', '0', '32630', '33084', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1479', 'Deer', '1', '45021', '0', '32612', '33077', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1480', 'Deer', '1', '45021', '0', '32573', '33078', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1481', 'Deer', '1', '45021', '0', '32551', '33077', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1482', 'Deer', '1', '45021', '0', '32551', '33098', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1483', 'Deer', '1', '45021', '0', '32577', '33104', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1484', 'Deer', '1', '45021', '0', '32597', '33122', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1485', 'Deer', '1', '45021', '0', '32614', '33150', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1486', 'Deer', '1', '45021', '0', '33051', '33448', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1487', 'Deer', '1', '45021', '0', '33016', '33461', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1488', 'Deer', '1', '45021', '0', '32969', '33486', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1489', 'Deer', '1', '45021', '0', '32947', '33483', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1490', 'Deer', '1', '45021', '0', '32930', '33446', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1491', 'Deer', '1', '45021', '0', '32899', '33473', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1492', 'Deer', '1', '45021', '0', '32868', '33467', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1493', 'Deer', '1', '45021', '0', '32835', '33430', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1494', 'Deer', '1', '45021', '0', '32801', '33443', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1495', 'Deer', '1', '45021', '0', '32789', '33479', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1496', 'Deer', '1', '45021', '0', '32815', '33485', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1497', 'Deer', '1', '45021', '0', '32835', '33472', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1498', 'Deer', '1', '45021', '0', '32690', '32470', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1499', 'Deer', '1', '45021', '0', '32645', '32463', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1500', 'Deer', '1', '45021', '0', '32675', '32382', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1501', 'Deer', '1', '45021', '0', '32646', '32368', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1502', 'Deer', '1', '45021', '0', '32622', '32376', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1503', 'Deer', '1', '45021', '0', '32556', '32329', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1504', 'Deer', '1', '45021', '0', '32554', '32285', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1505', 'Deer', '1', '45021', '0', '32579', '32250', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1506', 'Deer', '1', '45021', '0', '32589', '32268', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1507', 'Deer', '1', '45021', '0', '32563', '32392', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1508', 'Deer', '1', '45021', '0', '32578', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1509', 'Deer', '1', '45021', '0', '32651', '32473', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1510', 'Deer', '1', '45021', '0', '32680', '32511', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1511', 'Deer', '1', '45021', '0', '32732', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1512', 'Deer', '1', '45021', '0', '32770', '32349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1513', 'Deer', '1', '45021', '0', '32772', '32328', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1514', 'Deer', '1', '45021', '0', '32819', '32348', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1515', 'Deer', '1', '45021', '0', '32851', '32378', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1516', 'Deer', '1', '45021', '0', '32855', '32406', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1517', 'Deer', '1', '45021', '0', '32789', '32442', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1518', 'Deer', '1', '45021', '0', '32779', '32451', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1519', 'Deer', '1', '45021', '0', '32782', '32481', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1520', 'Deer', '1', '45021', '0', '32836', '32454', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1521', 'Deer', '1', '45021', '0', '32814', '32506', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1522', 'Deer', '1', '45021', '0', '32699', '32509', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1523', 'Deer', '1', '45021', '0', '32707', '32347', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1524', 'Deer', '1', '45021', '0', '32745', '32293', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1525', 'Deer', '1', '45021', '0', '32724', '32267', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1526', 'Deer', '1', '45021', '0', '32610', '32310', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1527', 'Deer', '1', '45021', '0', '32622', '32322', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1528', 'Deer', '1', '45021', '0', '32618', '32349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1529', 'Deer', '1', '45021', '0', '32623', '32363', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1530', 'Deer', '1', '45021', '0', '32598', '32385', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1531', 'Deer', '1', '45021', '0', '32836', '32686', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1532', 'Deer', '1', '45021', '0', '32807', '32649', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1533', 'Deer', '1', '45021', '0', '32792', '32653', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1534', 'Deer', '1', '45021', '0', '32816', '32624', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1535', 'Deer', '1', '45021', '0', '32855', '32682', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1536', 'Deer', '1', '45021', '0', '32870', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1537', 'Deer', '1', '45021', '0', '32886', '32681', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1538', 'Deer', '1', '45021', '0', '32888', '32607', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1539', 'Deer', '1', '45021', '0', '32784', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1540', 'Deer', '1', '45021', '0', '32790', '32716', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1541', 'Deer', '1', '45021', '0', '32755', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1542', 'Deer', '1', '45021', '0', '32740', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1543', 'Deer', '1', '45021', '0', '32685', '32700', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1544', 'Deer', '1', '45021', '0', '32669', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1545', 'Deer', '1', '45021', '0', '32710', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1546', 'Deer', '1', '45021', '0', '32693', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1547', 'Deer', '1', '45021', '0', '32681', '32830', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1548', 'Deer', '1', '45021', '0', '32734', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1554', 'Deer', '1', '45021', '0', '32756', '32786', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1555', 'Deer', '1', '45021', '0', '32780', '32790', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1556', 'Deer', '1', '45021', '0', '32803', '32802', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1557', 'Deer', '1', '45021', '0', '32795', '32829', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1558', 'Deer', '1', '45021', '0', '32572', '32740', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1559', 'Deer', '1', '45021', '0', '32597', '32748', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1560', 'Deer', '1', '45021', '0', '32619', '32753', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1561', 'Deer', '1', '45021', '0', '32654', '32750', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1562', 'Deer', '1', '45021', '0', '32657', '32780', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1563', 'Deer', '1', '45021', '0', '32616', '32874', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1564', 'Deer', '1', '45021', '0', '32598', '32861', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1565', 'Deer', '1', '45022', '0', '32764', '32753', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1566', 'Deer', '1', '45022', '0', '32769', '32785', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1573', 'Wild Boar', '1', '45023', '0', '32721', '32645', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1574', 'Wild Boar', '1', '45023', '0', '32729', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1575', 'Wild Boar', '1', '45023', '0', '32736', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1576', 'Wild Boar', '1', '45023', '0', '32750', '32727', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1577', 'Wild Boar', '1', '45023', '0', '32773', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1578', 'Wild Boar', '1', '45023', '0', '32826', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1579', 'Wild Boar', '1', '45023', '0', '32845', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1580', 'Wild Boar', '1', '45023', '0', '32865', '32668', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1581', 'Wild Boar', '1', '45023', '0', '32875', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1582', 'Wild Boar', '1', '45023', '0', '32883', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1583', 'Wild Boar', '1', '45023', '0', '32890', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1584', 'Wild Boar', '1', '45023', '0', '32914', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1585', 'Wild Boar', '1', '45023', '0', '32935', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1586', 'Wild Boar', '1', '45023', '0', '32919', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1587', 'Wild Boar', '1', '45023', '0', '32645', '32819', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1588', 'Wild Boar', '1', '45023', '0', '32671', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1589', 'Wild Boar', '1', '45023', '0', '32664', '32797', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1590', 'Wild Boar', '1', '45023', '0', '32652', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1591', 'Wild Boar', '1', '45023', '0', '32635', '32764', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1592', 'Wild Boar', '1', '45023', '0', '32626', '32754', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1593', 'Wild Boar', '1', '45023', '0', '32601', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1594', 'Wild Boar', '1', '45023', '0', '32582', '32740', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1595', 'Wild Boar', '1', '45023', '0', '32562', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1596', 'Wild Boar', '1', '45023', '0', '32561', '32797', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1597', 'Wild Boar', '1', '45023', '0', '32554', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1598', 'Wild Boar', '1', '45023', '0', '32568', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1599', 'Wild Boar', '1', '45023', '0', '32585', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1600', 'Wild Boar', '1', '45023', '0', '32729', '32800', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1601', 'Wild Boar', '1', '45023', '0', '32746', '32797', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1602', 'Wild Boar', '1', '45023', '0', '32758', '32828', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1603', 'Wild Boar', '1', '45023', '0', '32746', '32846', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1604', 'Wild Boar', '1', '45023', '0', '32774', '32851', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1605', 'Wild Boar', '1', '45023', '0', '32792', '32854', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1606', 'Wild Boar', '1', '45023', '0', '32798', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1607', 'Wild Boar', '1', '45023', '0', '32773', '32879', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1608', 'Wild Boar', '1', '45023', '0', '32775', '32833', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1609', 'Wild Boar', '1', '45023', '0', '32795', '32821', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1610', 'Wild Boar', '1', '45023', '0', '32758', '32803', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1611', 'Wild Boar', '1', '45023', '0', '32739', '32770', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1612', 'Wild Boar', '1', '45023', '0', '32728', '32760', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1613', 'Wild Boar', '1', '45023', '0', '32743', '32745', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1614', 'Wild Boar', '1', '45023', '0', '32622', '32928', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1615', 'Wild Boar', '1', '45023', '0', '32631', '32944', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1616', 'Wild Boar', '1', '45023', '0', '32650', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1617', 'Wild Boar', '1', '45023', '0', '32662', '32927', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1618', 'Wild Boar', '1', '45023', '0', '33192', '33328', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1619', 'Wild Boar', '1', '45023', '0', '33192', '33342', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1620', 'Wild Boar', '1', '45023', '0', '33197', '33349', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1621', 'Wild Boar', '1', '45023', '0', '33206', '33361', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1622', 'Wild Boar', '1', '45023', '0', '33216', '33371', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1623', 'Wild Boar', '1', '45023', '0', '33193', '33392', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1624', 'Wild Boar', '1', '45023', '0', '33180', '33432', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1625', 'Werewolf', '1', '45024', '0', '33479', '32476', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1641', 'Werewolf', '1', '45024', '0', '33420', '32482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1642', 'Werewolf', '1', '45024', '0', '33418', '32468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1643', 'Werewolf', '1', '45024', '0', '33355', '32231', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1644', 'Werewolf', '1', '45024', '0', '33367', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1645', 'Werewolf', '1', '45024', '0', '33384', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1646', 'Werewolf', '1', '45024', '0', '33399', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1647', 'Werewolf', '1', '45024', '0', '33415', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1648', 'Werewolf', '1', '45024', '0', '33426', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1649', 'Werewolf', '1', '45024', '0', '33444', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1650', 'Werewolf', '1', '45024', '0', '33450', '32230', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1651', 'Werewolf', '1', '45024', '0', '33436', '32233', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1652', 'Werewolf', '1', '45024', '0', '33444', '32243', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1653', 'Werewolf', '1', '45024', '0', '33441', '32419', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1654', 'Werewolf', '1', '45024', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1655', 'Werewolf', '1', '45024', '0', '33476', '32424', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1656', 'Werewolf', '1', '45024', '0', '33491', '32418', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1657', 'Werewolf', '1', '45024', '0', '33472', '32440', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1658', 'Werewolf', '1', '45024', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1659', 'Werewolf', '1', '45024', '0', '33421', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1660', 'Werewolf', '1', '45024', '0', '33408', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1661', 'Werewolf', '1', '45024', '0', '33404', '32447', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1662', 'Werewolf', '1', '45024', '0', '33428', '32436', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1663', 'Werewolf', '1', '45024', '0', '33437', '32452', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1664', 'Werewolf', '1', '45024', '0', '33419', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1665', 'Werewolf', '1', '45024', '0', '33423', '32481', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1666', 'Werewolf', '1', '45024', '0', '33400', '32438', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1667', 'Werewolf', '1', '45024', '0', '33411', '32449', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1668', 'Werewolf', '1', '45024', '0', '33420', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1669', 'Werewolf', '1', '45024', '0', '33470', '32443', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1670', 'Werewolf', '1', '45024', '0', '33479', '32450', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1671', 'Werewolf', '1', '45024', '0', '33493', '32451', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1672', 'Werewolf', '1', '45024', '0', '33503', '32456', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1673', 'Werewolf', '1', '45024', '0', '33500', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1674', 'Werewolf', '1', '45024', '0', '33503', '32477', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1675', 'Werewolf', '1', '45024', '0', '33497', '32490', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1676', 'Werewolf', '1', '45024', '0', '33493', '32501', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1677', 'Werewolf', '1', '45024', '0', '33491', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1678', 'Werewolf', '1', '45024', '0', '33484', '32526', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1679', 'Werewolf', '1', '45024', '0', '33476', '32522', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1680', 'Werewolf', '1', '45024', '0', '33467', '32512', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1681', 'Werewolf', '1', '45024', '0', '33444', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1682', 'Werewolf', '1', '45024', '0', '33426', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1683', 'Werewolf', '1', '45024', '0', '33411', '32515', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1684', 'Werewolf', '1', '45024', '0', '33402', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1685', 'Werewolf', '1', '45024', '0', '33391', '32509', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1686', 'Werewolf', '1', '45024', '0', '33396', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1687', 'Werewolf', '1', '45024', '0', '33411', '32496', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1688', 'Werewolf', '1', '45024', '0', '33431', '32499', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1689', 'Werewolf', '1', '45024', '0', '33447', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1690', 'Werewolf', '1', '45024', '0', '33449', '32471', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1691', 'Werewolf', '1', '45024', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1692', 'Werewolf', '1', '45024', '0', '33468', '32465', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1693', 'Werewolf', '1', '45024', '0', '33483', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1694', 'Werewolf', '1', '45024', '0', '33484', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1700', 'Werewolf', '1', '45024', '0', '33247', '33020', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1701', 'Werewolf', '1', '45024', '0', '33284', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1702', 'Werewolf', '1', '45024', '0', '33383', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1703', 'Werewolf', '1', '45024', '0', '33431', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1704', 'Werewolf', '1', '45024', '0', '33460', '33062', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1705', 'Werewolf', '1', '45024', '0', '33459', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1706', 'Werewolf', '1', '45024', '0', '33473', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1707', 'Werewolf', '1', '45024', '0', '33489', '33069', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1708', 'Werewolf', '1', '45024', '0', '33485', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1709', 'Werewolf', '1', '45024', '0', '33479', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1710', 'Werewolf', '1', '45024', '0', '33505', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1711', 'Werewolf', '1', '45024', '0', '33484', '33031', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1712', 'Werewolf', '1', '45024', '0', '33512', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1713', 'Werewolf', '1', '45024', '0', '33532', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1714', 'Werewolf', '1', '45024', '0', '33539', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1715', 'Werewolf', '1', '45024', '0', '33544', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1716', 'Werewolf', '1', '45024', '0', '33570', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1717', 'Werewolf', '1', '45024', '0', '33579', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1718', 'Werewolf', '1', '45024', '0', '33594', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1719', 'Werewolf', '1', '45024', '0', '33575', '33040', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1720', 'Werewolf', '1', '45024', '0', '33572', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1721', 'Werewolf', '1', '45024', '0', '33617', '33037', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1722', 'Werewolf', '1', '45024', '0', '33644', '33058', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1723', 'Werewolf', '1', '45024', '0', '33660', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1724', 'Werewolf', '1', '45024', '0', '33670', '33036', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1725', 'Werewolf', '1', '45024', '0', '33670', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1726', 'Werewolf', '1', '45024', '0', '33661', '33006', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1727', 'Werewolf', '1', '45024', '0', '33636', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1728', 'Werewolf', '1', '45024', '0', '33638', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1729', 'Werewolf', '1', '45024', '0', '33645', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1730', 'Werewolf', '1', '45024', '0', '33674', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1731', 'Werewolf', '1', '45024', '0', '33688', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1732', 'Werewolf', '1', '45024', '0', '33691', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1733', 'Werewolf', '1', '45024', '0', '33687', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1734', 'Werewolf', '1', '45024', '0', '33704', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1735', 'Werewolf', '1', '45024', '0', '33662', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1736', 'Werewolf', '1', '45024', '0', '33710', '33011', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1737', 'Werewolf', '1', '45024', '0', '33747', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1738', 'Werewolf', '1', '45024', '0', '33809', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1739', 'Werewolf', '1', '45024', '0', '33871', '33018', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1740', 'Werewolf', '1', '45024', '0', '33843', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1741', 'Werewolf', '1', '45024', '0', '33805', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1742', 'Werewolf', '1', '45024', '0', '33771', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1743', 'Werewolf', '1', '45024', '0', '33779', '32972', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1744', 'Werewolf', '1', '45024', '0', '33724', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1745', 'Werewolf', '1', '45024', '0', '33677', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1746', 'Werewolf', '1', '45024', '0', '33726', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1747', 'Werewolf', '1', '45024', '0', '32921', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1748', 'Werewolf', '1', '45024', '0', '32930', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1749', 'Werewolf', '1', '45024', '0', '32945', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1750', 'Werewolf', '1', '45024', '0', '32965', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1751', 'Werewolf', '1', '45024', '0', '32979', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1752', 'Werewolf', '1', '45024', '0', '32973', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1753', 'Werewolf', '1', '45024', '0', '32974', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1754', 'Werewolf', '1', '45024', '0', '32988', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1755', 'Werewolf', '1', '45024', '0', '32976', '32685', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1756', 'Werewolf', '1', '45024', '0', '32975', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1757', 'Werewolf', '1', '45024', '0', '32953', '32670', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1758', 'Werewolf', '1', '45024', '0', '32951', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1759', 'Werewolf', '1', '45024', '0', '32944', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1760', 'Werewolf', '1', '45024', '0', '32933', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1761', 'Werewolf', '1', '45024', '0', '32948', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1762', 'Werewolf', '1', '45024', '0', '32953', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1763', 'Werewolf', '1', '45024', '0', '32972', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1764', 'Werewolf', '1', '45024', '0', '33220', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1765', 'Werewolf', '1', '45024', '0', '33176', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1766', 'Werewolf', '1', '45024', '0', '33151', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1767', 'Werewolf', '1', '45024', '0', '33105', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1768', 'Werewolf', '1', '45024', '0', '33091', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1769', 'Werewolf', '1', '45024', '0', '33061', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1770', 'Werewolf', '1', '45024', '0', '33070', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1771', 'Werewolf', '1', '45024', '0', '33108', '32684', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1772', 'Werewolf', '1', '45024', '0', '33178', '32615', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1773', 'Werewolf', '1', '45024', '0', '33166', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1774', 'Werewolf', '1', '45024', '0', '33146', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1775', 'Werewolf', '1', '45024', '0', '33111', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1776', 'Werewolf', '1', '45024', '0', '33088', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1777', 'Werewolf', '1', '45024', '0', '33075', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1778', 'Werewolf', '1', '45024', '0', '32952', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1779', 'Werewolf', '1', '45024', '0', '32985', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1780', 'Werewolf', '1', '45024', '0', '32966', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1781', 'Werewolf', '1', '45024', '0', '32974', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1782', 'Werewolf', '1', '45024', '0', '32985', '32878', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1783', 'Werewolf', '1', '45024', '0', '32986', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1784', 'Werewolf', '1', '45024', '0', '32979', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1785', 'Werewolf', '1', '45024', '0', '32982', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1786', 'Werewolf', '1', '45024', '0', '32977', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1787', 'Werewolf', '1', '45024', '0', '32982', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1788', 'Werewolf', '1', '45024', '0', '32971', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1789', 'Werewolf', '1', '45024', '0', '32971', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1790', 'Werewolf', '1', '45024', '0', '32958', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1791', 'Werewolf', '1', '45024', '0', '32948', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1792', 'Werewolf', '1', '45024', '0', '32950', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1793', 'Werewolf', '1', '45024', '0', '32956', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1794', 'Werewolf', '1', '45024', '0', '32956', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1795', 'Werewolf', '1', '45024', '0', '32950', '32889', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1796', 'Werewolf', '1', '45024', '0', '32952', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1797', 'Werewolf', '1', '45024', '0', '32947', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1798', 'Werewolf', '1', '45024', '0', '32953', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1799', 'Werewolf', '1', '45024', '0', '32960', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1800', 'Werewolf', '1', '45024', '0', '32961', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1801', 'Werewolf', '1', '45024', '0', '32962', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1802', 'Werewolf', '1', '45024', '0', '32934', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1803', 'Werewolf', '1', '45024', '0', '32951', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1812', 'Werewolf', '1', '45024', '0', '32925', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1813', 'Werewolf', '1', '45024', '0', '32914', '32840', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1814', 'Werewolf', '1', '45024', '0', '32927', '32815', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1815', 'Werewolf', '1', '45024', '0', '32912', '32779', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1846', 'Imp', '1', '45033', '0', '33277', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1847', 'Imp', '1', '45033', '0', '33413', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1848', 'Imp', '1', '45033', '0', '33438', '33085', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1849', 'Imp', '1', '45033', '0', '33482', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1850', 'Imp', '1', '45033', '0', '33474', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1851', 'Imp', '1', '45033', '0', '33499', '33035', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1852', 'Imp', '1', '45033', '0', '33528', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1853', 'Imp', '1', '45033', '0', '33554', '33082', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1854', 'Imp', '1', '45033', '0', '33592', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1855', 'Imp', '1', '45033', '0', '33600', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1856', 'Imp', '1', '45033', '0', '33650', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1857', 'Imp', '1', '45033', '0', '33671', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1858', 'Imp', '1', '45033', '0', '33649', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1859', 'Imp', '1', '45033', '0', '33665', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1860', 'Imp', '1', '45033', '0', '33701', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1861', 'Imp', '1', '45033', '0', '33675', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1862', 'Imp', '1', '45033', '0', '33686', '33004', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1863', 'Imp', '1', '45033', '0', '33733', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1864', 'Imp', '1', '45033', '0', '33760', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1865', 'Imp', '1', '45033', '0', '33819', '33008', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1866', 'Imp', '1', '45033', '0', '33845', '33018', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1867', 'Imp', '1', '45033', '0', '33878', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1868', 'Imp', '1', '45033', '0', '33777', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1869', 'Imp', '1', '45033', '0', '33711', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1870', 'Imp', '1', '45033', '0', '33670', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1871', 'Imp', '1', '45033', '0', '33687', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1872', 'Imp', '1', '45033', '0', '33727', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1873', 'Imp', '1', '45033', '0', '33470', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1874', 'Imp', '1', '45033', '0', '33497', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1875', 'Imp', '1', '45033', '0', '33485', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1876', 'Imp', '1', '45033', '0', '33459', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1877', 'Imp', '1', '45033', '0', '33432', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1878', 'Imp', '1', '45033', '0', '33437', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1879', 'Imp', '1', '45033', '0', '33427', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1880', 'Imp', '1', '45033', '0', '33401', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1881', 'Imp', '1', '45033', '0', '33387', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1882', 'Imp', '1', '45033', '0', '33372', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1883', 'Imp', '1', '45033', '0', '33363', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1884', 'Imp', '1', '45033', '0', '33369', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1885', 'Imp', '1', '45033', '0', '33378', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1886', 'Imp', '1', '45033', '0', '33396', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1887', 'Imp', '1', '45033', '0', '33423', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1888', 'Imp', '1', '45033', '0', '33489', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1889', 'Imp', '1', '45033', '0', '33521', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1890', 'Imp', '1', '45033', '0', '33536', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1891', 'Imp', '1', '45033', '0', '33561', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1892', 'Imp', '1', '45033', '0', '33584', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1893', 'Imp', '1', '45033', '0', '33604', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1894', 'Imp', '1', '45033', '0', '33602', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1895', 'Imp', '1', '45033', '0', '33548', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1896', 'Imp', '1', '45033', '0', '33514', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1897', 'Imp', '1', '45033', '0', '33503', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1898', 'Imp', '1', '45033', '0', '33504', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1899', 'Imp', '1', '45033', '0', '33489', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900', 'Imp', '1', '45033', '0', '33466', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1901', 'Imp', '1', '45033', '0', '33429', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1902', 'Imp', '1', '45033', '0', '33324', '32833', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1903', 'Imp', '1', '45033', '0', '33315', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1904', 'Imp', '1', '45033', '0', '33325', '32807', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1905', 'Imp', '1', '45033', '0', '33335', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1906', 'Imp', '1', '45033', '0', '33311', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1907', 'Imp', '1', '45033', '0', '33302', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1908', 'Imp', '1', '45033', '0', '33300', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1909', 'Imp', '1', '45033', '0', '33306', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1910', 'Imp', '1', '45033', '0', '33307', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1911', 'Imp', '1', '45033', '0', '33317', '32661', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1912', 'Imp', '1', '45033', '0', '33319', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1913', 'Imp', '1', '45033', '0', '33329', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1914', 'Imp', '1', '45033', '0', '33352', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1915', 'Imp', '1', '45033', '0', '33402', '32615', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1916', 'Imp', '1', '45033', '0', '33431', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1917', 'Imp', '1', '45033', '0', '33441', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1918', 'Imp', '1', '45033', '0', '33457', '32620', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1919', 'Imp', '1', '45033', '0', '33492', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1920', 'Imp', '1', '45033', '0', '33542', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1921', 'Imp', '1', '45033', '0', '33572', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1922', 'Imp', '1', '45033', '0', '33558', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1923', 'Imp', '1', '45033', '0', '33554', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1924', 'Imp', '1', '45033', '0', '33536', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1926', 'Shepherd', '1', '45034', '0', '33953', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1927', 'Shepherd', '1', '45034', '0', '33999', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1928', 'Shepherd', '1', '45034', '0', '34063', '32699', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1929', 'Shepherd', '1', '45034', '0', '34130', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1930', 'Shepherd', '1', '45034', '0', '34202', '32687', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1931', 'Shepherd', '1', '45034', '0', '34216', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1932', 'Shepherd', '1', '45034', '0', '34194', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1933', 'Shepherd', '1', '45034', '0', '34118', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1934', 'Shepherd', '1', '45034', '0', '34106', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1935', 'Shepherd', '1', '45034', '0', '33946', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1936', 'Shepherd', '1', '45034', '0', '33946', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1937', 'Shepherd', '1', '45034', '0', '33620', '33292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1938', 'Shepherd', '1', '45034', '0', '32586', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1939', 'Shepherd', '1', '45034', '0', '32567', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1940', 'Shepherd', '1', '45034', '0', '32593', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1941', 'Shepherd', '1', '45034', '0', '32634', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1942', 'Shepherd', '1', '45034', '0', '32563', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1943', 'Shepherd', '1', '45034', '0', '32640', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1944', 'Shepherd', '1', '45034', '0', '32657', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1945', 'Shepherd', '1', '45034', '0', '32672', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1946', 'Shepherd', '1', '45034', '0', '32695', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1947', 'Shepherd', '1', '45034', '0', '32701', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1948', 'Shepherd', '1', '45034', '0', '32659', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1965', 'Shepherd', '1', '45034', '0', '32678', '32729', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1966', 'Shepherd', '1', '45034', '0', '32685', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1967', 'Shepherd', '1', '45034', '0', '32714', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1968', 'Shepherd', '1', '45034', '0', '32725', '32722', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1969', 'Shepherd', '1', '45034', '0', '32754', '32721', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1970', 'Shepherd', '1', '45034', '0', '32864', '32724', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1971', 'Shepherd', '1', '45034', '0', '32862', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1972', 'Shepherd', '1', '45034', '0', '32838', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1973', 'Shepherd', '1', '45034', '0', '32805', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1974', 'Shepherd', '1', '45034', '0', '32787', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1975', 'Escaped Black Knight', '1', '45035', '0', '32670', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1976', 'Escaped Black Knight', '1', '45035', '0', '32647', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1977', 'Escaped Black Knight', '1', '45035', '0', '32643', '32964', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1978', 'Escaped Black Knight', '1', '45035', '0', '32622', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1979', 'Escaped Black Knight', '1', '45035', '0', '32603', '33001', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1980', 'Escaped Black Knight', '1', '45035', '0', '32545', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1981', 'Escaped Black Knight', '1', '45035', '0', '32557', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1982', 'Escaped Black Knight', '1', '45035', '0', '32560', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1983', 'Escaped Black Knight', '1', '45035', '0', '32541', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1984', 'Escaped Black Knight', '1', '45035', '0', '32535', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1985', 'Escaped Black Knight', '1', '45035', '0', '32547', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1986', 'Escaped Black Knight', '1', '45035', '0', '32568', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1987', 'Escaped Black Knight', '1', '45035', '0', '32610', '32899', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1988', 'Escaped Black Knight', '1', '45035', '0', '32610', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1989', 'Escaped Black Knight', '1', '45035', '0', '32598', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1990', 'Escaped Black Knight', '1', '45035', '0', '32580', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1991', 'Escaped Black Knight', '1', '45035', '0', '32554', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1992', 'Escaped Black Knight', '1', '45035', '0', '32540', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1993', 'Escaped Black Knight', '1', '45035', '0', '32558', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1994', 'Escaped Black Knight', '1', '45035', '0', '32566', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1995', 'Escaped Black Knight', '1', '45035', '0', '32788', '32881', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1996', 'Escaped Black Knight', '1', '45035', '0', '32786', '32860', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1997', 'Escaped Black Knight', '1', '45035', '0', '32801', '32863', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1998', 'Escaped Black Knight', '1', '45035', '0', '32781', '32846', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1999', 'Escaped Black Knight', '1', '45035', '0', '32759', '32844', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000', 'Escaped Black Knight', '1', '45035', '0', '32794', '32816', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2001', 'Escaped Black Knight', '1', '45035', '0', '32793', '32790', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2002', 'Valley Bear', '0', '45036', '0', '32739', '32848', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2003', 'Valley Bear', '2', '45036', '0', '32763', '32852', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2004', 'Valley Bear', '0', '45036', '0', '32766', '32915', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2005', 'Valley Bear', '2', '45036', '0', '32780', '32916', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2006', 'Valley Bear', '0', '45036', '0', '32732', '32917', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2007', 'Valley Bear', '2', '45036', '0', '32733', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2008', 'Valley Bear', '0', '45036', '0', '32752', '32958', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2009', 'Valley Lycanthrope', '2', '45037', '0', '32638', '32809', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2010', 'Valley Lycanthrope', '0', '45037', '0', '32638', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2011', 'Valley Lycanthrope', '2', '45037', '0', '32694', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2012', 'Valley Lycanthrope', '0', '45037', '0', '32691', '32772', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2013', 'Valley Lycanthrope', '2', '45037', '0', '32628', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2014', 'Valley Lycanthrope', '0', '45037', '0', '32674', '32800', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2015', 'Valley Lycanthrope', '2', '45037', '0', '32696', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2016', 'Valley Lycanthrope', '0', '45037', '0', '32724', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2017', 'Valley Lycanthrope', '2', '45037', '0', '32741', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2018', 'Valley Lycanthrope', '0', '45037', '0', '32760', '32795', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2019', 'Valley Lycanthrope', '2', '45037', '0', '32768', '32812', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2020', 'Valley Lycanthrope', '0', '45037', '0', '32572', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2021', 'Valley Lycanthrope', '2', '45037', '0', '32602', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2022', 'Valley Lycanthrope', '0', '45037', '0', '32631', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2023', 'Valley Lycanthrope', '2', '45037', '0', '32592', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2024', 'Valley Lycanthrope', '0', '45037', '0', '32582', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2025', 'Valley Lycanthrope', '2', '45037', '0', '32557', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2026', 'Valley Lycanthrope', '0', '45037', '0', '32537', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2027', 'Valley Lycanthrope', '2', '45037', '0', '32575', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2028', 'Valley Lycanthrope', '0', '45037', '0', '32557', '32907', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2029', 'Valley Lycanthrope', '2', '45037', '0', '32576', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2030', 'Valley Lycanthrope', '0', '45037', '0', '32545', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2031', 'Valley Lycanthrope', '2', '45037', '0', '32691', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2032', 'Valley Lycanthrope', '0', '45037', '0', '32693', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2033', 'Valley Lycanthrope', '2', '45037', '0', '32669', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2034', 'Valley Lycanthrope', '0', '45037', '0', '32727', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2035', 'Valley Lycanthrope', '2', '45037', '0', '32765', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2036', 'Valley Lycanthrope', '0', '45037', '0', '32777', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2037', 'Valley Lycanthrope', '2', '45037', '0', '32782', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2038', 'Valley Lycanthrope', '0', '45037', '0', '32793', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2039', 'Valley Lycanthrope', '2', '45037', '0', '32800', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2040', 'Valley Lycanthrope', '0', '45037', '0', '32813', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2041', 'Valley Lycanthrope', '2', '45037', '0', '32795', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2042', 'Valley Lycanthrope', '0', '45037', '0', '32787', '32921', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2043', 'Valley Lycanthrope', '2', '45037', '0', '32766', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2044', 'Valley Lycanthrope', '0', '45037', '0', '32748', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2045', 'Valley Lycanthrope', '2', '45037', '0', '32768', '32874', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2046', 'Valley Lycanthrope', '0', '45037', '0', '32780', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2047', 'Valley Lycanthrope', '2', '45037', '0', '32782', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2048', 'Valley Lycanthrope', '0', '45037', '0', '32772', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2049', 'Valley Lycanthrope', '2', '45037', '0', '32738', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2050', 'Valley Lycanthrope', '0', '45037', '0', '32796', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2051', 'Valley Lycanthrope', '2', '45037', '0', '32801', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2052', 'Valley Lycanthrope', '0', '45037', '0', '32800', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2053', 'Valley Lycanthrope', '2', '45037', '0', '32779', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2054', 'Valley Lycanthrope', '0', '45037', '0', '32770', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2055', 'Valley Lycanthrope', '2', '45037', '0', '32795', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2056', 'Valley Lycanthrope', '0', '45037', '0', '32806', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2057', 'Valley Lycanthrope', '2', '45037', '0', '32759', '32778', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2058', 'Valley Lycanthrope', '0', '45037', '0', '32750', '32748', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2059', 'Valley Lycanthrope', '2', '45037', '0', '32741', '32835', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2060', 'Valley Lycanthrope', '0', '45037', '0', '32754', '32843', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2061', 'Valley Arachnevil', '2', '45038', '0', '32608', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2062', 'Valley Arachnevil', '0', '45038', '0', '32626', '32779', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2063', 'Valley Arachnevil', '2', '45038', '0', '32679', '32771', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2064', 'Valley Arachnevil', '0', '45038', '0', '32677', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2065', 'Valley Arachnevil', '2', '45038', '0', '32641', '32785', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2066', 'Valley Arachnevil', '0', '45038', '0', '32663', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2067', 'Valley Arachnevil', '2', '45038', '0', '32634', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2068', 'Valley Arachnevil', '0', '45038', '0', '32647', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2069', 'Valley Arachnevil', '2', '45038', '0', '32685', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2070', 'Valley Arachnevil', '0', '45038', '0', '32576', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2071', 'Valley Arachnevil', '2', '45038', '0', '32653', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2072', 'Valley Arachnevil', '0', '45038', '0', '32675', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2073', 'Valley Arachnevil', '2', '45038', '0', '32680', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2074', 'Valley Arachnevil', '0', '45038', '0', '32694', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2075', 'Valley Arachnevil', '2', '45038', '0', '32709', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2076', 'Valley Arachnevil', '0', '45038', '0', '32740', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2077', 'Valley Arachnevil', '2', '45038', '0', '32750', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2078', 'Valley Arachnevil', '0', '45038', '0', '32765', '32900', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2079', 'Valley Arachnevil', '2', '45038', '0', '32779', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2080', 'Valley Arachnevil', '0', '45038', '0', '32798', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2081', 'Valley Arachnevil', '2', '45038', '0', '32801', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2082', 'Valley Arachnevil', '0', '45038', '0', '32769', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2083', 'Valley Arachnevil', '2', '45038', '0', '32786', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2084', 'Valley Arachnevil', '0', '45038', '0', '32766', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2085', 'Valley Arachnevil', '2', '45038', '0', '32766', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2086', 'Valley Arachnevil', '0', '45038', '0', '32743', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2087', 'Valley Arachnevil', '2', '45038', '0', '32706', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2088', 'Valley Arachnevil', '0', '45038', '0', '32644', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2089', 'Valley Arachnevil', '2', '45038', '0', '32612', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2090', 'Valley Arachnevil', '0', '45038', '0', '32538', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2091', 'Valley Arachnevil', '2', '45038', '0', '32536', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2092', 'Valley Arachnevil', '0', '45038', '0', '32551', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2093', 'Valley Arachnevil', '2', '45038', '0', '32585', '32889', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2094', 'Valley Arachnevil', '0', '45038', '0', '32808', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2095', 'Valley Arachnevil', '2', '45038', '0', '32803', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2096', 'Valley Arachnevil', '0', '45038', '0', '32781', '32899', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2097', 'Valley Arachnevil', '2', '45038', '0', '32763', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2098', 'Valley Arachnevil', '0', '45038', '0', '32801', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2099', 'Valley Arachnevil', '2', '45038', '0', '32795', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100', 'Valley Arachnevil', '0', '45038', '0', '32780', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2101', 'Valley Arachnevil', '2', '45038', '0', '32750', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2102', 'Valley Arachnevil', '0', '45038', '0', '32750', '32764', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2103', 'Valley Arachnevil', '2', '45038', '0', '32787', '32773', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2104', 'Valley Arachnevil', '0', '45038', '0', '32808', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2105', 'Valley Arachnevil', '2', '45038', '0', '32793', '32816', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2106', 'Valley Arachnevil', '0', '45038', '0', '32795', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2107', 'Valley Arachnevil', '2', '45038', '0', '32769', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2108', 'Valley Arachnevil', '0', '45038', '0', '32773', '32848', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2109', 'Valley Arachnevil', '2', '45038', '0', '32767', '32830', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2110', 'Valley Arachnevil', '0', '45038', '0', '32754', '32817', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2111', 'Valley Arachnevil', '2', '45038', '0', '32760', '32802', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2112', 'Valley Arachnevil', '0', '45038', '0', '32777', '32793', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2113', 'Valley Arachnevil', '2', '45038', '0', '32720', '32812', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2114', 'Valley Arachnevil', '0', '45038', '0', '32807', '32840', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2115', 'Valley Arachnevil', '2', '45038', '0', '32728', '32935', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2116', 'Cat', '2', '45039', '0', '33042', '33316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2117', 'Bear', '1', '45040', '0', '33940', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2118', 'Bear', '1', '45040', '0', '33966', '32664', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2119', 'Bear', '1', '45040', '0', '34004', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2120', 'Bear', '1', '45040', '0', '34046', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2121', 'Bear', '1', '45040', '0', '34097', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2122', 'Bear', '1', '45040', '0', '34161', '32702', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2123', 'Bear', '1', '45040', '0', '34218', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2124', 'Bear', '1', '45040', '0', '34163', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2125', 'Bear', '1', '45040', '0', '34049', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2126', 'Bear', '1', '45040', '0', '33983', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2127', 'Bear', '1', '45040', '0', '34069', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2128', 'Bear', '1', '45040', '0', '34094', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2129', 'Bear', '1', '45040', '0', '34127', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2130', 'Bear', '1', '45040', '0', '34107', '32972', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2131', 'Bear', '1', '45040', '0', '34117', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2132', 'Bear', '1', '45040', '0', '34146', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2133', 'Bear', '1', '45040', '0', '34180', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2134', 'Bear', '1', '45040', '0', '34189', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2135', 'Bear', '1', '45040', '0', '34223', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2136', 'Bear', '1', '45040', '0', '34219', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2137', 'Bear', '1', '45040', '0', '34197', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2138', 'Bear', '1', '45040', '0', '34247', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2139', 'Bear', '1', '45040', '0', '34235', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2140', 'Bear', '1', '45040', '0', '34161', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2141', 'Bear', '1', '45040', '0', '34086', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2142', 'Bear', '1', '45040', '0', '34119', '32858', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2143', 'Bear', '1', '45040', '0', '34197', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2144', 'Bear', '1', '45040', '0', '34245', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2145', 'Bear', '1', '45040', '0', '34226', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2146', 'Bear', '1', '45040', '0', '34190', '32821', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2147', 'Bear', '1', '45040', '0', '34111', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2148', 'Bear', '1', '45040', '0', '34062', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2149', 'Bear', '1', '45040', '0', '34055', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2150', 'Bear', '1', '45040', '0', '34132', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2151', 'Bear', '1', '45040', '0', '34175', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2152', 'Bear', '1', '45040', '0', '34270', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2153', 'Bear', '1', '45040', '0', '34246', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2154', 'Bear', '1', '45040', '0', '34138', '33016', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2155', 'Dwarf', '1', '45041', '0', '33862', '32395', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2156', 'Dwarf', '1', '45041', '0', '33870', '32403', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2157', 'Dwarf', '1', '45041', '0', '33878', '32408', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2158', 'Dwarf', '1', '45041', '0', '33874', '32414', '0', '0', '0', '0', '0', '0', '7', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2159', 'Dwarf', '1', '45041', '0', '33859', '32405', '0', '0', '0', '0', '0', '0', '5', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2160', 'Dwarf', '1', '45041', '0', '33861', '32415', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2161', 'Dwarf', '1', '45041', '0', '32922', '32791', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2162', 'Dwarf', '1', '45041', '0', '32912', '32804', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2163', 'Dwarf', '1', '45041', '0', '32907', '32825', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2164', 'Dwarf', '1', '45041', '0', '32892', '32836', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2165', 'Dwarf', '1', '45041', '0', '32892', '32839', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2166', 'Dwarf', '1', '45041', '0', '32919', '32847', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2167', 'Dwarf', '1', '45041', '0', '32932', '32838', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2168', 'Dwarf', '1', '45041', '0', '32955', '32859', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2169', 'Dwarf', '1', '45041', '0', '32964', '32866', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2170', 'Dwarf', '1', '45041', '0', '32960', '32845', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2171', 'Dwarf', '1', '45041', '0', '32945', '32815', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2172', 'Dwarf', '1', '45041', '0', '32952', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2173', 'Dwarf', '1', '45041', '0', '32967', '32769', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2174', 'Dwarf', '1', '45041', '0', '32974', '32768', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2175', 'Dwarf', '1', '45041', '0', '32962', '32756', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2176', 'Dwarf', '1', '45041', '0', '32948', '32744', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2177', 'Dwarf', '1', '45041', '0', '32921', '32758', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2178', 'Dwarf', '1', '45041', '0', '32910', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2179', 'Dwarf', '1', '45041', '0', '32895', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2180', 'Dwarf', '1', '45041', '0', '32891', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2181', 'Dwarf', '1', '45041', '0', '32880', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2182', 'Dwarf', '1', '45041', '0', '32875', '32779', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2183', 'Dwarf', '1', '45041', '0', '32867', '32790', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2184', 'Dwarf', '1', '45041', '0', '32875', '32811', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2185', 'Dwarf', '1', '45041', '0', '34018', '32289', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2186', 'Dwarf', '1', '45041', '0', '34007', '32279', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2187', 'Dwarf', '1', '45041', '0', '33994', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2188', 'Dwarf', '1', '45041', '0', '33980', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2189', 'Dwarf', '1', '45041', '0', '33979', '32258', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2190', 'Dwarf', '1', '45041', '0', '33959', '32254', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2191', 'Dwarf', '1', '45041', '0', '33969', '32257', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2192', 'Dwarf', '1', '45041', '0', '33978', '32230', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2193', 'Dwarf', '1', '45041', '0', '33958', '32236', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2194', 'Dwarf', '1', '45041', '0', '33940', '32241', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2195', 'Dwarf', '1', '45041', '0', '33944', '32257', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2196', 'Dwarf', '1', '45041', '0', '33948', '32270', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2197', 'Dwarf', '1', '45041', '0', '33961', '32261', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2198', 'Dwarf', '1', '45041', '0', '33969', '32270', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2199', 'Dwarf', '1', '45041', '0', '33979', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2200', 'Dwarf', '1', '45041', '0', '33970', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2201', 'Dwarf', '1', '45041', '0', '33950', '32313', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2202', 'Dwarf', '1', '45041', '0', '33944', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2203', 'Dwarf', '1', '45041', '0', '33957', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2204', 'Dwarf', '1', '45041', '0', '33967', '32377', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2205', 'Dwarf', '1', '45041', '0', '33960', '32401', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2206', 'Dwarf', '1', '45041', '0', '33946', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2207', 'Dwarf', '1', '45041', '0', '33934', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2208', 'Dwarf', '1', '45041', '0', '33923', '32411', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2209', 'Dwarf', '1', '45041', '0', '33929', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2210', 'Dwarf', '1', '45041', '0', '33911', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2211', 'Dwarf', '1', '45041', '0', '33912', '32418', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2212', 'Dwarf', '1', '45041', '0', '33884', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2213', 'Dwarf', '1', '45041', '0', '33862', '32368', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2214', 'Dwarf', '1', '45041', '0', '33867', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2215', 'Dwarf', '1', '45041', '0', '33857', '32349', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2216', 'Dwarf', '1', '45041', '0', '33866', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2217', 'Dwarf', '1', '45041', '0', '33855', '32294', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2218', 'Dwarf', '1', '45041', '0', '33849', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2219', 'Dwarf', '1', '45041', '0', '33856', '32265', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2220', 'Dwarf', '1', '45041', '0', '33859', '32229', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2221', 'Dwarf', '1', '45041', '0', '33882', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2222', 'Dwarf', '1', '45041', '0', '33885', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2223', 'Dwarf', '1', '45041', '0', '33891', '32392', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2224', 'Dwarf', '1', '45041', '0', '33877', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2225', 'Dwarf', '1', '45041', '0', '33882', '32424', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2226', 'Dwarf', '1', '45041', '0', '33886', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2227', 'Dwarf', '1', '45041', '0', '33902', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2228', 'Dwarf', '1', '45041', '0', '33892', '32448', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2229', 'Dwarf', '1', '45041', '0', '33872', '32466', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2230', 'Dwarf', '1', '45041', '0', '33886', '32488', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2231', 'Dwarf', '1', '45041', '0', '33921', '32512', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2232', 'Dwarf', '1', '45041', '0', '33937', '32513', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2233', 'Dwarf', '1', '45041', '0', '33943', '32539', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2234', 'Dwarf', '1', '45041', '0', '33934', '32556', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2235', 'Dwarf', '1', '45041', '0', '33939', '32568', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2236', 'Dwarf', '1', '45041', '0', '33933', '32570', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2237', 'Dwarf', '1', '45041', '0', '33938', '32610', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2238', 'Dwarf', '1', '45041', '0', '33943', '32589', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2239', 'Dwarf', '1', '45041', '0', '33932', '32577', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2240', 'Dwarf', '1', '45041', '0', '33923', '32571', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2241', 'Dwarf', '1', '45041', '0', '33906', '32583', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2242', 'Dwarf', '1', '45041', '0', '33917', '32591', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2243', 'Dwarf', '1', '45041', '0', '33924', '32597', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2245', 'Dwarf', '1', '45041', '0', '33064', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2246', 'Dwarf', '1', '45041', '0', '33075', '33309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2247', 'Dwarf', '1', '45041', '0', '33065', '33124', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2248', 'Dwarf', '1', '45041', '0', '33883', '32234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2249', 'Dwarf', '1', '45041', '0', '33861', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2250', 'Dwarf', '1', '45041', '0', '33882', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2251', 'Dwarf', '1', '45041', '0', '33909', '32263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2252', 'Dwarf', '1', '45041', '0', '33916', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2253', 'Dwarf', '1', '45041', '0', '33882', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2254', 'Dwarf', '1', '45041', '0', '33871', '32316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2255', 'Dwarf', '1', '45041', '0', '33905', '32347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2256', 'Dwarf', '1', '45041', '0', '33916', '32351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2257', 'Dwarf', '1', '45041', '0', '33889', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2258', 'Dwarf', '1', '45041', '0', '33870', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2259', 'Dwarf', '1', '45041', '0', '33888', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2260', 'Dwarf', '1', '45041', '0', '33914', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2261', 'Dwarf', '1', '45041', '0', '33901', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2262', 'Dwarf', '1', '45041', '0', '33903', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2263', 'Dwarf', '1', '45041', '0', '33890', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2264', 'Dwarf', '1', '45041', '0', '33872', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2265', 'Dwarf', '1', '45041', '0', '33873', '32449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2266', 'Dwarf', '1', '45041', '0', '33895', '32467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2267', 'Dwarf', '1', '45041', '0', '33900', '32474', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2268', 'Dwarf', '1', '45041', '0', '33885', '32506', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2269', 'Dwarf', '1', '45041', '0', '33874', '32505', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2270', 'Dwarf', '1', '45041', '0', '33888', '32533', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2271', 'Dwarf', '1', '45041', '0', '33918', '32530', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2272', 'Dwarf', '1', '45041', '0', '33924', '32519', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2273', 'Dwarf', '1', '45041', '0', '33881', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2274', 'Dwarf', '1', '45041', '0', '33885', '32535', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2275', 'Dwarf', '1', '45041', '0', '33367', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2276', 'Dwarf', '1', '45041', '0', '33452', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2277', 'Dwarf', '1', '45041', '0', '33507', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2278', 'Dwarf', '1', '45041', '0', '33534', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2279', 'Dwarf', '1', '45041', '0', '33610', '33029', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2280', 'Dwarf', '1', '45041', '0', '33655', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2281', 'Dwarf', '1', '45041', '0', '33675', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2282', 'Dwarf', '1', '45041', '0', '33714', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2283', 'Dwarf', '1', '45041', '0', '33703', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2284', 'Dwarf', '1', '45041', '0', '33684', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2285', 'Dwarf', '1', '45041', '0', '33628', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2286', 'Dwarf', '1', '45041', '0', '33675', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2287', 'Dwarf', '1', '45041', '0', '33723', '33014', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2288', 'Dwarf', '1', '45041', '0', '33745', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2289', 'Dwarf', '1', '45041', '0', '33796', '32988', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2290', 'Dwarf', '1', '45041', '0', '33788', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2291', 'Dwarf', '1', '45041', '0', '33833', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2292', 'Dwarf', '1', '45041', '0', '33872', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2293', 'Dwarf', '1', '45041', '0', '33814', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2294', 'Dwarf', '1', '45041', '0', '33792', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2295', 'Dwarf', '1', '45041', '0', '33764', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2296', 'Dwarf', '1', '45041', '0', '33788', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2297', 'Dwarf', '1', '45041', '0', '33732', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2298', 'Dwarf', '1', '45041', '0', '33744', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2299', 'Dwarf', '1', '45041', '0', '33657', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300', 'Dwarf', '1', '45041', '0', '33710', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2301', 'Dwarf', '1', '45041', '0', '33751', '33035', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2302', 'Dwarf', '1', '45041', '0', '33489', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2303', 'Dwarf', '1', '45041', '0', '33446', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2304', 'Dwarf', '1', '45041', '0', '33413', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2305', 'Dwarf', '1', '45041', '0', '33365', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2306', 'Dwarf', '1', '45041', '0', '33412', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2307', 'Dwarf', '1', '45041', '0', '33448', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2308', 'Dwarf', '1', '45041', '0', '33504', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2309', 'Dwarf', '1', '45041', '0', '33550', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2310', 'Dwarf', '1', '45041', '0', '33567', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2311', 'Dwarf', '1', '45041', '0', '33332', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2312', 'Dwarf', '1', '45041', '0', '33303', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2313', 'Dwarf', '1', '45041', '0', '33388', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2314', 'Dwarf', '1', '45041', '0', '33468', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2315', 'Dwarf', '1', '45041', '0', '33555', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2316', 'Dwarf', '1', '45041', '0', '33557', '32664', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2317', 'Dwarf', '1', '45041', '0', '33507', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2318', 'Dwarf', '1', '45041', '0', '33048', '32608', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2319', 'Dwarf', '1', '45041', '0', '33093', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2320', 'Dwarf', '1', '45041', '0', '33113', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2321', 'Dwarf', '1', '45041', '0', '33148', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2322', 'Dwarf', '1', '45041', '0', '33131', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2323', 'Dwarf', '1', '45041', '0', '33094', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2324', 'Dwarf', '1', '45041', '0', '33075', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2325', 'Dwarf', '1', '45041', '0', '33119', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2326', 'Dwarf', '1', '45041', '0', '33136', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2327', 'Dwarf', '1', '45041', '0', '33178', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2328', 'Dwarf', '1', '45041', '0', '33199', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2329', 'Dwarf', '1', '45041', '0', '33191', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2330', 'Dwarf', '1', '45041', '0', '33222', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2331', 'Dwarf', '1', '45041', '0', '33216', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2332', 'Dwarf', '1', '45041', '0', '33203', '32594', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2333', 'Dwarf', '1', '45041', '0', '33171', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2334', 'Dwarf', '1', '45041', '0', '33156', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2335', 'Dwarf', '1', '45041', '0', '32893', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2336', 'Dwarf', '1', '45041', '0', '32888', '32815', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2337', 'Dwarf', '1', '45041', '0', '32901', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2338', 'Dwarf', '1', '45041', '0', '32920', '32833', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2339', 'Dwarf', '1', '45041', '0', '32935', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2340', 'Dwarf', '1', '45041', '0', '32945', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2341', 'Dwarf', '1', '45041', '0', '32947', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2342', 'Dwarf', '1', '45041', '0', '32945', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2343', 'Dwarf', '1', '45041', '0', '32926', '32799', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2344', 'Dwarf', '1', '45041', '0', '32917', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2345', 'Dwarf', '1', '45041', '0', '32906', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2346', 'Dwarf', '1', '45041', '0', '32901', '32778', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2347', 'Dwarf', '1', '45041', '0', '32895', '32757', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2348', 'Dwarf', '1', '45041', '0', '32907', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2349', 'Dwarf', '1', '45041', '0', '32928', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2350', 'Dwarf', '1', '45041', '0', '32938', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2351', 'Dwarf', '1', '45041', '0', '32950', '32764', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2352', 'Dwarf', '1', '45041', '0', '32967', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2353', 'Dwarf', '1', '45041', '0', '32970', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2354', 'Dwarf', '1', '45041', '0', '32957', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2355', 'Dwarf', '1', '45041', '0', '32945', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2356', 'Dwarf', '1', '45041', '0', '32957', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2385', 'Dwarf', '1', '45041', '0', '33117', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2386', 'Dwarf', '1', '45041', '0', '33112', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2387', 'Dwarf', '1', '45041', '0', '33100', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2388', 'Dwarf', '1', '45041', '0', '33078', '33228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2389', 'Dwarf', '1', '45041', '0', '33039', '33253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2390', 'Dwarf', '1', '45041', '0', '33186', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2391', 'Dwarf', '1', '45041', '0', '33095', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2392', 'Dwarf', '1', '45041', '0', '33076', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2393', 'Dwarf', '1', '45041', '0', '33121', '33272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2394', 'Dwarf', '1', '45041', '0', '33189', '33245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2395', 'Dwarf', '1', '45041', '0', '33210', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2396', 'Dwarf', '1', '45041', '0', '33154', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2397', 'Dwarf', '1', '45041', '0', '33156', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2398', 'Dwarf', '1', '45041', '0', '33135', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2399', 'Dwarf', '1', '45041', '0', '33105', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400', 'Dwarf', '1', '45041', '0', '33094', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2401', 'Dwarf', '1', '45041', '0', '33150', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2402', 'Dwarf', '1', '45041', '0', '33207', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2403', 'Dwarf', '1', '45041', '0', '33209', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2404', 'Dwarf', '1', '45041', '0', '33199', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2405', 'Dwarf', '1', '45041', '0', '33169', '33316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2406', 'Dwarf', '1', '45041', '0', '33206', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2407', 'Dwarf', '1', '45041', '0', '33182', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2408', 'Dwarf', '1', '45041', '0', '33174', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2409', 'Dwarf', '1', '45041', '0', '33130', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2410', 'Dwarf', '1', '45041', '0', '33140', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2411', 'Dwarf', '1', '45041', '0', '33080', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2412', 'Dwarf', '1', '45041', '0', '32729', '32655', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2413', 'Dwarf', '1', '45041', '0', '32735', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2414', 'Dwarf', '1', '45041', '0', '32699', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2415', 'Dwarf', '1', '45041', '0', '32672', '32664', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2416', 'Dwarf', '1', '45041', '0', '32681', '32680', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2417', 'Dwarf', '1', '45041', '0', '32695', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2418', 'Dwarf', '1', '45041', '0', '32680', '32732', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2419', 'Dwarf', '1', '45041', '0', '32729', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2420', 'Dwarf', '1', '45041', '0', '32710', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2421', 'Dwarf', '1', '45041', '0', '32770', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2422', 'Dwarf', '1', '45041', '0', '32799', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2423', 'Dwarf', '1', '45041', '0', '32748', '32790', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2424', 'Dwarf', '1', '45041', '0', '32734', '32771', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2425', 'Dwarf', '1', '45041', '0', '32740', '32751', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2426', 'Dwarf', '1', '45041', '0', '32747', '32730', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2427', 'Dwarf', '1', '45041', '0', '32763', '32751', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2428', 'Dwarf', '1', '45041', '0', '32748', '32819', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2429', 'Dwarf', '1', '45041', '0', '32704', '32793', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2430', 'Dwarf', '1', '45041', '0', '32684', '32764', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2431', 'Dwarf', '1', '45041', '0', '32699', '32755', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2432', 'Dwarf', '1', '45041', '0', '32661', '32810', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2433', 'Dwarf', '1', '45041', '0', '32647', '32801', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2434', 'Dwarf', '1', '45041', '0', '32648', '32795', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2435', 'Dwarf', '1', '45041', '0', '32581', '32901', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2436', 'Dwarf', '1', '45041', '0', '32590', '32908', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2437', 'Dwarf', '1', '45041', '0', '32619', '32909', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2438', 'Dwarf', '1', '45041', '0', '33159', '33314', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2439', 'Dwarf', '1', '45041', '0', '33181', '33301', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2440', 'Doberman', '1', '45042', '0', '32616', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2441', 'Doberman', '1', '45042', '0', '32600', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2442', 'Doberman', '1', '45042', '0', '32570', '33246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2443', 'Doberman', '1', '45042', '0', '32609', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2444', 'Doberman', '1', '45042', '0', '32584', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2445', 'Doberman', '1', '45042', '0', '32660', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2446', 'Doberman', '1', '45042', '0', '32672', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2447', 'Doberman', '1', '45042', '0', '32689', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2448', 'Doberman', '1', '45042', '0', '32645', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2463', 'Doberman', '1', '45042', '0', '32681', '32706', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2464', 'Doberman', '1', '45042', '0', '32683', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2465', 'Doberman', '1', '45042', '0', '32795', '32702', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2466', 'Doberman', '1', '45042', '0', '32851', '32700', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2467', 'Doberman', '1', '45042', '0', '32853', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2468', 'Doberman', '1', '45042', '0', '32754', '32722', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2469', 'Wolf', '1', '45043', '0', '33479', '32476', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2470', 'Wolf', '1', '45043', '0', '33420', '32482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2471', 'Wolf', '1', '45043', '0', '33441', '32419', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2472', 'Wolf', '1', '45043', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2473', 'Wolf', '1', '45043', '0', '33476', '32424', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2474', 'Wolf', '1', '45043', '0', '33491', '32418', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2475', 'Wolf', '1', '45043', '0', '33472', '32440', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2476', 'Wolf', '1', '45043', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2477', 'Wolf', '1', '45043', '0', '33421', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2478', 'Wolf', '1', '45043', '0', '33408', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2479', 'Wolf', '1', '45043', '0', '33404', '32447', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2480', 'Wolf', '1', '45043', '0', '33428', '32436', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2481', 'Wolf', '1', '45043', '0', '33437', '32452', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2482', 'Wolf', '1', '45043', '0', '33419', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2483', 'Wolf', '1', '45043', '0', '33423', '32481', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2484', 'Wolf', '1', '45043', '0', '33400', '32438', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2485', 'Wolf', '1', '45043', '0', '33411', '32449', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2486', 'Wolf', '1', '45043', '0', '33420', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2487', 'Wolf', '1', '45043', '0', '33470', '32443', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2488', 'Wolf', '1', '45043', '0', '33479', '32450', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2489', 'Wolf', '1', '45043', '0', '33493', '32451', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2490', 'Wolf', '1', '45043', '0', '33503', '32456', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2491', 'Wolf', '1', '45043', '0', '33500', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2492', 'Wolf', '1', '45043', '0', '33503', '32477', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2493', 'Wolf', '1', '45043', '0', '33497', '32490', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2494', 'Wolf', '1', '45043', '0', '33493', '32501', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2495', 'Wolf', '1', '45043', '0', '33491', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2496', 'Wolf', '1', '45043', '0', '33484', '32526', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2497', 'Wolf', '1', '45043', '0', '33476', '32522', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2498', 'Wolf', '1', '45043', '0', '33467', '32512', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2499', 'Wolf', '1', '45043', '0', '33444', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500', 'Wolf', '1', '45043', '0', '33426', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2501', 'Wolf', '1', '45043', '0', '33411', '32515', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2502', 'Wolf', '1', '45043', '0', '33402', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2503', 'Wolf', '1', '45043', '0', '33391', '32509', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2504', 'Wolf', '1', '45043', '0', '33396', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2505', 'Wolf', '1', '45043', '0', '33411', '32496', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2506', 'Wolf', '1', '45043', '0', '33431', '32499', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2507', 'Wolf', '1', '45043', '0', '33447', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2508', 'Wolf', '1', '45043', '0', '33449', '32471', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2509', 'Wolf', '1', '45043', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2510', 'Wolf', '1', '45043', '0', '33468', '32465', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2511', 'Wolf', '1', '45043', '0', '33483', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2512', 'Wolf', '1', '45043', '0', '33484', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2513', 'Wolf', '1', '45043', '0', '33261', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2514', 'Wolf', '1', '45043', '0', '33427', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2515', 'Wolf', '1', '45043', '0', '33472', '33045', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2516', 'Wolf', '1', '45043', '0', '33492', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2517', 'Wolf', '1', '45043', '0', '33538', '33036', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2518', 'Wolf', '1', '45043', '0', '33589', '33073', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2519', 'Wolf', '1', '45043', '0', '33638', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2520', 'Wolf', '1', '45043', '0', '33657', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2521', 'Wolf', '1', '45043', '0', '33639', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2522', 'Wolf', '1', '45043', '0', '33697', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2523', 'Wolf', '1', '45043', '0', '33677', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2524', 'Wolf', '1', '45043', '0', '33712', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2525', 'Wolf', '1', '45043', '0', '33694', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2526', 'Wolf', '1', '45043', '0', '33695', '33014', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2527', 'Wolf', '1', '45043', '0', '33737', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2528', 'Wolf', '1', '45043', '0', '33773', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2529', 'Wolf', '1', '45043', '0', '33856', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2530', 'Wolf', '1', '45043', '0', '33879', '33008', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2531', 'Wolf', '1', '45043', '0', '33852', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2532', 'Wolf', '1', '45043', '0', '33826', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2533', 'Wolf', '1', '45043', '0', '33756', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2534', 'Wolf', '1', '45043', '0', '33682', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2535', 'Wolf', '1', '45043', '0', '33743', '33027', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2536', 'Raccoon', '0', '45044', '0', '32504', '33149', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2537', 'Raccoon', '2', '45044', '0', '32478', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2538', 'Raccoon', '0', '45044', '0', '32416', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2539', 'Raccoon', '2', '45044', '0', '32334', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2540', 'Raccoon', '0', '45044', '0', '32352', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2541', 'Raccoon', '2', '45044', '0', '32367', '33099', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2542', 'Raccoon', '0', '45044', '0', '32365', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2543', 'Raccoon', '2', '45044', '0', '32397', '33000', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2544', 'Raccoon', '0', '45044', '0', '32376', '33045', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2546', 'Beagle', '1', '45046', '0', '32615', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2547', 'Beagle', '1', '45046', '0', '32580', '33261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2548', 'Beagle', '1', '45046', '0', '32566', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2549', 'Beagle', '1', '45046', '0', '32612', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2550', 'Beagle', '1', '45046', '0', '33267', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2551', 'Beagle', '1', '45046', '0', '32686', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2552', 'Beagle', '1', '45046', '0', '32634', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2553', 'Saint Bernard', '1', '45047', '0', '33966', '32353', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2554', 'Saint Bernard', '1', '45047', '0', '33946', '32321', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2555', 'Saint Bernard', '1', '45047', '0', '33915', '32327', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2556', 'Saint Bernard', '1', '45047', '0', '33937', '32344', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2557', 'Saint Bernard', '1', '45047', '0', '33965', '32320', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2558', 'Saint Bernard', '1', '45047', '0', '33980', '32299', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2559', 'Saint Bernard', '1', '45047', '0', '34008', '32283', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2560', 'Saint Bernard', '1', '45047', '0', '34025', '32305', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2561', 'Saint Bernard', '1', '45047', '0', '34045', '32333', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2562', 'Saint Bernard', '1', '45047', '0', '34067', '32350', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2563', 'Saint Bernard', '1', '45047', '0', '34044', '32358', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2564', 'Fox', '1', '45048', '0', '33972', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2565', 'Fox', '1', '45048', '0', '34059', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2566', 'Fox', '1', '45048', '0', '34188', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2567', 'Fox', '1', '45048', '0', '34208', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2568', 'Fox', '1', '45048', '0', '34082', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2569', 'Fox', '1', '45048', '0', '33944', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2570', 'Fox', '1', '45048', '0', '33961', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2571', 'Fatigued Ratman', '2', '45052', '0', '32606', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2572', 'Fatigued Ratman', '0', '45052', '0', '32562', '32731', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2573', 'Fatigued Ratman', '2', '45052', '0', '32568', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2574', 'Fatigued Ratman', '0', '45052', '0', '32554', '32810', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2575', 'Fatigued Ratman', '2', '45052', '0', '32549', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2576', 'Fatigued Ratman', '0', '45052', '0', '32624', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2577', 'Fatigued Ratman', '2', '45052', '0', '32618', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2578', 'Fatigued Ratman', '0', '45052', '0', '32619', '32807', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2579', 'Fatigued Ratman', '2', '45052', '0', '32608', '32796', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2580', 'Fatigued Ratman', '0', '45052', '0', '32624', '32786', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2581', 'Fatigued Ratman', '2', '45052', '0', '32602', '32760', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2582', 'Fatigued Ratman', '0', '45052', '0', '32587', '32757', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2583', 'Fatigued Ratman', '2', '45052', '0', '32568', '32752', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2584', 'Fatigued Ratman', '0', '45052', '0', '32582', '32738', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2585', 'Fatigued Ratman', '2', '45052', '0', '32670', '32792', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2586', 'Fatigued Ratman', '0', '45052', '0', '32684', '32786', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2587', 'Fatigued Ratman', '2', '45052', '0', '32664', '32765', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2588', 'Fatigued Ratman', '0', '45052', '0', '32653', '32766', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2589', 'Fatigued Ratman', '2', '45052', '0', '32629', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2590', 'Fatigued Ratman', '0', '45052', '0', '32619', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2591', 'Husky', '1', '45053', '0', '33947', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2592', 'Husky', '1', '45053', '0', '33959', '32656', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2593', 'Husky', '1', '45053', '0', '33987', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2594', 'Husky', '1', '45053', '0', '33996', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2595', 'Husky', '1', '45053', '0', '34012', '32703', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2596', 'Husky', '1', '45053', '0', '34019', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2597', 'Husky', '1', '45053', '0', '34031', '32694', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2598', 'Husky', '1', '45053', '0', '34040', '32703', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2599', 'Husky', '1', '45053', '0', '34068', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600', 'Husky', '1', '45053', '0', '34082', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2601', 'Husky', '1', '45053', '0', '34111', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2602', 'Husky', '1', '45053', '0', '34120', '32686', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2603', 'Husky', '1', '45053', '0', '34146', '32699', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2604', 'Husky', '1', '45053', '0', '34174', '32692', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2605', 'Husky', '1', '45053', '0', '34221', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2606', 'Husky', '1', '45053', '0', '34180', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2607', 'Husky', '1', '45053', '0', '34159', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2608', 'Husky', '1', '45053', '0', '34143', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2609', 'Husky', '1', '45053', '0', '34129', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2610', 'Husky', '1', '45053', '0', '34095', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2611', 'Husky', '1', '45053', '0', '34069', '32635', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2612', 'Husky', '1', '45053', '0', '34037', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2613', 'Husky', '1', '45053', '0', '34027', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2614', 'Husky', '1', '45053', '0', '34013', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2615', 'Husky', '1', '45053', '0', '34005', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2616', 'Husky', '1', '45053', '0', '33973', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2617', 'Valley Owlbear', '2', '45056', '0', '32572', '32821', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2618', 'Valley Owlbear', '0', '45056', '0', '32576', '32817', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2619', 'Valley Owlbear', '2', '45056', '0', '32583', '32816', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2620', 'Valley Owlbear', '0', '45056', '0', '32562', '32799', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2621', 'Valley Owlbear', '2', '45056', '0', '32549', '32790', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2622', 'Valley Owlbear', '0', '45056', '0', '32533', '32789', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2623', 'Valley Owlbear', '2', '45056', '0', '32561', '32749', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2624', 'Valley Owlbear', '0', '45056', '0', '32548', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2625', 'Valley Owlbear', '2', '45056', '0', '32544', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2626', 'Valley Owlbear', '0', '45056', '0', '32561', '32788', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2627', 'Valley Owlbear', '2', '45056', '0', '32571', '32772', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2628', 'Valley Owlbear', '0', '45056', '0', '32576', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2629', 'Valley Owlbear', '2', '45056', '0', '32592', '32780', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2630', 'Valley Owlbear', '0', '45056', '0', '32591', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2631', 'Valley Owlbear', '2', '45056', '0', '32595', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2632', 'Valley Owlbear', '0', '45056', '0', '32569', '32823', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2633', 'Valley Owlbear', '2', '45056', '0', '32568', '32844', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2634', 'Valley Owlbear', '0', '45056', '0', '32546', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2635', 'Valley Owlbear', '2', '45056', '0', '32541', '32832', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2636', 'Valley Owlbear', '0', '45056', '0', '32532', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2637', 'Valley Owlbear', '2', '45056', '0', '32559', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2638', 'Valley Owlbear', '0', '45056', '0', '32580', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2639', 'Valley Owlbear', '2', '45056', '0', '32590', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2640', 'Valley Owlbear', '0', '45056', '0', '32622', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2641', 'Valley Owlbear', '2', '45056', '0', '32652', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2642', 'Valley Owlbear', '0', '45056', '0', '32619', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2643', 'Valley Owlbear', '2', '45056', '0', '32594', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2644', 'Valley Owlbear', '0', '45056', '0', '32666', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2645', 'Valley Owlbear', '2', '45056', '0', '32703', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2646', 'Valley Owlbear', '0', '45056', '0', '32639', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2647', 'Valley Owlbear', '2', '45056', '0', '32601', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2648', 'Valley Owlbear', '0', '45056', '0', '32559', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2649', 'Valley Owlbear', '2', '45056', '0', '32610', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2650', 'Valley Owlbear', '0', '45056', '0', '32592', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2651', 'Valley Owlbear', '2', '45056', '0', '32766', '32782', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2652', 'Valley Owlbear', '0', '45056', '0', '32750', '32780', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2653', 'Valley Owlbear', '2', '45056', '0', '32731', '32782', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2654', 'Valley Owlbear', '0', '45056', '0', '32722', '32798', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2655', 'Valley Owlbear', '2', '45056', '0', '32779', '32879', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2656', 'Valley Owlbear', '0', '45056', '0', '32798', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2657', 'Valley Owlbear', '2', '45056', '0', '32764', '32899', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2658', 'Valley Owlbear', '0', '45056', '0', '32784', '32771', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2659', 'Valley Owlbear', '2', '45056', '0', '32777', '32795', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2660', 'Valley Owlbear', '0', '45056', '0', '32734', '32800', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2661', 'Valley Owlbear', '2', '45056', '0', '32707', '32762', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2662', 'Valley Owlbear', '0', '45056', '0', '32681', '32781', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2663', 'Valley Owlbear', '2', '45056', '0', '32626', '32839', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2664', 'Valley Owlbear', '0', '45056', '0', '32610', '32838', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2665', 'Valley Owlbear', '2', '45056', '0', '32582', '32860', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2666', 'Valley Owlbear', '0', '45056', '0', '32549', '32873', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2667', 'Valley Owlbear', '2', '45056', '0', '32560', '32906', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2668', 'Giant Spider', '1', '45059', '0', '32632', '32779', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2669', 'Giant Spider', '0', '45059', '0', '32739', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2670', 'Giant Spider', '0', '45059', '0', '32748', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2671', 'Giant Spider', '0', '45059', '0', '32731', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2672', 'Giant Spider', '0', '45059', '0', '32716', '32819', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2673', 'Slime', '1', '45060', '0', '33060', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2674', 'Slime', '1', '45060', '0', '33069', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2675', 'Slime', '1', '45060', '0', '33078', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2683', 'Rotting Skeleton Guard', '2', '45062', '0', '32856', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2684', 'Rotting Skeleton Guard', '1', '45062', '0', '32889', '32827', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2685', 'Rotting Skeleton Guard', '2', '45062', '0', '32941', '32798', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2686', 'Rotting Skeleton Guard', '1', '45062', '0', '32921', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2687', 'Rotting Skeleton Guard', '2', '45062', '0', '32902', '32842', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2688', 'Rotting Skeleton Guard', '1', '45062', '0', '32876', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2689', 'Rotting Skeleton Guard', '2', '45062', '0', '32829', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2690', 'Rotting Skeleton Guard', '1', '45062', '0', '32778', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2691', 'Rotting Skeleton Guard', '2', '45062', '0', '32683', '32655', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2692', 'Rotting Skeleton Guard', '1', '45062', '0', '32707', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2693', 'Rotting Skeleton Guard', '2', '45062', '0', '32723', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2694', 'Rotting Skeleton Guard', '1', '45062', '0', '32744', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2695', 'Rotting Skeleton Guard', '2', '45062', '0', '32727', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2696', 'Rotting Skeleton Guard', '1', '45062', '0', '32844', '32656', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2697', 'Rotting Skeleton Guard', '2', '45062', '0', '32832', '32666', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2698', 'Rotting Skeleton Guard', '1', '45062', '0', '32848', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2699', 'Rotting Skeleton Guard', '2', '45062', '0', '32834', '32653', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700', 'Rotting Skeleton Guard', '1', '45062', '0', '32831', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2701', 'Rotting Skeleton Guard', '2', '45062', '0', '32788', '32666', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2702', 'Rotting Skeleton Marksman', '1', '45063', '0', '32881', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2703', 'Rotting Skeleton Marksman', '2', '45063', '0', '32913', '32832', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2704', 'Rotting Skeleton Marksman', '1', '45063', '0', '32929', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2705', 'Rotting Skeleton Marksman', '2', '45063', '0', '32889', '32851', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2706', 'Rotting Skeleton Marksman', '1', '45063', '0', '32859', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2707', 'Rotting Skeleton Marksman', '2', '45063', '0', '32677', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2708', 'Rotting Skeleton Marksman', '1', '45063', '0', '32731', '32661', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2709', 'Rotting Skeleton Marksman', '2', '45063', '0', '32856', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2710', 'Rotting Skeleton Marksman', '1', '45063', '0', '32833', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2711', 'Rotting Skeleton Marksman', '2', '45063', '0', '32796', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2712', 'Rotting Skeleton Marksman', '1', '45063', '0', '32795', '32686', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2719', 'Zombie', '2', '45065', '0', '32765', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2720', 'Zombie', '0', '45065', '0', '32757', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2721', 'Zombie', '2', '45065', '0', '32797', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2722', 'Zombie', '0', '45065', '0', '32781', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2723', 'Zombie', '2', '45065', '0', '32785', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2724', 'Zombie', '0', '45065', '0', '32787', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2725', 'Zombie', '2', '45065', '0', '32808', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2726', 'Zombie', '0', '45065', '0', '32859', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2727', 'Zombie', '2', '45065', '0', '32823', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2728', 'Zombie', '0', '45065', '0', '32800', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2729', 'Zombie', '2', '45065', '0', '32783', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2730', 'Zombie', '0', '45065', '0', '32763', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2731', 'Zombie', '2', '45065', '0', '32763', '32854', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2732', 'Zombie', '0', '45065', '0', '32864', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2733', 'Zombie', '2', '45065', '0', '32866', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2734', 'Zombie', '0', '45065', '0', '32879', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2735', 'Zombie', '2', '45065', '0', '32914', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2736', 'Zombie', '0', '45065', '0', '32911', '32811', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2737', 'Zombie', '2', '45065', '0', '32918', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2738', 'Zombie', '0', '45065', '0', '32908', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2837', 'Zombie', '1', '45065', '0', '32862', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2838', 'Zombie', '1', '45065', '0', '32853', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2839', 'Zombie', '1', '45065', '0', '32864', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2840', 'Zombie', '1', '45065', '0', '32864', '32630', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2841', 'Zombie', '1', '45065', '0', '32866', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2842', 'Zombie', '1', '45065', '0', '32863', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2843', 'Zombie', '1', '45065', '0', '32860', '32635', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2844', 'Zombie', '1', '45065', '0', '32857', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2845', 'Zombie', '1', '45065', '0', '32857', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2846', 'Zombie', '1', '45065', '0', '32858', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2847', 'Zombie', '1', '45065', '0', '32811', '32746', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2848', 'Zombie', '1', '45065', '0', '32810', '32745', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2849', 'Zombie', '1', '45065', '0', '32811', '32742', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2850', 'Zombie', '1', '45065', '0', '32807', '32748', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2851', 'Zombie', '1', '45065', '0', '32808', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2852', 'Zombie', '1', '45065', '0', '32812', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2853', 'Zombie', '1', '45065', '0', '32815', '32750', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2854', 'Zombie', '1', '45065', '0', '32815', '32745', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2855', 'Zombie', '1', '45065', '0', '32841', '32739', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2856', 'Zombie', '1', '45065', '0', '32861', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2857', 'Zombie', '1', '45065', '0', '32798', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2858', 'Zombie', '1', '45065', '0', '32853', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2859', 'Zombie', '1', '45065', '0', '32851', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2860', 'Zombie', '1', '45065', '0', '32852', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2861', 'Zombie', '1', '45065', '0', '32856', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2862', 'Zombie', '1', '45065', '0', '32859', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2863', 'Zombie', '1', '45065', '0', '32855', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2864', 'Zombie', '1', '45065', '0', '32848', '32636', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2865', 'Zombie', '1', '45065', '0', '32821', '32652', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2866', 'Zombie', '1', '45065', '0', '32825', '32675', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2867', 'Zombie', '1', '45065', '0', '32848', '32676', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2868', 'Zombie', '1', '45065', '0', '32814', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2869', 'Zombie', '1', '45065', '0', '32788', '32682', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2870', 'Zombie', '1', '45065', '0', '32796', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2871', 'Zombie', '1', '45065', '0', '32790', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2872', 'Zombie', '1', '45065', '0', '32812', '32612', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2873', 'Zombie', '1', '45065', '0', '32839', '32605', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2874', 'Zombie', '1', '45065', '0', '32714', '32727', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2875', 'Zombie', '1', '45065', '0', '32718', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2876', 'Zombie', '1', '45065', '0', '32749', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2877', 'Zombie', '1', '45065', '0', '32759', '32711', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2878', 'Zombie', '1', '45065', '0', '32768', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2879', 'Zombie', '1', '45065', '0', '32699', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2880', 'Zombie', '1', '45065', '0', '32716', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2881', 'Zombie', '1', '45065', '0', '32721', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2882', 'Zombie', '1', '45065', '0', '32734', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2883', 'Zombie', '1', '45065', '0', '32730', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2884', 'Zombie', '1', '45065', '0', '32749', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2885', 'Zombie', '1', '45065', '0', '32742', '32653', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2886', 'Zombie', '1', '45065', '0', '32799', '32690', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2887', 'Zombie', '1', '45065', '0', '32834', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2888', 'Zombie', '1', '45065', '0', '32869', '32703', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2889', 'Zombie', '1', '45065', '0', '32878', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2890', 'Zombie', '1', '45065', '0', '32896', '32726', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2891', 'Zombie', '1', '45065', '0', '32906', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2892', 'Zombie', '1', '45065', '0', '32799', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2893', 'Zombie', '1', '45065', '0', '32777', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2894', 'Zombie', '1', '45065', '0', '32754', '32760', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2895', 'Zombie', '1', '45065', '0', '32731', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2896', 'Zombie', '1', '45065', '0', '32687', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2897', 'Zombie', '1', '45065', '0', '32716', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2898', 'Zombie', '1', '45065', '0', '32732', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2899', 'Zombie', '1', '45065', '0', '34033', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2900', 'Zombie', '1', '45065', '0', '34044', '32405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2901', 'Zombie', '1', '45065', '0', '34070', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2902', 'Zombie', '1', '45065', '0', '34101', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2903', 'Zombie', '1', '45065', '0', '34111', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2904', 'Zombie', '1', '45065', '0', '34144', '32447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2905', 'Zombie', '1', '45065', '0', '34089', '32517', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2906', 'Zombie', '1', '45065', '0', '34079', '32562', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2907', 'Zombie', '1', '45065', '0', '34016', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2908', 'Zombie', '1', '45065', '0', '34000', '32548', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2909', 'Zombie', '1', '45065', '0', '34004', '32480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2910', 'Zombie', '1', '45065', '0', '33988', '32433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2911', 'Zombie', '1', '45065', '0', '33997', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2912', 'Zombie', '1', '45065', '0', '34061', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2913', 'Zombie', '1', '45065', '0', '34092', '32501', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2914', 'Zombie', '1', '45065', '0', '34043', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2915', 'Zombie', '1', '45065', '0', '34017', '32476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2916', 'Zombie', '1', '45065', '0', '34073', '32554', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2917', 'Zombie', '1', '45065', '0', '34129', '32503', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2918', 'Zombie', '1', '45065', '0', '33979', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2919', 'Zombie', '1', '45065', '0', '33954', '32452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('2920', 'Zombie', '1', '45065', '0', '33956', '32488', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3006', 'Zombie', '1', '45065', '0', '32817', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3007', 'Zombie', '1', '45065', '0', '32781', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3008', 'Zombie', '1', '45065', '0', '32775', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3009', 'Zombie', '1', '45065', '0', '32794', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3010', 'Zombie', '1', '45065', '0', '32811', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3011', 'Zombie', '1', '45065', '0', '32834', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3012', 'Zombie', '1', '45065', '0', '32852', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3013', 'Zombie', '1', '45065', '0', '32876', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3014', 'Zombie', '1', '45065', '0', '32903', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3015', 'Zombie', '1', '45065', '0', '32903', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3016', 'Zombie', '1', '45065', '0', '32888', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3017', 'Zombie', '1', '45065', '0', '32871', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3018', 'Zombie', '1', '45065', '0', '32895', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3019', 'Zombie', '1', '45065', '0', '32901', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3020', 'Zombie', '1', '45065', '0', '32926', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3021', 'Zombie', '1', '45065', '0', '32924', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3061', 'Zombie', '1', '45065', '0', '32901', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3062', 'Zombie', '1', '45065', '0', '32847', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3063', 'Zombie', '1', '45065', '0', '32800', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3064', 'Zombie', '1', '45065', '0', '32753', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3065', 'Zombie', '1', '45065', '0', '32716', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3066', 'Zombie', '1', '45065', '0', '32676', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3067', 'Zombie', '1', '45065', '11', '32683', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3068', 'Zombie', '1', '45065', '0', '32685', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3069', 'Zombie', '1', '45065', '0', '32680', '32717', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3070', 'Zombie', '1', '45065', '0', '32725', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3071', 'Zombie', '1', '45065', '11', '32737', '32722', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3072', 'Zombie', '1', '45065', '0', '32698', '32716', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3086', 'Valley Harpy', '1', '45067', '0', '32611', '32900', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3087', 'Valley Harpy', '1', '45067', '0', '32598', '32903', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3088', 'Valley Harpy', '1', '45067', '0', '32563', '32896', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3089', 'Valley Harpy', '1', '45067', '0', '32546', '32903', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3090', 'Valley Harpy', '1', '45067', '0', '32545', '32925', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3091', 'Valley Harpy', '1', '45067', '0', '32558', '32939', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3092', 'Valley Harpy', '1', '45067', '0', '32563', '32931', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3093', 'Valley Harpy', '1', '45067', '0', '32585', '32933', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3094', 'Valley Harpy', '1', '45067', '0', '32576', '32838', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3095', 'Valley Harpy', '1', '45067', '0', '32572', '32817', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3096', 'Valley Harpy', '1', '45067', '0', '32568', '32735', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3097', 'Valley Harpy', '1', '45067', '0', '32604', '32776', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3098', 'Valley Harpy', '1', '45067', '0', '32627', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3099', 'Valley Harpy', '1', '45067', '0', '32616', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100', 'Valley Harpy', '1', '45067', '0', '32574', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3101', 'Valley Harpy', '1', '45067', '0', '32583', '32788', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3102', 'Valley Harpy', '1', '45067', '0', '32570', '32816', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3103', 'Valley Harpy', '1', '45067', '0', '32541', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3104', 'Valley Harpy', '1', '45067', '0', '32555', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3105', 'Valley Harpy', '1', '45067', '0', '32587', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3106', 'Valley Harpy', '1', '45067', '0', '32582', '32776', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3107', 'Valley Harpy', '1', '45067', '0', '32562', '32802', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3108', 'Valley Harpy', '1', '45067', '0', '32563', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3109', 'Valley Harpy', '1', '45067', '0', '32600', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3110', 'Valley Harpy', '1', '45067', '0', '32545', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3111', 'Valley Harpy', '1', '45067', '0', '32805', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3112', 'Valley Harpy', '1', '45067', '0', '32799', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3113', 'Valley Harpy', '1', '45067', '0', '32737', '32757', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3114', 'Valley Harpy', '1', '45067', '0', '32737', '32810', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3115', 'Valley Harpy', '1', '45067', '0', '32764', '32819', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3116', 'Valley Harpy', '1', '45067', '0', '32781', '32838', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3117', 'Valley Harpy', '1', '45067', '0', '32796', '32812', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3118', 'Valley Harpy', '1', '45067', '0', '32786', '32858', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3119', 'Valley Harpy', '1', '45067', '0', '32783', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3120', 'Valley Harpy', '1', '45067', '0', '32770', '32927', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3121', 'Valley Harpy', '1', '45067', '0', '32743', '32977', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3122', 'Valley Harpy', '1', '45067', '0', '32753', '32988', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3123', 'Valley Harpy', '1', '45067', '0', '32782', '32988', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3124', 'Valley Harpy', '1', '45067', '0', '32810', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3125', 'Valley Harpy', '1', '45067', '0', '32787', '32917', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3126', 'Valley Harpy', '1', '45067', '0', '32725', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3127', 'Valley Harpy', '1', '45067', '0', '32677', '32787', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3128', 'Valley Harpy', '1', '45067', '0', '32704', '32808', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3129', 'Valley Harpy', '1', '45067', '0', '32660', '32797', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3130', 'Valley Harpy', '1', '45067', '0', '32643', '32799', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3131', 'Valley Harpy', '1', '45067', '0', '32673', '32742', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3132', 'Valley Harpy', '1', '45067', '0', '32664', '32732', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3133', 'Valley Harpy', '1', '45067', '0', '32651', '32735', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3134', 'Valley Harpy', '1', '45067', '0', '32641', '32770', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3135', 'Valley Harpy', '1', '45067', '0', '32622', '32758', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3136', 'Valley Harpy', '1', '45067', '0', '32599', '32760', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3137', 'Valley Harpy', '1', '45067', '0', '32605', '32847', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3138', 'Valley Harpy', '1', '45067', '0', '32626', '32851', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3139', 'Valley Harpy', '1', '45067', '0', '32572', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3140', 'Valley Harpy', '1', '45067', '0', '32609', '32923', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3157', 'Floating Eye', '1', '45068', '0', '32761', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3158', 'Floating Eye', '1', '45068', '0', '32715', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3159', 'Floating Eye', '1', '45068', '0', '32584', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3160', 'Floating Eye', '1', '45068', '0', '32886', '33484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3161', 'Floating Eye', '1', '45068', '0', '32944', '33499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3162', 'Floating Eye', '1', '45068', '0', '32959', '33474', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3163', 'Floating Eye', '1', '45068', '0', '32936', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3164', 'Floating Eye', '1', '45068', '0', '32906', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3165', 'Floating Eye', '1', '45068', '0', '32879', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3166', 'Floating Eye', '1', '45068', '0', '32794', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3167', 'Floating Eye', '1', '45068', '0', '32711', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3168', 'Floating Eye', '1', '45068', '0', '32757', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3169', 'Floating Eye', '1', '45068', '0', '32816', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3170', 'Floating Eye', '1', '45068', '0', '32869', '33410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3171', 'Floating Eye', '1', '45068', '0', '32887', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3172', 'Floating Eye', '1', '45068', '0', '32913', '33495', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3173', 'Floating Eye', '1', '45068', '0', '32932', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3174', 'Floating Eye', '1', '45068', '0', '32845', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3175', 'Floating Eye', '1', '45068', '0', '32797', '33431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3176', 'Floating Eye', '1', '45068', '0', '32777', '33470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3177', 'Floating Eye', '1', '45068', '0', '32876', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3178', 'Floating Eye', '1', '45068', '0', '32933', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3188', 'Floating Eye', '1', '45068', '0', '33016', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3189', 'Floating Eye', '1', '45068', '0', '33030', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3190', 'Floating Eye', '1', '45068', '0', '32998', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3191', 'Floating Eye', '1', '45068', '0', '32981', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3192', 'Floating Eye', '1', '45068', '0', '32985', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3193', 'Floating Eye', '1', '45068', '0', '32935', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3194', 'Floating Eye', '1', '45068', '0', '32926', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3195', 'Floating Eye', '1', '45068', '0', '32890', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3196', 'Floating Eye', '1', '45068', '0', '32861', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3197', 'Floating Eye', '1', '45068', '0', '32853', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3198', 'Floating Eye', '1', '45068', '0', '32821', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3199', 'Starved Troll', '1', '45069', '0', '32579', '32741', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200', 'Starved Troll', '1', '45069', '0', '32581', '32733', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3201', 'Starved Troll', '1', '45069', '0', '32600', '32743', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3202', 'Starved Troll', '1', '45069', '0', '32618', '32742', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3203', 'Starved Troll', '1', '45069', '0', '32629', '32746', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3204', 'Starved Troll', '1', '45069', '0', '32636', '32750', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3205', 'Starved Troll', '1', '45069', '0', '32640', '32760', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3206', 'Starved Troll', '1', '45069', '0', '32620', '32779', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3207', 'Starved Troll', '1', '45069', '0', '32615', '32790', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3208', 'Starved Troll', '1', '45069', '0', '32623', '32812', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3209', 'Starved Troll', '1', '45069', '0', '32655', '32797', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3210', 'Starved Troll', '1', '45069', '0', '32728', '32760', '0', '0', '0', '0', '0', '0', '3', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3211', 'Starved Troll', '1', '45069', '0', '32740', '32754', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3212', 'Starved Troll', '1', '45069', '0', '32757', '32764', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3213', 'Starved Troll', '1', '45069', '0', '32763', '32749', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3214', 'Starved Troll', '1', '45069', '0', '32743', '32736', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3215', 'Starved Troll', '1', '45069', '0', '32752', '32736', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3216', 'Starved Troll', '1', '45069', '0', '32741', '32740', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3217', 'Starved Troll', '1', '45069', '0', '32775', '32771', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3218', 'Starved Troll', '1', '45069', '0', '32783', '32780', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3219', 'Starved Troll', '1', '45069', '0', '32781', '32790', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3220', 'Starved Troll', '1', '45069', '0', '32790', '32834', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3221', 'Starved Troll', '1', '45069', '0', '32798', '32823', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3222', 'Starved Troll', '1', '45069', '0', '32796', '32819', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3223', 'Starved Troll', '1', '45069', '0', '32795', '32811', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3224', 'Starved Troll', '0', '45069', '0', '32722', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3225', 'Starved Troll', '0', '45069', '0', '32731', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3226', 'Starved Troll', '0', '45069', '0', '32742', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3227', 'Starved Troll', '0', '45069', '0', '32744', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3228', 'Starved Troll', '0', '45069', '0', '32740', '32782', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3229', 'Starved Troll', '0', '45069', '0', '32736', '32779', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3230', 'Starved Troll', '0', '45069', '0', '32738', '32772', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3231', 'Starved Troll', '0', '45069', '0', '32746', '32776', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3232', 'Starved Troll', '0', '45069', '0', '32715', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3233', 'Starved Troll', '0', '45069', '0', '32717', '32747', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3234', 'Starved Troll', '0', '45069', '0', '32709', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3235', 'Starved Troll', '0', '45069', '0', '32693', '32757', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3236', 'Starved Troll', '0', '45069', '0', '32682', '32755', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3237', 'Starved Troll', '0', '45069', '0', '32660', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3238', 'Starved Troll', '0', '45069', '0', '32655', '32757', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3239', 'Starved Troll', '0', '45069', '0', '32652', '32768', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3240', 'Starved Troll', '0', '45069', '0', '32653', '32732', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3241', 'Starved Troll', '0', '45069', '0', '32642', '32731', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3242', 'Starved Troll', '0', '45069', '0', '32613', '32745', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3243', 'Starved Troll', '0', '45069', '0', '32618', '32727', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3244', 'Starved Troll', '0', '45069', '0', '32622', '32730', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3245', 'Starved Troll', '0', '45069', '0', '32611', '32784', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3246', 'Starved Troll', '0', '45069', '0', '32615', '32774', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3247', 'Starved Troll', '0', '45069', '0', '32600', '32787', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3248', 'Starved Troll', '0', '45069', '0', '32607', '32797', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3249', 'Starved Troll', '0', '45069', '0', '32624', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3250', 'Starved Troll', '0', '45069', '0', '32623', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3251', 'Starved Troll', '0', '45069', '0', '32639', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3252', 'Starved Troll', '0', '45069', '0', '32654', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3253', 'Starved Troll', '0', '45069', '0', '32659', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3254', 'Starved Troll', '0', '45069', '0', '32658', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3255', 'Starved Troll', '0', '45069', '0', '32657', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3256', 'Starved Troll', '0', '45069', '0', '32643', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3257', 'Starved Troll', '0', '45069', '0', '32633', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3258', 'Starved Troll', '0', '45069', '0', '32622', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3259', 'Starved Troll', '0', '45069', '0', '32621', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3260', 'Starved Troll', '0', '45069', '0', '32617', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3261', 'Starved Troll', '0', '45069', '0', '32611', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3262', 'Starved Troll', '0', '45069', '0', '32603', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3263', 'Starved Troll', '0', '45069', '0', '32607', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3264', 'Starved Troll', '0', '45069', '0', '32616', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3265', 'Starved Troll', '0', '45069', '0', '32614', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3266', 'Starved Troll', '0', '45069', '0', '32608', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3267', 'Starved Troll', '0', '45069', '0', '32611', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3268', 'Starved Troll', '0', '45069', '0', '32640', '32786', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3269', 'Starved Troll', '0', '45069', '0', '32654', '32766', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3270', 'Starved Troll', '0', '45069', '0', '32660', '32755', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3271', 'Starved Troll', '0', '45069', '0', '32654', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3272', 'Starved Troll', '0', '45069', '0', '32651', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3273', 'Starved Troll', '0', '45069', '0', '32651', '32742', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3274', 'Starved Troll', '0', '45069', '0', '32678', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3275', 'Starved Troll', '0', '45069', '0', '32713', '32734', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3276', 'Starved Troll', '0', '45069', '0', '32738', '32733', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3277', 'Starved Troll', '0', '45069', '0', '32736', '32734', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3278', 'Starved Troll', '0', '45026', '0', '32932', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3279', 'Starved Troll', '2', '45026', '0', '32937', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3280', 'Starved Troll', '0', '45026', '0', '32929', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3281', 'Starved Troll', '2', '45026', '0', '32911', '32602', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3282', 'Starved Troll', '0', '45026', '0', '32899', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3283', 'Starved Troll', '2', '45026', '0', '32880', '32615', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3284', 'Starved Troll', '0', '45026', '0', '32887', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3285', 'Starved Troll', '2', '45026', '0', '32900', '32630', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3286', 'Starved Troll', '0', '45026', '0', '32913', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3287', 'Starved Troll', '2', '45026', '0', '32922', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3288', 'Starved Troll', '1', '45069', '0', '32586', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3289', 'Starved Troll', '1', '45069', '0', '32566', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3290', 'Starved Troll', '1', '45069', '0', '32550', '32778', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3291', 'Starved Troll', '1', '45069', '0', '32537', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3292', 'Starved Troll', '1', '45069', '0', '32603', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3293', 'Giant Tarantula', '0', '45070', '0', '32739', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3294', 'Giant Tarantula', '0', '45070', '0', '32741', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3295', 'Giant Tarantula', '0', '45070', '0', '32738', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3296', 'Giant Tarantula', '0', '45070', '0', '32744', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3297', 'Giant Tarantula', '0', '45070', '0', '32739', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3298', 'Giant Tarantula', '0', '45070', '0', '32729', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3299', 'Giant Tarantula', '0', '45070', '0', '32722', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300', 'Giant Tarantula', '0', '45070', '0', '32712', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3301', 'Giant Tarantula', '0', '45070', '0', '32746', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3302', 'Giant Tarantula', '0', '45070', '0', '32742', '32785', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3303', 'Giant Tarantula', '0', '45070', '0', '32742', '32780', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3304', 'Giant Tarantula', '0', '45070', '0', '32741', '32768', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3305', 'Giant Tarantula', '0', '45070', '0', '32743', '32760', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3306', 'Giant Tarantula', '0', '45070', '0', '32720', '32764', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3307', 'Giant Tarantula', '0', '45070', '0', '32697', '32761', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3308', 'Giant Tarantula', '0', '45070', '0', '32664', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3309', 'Giant Tarantula', '0', '45070', '0', '32633', '32736', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3310', 'Giant Tarantula', '0', '45070', '0', '32627', '32746', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3311', 'Giant Tarantula', '0', '45070', '0', '32635', '32759', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3312', 'Giant Tarantula', '0', '45070', '0', '32612', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3313', 'Giant Tarantula', '0', '45070', '0', '32611', '32732', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3314', 'Giant Tarantula', '0', '45070', '0', '32618', '32789', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3315', 'Giant Tarantula', '0', '45070', '0', '32613', '32789', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3316', 'Giant Tarantula', '0', '45070', '0', '32613', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3317', 'Giant Tarantula', '0', '45070', '0', '32618', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3318', 'Giant Tarantula', '0', '45070', '0', '32637', '32817', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3319', 'Giant Tarantula', '0', '45070', '0', '32636', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3320', 'Giant Tarantula', '0', '45070', '0', '32630', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3321', 'Giant Tarantula', '0', '45070', '0', '32650', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3322', 'Giant Tarantula', '0', '45070', '0', '32604', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3323', 'Giant Tarantula', '0', '45070', '0', '32606', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3324', 'Giant Tarantula', '0', '45070', '0', '32614', '32784', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3325', 'Giant Tarantula', '0', '45070', '0', '32620', '32763', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3326', 'Giant Tarantula', '0', '45070', '0', '32731', '32737', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3327', 'Giant Tarantula', '0', '45070', '0', '32724', '32731', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3328', 'Giant Tarantula', '0', '45070', '0', '32678', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3329', 'Giant Tarantula', '0', '45070', '0', '32676', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3330', 'Giant Tarantula', '0', '45070', '0', '32677', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3331', 'Island Ghast', '1', '45071', '0', '32812', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3332', 'Island Ghast', '1', '45071', '0', '32817', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3333', 'Island Ghast', '1', '45071', '0', '32836', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3334', 'Island Ghast', '1', '45071', '0', '32880', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3335', 'Island Ghast', '1', '45071', '0', '32897', '32860', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3336', 'Island Ghast', '1', '45071', '0', '32930', '32831', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3337', 'Island Ghast', '1', '45071', '0', '32867', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3338', 'Rotting Skeleton Fighter', '1', '45073', '0', '32867', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3339', 'Rotting Skeleton Fighter', '2', '45073', '0', '32898', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3340', 'Rotting Skeleton Fighter', '1', '45073', '0', '32934', '32820', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3341', 'Rotting Skeleton Fighter', '2', '45073', '0', '32924', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3342', 'Rotting Skeleton Fighter', '1', '45073', '0', '32911', '32852', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3343', 'Rotting Skeleton Fighter', '2', '45073', '0', '32884', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3344', 'Rotting Skeleton Fighter', '1', '45073', '0', '32577', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3345', 'Rotting Skeleton Fighter', '2', '45073', '0', '32840', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3346', 'Rotting Skeleton Fighter', '1', '45073', '0', '32790', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3347', 'Rotting Skeleton Fighter', '2', '45073', '0', '32770', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3348', 'Rotting Skeleton Fighter', '1', '45073', '0', '32773', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3349', 'Rotting Skeleton Fighter', '2', '45073', '0', '32742', '32860', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3350', 'Rotting Skeleton Fighter', '1', '45073', '0', '32680', '32645', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3351', 'Rotting Skeleton Fighter', '2', '45073', '0', '32682', '32668', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3352', 'Rotting Skeleton Fighter', '1', '45073', '0', '32713', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3353', 'Rotting Skeleton Fighter', '2', '45073', '0', '32736', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3354', 'Rotting Skeleton Fighter', '1', '45073', '0', '32736', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3355', 'Rotting Skeleton Fighter', '2', '45073', '0', '32717', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3356', 'Rotting Skeleton Fighter', '1', '45073', '0', '32855', '32645', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3357', 'Rotting Skeleton Fighter', '2', '45073', '0', '32846', '32670', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3358', 'Rotting Skeleton Fighter', '1', '45073', '0', '32827', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3359', 'Rotting Skeleton Fighter', '2', '45073', '0', '32843', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3360', 'Rotting Skeleton Fighter', '1', '45073', '0', '32819', '32638', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3361', 'Rotting Skeleton Fighter', '2', '45073', '0', '32813', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3362', 'Rotting Skeleton Fighter', '1', '45073', '0', '32787', '32653', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3363', 'Rotting Skeleton Fighter', '2', '45073', '0', '32787', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3364', 'Rotting Skeleton Fighter', '1', '45073', '0', '32797', '32704', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3377', 'Valley Ogre', '1', '45078', '0', '32763', '32946', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3378', 'Valley Ogre', '1', '45078', '0', '32777', '32952', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3379', 'Valley Ogre', '1', '45078', '0', '32786', '32942', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3380', 'Valley Ogre', '1', '45078', '0', '32802', '32946', '0', '0', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3381', 'Valley Ogre', '1', '45078', '0', '32802', '32966', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3382', 'Valley Ogre', '1', '45078', '0', '32790', '32989', '0', '0', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3383', 'Valley Ogre', '1', '45078', '0', '32753', '32981', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3384', 'Valley Ogre', '1', '45078', '0', '32721', '32956', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3385', 'Valley Ogre', '1', '45078', '0', '32694', '32961', '0', '0', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3386', 'Valley Ogre', '1', '45078', '0', '32674', '32957', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3387', 'Valley Ogre', '1', '45078', '0', '32674', '32943', '0', '0', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3388', 'Valley Ogre', '1', '45078', '0', '32652', '32948', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3389', 'Valley Ogre', '1', '45078', '0', '32625', '32929', '0', '0', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3390', 'Valley Ogre', '1', '45078', '0', '32582', '32906', '0', '0', '0', '0', '0', '0', '7', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3391', 'Valley Ogre', '1', '45078', '0', '32559', '32813', '0', '0', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3392', 'Valley Ogre', '1', '45078', '0', '32532', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3393', 'Valley Ogre', '1', '45078', '0', '32532', '32830', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3394', 'Valley Ogre', '1', '45078', '0', '32565', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3395', 'Valley Ogre', '1', '45078', '0', '32570', '32791', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3396', 'Valley Ogre', '1', '45078', '0', '32601', '32780', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3397', 'Valley Ogre', '1', '45078', '0', '32533', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3398', 'Valley Ogre', '1', '45078', '0', '32576', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3399', 'Valley Ogre', '1', '45078', '0', '32581', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3400', 'Valley Ogre', '1', '45078', '0', '32601', '32744', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3401', 'Valley Ogre', '1', '45078', '0', '32789', '32801', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3402', 'Valley Ogre', '1', '45078', '0', '32802', '32823', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3403', 'Valley Ogre', '1', '45078', '0', '32806', '32850', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3404', 'Valley Ogre', '1', '45078', '0', '32782', '32931', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3405', 'Valley Ogre', '1', '45078', '0', '32797', '32914', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3406', 'Valley Ogre', '1', '45078', '0', '32805', '32935', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3407', 'Valley Ogre', '1', '45078', '0', '32802', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3408', 'Valley Ogre', '1', '45078', '0', '32793', '32977', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3409', 'Valley Ogre', '1', '45078', '0', '32769', '32966', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3410', 'Valley Ogre', '1', '45078', '0', '32753', '32957', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3411', 'Valley Ogre', '1', '45078', '0', '32767', '32986', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3412', 'Valley Ogre', '1', '45078', '0', '32586', '32756', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3413', 'Valley Ogre', '1', '45078', '0', '32582', '32798', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3414', 'Valley Ogre', '1', '45078', '0', '32599', '32828', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3415', 'Valley Ogre', '1', '45078', '0', '32620', '32847', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3416', 'Valley Ogre', '1', '45078', '0', '32620', '32871', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3417', 'Gnoll', '1', '45079', '0', '32992', '33478', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3418', 'Gnoll', '1', '45079', '0', '33020', '33437', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3419', 'Gnoll', '1', '45079', '0', '33029', '33426', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3420', 'Gnoll', '1', '45079', '0', '33018', '33414', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3422', 'Gnoll', '1', '45079', '0', '33074', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3423', 'Gnoll', '1', '45079', '0', '33068', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3424', 'Gnoll', '1', '45079', '0', '33057', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3425', 'Gnoll', '1', '45079', '0', '33865', '32231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3426', 'Gnoll', '1', '45079', '0', '33855', '32263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3427', 'Gnoll', '1', '45079', '0', '33871', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3428', 'Gnoll', '1', '45079', '0', '33905', '32251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3429', 'Gnoll', '1', '45079', '0', '33922', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3430', 'Gnoll', '1', '45079', '0', '33895', '32323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3431', 'Gnoll', '1', '45079', '0', '33903', '32339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3432', 'Gnoll', '1', '45079', '0', '33913', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3433', 'Gnoll', '1', '45079', '0', '33873', '32357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3434', 'Gnoll', '1', '45079', '0', '33883', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3435', 'Gnoll', '1', '45079', '0', '33906', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3436', 'Gnoll', '1', '45079', '0', '33882', '32434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3437', 'Gnoll', '1', '45079', '0', '33863', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3438', 'Gnoll', '1', '45079', '0', '33890', '32460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3439', 'Gnoll', '1', '45079', '0', '33899', '32490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3440', 'Gnoll', '1', '45079', '0', '33897', '32502', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3441', 'Gnoll', '1', '45079', '0', '33871', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3442', 'Gnoll', '1', '45079', '0', '33900', '32540', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3443', 'Gnoll', '1', '45079', '0', '33910', '32535', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3444', 'Gnoll', '1', '45079', '0', '33892', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3445', 'Gnoll', '1', '45079', '0', '33887', '32577', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3446', 'Gnoll', '1', '45079', '0', '32871', '32546', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3447', 'Gnoll', '1', '45079', '0', '33868', '32487', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3448', 'Gnoll', '1', '45079', '0', '33885', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3449', 'Gnoll', '1', '45079', '0', '33862', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3450', 'Gnoll', '1', '45079', '0', '34075', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3451', 'Gnoll', '1', '45079', '0', '34078', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3452', 'Gnoll', '1', '45079', '0', '34087', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3453', 'Gnoll', '1', '45079', '0', '34091', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3454', 'Gnoll', '1', '45079', '0', '34104', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3455', 'Gnoll', '1', '45079', '0', '34116', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3456', 'Gnoll', '1', '45079', '0', '34118', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3457', 'Gnoll', '1', '45079', '0', '34102', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3458', 'Gnoll', '1', '45079', '0', '34132', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3459', 'Gnoll', '1', '45079', '0', '34156', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3460', 'Gnoll', '1', '45079', '0', '34168', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3461', 'Gnoll', '1', '45079', '0', '34177', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3462', 'Gnoll', '1', '45079', '0', '34206', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3463', 'Gnoll', '1', '45079', '0', '34223', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3464', 'Gnoll', '1', '45079', '0', '34240', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3465', 'Gnoll', '1', '45079', '0', '34251', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3466', 'Gnoll', '1', '45079', '0', '34245', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3467', 'Gnoll', '1', '45079', '0', '34229', '32964', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3468', 'Gnoll', '1', '45079', '0', '34217', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3469', 'Gnoll', '1', '45079', '0', '34212', '32923', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3470', 'Gnoll', '1', '45079', '0', '34195', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3471', 'Gnoll', '1', '45079', '0', '34206', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3472', 'Gnoll', '1', '45079', '0', '34223', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3473', 'Gnoll', '1', '45079', '0', '34260', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3474', 'Gnoll', '1', '45079', '0', '34269', '32858', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3475', 'Gnoll', '1', '45079', '0', '34266', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3476', 'Gnoll', '1', '45079', '0', '34169', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3477', 'Gnoll', '1', '45079', '0', '34141', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3478', 'Gnoll', '1', '45079', '0', '34129', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3479', 'Gnoll', '1', '45079', '0', '34040', '32939', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3480', 'Gnoll', '1', '45079', '0', '34100', '32888', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3481', 'Gnoll', '1', '45079', '0', '34121', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3482', 'Gnoll', '1', '45079', '0', '34128', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3483', 'Gnoll', '1', '45079', '0', '34159', '32827', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3484', 'Gnoll', '1', '45079', '0', '34215', '32803', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3485', 'Gnoll', '1', '45079', '0', '34241', '32796', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3486', 'Gnoll', '1', '45079', '0', '34214', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3487', 'Gnoll', '1', '45079', '0', '34202', '32798', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3488', 'Gnoll', '1', '45079', '0', '34199', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3489', 'Gnoll', '1', '45079', '0', '34176', '32816', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3490', 'Gnoll', '1', '45079', '0', '34169', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3491', 'Gnoll', '1', '45079', '0', '34145', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3492', 'Gnoll', '1', '45079', '0', '34098', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3493', 'Gnoll', '1', '45079', '0', '34035', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3494', 'Gnoll', '1', '45079', '0', '34015', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3495', 'Gnoll', '1', '45079', '0', '34116', '32931', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3496', 'Gnoll', '1', '45079', '0', '34153', '32921', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3497', 'Gnoll', '1', '45079', '0', '34152', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3498', 'Gnoll', '1', '45079', '0', '34209', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3499', 'Gnoll', '1', '45079', '0', '34223', '32840', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500', 'Gnoll', '1', '45079', '0', '34267', '32797', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3501', 'Gnoll', '1', '45079', '0', '34241', '32828', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3502', 'Gnoll', '1', '45079', '0', '34257', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3503', 'Gnoll', '1', '45079', '0', '34235', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3504', 'Gnoll', '1', '45079', '0', '34148', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3505', 'Gnoll', '1', '45079', '0', '34105', '33023', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3506', 'Gnoll', '1', '45079', '0', '34079', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3507', 'Gnoll', '1', '45079', '0', '34091', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3508', 'Gnoll', '1', '45079', '0', '34179', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3509', 'Gnoll', '1', '45079', '0', '34219', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3510', 'Gnoll', '1', '45079', '0', '34217', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3511', 'Gnoll', '1', '45079', '0', '34277', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3512', 'Gnoll', '1', '45079', '0', '34264', '33014', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3513', 'Gnoll', '1', '45079', '0', '34088', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3514', 'Gnoll', '1', '45079', '0', '34089', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3515', 'Gnoll', '1', '45079', '0', '34113', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3516', 'Gnoll', '1', '45079', '0', '34131', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3517', 'Gnoll', '1', '45079', '0', '34136', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3518', 'Gnoll', '1', '45079', '0', '34155', '32860', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3519', 'Gnoll', '1', '45079', '0', '34187', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3520', 'Gnoll', '1', '45079', '0', '34201', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3521', 'Gnoll', '1', '45079', '0', '34222', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3580', 'Gnoll', '1', '45079', '0', '33035', '33438', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3581', 'Gnoll', '1', '45079', '0', '33025', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3582', 'Gnoll', '1', '45079', '0', '33022', '33397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3583', 'Gnoll', '1', '45079', '0', '33039', '33377', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3584', 'Gnoll', '1', '45079', '0', '33025', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3585', 'Gnoll', '1', '45079', '0', '32998', '33413', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3586', 'Gnoll', '1', '45079', '0', '33006', '33438', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3587', 'Gnoll', '1', '45079', '0', '32985', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3588', 'Gnoll', '1', '45079', '0', '32970', '33442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3589', 'Gnoll', '1', '45079', '0', '32970', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3590', 'Gnoll', '1', '45079', '0', '32952', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3591', 'Gnoll', '1', '45079', '0', '32955', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3592', 'Gnoll', '1', '45079', '0', '32972', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3593', 'Gnoll', '1', '45079', '0', '32990', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3594', 'Gnoll', '1', '45079', '0', '33014', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3595', 'Gnoll', '1', '45079', '0', '33002', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3596', 'Gnoll', '1', '45079', '0', '32986', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3597', 'Gnoll', '1', '45079', '0', '33005', '33349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3598', 'Gnoll', '1', '45079', '0', '33014', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3599', 'Gnoll', '1', '45079', '0', '33043', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600', 'Gnoll', '1', '45079', '0', '33010', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3601', 'Gnoll', '1', '45079', '0', '33072', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3602', 'Gnoll', '1', '45079', '0', '33059', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3603', 'Gnoll', '1', '45079', '0', '33022', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3604', 'Gnoll', '1', '45079', '0', '33078', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3605', 'Gnoll', '1', '45079', '0', '33139', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3606', 'Gnoll', '1', '45079', '0', '33195', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3607', 'Gnoll', '1', '45079', '0', '33262', '33471', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3608', 'Gnoll', '1', '45079', '0', '33244', '33425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3609', 'Gnoll', '1', '45079', '0', '33207', '33410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3610', 'Gnoll', '1', '45079', '0', '33207', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3611', 'Gnoll', '1', '45079', '0', '33173', '33454', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3612', 'Gnoll', '1', '45079', '0', '33145', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3613', 'Gnoll', '1', '45079', '0', '33113', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3614', 'Gnoll', '1', '45079', '0', '33147', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3615', 'Gnoll', '1', '45079', '0', '33177', '33448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3616', 'Gnoll', '1', '45079', '0', '33143', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3617', 'Gnoll', '1', '45079', '0', '33163', '33421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3618', 'Gnoll', '1', '45079', '0', '33164', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3619', 'Gnoll', '1', '45079', '0', '33193', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3620', 'Gnoll', '1', '45079', '0', '33221', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3621', 'Gnoll', '1', '45079', '0', '33221', '33349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3622', 'Gnoll', '1', '45079', '0', '33247', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3623', 'Gnoll', '1', '45079', '0', '33246', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3624', 'Gnoll', '1', '45079', '0', '33221', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3625', 'Gnoll', '1', '45079', '0', '33215', '33464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3626', 'Gnoll', '1', '45079', '0', '33098', '33438', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3627', 'Gnoll', '1', '45079', '0', '33049', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3628', 'Gnoll', '1', '45079', '0', '33095', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3629', 'Gnoll', '1', '45079', '0', '33062', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3630', 'Gnoll', '1', '45079', '0', '33088', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3631', 'Gnoll', '1', '45079', '0', '33151', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3632', 'Gnoll', '1', '45079', '0', '33198', '33254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3633', 'Gnoll', '1', '45079', '0', '33177', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3634', 'Island Ghast Lord', '1', '45081', '0', '32789', '32841', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3635', 'Island Ghast Lord', '1', '45081', '0', '32847', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3636', 'Island Ghast Lord', '1', '45081', '0', '32842', '32828', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3637', 'Island Ghast Lord', '1', '45081', '0', '32821', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3638', 'Island Ghast Lord', '1', '45081', '0', '32930', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3639', 'Island Ghast Lord', '1', '45081', '0', '32890', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3640', 'Island Ghast Lord', '1', '45081', '0', '32831', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3642', 'Orc Fighter', '1', '45082', '0', '33006', '33480', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3643', 'Orc Fighter', '1', '45082', '8', '33003', '33453', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3644', 'Orc Fighter', '1', '45082', '0', '33016', '33433', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3645', 'Orc Fighter', '1', '45082', '0', '33037', '33409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3647', 'Orc Fighter', '1', '45082', '0', '33058', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3648', 'Orc Fighter', '1', '45082', '0', '33066', '33198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3649', 'Orc Fighter', '1', '45082', '0', '33049', '33362', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3650', 'Orc Fighter', '1', '45082', '0', '33069', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3651', 'Orc Fighter', '1', '45082', '0', '33062', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3652', 'Orc Fighter', '1', '45082', '0', '33042', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3653', 'Orc Fighter', '1', '45082', '0', '32722', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3654', 'Orc Fighter', '1', '45082', '0', '32759', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3655', 'Orc Fighter', '1', '45082', '0', '32779', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3656', 'Orc Fighter', '1', '45082', '0', '32751', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3657', 'Orc Fighter', '1', '45082', '0', '32695', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3658', 'Orc Fighter', '1', '45082', '0', '32689', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3659', 'Orc Fighter', '1', '45082', '0', '32854', '33058', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3660', 'Orc Fighter', '1', '45082', '0', '32894', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3661', 'Orc Fighter', '1', '45082', '8', '32895', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3662', 'Orc Fighter', '1', '45082', '0', '32895', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3663', 'Orc Fighter', '1', '45082', '0', '32954', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3664', 'Orc Fighter', '1', '45082', '0', '32982', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3665', 'Orc Fighter', '1', '45082', '0', '32989', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3666', 'Orc Fighter', '1', '45082', '0', '33013', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3667', 'Orc Fighter', '1', '45082', '0', '33012', '33234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3668', 'Orc Fighter', '1', '45082', '0', '33014', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3669', 'Orc Fighter', '1', '45082', '0', '32802', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3677', 'Orc Fighter', '1', '45082', '0', '33181', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3678', 'Orc Fighter', '1', '45082', '0', '33216', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3679', 'Orc Fighter', '1', '45082', '0', '33226', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3680', 'Orc Fighter', '1', '45082', '0', '33207', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3681', 'Orc Fighter', '1', '45082', '0', '33163', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3682', 'Orc Fighter', '1', '45082', '0', '33172', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3683', 'Orc Fighter', '1', '45082', '0', '33198', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3684', 'Orc Fighter', '1', '45082', '0', '333209', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3685', 'Orc Fighter', '1', '45082', '0', '33144', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3686', 'Orc Fighter', '1', '45082', '0', '33094', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3687', 'Orc Fighter', '1', '45082', '0', '33100', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3688', 'Orc Fighter', '1', '45082', '0', '33067', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3689', 'Orc Fighter', '1', '45082', '0', '33039', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3690', 'Orc Fighter', '1', '45082', '0', '33064', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3691', 'Orc Fighter', '1', '45082', '8', '33018', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3735', 'Orc Fighter', '1', '45082', '0', '33036', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3736', 'Orc Fighter', '1', '45082', '0', '33033', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3737', 'Orc Fighter', '1', '45082', '0', '33010', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3738', 'Orc Fighter', '1', '45082', '0', '33042', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3739', 'Orc Fighter', '1', '45082', '0', '33010', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3740', 'Orc Fighter', '1', '45082', '0', '33006', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3741', 'Orc Fighter', '1', '45082', '0', '32993', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3742', 'Orc Fighter', '1', '45082', '0', '32992', '33439', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3743', 'Orc Fighter', '1', '45082', '0', '32995', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3744', 'Orc Fighter', '1', '45082', '0', '32981', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3745', 'Orc Fighter', '1', '45082', '0', '32964', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3746', 'Orc Fighter', '1', '45082', '0', '32969', '33419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3747', 'Orc Fighter', '1', '45082', '0', '32957', '33408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3748', 'Orc Fighter', '1', '45082', '0', '33949', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3749', 'Orc Fighter', '1', '45082', '0', '32949', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3750', 'Orc Fighter', '1', '45082', '0', '32959', '33377', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3751', 'Orc Fighter', '1', '45082', '0', '32969', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3752', 'Orc Fighter', '1', '45082', '0', '32983', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3753', 'Orc Fighter', '1', '45082', '0', '33003', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3754', 'Orc Fighter', '1', '45082', '0', '33017', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3755', 'Orc Fighter', '1', '45082', '0', '32991', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3756', 'Orc Fighter', '1', '45082', '0', '32975', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3757', 'Orc Fighter', '1', '45082', '0', '32988', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3758', 'Orc Fighter', '1', '45082', '0', '33025', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3759', 'Orc Fighter', '1', '45082', '0', '33027', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3760', 'Orc Fighter', '1', '45082', '0', '33067', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3761', 'Orc Fighter', '1', '45082', '0', '33043', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3762', 'Orc Fighter', '1', '45082', '0', '33010', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3763', 'Orc Fighter', '1', '45082', '0', '33087', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3764', 'Orc Fighter', '1', '45082', '0', '33180', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3765', 'Orc Fighter', '1', '45082', '0', '33242', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3766', 'Orc Fighter', '1', '45082', '0', '33269', '33458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3767', 'Orc Fighter', '1', '45082', '0', '33231', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3768', 'Orc Fighter', '1', '45082', '0', '33195', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3769', 'Orc Fighter', '1', '45082', '0', '33195', '33467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3770', 'Orc Fighter', '1', '45082', '0', '33171', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3771', 'Orc Fighter', '1', '45082', '8', '33112', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3772', 'Orc Fighter', '1', '45082', '0', '33120', '33472', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3773', 'Orc Fighter', '1', '45082', '0', '33159', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3774', 'Orc Fighter', '1', '45082', '0', '33182', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3775', 'Orc Fighter', '1', '45082', '0', '33172', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3776', 'Orc Fighter', '1', '45082', '0', '33144', '33393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3777', 'Orc Fighter', '1', '45082', '0', '33177', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3778', 'Orc Fighter', '1', '45082', '0', '33202', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3779', 'Orc Fighter', '1', '45082', '0', '33237', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3780', 'Orc Fighter', '1', '45082', '0', '33230', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3781', 'Orc Fighter', '1', '45082', '0', '33253', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3782', 'Orc Fighter', '1', '45082', '0', '33230', '33461', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3783', 'Orc Fighter', '1', '45082', '0', '33198', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3784', 'Orc Fighter', '1', '45082', '0', '33121', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3785', 'Orc Fighter', '1', '45082', '0', '33078', '33498', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3786', 'Orc Fighter', '1', '45082', '0', '33099', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3787', 'Orc Fighter', '1', '45082', '0', '33088', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3788', 'Orc Fighter', '1', '45082', '0', '33060', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3789', 'Orc Fighter', '1', '45082', '0', '33213', '33387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3790', 'Orc Fighter', '1', '45082', '0', '33174', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3791', 'Orc Fighter', '1', '45082', '0', '33067', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3792', 'Orc Fighter', '1', '45082', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3793', 'Orc Fighter', '1', '45082', '0', '33174', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3794', 'Orc Fighter', '1', '45082', '0', '33219', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3795', 'Orc Fighter', '1', '45082', '0', '33163', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3796', 'Orc Fighter', '1', '45082', '0', '33158', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3797', 'Orc Fighter', '1', '45082', '0', '33145', '33169', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3798', 'Orc Fighter', '1', '45082', '0', '33112', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3799', 'Orc Fighter', '1', '45082', '0', '33100', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3800', 'Orc Fighter', '1', '45082', '0', '33206', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3801', 'Orc Fighter', '1', '45082', '0', '33179', '33423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3802', 'Orc Fighter', '1', '45082', '0', '33114', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3803', 'Orc Fighter', '1', '45082', '0', '32881', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3804', 'Orc Fighter', '1', '45082', '0', '32757', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3805', 'Orc Fighter', '1', '45082', '0', '32784', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3806', 'Orc Fighter', '1', '45082', '0', '32815', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3807', 'Orc Fighter', '1', '45082', '0', '32831', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3808', 'Orc Fighter', '1', '45082', '0', '32846', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3809', 'Orc Fighter', '1', '45082', '8', '32905', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3810', 'Orc Fighter', '1', '45082', '0', '32932', '32823', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3811', 'Orc Fighter', '1', '45082', '0', '32942', '32785', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3812', 'Orc Fighter', '1', '45082', '0', '32927', '32788', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3813', 'Orc Fighter', '1', '45082', '0', '32669', '32728', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3814', 'Orc Fighter', '1', '45082', '0', '32687', '32731', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3815', 'Orc Fighter', '1', '45082', '0', '32699', '32693', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3816', 'Orc Fighter', '1', '45082', '0', '32681', '32643', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3817', 'Orc Fighter', '1', '45082', '0', '32723', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3818', 'Orc Fighter', '1', '45082', '0', '32843', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3819', 'Orc Fighter', '1', '45082', '0', '32852', '32709', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3820', 'Orc Fighter', '1', '45082', '0', '32856', '32739', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3821', 'Orc Fighter', '1', '45082', '0', '32874', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3822', 'Orc Fighter', '1', '45082', '0', '32870', '32685', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3823', 'Orc Fighter', '1', '45082', '0', '32877', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3824', 'Orc Fighter', '1', '45082', '0', '32871', '32651', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3825', 'Orc Fighter', '1', '45082', '0', '32850', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3826', 'Orc Fighter', '1', '45082', '0', '32839', '32661', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3827', 'Orc Fighter', '1', '45082', '0', '32821', '32665', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3828', 'Orc Fighter', '1', '45082', '0', '32776', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3829', 'Orc Fighter', '1', '45082', '0', '32776', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3830', 'Orc Fighter', '1', '45082', '0', '32934', '32607', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3831', 'Orc Fighter', '1', '45082', '0', '32919', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3832', 'Orc Fighter', '1', '45082', '0', '32910', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3833', 'Orc Fighter', '1', '45082', '0', '32896', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3834', 'Orc Fighter', '1', '45082', '0', '32886', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3835', 'Orc Fighter', '1', '45082', '0', '32871', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3836', 'Orc Fighter', '1', '45082', '0', '32868', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3837', 'Orc Fighter', '1', '45082', '8', '32869', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3838', 'Orc Fighter', '1', '45082', '0', '32876', '32607', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3839', 'Orc Fighter', '1', '45082', '0', '32891', '32608', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3840', 'Orc Fighter', '1', '45082', '0', '32807', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3841', 'Orc Fighter', '1', '45082', '0', '32773', '32668', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3842', 'Orc Fighter', '1', '45082', '0', '32649', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3843', 'Orc Fighter', '1', '45082', '0', '32630', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3844', 'Orc Fighter', '1', '45082', '0', '32608', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3845', 'Orc Fighter', '1', '45082', '0', '32649', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3846', 'Orc Fighter', '1', '45082', '0', '32708', '32758', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3847', 'Orc Fighter', '1', '45082', '0', '32664', '32782', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3848', 'Orc Fighter', '1', '45082', '0', '32629', '32746', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3849', 'Orc Fighter', '1', '45082', '0', '32603', '32767', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3850', 'Orc Fighter', '1', '45082', '0', '32670', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3851', 'Orc Fighter', '1', '45082', '0', '32698', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3852', 'Orc Fighter', '1', '45082', '0', '32689', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3853', 'Orc Fighter', '1', '45082', '0', '32661', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3854', 'Orc Fighter', '1', '45082', '0', '32711', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3855', 'Orc Fighter', '1', '45082', '0', '32590', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3856', 'Orc Fighter', '1', '45082', '0', '32576', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3857', 'Orc Fighter', '1', '45082', '0', '32546', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3858', 'Orc Fighter', '1', '45082', '0', '32621', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3859', 'Orc Fighter', '1', '45082', '0', '32674', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3860', 'Orc Fighter', '1', '45082', '0', '32666', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3861', 'Orc Fighter', '1', '45082', '0', '32734', '32923', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3862', 'Orc Fighter', '1', '45082', '0', '32769', '32858', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3863', 'Orc Fighter', '1', '45082', '8', '32769', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3864', 'Orc Fighter', '1', '45082', '0', '32792', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3865', 'Orc Fighter', '1', '45082', '0', '32784', '32803', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3866', 'Orc Fighter', '1', '45082', '0', '32771', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3867', 'Orc Fighter', '1', '45082', '0', '32786', '32809', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3868', 'Orc Fighter', '1', '45082', '0', '32807', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3869', 'Orc Fighter', '1', '45082', '0', '32754', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3887', 'Degenerated Beholder', '0', '45086', '0', '32703', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3888', 'Degenerated Beholder', '0', '45086', '0', '32695', '32745', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3889', 'Degenerated Beholder', '0', '45086', '0', '32716', '32756', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3890', 'Degenerated Beholder', '0', '45086', '0', '32700', '32763', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3891', 'Degenerated Beholder', '0', '45086', '0', '32675', '32758', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3892', 'Degenerated Beholder', '0', '45086', '0', '32666', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3893', 'Degenerated Beholder', '0', '45086', '0', '32627', '32751', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3894', 'Degenerated Beholder', '0', '45086', '0', '32641', '32742', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3895', 'Degenerated Beholder', '0', '45086', '0', '32606', '32757', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3896', 'Degenerated Beholder', '0', '45086', '0', '32616', '32738', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3897', 'Degenerated Beholder', '0', '45086', '0', '32610', '32733', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3898', 'Degenerated Beholder', '0', '45086', '0', '32610', '32752', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3899', 'Degenerated Beholder', '0', '45086', '0', '32624', '32749', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3900', 'Degenerated Beholder', '0', '45086', '0', '32629', '32779', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3901', 'Degenerated Beholder', '0', '45086', '0', '32629', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3902', 'Degenerated Beholder', '0', '45086', '0', '32630', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3903', 'Degenerated Beholder', '0', '45086', '0', '32643', '32810', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3904', 'Degenerated Beholder', '0', '45086', '0', '32650', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3905', 'Degenerated Beholder', '0', '45086', '0', '32626', '32782', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3906', 'Degenerated Beholder', '0', '45086', '0', '32629', '32771', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3907', 'Degenerated Beholder', '1', '45086', '0', '32863', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3908', 'Degenerated Beholder', '1', '45086', '0', '32837', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3909', 'Degenerated Beholder', '1', '45086', '0', '32779', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3910', 'Degenerated Beholder', '1', '45086', '0', '32775', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3911', 'Degenerated Beholder', '1', '45086', '0', '32852', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3912', 'Degenerated Beholder', '1', '45086', '0', '32879', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3913', 'Degenerated Beholder', '1', '45086', '0', '32922', '32851', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3914', 'Degenerated Beholder', '1', '45086', '0', '32938', '32807', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3915', 'Degenerated Beholder', '1', '45086', '0', '32927', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3916', 'Degenerated Beholder', '1', '45086', '0', '32909', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3917', 'Degenerated Beholder', '1', '45086', '0', '32884', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3918', 'Degenerated Beholder', '1', '45086', '0', '32879', '32612', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3919', 'Degenerated Beholder', '1', '45086', '0', '32910', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3920', 'Degenerated Beholder', '1', '45086', '0', '32924', '32603', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3921', 'Degenerated Beholder', '1', '45086', '0', '32937', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3975', 'Valley Griffon', '1', '45090', '0', '32556', '32771', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3976', 'Valley Griffon', '1', '45090', '0', '32537', '32773', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3977', 'Valley Griffon', '1', '45090', '0', '32529', '32792', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3978', 'Valley Griffon', '1', '45090', '0', '32546', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3979', 'Valley Griffon', '1', '45090', '0', '32768', '32864', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3980', 'Valley Griffon', '1', '45090', '0', '32768', '32884', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3981', 'Valley Griffon', '1', '45090', '0', '32790', '32996', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3982', 'Valley Griffon', '1', '45090', '0', '32780', '32974', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3983', 'Valley Griffon', '1', '45090', '0', '32769', '32960', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3984', 'Valley Griffon', '1', '45090', '0', '32756', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3985', 'Valley Griffon', '1', '45090', '0', '32776', '32939', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3986', 'Valley Griffon', '1', '45090', '0', '32796', '32937', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3987', 'Valley Griffon', '1', '45090', '0', '32790', '32920', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3988', 'Valley Basilisk', '1', '45091', '0', '32542', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3989', 'Valley Basilisk', '1', '45091', '0', '32535', '32800', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3990', 'Valley Basilisk', '1', '45091', '0', '32555', '32825', '10', '10', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3991', 'Valley Basilisk', '1', '45091', '0', '32790', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3992', 'Valley Basilisk', '1', '45091', '0', '32794', '32962', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3993', 'Valley Basilisk', '1', '45091', '0', '32789', '32982', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3994', 'Valley Basilisk', '1', '45091', '0', '32761', '32978', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3995', 'Valley Basilisk', '1', '45091', '0', '32731', '32956', '5', '5', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3996', 'Dwarf Warrior', '1', '45092', '0', '33877', '32422', '0', '0', '0', '0', '0', '0', '2', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3997', 'Dwarf Warrior', '1', '45092', '0', '33886', '32429', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3998', 'Dwarf Warrior', '1', '45092', '0', '33891', '32441', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('3999', 'Dwarf Warrior', '1', '45092', '0', '33880', '32460', '0', '0', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4000', 'Dwarf Warrior', '1', '45092', '0', '33885', '32476', '0', '0', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4001', 'Dwarf Warrior', '1', '45092', '0', '33964', '32261', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4002', 'Dwarf Warrior', '1', '45092', '0', '33949', '32235', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4003', 'Dwarf Warrior', '1', '45092', '0', '33934', '32229', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4004', 'Dwarf Warrior', '1', '45092', '0', '33915', '32226', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4005', 'Dwarf Warrior', '1', '45092', '0', '33915', '32235', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4006', 'Dwarf Warrior', '1', '45092', '0', '33927', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4007', 'Dwarf Warrior', '1', '45092', '0', '33942', '32267', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4008', 'Dwarf Warrior', '1', '45092', '0', '33966', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4009', 'Dwarf Warrior', '1', '45092', '0', '33977', '32266', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4010', 'Dwarf Warrior', '1', '45092', '0', '33996', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4011', 'Dwarf Warrior', '1', '45092', '0', '33968', '32300', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4012', 'Dwarf Warrior', '1', '45092', '0', '33872', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4013', 'Dwarf Warrior', '1', '45092', '0', '33912', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4014', 'Dwarf Warrior', '1', '45092', '0', '33903', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4015', 'Dwarf Warrior', '1', '45092', '0', '33887', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4016', 'Dwarf Warrior', '1', '45092', '0', '33880', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4017', 'Dwarf Warrior', '1', '45092', '0', '33873', '32324', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4018', 'Dwarf Warrior', '1', '45092', '0', '33877', '32302', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4019', 'Dwarf Warrior', '1', '45092', '0', '33870', '32256', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4020', 'Dwarf Warrior', '1', '45092', '0', '33874', '32224', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4021', 'Dwarf Warrior', '1', '45092', '0', '33901', '32258', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4022', 'Dwarf Warrior', '1', '45092', '0', '33891', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4023', 'Dwarf Warrior', '1', '45092', '0', '33871', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4024', 'Dwarf Warrior', '1', '45092', '0', '33873', '32345', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4025', 'Dwarf Warrior', '1', '45092', '0', '33896', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4026', 'Dwarf Warrior', '1', '45092', '0', '33887', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4027', 'Dwarf Warrior', '1', '45092', '0', '33900', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4028', 'Dwarf Warrior', '1', '45092', '0', '33900', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4029', 'Dwarf Warrior', '1', '45092', '0', '33870', '32493', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4030', 'Dwarf Warrior', '1', '45092', '0', '33867', '32497', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4031', 'Dwarf Warrior', '1', '45092', '0', '33892', '32517', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4032', 'Dwarf Warrior', '1', '45092', '0', '33907', '32503', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4033', 'Dwarf Warrior', '1', '45092', '0', '33919', '32567', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4034', 'Dwarf Warrior', '1', '45092', '0', '33918', '32579', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4035', 'Dwarf Warrior', '1', '45092', '0', '33934', '32594', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4036', 'Dwarf Warrior', '1', '45092', '0', '33952', '32264', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4038', 'Dwarf Warrior', '1', '45092', '0', '33873', '32235', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4039', 'Dwarf Warrior', '1', '45092', '0', '33857', '32252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4040', 'Dwarf Warrior', '1', '45092', '0', '33893', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4041', 'Dwarf Warrior', '1', '45092', '0', '33916', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4042', 'Dwarf Warrior', '1', '45092', '0', '33905', '32295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4043', 'Dwarf Warrior', '1', '45092', '0', '33892', '32294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4044', 'Dwarf Warrior', '1', '45092', '0', '33872', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4045', 'Dwarf Warrior', '1', '45092', '0', '33863', '32306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4046', 'Dwarf Warrior', '1', '45092', '0', '33883', '32322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4047', 'Dwarf Warrior', '1', '45092', '0', '33904', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4048', 'Dwarf Warrior', '1', '45092', '0', '33923', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4049', 'Dwarf Warrior', '1', '45092', '0', '33901', '32369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4050', 'Dwarf Warrior', '1', '45092', '0', '33879', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4051', 'Dwarf Warrior', '1', '45092', '0', '33877', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4052', 'Dwarf Warrior', '1', '45092', '0', '33917', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4053', 'Dwarf Warrior', '1', '45092', '0', '33926', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4054', 'Dwarf Warrior', '1', '45092', '0', '33899', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4055', 'Dwarf Warrior', '1', '45092', '0', '33863', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4056', 'Dwarf Warrior', '1', '45092', '0', '33884', '32452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4057', 'Dwarf Warrior', '1', '45092', '0', '33905', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4058', 'Dwarf Warrior', '1', '45092', '0', '33865', '32501', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4059', 'Dwarf Warrior', '1', '45092', '0', '33865', '32517', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4060', 'Dwarf Warrior', '1', '45092', '0', '33876', '32532', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4061', 'Dwarf Warrior', '1', '45092', '0', '33894', '32537', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4062', 'Dwarf Warrior', '1', '45092', '0', '33903', '32548', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4063', 'Dwarf Warrior', '1', '45092', '0', '33899', '32558', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4064', 'Dwarf Warrior', '1', '45092', '0', '33879', '32555', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4065', 'Dwarf Warrior', '1', '45092', '0', '33894', '32531', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4066', 'Dwarf Warrior', '1', '45092', '0', '33367', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4067', 'Dwarf Warrior', '1', '45092', '0', '33452', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4068', 'Dwarf Warrior', '1', '45092', '0', '33507', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4069', 'Dwarf Warrior', '1', '45092', '0', '33534', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4070', 'Dwarf Warrior', '1', '45092', '0', '33561', '33089', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4071', 'Dwarf Warrior', '1', '45092', '0', '33584', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4072', 'Dwarf Warrior', '1', '45092', '0', '33610', '33029', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4073', 'Dwarf Warrior', '1', '45092', '0', '33630', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4074', 'Dwarf Warrior', '1', '45092', '0', '33664', '33048', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4075', 'Dwarf Warrior', '1', '45092', '0', '33655', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4076', 'Dwarf Warrior', '1', '45092', '0', '33630', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4077', 'Dwarf Warrior', '1', '45092', '0', '33633', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4078', 'Dwarf Warrior', '1', '45092', '0', '33655', '32921', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4079', 'Dwarf Warrior', '1', '45092', '0', '33675', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4080', 'Dwarf Warrior', '1', '45092', '0', '33714', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4081', 'Dwarf Warrior', '1', '45092', '0', '33684', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4082', 'Dwarf Warrior', '1', '45092', '0', '33675', '32992', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4083', 'Dwarf Warrior', '1', '45092', '0', '33745', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4084', 'Dwarf Warrior', '1', '45092', '0', '33788', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4085', 'Dwarf Warrior', '1', '45092', '0', '33833', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4086', 'Dwarf Warrior', '1', '45092', '0', '33872', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4087', 'Dwarf Warrior', '1', '45092', '0', '33814', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4088', 'Dwarf Warrior', '1', '45092', '0', '33792', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4089', 'Dwarf Warrior', '1', '45092', '0', '33764', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4090', 'Dwarf Warrior', '1', '45092', '0', '33744', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4091', 'Dwarf Warrior', '1', '45092', '0', '33657', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4092', 'Dwarf Warrior', '1', '45092', '0', '33710', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4093', 'Dwarf Warrior', '1', '45092', '0', '33469', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4094', 'Dwarf Warrior', '1', '45092', '0', '33364', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4095', 'Dwarf Warrior', '1', '45092', '0', '33469', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4096', 'Dwarf Warrior', '1', '45092', '0', '33553', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4097', 'Dwarf Warrior', '1', '45092', '0', '33588', '33002', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4098', 'Dwarf Warrior', '1', '45092', '0', '33347', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4099', 'Dwarf Warrior', '1', '45092', '0', '33328', '32783', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4100', 'Dwarf Warrior', '1', '45092', '0', '33316', '32705', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4101', 'Dwarf Warrior', '1', '45092', '0', '33370', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4102', 'Dwarf Warrior', '1', '45092', '0', '33413', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4103', 'Dwarf Warrior', '1', '45092', '0', '33508', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4104', 'Dwarf Warrior', '1', '45092', '0', '33552', '32627', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4105', 'Dwarf Warrior', '1', '45092', '0', '33532', '32685', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4106', 'Dwarf Warrior', '1', '45092', '0', '33539', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4107', 'Dwarf Warrior', '1', '45092', '0', '33070', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4108', 'Dwarf Warrior', '1', '45092', '0', '33093', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4109', 'Dwarf Warrior', '1', '45092', '0', '33137', '32684', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4110', 'Dwarf Warrior', '1', '45092', '0', '33148', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4111', 'Dwarf Warrior', '1', '45092', '0', '33112', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4112', 'Dwarf Warrior', '1', '45092', '0', '33094', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4113', 'Dwarf Warrior', '1', '45092', '0', '33097', '32592', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4114', 'Dwarf Warrior', '1', '45092', '0', '33119', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4115', 'Dwarf Warrior', '1', '45092', '0', '33157', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4116', 'Dwarf Warrior', '1', '45092', '0', '33178', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4117', 'Dwarf Warrior', '1', '45092', '0', '33212', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4118', 'Dwarf Warrior', '1', '45092', '0', '33191', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4119', 'Dwarf Warrior', '1', '45092', '0', '33218', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4120', 'Dwarf Warrior', '1', '45092', '0', '33216', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4121', 'Dwarf Warrior', '1', '45092', '0', '33184', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4122', 'Dwarf Warrior', '1', '45092', '0', '33171', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4123', 'Dwarf Warrior', '1', '45092', '0', '33158', '32597', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4124', 'Dwarf Warrior', '1', '45092', '0', '32961', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4125', 'Dwarf Warrior', '1', '45092', '0', '32942', '32824', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4126', 'Dwarf Warrior', '1', '45092', '0', '32943', '32842', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4127', 'Dwarf Warrior', '1', '45092', '0', '32921', '32836', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4128', 'Dwarf Warrior', '1', '45092', '0', '32934', '32815', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4129', 'Dwarf Warrior', '1', '45092', '0', '32953', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4130', 'Dwarf Warrior', '1', '45092', '0', '32964', '32771', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4131', 'Dwarf Warrior', '1', '45092', '0', '32951', '32759', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4132', 'Dwarf Warrior', '1', '45092', '0', '32939', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4133', 'Dwarf Warrior', '1', '45092', '0', '32932', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4134', 'Dwarf Warrior', '1', '45092', '0', '32917', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4135', 'Dwarf Warrior', '1', '45092', '0', '32906', '32774', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4136', 'Dwarf Warrior', '1', '45092', '0', '32895', '32785', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4137', 'Dwarf Warrior', '1', '45092', '0', '32904', '32799', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4138', 'Dwarf Warrior', '1', '45092', '0', '32896', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4139', 'Dwarf Warrior', '1', '45092', '0', '32880', '32831', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4140', 'Dwarf Warrior', '1', '45092', '0', '32864', '32836', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4141', 'Dwarf Warrior', '1', '45092', '0', '32881', '32851', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4148', 'Dwarf Warrior', '1', '45092', '0', '33117', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4149', 'Dwarf Warrior', '1', '45092', '0', '33113', '33147', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4150', 'Dwarf Warrior', '1', '45092', '0', '33095', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4151', 'Dwarf Warrior', '1', '45092', '0', '33052', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4152', 'Dwarf Warrior', '1', '45092', '0', '33203', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4153', 'Dwarf Warrior', '1', '45092', '0', '33073', '33275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4154', 'Dwarf Warrior', '1', '45092', '0', '33120', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4155', 'Dwarf Warrior', '1', '45092', '0', '33136', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4156', 'Dwarf Warrior', '1', '45092', '0', '33195', '33264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4157', 'Dwarf Warrior', '1', '45092', '0', '33201', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4158', 'Dwarf Warrior', '1', '45092', '0', '33150', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4159', 'Dwarf Warrior', '1', '45092', '0', '33161', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4160', 'Dwarf Warrior', '1', '45092', '0', '33112', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4161', 'Dwarf Warrior', '1', '45092', '0', '33100', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4162', 'Dwarf Warrior', '1', '45092', '0', '33102', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4163', 'Dwarf Warrior', '1', '45092', '0', '33189', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4164', 'Dwarf Warrior', '1', '45092', '0', '33178', '33300', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4165', 'Dwarf Warrior', '1', '45092', '0', '33196', '33384', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4166', 'Dwarf Warrior', '1', '45092', '0', '33162', '33318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4167', 'Dwarf Warrior', '1', '45092', '0', '33149', '33251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4168', 'Dwarf Warrior', '1', '45092', '0', '33052', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4170', 'Island Cockatrice', '1', '45095', '0', '32813', '32866', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4171', 'Island Cockatrice', '1', '45095', '0', '32850', '32846', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4172', 'Island Cockatrice', '1', '45095', '0', '32797', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4173', 'Island Cockatrice', '1', '45095', '0', '32790', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4174', 'Island Crocodile', '1', '45096', '0', '32800', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4175', 'Island Crocodile', '1', '45096', '0', '32835', '32848', '10', '10', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4188', 'Gandi Orc', '1', '45098', '0', '32692', '32440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4189', 'Gandi Orc', '2', '45098', '0', '32654', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4190', 'Gandi Orc', '1', '45098', '0', '32633', '32392', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4191', 'Gandi Orc', '2', '45098', '0', '32614', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4192', 'Gandi Orc', '1', '45098', '0', '32594', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4193', 'Gandi Orc', '2', '45098', '0', '32556', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4194', 'Gandi Orc', '1', '45098', '0', '32560', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4195', 'Gandi Orc', '2', '45098', '0', '32583', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4196', 'Gandi Orc', '1', '45098', '0', '32602', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4197', 'Gandi Orc', '2', '45098', '0', '32642', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4198', 'Gandi Orc', '1', '45098', '0', '32658', '32458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4199', 'Gandi Orc', '2', '45098', '0', '32661', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4200', 'Gandi Orc', '1', '45098', '0', '32605', '32451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4201', 'Gandi Orc', '2', '45098', '0', '32578', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4202', 'Gandi Orc', '1', '45098', '0', '32553', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4203', 'Gandi Orc', '2', '45098', '0', '32564', '32454', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4204', 'Gandi Orc', '1', '45098', '0', '32602', '32494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4205', 'Gandi Orc', '2', '45098', '0', '32554', '32224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4206', 'Gandi Orc', '1', '45098', '0', '32552', '32259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4207', 'Gandi Orc', '2', '45098', '0', '32566', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4208', 'Gandi Orc', '1', '45098', '0', '32590', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4209', 'Gandi Orc', '2', '45098', '0', '32605', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4210', 'Gandi Orc', '1', '45098', '0', '32630', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4211', 'Gandi Orc', '2', '45098', '0', '32674', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4212', 'Gandi Orc', '1', '45098', '0', '32677', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4213', 'Gandi Orc', '2', '45098', '0', '32705', '32412', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4214', 'Gandi Orc', '1', '45098', '0', '32661', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4215', 'Gandi Orc', '2', '45098', '0', '32601', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4216', 'Gandi Orc', '1', '45098', '0', '32578', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4217', 'Gandi Orc', '2', '45098', '0', '32746', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4218', 'Gandi Orc', '1', '45098', '0', '32827', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4219', 'Gandi Orc', '2', '45098', '0', '32736', '32338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4220', 'Gandi Orc', '1', '45098', '0', '32712', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4221', 'Gandi Orc', '2', '45098', '0', '32735', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4222', 'Gandi Orc', '1', '45098', '0', '32700', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4223', 'Gandi Orc', '2', '45098', '0', '32662', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4224', 'Gandi Orc', '1', '45098', '0', '32627', '32229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4225', 'Gandi Orc', '2', '45098', '0', '32579', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4226', 'Gandi Orc', '1', '45098', '0', '32625', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4227', 'Gandi Orc', '2', '45098', '0', '32654', '32271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4228', 'Gandi Orc', '1', '45098', '0', '32761', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4229', 'Gandi Orc', '2', '45098', '0', '32773', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4230', 'Gandi Orc', '1', '45098', '0', '32747', '32219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4231', 'Gandi Orc', '2', '45098', '0', '32838', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4232', 'Gandi Orc', '1', '45098', '0', '32856', '32432', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4233', 'Gandi Orc', '2', '45098', '0', '32765', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4252', 'Skeleton', '0', '45107', '0', '32752', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4253', 'Skeleton', '2', '45107', '0', '32768', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4254', 'Skeleton', '0', '45107', '0', '32742', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4255', 'Skeleton', '2', '45107', '0', '32743', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4256', 'Skeleton', '0', '45107', '0', '32800', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4257', 'Skeleton', '2', '45107', '0', '32856', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4258', 'Skeleton', '0', '45107', '0', '32868', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4259', 'Skeleton', '2', '45107', '0', '32871', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4260', 'Skeleton', '0', '45107', '0', '32854', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4261', 'Skeleton', '2', '45107', '0', '32857', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4262', 'Skeleton', '0', '45107', '0', '32878', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4263', 'Skeleton', '2', '45107', '0', '32891', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4264', 'Skeleton', '0', '45107', '0', '32889', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4265', 'Skeleton', '2', '45107', '0', '32877', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4266', 'Skeleton', '0', '45107', '0', '32817', '32806', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4267', 'Skeleton', '2', '45107', '0', '32927', '32815', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4268', 'Skeleton', '0', '45107', '0', '32917', '32812', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4425', 'Skeleton', '1', '45107', '0', '32756', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4426', 'Skeleton', '1', '45107', '0', '32770', '32704', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4427', 'Skeleton', '1', '45107', '0', '32795', '32706', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4428', 'Skeleton', '1', '45107', '0', '32824', '32698', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4429', 'Skeleton', '1', '45107', '0', '32824', '32751', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4430', 'Skeleton', '1', '45107', '0', '32787', '32765', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4431', 'Skeleton', '1', '45107', '0', '32762', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4432', 'Skeleton', '1', '45107', '0', '32724', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4433', 'Skeleton', '1', '45107', '0', '32723', '32712', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4434', 'Skeleton', '1', '45107', '0', '32701', '32714', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4435', 'Skeleton', '1', '45107', '0', '32709', '32687', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4436', 'Skeleton', '1', '45107', '0', '32708', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4437', 'Skeleton', '1', '45107', '0', '32713', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4438', 'Skeleton', '1', '45107', '0', '32708', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4439', 'Skeleton', '1', '45107', '0', '32741', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4440', 'Skeleton', '1', '45107', '0', '32740', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4441', 'Skeleton', '1', '45107', '0', '32758', '32677', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4442', 'Skeleton', '1', '45107', '0', '32782', '32675', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4443', 'Skeleton', '1', '45107', '0', '32815', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4444', 'Skeleton', '1', '45107', '0', '32838', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4445', 'Skeleton', '1', '45107', '0', '32831', '32719', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4446', 'Skeleton', '1', '45107', '0', '32884', '32695', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4447', 'Skeleton', '1', '45107', '0', '32898', '32683', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4448', 'Skeleton', '1', '45107', '0', '32888', '32677', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4449', 'Skeleton', '1', '45107', '0', '32893', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4450', 'Skeleton', '1', '45107', '0', '32802', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4451', 'Skeleton', '1', '45107', '0', '33049', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4452', 'Skeleton', '1', '45107', '0', '33050', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4453', 'Skeleton', '1', '45107', '0', '33041', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4454', 'Skeleton', '1', '45107', '0', '33052', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4455', 'Skeleton', '1', '45107', '0', '33057', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4456', 'Skeleton', '1', '45107', '0', '33052', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4457', 'Skeleton', '1', '45107', '0', '33060', '33208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4458', 'Skeleton', '1', '45107', '0', '33058', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4459', 'Skeleton', '1', '45107', '0', '33061', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4460', 'Skeleton', '1', '45107', '0', '33054', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4461', 'Skeleton', '1', '45107', '0', '33042', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4619', 'Skeleton', '1', '45107', '0', '32827', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4620', 'Skeleton', '1', '45107', '0', '32812', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4621', 'Skeleton', '1', '45107', '0', '32798', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4622', 'Skeleton', '1', '45107', '0', '32787', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4623', 'Skeleton', '1', '45107', '0', '32803', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4624', 'Skeleton', '1', '45107', '0', '32815', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4625', 'Skeleton', '1', '45107', '0', '32830', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4626', 'Skeleton', '1', '45107', '0', '32830', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4627', 'Skeleton', '1', '45107', '0', '32855', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4628', 'Skeleton', '1', '45107', '0', '32867', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4629', 'Skeleton', '1', '45107', '0', '32882', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4630', 'Skeleton', '1', '45107', '0', '32902', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4631', 'Skeleton', '1', '45107', '0', '32921', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4632', 'Skeleton', '1', '45107', '0', '32918', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4633', 'Skeleton', '1', '45107', '0', '32910', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4634', 'Skeleton', '1', '45107', '0', '32882', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4635', 'Skeleton', '1', '45107', '0', '32851', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4647', 'Lesser Succubus Queen', '0', '45110', '0', '32733', '32737', '6', '6', '0', '0', '0', '0', '0', '60', '120', '85', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4648', 'Giant Ant', '1', '45115', '0', '32851', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4649', 'Giant Ant', '2', '45115', '0', '32816', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4650', 'Giant Ant', '1', '45115', '0', '32795', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4651', 'Giant Ant', '2', '45115', '0', '32778', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4652', 'Giant Ant', '1', '45115', '0', '32763', '33162', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4653', 'Giant Ant', '2', '45115', '0', '32747', '33147', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4654', 'Giant Ant', '1', '45115', '0', '32731', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4655', 'Giant Ant', '2', '45115', '0', '32729', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4656', 'Giant Ant', '1', '45115', '0', '32736', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4657', 'Giant Ant', '2', '45115', '0', '32744', '33167', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4658', 'Giant Ant', '1', '45115', '0', '32773', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4659', 'Giant Ant', '2', '45115', '0', '32801', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4660', 'Giant Ant', '1', '45115', '0', '32817', '33240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4661', 'Giant Ant', '2', '45115', '0', '32867', '33290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4662', 'Giant Ant', '1', '45115', '0', '32881', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4663', 'Giant Ant', '2', '45115', '0', '32912', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4664', 'Giant Ant', '1', '45115', '0', '32899', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4665', 'Giant Ant', '2', '45115', '0', '32862', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4666', 'Giant Ant', '1', '45115', '0', '32834', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4667', 'Giant Ant', '2', '45115', '0', '32827', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4668', 'Giant Ant', '1', '45115', '0', '32788', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4669', 'Giant Ant', '2', '45115', '0', '32773', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4670', 'Giant Ant', '1', '45115', '0', '32731', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4671', 'Giant Ant', '2', '45115', '0', '32693', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4672', 'Giant Ant', '1', '45115', '0', '32872', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4673', 'Giant Ant', '2', '45115', '0', '32826', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4674', 'Giant Ant', '1', '45115', '0', '32820', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4675', 'Giant Ant', '2', '45115', '0', '32784', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4676', 'Giant Ant', '1', '45115', '0', '32744', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4677', 'Giant Ant', '2', '45115', '0', '32748', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4678', 'Giant Ant', '1', '45115', '0', '32782', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4679', 'Giant Ant', '2', '45115', '0', '32821', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4680', 'Giant Ant', '1', '45115', '0', '33830', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4681', 'Giant Ant', '2', '45115', '0', '32866', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4682', 'Giant Ant', '1', '45115', '0', '32912', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4683', 'Giant Ant', '2', '45115', '0', '32921', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4684', 'Giant Ant', '1', '45115', '0', '32971', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4685', 'Giant Ant', '2', '45115', '0', '32847', '33254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4686', 'Giant Ant', '1', '45115', '0', '32778', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4687', 'Giant Ant', '2', '45115', '0', '32906', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4688', 'Giant Ant', '1', '45115', '0', '32870', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4689', 'Giant Ant', '2', '45115', '0', '32858', '33091', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4690', 'Giant Ant', '1', '45115', '0', '32844', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4691', 'Giant Ant', '2', '45115', '0', '32816', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4692', 'Giant Ant', '1', '45115', '0', '32802', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4693', 'Giant Ant', '2', '45115', '0', '32817', '33095', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4694', 'Giant Ant', '1', '45115', '0', '32831', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4695', 'Giant Ant', '2', '45115', '0', '32834', '33135', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4696', 'Giant Ant', '1', '45115', '0', '32860', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4697', 'Giant Ant', '2', '45115', '0', '32869', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4698', 'Giant Ant', '1', '45115', '0', '32822', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4699', 'Giant Ant', '2', '45115', '0', '32858', '33294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4700', 'Giant Ant', '1', '45115', '0', '32878', '33272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4701', 'Giant Ant', '2', '45115', '0', '32910', '32172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4702', 'Giant Ant', '1', '45115', '0', '32879', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4703', 'Giant Ant', '2', '45115', '0', '32866', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4704', 'Giant Ant', '1', '45115', '0', '32835', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4705', 'Giant Ant', '2', '45115', '0', '32808', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4706', 'Giant Ant', '1', '45115', '0', '32841', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4707', 'Giant Ant', '2', '45115', '0', '32902', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4708', 'Giant Ant', '1', '45115', '0', '32818', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4709', 'Giant Ant', '2', '45115', '0', '32753', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4710', 'Giant Ant', '1', '45115', '0', '32704', '33136', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4711', 'Giant Ant', '2', '45115', '0', '32998', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4712', 'Giant Ant', '1', '45115', '0', '32955', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4713', 'Giant Ant', '2', '45115', '0', '32941', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4714', 'Giant Ant', '1', '45115', '0', '32901', '33285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4715', 'Giant Ant', '2', '45115', '0', '32893', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4716', 'Giant Ant', '1', '45115', '0', '32896', '33316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4717', 'Giant Ant', '2', '45115', '0', '32915', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4718', 'Giant Ant', '1', '45115', '0', '32941', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4719', 'Giant Ant', '2', '45115', '0', '32927', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4720', 'Giant Ant', '1', '45115', '0', '32865', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4721', 'Giant Ant', '2', '45115', '0', '32842', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4722', 'Giant Ant', '1', '45115', '0', '32827', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4723', 'Giant Ant', '2', '45115', '0', '32811', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4724', 'Giant Ant', '1', '45115', '0', '32798', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('4725', 'Giant Ant', '2', '45115', '0', '32798', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5410', 'Giant Ant', '1', '45115', '0', '32931', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5411', 'Giant Ant', '2', '45115', '0', '32896', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5412', 'Giant Ant', '1', '45115', '0', '32941', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5413', 'Giant Ant', '2', '45115', '0', '32968', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5414', 'Giant Ant', '1', '45115', '0', '32975', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5415', 'Giant Ant', '2', '45115', '0', '32946', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5416', 'Giant Ant', '1', '45115', '0', '32923', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5417', 'Giant Ant', '2', '45115', '0', '32908', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5418', 'Giant Ant', '1', '45115', '0', '32974', '33257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5419', 'Giant Ant', '2', '45115', '0', '32997', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5420', 'Giant Ant', '1', '45115', '0', '33010', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5421', 'Giant Ant', '2', '45115', '0', '32989', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5422', 'Giant Ant', '1', '45115', '0', '32977', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5423', 'Giant Ant', '2', '45115', '0', '32960', '33282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5424', 'Giant Ant', '1', '45115', '0', '32927', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5425', 'Giant Ant', '2', '45115', '0', '32917', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5499', 'Orc Wizard', '2', '45121', '0', '32703', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500', 'Orc Wizard', '0', '45121', '0', '32710', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5501', 'Orc Wizard', '2', '45121', '0', '32721', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5502', 'Orc Wizard', '0', '45121', '0', '32718', '32913', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5503', 'Orc Wizard', '2', '45121', '0', '32721', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5504', 'Orc Wizard', '0', '45121', '0', '33058', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5505', 'Orc Wizard', '2', '45121', '0', '33079', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5506', 'Orc Wizard', '0', '45121', '0', '33054', '33292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5507', 'Orc Wizard', '2', '45121', '0', '33056', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5508', 'Orc Wizard', '0', '45121', '0', '33047', '33275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5509', 'Orc Wizard', '2', '45121', '0', '33053', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5510', 'Orc Wizard', '0', '45121', '0', '33050', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5511', 'Orc Wizard', '2', '45121', '0', '32999', '33148', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5512', 'Orc Wizard', '0', '45121', '0', '33012', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5513', 'Orc Wizard', '2', '45121', '0', '33005', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5514', 'Orc Wizard', '0', '45121', '0', '32568', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5515', 'Orc Wizard', '2', '45121', '0', '32567', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5516', 'Orc Wizard', '0', '45121', '0', '32614', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5517', 'Orc Wizard', '2', '45121', '0', '32649', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5518', 'Orc Wizard', '0', '45121', '0', '32509', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5519', 'Orc Wizard', '2', '45121', '0', '32745', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5520', 'Orc Wizard', '0', '45121', '0', '32755', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5521', 'Orc Wizard', '2', '45121', '0', '32744', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5522', 'Orc Wizard', '0', '45121', '0', '32727', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5523', 'Orc Wizard', '2', '45121', '0', '32705', '32343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5524', 'Orc Wizard', '0', '45121', '0', '32685', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5525', 'Orc Wizard', '2', '45121', '0', '32693', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5526', 'Orc Wizard', '0', '45121', '0', '32727', '33234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5527', 'Orc Wizard', '2', '45121', '0', '32752', '33258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5528', 'Orc Wizard', '0', '45121', '0', '32776', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5529', 'Orc Wizard', '2', '45121', '0', '32740', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5530', 'Orc Wizard', '0', '45121', '0', '32769', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5531', 'Orc Wizard', '2', '45121', '0', '32723', '33308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5532', 'Orc Wizard', '0', '45121', '0', '32691', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5533', 'Orc Wizard', '2', '45121', '0', '33193', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5534', 'Orc Wizard', '0', '45121', '0', '33228', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5535', 'Orc Wizard', '2', '45121', '0', '33197', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5536', 'Orc Wizard', '0', '45121', '0', '33178', '33053', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5537', 'Orc Wizard', '2', '45121', '0', '33151', '33074', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5551', 'Skeleton Archer', '1', '45122', '0', '32821', '32734', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5552', 'Skeleton Archer', '1', '45122', '0', '32815', '32756', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5553', 'Skeleton Archer', '1', '45122', '0', '32770', '32747', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5554', 'Skeleton Archer', '1', '45122', '0', '32793', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5555', 'Skeleton Archer', '1', '45122', '0', '32811', '32671', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5556', 'Skeleton Archer', '1', '45122', '0', '32828', '32613', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5557', 'Skeleton Archer', '1', '45122', '0', '32729', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5558', 'Skeleton Archer', '1', '45122', '0', '32681', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5559', 'Skeleton Archer', '1', '45122', '0', '32705', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5560', 'Skeleton Archer', '1', '45122', '0', '32723', '32596', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5561', 'Skeleton Archer', '1', '45122', '0', '32782', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5562', 'Skeleton Archer', '1', '45122', '0', '32817', '32637', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5563', 'Skeleton Archer', '1', '45122', '0', '32802', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5564', 'Skeleton Archer', '1', '45122', '0', '32799', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5565', 'Skeleton Archer', '1', '45122', '0', '32767', '32711', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5566', 'Skeleton Archer', '1', '45122', '0', '32737', '32713', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5567', 'Skeleton Archer', '1', '45122', '0', '32730', '32694', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5568', 'Skeleton Archer', '1', '45122', '0', '32840', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5569', 'Skeleton Archer', '1', '45122', '0', '32913', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5719', 'Skeleton Archer', '1', '45122', '0', '32827', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5720', 'Skeleton Archer', '1', '45122', '0', '32812', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5721', 'Skeleton Archer', '1', '45122', '0', '32798', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5722', 'Skeleton Archer', '1', '45122', '0', '32787', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5723', 'Skeleton Archer', '1', '45122', '0', '32803', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5724', 'Skeleton Archer', '1', '45122', '0', '32815', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5725', 'Skeleton Archer', '1', '45122', '0', '32830', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5726', 'Skeleton Archer', '1', '45122', '0', '32830', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5727', 'Skeleton Archer', '1', '45122', '0', '32855', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5728', 'Skeleton Archer', '1', '45122', '0', '32867', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5729', 'Skeleton Archer', '1', '45122', '0', '32882', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5730', 'Skeleton Archer', '1', '45122', '0', '32902', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5731', 'Skeleton Archer', '1', '45122', '0', '32921', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5732', 'Skeleton Archer', '1', '45122', '0', '32918', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5733', 'Skeleton Archer', '1', '45122', '0', '32910', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5734', 'Skeleton Archer', '1', '45122', '0', '32882', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5735', 'Skeleton Archer', '1', '45122', '0', '32851', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5746', 'Bear', '1', '45040', '0', '33873', '32555', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5747', 'Bear', '1', '45040', '0', '33870', '32535', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5748', 'Bear', '1', '45040', '0', '33895', '32522', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5749', 'Bear', '1', '45040', '0', '33913', '32516', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5750', 'Bear', '1', '45040', '0', '33897', '32503', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5751', 'Bear', '1', '45040', '0', '33880', '32491', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5752', 'Bear', '1', '45040', '0', '33864', '32488', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5753', 'Bear', '1', '45040', '0', '33852', '32473', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5754', 'Bear', '1', '45040', '0', '33860', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5755', 'Bear', '1', '45040', '0', '33883', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5756', 'Bear', '1', '45040', '0', '33877', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5757', 'Bear', '1', '45040', '0', '33906', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5758', 'Bear', '1', '45040', '0', '33918', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5759', 'Bear', '1', '45040', '0', '33915', '32391', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5760', 'Bear', '1', '45040', '0', '33883', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5761', 'Bear', '1', '45040', '0', '33866', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5762', 'Bear', '1', '45040', '0', '33881', '32321', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5763', 'Bear', '1', '45040', '0', '33882', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5764', 'Bear', '1', '45040', '0', '33887', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5765', 'Bear', '1', '45040', '0', '33908', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5766', 'Bear', '1', '45040', '0', '33927', '32257', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5767', 'Bear', '1', '45040', '0', '33957', '32271', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5797', 'Stone Golem', '1', '45126', '0', '32929', '32571', '3', '0', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5809', 'Stone Golem', '1', '45126', '0', '33072', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5810', 'Stone Golem', '1', '45126', '0', '32599', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5811', 'Stone Golem', '1', '45126', '0', '32571', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5812', 'Stone Golem', '1', '45126', '0', '32557', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5813', 'Stone Golem', '1', '45126', '0', '32570', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5814', 'Stone Golem', '1', '45126', '0', '32575', '33215', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5815', 'Stone Golem', '1', '45126', '0', '32551', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5816', 'Stone Golem', '1', '45126', '0', '32570', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5817', 'Stone Golem', '1', '45126', '0', '32598', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5818', 'Stone Golem', '1', '45126', '0', '32627', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5819', 'Stone Golem', '1', '45126', '0', '32668', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5820', 'Stone Golem', '1', '45126', '0', '32876', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5821', 'Stone Golem', '1', '45126', '0', '32954', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5822', 'Stone Golem', '1', '45126', '0', '32980', '33479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5823', 'Stone Golem', '1', '45126', '0', '32950', '33470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5824', 'Stone Golem', '1', '45126', '0', '32925', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5825', 'Stone Golem', '1', '45126', '0', '32868', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5826', 'Stone Golem', '1', '45126', '0', '32850', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5827', 'Stone Golem', '1', '45126', '0', '32782', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5828', 'Stone Golem', '1', '45126', '0', '32716', '33460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5829', 'Stone Golem', '1', '45126', '0', '32740', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5830', 'Stone Golem', '1', '45126', '0', '32800', '33491', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5831', 'Stone Golem', '1', '45126', '0', '32829', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5832', 'Stone Golem', '1', '45126', '0', '32879', '33402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5833', 'Stone Golem', '1', '45126', '0', '32911', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5834', 'Stone Golem', '1', '45126', '0', '32897', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5835', 'Stone Golem', '1', '45126', '0', '32873', '33426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5836', 'Stone Golem', '1', '45126', '0', '32808', '33428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5837', 'Stone Golem', '1', '45126', '0', '32805', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5838', 'Stone Golem', '1', '45126', '0', '32817', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5839', 'Stone Golem', '1', '45126', '0', '32906', '33451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5845', 'Stone Golem', '1', '45126', '0', '32928', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5846', 'Stone Golem', '1', '45126', '0', '32941', '32605', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5847', 'Stone Golem', '1', '45126', '0', '32962', '32623', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5848', 'Stone Golem', '1', '45126', '0', '32980', '32616', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5849', 'Stone Golem', '1', '45126', '0', '32991', '32647', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5850', 'Stone Golem', '1', '45126', '0', '32965', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5869', 'Rova Orc', '2', '45127', '0', '32685', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5870', 'Rova Orc', '1', '45127', '0', '32661', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5871', 'Rova Orc', '2', '45127', '0', '32581', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5872', 'Rova Orc', '1', '45127', '0', '32537', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5873', 'Rova Orc', '2', '45127', '0', '32560', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5874', 'Rova Orc', '1', '45127', '0', '32597', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5875', 'Rova Orc', '2', '45127', '0', '32653', '32451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5876', 'Rova Orc', '1', '45127', '0', '32640', '32469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5877', 'Rova Orc', '2', '45127', '0', '32588', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5878', 'Rova Orc', '1', '45127', '0', '32541', '32431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5879', 'Rova Orc', '2', '45127', '0', '32560', '32448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5880', 'Rova Orc', '1', '45127', '0', '32597', '32487', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5881', 'Rova Orc', '2', '45127', '0', '32555', '32217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5882', 'Rova Orc', '1', '45127', '0', '32559', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5883', 'Rova Orc', '2', '45127', '0', '32562', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5884', 'Rova Orc', '1', '45127', '0', '32589', '32241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5885', 'Rova Orc', '2', '45127', '0', '32591', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5886', 'Rova Orc', '1', '45127', '0', '32622', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5887', 'Rova Orc', '2', '45127', '0', '32663', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5888', 'Rova Orc', '1', '45127', '0', '32682', '32334', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5889', 'Rova Orc', '2', '45127', '0', '32695', '32360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5890', 'Rova Orc', '1', '45127', '0', '32699', '32404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5891', 'Rova Orc', '2', '45127', '0', '32689', '32413', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5892', 'Rova Orc', '1', '45127', '0', '32665', '32390', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5893', 'Rova Orc', '2', '45127', '0', '32644', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5894', 'Rova Orc', '1', '45127', '0', '32611', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5895', 'Rova Orc', '2', '45127', '0', '32852', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5896', 'Rova Orc', '1', '45127', '0', '32737', '32356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5897', 'Rova Orc', '2', '45127', '0', '32815', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5898', 'Rova Orc', '1', '45127', '0', '32789', '32346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5899', 'Rova Orc', '2', '45127', '0', '32721', '32318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900', 'Rova Orc', '1', '45127', '0', '32721', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5901', 'Rova Orc', '2', '45127', '0', '32716', '32259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5902', 'Rova Orc', '1', '45127', '0', '32675', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5903', 'Rova Orc', '2', '45127', '0', '32639', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5904', 'Rova Orc', '1', '45127', '0', '32603', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5905', 'Rova Orc', '2', '45127', '0', '32603', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5906', 'Rova Orc', '1', '45127', '0', '32642', '32270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5907', 'Rova Orc', '2', '45127', '0', '32685', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5908', 'Rova Orc', '1', '45127', '0', '32737', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5909', 'Rova Orc', '2', '45127', '0', '32826', '32455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5938', 'Blue Tail', '0', '45239', '0', '32389', '33203', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5939', 'Skeleton Axeman', '2', '45130', '0', '32746', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5940', 'Skeleton Axeman', '0', '45130', '0', '32778', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5941', 'Skeleton Axeman', '2', '45130', '0', '32802', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5942', 'Skeleton Axeman', '0', '45130', '0', '32808', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5943', 'Skeleton Axeman', '2', '45130', '0', '32803', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5944', 'Skeleton Axeman', '0', '45130', '0', '32839', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5945', 'Skeleton Axeman', '2', '45130', '0', '32855', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5946', 'Skeleton Axeman', '0', '45130', '0', '32849', '32811', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5947', 'Skeleton Axeman', '2', '45130', '0', '32835', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5948', 'Skeleton Axeman', '0', '45130', '0', '32814', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5949', 'Skeleton Axeman', '2', '45130', '0', '32932', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5950', 'Skeleton Axeman', '0', '45130', '0', '32931', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5951', 'Skeleton Axeman', '2', '45130', '0', '32923', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5997', 'Skeleton Soldier', '2', '45131', '0', '32758', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5998', 'Skeleton Soldier', '0', '45131', '0', '32762', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5999', 'Skeleton Soldier', '2', '45131', '0', '32755', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000', 'Skeleton Soldier', '0', '45131', '0', '32772', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6001', 'Skeleton Soldier', '2', '45131', '0', '32799', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6002', 'Skeleton Soldier', '0', '45131', '0', '32800', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6003', 'Skeleton Soldier', '2', '45131', '0', '32805', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6004', 'Skeleton Soldier', '0', '45131', '0', '32851', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6005', 'Skeleton Soldier', '2', '45131', '0', '32866', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6006', 'Skeleton Soldier', '0', '45131', '0', '32857', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6007', 'Skeleton Soldier', '2', '45131', '0', '32838', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6008', 'Skeleton Soldier', '0', '45131', '0', '32843', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6009', 'Skeleton Soldier', '2', '45131', '0', '32877', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6010', 'Skeleton Soldier', '0', '45131', '0', '32865', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6011', 'Skeleton Soldier', '2', '45131', '0', '32808', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6012', 'Skeleton Soldier', '0', '45131', '0', '32921', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6117', 'Snowman', '1', '45133', '0', '34227', '32226', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6118', 'Snowman', '1', '45133', '0', '34250', '32223', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6119', 'Snowman', '1', '45133', '0', '34255', '32258', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6120', 'Snowman', '1', '45133', '0', '34188', '32289', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6121', 'Snowman', '1', '45133', '0', '34168', '32294', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6122', 'Snowman', '1', '45133', '0', '34197', '32382', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6123', 'Snowman', '1', '45133', '0', '34197', '32417', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6124', 'Snowman', '1', '45133', '0', '34178', '32454', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6125', 'Snowman', '1', '45133', '0', '34157', '32454', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6126', 'Snowman', '1', '45133', '0', '34139', '32423', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6127', 'Snowman', '1', '45133', '0', '34134', '32397', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6128', 'Snowman', '1', '45133', '0', '34155', '32341', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6129', 'Snowman', '1', '45133', '0', '34088', '32313', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6130', 'Snowman', '1', '45133', '0', '34042', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6131', 'Snowman', '1', '45133', '0', '34032', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6132', 'Snowman', '1', '45133', '0', '34018', '32296', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6133', 'Snowman', '1', '45133', '0', '34034', '32303', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6134', 'Snowman', '1', '45133', '0', '34032', '32329', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6135', 'Snowman', '1', '45133', '0', '34033', '32351', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6136', 'Snowman', '1', '45133', '0', '34038', '32364', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6137', 'Snowman', '1', '45133', '0', '34010', '32370', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6138', 'Snowman', '1', '45133', '0', '33989', '32364', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6139', 'Snowman', '1', '45133', '0', '33973', '32379', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6140', 'Snowman', '1', '45133', '0', '33954', '32370', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6141', 'Snowman', '1', '45133', '0', '33937', '32353', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6142', 'Snowman', '1', '45133', '0', '33949', '32338', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6143', 'Snowman', '1', '45133', '0', '33961', '32326', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6144', 'Snowman', '1', '45133', '0', '33950', '32311', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6145', 'Snowman', '1', '45133', '0', '33943', '32295', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6146', 'Snowman', '1', '45133', '0', '33969', '32293', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6147', 'Snowman', '1', '45133', '0', '34000', '32286', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6166', 'Arachnevil', '1', '45136', '0', '33533', '33301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6167', 'Arachnevil', '1', '45136', '0', '33506', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6168', 'Arachnevil', '1', '45136', '0', '33482', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6169', 'Arachnevil', '1', '45136', '0', '33494', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6170', 'Arachnevil', '1', '45136', '0', '33465', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6171', 'Arachnevil', '1', '45136', '0', '33455', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6172', 'Arachnevil', '1', '45136', '0', '33441', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6173', 'Arachnevil', '1', '45136', '0', '33445', '33356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6174', 'Arachnevil', '1', '45136', '0', '33470', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6175', 'Arachnevil', '1', '45136', '0', '33415', '33301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6176', 'Arachnevil', '1', '45136', '0', '33399', '33351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6177', 'Arachnevil', '1', '45136', '0', '33371', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6178', 'Arachnevil', '1', '45136', '0', '33361', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6179', 'Arachnevil', '1', '45136', '0', '33359', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6180', 'Arachnevil', '1', '45136', '0', '33328', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6181', 'Arachnevil', '1', '45136', '0', '33326', '33370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6182', 'Arachnevil', '1', '45136', '0', '33368', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6183', 'Arachnevil', '1', '45136', '0', '33422', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6184', 'Arachnevil', '1', '45136', '0', '33457', '33400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6185', 'Arachnevil', '1', '45136', '0', '33451', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6186', 'Arachnevil', '1', '45136', '0', '33453', '33345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6187', 'Arachnevil', '1', '45136', '0', '33454', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6188', 'Arachnevil', '1', '45136', '0', '33354', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6189', 'Arachnevil', '1', '45136', '0', '33284', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6190', 'Arachnevil', '1', '45136', '0', '33275', '33288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6191', 'Arachnevil', '1', '45136', '0', '33276', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6192', 'Arachnevil', '1', '45136', '0', '33296', '33362', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6193', 'Arachnevil', '1', '45136', '0', '33318', '33394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6194', 'Arachnevil', '1', '45136', '0', '33338', '33294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6195', 'Arachnevil', '1', '45136', '0', '33392', '33258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6196', 'Arachnevil', '1', '45136', '0', '33384', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6197', 'Arachnevil', '1', '45136', '0', '33436', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6198', 'Arachnevil', '1', '45136', '0', '33443', '33191', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6199', 'Arachnevil', '1', '45136', '0', '33420', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6200', 'Arachnevil', '1', '45136', '0', '33347', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6201', 'Arachnevil', '1', '45136', '0', '33334', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6202', 'Arachnevil', '1', '45136', '0', '33339', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6203', 'Arachnevil', '1', '45136', '0', '33341', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6204', 'Arachnevil', '1', '45136', '0', '33388', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6205', 'Arachnevil', '1', '45136', '0', '33474', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6206', 'Arachnevil', '1', '45136', '0', '33413', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6207', 'Arachnevil', '1', '45136', '0', '33356', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6208', 'Arachnevil', '1', '45136', '0', '33325', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6209', 'Arachnevil', '1', '45136', '0', '33417', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6210', 'Arachnevil', '1', '45136', '0', '33415', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6211', 'Arachnevil', '1', '45136', '0', '33426', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6212', 'Arachnevil', '1', '45136', '0', '33279', '33148', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6213', 'Arachnevil', '1', '45136', '0', '33570', '33178', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6214', 'Arachnevil', '1', '45136', '0', '33531', '33160', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6215', 'Arachnevil', '1', '45136', '0', '33477', '33156', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6216', 'Arachnevil', '1', '45136', '0', '33453', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6217', 'Arachnevil', '1', '45136', '0', '33476', '33135', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6218', 'Arachnevil', '1', '45136', '0', '33418', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6219', 'Arachnevil', '1', '45136', '0', '33432', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6220', 'Arachnevil', '1', '45136', '0', '33496', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6221', 'Arachnevil', '1', '45136', '0', '33498', '33085', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6222', 'Arachnevil', '1', '45136', '0', '33552', '33124', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6223', 'Arachnevil', '1', '45136', '0', '33565', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6224', 'Arachnevil', '1', '45136', '0', '33536', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6249', 'Arachnevil', '1', '45136', '0', '33325', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6250', 'Arachnevil', '1', '45136', '0', '33328', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6251', 'Arachnevil', '1', '45136', '0', '33352', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6252', 'Arachnevil', '1', '45136', '0', '33383', '33035', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6253', 'Arachnevil', '1', '45136', '0', '33408', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6254', 'Arachnevil', '1', '45136', '0', '33424', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6255', 'Arachnevil', '1', '45136', '0', '33391', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6256', 'Arachnevil', '1', '45136', '0', '33354', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6257', 'Arachnevil', '1', '45136', '0', '33284', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6258', 'Arachnevil', '1', '45136', '0', '33298', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6259', 'Arachnevil', '1', '45136', '0', '33317', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6260', 'Arachnevil', '1', '45136', '0', '33231', '33069', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6261', 'Arachnevil', '1', '45136', '0', '33186', '33045', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6262', 'Arachnevil', '1', '45136', '0', '33153', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6263', 'Arachnevil', '1', '45136', '0', '33088', '32986', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6264', 'Arachnevil', '1', '45136', '0', '33051', '32986', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6265', 'Arachnevil', '1', '45136', '0', '33042', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6266', 'Arachnevil', '1', '45136', '0', '33196', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6267', 'Arachnevil', '1', '45136', '0', '33180', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6268', 'Arachnevil', '1', '45136', '0', '33132', '33040', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6269', 'Arachnevil', '1', '45136', '0', '33098', '33027', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6270', 'Arachnevil', '1', '45136', '0', '32968', '32601', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6271', 'Arachnevil', '1', '45136', '0', '32976', '32646', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6272', 'Arachnevil', '1', '45136', '0', '32990', '32649', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6273', 'Arachnevil', '1', '45136', '0', '32964', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6274', 'Arachnevil', '1', '45136', '0', '32951', '32674', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6275', 'Arachnevil', '1', '45136', '0', '32948', '32640', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6276', 'Arachnevil', '1', '45136', '0', '32935', '32625', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6277', 'Arachnevil', '1', '45136', '0', '32918', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6278', 'Arachnevil', '1', '45136', '0', '32915', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6279', 'Arachnevil', '1', '45136', '0', '32923', '32550', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6280', 'Arachnevil', '1', '45136', '0', '32940', '32557', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6281', 'Arachnevil', '1', '45136', '0', '32967', '32571', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6282', 'Arachnevil', '1', '45136', '0', '33163', '32593', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6283', 'Arachnevil', '1', '45136', '0', '33184', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6284', 'Arachnevil', '1', '45136', '0', '33201', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6285', 'Arachnevil', '1', '45136', '0', '33179', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6286', 'Arachnevil', '1', '45136', '0', '33156', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6287', 'Arachnevil', '1', '45136', '0', '33123', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6288', 'Arachnevil', '1', '45136', '0', '33088', '32596', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6289', 'Arachnevil', '1', '45136', '0', '33049', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6290', 'Arachnevil', '1', '45136', '0', '33078', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6291', 'Arachnevil', '1', '45136', '0', '33098', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6292', 'Arachnevil', '1', '45136', '0', '32940', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6293', 'Arachnevil', '1', '45136', '0', '32935', '32979', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6294', 'Arachnevil', '1', '45136', '0', '32951', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6295', 'Arachnevil', '1', '45136', '0', '32962', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6296', 'Arachnevil', '1', '45136', '0', '32977', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6297', 'Arachnevil', '1', '45136', '0', '32960', '32943', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6298', 'Arachnevil', '1', '45136', '0', '32975', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6299', 'Arachnevil', '1', '45136', '0', '32979', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300', 'Arachnevil', '1', '45136', '0', '32990', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6301', 'Arachnevil', '1', '45136', '0', '32956', '32893', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6302', 'Arachnevil', '1', '45136', '0', '33448', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6303', 'Arachnevil', '1', '45136', '0', '33478', '32580', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6304', 'Arachnevil', '1', '45136', '0', '33493', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6305', 'Arachnevil', '1', '45136', '0', '33508', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6306', 'Arachnevil', '1', '45136', '0', '33519', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6307', 'Arachnevil', '1', '45136', '0', '33523', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6308', 'Arachnevil', '1', '45136', '0', '33530', '32549', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6309', 'Arachnevil', '1', '45136', '0', '33538', '32549', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6310', 'Arachnevil', '1', '45136', '0', '33542', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6311', 'Arachnevil', '1', '45136', '0', '33550', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6312', 'Arachnevil', '1', '45136', '0', '33560', '32577', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6313', 'Arachnevil', '1', '45136', '0', '33568', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6314', 'Arachnevil', '1', '45136', '0', '33563', '32597', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6315', 'Arachnevil', '1', '45136', '0', '33536', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6316', 'Arachnevil', '1', '45136', '0', '33522', '32578', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6317', 'Arachnevil', '1', '45136', '0', '33508', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6318', 'Arachnevil', '1', '45136', '0', '33496', '32587', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6319', 'Arachnevil', '1', '45136', '0', '33487', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6320', 'Arachnevil', '1', '45136', '0', '33481', '32566', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6321', 'Arachnevil', '1', '45136', '0', '33469', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6322', 'Arachnevil', '1', '45136', '0', '33457', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6323', 'Arachnevil', '1', '45136', '0', '33447', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6324', 'Arachnevil', '1', '45136', '0', '33454', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6325', 'Arachnevil', '1', '45136', '0', '33452', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6326', 'Arachnevil', '1', '45136', '0', '33437', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6327', 'Arachnevil', '1', '45136', '0', '33500', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6328', 'Arachnevil', '1', '45136', '0', '33531', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6329', 'Arachnevil', '1', '45136', '0', '33532', '32557', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6330', 'Arachnevil', '1', '45136', '0', '33516', '32552', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6331', 'Arachnevil', '1', '45136', '0', '33504', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6332', 'Arachnevil', '1', '45136', '0', '33484', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6333', 'Arachnevil', '1', '45136', '0', '33459', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6334', 'Arachnevil', '1', '45136', '0', '33428', '32578', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6335', 'Arachnevil', '1', '45136', '0', '33410', '32571', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6336', 'Arachnevil', '1', '45136', '0', '33410', '32556', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6337', 'Arachnevil', '1', '45136', '0', '33394', '32576', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6338', 'Arachnevil', '1', '45136', '0', '33392', '32591', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6339', 'Arachnevil', '1', '45136', '0', '33376', '32602', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6340', 'Arachnevil', '1', '45136', '0', '33368', '32591', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6341', 'Arachnevil', '1', '45136', '0', '33372', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6342', 'Arachnevil', '1', '45136', '0', '33375', '32563', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6343', 'Arachnevil', '1', '45136', '0', '33366', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6344', 'Arachnevil', '1', '45136', '0', '33358', '32576', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6345', 'Arachnevil', '1', '45136', '0', '33351', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6346', 'Arachnevil', '1', '45136', '0', '33350', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6347', 'Arachnevil', '1', '45136', '0', '33416', '32592', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6348', 'Arachnevil', '1', '45136', '0', '33416', '32578', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6349', 'Arachnevil', '1', '45136', '0', '33409', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6350', 'Arachnevil', '1', '45136', '0', '33424', '32574', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6424', 'Wild Venom', '0', '45139', '0', '32439', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6425', 'Wild Venom', '2', '45139', '0', '32488', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6426', 'Wild Venom', '0', '45139', '0', '32485', '32951', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6427', 'Wild Venom', '2', '45139', '0', '32464', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6428', 'Wild Venom', '0', '45139', '0', '32448', '32934', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6429', 'Wild Venom', '2', '45139', '0', '32436', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6430', 'Wild Venom', '0', '45139', '0', '32439', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6431', 'Wild Venom', '2', '45139', '0', '32452', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6432', 'Wild Venom', '0', '45139', '0', '32464', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6433', 'Wild Venom', '2', '45139', '0', '32469', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6434', 'Wild Venom', '0', '45139', '0', '32495', '32854', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6435', 'Wild Venom', '2', '45139', '0', '32517', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6436', 'Wild Venom', '0', '45139', '0', '32523', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6437', 'Wild Venom', '2', '45139', '0', '32535', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6438', 'Wild Venom', '0', '45139', '0', '32538', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6439', 'Wild Venom', '2', '45139', '0', '32548', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6440', 'Wild Venom', '0', '45139', '0', '32553', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6441', 'Wild Venom', '2', '45139', '0', '32575', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6442', 'Wild Venom', '0', '45139', '0', '32580', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6443', 'Wild Venom', '2', '45139', '0', '32554', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6444', 'Wild Venom', '0', '45139', '0', '32551', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6445', 'Wild Venom', '2', '45139', '0', '32539', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6446', 'Wild Venom', '0', '45139', '0', '32561', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6447', 'Wild Venom', '2', '45139', '0', '32556', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6448', 'Wild Venom', '0', '45139', '0', '32573', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6449', 'Wild Venom', '2', '45139', '0', '32590', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6450', 'Wild Venom', '0', '45139', '0', '32609', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6451', 'Wild Venom', '2', '45139', '0', '32615', '32930', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6452', 'Wild Venom', '0', '45139', '0', '32625', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6453', 'Wild Venom', '2', '45139', '0', '32649', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6454', 'Wild Venom', '0', '45139', '0', '32667', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6455', 'Wild Venom', '2', '45139', '0', '32689', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6456', 'Wild Venom', '0', '45139', '0', '32693', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6457', 'Wild Venom', '2', '45139', '0', '32684', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6458', 'Wild Venom', '0', '45139', '0', '32667', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6459', 'Wild Venom', '2', '45139', '0', '32643', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6460', 'Wild Venom', '0', '45139', '0', '32623', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6461', 'Wild Venom', '2', '45139', '0', '32626', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6462', 'Wild Venom', '0', '45139', '0', '32632', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6463', 'Wild Venom', '2', '45139', '0', '32630', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6464', 'Wild Venom', '0', '45139', '0', '32640', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6465', 'Wild Venom', '2', '45139', '0', '32625', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6466', 'Wild Venom', '0', '45139', '0', '32607', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6467', 'Wild Venom', '2', '45139', '0', '32581', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6468', 'Wild Venom', '0', '45139', '0', '32562', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6469', 'Wild Venom', '2', '45139', '0', '32565', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6470', 'Wild Venom', '0', '45139', '0', '32575', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6471', 'Wild Venom', '2', '45139', '0', '32588', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6472', 'Wild Venom', '0', '45139', '0', '32606', '32972', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6473', 'Wild Venom', '2', '45139', '0', '32618', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6474', 'Wild Venom', '0', '45139', '0', '32631', '32957', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6475', 'Wild Venom', '2', '45139', '0', '32645', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6476', 'Wild Venom', '0', '45139', '0', '32661', '32956', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6477', 'Wild Venom', '2', '45139', '0', '32661', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6478', 'Wild Venom', '0', '45139', '0', '32646', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6479', 'Wild Venom', '2', '45139', '0', '32651', '32995', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6480', 'Wild Venom', '0', '45139', '0', '32662', '32995', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6481', 'Wild Venom', '2', '45139', '0', '32653', '33021', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6482', 'Wild Venom', '0', '45139', '0', '32659', '33040', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6483', 'Wild Venom', '2', '45139', '0', '32671', '33059', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6484', 'Wild Venom', '0', '45139', '0', '32684', '33071', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6485', 'Wild Venom', '2', '45139', '0', '32685', '33084', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6486', 'Wild Venom', '0', '45139', '0', '32677', '33106', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6487', 'Wild Venom', '2', '45139', '0', '32678', '33117', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6488', 'Wild Venom', '0', '45139', '0', '32676', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6489', 'Wild Venom', '2', '45139', '0', '32690', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6490', 'Wild Venom', '0', '45139', '0', '32675', '33173', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6491', 'Wild Venom', '2', '45139', '0', '32675', '33198', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6492', 'Wild Venom', '0', '45139', '0', '32665', '33215', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6493', 'Wild Venom', '2', '45139', '0', '32640', '33199', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6494', 'Wild Venom', '0', '45139', '0', '32615', '33194', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6495', 'Wild Venom', '2', '45139', '0', '32600', '33195', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6496', 'Wild Venom', '0', '45139', '0', '32603', '33173', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6497', 'Wild Venom', '2', '45139', '0', '32579', '33162', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6498', 'Wild Venom', '0', '45139', '0', '32562', '33166', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6499', 'Wild Venom', '2', '45139', '0', '32545', '33161', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6500', 'Wild Venom', '0', '45139', '0', '32560', '33145', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6501', 'Wild Venom', '2', '45139', '0', '32532', '33156', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6502', 'Wild Venom', '0', '45139', '0', '32512', '33174', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6503', 'Wild Venom', '2', '45139', '0', '32497', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6504', 'Wild Venom', '0', '45139', '0', '32486', '33190', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6505', 'Wild Venom', '2', '45139', '0', '32470', '33180', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6506', 'Wild Venom', '0', '45139', '0', '32454', '33172', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6507', 'Wild Venom', '2', '45139', '0', '32446', '33157', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6508', 'Wild Venom', '0', '45139', '0', '32429', '33156', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6509', 'Wild Venom', '2', '45139', '0', '32416', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6510', 'Wild Venom', '0', '45139', '0', '32413', '33187', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6511', 'Wild Venom', '2', '45139', '0', '32408', '33195', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6512', 'Wild Venom', '0', '45139', '0', '32404', '33210', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6513', 'Wild Venom', '2', '45139', '0', '32414', '33205', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6514', 'Hobgoblin', '1', '45140', '0', '33011', '33467', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6515', 'Hobgoblin', '1', '45140', '6', '33009', '33443', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6516', 'Hobgoblin', '1', '45140', '0', '33024', '33406', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6518', 'Hobgoblin', '1', '45140', '0', '33035', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6519', 'Hobgoblin', '1', '45140', '0', '33022', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6520', 'Hobgoblin', '1', '45140', '0', '33057', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6521', 'Hobgoblin', '1', '45140', '0', '33005', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6522', 'Hobgoblin', '1', '45140', '0', '32684', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6523', 'Hobgoblin', '1', '45140', '0', '32738', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6524', 'Hobgoblin', '1', '45140', '0', '32753', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6525', 'Hobgoblin', '1', '45140', '0', '32782', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6526', 'Hobgoblin', '1', '45140', '0', '32731', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6527', 'Hobgoblin', '1', '45140', '0', '32689', '33238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6528', 'Hobgoblin', '1', '45140', '0', '32836', '33047', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6529', 'Hobgoblin', '1', '45140', '0', '32902', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6530', 'Hobgoblin', '1', '45140', '0', '32870', '33075', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6531', 'Hobgoblin', '1', '45140', '0', '32936', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6532', 'Hobgoblin', '1', '45140', '0', '32973', '33149', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6533', 'Hobgoblin', '1', '45140', '6', '33001', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6534', 'Hobgoblin', '1', '45140', '0', '33018', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6535', 'Hobgoblin', '1', '45140', '0', '33033', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6536', 'Hobgoblin', '1', '45140', '0', '33002', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6537', 'Hobgoblin', '1', '45140', '0', '32988', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6538', 'Hobgoblin', '1', '45140', '0', '32796', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6539', 'Hobgoblin', '1', '45140', '0', '32733', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6540', 'Hobgoblin', '1', '45140', '0', '32695', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6541', 'Hobgoblin', '1', '45140', '0', '32642', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6542', 'Hobgoblin', '1', '45140', '0', '33104', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6543', 'Hobgoblin', '1', '45140', '0', '33090', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6544', 'Hobgoblin', '1', '45140', '0', '33112', '32593', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6545', 'Hobgoblin', '1', '45140', '0', '33130', '32604', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6546', 'Hobgoblin', '1', '45140', '0', '33173', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6547', 'Hobgoblin', '1', '45140', '0', '33194', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6548', 'Hobgoblin', '1', '45140', '0', '33229', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6549', 'Hobgoblin', '1', '45140', '0', '33249', '32718', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6550', 'Hobgoblin', '1', '45140', '0', '33168', '32672', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6551', 'Hobgoblin', '1', '45140', '0', '33180', '32648', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6552', 'Hobgoblin', '1', '45140', '0', '33163', '32605', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6553', 'Hobgoblin', '1', '45140', '6', '33163', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6554', 'Hobgoblin', '1', '45140', '0', '33210', '32602', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6555', 'Hobgoblin', '1', '45140', '0', '33228', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6556', 'Hobgoblin', '1', '45140', '0', '33268', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6575', 'Hobgoblin', '1', '45140', '0', '33030', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6576', 'Hobgoblin', '1', '45140', '0', '33027', '33375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6577', 'Hobgoblin', '1', '45140', '0', '33013', '33396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6578', 'Hobgoblin', '1', '45140', '0', '32996', '33425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6579', 'Hobgoblin', '1', '45140', '0', '32987', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6580', 'Hobgoblin', '1', '45140', '0', '32978', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6581', 'Hobgoblin', '1', '45140', '0', '32969', '33428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6582', 'Hobgoblin', '1', '45140', '0', '32973', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6583', 'Hobgoblin', '1', '45140', '0', '32953', '33394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6584', 'Hobgoblin', '1', '45140', '0', '32967', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6585', 'Hobgoblin', '1', '45140', '0', '32996', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6586', 'Hobgoblin', '1', '45140', '0', '33020', '33375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6587', 'Hobgoblin', '1', '45140', '0', '33009', '33363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6588', 'Hobgoblin', '1', '45140', '0', '32972', '33372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6589', 'Hobgoblin', '1', '45140', '6', '32998', '33388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6590', 'Hobgoblin', '1', '45140', '0', '33044', '33415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6591', 'Hobgoblin', '1', '45140', '0', '33030', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6592', 'Hobgoblin', '1', '45140', '0', '33062', '33465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6593', 'Hobgoblin', '1', '45140', '0', '33090', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6594', 'Hobgoblin', '1', '45140', '0', '33104', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6595', 'Hobgoblin', '1', '45140', '0', '33129', '33489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6596', 'Hobgoblin', '1', '45140', '0', '33165', '33482', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6597', 'Hobgoblin', '1', '45140', '0', '33208', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6598', 'Hobgoblin', '1', '45140', '0', '33277', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6599', 'Hobgoblin', '1', '45140', '0', '33254', '33434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6600', 'Hobgoblin', '1', '45140', '0', '33210', '33451', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6601', 'Hobgoblin', '1', '45140', '0', '33158', '33434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6602', 'Hobgoblin', '1', '45140', '0', '33123', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6603', 'Hobgoblin', '1', '45140', '0', '33103', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6604', 'Hobgoblin', '1', '45140', '0', '33107', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6605', 'Hobgoblin', '1', '45140', '0', '33249', '33372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6606', 'Hobgoblin', '1', '45140', '0', '33191', '33435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6607', 'Hobgoblin', '1', '45140', '6', '33091', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6608', 'Hobgoblin', '1', '45140', '0', '33195', '33397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6609', 'Hobgoblin', '1', '45140', '0', '33159', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6658', 'Duda-Mara Orc', '1', '45143', '0', '32673', '32426', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6659', 'Duda-Mara Orc', '2', '45143', '0', '32620', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6660', 'Duda-Mara Orc', '1', '45143', '0', '32607', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6661', 'Duda-Mara Orc', '2', '45143', '0', '32568', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6662', 'Duda-Mara Orc', '1', '45143', '0', '32543', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6663', 'Duda-Mara Orc', '2', '45143', '0', '32565', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6664', 'Duda-Mara Orc', '1', '45143', '0', '32609', '32406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6665', 'Duda-Mara Orc', '2', '45143', '0', '32627', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6666', 'Duda-Mara Orc', '1', '45143', '0', '32546', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6667', 'Duda-Mara Orc', '2', '45143', '0', '32547', '32435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6668', 'Duda-Mara Orc', '1', '45143', '0', '32569', '32462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6669', 'Duda-Mara Orc', '2', '45143', '0', '32605', '32502', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6670', 'Duda-Mara Orc', '1', '45143', '0', '32544', '32225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6671', 'Duda-Mara Orc', '2', '45143', '0', '32558', '32266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6672', 'Duda-Mara Orc', '1', '45143', '0', '32557', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6673', 'Duda-Mara Orc', '2', '45143', '0', '32586', '32266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6674', 'Duda-Mara Orc', '1', '45143', '0', '32639', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6675', 'Duda-Mara Orc', '2', '45143', '0', '32685', '32353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6676', 'Duda-Mara Orc', '1', '45143', '0', '32699', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6677', 'Duda-Mara Orc', '2', '45143', '0', '32651', '32369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6678', 'Duda-Mara Orc', '1', '45143', '0', '32592', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6679', 'Duda-Mara Orc', '2', '45143', '0', '32729', '32349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6680', 'Duda-Mara Orc', '1', '45143', '0', '32758', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6681', 'Duda-Mara Orc', '2', '45143', '0', '32809', '32338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6682', 'Duda-Mara Orc', '1', '45143', '0', '32732', '32328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6683', 'Duda-Mara Orc', '2', '45143', '0', '32745', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6684', 'Duda-Mara Orc', '1', '45143', '0', '32689', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6685', 'Duda-Mara Orc', '2', '45143', '0', '32611', '32235', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6686', 'Lizardman', '1', '45144', '0', '33525', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6687', 'Lizardman', '1', '45144', '0', '33505', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6688', 'Lizardman', '1', '45144', '0', '33503', '33300', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6689', 'Lizardman', '1', '45144', '0', '33531', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6690', 'Lizardman', '1', '45144', '0', '33489', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6691', 'Lizardman', '1', '45144', '0', '33465', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6692', 'Lizardman', '1', '45144', '0', '33444', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6693', 'Lizardman', '1', '45144', '0', '33441', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6694', 'Lizardman', '1', '45144', '0', '33433', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6695', 'Lizardman', '1', '45144', '0', '33467', '33365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6696', 'Lizardman', '1', '45144', '0', '33446', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6697', 'Lizardman', '1', '45144', '0', '33424', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6698', 'Lizardman', '1', '45144', '0', '33383', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6699', 'Lizardman', '1', '45144', '0', '33384', '33374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6700', 'Lizardman', '1', '45144', '0', '33377', '33378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6701', 'Lizardman', '1', '45144', '0', '33352', '33415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6702', 'Lizardman', '1', '45144', '0', '33355', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6703', 'Lizardman', '1', '45144', '0', '33354', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6704', 'Lizardman', '1', '45144', '0', '33320', '33427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6705', 'Lizardman', '1', '45144', '0', '33331', '33406', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6706', 'Lizardman', '1', '45144', '0', '33323', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6707', 'Lizardman', '1', '45144', '0', '33351', '33345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6708', 'Lizardman', '1', '45144', '0', '33414', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6709', 'Lizardman', '1', '45144', '0', '33429', '33344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6710', 'Lizardman', '1', '45144', '0', '33438', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6711', 'Lizardman', '1', '45144', '0', '33340', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6712', 'Lizardman', '1', '45144', '0', '33412', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6713', 'Lizardman', '1', '45144', '0', '33346', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6714', 'Lizardman', '1', '45144', '0', '33315', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6715', 'Lizardman', '1', '45144', '0', '33271', '33253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6716', 'Lizardman', '1', '45144', '0', '33277', '33280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6717', 'Lizardman', '1', '45144', '0', '33282', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6718', 'Lizardman', '1', '45144', '0', '33297', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6719', 'Lizardman', '1', '45144', '0', '33295', '33366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6720', 'Lizardman', '1', '45144', '0', '33313', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6721', 'Lizardman', '1', '45144', '0', '33358', '33290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6722', 'Lizardman', '1', '45144', '0', '33385', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6723', 'Lizardman', '1', '45144', '0', '33376', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6724', 'Lizardman', '1', '45144', '0', '33419', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6725', 'Lizardman', '1', '45144', '0', '33431', '33178', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6726', 'Lizardman', '1', '45144', '0', '33457', '33244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6727', 'Lizardman', '1', '45144', '0', '33439', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6728', 'Lizardman', '1', '45144', '0', '33378', '33233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6729', 'Lizardman', '1', '45144', '0', '33340', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6730', 'Lizardman', '1', '45144', '0', '33301', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6731', 'Lizardman', '1', '45144', '0', '33294', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6732', 'Lizardman', '1', '45144', '0', '33316', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6733', 'Lizardman', '1', '45144', '0', '33370', '33167', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6734', 'Lizardman', '1', '45144', '0', '33329', '33190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6735', 'Lizardman', '1', '45144', '0', '33369', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6736', 'Lizardman', '1', '45144', '0', '33450', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6737', 'Lizardman', '1', '45144', '0', '33391', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6738', 'Lizardman', '1', '45144', '0', '33407', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6739', 'Lizardman', '1', '45144', '0', '33482', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6740', 'Lizardman', '1', '45144', '0', '33512', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6741', 'Lizardman', '1', '45144', '0', '33536', '33105', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6742', 'Lizardman', '1', '45144', '0', '33547', '33097', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6743', 'Lizardman', '1', '45144', '0', '32578', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6744', 'Lizardman', '1', '45144', '0', '32563', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6745', 'Lizardman', '1', '45144', '0', '32575', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6746', 'Lizardman', '1', '45144', '0', '32571', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6747', 'Lizardman', '1', '45144', '0', '32576', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6748', 'Lizardman', '1', '45144', '0', '32559', '33318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6749', 'Lizardman', '1', '45144', '0', '32565', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6750', 'Lizardman', '1', '45144', '0', '32580', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6751', 'Lizardman', '1', '45144', '0', '32591', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6752', 'Lizardman', '1', '45144', '0', '32604', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6753', 'Lizardman', '1', '45144', '0', '32606', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6754', 'Lizardman', '1', '45144', '0', '32624', '33338', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6755', 'Lizardman', '1', '45144', '0', '32557', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6756', 'Lizardman', '1', '45144', '0', '32549', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6757', 'Lizardman', '1', '45144', '0', '32588', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6758', 'Lizardman', '1', '45144', '0', '32567', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6759', 'Lizardman', '1', '45144', '0', '32865', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6760', 'Lizardman', '1', '45144', '0', '32887', '33496', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6761', 'Lizardman', '1', '45144', '0', '32899', '33500', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6762', 'Lizardman', '1', '45144', '0', '32903', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6763', 'Lizardman', '1', '45144', '0', '32907', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6764', 'Lizardman', '1', '45144', '0', '32921', '33492', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6765', 'Lizardman', '1', '45144', '0', '32932', '33496', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6766', 'Lizardman', '1', '45144', '0', '32962', '33497', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6767', 'Lizardman', '1', '45144', '0', '32972', '33497', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6768', 'Lizardman', '1', '45144', '0', '32978', '33492', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6769', 'Lizardman', '1', '45144', '0', '32990', '33493', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6770', 'Lizardman', '1', '45144', '0', '32972', '33476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6771', 'Lizardman', '1', '45144', '0', '32945', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6772', 'Lizardman', '1', '45144', '0', '32916', '33462', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6773', 'Lizardman', '1', '45144', '0', '32895', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6774', 'Lizardman', '1', '45144', '0', '32888', '33452', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6775', 'Lizardman', '1', '45144', '0', '32861', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6776', 'Lizardman', '1', '45144', '0', '32855', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6777', 'Lizardman', '1', '45144', '0', '32841', '33456', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6778', 'Lizardman', '1', '45144', '0', '32823', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6779', 'Lizardman', '1', '45144', '0', '32806', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6780', 'Lizardman', '1', '45144', '0', '32770', '33443', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6781', 'Lizardman', '1', '45144', '0', '32756', '33441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6782', 'Lizardman', '1', '45144', '0', '32736', '33449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6783', 'Lizardman', '1', '45144', '0', '32704', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6784', 'Lizardman', '1', '45144', '0', '32726', '33464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6785', 'Lizardman', '1', '45144', '0', '32731', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6786', 'Lizardman', '1', '45144', '0', '32751', '33478', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6787', 'Lizardman', '1', '45144', '0', '32768', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6788', 'Lizardman', '1', '45144', '0', '32773', '33491', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6789', 'Lizardman', '1', '45144', '0', '32807', '33481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6790', 'Lizardman', '1', '45144', '0', '32822', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6791', 'Lizardman', '1', '45144', '0', '32830', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6792', 'Lizardman', '1', '45144', '0', '32829', '33447', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6793', 'Lizardman', '1', '45144', '0', '32820', '33418', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6794', 'Lizardman', '1', '45144', '0', '32817', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6795', 'Lizardman', '1', '45144', '0', '32829', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6796', 'Lizardman', '1', '45144', '0', '32838', '33404', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6797', 'Lizardman', '1', '45144', '0', '32853', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6798', 'Lizardman', '1', '45144', '0', '32865', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6799', 'Lizardman', '1', '45144', '0', '32887', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6800', 'Lizardman', '1', '45144', '0', '32893', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6801', 'Lizardman', '1', '45144', '0', '32904', '33421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6802', 'Lizardman', '1', '45144', '0', '32914', '33420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6803', 'Lizardman', '1', '45144', '0', '32922', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6804', 'Lizardman', '1', '45144', '0', '32919', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6805', 'Lizardman', '1', '45144', '0', '32916', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6806', 'Lizardman', '1', '45144', '0', '32911', '33475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6807', 'Lizardman', '1', '45144', '0', '32926', '33474', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6808', 'Lizardman', '1', '45144', '0', '32907', '33446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6809', 'Lizardman', '1', '45144', '0', '32883', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6810', 'Lizardman', '1', '45144', '0', '32859', '33431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6811', 'Lizardman', '1', '45144', '0', '32836', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6812', 'Lizardman', '1', '45144', '0', '32724', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6813', 'Lizardman', '1', '45144', '0', '32747', '33464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6814', 'Lizardman', '1', '45144', '0', '32787', '33483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6815', 'Lizardman', '1', '45144', '0', '32817', '33456', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6816', 'Lizardman', '1', '45144', '0', '32859', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6817', 'Lizardman', '1', '45144', '0', '32899', '33437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6818', 'Lizardman', '1', '45144', '0', '33937', '32811', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6819', 'Lizardman', '1', '45144', '0', '33934', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6820', 'Lizardman', '1', '45144', '0', '33930', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6821', 'Lizardman', '1', '45144', '0', '33942', '32849', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6822', 'Lizardman', '1', '45144', '0', '33943', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6823', 'Lizardman', '1', '45144', '0', '33955', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6824', 'Lizardman', '1', '45144', '0', '33946', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6825', 'Lizardman', '1', '45144', '0', '33946', '32893', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6826', 'Lizardman', '1', '45144', '0', '33969', '32882', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6827', 'Lizardman', '1', '45144', '0', '33982', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6828', 'Lizardman', '1', '45144', '0', '33984', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6829', 'Lizardman', '1', '45144', '0', '33990', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6830', 'Lizardman', '1', '45144', '0', '34006', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6831', 'Lizardman', '1', '45144', '0', '34004', '32842', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6832', 'Lizardman', '1', '45144', '0', '34013', '32829', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6833', 'Lizardman', '1', '45144', '0', '34005', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6834', 'Lizardman', '1', '45144', '0', '33994', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6835', 'Lizardman', '1', '45144', '0', '33983', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6836', 'Lizardman', '1', '45144', '0', '33971', '32809', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6837', 'Lizardman', '1', '45144', '0', '33987', '32781', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6838', 'Lizardman', '1', '45144', '0', '33978', '32768', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6839', 'Lizardman', '1', '45144', '0', '34010', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6840', 'Lizardman', '1', '45144', '0', '34030', '32780', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6841', 'Lizardman', '1', '45144', '0', '34047', '32784', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6842', 'Lizardman', '1', '45144', '0', '34054', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6843', 'Lizardman', '1', '45144', '0', '34045', '32805', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6844', 'Lizardman', '1', '45144', '0', '34023', '32818', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6845', 'Lizardman', '1', '45144', '0', '33985', '32840', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6846', 'Lizardman', '1', '45144', '0', '33970', '32831', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6847', 'Lizardman', '1', '45144', '0', '33956', '32821', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6848', 'Lizardman', '1', '45144', '0', '33921', '32819', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6849', 'Lizardman', '1', '45144', '0', '33908', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6850', 'Lizardman', '1', '45144', '0', '33898', '32795', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6851', 'Lizardman', '1', '45144', '0', '33906', '32782', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6852', 'Lizardman', '1', '45144', '0', '33914', '32762', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6853', 'Lizardman', '1', '45144', '0', '33933', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6854', 'Lizardman', '1', '45144', '0', '33941', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6855', 'Lizardman', '1', '45144', '0', '33957', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6856', 'Lizardman', '1', '45144', '0', '33998', '32828', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6857', 'Lizardman', '1', '45144', '0', '33979', '32850', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6858', 'Lizardman', '1', '45144', '0', '33966', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6859', 'Lizardman', '1', '45144', '0', '33925', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6860', 'Owlbear', '1', '45147', '0', '33544', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6861', 'Owlbear', '1', '45147', '0', '33518', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6862', 'Owlbear', '1', '45147', '0', '33488', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6863', 'Owlbear', '1', '45147', '0', '33505', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6864', 'Owlbear', '1', '45147', '0', '33441', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6865', 'Owlbear', '1', '45147', '0', '33434', '33354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6866', 'Owlbear', '1', '45147', '0', '33475', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6867', 'Owlbear', '1', '45147', '0', '33400', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6868', 'Owlbear', '1', '45147', '0', '33352', '33374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6869', 'Owlbear', '1', '45147', '0', '33371', '33442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6870', 'Owlbear', '1', '45147', '0', '33331', '33374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6871', 'Owlbear', '1', '45147', '0', '33386', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6872', 'Owlbear', '1', '45147', '0', '33428', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6873', 'Owlbear', '1', '45147', '0', '33466', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6874', 'Owlbear', '1', '45147', '0', '33456', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6875', 'Owlbear', '1', '45147', '0', '33375', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6876', 'Owlbear', '1', '45147', '0', '33298', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6877', 'Owlbear', '1', '45147', '0', '33284', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6878', 'Owlbear', '1', '45147', '0', '33310', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6879', 'Owlbear', '1', '45147', '0', '33332', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6880', 'Owlbear', '1', '45147', '0', '33393', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6881', 'Owlbear', '1', '45147', '0', '33447', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6882', 'Owlbear', '1', '45147', '0', '33397', '33244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6883', 'Owlbear', '1', '45147', '0', '33329', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6884', 'Owlbear', '1', '45147', '0', '33346', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6885', 'Owlbear', '1', '45147', '0', '33378', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6886', 'Owlbear', '1', '45147', '0', '33539', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6887', 'Owlbear', '1', '45147', '0', '33503', '33147', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6888', 'Owlbear', '1', '45147', '0', '33493', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6889', 'Owlbear', '1', '45147', '0', '33442', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6890', 'Owlbear', '1', '45147', '0', '33460', '33161', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6891', 'Owlbear', '1', '45147', '0', '33440', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6892', 'Owlbear', '1', '45147', '0', '33490', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6893', 'Owlbear', '1', '45147', '0', '33530', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6894', 'Owlbear', '1', '45147', '0', '33542', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6895', 'Owlbear', '1', '45147', '0', '33579', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6896', 'Owlbear', '1', '45147', '0', '34059', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6897', 'Owlbear', '1', '45147', '0', '34111', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6898', 'Owlbear', '1', '45147', '0', '34145', '32830', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6899', 'Owlbear', '1', '45147', '0', '34173', '32813', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6900', 'Owlbear', '1', '45147', '0', '34231', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6901', 'Owlbear', '1', '45147', '0', '34164', '32822', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6902', 'Owlbear', '1', '45147', '0', '34159', '32844', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6903', 'Owlbear', '1', '45147', '0', '34127', '32839', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6904', 'Owlbear', '1', '45147', '0', '34112', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6905', 'Owlbear', '1', '45147', '0', '34078', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6906', 'Owlbear', '1', '45147', '0', '34007', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6907', 'Owlbear', '1', '45147', '0', '34150', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6908', 'Owlbear', '1', '45147', '0', '34158', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6909', 'Owlbear', '1', '45147', '0', '34194', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6910', 'Owlbear', '1', '45147', '0', '34248', '32826', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6911', 'Owlbear', '1', '45147', '0', '34270', '32900', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6912', 'Owlbear', '1', '45147', '0', '34229', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6913', 'Owlbear', '1', '45147', '0', '34204', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6914', 'Atuba Orc', '1', '45149', '0', '32679', '32431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6915', 'Atuba Orc', '2', '45149', '0', '32640', '32398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6916', 'Atuba Orc', '1', '45149', '0', '32600', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6917', 'Atuba Orc', '2', '45149', '0', '32556', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6918', 'Atuba Orc', '1', '45149', '0', '32577', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6919', 'Atuba Orc', '2', '45149', '0', '32616', '32411', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6920', 'Atuba Orc', '1', '45149', '0', '32635', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6921', 'Atuba Orc', '2', '45149', '0', '32656', '32475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6922', 'Atuba Orc', '1', '45149', '0', '32614', '32455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6923', 'Atuba Orc', '2', '45149', '0', '32562', '32428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6924', 'Atuba Orc', '1', '45149', '0', '32556', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6925', 'Atuba Orc', '2', '45149', '0', '32584', '32473', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6926', 'Atuba Orc', '1', '45149', '0', '32623', '32508', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6927', 'Atuba Orc', '2', '45149', '0', '32553', '32233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6928', 'Atuba Orc', '1', '45149', '0', '32573', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6929', 'Atuba Orc', '2', '45149', '0', '32611', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6930', 'Atuba Orc', '1', '45149', '0', '32638', '32323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6931', 'Atuba Orc', '2', '45149', '0', '32679', '32324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6932', 'Atuba Orc', '1', '45149', '0', '32689', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6933', 'Atuba Orc', '2', '45149', '0', '32672', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6934', 'Atuba Orc', '1', '45149', '0', '32708', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6935', 'Atuba Orc', '2', '45149', '0', '32717', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6936', 'Atuba Orc', '1', '45149', '0', '32791', '32368', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6937', 'Atuba Orc', '2', '45149', '0', '32805', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6938', 'Atuba Orc', '1', '45149', '0', '32761', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6939', 'Atuba Orc', '2', '45149', '0', '32759', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6940', 'Atuba Orc', '1', '45149', '0', '32732', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6941', 'Atuba Orc', '2', '45149', '0', '32651', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6942', 'Atuba Orc', '1', '45149', '0', '32601', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6943', 'Atuba Orc', '2', '45149', '0', '32617', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6944', 'Atuba Orc', '1', '45149', '0', '32665', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6945', 'Atuba Orc', '2', '45149', '0', '32704', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6946', 'Atuba Orc', '1', '45149', '0', '32757', '32279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6947', 'Atuba Orc', '2', '45149', '0', '32758', '32233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6948', 'Atuba Orc', '1', '45149', '0', '32828', '32372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6949', 'Atuba Orc', '2', '45149', '0', '32855', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6950', 'Atuba Orc', '1', '45149', '0', '32846', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('6951', 'Atuba Orc', '2', '45149', '0', '32784', '32435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7068', 'Ghoul', '0', '45157', '0', '32754', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7069', 'Ghoul', '2', '45157', '0', '32740', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7070', 'Ghoul', '0', '45157', '0', '32751', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7168', 'Ghoul', '1', '45157', '0', '34052', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7169', 'Ghoul', '1', '45157', '0', '34057', '32405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7170', 'Ghoul', '1', '45157', '0', '34109', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7171', 'Ghoul', '1', '45157', '0', '34107', '32412', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7172', 'Ghoul', '1', '45157', '0', '34124', '32429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7173', 'Ghoul', '1', '45157', '0', '34096', '32507', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7174', 'Ghoul', '1', '45157', '0', '34091', '32556', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7175', 'Ghoul', '1', '45157', '0', '34069', '32565', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7176', 'Ghoul', '1', '45157', '0', '33991', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7177', 'Ghoul', '1', '45157', '0', '33989', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7178', 'Ghoul', '1', '45157', '0', '34036', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7179', 'Ghoul', '1', '45157', '0', '34077', '32458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7180', 'Ghoul', '1', '45157', '0', '34037', '32470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7181', 'Ghoul', '1', '45157', '0', '34040', '32517', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7182', 'Ghoul', '1', '45157', '0', '34008', '32529', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7183', 'Ghoul', '1', '45157', '0', '34144', '32587', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7184', 'Ghoul', '1', '45157', '0', '34154', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7185', 'Ghoul', '1', '45157', '0', '34138', '32493', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7186', 'Ghoul', '1', '45157', '0', '34069', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7187', 'Ghoul', '1', '45157', '0', '33942', '32459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7188', 'Ghoul', '1', '45157', '0', '33959', '32497', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7189', 'Ghoul', '1', '45157', '0', '34049', '32546', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7190', 'Ghoul', '1', '45157', '0', '34071', '32523', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7191', 'Ghoul', '1', '45157', '0', '34050', '32531', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7192', 'Ghoul', '1', '45157', '0', '34129', '32536', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7193', 'Ghoul', '1', '45157', '0', '34147', '32463', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7379', 'Ghoul', '1', '45157', '0', '32817', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7380', 'Ghoul', '1', '45157', '0', '32781', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7381', 'Ghoul', '1', '45157', '0', '32775', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7382', 'Ghoul', '1', '45157', '0', '32794', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7383', 'Ghoul', '1', '45157', '0', '32811', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7384', 'Ghoul', '1', '45157', '0', '32834', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7385', 'Ghoul', '1', '45157', '0', '32852', '32946', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7386', 'Ghoul', '1', '45157', '0', '32876', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7387', 'Ghoul', '1', '45157', '0', '32903', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7388', 'Ghoul', '1', '45157', '0', '32903', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7389', 'Ghoul', '1', '45157', '0', '32888', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7390', 'Ghoul', '1', '45157', '0', '32871', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7391', 'Ghoul', '1', '45157', '0', '32895', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7392', 'Ghoul', '1', '45157', '0', '32901', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7393', 'Ghoul', '1', '45157', '0', '32926', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7394', 'Ghoul', '1', '45157', '0', '32924', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7459', 'Mad Lizardman', '2', '45158', '0', '32396', '3323', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7460', 'Mad Lizardman', '0', '45158', '0', '32614', '3303', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7461', 'Mad Lizardman', '2', '45158', '0', '32468', '3313', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7462', 'Mad Lizardman', '0', '45158', '0', '32745', '32744', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7463', 'Mad Lizardman', '2', '45158', '0', '32741', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7464', 'Mad Lizardman', '0', '45158', '0', '32746', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7465', 'Mad Lizardman', '2', '45158', '0', '32768', '32755', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7466', 'Mad Lizardman', '0', '45158', '0', '32778', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7467', 'Mad Lizardman', '2', '45158', '0', '32799', '32746', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7468', 'Mad Lizardman', '0', '45158', '0', '32797', '32755', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7469', 'Mad Lizardman', '2', '45158', '0', '32796', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7470', 'Mad Lizardman', '0', '45158', '0', '32791', '32786', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7471', 'Mad Lizardman', '2', '45158', '0', '32775', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7472', 'Mad Lizardman', '0', '45158', '0', '32750', '32793', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7473', 'Mad Lizardman', '2', '45158', '0', '32758', '32792', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7474', 'Mad Lizardman', '0', '45158', '0', '32716', '32784', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7475', 'Mad Lizardman', '2', '45158', '0', '32709', '32781', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7476', 'Mad Lizardman', '0', '45158', '0', '32695', '32784', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7477', 'Mad Lizardman', '2', '45158', '0', '32701', '32787', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7478', 'Mad Lizardman', '0', '45158', '0', '32708', '32783', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7479', 'Mad Lizardman', '2', '45158', '0', '32673', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7480', 'Mad Lizardman', '0', '45158', '0', '32690', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7481', 'Mad Lizardman', '2', '45158', '0', '32726', '32820', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7482', 'Mad Lizardman', '0', '45158', '0', '32733', '32833', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7483', 'Mad Lizardman', '2', '45158', '0', '32752', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7484', 'Mad Lizardman', '0', '45158', '0', '32766', '32826', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7485', 'Mad Lizardman', '2', '45158', '0', '32760', '32824', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7486', 'Mad Lizardman', '0', '45158', '0', '32777', '32824', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7487', 'Mad Lizardman', '2', '45158', '0', '32756', '32857', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7488', 'Mad Lizardman', '0', '45158', '0', '32757', '32860', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7489', 'Mad Lizardman', '2', '45158', '0', '32737', '32856', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7490', 'Mad Lizardman', '0', '45158', '0', '32723', '32856', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7491', 'Mad Lizardman', '2', '45158', '0', '32693', '32871', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7492', 'Mad Lizardman', '0', '45158', '0', '32676', '32865', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7493', 'Mad Lizardman', '2', '45158', '0', '32741', '32841', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7494', 'Mad Lizardman', '0', '45158', '0', '32729', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7495', 'Mad Lizardman', '2', '45158', '0', '32754', '32829', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7496', 'Mad Lizardman', '0', '45158', '0', '32780', '32821', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7497', 'Mad Lizardman', '2', '45158', '0', '32800', '32808', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7498', 'Mad Lizardman', '0', '45158', '0', '32808', '32808', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7499', 'Mad Lizardman', '2', '45158', '0', '32801', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7500', 'Mad Lizardman', '0', '45158', '0', '32798', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7501', 'Mad Lizardman', '2', '45158', '0', '32747', '32738', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7502', 'Mad Lizardman', '0', '45158', '0', '32753', '32748', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7503', 'Mad Lizardman', '2', '45158', '0', '32766', '32763', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7504', 'Mad Lizardman', '0', '45158', '0', '32804', '32759', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7505', 'Mad Lizardman', '2', '45158', '0', '32859', '32740', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7506', 'Mad Lizardman', '0', '45158', '0', '32766', '32821', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7507', 'Mad Lizardman', '2', '45158', '0', '32743', '32844', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7508', 'Mad Lizardman', '0', '45158', '0', '32791', '32843', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7509', 'Mad Lizardman', '2', '45158', '0', '32778', '32862', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7510', 'Mad Lizardman', '0', '45158', '0', '32785', '32846', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7511', 'Mad Lizardman', '2', '45158', '0', '32833', '32827', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7512', 'Mad Lizardman', '0', '45158', '0', '32408', '33208', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7513', 'Mad Lizardman', '2', '45158', '0', '32407', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7514', 'Mad Lizardman', '0', '45158', '0', '32416', '33182', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7515', 'Mad Lizardman', '2', '45158', '0', '32423', '33201', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7516', 'Mad Lizardman', '0', '45158', '0', '32388', '33200', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7517', 'Mad Lizardman', '2', '45158', '0', '32380', '33207', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7518', 'Mad Lizardman', '0', '45158', '0', '32390', '33208', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7519', 'Mad Lizardman', '2', '45158', '0', '32372', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7520', 'Mad Lizardman', '0', '45158', '0', '32355', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7521', 'Mad Lizardman', '2', '45158', '0', '32338', '33200', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7522', 'Mad Lizardman', '0', '45158', '0', '32358', '33197', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7523', 'Mad Lizardman', '2', '45158', '0', '32337', '33176', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7524', 'Mad Lizardman', '0', '45158', '0', '32350', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7525', 'Mad Lizardman', '2', '45158', '0', '32359', '33156', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7526', 'Mad Lizardman', '0', '45158', '0', '32377', '33157', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7527', 'Mad Lizardman', '2', '45158', '0', '32382', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7528', 'Mad Lizardman', '0', '45158', '0', '32394', '33152', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7529', 'Mad Lizardman', '2', '45158', '0', '32382', '33132', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7530', 'Mad Lizardman', '0', '45158', '0', '32373', '33123', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7531', 'Mad Lizardman', '2', '45158', '0', '32363', '33113', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7532', 'Mad Lizardman', '0', '45158', '0', '32382', '33110', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7533', 'Mad Lizardman', '2', '45158', '0', '32389', '33098', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7534', 'Mad Lizardman', '0', '45158', '0', '32404', '33105', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7535', 'Mad Lizardman', '2', '45158', '0', '32422', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7536', 'Mad Lizardman', '0', '45158', '0', '32432', '33109', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7537', 'Mad Lizardman', '2', '45158', '0', '32435', '33127', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7538', 'Mad Lizardman', '0', '45158', '0', '32450', '33112', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7539', 'Mad Lizardman', '2', '45158', '0', '32449', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7540', 'Mad Lizardman', '0', '45158', '0', '32466', '33098', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7541', 'Mad Lizardman', '2', '45158', '0', '32479', '33092', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7542', 'Mad Lizardman', '0', '45158', '0', '32490', '33080', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7543', 'Mad Lizardman', '2', '45158', '0', '32503', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7544', 'Mad Lizardman', '0', '45158', '0', '32515', '33086', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7545', 'Mad Lizardman', '2', '45158', '0', '32519', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7546', 'Mad Lizardman', '0', '45158', '0', '32512', '33113', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7547', 'Mad Lizardman', '2', '45158', '0', '32515', '33123', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7548', 'Mad Lizardman', '0', '45158', '0', '32516', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7549', 'Mad Lizardman', '2', '45158', '0', '32499', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7550', 'Mad Lizardman', '0', '45158', '0', '32482', '33148', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7551', 'Mad Lizardman', '2', '45158', '0', '32470', '33139', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7552', 'Mad Lizardman', '0', '45158', '0', '32451', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7553', 'Mad Lizardman', '2', '45158', '0', '32470', '33175', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7554', 'Mad Lizardman', '0', '45158', '0', '32478', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7555', 'Mad Lizardman', '2', '45158', '0', '32470', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7556', 'Mad Lizardman', '0', '45158', '0', '32453', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7557', 'Mad Lizardman', '2', '45158', '0', '32449', '33168', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7558', 'Mad Lizardman', '0', '45158', '0', '32430', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7559', 'Mad Lizardman', '2', '45158', '0', '32437', '33192', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7560', 'Mad Lizardman', '0', '45158', '0', '32451', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7561', 'Mad Lizardman', '2', '45158', '0', '32479', '33180', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7562', 'Mad Lizardman', '0', '45158', '0', '32489', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7563', 'Mad Lizardman', '2', '45158', '0', '32493', '33192', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7564', 'Mad Lizardman', '0', '45158', '0', '32502', '33164', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7565', 'Mad Lizardman', '2', '45158', '0', '32517', '33174', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7566', 'Mad Lizardman', '0', '45158', '0', '32538', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7567', 'Mad Lizardman', '2', '45158', '0', '32559', '33160', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7568', 'Mad Lizardman', '0', '45158', '0', '32573', '33178', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7569', 'Mad Lizardman', '2', '45158', '0', '32591', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7570', 'Mad Lizardman', '0', '45158', '0', '32605', '33160', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7571', 'Mad Lizardman', '2', '45158', '0', '32610', '33175', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7572', 'Mad Lizardman', '0', '45158', '0', '32616', '33188', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7573', 'Mad Lizardman', '2', '45158', '0', '32612', '33201', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7574', 'Mad Lizardman', '0', '45158', '0', '32638', '33205', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7575', 'Mad Lizardman', '2', '45158', '0', '32633', '33219', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7576', 'Mad Lizardman', '0', '45158', '0', '32667', '33210', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7577', 'Mad Lizardman', '2', '45158', '0', '32681', '33200', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7578', 'Mad Lizardman', '0', '45158', '0', '32673', '33190', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7579', 'Mad Lizardman', '2', '45158', '0', '32684', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7580', 'Mad Lizardman', '0', '45158', '0', '32670', '33171', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7581', 'Mad Lizardman', '2', '45158', '0', '32686', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7582', 'Mad Lizardman', '0', '45158', '0', '32677', '33149', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7583', 'Mad Lizardman', '2', '45158', '0', '32703', '33144', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7584', 'Mad Lizardman', '0', '45158', '0', '32726', '33144', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7585', 'Mad Lizardman', '2', '45158', '0', '32738', '33158', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7586', 'Mad Lizardman', '0', '45158', '0', '32732', '33161', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7587', 'Mad Lizardman', '2', '45158', '0', '32731', '33167', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7588', 'Mad Lizardman', '0', '45158', '0', '32730', '33173', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7589', 'Mad Lizardman', '2', '45158', '0', '32735', '33170', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7590', 'Mad Lizardman', '0', '45158', '0', '32728', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7591', 'Mad Lizardman', '2', '45158', '0', '32665', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7592', 'Mad Lizardman', '0', '45158', '0', '32677', '33118', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7593', 'Mad Lizardman', '2', '45158', '0', '32680', '33106', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7594', 'Mad Lizardman', '0', '45158', '0', '32670', '33107', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7595', 'Mad Lizardman', '2', '45158', '0', '32677', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7596', 'Mad Lizardman', '0', '45158', '0', '32685', '33080', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7597', 'Mad Lizardman', '2', '45158', '0', '32689', '33049', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7598', 'Mad Lizardman', '0', '45158', '0', '32671', '33043', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7599', 'Mad Lizardman', '2', '45158', '0', '32656', '33058', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7600', 'Mad Lizardman', '0', '45158', '0', '32652', '33076', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7601', 'Mad Lizardman', '2', '45158', '0', '32643', '33094', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7602', 'Mad Lizardman', '0', '45158', '0', '32630', '33078', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7603', 'Mad Lizardman', '2', '45158', '0', '32637', '33067', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7604', 'Mad Lizardman', '0', '45158', '0', '32630', '33056', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7605', 'Mad Lizardman', '2', '45158', '0', '32618', '33062', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7606', 'Mad Lizardman', '0', '45158', '0', '32603', '33030', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7607', 'Mad Lizardman', '2', '45158', '0', '32597', '33020', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7608', 'Mad Lizardman', '0', '45158', '0', '32637', '32998', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7609', 'Mad Lizardman', '2', '45158', '0', '32655', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7610', 'Mad Lizardman', '0', '45158', '0', '32658', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7611', 'Mad Lizardman', '2', '45158', '0', '32648', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7612', 'Mad Lizardman', '0', '45158', '0', '32626', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7613', 'Mad Lizardman', '2', '45158', '0', '32614', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7614', 'Mad Lizardman', '0', '45158', '0', '32626', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7615', 'Mad Lizardman', '2', '45158', '0', '32650', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7616', 'Mad Lizardman', '0', '45158', '0', '32672', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7617', 'Mad Lizardman', '2', '45158', '0', '32687', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7618', 'Mad Lizardman', '0', '45158', '0', '32687', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7619', 'Mad Lizardman', '2', '45158', '0', '32679', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7620', 'Mad Lizardman', '0', '45158', '0', '32686', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7621', 'Mad Lizardman', '2', '45158', '0', '32672', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7622', 'Mad Lizardman', '0', '45158', '0', '32665', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7623', 'Mad Lizardman', '2', '45158', '0', '32639', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7624', 'Mad Lizardman', '0', '45158', '0', '32624', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7625', 'Mad Lizardman', '2', '45158', '0', '32627', '32815', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7626', 'Mad Lizardman', '0', '45158', '0', '32619', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7627', 'Mad Lizardman', '2', '45158', '0', '32647', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7628', 'Mad Lizardman', '0', '45158', '0', '32578', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7629', 'Mad Lizardman', '2', '45158', '0', '32551', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7630', 'Mad Lizardman', '0', '45158', '0', '32537', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7631', 'Mad Lizardman', '2', '45158', '0', '32525', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7632', 'Mad Lizardman', '0', '45158', '0', '32506', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7633', 'Mad Lizardman', '2', '45158', '0', '32488', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7634', 'Mad Lizardman', '0', '45158', '0', '32473', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7635', 'Mad Lizardman', '2', '45158', '0', '32463', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7636', 'Mad Lizardman', '0', '45158', '0', '32460', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7637', 'Mad Lizardman', '2', '45158', '0', '32451', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7638', 'Mad Lizardman', '0', '45158', '0', '32448', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7639', 'Mad Lizardman', '2', '45158', '0', '32449', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7640', 'Mad Lizardman', '0', '45158', '0', '32429', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7641', 'Mad Lizardman', '2', '45158', '0', '32409', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7642', 'Mad Lizardman', '0', '45158', '0', '32400', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7643', 'Mad Lizardman', '2', '45158', '0', '32407', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7644', 'Mad Lizardman', '0', '45158', '0', '32394', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7645', 'Mad Lizardman', '2', '45158', '0', '32390', '32820', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7646', 'Mad Lizardman', '0', '45158', '0', '32373', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7647', 'Mad Lizardman', '2', '45158', '0', '32356', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7648', 'Mad Lizardman', '0', '45158', '0', '32348', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7649', 'Mad Lizardman', '2', '45158', '0', '32356', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7650', 'Mad Lizardman', '0', '45158', '0', '32370', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7651', 'Mad Lizardman', '2', '45158', '0', '32372', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7652', 'Mad Lizardman', '0', '45158', '0', '32345', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7653', 'Mad Lizardman', '2', '45158', '0', '32326', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7654', 'Mad Lizardman', '0', '45158', '0', '32326', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7655', 'Mad Lizardman', '2', '45158', '0', '32316', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7656', 'Mad Lizardman', '0', '45158', '0', '32324', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7657', 'Mad Lizardman', '2', '45158', '0', '32356', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7658', 'Mad Lizardman', '0', '45158', '0', '32349', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7659', 'Mad Lizardman', '2', '45158', '0', '32325', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7660', 'Mad Lizardman', '0', '45158', '0', '32313', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7661', 'Mad Lizardman', '2', '45158', '0', '32326', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7662', 'Mad Lizardman', '0', '45158', '0', '32338', '32959', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7663', 'Mad Lizardman', '2', '45158', '0', '32360', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7664', 'Mad Lizardman', '0', '45158', '0', '32381', '32934', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7665', 'Mad Lizardman', '2', '45158', '0', '32401', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7666', 'Mad Lizardman', '0', '45158', '0', '32416', '32907', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7667', 'Mad Lizardman', '2', '45158', '0', '32426', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7668', 'Mad Lizardman', '0', '45158', '0', '32452', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7669', 'Mad Lizardman', '2', '45158', '0', '32471', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7670', 'Mad Lizardman', '0', '45158', '0', '32480', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7671', 'Mad Lizardman', '2', '45158', '0', '32508', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7672', 'Mad Lizardman', '0', '45158', '0', '32506', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7673', 'Mad Lizardman', '2', '45158', '0', '32512', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7674', 'Mad Lizardman', '0', '45158', '0', '32505', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7675', 'Mad Lizardman', '2', '45158', '0', '32513', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7676', 'Mad Lizardman', '0', '45158', '0', '32516', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7677', 'Mad Lizardman', '2', '45158', '0', '32517', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7678', 'Mad Lizardman', '0', '45158', '0', '32523', '32976', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7679', 'Mad Lizardman', '2', '45158', '0', '32540', '32973', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7680', 'Mad Lizardman', '0', '45158', '0', '32557', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7681', 'Mad Lizardman', '2', '45158', '0', '32546', '33011', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7682', 'Mad Lizardman', '0', '45158', '0', '32504', '32985', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7683', 'Mad Lizardman', '2', '45158', '0', '32473', '33000', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7684', 'Mad Lizardman', '0', '45158', '0', '32440', '33013', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7685', 'Mad Lizardman', '2', '45158', '0', '32432', '32989', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7686', 'Mad Lizardman', '0', '45158', '0', '32406', '33012', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7687', 'Mad Lizardman', '2', '45158', '0', '32448', '33105', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7688', 'Mad Lizardman', '0', '45158', '0', '32487', '33095', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7689', 'Mad Lizardman', '2', '45158', '0', '32512', '33123', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7690', 'Mad Lizardman', '0', '45158', '0', '32349', '33057', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7691', 'Mad Lizardman', '2', '45158', '0', '32365', '33059', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7692', 'Mad Lizardman', '0', '45158', '0', '32382', '33018', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7693', 'Mad Lizardman', '2', '45158', '0', '32377', '32998', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7694', 'Mad Lizardman', '0', '45158', '0', '32377', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7695', 'Mad Lizardman', '2', '45158', '0', '32347', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7696', 'Mad Lizardman', '0', '45158', '0', '32353', '33074', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7697', 'Mad Lizardman', '2', '45158', '0', '32316', '33055', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7698', 'Mad Lizardman', '0', '45158', '0', '32308', '33062', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7699', 'Mad Lizardman', '2', '45158', '0', '32293', '33058', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7746', 'Spartoi', '0', '45161', '0', '32766', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7747', 'Spartoi', '2', '45161', '0', '32757', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7748', 'Spartoi', '0', '45161', '0', '32771', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7749', 'Spartoi', '2', '45161', '0', '32773', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7750', 'Spartoi', '0', '45161', '0', '32744', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7751', 'Spartoi', '2', '45161', '0', '32797', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7752', 'Spartoi', '0', '45161', '0', '32800', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7753', 'Spartoi', '2', '45161', '0', '32799', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7754', 'Spartoi', '0', '45161', '0', '32826', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7755', 'Spartoi', '2', '45161', '0', '32857', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7756', 'Spartoi', '0', '45161', '0', '32840', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7757', 'Spartoi', '2', '45161', '0', '32838', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7758', 'Spartoi', '0', '45161', '0', '32834', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7759', 'Spartoi', '2', '45161', '0', '32836', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7760', 'Spartoi', '0', '45161', '0', '32843', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7761', 'Spartoi', '2', '45161', '0', '32856', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7762', 'Spartoi', '0', '45161', '0', '32804', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7763', 'Spartoi', '2', '45161', '0', '32861', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7764', 'Spartoi', '0', '45161', '0', '32863', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7765', 'Spartoi', '2', '45161', '0', '32869', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7766', 'Spartoi', '0', '45161', '0', '32870', '32838', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7767', 'Spartoi', '2', '45161', '0', '32875', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7768', 'Spartoi', '0', '45161', '0', '32823', '32821', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7769', 'Spartoi', '2', '45161', '0', '32815', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7770', 'Spartoi', '0', '45161', '0', '32923', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7771', 'Spartoi', '2', '45161', '0', '32924', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7772', 'Spartoi', '0', '45161', '0', '32923', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7773', 'Spartoi', '2', '45161', '0', '32918', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7774', 'Spartoi', '0', '45161', '0', '32922', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7775', 'Spartoi', '2', '45161', '0', '32921', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '307', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7785', 'Spartoi', '1', '45161', '0', '32740', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7786', 'Spartoi', '1', '45161', '0', '32740', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7787', 'Spartoi', '1', '45161', '0', '32732', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7788', 'Spartoi', '1', '45161', '0', '32736', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7789', 'Spartoi', '1', '45161', '0', '32748', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7790', 'Spartoi', '1', '45161', '0', '32751', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7791', 'Spartoi', '1', '45161', '0', '32752', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7792', 'Spartoi', '1', '45161', '0', '32729', '32918', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7793', 'Spartoi', '1', '45161', '0', '32723', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7794', 'Spartoi', '1', '45161', '0', '32732', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7795', 'Spartoi', '1', '45161', '0', '33055', '33257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7796', 'Spartoi', '1', '45161', '0', '33041', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7797', 'Spartoi', '1', '45161', '0', '33068', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7798', 'Spartoi', '1', '45161', '0', '33057', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7799', 'Spartoi', '1', '45161', '0', '33388', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800', 'Spartoi', '1', '45161', '0', '33373', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7801', 'Spartoi', '1', '45161', '0', '33358', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7802', 'Spartoi', '1', '45161', '0', '33348', '32466', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7803', 'Spartoi', '1', '45161', '0', '33336', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7804', 'Spartoi', '1', '45161', '0', '33323', '32459', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7805', 'Spartoi', '1', '45161', '0', '33311', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7806', 'Spartoi', '1', '45161', '0', '33307', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7807', 'Spartoi', '1', '45161', '0', '33297', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7808', 'Spartoi', '1', '45161', '0', '33294', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7809', 'Spartoi', '1', '45161', '0', '33284', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7810', 'Spartoi', '1', '45161', '0', '33274', '32455', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7811', 'Spartoi', '1', '45161', '0', '33258', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7812', 'Spartoi', '1', '45161', '0', '33243', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7813', 'Spartoi', '1', '45161', '0', '33231', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7814', 'Spartoi', '1', '45161', '0', '33213', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7815', 'Spartoi', '1', '45161', '0', '33331', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7816', 'Spartoi', '1', '45161', '0', '33325', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7817', 'Spartoi', '1', '45161', '0', '33315', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7818', 'Spartoi', '1', '45161', '0', '33313', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7819', 'Spartoi', '1', '45161', '0', '33301', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7820', 'Spartoi', '1', '45161', '0', '33296', '32440', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7821', 'Spartoi', '1', '45161', '0', '33285', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7822', 'Spartoi', '1', '45161', '0', '33301', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7823', 'Spartoi', '1', '45161', '0', '33315', '32418', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7824', 'Spartoi', '1', '45161', '0', '33325', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7825', 'Spartoi', '1', '45161', '0', '33339', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7826', 'Spartoi', '1', '45161', '0', '33349', '32434', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7827', 'Spartoi', '1', '45161', '0', '33339', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7828', 'Spartoi', '1', '45161', '0', '33316', '32414', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7829', 'Spartoi', '1', '45161', '0', '33300', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7830', 'Spartoi', '1', '45161', '0', '33298', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7831', 'Spartoi', '1', '45161', '0', '33293', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7832', 'Spartoi', '1', '45161', '0', '33277', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7833', 'Spartoi', '1', '45161', '0', '33277', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7834', 'Spartoi', '1', '45161', '0', '33267', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7835', 'Spartoi', '1', '45161', '0', '33259', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7836', 'Spartoi', '1', '45161', '0', '33251', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7837', 'Spartoi', '1', '45161', '0', '33254', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7838', 'Spartoi', '1', '45161', '0', '33259', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7839', 'Spartoi', '1', '45161', '0', '33256', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7840', 'Spartoi', '1', '45161', '0', '33267', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7841', 'Spartoi', '1', '45161', '0', '33280', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7842', 'Spartoi', '1', '45161', '0', '33288', '32401', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7843', 'Spartoi', '1', '45161', '0', '33306', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7844', 'Spartoi', '1', '45161', '0', '33309', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7845', 'Spartoi', '1', '45161', '0', '33328', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7846', 'Spartoi', '1', '45161', '0', '33308', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7847', 'Spartoi', '1', '45161', '0', '33297', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7848', 'Spartoi', '1', '45161', '0', '33302', '32361', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7849', 'Spartoi', '1', '45161', '0', '33338', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7850', 'Spartoi', '1', '45161', '0', '33328', '32349', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7851', 'Spartoi', '1', '45161', '0', '33353', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7852', 'Spartoi', '1', '45161', '0', '33369', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7853', 'Spartoi', '1', '45161', '0', '33353', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7854', 'Spartoi', '1', '45161', '0', '33364', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7855', 'Spartoi', '1', '45161', '0', '33381', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7856', 'Spartoi', '1', '45161', '0', '33386', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7857', 'Spartoi', '1', '45161', '0', '33402', '32344', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7858', 'Spartoi', '1', '45161', '0', '33385', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7859', 'Spartoi', '1', '45161', '0', '33381', '32313', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7860', 'Spartoi', '1', '45161', '0', '33365', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7861', 'Spartoi', '1', '45161', '0', '33360', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7862', 'Spartoi', '1', '45161', '0', '33347', '32322', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7863', 'Spartoi', '1', '45161', '0', '33322', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7864', 'Spartoi', '1', '45161', '0', '33321', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7865', 'Spartoi', '1', '45161', '0', '33317', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7866', 'Spartoi', '1', '45161', '0', '33301', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7867', 'Spartoi', '1', '45161', '0', '33319', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7868', 'Spartoi', '1', '45161', '0', '33353', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7869', 'Spartoi', '1', '45161', '0', '33345', '32284', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7870', 'Spartoi', '1', '45161', '0', '33357', '32279', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7871', 'Spartoi', '1', '45161', '0', '33377', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7872', 'Spartoi', '1', '45161', '0', '33403', '32287', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7873', 'Spartoi', '1', '45161', '0', '33420', '32296', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7874', 'Spartoi', '1', '45161', '0', '33430', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7875', 'Spartoi', '1', '45161', '0', '33409', '32312', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7876', 'Spartoi', '1', '45161', '0', '33421', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7877', 'Spartoi', '1', '45161', '0', '33437', '32345', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7878', 'Spartoi', '1', '45161', '0', '33437', '32335', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7879', 'Spartoi', '1', '45161', '0', '33443', '32326', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7880', 'Spartoi', '1', '45161', '0', '33433', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7881', 'Spartoi', '1', '45161', '0', '33395', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7882', 'Spartoi', '1', '45161', '0', '33402', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7883', 'Spartoi', '1', '45161', '0', '33414', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7884', 'Spartoi', '1', '45161', '0', '33418', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7885', 'Spartoi', '1', '45161', '0', '33401', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7886', 'Spartoi', '1', '45161', '0', '33390', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7887', 'Spartoi', '1', '45161', '0', '33371', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7888', 'Spartoi', '1', '45161', '0', '33403', '32402', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7889', 'Spartoi', '1', '45161', '0', '33410', '32413', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7890', 'Spartoi', '1', '45161', '0', '33380', '32427', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7891', 'Spartoi', '1', '45161', '0', '33370', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7892', 'Spartoi', '1', '45161', '0', '33379', '32443', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7893', 'Spartoi', '1', '45161', '0', '33361', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7894', 'Spartoi', '1', '45161', '0', '33338', '32409', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7895', 'Spartoi', '1', '45161', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7896', 'Spartoi', '1', '45161', '0', '33364', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7897', 'Spartoi', '1', '45161', '0', '33351', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7898', 'Spartoi', '1', '45161', '0', '33365', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7899', 'Spartoi', '1', '45161', '0', '33383', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900', 'Spartoi', '1', '45161', '0', '33395', '32368', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7901', 'Spartoi', '1', '45161', '0', '32833', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7902', 'Spartoi', '1', '45161', '0', '32787', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7903', 'Spartoi', '1', '45161', '0', '32738', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7904', 'Spartoi', '1', '45161', '0', '32715', '33138', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7905', 'Spartoi', '1', '45161', '0', '32760', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7906', 'Spartoi', '1', '45161', '0', '32780', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7907', 'Spartoi', '1', '45161', '0', '32826', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7908', 'Spartoi', '1', '45161', '0', '32874', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7909', 'Spartoi', '1', '45161', '0', '32897', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7910', 'Spartoi', '1', '45161', '0', '32878', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7911', 'Spartoi', '1', '45161', '0', '32854', '33308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7912', 'Spartoi', '1', '45161', '0', '32808', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7913', 'Spartoi', '1', '45161', '0', '32781', '33246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7914', 'Spartoi', '1', '45161', '0', '32748', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7915', 'Spartoi', '1', '45161', '0', '32723', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7916', 'Spartoi', '1', '45161', '0', '32864', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7917', 'Spartoi', '1', '45161', '0', '32798', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7918', 'Spartoi', '1', '45161', '0', '32757', '33127', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7919', 'Spartoi', '1', '45161', '0', '32767', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7920', 'Spartoi', '1', '45161', '0', '32810', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7921', 'Spartoi', '1', '45161', '0', '32851', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7922', 'Spartoi', '1', '45161', '0', '32898', '33226', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7923', 'Spartoi', '1', '45161', '0', '32947', '33258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7924', 'Spartoi', '1', '45161', '0', '32989', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7925', 'Spartoi', '1', '45161', '0', '32823', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7926', 'Spartoi', '1', '45161', '0', '32922', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7927', 'Spartoi', '1', '45161', '0', '32911', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7928', 'Spartoi', '1', '45161', '0', '32888', '33139', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7929', 'Spartoi', '1', '45161', '0', '32869', '33122', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7930', 'Spartoi', '1', '45161', '0', '32841', '33083', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7931', 'Spartoi', '1', '45161', '0', '32797', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7932', 'Spartoi', '1', '45161', '0', '32830', '33108', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7933', 'Spartoi', '1', '45161', '0', '32860', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7934', 'Spartoi', '1', '45161', '0', '32881', '33190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7935', 'Spartoi', '1', '45161', '0', '32849', '33167', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7936', 'Spartoi', '1', '45161', '0', '32750', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7937', 'Spartoi', '1', '45161', '0', '32869', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7938', 'Spartoi', '1', '45161', '0', '32839', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7939', 'Spartoi', '1', '45161', '0', '32876', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7940', 'Spartoi', '1', '45161', '0', '32907', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7941', 'Spartoi', '1', '45161', '0', '32888', '33094', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7942', 'Spartoi', '1', '45161', '0', '32915', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7943', 'Spartoi', '1', '45161', '0', '32971', '33126', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7944', 'Spartoi', '1', '45161', '0', '33009', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7945', 'Spartoi', '1', '45161', '0', '33003', '33179', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7946', 'Spartoi', '1', '45161', '0', '33030', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7947', 'Spartoi', '1', '45161', '0', '33033', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7948', 'Spartoi', '1', '45161', '0', '33000', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7949', 'Spartoi', '1', '45161', '0', '33002', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7950', 'Spartoi', '1', '45161', '0', '32929', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7951', 'Spartoi', '1', '45161', '0', '32899', '33172', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7952', 'Spartoi', '1', '45161', '0', '32874', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7953', 'Spartoi', '1', '45161', '0', '32781', '33089', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7954', 'Spartoi', '1', '45161', '0', '32813', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7955', 'Spartoi', '1', '45161', '0', '32842', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7956', 'Spartoi', '1', '45161', '0', '32885', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7957', 'Spartoi', '1', '45161', '0', '32789', '33228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7958', 'Spartoi', '1', '45161', '0', '32729', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7959', 'Spartoi', '1', '45161', '0', '32702', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7960', 'Spartoi', '1', '45161', '0', '32965', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7961', 'Spartoi', '1', '45161', '0', '32914', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7962', 'Spartoi', '1', '45161', '0', '32927', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7963', 'Spartoi', '1', '45161', '0', '32913', '33358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('7964', 'Spartoi', '1', '45161', '0', '32815', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8002', 'Spartoi', '1', '45161', '0', '32887', '32950', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8003', 'Spartoi', '1', '45161', '0', '32910', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8004', 'Spartoi', '1', '45161', '0', '32912', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8005', 'Spartoi', '1', '45161', '0', '32922', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8006', 'Spartoi', '1', '45161', '0', '32911', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8007', 'Spartoi', '1', '45161', '0', '32889', '32900', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8008', 'Spartoi', '1', '45161', '0', '32874', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8009', 'Spartoi', '1', '45161', '0', '32858', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8010', 'Spartoi', '1', '45161', '0', '32844', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8011', 'Spartoi', '1', '45161', '0', '32824', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8012', 'Spartoi', '1', '45161', '0', '32808', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8080', 'Wild Fang', '0', '45163', '0', '32498', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8081', 'Wild Fang', '2', '45163', '0', '32659', '32979', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8082', 'Wild Fang', '0', '45163', '0', '32649', '32979', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8083', 'Wild Fang', '2', '45163', '0', '32646', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8084', 'Wild Fang', '0', '45163', '0', '32658', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8085', 'Wild Fang', '2', '45163', '0', '32672', '32957', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8086', 'Wild Fang', '0', '45163', '0', '32681', '32930', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8087', 'Wild Fang', '2', '45163', '0', '32671', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8088', 'Wild Fang', '0', '45163', '0', '32671', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8089', 'Wild Fang', '2', '45163', '0', '32685', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8090', 'Wild Fang', '0', '45163', '0', '32692', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8091', 'Wild Fang', '2', '45163', '0', '32692', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8092', 'Wild Fang', '0', '45163', '0', '32677', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8093', 'Wild Fang', '2', '45163', '0', '32667', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8094', 'Wild Fang', '0', '45163', '0', '32645', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8095', 'Wild Fang', '2', '45163', '0', '32645', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8096', 'Wild Fang', '0', '45163', '0', '32660', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8097', 'Wild Fang', '2', '45163', '0', '32670', '32838', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8098', 'Wild Fang', '0', '45163', '0', '32689', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8099', 'Wild Fang', '2', '45163', '0', '32682', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100', 'Wild Fang', '0', '45163', '0', '32681', '32820', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8101', 'Wild Fang', '2', '45163', '0', '32681', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8102', 'Wild Fang', '0', '45163', '0', '32666', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8103', 'Wild Fang', '2', '45163', '0', '32670', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8104', 'Wild Fang', '0', '45163', '0', '32691', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8105', 'Wild Fang', '2', '45163', '0', '32678', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8106', 'Wild Fang', '0', '45163', '0', '32659', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8107', 'Wild Fang', '2', '45163', '0', '32664', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8108', 'Wild Fang', '0', '45163', '0', '32684', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8109', 'Wild Fang', '2', '45163', '0', '32683', '32986', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8110', 'Wild Fang', '0', '45163', '0', '32678', '33001', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8111', 'Wild Fang', '2', '45163', '0', '32680', '33015', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8112', 'Wild Fang', '0', '45163', '0', '32687', '33027', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8113', 'Wild Fang', '2', '45163', '0', '32662', '33026', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8114', 'Wild Fang', '0', '45163', '0', '32653', '33016', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8115', 'Wild Fang', '2', '45163', '0', '32644', '33013', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8116', 'Wild Fang', '0', '45163', '0', '32640', '32997', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8117', 'Wild Fang', '2', '45163', '0', '32649', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8118', 'Wild Fang', '0', '45163', '0', '32681', '33044', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8119', 'Wild Fang', '2', '45163', '0', '32694', '33043', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8120', 'Wild Fang', '0', '45163', '0', '32684', '33060', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8121', 'Wild Fang', '2', '45163', '0', '32687', '33073', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8122', 'Wild Fang', '0', '45163', '0', '32687', '33084', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8123', 'Wild Fang', '2', '45163', '0', '32672', '33095', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8124', 'Wild Fang', '0', '45163', '0', '32654', '33093', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8125', 'Wild Fang', '2', '45163', '0', '32635', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8126', 'Wild Fang', '0', '45163', '0', '32620', '33078', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8127', 'Wild Fang', '2', '45163', '0', '32620', '33062', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8128', 'Wild Fang', '0', '45163', '0', '32639', '33051', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8129', 'Wild Fang', '2', '45163', '0', '32630', '33037', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8130', 'Wild Fang', '0', '45163', '0', '32615', '33034', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8131', 'Wild Fang', '2', '45163', '0', '32650', '33077', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8132', 'Wild Fang', '0', '45163', '0', '32654', '33101', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8133', 'Wild Fang', '2', '45163', '0', '32635', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8134', 'Wild Fang', '0', '45163', '0', '32638', '33122', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8135', 'Wild Fang', '2', '45163', '0', '32650', '33127', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8136', 'Wild Fang', '0', '45163', '0', '32665', '33128', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8137', 'Wild Fang', '2', '45163', '0', '32673', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8138', 'Wild Fang', '0', '45163', '0', '32686', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8139', 'Wild Fang', '2', '45163', '0', '32697', '33145', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8140', 'Wild Fang', '0', '45163', '0', '32708', '33142', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8141', 'Wild Fang', '2', '45163', '0', '32720', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8142', 'Wild Fang', '0', '45163', '0', '32728', '33143', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8143', 'Wild Fang', '2', '45163', '0', '32735', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8144', 'Wild Fang', '0', '45163', '0', '32734', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8145', 'Wild Fang', '2', '45163', '0', '32722', '33171', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8146', 'Wild Fang', '0', '45163', '0', '32678', '33172', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8147', 'Wild Fang', '2', '45163', '0', '32681', '33178', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8148', 'Wild Fang', '0', '45163', '0', '32682', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8149', 'Wild Fang', '2', '45163', '0', '32672', '33197', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8150', 'Wild Fang', '0', '45163', '0', '32686', '33211', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8151', 'Wild Fang', '2', '45163', '0', '32659', '33205', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8152', 'Wild Fang', '0', '45163', '0', '32639', '33204', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8153', 'Wild Fang', '2', '45163', '0', '32642', '33194', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8154', 'Wild Fang', '0', '45163', '0', '32648', '33182', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8155', 'Wild Fang', '2', '45163', '0', '32645', '33165', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8156', 'Wild Fang', '0', '45163', '0', '32649', '33153', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8157', 'Wild Fang', '2', '45163', '0', '32630', '33142', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8158', 'Wild Fang', '0', '45163', '0', '32628', '33126', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8159', 'Wild Fang', '2', '45163', '0', '32603', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8160', 'Wild Fang', '0', '45163', '0', '32601', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8161', 'Wild Fang', '2', '45163', '0', '32582', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8162', 'Wild Fang', '0', '45163', '0', '32577', '33134', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8163', 'Wild Fang', '2', '45163', '0', '32576', '33111', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8164', 'Wild Fang', '0', '45163', '0', '32585', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8165', 'Wild Fang', '2', '45163', '0', '32571', '33090', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8166', 'Wild Fang', '0', '45163', '0', '32552', '33100', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8167', 'Wild Fang', '2', '45163', '0', '32536', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8168', 'Wild Fang', '0', '45163', '0', '32521', '33084', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8169', 'Wild Fang', '2', '45163', '0', '32522', '33070', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8170', 'Wild Fang', '0', '45163', '0', '32538', '33053', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8171', 'Wild Fang', '2', '45163', '0', '32541', '33038', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8172', 'Wild Fang', '0', '45163', '0', '32534', '33030', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8173', 'Wild Fang', '2', '45163', '0', '32535', '33013', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8174', 'Wild Fang', '0', '45163', '0', '32550', '33009', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8175', 'Wild Fang', '2', '45163', '0', '32569', '32998', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8176', 'Wild Fang', '0', '45163', '0', '32564', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8177', 'Wild Fang', '2', '45163', '0', '32560', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8178', 'Wild Fang', '0', '45163', '0', '32584', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8179', 'Wild Fang', '2', '45163', '0', '32570', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8180', 'Wild Fang', '0', '45163', '0', '32539', '32934', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8181', 'Wild Fang', '2', '45163', '0', '32518', '32948', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8182', 'Wild Fang', '0', '45163', '0', '32516', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8183', 'Wild Fang', '2', '45163', '0', '32492', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8184', 'Wild Fang', '0', '45163', '0', '32493', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8185', 'Wild Fang', '2', '45163', '0', '32487', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8186', 'Wild Fang', '0', '45163', '0', '32512', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8187', 'Wild Fang', '2', '45163', '0', '32530', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8188', 'Wild Fang', '0', '45163', '0', '32536', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8189', 'Wild Fang', '2', '45163', '0', '32526', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8190', 'Wild Fang', '0', '45163', '0', '32550', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8191', 'Wild Fang', '2', '45163', '0', '32552', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8192', 'Wild Fang', '0', '45163', '0', '32576', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8193', 'Wild Fang', '2', '45163', '0', '32594', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8194', 'Wild Fang', '0', '45163', '0', '32577', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8195', 'Wild Fang', '2', '45163', '0', '32566', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8196', 'Wild Fang', '0', '45163', '0', '32540', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8197', 'Wild Fang', '2', '45163', '0', '32526', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8198', 'Wild Fang', '0', '45163', '0', '32511', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8199', 'Wild Fang', '2', '45163', '0', '32522', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200', 'Wild Fang', '0', '45163', '0', '32511', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8201', 'Wild Fang', '2', '45163', '0', '32501', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8202', 'Wild Fang', '0', '45163', '0', '32470', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8203', 'Wild Fang', '2', '45163', '0', '32457', '32825', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8204', 'Wild Fang', '0', '45163', '0', '32463', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8205', 'Wild Fang', '2', '45163', '0', '32441', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8206', 'Wild Fang', '0', '45163', '0', '32461', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8207', 'Wild Fang', '2', '45163', '0', '32479', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8208', 'Wild Fang', '0', '45163', '0', '32491', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8209', 'Wild Fang', '2', '45163', '0', '32469', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8210', 'Wild Fang', '0', '45163', '0', '32441', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8211', 'Wild Fang', '2', '45163', '0', '32436', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8212', 'Wild Fang', '0', '45163', '0', '32422', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8213', 'Wild Fang', '2', '45163', '0', '32403', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8214', 'Wild Fang', '0', '45163', '0', '32383', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8215', 'Wild Fang', '2', '45163', '0', '32368', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8216', 'Wild Fang', '0', '45163', '0', '32369', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8217', 'Wild Fang', '2', '45163', '0', '32359', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8218', 'Wild Fang', '0', '45163', '0', '32372', '32986', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8219', 'Wild Fang', '2', '45163', '0', '32381', '33001', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8220', 'Wild Fang', '0', '45163', '0', '32372', '33021', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8221', 'Wild Fang', '2', '45163', '0', '32386', '33019', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8222', 'Wild Fang', '0', '45163', '0', '32410', '33005', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8223', 'Wild Fang', '2', '45163', '0', '32418', '32982', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8224', 'Wild Fang', '0', '45163', '0', '32424', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8225', 'Wild Fang', '2', '45163', '0', '32435', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8226', 'Wild Fang', '0', '45163', '0', '32467', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8330', 'Black Knight', '2', '45165', '50', '33091', '33333', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8331', 'Black Knight', '2', '45165', '50', '33117', '33343', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8332', 'Black Knight', '2', '45165', '50', '33080', '33313', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8333', 'Black Knight', '2', '45165', '50', '33071', '33285', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8334', 'Black Knight', '2', '45165', '50', '33108', '33287', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8335', 'Black Knight', '2', '81066', '1', '32798', '32944', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8336', 'Black Knight', '2', '81066', '1', '32822', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8337', 'Black Knight', '2', '81066', '1', '32856', '32955', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8338', 'Black Knight', '2', '81066', '1', '32888', '32953', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8339', 'Black Knight', '2', '81066', '1', '32914', '32936', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8340', 'Black Knight', '2', '81066', '1', '32884', '32918', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8341', 'Black Knight', '2', '81066', '1', '32843', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8342', 'Black Knight', '2', '45165', '50', '33158', '33401', '5', '5', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8353', 'Neruga Orc', '2', '45171', '0', '32667', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8354', 'Neruga Orc', '1', '45171', '0', '32627', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8355', 'Neruga Orc', '2', '45171', '0', '32588', '32354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8356', 'Neruga Orc', '1', '45171', '0', '32574', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8357', 'Neruga Orc', '2', '45171', '0', '32562', '32332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8358', 'Neruga Orc', '1', '45171', '0', '32550', '32322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8359', 'Neruga Orc', '2', '45171', '0', '32549', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8360', 'Neruga Orc', '1', '45171', '0', '32567', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8361', 'Neruga Orc', '2', '45171', '0', '32571', '32339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8362', 'Neruga Orc', '1', '45171', '0', '32590', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8363', 'Neruga Orc', '2', '45171', '0', '32621', '32418', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8364', 'Neruga Orc', '1', '45171', '0', '32648', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8365', 'Neruga Orc', '2', '45171', '0', '32664', '32466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8366', 'Neruga Orc', '1', '45171', '0', '32649', '32473', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8367', 'Neruga Orc', '2', '45171', '0', '32631', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8368', 'Neruga Orc', '1', '45171', '0', '32623', '32460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8369', 'Neruga Orc', '2', '45171', '0', '32595', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8370', 'Neruga Orc', '1', '45171', '0', '32570', '32431', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8371', 'Neruga Orc', '2', '45171', '0', '32576', '32468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8372', 'Neruga Orc', '1', '45171', '0', '32591', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8373', 'Neruga Orc', '2', '45171', '0', '32615', '32505', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8374', 'Neruga Orc', '1', '45171', '0', '32548', '32212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8375', 'Neruga Orc', '2', '45171', '0', '32546', '32217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8376', 'Neruga Orc', '1', '45171', '0', '32560', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8377', 'Neruga Orc', '2', '45171', '0', '32549', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8378', 'Neruga Orc', '1', '45171', '0', '32583', '32235', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8379', 'Neruga Orc', '2', '45171', '0', '32634', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8380', 'Neruga Orc', '1', '45171', '0', '32650', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8381', 'Neruga Orc', '2', '45171', '0', '32685', '32380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8382', 'Neruga Orc', '1', '45171', '0', '32681', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8383', 'Neruga Orc', '2', '45171', '0', '32636', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8384', 'Neruga Orc', '1', '45171', '0', '32623', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8385', 'Neruga Orc', '2', '45171', '0', '32593', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8386', 'Neruga Orc', '1', '45171', '0', '32778', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8387', 'Neruga Orc', '2', '45171', '0', '32775', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8388', 'Neruga Orc', '1', '45171', '0', '32753', '32339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8389', 'Neruga Orc', '2', '45171', '0', '32702', '32311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8390', 'Neruga Orc', '1', '45171', '0', '32751', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8391', 'Neruga Orc', '2', '45171', '0', '32634', '32278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8392', 'Neruga Orc', '1', '45171', '0', '32725', '32299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8393', 'Neruga Orc', '2', '45171', '0', '32767', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8394', 'Neruga Orc', '1', '45171', '0', '32804', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8395', 'Neruga Orc', '2', '45171', '0', '32846', '32396', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8396', 'Neruga Orc', '1', '45171', '0', '32846', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8397', 'Neruga Orc', '2', '45171', '0', '32799', '32433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8398', 'Lycanthrope', '1', '45173', '0', '33479', '32476', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8527', 'Lycanthrope', '1', '45173', '0', '33418', '32468', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8528', 'Lycanthrope', '1', '45173', '0', '33355', '32231', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8529', 'Lycanthrope', '1', '45173', '0', '33367', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8530', 'Lycanthrope', '1', '45173', '0', '33384', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8531', 'Lycanthrope', '1', '45173', '0', '33399', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8532', 'Lycanthrope', '1', '45173', '0', '33415', '32218', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8533', 'Lycanthrope', '1', '45173', '0', '33426', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8534', 'Lycanthrope', '1', '45173', '0', '33444', '32220', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8535', 'Lycanthrope', '1', '45173', '0', '33450', '32230', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8536', 'Lycanthrope', '1', '45173', '0', '33436', '32233', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8537', 'Lycanthrope', '1', '45173', '0', '33444', '32243', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8538', 'Lycanthrope', '1', '45173', '0', '33441', '32419', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8539', 'Lycanthrope', '1', '45173', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8540', 'Lycanthrope', '1', '45173', '0', '33476', '32424', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8541', 'Lycanthrope', '1', '45173', '0', '33491', '32418', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8542', 'Lycanthrope', '1', '45173', '0', '33472', '32440', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8543', 'Lycanthrope', '1', '45173', '0', '33455', '32433', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8544', 'Lycanthrope', '1', '45173', '0', '33421', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8545', 'Lycanthrope', '1', '45173', '0', '33408', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8546', 'Lycanthrope', '1', '45173', '0', '33404', '32447', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8547', 'Lycanthrope', '1', '45173', '0', '33428', '32436', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8548', 'Lycanthrope', '1', '45173', '0', '33437', '32452', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8549', 'Lycanthrope', '1', '45173', '0', '33419', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8550', 'Lycanthrope', '1', '45173', '0', '33423', '32481', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8551', 'Lycanthrope', '1', '45173', '0', '33400', '32438', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8552', 'Lycanthrope', '1', '45173', '0', '33411', '32449', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8553', 'Lycanthrope', '1', '45173', '0', '33420', '32432', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8554', 'Lycanthrope', '1', '45173', '0', '33470', '32443', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8555', 'Lycanthrope', '1', '45173', '0', '33479', '32450', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8556', 'Lycanthrope', '1', '45173', '0', '33493', '32451', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8557', 'Lycanthrope', '1', '45173', '0', '33503', '32456', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8558', 'Lycanthrope', '1', '45173', '0', '33500', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8559', 'Lycanthrope', '1', '45173', '0', '33503', '32477', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8560', 'Lycanthrope', '1', '45173', '0', '33497', '32490', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8561', 'Lycanthrope', '1', '45173', '0', '33493', '32501', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8562', 'Lycanthrope', '1', '45173', '0', '33491', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8563', 'Lycanthrope', '1', '45173', '0', '33484', '32526', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8564', 'Lycanthrope', '1', '45173', '0', '33476', '32522', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8565', 'Lycanthrope', '1', '45173', '0', '33467', '32512', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8566', 'Lycanthrope', '1', '45173', '0', '33444', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8567', 'Lycanthrope', '1', '45173', '0', '33426', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8568', 'Lycanthrope', '1', '45173', '0', '33411', '32515', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8569', 'Lycanthrope', '1', '45173', '0', '33402', '32513', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8570', 'Lycanthrope', '1', '45173', '0', '33391', '32509', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8571', 'Lycanthrope', '1', '45173', '0', '33396', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8572', 'Lycanthrope', '1', '45173', '0', '33411', '32496', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8573', 'Lycanthrope', '1', '45173', '0', '33431', '32499', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8574', 'Lycanthrope', '1', '45173', '0', '33447', '32495', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8575', 'Lycanthrope', '1', '45173', '0', '33449', '32471', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8576', 'Lycanthrope', '1', '45173', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8577', 'Lycanthrope', '1', '45173', '0', '33468', '32465', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8578', 'Lycanthrope', '1', '45173', '0', '33483', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8579', 'Lycanthrope', '1', '45173', '0', '33484', '32488', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8580', 'Lycanthrope', '1', '45173', '0', '33503', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8581', 'Lycanthrope', '1', '45173', '0', '33426', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8582', 'Lycanthrope', '1', '45173', '0', '33398', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8583', 'Lycanthrope', '1', '45173', '0', '33353', '33309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8584', 'Lycanthrope', '1', '45173', '0', '33311', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8585', 'Lycanthrope', '1', '45173', '0', '33419', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8586', 'Lycanthrope', '1', '45173', '0', '33400', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8587', 'Lycanthrope', '1', '45173', '0', '33427', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8588', 'Lycanthrope', '1', '45173', '0', '33357', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8589', 'Lycanthrope', '1', '45173', '0', '33286', '33156', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8590', 'Lycanthrope', '1', '45173', '0', '33563', '33183', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8591', 'Lycanthrope', '1', '45173', '0', '33485', '33149', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8592', 'Lycanthrope', '1', '45173', '0', '33446', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8593', 'Lycanthrope', '1', '45173', '0', '33461', '33124', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8594', 'Lycanthrope', '1', '45173', '0', '33398', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8595', 'Lycanthrope', '1', '45173', '0', '33448', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8596', 'Lycanthrope', '1', '45173', '0', '33502', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8597', 'Lycanthrope', '1', '45173', '0', '33507', '33077', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8598', 'Lycanthrope', '1', '45173', '0', '33547', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8599', 'Lycanthrope', '1', '45173', '0', '33572', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8600', 'Lycanthrope', '1', '45173', '0', '33518', '33116', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8705', 'Lycanthrope', '1', '45173', '0', '33247', '33020', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8706', 'Lycanthrope', '1', '45173', '0', '33383', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8707', 'Lycanthrope', '1', '45173', '0', '33431', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8708', 'Lycanthrope', '1', '45173', '0', '33460', '33062', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8709', 'Lycanthrope', '1', '45173', '0', '33473', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8710', 'Lycanthrope', '1', '45173', '0', '33485', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8711', 'Lycanthrope', '1', '45173', '0', '33505', '33044', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8712', 'Lycanthrope', '1', '45173', '0', '33512', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8713', 'Lycanthrope', '1', '45173', '0', '33532', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8714', 'Lycanthrope', '1', '45173', '0', '33570', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8715', 'Lycanthrope', '1', '45173', '0', '33594', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8716', 'Lycanthrope', '1', '45173', '0', '33572', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8717', 'Lycanthrope', '1', '45173', '0', '33617', '33037', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8718', 'Lycanthrope', '1', '45173', '0', '33660', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8719', 'Lycanthrope', '1', '45173', '0', '33670', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8720', 'Lycanthrope', '1', '45173', '0', '33636', '32962', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8721', 'Lycanthrope', '1', '45173', '0', '33645', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8722', 'Lycanthrope', '1', '45173', '0', '33674', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8723', 'Lycanthrope', '1', '45173', '0', '33687', '32975', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8724', 'Lycanthrope', '1', '45173', '0', '33704', '32914', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8725', 'Lycanthrope', '1', '45173', '0', '33662', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8726', 'Lycanthrope', '1', '45173', '0', '33710', '33011', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8727', 'Lycanthrope', '1', '45173', '0', '33747', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8728', 'Lycanthrope', '1', '45173', '0', '33809', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8729', 'Lycanthrope', '1', '45173', '0', '33871', '33018', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8730', 'Lycanthrope', '1', '45173', '0', '33843', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8731', 'Lycanthrope', '1', '45173', '0', '33805', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8732', 'Lycanthrope', '1', '45173', '0', '33771', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8733', 'Lycanthrope', '1', '45173', '0', '33779', '32972', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8734', 'Lycanthrope', '1', '45173', '0', '33724', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8735', 'Lycanthrope', '1', '45173', '0', '33677', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8736', 'Lycanthrope', '1', '45173', '0', '33726', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8737', 'Lycanthrope', '1', '45173', '0', '32921', '32564', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8738', 'Lycanthrope', '1', '45173', '0', '32930', '32572', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8739', 'Lycanthrope', '1', '45173', '0', '32945', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8740', 'Lycanthrope', '1', '45173', '0', '32965', '32568', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8741', 'Lycanthrope', '1', '45173', '0', '32979', '32579', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8742', 'Lycanthrope', '1', '45173', '0', '32973', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8743', 'Lycanthrope', '1', '45173', '0', '32974', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8744', 'Lycanthrope', '1', '45173', '0', '32988', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8745', 'Lycanthrope', '1', '45173', '0', '32976', '32658', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8746', 'Lycanthrope', '1', '45173', '0', '32975', '32681', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8747', 'Lycanthrope', '1', '45173', '0', '32953', '32670', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8748', 'Lycanthrope', '1', '45173', '0', '32951', '32654', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8749', 'Lycanthrope', '1', '45173', '0', '32944', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8750', 'Lycanthrope', '1', '45173', '0', '32933', '32629', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8751', 'Lycanthrope', '1', '45173', '0', '32948', '32610', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8752', 'Lycanthrope', '1', '45173', '0', '32953', '32595', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8753', 'Lycanthrope', '1', '45173', '0', '32972', '32586', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8754', 'Lycanthrope', '1', '45173', '0', '33198', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8755', 'Lycanthrope', '1', '45173', '0', '33176', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8756', 'Lycanthrope', '1', '45173', '0', '33125', '32618', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8757', 'Lycanthrope', '1', '45173', '0', '33105', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8758', 'Lycanthrope', '1', '45173', '0', '33076', '32607', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8759', 'Lycanthrope', '1', '45173', '0', '33061', '32619', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8760', 'Lycanthrope', '1', '45173', '0', '33086', '32662', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8761', 'Lycanthrope', '1', '45173', '0', '33108', '32684', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8762', 'Lycanthrope', '1', '45173', '0', '33173', '32600', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8763', 'Lycanthrope', '1', '45173', '0', '33166', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8764', 'Lycanthrope', '1', '45173', '0', '33132', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8765', 'Lycanthrope', '1', '45173', '0', '33111', '32590', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8766', 'Lycanthrope', '1', '45173', '0', '33079', '32584', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8767', 'Lycanthrope', '1', '45173', '0', '33075', '32628', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8768', 'Lycanthrope', '1', '45173', '0', '32952', '32843', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8769', 'Lycanthrope', '1', '45173', '0', '32985', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8770', 'Lycanthrope', '1', '45173', '0', '32966', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8771', 'Lycanthrope', '1', '45173', '0', '32974', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8772', 'Lycanthrope', '1', '45173', '0', '32985', '32878', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8773', 'Lycanthrope', '1', '45173', '0', '32986', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8774', 'Lycanthrope', '1', '45173', '0', '32979', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8775', 'Lycanthrope', '1', '45173', '0', '32982', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8776', 'Lycanthrope', '1', '45173', '0', '32977', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8777', 'Lycanthrope', '1', '45173', '0', '32982', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8778', 'Lycanthrope', '1', '45173', '0', '32971', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8779', 'Lycanthrope', '1', '45173', '0', '32971', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8780', 'Lycanthrope', '1', '45173', '0', '32958', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8781', 'Lycanthrope', '1', '45173', '0', '32948', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8782', 'Lycanthrope', '1', '45173', '0', '32950', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8783', 'Lycanthrope', '1', '45173', '0', '32956', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8784', 'Lycanthrope', '1', '45173', '0', '32956', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8785', 'Lycanthrope', '1', '45173', '0', '32950', '32889', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8786', 'Lycanthrope', '1', '45173', '0', '32952', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8787', 'Lycanthrope', '1', '45173', '0', '32947', '32845', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8788', 'Lycanthrope', '1', '45173', '0', '32953', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8789', 'Lycanthrope', '1', '45173', '0', '32960', '32883', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8790', 'Lycanthrope', '1', '45173', '0', '32961', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8791', 'Lycanthrope', '1', '45173', '0', '32962', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8792', 'Lycanthrope', '1', '45173', '0', '32934', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8793', 'Lycanthrope', '1', '45173', '0', '32951', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('8837', 'Dark Elemental', '1', '45244', '0', '32766', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8838', 'Dark Elemental', '1', '45244', '0', '32795', '32837', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8839', 'Dark Elemental', '1', '45244', '0', '32797', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8840', 'Dark Elemental', '1', '45244', '0', '32810', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8841', 'Dark Elemental', '1', '45244', '0', '32763', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8842', 'Dark Elemental', '1', '45244', '0', '32757', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8843', 'Dark Elemental', '1', '45244', '0', '32748', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8844', 'Dark Elemental', '1', '45244', '0', '32750', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8845', 'Dark Elemental', '1', '45244', '0', '32771', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8846', 'Dark Elemental', '1', '45244', '0', '32805', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8847', 'Dark Elemental', '1', '45244', '0', '32814', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8848', 'Dark Elemental', '1', '45244', '0', '32826', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8849', 'Dark Elemental', '1', '45244', '0', '32844', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8850', 'Dark Elemental', '1', '45244', '0', '32848', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8851', 'Dark Elemental', '1', '45244', '0', '32834', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8852', 'Dark Elemental', '1', '45244', '0', '32842', '32815', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8853', 'Dark Elemental', '1', '45244', '0', '32849', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8854', 'Dark Elemental', '1', '45244', '0', '32870', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8855', 'Dark Elemental', '1', '45244', '0', '32886', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8856', 'Dark Elemental', '1', '45244', '0', '32879', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8857', 'Dark Elemental', '1', '45244', '0', '32876', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8858', 'Dark Elemental', '1', '45244', '0', '32846', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8859', 'Dark Elemental', '1', '45244', '0', '32847', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8860', 'Dark Elemental', '1', '45244', '0', '32822', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8861', 'Dark Elemental', '1', '45244', '0', '32820', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8862', 'Dark Elemental', '1', '45244', '0', '32815', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8863', 'Dark Elemental', '1', '45244', '0', '32848', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8864', 'Dark Elemental', '1', '45244', '0', '32891', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8865', 'Dark Elemental', '1', '45244', '0', '32904', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8866', 'Dark Elemental', '1', '45244', '0', '32901', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8867', 'Dark Elemental', '1', '45244', '0', '32893', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8868', 'Dark Elemental', '1', '45244', '0', '32890', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8869', 'Dark Elemental', '1', '45244', '0', '32874', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8870', 'Dark Elemental', '1', '45244', '0', '32861', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8871', 'Dark Elemental', '1', '45244', '0', '32879', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8872', 'Dark Elemental', '1', '45244', '0', '32915', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8873', 'Dark Elemental', '1', '45244', '0', '32892', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8874', 'Dark Elemental', '1', '45244', '0', '32878', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8875', 'Dark Elemental', '1', '45244', '0', '32955', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8876', 'Dark Elemental', '1', '45244', '0', '32966', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8877', 'Dark Elemental', '1', '45244', '0', '32978', '32800', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8878', 'Dark Elemental', '1', '45244', '0', '32934', '32819', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8879', 'Dark Elemental', '1', '45244', '0', '32926', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8880', 'Dark Elemental', '1', '45244', '0', '32916', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8881', 'Dark Elemental', '1', '45244', '0', '32915', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8882', 'Dark Elemental', '1', '45244', '0', '32961', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8883', 'Dark Elemental', '1', '45244', '0', '32959', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8884', 'Dark Elemental', '1', '45244', '0', '32920', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8885', 'Dark Elemental', '1', '45244', '0', '32902', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8886', 'Dark Elemental', '1', '45244', '0', '32858', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8887', 'Dark Elemental', '1', '45244', '0', '32935', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8888', 'Dark Elemental', '1', '45244', '0', '32962', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8889', 'Dark Elemental', '1', '45244', '0', '32954', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8890', 'Dark Elemental', '1', '45244', '0', '32959', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8891', 'Dark Elemental', '1', '45244', '0', '32972', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8892', 'Dark Elemental', '1', '45244', '0', '33046', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8893', 'Dark Elemental', '1', '45244', '0', '33055', '32806', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8894', 'Dark Elemental', '1', '45244', '0', '33059', '32818', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8895', 'Dark Elemental', '1', '45244', '0', '33053', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8896', 'Dark Elemental', '1', '45244', '0', '33055', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8897', 'Dark Elemental', '1', '45244', '0', '33048', '32841', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8898', 'Dark Elemental', '1', '45244', '0', '33052', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8899', 'Dark Elemental', '1', '45244', '0', '33045', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8900', 'Dark Elemental', '1', '45244', '0', '33038', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8901', 'Dark Elemental', '1', '45244', '0', '33045', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8902', 'Dark Elemental', '1', '45244', '0', '33052', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8903', 'Dark Elemental', '1', '45244', '0', '33035', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8904', 'Dark Elemental', '1', '45244', '0', '32996', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8905', 'Dark Elemental', '1', '45244', '0', '32986', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8906', 'Dark Elemental', '1', '45244', '0', '32991', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8907', 'Dark Elemental', '1', '45244', '0', '32987', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8908', 'Dark Elemental', '1', '45244', '0', '33049', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9001', 'Arachnevil Elder', '1', '45184', '0', '33543', '33301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9002', 'Arachnevil Elder', '1', '45184', '0', '33480', '33328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9003', 'Arachnevil Elder', '1', '45184', '0', '33466', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9004', 'Arachnevil Elder', '1', '45184', '0', '33463', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9005', 'Arachnevil Elder', '1', '45184', '0', '33386', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9006', 'Arachnevil Elder', '1', '45184', '0', '33342', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9007', 'Arachnevil Elder', '1', '45184', '0', '33333', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9008', 'Arachnevil Elder', '1', '45184', '0', '33405', '33328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9009', 'Arachnevil Elder', '1', '45184', '0', '33454', '33430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9010', 'Arachnevil Elder', '1', '45184', '0', '33461', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9011', 'Arachnevil Elder', '1', '45184', '0', '33365', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9012', 'Arachnevil Elder', '1', '45184', '0', '33268', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9013', 'Arachnevil Elder', '1', '45184', '0', '33345', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9014', 'Arachnevil Elder', '1', '45184', '0', '33375', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9015', 'Arachnevil Elder', '1', '45184', '0', '33440', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9016', 'Arachnevil Elder', '1', '45184', '0', '33316', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9017', 'Arachnevil Elder', '1', '45184', '0', '33375', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9132', 'Arachnevil Elder', '1', '45184', '0', '33323', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9133', 'Arachnevil Elder', '1', '45184', '0', '33345', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9134', 'Arachnevil Elder', '1', '45184', '0', '33393', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9135', 'Arachnevil Elder', '1', '45184', '0', '33399', '33082', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9136', 'Arachnevil Elder', '1', '45184', '0', '33357', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9137', 'Arachnevil Elder', '1', '45184', '0', '33348', '33110', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9138', 'Arachnevil Elder', '1', '45184', '0', '33341', '33070', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9139', 'Arachnevil Elder', '1', '45184', '0', '33372', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9140', 'Arachnevil Elder', '1', '45184', '0', '33398', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9141', 'Arachnevil Elder', '1', '45184', '0', '33204', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9142', 'Arachnevil Elder', '1', '45184', '0', '33277', '33080', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9143', 'Arachnevil Elder', '1', '45184', '0', '33219', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9144', 'Arachnevil Elder', '1', '45184', '0', '33173', '33058', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9145', 'Arachnevil Elder', '1', '45184', '0', '33186', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9146', 'Arachnevil Elder', '1', '45184', '0', '32962', '32642', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9147', 'Arachnevil Elder', '1', '45184', '0', '32946', '32626', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9148', 'Arachnevil Elder', '1', '45184', '0', '32929', '32609', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9149', 'Arachnevil Elder', '1', '45184', '0', '32955', '32589', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9150', 'Arachnevil Elder', '1', '45184', '0', '32978', '32583', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9151', 'Arachnevil Elder', '1', '45184', '0', '32958', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9152', 'Arachnevil Elder', '1', '45184', '0', '32946', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9153', 'Arachnevil Elder', '1', '45184', '0', '32954', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9154', 'Arachnevil Elder', '1', '45184', '0', '32974', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9155', 'Arachnevil Elder', '1', '45184', '0', '32986', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9156', 'Arachnevil Elder', '1', '45184', '0', '32987', '32884', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9157', 'Arachnevil Elder', '1', '45184', '0', '32963', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9158', 'Arachnevil Elder', '1', '45184', '0', '32962', '32919', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9264', 'Doppelganger', '1', '45189', '0', '33792', '33272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9265', 'Doppelganger', '1', '45189', '0', '33803', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9266', 'Doppelganger', '1', '45189', '0', '33812', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9267', 'Doppelganger', '1', '45189', '0', '33802', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9268', 'Doppelganger', '1', '45189', '0', '33804', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9269', 'Doppelganger', '1', '45189', '0', '33805', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9270', 'Doppelganger', '1', '45189', '0', '33796', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9271', 'Doppelganger', '1', '45189', '0', '33786', '33321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9272', 'Doppelganger', '1', '45189', '0', '33775', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9273', 'Doppelganger', '1', '45189', '0', '33766', '33334', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9274', 'Doppelganger', '1', '45189', '0', '33759', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9275', 'Doppelganger', '1', '45189', '0', '33751', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9276', 'Doppelganger', '1', '45189', '0', '33757', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9277', 'Doppelganger', '1', '45189', '0', '33746', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9278', 'Doppelganger', '1', '45189', '0', '33738', '33359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9279', 'Doppelganger', '1', '45189', '0', '33729', '33355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9280', 'Doppelganger', '1', '45189', '0', '33724', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9281', 'Doppelganger', '1', '45189', '0', '33717', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9282', 'Doppelganger', '1', '45189', '0', '33710', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9283', 'Doppelganger', '1', '45189', '0', '33709', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9284', 'Doppelganger', '1', '45189', '0', '33717', '33310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9285', 'Doppelganger', '1', '45189', '0', '33717', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9286', 'Doppelganger', '1', '45189', '0', '33724', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9287', 'Doppelganger', '1', '45189', '0', '33730', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9288', 'Doppelganger', '1', '45189', '0', '33730', '33322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9289', 'Doppelganger', '1', '45189', '0', '33732', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9290', 'Doppelganger', '1', '45189', '0', '33741', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9291', 'Doppelganger', '1', '45189', '0', '33749', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9292', 'Doppelganger', '1', '45189', '0', '33753', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9293', 'Doppelganger', '1', '45189', '0', '33756', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9294', 'Doppelganger', '1', '45189', '0', '33763', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9295', 'Doppelganger', '1', '45189', '0', '33766', '33293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9296', 'Doppelganger', '1', '45189', '0', '33764', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9297', 'Doppelganger', '1', '45189', '0', '33769', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9298', 'Doppelganger', '1', '45189', '0', '33787', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9299', 'Doppelganger', '1', '45189', '0', '33784', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9300', 'Doppelganger', '1', '45189', '0', '33775', '33250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9301', 'Doppelganger', '1', '45189', '0', '33767', '33245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9302', 'Doppelganger', '1', '45189', '0', '33756', '33253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9303', 'Doppelganger', '1', '45189', '0', '33746', '33256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9304', 'Doppelganger', '1', '45189', '0', '33738', '33263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9305', 'Doppelganger', '1', '45189', '0', '33730', '33271', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9306', 'Doppelganger', '1', '45189', '0', '33722', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9307', 'Doppelganger', '1', '45189', '0', '33715', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9308', 'Doppelganger', '1', '45189', '0', '33704', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9309', 'Doppelganger', '1', '45189', '0', '33698', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9310', 'Doppelganger', '1', '45189', '0', '33689', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9311', 'Doppelganger', '1', '45189', '0', '33696', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9312', 'Doppelganger', '1', '45189', '0', '33704', '33354', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9313', 'Doppelganger', '1', '45189', '0', '33711', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9314', 'Doppelganger', '1', '45189', '0', '33720', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9315', 'Doppelganger', '1', '45189', '0', '33729', '33364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9316', 'Doppelganger', '1', '45189', '0', '33790', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9317', 'Doppelganger', '1', '45189', '0', '33793', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9318', 'Doppelganger', '1', '45189', '0', '33787', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9319', 'Doppelganger', '1', '45189', '0', '33776', '33304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9320', 'Doppelganger', '1', '45189', '0', '33769', '33313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9321', 'Doppelganger', '1', '45189', '0', '33740', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9322', 'Doppelganger', '1', '45189', '0', '33765', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9323', 'Doppelganger', '1', '45189', '0', '33740', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9324', 'Giant Soldier Ant', '1', '45190', '0', '32839', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9325', 'Giant Soldier Ant', '2', '45190', '0', '32770', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9326', 'Giant Soldier Ant', '1', '45190', '0', '32723', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9327', 'Giant Soldier Ant', '2', '45190', '0', '32755', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9328', 'Giant Soldier Ant', '1', '45190', '0', '32794', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9329', 'Giant Soldier Ant', '2', '45190', '0', '32833', '33257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9330', 'Giant Soldier Ant', '1', '45190', '0', '32841', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9331', 'Giant Soldier Ant', '2', '45190', '0', '32889', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9332', 'Giant Soldier Ant', '1', '45190', '0', '32889', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9333', 'Giant Soldier Ant', '2', '45190', '0', '32815', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9334', 'Giant Soldier Ant', '1', '45190', '0', '32764', '33232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9335', 'Giant Soldier Ant', '2', '45190', '0', '32705', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9336', 'Giant Soldier Ant', '1', '45190', '0', '32847', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9337', 'Giant Soldier Ant', '2', '45190', '0', '32834', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9338', 'Giant Soldier Ant', '1', '45190', '0', '32805', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9339', 'Giant Soldier Ant', '2', '45190', '0', '32792', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9340', 'Giant Soldier Ant', '1', '45190', '0', '32770', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9341', 'Giant Soldier Ant', '2', '45190', '0', '32765', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9342', 'Giant Soldier Ant', '1', '45190', '0', '32736', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9343', 'Giant Soldier Ant', '2', '45190', '0', '32758', '33102', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9344', 'Giant Soldier Ant', '1', '45190', '0', '32803', '33138', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9345', 'Giant Soldier Ant', '2', '45190', '0', '32814', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9346', 'Giant Soldier Ant', '1', '45190', '0', '32843', '33178', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9347', 'Giant Soldier Ant', '2', '45190', '0', '32889', '33218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9348', 'Giant Soldier Ant', '1', '45190', '0', '32938', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9349', 'Giant Soldier Ant', '2', '45190', '0', '32887', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9350', 'Giant Soldier Ant', '1', '45190', '0', '32869', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9351', 'Giant Soldier Ant', '2', '45190', '0', '32848', '33090', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9352', 'Giant Soldier Ant', '1', '45190', '0', '32825', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9353', 'Giant Soldier Ant', '2', '45190', '0', '32805', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9354', 'Giant Soldier Ant', '1', '45190', '0', '32818', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9355', 'Giant Soldier Ant', '2', '45190', '0', '32820', '33105', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9356', 'Giant Soldier Ant', '1', '45190', '0', '32843', '33134', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9357', 'Giant Soldier Ant', '2', '45190', '0', '32856', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9358', 'Giant Soldier Ant', '1', '45190', '0', '32878', '33179', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9359', 'Giant Soldier Ant', '2', '45190', '0', '32884', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9360', 'Giant Soldier Ant', '1', '45190', '0', '32743', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9361', 'Giant Soldier Ant', '2', '45190', '0', '32883', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9362', 'Giant Soldier Ant', '1', '45190', '0', '32912', '33181', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9363', 'Giant Soldier Ant', '2', '45190', '0', '32890', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9364', 'Giant Soldier Ant', '1', '45190', '0', '32851', '33126', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9365', 'Giant Soldier Ant', '2', '45190', '0', '32797', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9366', 'Giant Soldier Ant', '1', '45190', '0', '32809', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9367', 'Giant Soldier Ant', '2', '45190', '0', '32822', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9368', 'Giant Soldier Ant', '1', '45190', '0', '32894', '33246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9369', 'Giant Soldier Ant', '2', '45190', '0', '32832', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9370', 'Giant Soldier Ant', '1', '45190', '0', '32769', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9371', 'Giant Soldier Ant', '2', '45190', '0', '32743', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9372', 'Giant Soldier Ant', '1', '45190', '0', '32706', '33165', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9373', 'Giant Soldier Ant', '2', '45190', '0', '32977', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9374', 'Giant Soldier Ant', '1', '45190', '0', '32920', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9375', 'Giant Soldier Ant', '2', '45190', '0', '32910', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9376', 'Giant Soldier Ant', '1', '45190', '0', '32948', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9377', 'Giant Soldier Ant', '2', '45190', '0', '32873', '33346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9378', 'Giant Soldier Ant', '1', '45190', '0', '32816', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9379', 'Giant Soldier Ant', '2', '45190', '0', '32797', '33282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9617', 'Giant Soldier Ant', '2', '45190', '0', '32912', '33126', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9618', 'Giant Soldier Ant', '1', '45190', '0', '32954', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9619', 'Giant Soldier Ant', '2', '45190', '0', '32971', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9620', 'Giant Soldier Ant', '1', '45190', '0', '32933', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9621', 'Giant Soldier Ant', '2', '45190', '0', '32902', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9622', 'Giant Soldier Ant', '1', '45190', '0', '32988', '33261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9623', 'Giant Soldier Ant', '2', '45190', '0', '33011', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9624', 'Giant Soldier Ant', '1', '45190', '0', '32977', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9625', 'Giant Soldier Ant', '2', '45190', '0', '32941', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9660', 'Right-Hand Bandit', '1', '45194', '0', '33834', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9661', 'Right-Hand Bandit', '1', '45194', '0', '33807', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9662', 'Right-Hand Bandit', '1', '45194', '0', '33831', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9663', 'Right-Hand Bandit', '1', '45194', '0', '33860', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9664', 'Right-Hand Bandit', '1', '45194', '0', '33909', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9665', 'Right-Hand Bandit', '1', '45194', '0', '33873', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9666', 'Right-Hand Bandit', '1', '45194', '0', '33866', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9667', 'Right-Hand Bandit', '1', '45194', '0', '33768', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9668', 'Right-Hand Bandit', '1', '45194', '0', '33812', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9669', 'Right-Hand Bandit', '1', '45194', '0', '33843', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9670', 'Right-Hand Bandit', '1', '45194', '0', '33854', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9671', 'Right-Hand Bandit', '1', '45194', '0', '33848', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9672', 'Right-Hand Bandit', '1', '45194', '0', '33878', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9673', 'Right-Hand Bandit', '1', '45194', '0', '33852', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9674', 'Right-Hand Bandit', '1', '45194', '0', '33814', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9675', 'Right-Hand Bandit', '1', '45194', '0', '33882', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9676', 'Right-Hand Bandit', '1', '45194', '0', '33864', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9677', 'Right-Hand Bandit', '1', '45194', '0', '33825', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9678', 'Right-Hand Bandit', '1', '45194', '0', '33802', '32720', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9679', 'Right-Hand Bandit', '1', '45194', '0', '33811', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9680', 'Right-Hand Bandit', '1', '45194', '0', '33820', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9681', 'Alligator', '1', '45196', '0', '32861', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9682', 'Alligator', '0', '45196', '0', '32881', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9683', 'Alligator', '1', '45196', '0', '32894', '32936', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9684', 'Alligator', '0', '45196', '0', '32860', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9685', 'Alligator', '1', '45196', '0', '32883', '32890', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9686', 'Alligator', '0', '45196', '0', '32934', '32891', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9687', 'Alligator', '1', '45196', '0', '32909', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9688', 'Alligator', '0', '45196', '0', '32856', '32852', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9689', 'Alligator', '1', '45196', '0', '32884', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9690', 'Alligator', '0', '45196', '0', '32921', '32838', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9691', 'Alligator', '1', '45196', '0', '32941', '32818', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9692', 'Alligator', '0', '45196', '0', '32943', '32744', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9693', 'Alligator', '1', '45196', '0', '32898', '32813', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9694', 'Alligator', '0', '45196', '0', '32904', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9695', 'Alligator', '1', '45196', '0', '32869', '32975', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9696', 'Alligator', '0', '45196', '0', '32853', '32982', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9697', 'Alligator', '1', '45196', '0', '32847', '32963', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9698', 'Alligator', '0', '45196', '0', '32843', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9699', 'Alligator', '1', '45196', '0', '32871', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9700', 'Alligator', '0', '45196', '0', '32862', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9701', 'Alligator', '1', '45196', '0', '32875', '32859', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9702', 'Alligator', '0', '45196', '0', '32876', '32814', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9703', 'Alligator', '1', '45196', '0', '32858', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9704', 'Alligator', '0', '45196', '0', '32838', '33004', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9705', 'Wild Magic', '2', '45197', '0', '32688', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9706', 'Wild Magic', '0', '45197', '0', '32516', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9707', 'Wild Magic', '2', '45197', '0', '32540', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9708', 'Wild Magic', '0', '45197', '0', '32552', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9709', 'Wild Magic', '2', '45197', '0', '32577', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9710', 'Wild Magic', '0', '45197', '0', '32559', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9711', 'Wild Magic', '2', '45197', '0', '32549', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9712', 'Wild Magic', '0', '45197', '0', '32544', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9713', 'Wild Magic', '2', '45197', '0', '32529', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9714', 'Wild Magic', '0', '45197', '0', '32510', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9715', 'Wild Magic', '2', '45197', '0', '32512', '32935', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9716', 'Wild Magic', '0', '45197', '0', '32498', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9717', 'Wild Magic', '2', '45197', '0', '32506', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9718', 'Wild Magic', '0', '45197', '0', '32512', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9719', 'Wild Magic', '2', '45197', '0', '32533', '32977', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9720', 'Wild Magic', '0', '45197', '0', '32552', '32974', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9721', 'Wild Magic', '2', '45197', '0', '32566', '32976', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9722', 'Wild Magic', '0', '45197', '0', '32580', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9723', 'Wild Magic', '2', '45197', '0', '32610', '32978', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9724', 'Wild Magic', '0', '45197', '0', '32612', '32951', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9725', 'Wild Magic', '2', '45197', '0', '32633', '32962', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9726', 'Wild Magic', '0', '45197', '0', '32654', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9727', 'Wild Magic', '2', '45197', '0', '32679', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9728', 'Wild Magic', '0', '45197', '0', '32686', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9729', 'Wild Magic', '2', '45197', '0', '32703', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9730', 'Wild Magic', '0', '45197', '0', '32672', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9731', 'Wild Magic', '2', '45197', '0', '32689', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9732', 'Wild Magic', '0', '45197', '0', '32674', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9733', 'Wild Magic', '2', '45197', '0', '32650', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9734', 'Wild Magic', '0', '45197', '0', '32634', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9735', 'Wild Magic', '2', '45197', '0', '32627', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9736', 'Wild Magic', '0', '45197', '0', '32672', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9737', 'Wild Magic', '2', '45197', '0', '32680', '33021', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9738', 'Wild Magic', '0', '45197', '0', '32687', '33054', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9739', 'Wild Magic', '2', '45197', '0', '32683', '33073', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9740', 'Wild Magic', '0', '45197', '0', '32683', '33083', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9741', 'Wild Magic', '2', '45197', '0', '32679', '33111', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9742', 'Wild Magic', '0', '45197', '0', '32651', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9743', 'Wild Magic', '2', '45197', '0', '32685', '33157', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9744', 'Wild Magic', '0', '45197', '0', '32681', '33176', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9745', 'Wild Magic', '2', '45197', '0', '32679', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9746', 'Wild Magic', '0', '45197', '0', '32652', '33203', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9747', 'Wild Magic', '2', '45197', '0', '32609', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9748', 'Wild Magic', '0', '45197', '0', '32560', '33141', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9749', 'Wild Magic', '2', '45197', '0', '32539', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9750', 'Wild Magic', '0', '45197', '0', '32502', '33166', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9751', 'Wild Magic', '2', '45197', '0', '32479', '33152', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9752', 'Wild Magic', '0', '45197', '0', '32452', '33143', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9753', 'Wild Magic', '2', '45197', '0', '32431', '33139', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9754', 'Wild Magic', '0', '45197', '0', '32397', '33172', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9755', 'Salamander', '1', '45203', '0', '33739', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9757', 'Salamander', '1', '45203', '0', '33731', '32324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9758', 'Salamander', '1', '45203', '0', '33725', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9759', 'Salamander', '1', '45203', '0', '33731', '32246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9760', 'Salamander', '1', '45203', '0', '33713', '32285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9761', 'Salamander', '1', '45203', '0', '33707', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9762', 'Salamander', '1', '45203', '0', '33705', '32310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9763', 'Salamander', '1', '45203', '0', '33699', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9764', 'Salamander', '1', '45203', '0', '33677', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9765', 'Salamander', '1', '45203', '0', '33661', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9766', 'Salamander', '1', '45203', '0', '33666', '32223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9767', 'Salamander', '1', '45203', '0', '33686', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9768', 'Salamander', '1', '45203', '0', '33698', '32346', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9769', 'Salamander', '1', '45203', '0', '33656', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9770', 'Salamander', '1', '45203', '0', '33630', '32300', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9771', 'Salamander', '1', '45203', '0', '33638', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9772', 'Salamander', '1', '45203', '0', '33610', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9773', 'Fire Egg', '1', '45206', '9', '33680', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9774', 'Fire Egg', '1', '45206', '0', '33654', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9775', 'Fire Egg', '1', '45206', '0', '33621', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9776', 'Fire Egg', '1', '45206', '0', '33600', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9777', 'Fire Egg', '1', '45206', '0', '33607', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9778', 'Fire Egg', '1', '45206', '0', '33614', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9779', 'Fire Egg', '1', '45206', '0', '33637', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9780', 'Fire Egg', '1', '45206', '0', '33557', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9781', 'Fire Egg', '1', '45206', '0', '33574', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9782', 'Fire Egg', '1', '45206', '0', '33542', '32384', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9783', 'Fire Egg', '1', '45206', '0', '33524', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9784', 'Fire Egg', '1', '45206', '0', '33513', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9785', 'Fire Egg', '1', '45206', '0', '33520', '32292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9786', 'Fire Egg', '1', '45206', '0', '33540', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9787', 'Fire Egg', '1', '45206', '0', '33561', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9788', 'Fire Egg', '1', '45206', '0', '33588', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9789', 'Fire Egg', '1', '45206', '0', '33577', '32382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9790', 'Fire Egg', '1', '45206', '0', '33567', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9791', 'Fire Egg', '1', '45206', '9', '33566', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9792', 'Fire Egg', '1', '45206', '0', '33550', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9793', 'Fire Egg', '1', '45206', '0', '33591', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9794', 'Fire Egg', '1', '45206', '0', '33612', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9795', 'Fire Egg', '1', '45206', '0', '33618', '32282', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9796', 'Fire Egg', '1', '45206', '0', '33615', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9797', 'Fire Egg', '1', '45206', '0', '33599', '32227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9798', 'Fire Egg', '1', '45206', '0', '33637', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9799', 'Fire Egg', '1', '45206', '0', '33668', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9800', 'Fire Egg', '1', '45206', '0', '33681', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9801', 'Fire Egg', '1', '45206', '9', '33690', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9802', 'Fire Egg', '1', '45206', '0', '33712', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9803', 'Fire Egg', '1', '45206', '0', '33708', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9804', 'Fire Egg', '1', '45206', '0', '33726', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9805', 'Fire Egg', '1', '45206', '0', '33744', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9806', 'Fire Egg', '1', '45206', '0', '33747', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9807', 'Fire Egg', '1', '45206', '0', '33762', '32312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9808', 'Fire Egg', '1', '45206', '0', '33744', '32316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9809', 'Fire Egg', '1', '45206', '0', '33723', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9810', 'Fire Egg', '1', '45206', '0', '33724', '32373', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9811', 'Fire Egg', '1', '45206', '0', '33747', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9812', 'Fire Egg', '1', '45206', '0', '33763', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9813', 'Fire Egg', '1', '45206', '0', '33734', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9814', 'Fire Egg', '1', '45206', '0', '33746', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9815', 'Fire Egg', '1', '45206', '9', '33766', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9816', 'Fire Egg', '1', '45206', '0', '33720', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9817', 'Fire Egg', '1', '45206', '0', '33691', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9818', 'Fire Egg', '1', '45206', '0', '33616', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9819', 'Fire Egg', '1', '45206', '0', '33647', '32347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9820', 'Fire Egg', '1', '45206', '0', '33665', '32382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9821', 'Fire Egg', '1', '45206', '0', '33690', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9822', 'Fire Egg', '1', '45206', '0', '33666', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9823', 'Fire Egg', '1', '45206', '9', '33643', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9824', 'Fire Egg', '1', '45206', '0', '33663', '32296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9825', 'Fire Egg', '1', '45206', '0', '33688', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9843', 'Ice Man', '1', '45207', '0', '34277', '32397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9844', 'Ice Man', '1', '45207', '0', '34260', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9845', 'Ice Man', '1', '45207', '0', '34240', '32392', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9846', 'Ice Man', '1', '45207', '0', '34241', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9847', 'Ice Man', '1', '45207', '0', '34253', '32365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9848', 'Ice Man', '1', '45207', '0', '34230', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9849', 'Ice Man', '1', '45207', '0', '34227', '32377', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9850', 'Ice Man', '1', '45207', '0', '34229', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9851', 'Ice Man', '1', '45207', '0', '34233', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9852', 'Ice Man', '1', '45207', '0', '34232', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9853', 'Ice Man', '1', '45207', '0', '34226', '32400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9854', 'Ice Man', '1', '45207', '0', '34236', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9855', 'Ice Man', '1', '45207', '0', '34220', '32279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9856', 'Ice Man', '1', '45207', '0', '34217', '32292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9857', 'Ice Man', '1', '45207', '0', '34208', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9858', 'Ice Man', '1', '45207', '0', '34215', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9859', 'Ice Man', '1', '45207', '0', '34254', '32231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9860', 'Ice Man', '1', '45207', '0', '34276', '32229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9861', 'Ice Man', '1', '45207', '0', '34277', '32206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9862', 'Ice Man', '1', '45207', '0', '34259', '32190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9863', 'Ice Man', '1', '45207', '0', '34251', '32208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9864', 'Ice Man', '1', '45207', '0', '34277', '32193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9865', 'Ice Man', '1', '45207', '0', '34231', '32205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9866', 'Ice Man', '1', '45207', '0', '34230', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9867', 'Ice Man', '1', '45207', '0', '34237', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9868', 'Ice Man', '1', '45207', '0', '34208', '32198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9869', 'Ice Man', '1', '45207', '0', '34189', '32220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9870', 'Ice Man', '1', '45207', '0', '34201', '32215', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9871', 'Ice Man', '1', '45207', '0', '34274', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9872', 'Ice Man', '1', '45207', '0', '34258', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9873', 'Ice Man', '1', '45207', '0', '34174', '32200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9874', 'Ice Man', '1', '45207', '0', '34151', '32211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9875', 'Ice Man', '1', '45207', '0', '34133', '32247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9876', 'Ice Man', '1', '45207', '0', '34112', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9877', 'Ice Man', '1', '45207', '0', '34190', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9917', 'Ghast', '1', '45213', '0', '32561', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9918', 'Ghast', '1', '45213', '0', '32576', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9919', 'Ghast', '1', '45213', '0', '32549', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9920', 'Mole', '0', '45311', '0', '32799', '32904', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9921', 'Mole', '0', '45311', '0', '32951', '32642', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9922', 'Mole', '0', '45311', '0', '32944', '32657', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9923', 'Mole', '0', '45311', '0', '32931', '32663', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9924', 'Mole', '0', '45311', '0', '32914', '32656', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9925', 'Mole', '0', '45311', '0', '32972', '32635', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9926', 'Mole', '0', '45311', '0', '32920', '32693', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('9938', 'Elder', '1', '45215', '0', '32954', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9939', 'Elder', '1', '45215', '7', '32941', '32757', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9940', 'Elder', '1', '45215', '7', '32926', '32773', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9942', 'Elder', '1', '45215', '7', '32929', '32814', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9943', 'Elder', '1', '45215', '7', '32898', '32812', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9944', 'Elder', '1', '45215', '7', '32876', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9945', 'Elder', '1', '45215', '7', '32895', '32844', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9946', 'Elder', '1', '45215', '7', '32939', '32821', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9950', 'Undead Elmore Soldier', '1', '45216', '0', '34042', '32372', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9951', 'Undead Elmore Soldier', '1', '45216', '0', '34030', '32392', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9952', 'Undead Elmore Soldier', '1', '45216', '0', '34076', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9953', 'Undead Elmore Soldier', '1', '45216', '0', '34113', '32456', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9954', 'Undead Elmore Soldier', '1', '45216', '0', '34105', '32499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9955', 'Undead Elmore Soldier', '1', '45216', '0', '34093', '32540', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9956', 'Undead Elmore Soldier', '1', '45216', '0', '34044', '32573', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9957', 'Undead Elmore Soldier', '1', '45216', '0', '34034', '32567', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9958', 'Undead Elmore Soldier', '1', '45216', '0', '34011', '32545', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9959', 'Undead Elmore Soldier', '1', '45216', '0', '33999', '32533', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9960', 'Undead Elmore Soldier', '1', '45216', '0', '34007', '32528', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9961', 'Undead Elmore Soldier', '1', '45216', '0', '33998', '32490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9962', 'Undead Elmore Soldier', '1', '45216', '0', '33991', '32458', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9963', 'Undead Elmore Soldier', '1', '45216', '0', '34029', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9964', 'Undead Elmore Soldier', '1', '45216', '0', '34041', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9965', 'Undead Elmore Soldier', '1', '45216', '0', '34053', '32434', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9966', 'Undead Elmore Soldier', '1', '45216', '0', '34098', '32489', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9967', 'Undead Elmore Soldier', '1', '45216', '0', '34076', '32506', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9968', 'Undead Elmore Soldier', '1', '45216', '0', '34050', '32488', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9969', 'Undead Elmore Soldier', '1', '45216', '0', '34028', '32466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9970', 'Undead Elmore Soldier', '1', '45216', '0', '34004', '32446', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9971', 'Undead Elmore Soldier', '1', '45216', '0', '34001', '32471', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9972', 'Undead Elmore Soldier', '1', '45216', '0', '34042', '32499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9973', 'Undead Elmore Soldier', '1', '45216', '0', '34019', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9974', 'Undead Elmore Soldier', '1', '45216', '0', '34037', '32558', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9975', 'Undead Elmore Soldier', '1', '45216', '0', '34158', '32598', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9976', 'Undead Elmore Soldier', '1', '45216', '0', '34136', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9977', 'Undead Elmore Soldier', '1', '45216', '0', '34157', '32509', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9978', 'Undead Elmore Soldier', '1', '45216', '0', '34133', '32514', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9979', 'Undead Elmore Soldier', '1', '45216', '0', '34085', '32411', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9980', 'Undead Elmore Soldier', '1', '45216', '0', '33965', '32422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9981', 'Undead Elmore Soldier', '1', '45216', '0', '33951', '32432', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9982', 'Undead Elmore Soldier', '1', '45216', '0', '33937', '32449', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9983', 'Undead Elmore Soldier', '1', '45216', '0', '33955', '32476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9984', 'Undead Elmore Soldier', '1', '45216', '0', '33967', '32463', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9985', 'Undead Elmore Soldier', '1', '45216', '0', '33941', '32479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9986', 'Undead Elmore Soldier', '1', '45216', '0', '34105', '32575', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9987', 'Undead Elmore Soldier', '1', '45216', '0', '34171', '32509', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9988', 'Undead Elmore Soldier', '1', '45216', '0', '34075', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9989', 'Undead Elmore Soldier', '1', '45216', '0', '34119', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9990', 'Undead Elmore Soldier', '1', '45216', '0', '34141', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9991', 'Undead Elmore Soldier', '1', '45216', '0', '34174', '32423', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9992', 'Undead Elmore Soldier', '1', '45216', '0', '34197', '32448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9993', 'Undead Elmore Soldier', '1', '45216', '0', '34159', '32442', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9994', 'Undead Elmore Soldier', '1', '45216', '0', '34127', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9995', 'Undead Elmore Soldier', '1', '45216', '0', '34095', '32320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9996', 'Undead Elmore Soldier', '1', '45216', '0', '34114', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9997', 'Undead Elmore Soldier', '1', '45216', '0', '34143', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9998', 'Undead Elmore Soldier', '1', '45216', '0', '34138', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('9999', 'Undead Elmore Soldier', '1', '45216', '0', '34180', '32373', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10000', 'Undead Elmore Soldier', '1', '45216', '0', '34167', '32341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10001', 'Undead Elmore Soldier', '1', '45216', '0', '34164', '32306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10002', 'Undead Elmore Soldier', '1', '45216', '0', '34061', '32464', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10003', 'Undead Elmore Soldier', '1', '45216', '0', '34083', '32479', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10004', 'Undead Elmore Soldier', '1', '45216', '0', '34090', '32486', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10005', 'Undead Elmore Soldier', '1', '45216', '0', '34100', '32458', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10006', 'Undead Elmore Soldier', '1', '45216', '0', '34102', '32427', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10007', 'Undead Elmore Soldier', '1', '45216', '0', '34064', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10008', 'Undead Elmore Soldier', '1', '45216', '0', '34108', '32394', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10009', 'Undead Elmore Soldier', '1', '45216', '0', '34102', '32444', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10010', 'High Lizardman', '0', '45217', '0', '32692', '3293', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10011', 'High Lizardman', '2', '45217', '0', '32792', '32748', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10012', 'High Lizardman', '0', '45217', '0', '32803', '32746', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10013', 'High Lizardman', '2', '45217', '0', '32798', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10014', 'High Lizardman', '0', '45217', '0', '32785', '32764', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10015', 'High Lizardman', '2', '45217', '0', '32771', '32778', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10016', 'High Lizardman', '0', '45217', '0', '32761', '32790', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10017', 'High Lizardman', '2', '45217', '0', '32738', '32801', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10018', 'High Lizardman', '0', '45217', '0', '32732', '32793', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10019', 'High Lizardman', '2', '45217', '0', '32725', '32784', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10020', 'High Lizardman', '0', '45217', '0', '32701', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10021', 'High Lizardman', '2', '45217', '0', '32705', '32808', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10022', 'High Lizardman', '0', '45217', '0', '32687', '32813', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10023', 'High Lizardman', '2', '45217', '0', '32692', '32798', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10024', 'High Lizardman', '0', '45217', '0', '32673', '32779', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10025', 'High Lizardman', '2', '45217', '0', '32668', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10026', 'High Lizardman', '0', '45217', '0', '32704', '32757', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10027', 'High Lizardman', '2', '45217', '0', '32710', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10028', 'High Lizardman', '0', '45217', '0', '32768', '32825', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10029', 'High Lizardman', '2', '45217', '0', '32762', '32835', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10030', 'High Lizardman', '0', '45217', '0', '32763', '32852', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10031', 'High Lizardman', '2', '45217', '0', '32769', '32859', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10032', 'High Lizardman', '0', '45217', '0', '32762', '32850', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10033', 'High Lizardman', '2', '45217', '0', '32713', '32864', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10034', 'High Lizardman', '0', '45217', '0', '32669', '32866', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10035', 'High Lizardman', '2', '45217', '0', '32715', '32863', '2', '2', '0', '0', '0', '0', '0', '60', '120', '441', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10036', 'High Lizardman', '0', '45217', '0', '32842', '32730', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10037', 'High Lizardman', '2', '45217', '0', '32825', '32746', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10038', 'High Lizardman', '0', '45217', '0', '32826', '32757', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10039', 'High Lizardman', '2', '45217', '0', '32854', '32758', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10040', 'High Lizardman', '0', '45217', '0', '32838', '32763', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10041', 'High Lizardman', '2', '45217', '0', '32818', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10042', 'High Lizardman', '0', '45217', '0', '32759', '32774', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10043', 'High Lizardman', '2', '45217', '0', '32760', '32793', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10044', 'High Lizardman', '0', '45217', '0', '32763', '32766', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10045', 'High Lizardman', '2', '45217', '0', '32737', '32848', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10046', 'High Lizardman', '0', '45217', '0', '32734', '32860', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10047', 'High Lizardman', '2', '45217', '0', '32826', '32817', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10048', 'High Lizardman', '0', '45217', '0', '32682', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10049', 'High Lizardman', '2', '45217', '0', '32685', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10050', 'High Lizardman', '0', '45217', '0', '32662', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10051', 'High Lizardman', '2', '45217', '0', '32655', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10052', 'High Lizardman', '0', '45217', '0', '32675', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10053', 'High Lizardman', '2', '45217', '0', '32680', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10054', 'High Lizardman', '0', '45217', '0', '32674', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10055', 'High Lizardman', '2', '45217', '0', '32670', '32956', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10056', 'High Lizardman', '0', '45217', '0', '32684', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10057', 'High Lizardman', '2', '45217', '0', '32672', '32982', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10058', 'High Lizardman', '0', '45217', '0', '32685', '33004', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10059', 'High Lizardman', '2', '45217', '0', '32680', '33019', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10060', 'High Lizardman', '0', '45217', '0', '32691', '33042', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10061', 'High Lizardman', '2', '45217', '0', '32693', '33047', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10062', 'High Lizardman', '0', '45217', '0', '32683', '33059', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10063', 'High Lizardman', '2', '45217', '0', '32680', '33074', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10064', 'High Lizardman', '0', '45217', '0', '32671', '33106', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10065', 'High Lizardman', '2', '45217', '0', '32676', '33119', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10066', 'High Lizardman', '0', '45217', '0', '32655', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10067', 'High Lizardman', '2', '45217', '0', '32636', '33091', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10068', 'High Lizardman', '0', '45217', '0', '32620', '33096', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10069', 'High Lizardman', '2', '45217', '0', '32618', '33112', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10070', 'High Lizardman', '0', '45217', '0', '32612', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10071', 'High Lizardman', '2', '45217', '0', '32601', '33145', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10072', 'High Lizardman', '0', '45217', '0', '32588', '33139', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10073', 'High Lizardman', '2', '45217', '0', '32584', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10074', 'High Lizardman', '0', '45217', '0', '32596', '33164', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10075', 'High Lizardman', '2', '45217', '0', '32603', '33176', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10076', 'High Lizardman', '0', '45217', '0', '32619', '33189', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10077', 'High Lizardman', '2', '45217', '0', '32620', '33195', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10078', 'High Lizardman', '0', '45217', '0', '32641', '33180', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10079', 'Dire Bat', '0', '45219', '0', '32932', '32805', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10080', 'Dire Bat', '0', '45219', '0', '32931', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10081', 'Dire Bat', '0', '45219', '0', '32947', '32789', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10082', 'Dire Bat', '0', '45219', '0', '32940', '32811', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10083', 'Dire Bat', '0', '45219', '0', '32950', '32834', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10084', 'Dire Bat', '0', '45219', '0', '32962', '32832', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10085', 'Dire Bat', '0', '45219', '0', '32952', '32836', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10086', 'Dire Bat', '0', '45219', '0', '32968', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10087', 'Dire Bat', '0', '45219', '0', '32977', '32791', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10088', 'Dire Bat', '0', '45219', '0', '32991', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10089', 'Dire Bat', '0', '45219', '0', '32979', '32763', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10090', 'Dire Bat', '0', '45219', '0', '32966', '32768', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10091', 'Dire Bat', '0', '45219', '0', '32964', '32715', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10092', 'Dire Bat', '0', '45219', '0', '32952', '32708', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10093', 'Dire Bat', '0', '45219', '0', '32961', '32694', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10094', 'Dire Bat', '0', '45219', '0', '32977', '32698', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10095', 'Dire Bat', '0', '45219', '0', '32964', '32664', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10096', 'Dire Bat', '0', '45219', '0', '32973', '32648', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10097', 'Dire Bat', '0', '45219', '0', '32976', '32629', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10098', 'Dire Bat', '0', '45219', '0', '32960', '32632', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10099', 'Dire Bat', '0', '45219', '0', '32942', '32643', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10100', 'Dire Bat', '0', '45219', '0', '32920', '32652', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10101', 'Dire Bat', '0', '45219', '0', '32961', '32629', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10102', 'Dire Bat', '0', '45219', '0', '32965', '32658', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10103', 'Dire Bat', '0', '45219', '0', '32770', '32744', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10104', 'Dire Bat', '0', '45219', '0', '32783', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10105', 'Dire Bat', '0', '45219', '0', '32787', '32738', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10106', 'Dire Bat', '0', '45219', '0', '32795', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10107', 'Dire Bat', '0', '45219', '0', '32771', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10108', 'Dire Bat', '0', '45219', '0', '32749', '32757', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10109', 'Dire Bat', '0', '45219', '0', '32744', '32762', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10110', 'Dire Bat', '0', '45219', '0', '32714', '32781', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10111', 'Dire Bat', '0', '45219', '0', '32631', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10112', 'Dire Bat', '0', '45219', '0', '32642', '32790', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10113', 'Dire Bat', '0', '45219', '0', '32574', '32800', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10114', 'Dire Bat', '0', '45219', '0', '32568', '32805', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10115', 'Dire Bat', '0', '45219', '0', '32555', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10116', 'Dire Bat', '0', '45219', '0', '32540', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10117', 'Dire Bat', '0', '45219', '0', '32639', '32760', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10118', 'Dire Bat', '0', '45219', '0', '32640', '32745', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10119', 'Dire Bat', '0', '45219', '0', '32632', '32725', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10120', 'Dire Bat', '0', '45219', '0', '32619', '32723', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10121', 'Dire Bat', '0', '45219', '0', '32608', '32724', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10122', 'Dire Bat', '0', '45219', '0', '32592', '32726', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10123', 'Dire Bat', '0', '45219', '0', '32570', '32737', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10124', 'Dire Bat', '0', '45219', '0', '32562', '32698', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10125', 'Dire Bat', '0', '45219', '0', '32578', '32643', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10126', 'Dire Bat', '0', '45219', '0', '32571', '32628', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10127', 'Dire Bat', '0', '45219', '0', '32588', '32633', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10128', 'Dire Bat', '0', '45219', '0', '32599', '32639', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10129', 'Dire Bat', '0', '45219', '0', '32618', '32627', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10130', 'Dire Bat', '0', '45219', '0', '32666', '32639', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10131', 'Dire Bat', '0', '45219', '0', '32679', '32638', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10132', 'Dire Bat', '0', '45219', '0', '32693', '32639', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10133', 'Dire Bat', '0', '45219', '0', '32638', '32658', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10134', 'Dire Bat', '0', '45219', '0', '32632', '32679', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10135', 'Dire Bat', '0', '45219', '0', '32637', '32730', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10136', 'Dire Bat', '0', '45219', '0', '32646', '32727', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10137', 'Dire Bat', '0', '45219', '0', '32657', '32733', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10138', 'Dire Bat', '0', '45219', '0', '32718', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10139', 'Dire Bat', '0', '45219', '0', '32706', '32761', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10140', 'Dire Bat', '0', '45219', '0', '32709', '32780', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10220', 'Ramia', '1', '45222', '0', '33540', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10221', 'Ramia', '1', '45222', '0', '33520', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10222', 'Ramia', '1', '45222', '0', '33496', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10223', 'Ramia', '1', '45222', '0', '33508', '33307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10224', 'Ramia', '1', '45222', '0', '33522', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10225', 'Ramia', '1', '45222', '0', '33483', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10226', 'Ramia', '1', '45222', '0', '33400', '33286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10227', 'Ramia', '1', '45222', '0', '33428', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10228', 'Ramia', '1', '45222', '0', '33462', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10229', 'Ramia', '1', '45222', '0', '33437', '33285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10230', 'Ramia', '1', '45222', '0', '33390', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10231', 'Ramia', '1', '45222', '0', '33391', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10232', 'Ramia', '1', '45222', '0', '33348', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10233', 'Ramia', '1', '45222', '0', '33367', '33450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10234', 'Ramia', '1', '45222', '0', '33322', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10235', 'Ramia', '1', '45222', '0', '33337', '33378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10236', 'Ramia', '1', '45222', '0', '33342', '33347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10237', 'Ramia', '1', '45222', '0', '33395', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10238', 'Ramia', '1', '45222', '0', '33426', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10239', 'Ramia', '1', '45222', '0', '33434', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10240', 'Ramia', '1', '45222', '0', '33467', '33455', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10241', 'Ramia', '1', '45222', '0', '33451', '33383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10242', 'Ramia', '1', '45222', '0', '33448', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10243', 'Ramia', '1', '45222', '0', '33385', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10244', 'Ramia', '1', '45222', '0', '33338', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10245', 'Ramia', '1', '45222', '0', '33305', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10246', 'Ramia', '1', '45222', '0', '33274', '33262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10247', 'Ramia', '1', '45222', '0', '33293', '33336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10248', 'Ramia', '1', '45222', '0', '33303', '33378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10249', 'Ramia', '1', '45222', '0', '33318', '33324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10250', 'Ramia', '1', '45222', '0', '33367', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10251', 'Ramia', '1', '45222', '0', '33385', '33230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10252', 'Ramia', '1', '45222', '0', '33407', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10253', 'Ramia', '1', '45222', '0', '33448', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10254', 'Ramia', '1', '45222', '0', '33387', '33242', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10255', 'Ramia', '1', '45222', '0', '33323', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10256', 'Ramia', '1', '45222', '0', '33317', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10257', 'Ramia', '1', '45222', '0', '33315', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10258', 'Ramia', '1', '45222', '0', '33359', '33221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10259', 'Ramia', '1', '45222', '0', '33319', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10260', 'Ramia', '1', '45222', '0', '33375', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10261', 'Ramia', '1', '45222', '0', '33366', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10262', 'Ramia', '1', '45222', '0', '33401', '33259', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10263', 'Ramia', '1', '45222', '0', '33393', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10264', 'Ramia', '1', '45222', '0', '33294', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10265', 'Ramia', '1', '45222', '0', '33424', '33265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10266', 'Ramia', '1', '45222', '0', '33543', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10267', 'Ramia', '1', '45222', '0', '33513', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10268', 'Ramia', '1', '45222', '0', '33467', '33158', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10269', 'Ramia', '1', '45222', '0', '33458', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10270', 'Ramia', '1', '45222', '0', '33469', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10271', 'Ramia', '1', '45222', '0', '33406', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10272', 'Ramia', '1', '45222', '0', '33444', '33152', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10273', 'Ramia', '1', '45222', '0', '33492', '33108', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10274', 'Ramia', '1', '45222', '0', '33524', '33091', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10275', 'Ramia', '1', '45222', '0', '33560', '33133', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10276', 'Ramia', '1', '45222', '0', '33581', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10277', 'Ramia', '1', '45222', '0', '33559', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10278', 'Ramia', '1', '45222', '0', '33506', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10327', 'Ramia', '1', '45222', '0', '33998', '32761', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10328', 'Ramia', '1', '45222', '0', '34010', '32761', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10329', 'Ramia', '1', '45222', '0', '33992', '32782', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10330', 'Ramia', '1', '45222', '0', '33971', '32786', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10331', 'Ramia', '1', '45222', '0', '33959', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10332', 'Ramia', '1', '45222', '0', '33966', '32756', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10333', 'Ramia', '1', '45222', '0', '33942', '32755', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10334', 'Ramia', '1', '45222', '0', '32928', '32748', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10335', 'Ramia', '1', '45222', '0', '33908', '32737', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10336', 'Ramia', '1', '45222', '0', '33905', '32754', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10337', 'Ramia', '1', '45222', '0', '33925', '32763', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10338', 'Ramia', '1', '45222', '0', '33922', '32777', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10339', 'Ramia', '1', '45222', '0', '33898', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10340', 'Ramia', '1', '45222', '0', '33916', '32794', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10341', 'Ramia', '1', '45222', '0', '33951', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10342', 'Ramia', '1', '45222', '0', '33977', '32800', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10343', 'Ramia', '1', '45222', '0', '33989', '32817', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10344', 'Ramia', '1', '45222', '0', '33279', '33424', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10345', 'Ramia', '1', '45222', '0', '33257', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10346', 'Ramia', '1', '45222', '0', '33259', '33403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10347', 'Ramia', '1', '45222', '0', '33275', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10348', 'Ramia', '1', '45222', '0', '33257', '33388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10349', 'Ramia', '1', '45222', '0', '33248', '33394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10350', 'Ramia', '1', '45222', '0', '33254', '33375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10351', 'Ramia', '1', '45222', '0', '33264', '33379', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10352', 'Ramia', '1', '45222', '0', '33247', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10353', 'Ramia', '1', '45222', '0', '33226', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10354', 'Ramia', '1', '45222', '0', '33241', '33330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10355', 'Ramia', '1', '45222', '0', '33233', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10356', 'Ramia', '1', '45222', '0', '33216', '33303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10357', 'Ramia', '1', '45222', '0', '33233', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10358', 'Ramia', '1', '45222', '0', '33225', '33274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10359', 'Ramia', '1', '45222', '0', '33217', '33269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10360', 'Ramia', '1', '45222', '0', '33203', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10361', 'Ramia', '1', '45222', '0', '33232', '33262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10362', 'Ramia', '1', '45222', '0', '33241', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10363', 'Ramia', '1', '45222', '0', '33221', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10364', 'Ramia', '1', '45222', '0', '33217', '33254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10365', 'Ramia', '1', '45222', '0', '33228', '33243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10366', 'Ramia', '1', '45222', '0', '33253', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10367', 'Ramia', '1', '45222', '0', '33232', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10368', 'Ramia', '1', '45222', '0', '33220', '33194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10369', 'Ramia', '1', '45222', '0', '33233', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10370', 'Ramia', '1', '45222', '0', '33239', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10371', 'Ramia', '1', '45222', '0', '33219', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10372', 'Ramia', '1', '45222', '0', '33210', '33162', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10373', 'Ramia', '1', '45222', '0', '33214', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10374', 'Ramia', '1', '45222', '0', '33216', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10375', 'Ramia', '1', '45222', '0', '33194', '33164', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10376', 'Ramia', '1', '45222', '0', '33208', '33171', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10377', 'Ramia', '1', '45222', '0', '33218', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10382', 'Bugbear', '1', '45223', '0', '32898', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10383', 'Bugbear', '1', '45223', '0', '32899', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10384', 'Bugbear', '1', '45223', '0', '32888', '32639', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10385', 'Bugbear', '1', '45223', '0', '32886', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10386', 'Bugbear', '1', '45223', '0', '32872', '32632', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10387', 'Bugbear', '1', '45223', '0', '32884', '32614', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10388', 'Bugbear', '1', '45223', '0', '32872', '32659', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10389', 'Bugbear', '1', '45223', '0', '32890', '32672', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10390', 'Bugbear', '1', '45223', '0', '32903', '32678', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10391', 'Bugbear', '1', '45223', '0', '32884', '32687', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10392', 'Bugbear', '1', '45223', '0', '32910', '32622', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10393', 'Bugbear', '1', '45223', '0', '32912', '32641', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10394', 'Bugbear', '1', '45223', '0', '32928', '32650', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10395', 'Bugbear', '1', '45223', '0', '32920', '32679', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10396', 'Bugbear', '1', '45223', '0', '32909', '32701', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10397', 'Bugbear', '1', '45223', '0', '32865', '32624', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10398', 'Bugbear', '1', '45223', '0', '32867', '32644', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10399', 'Bugbear', '1', '45223', '0', '32856', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10400', 'Bugbear', '1', '45223', '0', '32860', '32686', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10401', 'Bugbear', '1', '45223', '0', '32866', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10402', 'Bugbear', '1', '45223', '0', '32891', '32716', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10403', 'Bugbear', '1', '45223', '0', '32905', '32708', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10404', 'Bugbear', '1', '45223', '0', '32920', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10809', 'Undead Elmore Wizard', '1', '45224', '0', '34047', '32340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10810', 'Undead Elmore Wizard', '1', '45224', '0', '34019', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10811', 'Undead Elmore Wizard', '1', '45224', '0', '34090', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10812', 'Undead Elmore Wizard', '1', '45224', '0', '34112', '32420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10813', 'Undead Elmore Wizard', '1', '45224', '0', '34119', '32466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10814', 'Undead Elmore Wizard', '1', '45224', '0', '34103', '32484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10815', 'Undead Elmore Wizard', '1', '45224', '0', '34102', '32536', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10816', 'Undead Elmore Wizard', '1', '45224', '0', '34059', '32579', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10817', 'Undead Elmore Wizard', '1', '45224', '0', '34026', '32561', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10818', 'Undead Elmore Wizard', '1', '45224', '0', '34019', '32550', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10819', 'Undead Elmore Wizard', '1', '45224', '0', '34002', '32516', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10820', 'Undead Elmore Wizard', '1', '45224', '0', '33981', '32476', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10821', 'Undead Elmore Wizard', '1', '45224', '0', '33993', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10822', 'Undead Elmore Wizard', '1', '45224', '0', '33992', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10823', 'Undead Elmore Wizard', '1', '45224', '0', '34046', '32427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10824', 'Undead Elmore Wizard', '1', '45224', '0', '34070', '32450', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10825', 'Undead Elmore Wizard', '1', '45224', '0', '34091', '32471', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10826', 'Undead Elmore Wizard', '1', '45224', '0', '34098', '32477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10827', 'Undead Elmore Wizard', '1', '45224', '0', '34058', '32494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10828', 'Undead Elmore Wizard', '1', '45224', '0', '34012', '32453', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10829', 'Undead Elmore Wizard', '1', '45224', '0', '34036', '32487', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10830', 'Undead Elmore Wizard', '1', '45224', '0', '34030', '32527', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10831', 'Undead Elmore Wizard', '1', '45224', '0', '34025', '32552', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10832', 'Undead Elmore Wizard', '1', '45224', '0', '34045', '32565', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10833', 'Undead Elmore Wizard', '1', '45224', '0', '34160', '32524', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10834', 'Undead Elmore Wizard', '1', '45224', '0', '34151', '32499', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10835', 'Undead Elmore Wizard', '1', '45224', '0', '34096', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10836', 'Undead Elmore Wizard', '1', '45224', '0', '33939', '32437', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10837', 'Undead Elmore Wizard', '1', '45224', '0', '33970', '32483', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10838', 'Undead Elmore Wizard', '1', '45224', '0', '33982', '32454', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10839', 'Undead Elmore Wizard', '1', '45224', '0', '33965', '32505', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10840', 'Undead Elmore Wizard', '1', '45224', '0', '33934', '32469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10841', 'Undead Elmore Wizard', '1', '45224', '0', '34061', '32533', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10842', 'Undead Elmore Wizard', '1', '45224', '0', '34124', '32557', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10843', 'Undead Elmore Wizard', '1', '45224', '0', '34153', '32484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10844', 'Undead Elmore Wizard', '1', '45224', '0', '34091', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10845', 'Undead Elmore Wizard', '1', '45224', '0', '34106', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10846', 'Undead Elmore Wizard', '1', '45224', '0', '34124', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10847', 'Undead Elmore Wizard', '1', '45224', '0', '34155', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10848', 'Undead Elmore Wizard', '1', '45224', '0', '34197', '32441', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10849', 'Undead Elmore Wizard', '1', '45224', '0', '34171', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10850', 'Undead Elmore Wizard', '1', '45224', '0', '34119', '32398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10851', 'Undead Elmore Wizard', '1', '45224', '0', '34110', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10852', 'Undead Elmore Wizard', '1', '45224', '0', '34120', '32299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10853', 'Undead Elmore Wizard', '1', '45224', '0', '34111', '32274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10854', 'Undead Elmore Wizard', '1', '45224', '0', '34149', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10855', 'Undead Elmore Wizard', '1', '45224', '0', '34166', '32367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10856', 'Undead Elmore Wizard', '1', '45224', '0', '34179', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10857', 'Undead Elmore Wizard', '1', '45224', '0', '34158', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10858', 'Undead Elmore Wizard', '1', '45224', '0', '34135', '32289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10859', 'Undead Elmore Wizard', '1', '45224', '0', '34122', '32314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10860', 'Undead Elmore Wizard', '1', '45224', '0', '34143', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10861', 'Undead Elmore Wizard', '1', '45224', '0', '34148', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10862', 'Undead Elmore Wizard', '1', '45224', '0', '34144', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('10881', 'Dire Wolf', '0', '45237', '0', '32930', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10882', 'Dire Wolf', '0', '45237', '0', '32936', '32756', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10883', 'Dire Wolf', '0', '45237', '0', '32914', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10884', 'Dire Wolf', '0', '45237', '0', '32913', '32737', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10885', 'Dire Wolf', '0', '45237', '0', '32928', '32741', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11324', 'Dark Elf Hunter', '0', '45238', '0', '32743', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11325', 'Dark Elf Hunter', '2', '45238', '0', '32746', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11326', 'Dark Elf Hunter', '0', '45238', '0', '32781', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11327', 'Dark Elf Hunter', '2', '45238', '0', '32786', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11328', 'Dark Elf Hunter', '0', '45238', '0', '32787', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11329', 'Dark Elf Hunter', '2', '45238', '0', '32874', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11330', 'Dark Elf Hunter', '0', '45238', '0', '32872', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11331', 'Dark Elf Hunter', '2', '45238', '0', '32882', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11332', 'Dark Elf Hunter', '0', '45238', '0', '32877', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11333', 'Dark Elf Hunter', '2', '45238', '0', '32897', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11334', 'Dark Elf Hunter', '0', '45238', '0', '32907', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11335', 'Dark Elf Hunter', '2', '45238', '0', '32918', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11336', 'Dark Elf Hunter', '0', '45238', '0', '32987', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11337', 'Dark Elf Hunter', '2', '45238', '0', '32992', '32803', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11338', 'Dark Elf Hunter', '0', '45238', '0', '32976', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11339', 'Dark Elf Hunter', '2', '45238', '0', '32978', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11340', 'Dark Elf Hunter', '0', '45238', '0', '32992', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11341', 'Dark Elf Hunter', '2', '45238', '0', '32993', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11342', 'Dark Elf Hunter', '0', '45238', '0', '32992', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11343', 'Blue Tail', '2', '45239', '0', '32401', '3313', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11344', 'Blue Tail', '0', '45239', '0', '32382', '3313', '3', '14', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11345', 'Blue Tail', '2', '45239', '0', '32360', '33077', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11346', 'Blue Tail', '0', '45239', '0', '32343', '33055', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11347', 'Blue Tail', '2', '45239', '0', '32354', '33061', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11348', 'Blue Tail', '0', '45239', '0', '32313', '33067', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11349', 'Blue Tail', '2', '45239', '0', '32305', '33064', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11350', 'Blue Tail', '0', '45239', '0', '32316', '33066', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11351', 'Blue Tail', '2', '45239', '0', '32292', '33053', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11352', 'Blue Tail', '0', '45239', '0', '32363', '33074', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11353', 'Blue Tail', '2', '45239', '0', '32355', '33099', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11354', 'Blue Tail', '0', '45239', '0', '32345', '33107', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11355', 'Blue Tail', '2', '45239', '0', '32365', '33118', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11356', 'Blue Tail', '0', '45239', '0', '32394', '33103', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11357', 'Blue Tail', '2', '45239', '0', '32408', '33122', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11358', 'Blue Tail', '0', '45239', '0', '32421', '33112', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11359', 'Blue Tail', '2', '45239', '0', '32415', '33126', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11360', 'Blue Tail', '0', '45239', '0', '32412', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11361', 'Blue Tail', '2', '45239', '0', '32400', '33136', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11362', 'Blue Tail', '0', '45239', '0', '32398', '33120', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11363', 'Blue Tail', '2', '45239', '0', '32395', '33110', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11364', 'Blue Tail', '0', '45239', '0', '32435', '33108', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11365', 'Blue Tail', '2', '45239', '0', '32455', '33101', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11366', 'Blue Tail', '0', '45239', '0', '32482', '33107', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11367', 'Blue Tail', '2', '45239', '0', '32492', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11368', 'Blue Tail', '0', '45239', '0', '32495', '33146', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11369', 'Blue Tail', '2', '45239', '0', '32517', '33137', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11370', 'Blue Tail', '0', '45239', '0', '32539', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11371', 'Blue Tail', '2', '45239', '0', '32554', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11372', 'Blue Tail', '0', '45239', '0', '32566', '33121', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11373', 'Blue Tail', '2', '45239', '0', '32579', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11374', 'Blue Tail', '0', '45239', '0', '32580', '33093', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11375', 'Blue Tail', '2', '45239', '0', '32599', '33094', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11376', 'Blue Tail', '0', '45239', '0', '32614', '33105', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11377', 'Blue Tail', '2', '45239', '0', '32635', '33087', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11378', 'Blue Tail', '0', '45239', '0', '32652', '33081', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11379', 'Blue Tail', '2', '45239', '0', '32670', '33080', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11380', 'Blue Tail', '0', '45239', '0', '32689', '33081', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11381', 'Blue Tail', '2', '45239', '0', '32678', '33110', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11382', 'Blue Tail', '0', '45239', '0', '32674', '33121', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11383', 'Blue Tail', '2', '45239', '0', '32639', '33122', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11384', 'Blue Tail', '0', '45239', '0', '32625', '33127', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11385', 'Blue Tail', '2', '45239', '0', '32620', '33149', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11386', 'Blue Tail', '0', '45239', '0', '32635', '33166', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11387', 'Blue Tail', '2', '45239', '0', '32621', '33192', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11388', 'Blue Tail', '0', '45239', '0', '32603', '33177', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11389', 'Blue Tail', '2', '45239', '0', '32597', '33151', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11390', 'Blue Tail', '0', '45239', '0', '32577', '33159', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11391', 'Blue Tail', '2', '45239', '0', '32551', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11392', 'Blue Tail', '0', '45239', '0', '32541', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11393', 'Blue Tail', '2', '45239', '0', '32523', '33168', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11394', 'Blue Tail', '0', '45239', '0', '32511', '33168', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11395', 'Blue Tail', '2', '45239', '0', '32510', '33183', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11396', 'Blue Tail', '0', '45239', '0', '32521', '33188', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11397', 'Blue Tail', '2', '45239', '0', '32492', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11398', 'Blue Tail', '0', '45239', '0', '32478', '33187', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11399', 'Blue Tail', '2', '45239', '0', '32467', '33177', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11400', 'Blue Tail', '0', '45239', '0', '32457', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11401', 'Blue Tail', '2', '45239', '0', '32473', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11402', 'Blue Tail', '0', '45239', '0', '32455', '33116', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11403', 'Blue Tail', '2', '45239', '0', '32434', '33108', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11404', 'Blue Tail', '0', '45239', '0', '32373', '33169', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11405', 'Blue Tail', '2', '45239', '0', '32361', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11406', 'Blue Tail', '0', '45239', '0', '32383', '33191', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11407', 'Blue Tail', '2', '45239', '0', '32395', '33198', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11408', 'Blue Tail', '0', '45239', '0', '32330', '33150', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11409', 'Blue Tail', '2', '45239', '0', '32320', '33146', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11410', 'Blue Tail', '0', '45239', '0', '32339', '33125', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11411', 'Blue Tail', '2', '45239', '0', '32362', '33115', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11412', 'Turtle Dragon', '1', '45262', '0', '33523', '33298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11413', 'Turtle Dragon', '1', '45262', '0', '33448', '33261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11414', 'Turtle Dragon', '1', '45262', '0', '33426', '33325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11415', 'Turtle Dragon', '1', '45262', '0', '33469', '33320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11416', 'Turtle Dragon', '1', '45262', '0', '33428', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11417', 'Turtle Dragon', '1', '45262', '0', '33395', '33360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11418', 'Turtle Dragon', '1', '45262', '0', '33344', '33399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11419', 'Turtle Dragon', '1', '45262', '0', '33345', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11420', 'Turtle Dragon', '1', '45262', '0', '33334', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11421', 'Turtle Dragon', '1', '45262', '0', '33379', '33337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11422', 'Turtle Dragon', '1', '45262', '0', '33429', '33353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11423', 'Turtle Dragon', '1', '45262', '0', '33447', '33401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11424', 'Turtle Dragon', '1', '45262', '0', '33449', '33440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11425', 'Turtle Dragon', '1', '45262', '0', '33326', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11426', 'Turtle Dragon', '1', '45262', '0', '33283', '33310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11427', 'Turtle Dragon', '1', '45262', '0', '33303', '33366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11428', 'Turtle Dragon', '1', '45262', '0', '33325', '33311', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11429', 'Turtle Dragon', '1', '45262', '0', '33375', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11430', 'Turtle Dragon', '1', '45262', '0', '33397', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11431', 'Turtle Dragon', '1', '45262', '0', '33444', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11432', 'Turtle Dragon', '1', '45262', '0', '33357', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11433', 'Turtle Dragon', '1', '45262', '0', '33312', '33177', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11434', 'Turtle Dragon', '1', '45262', '0', '33342', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11435', 'Turtle Dragon', '1', '45262', '0', '33322', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11436', 'Turtle Dragon', '1', '45262', '0', '33379', '33137', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11437', 'Turtle Dragon', '1', '45262', '0', '33418', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11438', 'Turtle Dragon', '1', '45262', '0', '33425', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11439', 'Turtle Dragon', '1', '45262', '0', '33390', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11440', 'Turtle Dragon', '1', '45262', '0', '33288', '33174', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11441', 'Turtle Dragon', '1', '45262', '0', '33555', '33176', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11442', 'Turtle Dragon', '1', '45262', '0', '33525', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11443', 'Turtle Dragon', '1', '45262', '0', '33461', '33170', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11444', 'Turtle Dragon', '1', '45262', '0', '33466', '33141', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11445', 'Turtle Dragon', '1', '45262', '0', '33431', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11446', 'Turtle Dragon', '1', '45262', '0', '33422', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11447', 'Turtle Dragon', '1', '45262', '0', '33497', '33128', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11448', 'Turtle Dragon', '1', '45262', '0', '33511', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11449', 'Turtle Dragon', '1', '45262', '0', '33566', '33143', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11450', 'Turtle Dragon', '1', '45262', '0', '33526', '33107', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11475', 'Turtle Dragon', '1', '45262', '0', '33270', '33420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11476', 'Turtle Dragon', '1', '45262', '0', '33269', '33399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11477', 'Turtle Dragon', '1', '45262', '0', '33246', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11478', 'Turtle Dragon', '1', '45262', '0', '33236', '33347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11479', 'Turtle Dragon', '1', '45262', '0', '33225', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11480', 'Turtle Dragon', '1', '45262', '0', '33224', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11481', 'Turtle Dragon', '1', '45262', '0', '33208', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11482', 'Turtle Dragon', '1', '45262', '0', '33231', '33249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11483', 'Turtle Dragon', '1', '45262', '0', '33212', '33243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11484', 'Turtle Dragon', '1', '45262', '0', '33252', '33216', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11485', 'Turtle Dragon', '1', '45262', '0', '33219', '33207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11486', 'Turtle Dragon', '1', '45262', '0', '33235', '33160', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11487', 'Turtle Dragon', '1', '45262', '0', '33207', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11488', 'Turtle Dragon', '1', '45262', '0', '33205', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11841', 'Harpy', '1', '45264', '0', '33405', '32407', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11842', 'Harpy', '1', '45264', '0', '33385', '32406', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11843', 'Harpy', '1', '45264', '0', '33415', '32366', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11844', 'Harpy', '1', '45264', '0', '33429', '32356', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11845', 'Harpy', '1', '45264', '0', '33441', '32328', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11846', 'Harpy', '1', '45264', '0', '33356', '32282', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11847', 'Harpy', '1', '45264', '0', '33327', '32300', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11848', 'Harpy', '1', '45264', '0', '33324', '32331', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11849', 'Harpy', '1', '45264', '0', '33345', '32320', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11850', 'Harpy', '1', '45264', '0', '33377', '32309', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11851', 'Harpy', '1', '45264', '0', '33387', '32373', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11852', 'Harpy', '1', '45264', '0', '33359', '32384', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11853', 'Harpy', '1', '45264', '0', '33361', '32415', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11854', 'Harpy', '1', '45264', '0', '33314', '32360', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11855', 'Harpy', '1', '45264', '0', '33355', '32357', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11856', 'Harpy', '1', '45264', '0', '33366', '32322', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11857', 'Harpy', '1', '45264', '0', '32846', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11858', 'Harpy', '1', '45264', '0', '32905', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11859', 'Harpy', '1', '45264', '0', '32902', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11860', 'Harpy', '1', '45264', '0', '32969', '33115', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11861', 'Harpy', '1', '45264', '0', '33020', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11862', 'Harpy', '1', '45264', '0', '33005', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11863', 'Harpy', '1', '45264', '0', '32560', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11864', 'Harpy', '1', '45264', '0', '32558', '33323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11865', 'Harpy', '1', '45264', '0', '32577', '33342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11866', 'Harpy', '1', '45264', '0', '32609', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11867', 'Harpy', '1', '45264', '0', '32833', '33453', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11868', 'Harpy', '1', '45264', '0', '32784', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11869', 'Harpy', '1', '45264', '0', '32846', '33407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11870', 'Harpy', '1', '45264', '0', '32910', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11919', 'Dark Elemental', '0', '45244', '0', '32658', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11920', 'Dark Elemental', '0', '45244', '0', '32646', '32793', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11921', 'Dark Elemental', '0', '45244', '0', '32638', '32785', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11922', 'Dark Elemental', '0', '45244', '0', '32634', '32789', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11923', 'Dark Elemental', '0', '45244', '0', '32615', '32786', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11924', 'Dark Elementalist', '1', '45363', '0', '32767', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11925', 'Dark Elementalist', '1', '45363', '0', '32796', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11926', 'Dillo', '0', '45246', '0', '32609', '32794', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11927', 'Dillo', '0', '45246', '0', '32619', '32790', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11928', 'Dillo', '0', '45246', '0', '32596', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11929', 'Dillo', '0', '45246', '0', '32583', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11930', 'Skeletal Pirate', '0', '45247', '0', '32810', '32754', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11931', 'Skeletal Pirate', '2', '45247', '0', '32824', '32763', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11932', 'Skeletal Pirate', '0', '45247', '0', '32849', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11933', 'Skeletal Pirate', '2', '45247', '0', '32864', '32742', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11934', 'Skeletal Pirate', '0', '45247', '0', '32853', '32762', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11935', 'Skeletal Pirate', '2', '45247', '0', '32777', '32750', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11936', 'Skeletal Pirate', '0', '45247', '0', '32786', '32733', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11937', 'Skeletal Pirate', '2', '45247', '0', '32764', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11938', 'Skeletal Pirate', '0', '45247', '0', '32746', '32749', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11939', 'Skeletal Pirate', '2', '45247', '0', '32745', '32736', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11940', 'Skeletal Pirate', '0', '45247', '0', '32824', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11941', 'Skeletal Pirate', '2', '45247', '0', '32739', '32760', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11942', 'Skeletal Pirate', '0', '45247', '0', '32760', '32804', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11943', 'Skeletal Pirate', '2', '45247', '0', '32735', '32860', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11944', 'Skeletal Pirate', '0', '45247', '0', '32775', '32829', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11945', 'Skeletal Pirate', '2', '45247', '0', '32798', '32829', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11946', 'Skeletal Pirate', '0', '45247', '0', '32806', '32835', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11947', 'Skeletal Pirate', '2', '45247', '0', '32818', '32818', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11948', 'Skeletal Pirate', '0', '45247', '0', '32828', '32826', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11949', 'Skeletal Pirate', '2', '45247', '0', '32837', '32831', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11950', 'Skeletal Pirate', '0', '45247', '0', '32850', '32842', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11951', 'Skeletal Pirate', '2', '45247', '0', '32858', '32835', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11952', 'Skeletal Pirate', '0', '45247', '0', '32869', '32795', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11953', 'Skeletal Pirate', '2', '45247', '0', '32865', '32815', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11954', 'Skeletal Pirate', '0', '45247', '0', '32856', '32806', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11955', 'Skeletal Pirate', '2', '45247', '0', '32867', '32798', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11956', 'Skeletal Pirate', '0', '45247', '0', '32824', '32795', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11957', 'Skeletal Pirate', '2', '45247', '0', '32830', '32774', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11958', 'Skeletal Pirate', '0', '45247', '0', '32852', '32729', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11959', 'Skeletal Pirate', '2', '45247', '0', '32830', '32758', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11960', 'Skeletal Pirate', '0', '45247', '0', '32856', '32749', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11961', 'Skeletal Pirate', '2', '45247', '0', '32809', '32767', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11962', 'Skeletal Pirate', '0', '45247', '0', '32804', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11963', 'Skeletal Pirate', '2', '45247', '0', '32808', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11964', 'Skeletal Pirate', '0', '45247', '0', '32823', '32798', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11965', 'Skeletal Pirate', '2', '45247', '0', '32653', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11966', 'Skeletal Pirate', '0', '45247', '0', '32683', '33175', '6', '6', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11967', 'Skeletal Pirate', '2', '45247', '0', '32856', '32843', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11968', 'Skeletal Pirate', '0', '45247', '0', '32850', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11969', 'Skeletal Pirate', '2', '45247', '0', '32840', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('11970', 'Undead Elmore General', '1', '45248', '0', '34060', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11971', 'Undead Elmore General', '1', '45248', '2', '34019', '32389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11972', 'Undead Elmore General', '1', '45248', '0', '34036', '32397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11973', 'Undead Elmore General', '1', '45248', '0', '34092', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11974', 'Undead Elmore General', '1', '45248', '0', '34121', '32420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11975', 'Undead Elmore General', '1', '45248', '0', '34108', '32448', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11976', 'Undead Elmore General', '1', '45248', '0', '34132', '32459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11977', 'Undead Elmore General', '1', '45248', '0', '34096', '32525', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11978', 'Undead Elmore General', '1', '45248', '0', '34056', '32565', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11979', 'Undead Elmore General', '1', '45248', '0', '34011', '32559', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11980', 'Undead Elmore General', '1', '45248', '0', '33991', '32541', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11981', 'Undead Elmore General', '1', '45248', '3', '34005', '32504', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11982', 'Undead Elmore General', '1', '45248', '0', '33977', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11983', 'Undead Elmore General', '1', '45248', '0', '34006', '32389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11984', 'Undead Elmore General', '1', '45248', '0', '34084', '32465', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11985', 'Undead Elmore General', '1', '45248', '0', '34083', '32515', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11986', 'Undead Elmore General', '1', '45248', '0', '34068', '32500', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11987', 'Undead Elmore General', '1', '45248', '0', '34020', '32460', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11988', 'Undead Elmore General', '1', '45248', '0', '33997', '32440', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11989', 'Undead Elmore General', '1', '45248', '2', '34026', '32481', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11990', 'Undead Elmore General', '1', '45248', '0', '34014', '32542', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11991', 'Undead Elmore General', '1', '45248', '0', '34142', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11992', 'Undead Elmore General', '1', '45248', '0', '34113', '32518', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11993', 'Undead Elmore General', '1', '45248', '0', '33966', '32436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11994', 'Undead Elmore General', '1', '45248', '0', '33945', '32470', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11995', 'Undead Elmore General', '1', '45248', '0', '33975', '32464', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11996', 'Undead Elmore General', '1', '45248', '0', '33948', '32504', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11997', 'Undead Elmore General', '1', '45248', '4', '33920', '32467', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11998', 'Undead Elmore General', '1', '45248', '0', '34015', '32513', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('11999', 'Undead Elmore General', '1', '45248', '0', '34057', '32512', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12000', 'Undead Elmore General', '1', '45248', '0', '34092', '32581', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12001', 'Undead Elmore General', '1', '45248', '0', '34145', '32524', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12002', 'Undead Elmore General', '1', '45248', '0', '34127', '32475', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12003', 'Undead Elmore General', '1', '45248', '0', '34094', '32368', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12004', 'Undead Elmore General', '1', '45248', '0', '34115', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12005', 'Undead Elmore General', '1', '45248', '0', '34146', '32398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12006', 'Undead Elmore General', '1', '45248', '0', '34187', '32428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12007', 'Undead Elmore General', '1', '45248', '2', '34184', '32444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12008', 'Undead Elmore General', '1', '45248', '0', '34150', '32425', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12009', 'Undead Elmore General', '1', '45248', '0', '34122', '32332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12010', 'Undead Elmore General', '1', '45248', '0', '34110', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12011', 'Undead Elmore General', '1', '45248', '0', '34107', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12012', 'Undead Elmore General', '1', '45248', '0', '34143', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12013', 'Undead Elmore General', '1', '45248', '0', '34159', '32384', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12014', 'Undead Elmore General', '1', '45248', '0', '34182', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12015', 'Undead Elmore General', '1', '45248', '0', '34171', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12016', 'Undead Elmore General', '1', '45248', '0', '34128', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12017', 'Undead Elmore General', '1', '45248', '0', '34146', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12018', 'Undead Elmore General', '1', '45248', '0', '34144', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12019', 'Kiwi Parrot', '2', '45249', '0', '32382', '33125', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12020', 'Kiwi Parrot', '0', '45249', '0', '32400', '33131', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12021', 'Kiwi Parrot', '2', '45249', '0', '32430', '33137', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12022', 'Kiwi Parrot', '0', '45249', '0', '32448', '33135', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12023', 'Kiwi Parrot', '2', '45249', '0', '32473', '33140', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12024', 'Kiwi Parrot', '0', '45249', '0', '32486', '33148', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12025', 'Kiwi Parrot', '2', '45249', '0', '32508', '33164', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12026', 'Kiwi Parrot', '0', '45249', '0', '32497', '33188', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12027', 'Kiwi Parrot', '2', '45249', '0', '32475', '33182', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12028', 'Kiwi Parrot', '0', '45249', '0', '32494', '33197', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12029', 'Kiwi Parrot', '2', '45249', '0', '32519', '33178', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12030', 'Kiwi Parrot', '0', '45249', '0', '32532', '33153', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12031', 'Kiwi Parrot', '2', '45249', '0', '32546', '33163', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12032', 'Kiwi Parrot', '0', '45249', '0', '32570', '33153', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12033', 'Kiwi Parrot', '2', '45249', '0', '32595', '33148', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12034', 'Kiwi Parrot', '0', '45249', '0', '32613', '33133', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12035', 'Kiwi Parrot', '2', '45249', '0', '32629', '33126', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12036', 'Kiwi Parrot', '0', '45249', '0', '32652', '33135', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12037', 'Kiwi Parrot', '2', '45249', '0', '32679', '33109', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12038', 'Kiwi Parrot', '0', '45249', '0', '32686', '33079', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12039', 'Kiwi Parrot', '2', '45249', '0', '32639', '33034', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12040', 'Kiwi Parrot', '0', '45249', '0', '32621', '33016', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12041', 'Kiwi Parrot', '2', '45249', '0', '32628', '33002', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12042', 'Kiwi Parrot', '0', '45249', '0', '32611', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12043', 'Kiwi Parrot', '2', '45249', '0', '32626', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12044', 'Kiwi Parrot', '0', '45249', '0', '32578', '32935', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12045', 'Kiwi Parrot', '2', '45249', '0', '32585', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12046', 'Kiwi Parrot', '0', '45249', '0', '32555', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12047', 'Kiwi Parrot', '2', '45249', '0', '32521', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12048', 'Kiwi Parrot', '0', '45249', '0', '32523', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12049', 'Kiwi Parrot', '2', '45249', '0', '32503', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12050', 'Kiwi Parrot', '0', '45249', '0', '32478', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12051', 'Kiwi Parrot', '2', '45249', '0', '32469', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12052', 'Kiwi Parrot', '0', '45249', '0', '32513', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12053', 'Heavy Lizardman', '2', '45251', '0', '32857', '32737', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12054', 'Heavy Lizardman', '0', '45251', '0', '32866', '32735', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12055', 'Heavy Lizardman', '2', '45251', '0', '32859', '32749', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12056', 'Heavy Lizardman', '0', '45251', '0', '32852', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12057', 'Heavy Lizardman', '2', '45251', '0', '32857', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12058', 'Heavy Lizardman', '0', '45251', '0', '32823', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12059', 'Heavy Lizardman', '2', '45251', '0', '32847', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12060', 'Heavy Lizardman', '0', '45251', '0', '32770', '32752', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12061', 'Heavy Lizardman', '2', '45251', '0', '32790', '32740', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12062', 'Heavy Lizardman', '0', '45251', '0', '32792', '32750', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12063', 'Heavy Lizardman', '2', '45251', '0', '32802', '32753', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12064', 'Heavy Lizardman', '0', '45251', '0', '32764', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12065', 'Heavy Lizardman', '2', '45251', '0', '32764', '32831', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12066', 'Heavy Lizardman', '0', '45251', '0', '32753', '32855', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12067', 'Heavy Lizardman', '2', '45251', '0', '32779', '32839', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12068', 'Heavy Lizardman', '0', '45251', '0', '32792', '32811', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12069', 'Heavy Lizardman', '2', '45251', '0', '32839', '32815', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12070', 'Heavy Lizardman', '0', '45251', '0', '32848', '32816', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12071', 'Heavy Lizardman', '2', '45251', '0', '32856', '32853', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12072', 'Heavy Lizardman', '0', '45251', '0', '32846', '32861', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12073', 'Heavy Lizardman', '2', '45251', '0', '32851', '32848', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12074', 'Dire Bear', '0', '45252', '0', '32863', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12075', 'Dire Bear', '0', '45252', '0', '32875', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12076', 'Dire Bear', '0', '45252', '0', '32894', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12077', 'Dire Bear', '0', '45252', '0', '32915', '32742', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12078', 'Dire Bear', '0', '45252', '0', '32932', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12079', 'Dire Bear', '0', '45252', '0', '32947', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12080', 'Dire Bear', '0', '45252', '0', '32965', '32763', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12081', 'Dire Bear', '0', '45252', '0', '32995', '32766', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12082', 'Dire Bear', '0', '45252', '0', '32973', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12083', 'Dire Bear', '0', '45252', '0', '32974', '32793', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12084', 'Dire Bear', '0', '45252', '0', '32943', '32809', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12085', 'Dire Bear', '0', '45252', '0', '32929', '32814', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12086', 'Dire Bear', '0', '45252', '0', '32933', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12087', 'Dire Bear', '0', '45252', '0', '32943', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12088', 'Dire Bear', '0', '45252', '0', '32945', '32828', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12089', 'Dire Bear', '0', '45252', '0', '32989', '32759', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12090', 'Dire Bear', '0', '45252', '0', '32962', '32762', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12091', 'Dire Bear', '0', '45252', '0', '32964', '32766', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12092', 'Dire Bear', '0', '45252', '0', '32827', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12093', 'Dire Bear', '0', '45252', '0', '32810', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12094', 'Dire Bear', '0', '45252', '0', '32844', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12095', 'Dire Bear', '0', '45252', '0', '32813', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12096', 'Dire Bear', '0', '45252', '0', '32804', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12097', 'Dire Bear', '0', '45252', '0', '32691', '32795', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12098', 'Dire Bear', '0', '45252', '0', '32694', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12099', 'Dire Bear', '0', '45252', '0', '32710', '32788', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12100', 'Dire Bear', '0', '45252', '0', '32693', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12101', 'Dire Bear', '0', '45252', '0', '32689', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12102', 'Dire Bear', '0', '45252', '0', '32723', '32779', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12103', 'Dire Bear', '0', '45252', '0', '32732', '32772', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12104', 'Dire Bear', '0', '45252', '0', '32710', '32784', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12105', 'Dire Bear', '0', '45252', '0', '32695', '32795', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12106', 'Dark Elf Apprentice', '0', '45256', '0', '32759', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12107', 'Dark Elf Apprentice', '2', '45256', '0', '32773', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12108', 'Dark Elf Apprentice', '0', '45256', '0', '32813', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12109', 'Dark Elf Apprentice', '2', '45256', '0', '32796', '32804', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12110', 'Dark Elf Apprentice', '0', '45256', '0', '32877', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12111', 'Dark Elf Apprentice', '2', '45256', '0', '32908', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12112', 'Dark Elf Apprentice', '0', '45256', '0', '32930', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12113', 'Dark Elf Apprentice', '2', '45256', '0', '32922', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12114', 'Dark Elf Apprentice', '0', '45256', '0', '32880', '32796', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12115', 'Dark Elf Apprentice', '2', '45256', '0', '32875', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12116', 'Dark Elf Apprentice', '0', '45256', '0', '32973', '32810', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12117', 'Dark Elf Apprentice', '2', '45256', '0', '32984', '32799', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12118', 'Dark Elf Apprentice', '0', '45256', '0', '32978', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12119', 'Dark Elf Apprentice', '2', '45256', '0', '32987', '32833', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12120', 'Dark Elf Apprentice', '0', '45256', '0', '32971', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12121', 'Dark Elf Apprentice', '2', '45256', '0', '32981', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12122', 'Dragonfly', '1', '45257', '0', '33642', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12123', 'Dragonfly', '1', '45257', '0', '33632', '32427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12124', 'Dragonfly', '1', '45257', '0', '33620', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12125', 'Dragonfly', '1', '45257', '0', '33586', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12126', 'Dragonfly', '1', '45257', '0', '33538', '32374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12127', 'Dragonfly', '1', '45257', '0', '33536', '32357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12128', 'Dragonfly', '1', '45257', '0', '33538', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12129', 'Dragonfly', '1', '45257', '0', '33526', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12130', 'Dragonfly', '1', '45257', '0', '33516', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12131', 'Dragonfly', '1', '45257', '0', '33540', '32280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12132', 'Dragonfly', '1', '45257', '0', '33560', '32322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12133', 'Dragonfly', '1', '45257', '0', '33584', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12134', 'Dragonfly', '1', '45257', '0', '33604', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12135', 'Dragonfly', '1', '45257', '0', '33576', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12136', 'Dragonfly', '1', '45257', '0', '33567', '32278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12137', 'Dragonfly', '1', '45257', '0', '33538', '32246', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12138', 'Dragonfly', '1', '45257', '0', '33591', '32289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12139', 'Dragonfly', '1', '45257', '0', '33606', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12140', 'Dragonfly', '1', '45257', '0', '33620', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12141', 'Dragonfly', '1', '45257', '0', '33622', '32229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12142', 'Dragonfly', '1', '45257', '0', '33631', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12143', 'Dragonfly', '1', '45257', '0', '33646', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12144', 'Dragonfly', '1', '45257', '0', '33660', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12145', 'Dragonfly', '1', '45257', '0', '33683', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12146', 'Dragonfly', '1', '45257', '0', '33681', '32293', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12147', 'Dragonfly', '1', '45257', '0', '33720', '32301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12148', 'Dragonfly', '1', '45257', '0', '33704', '32247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12149', 'Dragonfly', '1', '45257', '0', '33722', '32245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12150', 'Dragonfly', '1', '45257', '0', '33753', '32278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12151', 'Dragonfly', '1', '45257', '0', '33758', '32287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12152', 'Dragonfly', '1', '45257', '0', '33771', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12153', 'Dragonfly', '1', '45257', '0', '33736', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12154', 'Dragonfly', '1', '45257', '0', '33725', '32340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12155', 'Dragonfly', '1', '45257', '0', '33738', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12156', 'Dragonfly', '1', '45257', '0', '33732', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12157', 'Dragonfly', '1', '45257', '0', '33763', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12158', 'Dragonfly', '1', '45257', '0', '33733', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12159', 'Dragonfly', '1', '45257', '0', '33753', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12160', 'Dragonfly', '1', '45257', '0', '33767', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12161', 'Dragonfly', '1', '45257', '0', '33709', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12162', 'Dragonfly', '1', '45257', '0', '33700', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12163', 'Dragonfly', '1', '45257', '0', '33620', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12164', 'Dragonfly', '1', '45257', '0', '33646', '32359', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12165', 'Dragonfly', '1', '45257', '0', '33660', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12166', 'Dragonfly', '1', '45257', '0', '33699', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12167', 'Dragonfly', '1', '45257', '0', '33657', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12168', 'Dragonfly', '1', '45257', '0', '33634', '32301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12169', 'Dragonfly', '1', '45257', '0', '33672', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12170', 'Dragonfly', '1', '45257', '0', '33701', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12171', 'Scorpion', '1', '45259', '0', '33388', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12172', 'Scorpion', '1', '45259', '0', '33373', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12173', 'Scorpion', '1', '45259', '0', '33358', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12174', 'Scorpion', '1', '45259', '0', '33348', '32466', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12175', 'Scorpion', '1', '45259', '0', '33336', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12176', 'Scorpion', '1', '45259', '0', '33323', '32459', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12177', 'Scorpion', '1', '45259', '0', '33311', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12178', 'Scorpion', '1', '45259', '0', '33307', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12179', 'Scorpion', '1', '45259', '0', '33297', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12180', 'Scorpion', '1', '45259', '0', '33294', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12181', 'Scorpion', '1', '45259', '0', '33284', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12182', 'Scorpion', '1', '45259', '0', '33274', '32455', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12183', 'Scorpion', '1', '45259', '0', '33258', '32451', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12184', 'Scorpion', '1', '45259', '0', '33243', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12185', 'Scorpion', '1', '45259', '0', '33231', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12186', 'Scorpion', '1', '45259', '0', '33213', '32463', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12187', 'Scorpion', '1', '45259', '0', '33331', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12188', 'Scorpion', '1', '45259', '0', '33325', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12189', 'Scorpion', '1', '45259', '0', '33315', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12190', 'Scorpion', '1', '45259', '0', '33313', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12191', 'Scorpion', '1', '45259', '0', '33301', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12192', 'Scorpion', '1', '45259', '0', '33296', '32440', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12193', 'Scorpion', '1', '45259', '0', '33285', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12194', 'Scorpion', '1', '45259', '0', '33301', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12195', 'Scorpion', '1', '45259', '0', '33315', '32418', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12196', 'Scorpion', '1', '45259', '0', '33325', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12197', 'Scorpion', '1', '45259', '0', '33339', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12198', 'Scorpion', '1', '45259', '0', '33349', '32434', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12199', 'Scorpion', '1', '45259', '0', '33339', '32444', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12200', 'Scorpion', '1', '45259', '0', '33316', '32414', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12201', 'Scorpion', '1', '45259', '0', '33300', '32429', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12202', 'Scorpion', '1', '45259', '0', '33298', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12203', 'Scorpion', '1', '45259', '0', '33293', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12204', 'Scorpion', '1', '45259', '0', '33277', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12205', 'Scorpion', '1', '45259', '0', '33277', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12206', 'Scorpion', '1', '45259', '0', '33267', '32430', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12207', 'Scorpion', '1', '45259', '0', '33259', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12208', 'Scorpion', '1', '45259', '0', '33251', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12209', 'Scorpion', '1', '45259', '0', '33254', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12210', 'Scorpion', '1', '45259', '0', '33259', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12211', 'Scorpion', '1', '45259', '0', '33256', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12212', 'Scorpion', '1', '45259', '0', '33267', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12213', 'Scorpion', '1', '45259', '0', '33280', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12214', 'Scorpion', '1', '45259', '0', '33288', '32401', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12215', 'Scorpion', '1', '45259', '0', '33306', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12216', 'Scorpion', '1', '45259', '0', '33309', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12217', 'Scorpion', '1', '45259', '0', '33328', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12218', 'Scorpion', '1', '45259', '0', '33308', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12219', 'Scorpion', '1', '45259', '0', '33297', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12220', 'Scorpion', '1', '45259', '0', '33302', '32361', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12221', 'Scorpion', '1', '45259', '0', '33338', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12222', 'Scorpion', '1', '45259', '0', '33328', '32349', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12223', 'Scorpion', '1', '45259', '0', '33353', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12224', 'Scorpion', '1', '45259', '0', '33369', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12225', 'Scorpion', '1', '45259', '0', '33353', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12226', 'Scorpion', '1', '45259', '0', '33364', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12227', 'Scorpion', '1', '45259', '0', '33381', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12228', 'Scorpion', '1', '45259', '0', '33386', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12229', 'Scorpion', '1', '45259', '0', '33402', '32344', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12230', 'Scorpion', '1', '45259', '0', '33385', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12231', 'Scorpion', '1', '45259', '0', '33381', '32313', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12232', 'Scorpion', '1', '45259', '0', '33365', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12233', 'Scorpion', '1', '45259', '0', '33360', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12234', 'Scorpion', '1', '45259', '0', '33347', '32322', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12235', 'Scorpion', '1', '45259', '0', '33322', '32310', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12236', 'Scorpion', '1', '45259', '0', '33321', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12237', 'Scorpion', '1', '45259', '0', '33317', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12238', 'Scorpion', '1', '45259', '0', '33301', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12239', 'Scorpion', '1', '45259', '0', '33319', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12240', 'Scorpion', '1', '45259', '0', '33353', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12241', 'Scorpion', '1', '45259', '0', '33345', '32284', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12242', 'Scorpion', '1', '45259', '0', '33357', '32279', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12243', 'Scorpion', '1', '45259', '0', '33377', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12244', 'Scorpion', '1', '45259', '0', '33403', '32287', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12245', 'Scorpion', '1', '45259', '0', '33420', '32296', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12246', 'Scorpion', '1', '45259', '0', '33430', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12247', 'Scorpion', '1', '45259', '0', '33409', '32312', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12248', 'Scorpion', '1', '45259', '0', '33421', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12249', 'Scorpion', '1', '45259', '0', '33437', '32345', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12250', 'Scorpion', '1', '45259', '0', '33437', '32335', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12251', 'Scorpion', '1', '45259', '0', '33443', '32326', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12252', 'Scorpion', '1', '45259', '0', '33433', '32356', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12253', 'Scorpion', '1', '45259', '0', '33395', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12254', 'Scorpion', '1', '45259', '0', '33402', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12255', 'Scorpion', '1', '45259', '0', '33414', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12256', 'Scorpion', '1', '45259', '0', '33418', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12257', 'Scorpion', '1', '45259', '0', '33401', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12258', 'Scorpion', '1', '45259', '0', '33390', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12259', 'Scorpion', '1', '45259', '0', '33371', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12260', 'Scorpion', '1', '45259', '0', '33403', '32402', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12261', 'Scorpion', '1', '45259', '0', '33410', '32413', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12262', 'Scorpion', '1', '45259', '0', '33380', '32427', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12263', 'Scorpion', '1', '45259', '0', '33370', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12264', 'Scorpion', '1', '45259', '0', '33379', '32443', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12265', 'Scorpion', '1', '45259', '0', '33361', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12266', 'Scorpion', '1', '45259', '0', '33338', '32409', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12267', 'Scorpion', '1', '45259', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12268', 'Scorpion', '1', '45259', '0', '33364', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12269', 'Scorpion', '1', '45259', '0', '33351', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12270', 'Scorpion', '1', '45259', '0', '33365', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12271', 'Scorpion', '1', '45259', '0', '33383', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12272', 'Scorpion', '1', '45259', '0', '32846', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12273', 'Scorpion', '1', '45259', '0', '32825', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12274', 'Scorpion', '1', '45259', '0', '32802', '33198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12275', 'Scorpion', '1', '45259', '0', '32756', '33154', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12276', 'Scorpion', '1', '45259', '0', '32721', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12277', 'Scorpion', '1', '45259', '0', '32767', '33190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12278', 'Scorpion', '1', '45259', '0', '32809', '33232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12279', 'Scorpion', '1', '45259', '0', '32849', '33273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12280', 'Scorpion', '1', '45259', '0', '32858', '33281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12281', 'Scorpion', '1', '45259', '0', '32904', '33327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12282', 'Scorpion', '1', '45259', '0', '32894', '33335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12283', 'Scorpion', '1', '45259', '0', '32870', '33322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12284', 'Scorpion', '1', '45259', '0', '32822', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12285', 'Scorpion', '1', '45259', '0', '32797', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12286', 'Scorpion', '1', '45259', '0', '32740', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12287', 'Scorpion', '1', '45259', '0', '32875', '33234', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12288', 'Scorpion', '1', '45259', '0', '32854', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12289', 'Scorpion', '1', '45259', '0', '32812', '33176', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12290', 'Scorpion', '1', '45259', '0', '32777', '33146', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12291', 'Scorpion', '1', '45259', '0', '32751', '33118', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12292', 'Scorpion', '1', '45259', '0', '32775', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12293', 'Scorpion', '1', '45259', '0', '32797', '33130', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12294', 'Scorpion', '1', '45259', '0', '32836', '33171', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12295', 'Scorpion', '1', '45259', '0', '32858', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12296', 'Scorpion', '1', '45259', '0', '32881', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12297', 'Scorpion', '1', '45259', '0', '32905', '33231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12298', 'Scorpion', '1', '45259', '0', '32959', '33268', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12299', 'Scorpion', '1', '45259', '0', '32931', '33166', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12300', 'Scorpion', '1', '45259', '0', '32911', '33159', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12301', 'Scorpion', '1', '45259', '0', '32898', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12302', 'Scorpion', '1', '45259', '0', '32879', '33122', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12303', 'Scorpion', '1', '45259', '0', '32865', '33091', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12304', 'Scorpion', '1', '45259', '0', '32836', '33062', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12305', 'Scorpion', '1', '45259', '0', '32809', '33086', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12306', 'Scorpion', '1', '45259', '0', '32830', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12307', 'Scorpion', '1', '45259', '0', '32852', '33138', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12308', 'Scorpion', '1', '45259', '0', '32860', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12309', 'Scorpion', '1', '45259', '0', '32863', '33174', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12310', 'Scorpion', '1', '45259', '0', '32875', '33287', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12311', 'Scorpion', '1', '45259', '0', '32919', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12312', 'Scorpion', '1', '45259', '0', '32873', '33145', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12313', 'Scorpion', '1', '45259', '0', '32843', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12314', 'Scorpion', '1', '45259', '0', '32806', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12315', 'Scorpion', '1', '45259', '0', '32884', '33241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12316', 'Scorpion', '1', '45259', '0', '32908', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12317', 'Scorpion', '1', '45259', '0', '32897', '33276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12318', 'Scorpion', '1', '45259', '0', '32873', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12319', 'Scorpion', '1', '45259', '0', '32806', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12320', 'Scorpion', '1', '45259', '0', '32797', '33239', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12321', 'Scorpion', '1', '45259', '0', '32778', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12322', 'Scorpion', '1', '45259', '0', '32759', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12323', 'Scorpion', '1', '45259', '0', '32719', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12324', 'Scorpion', '1', '45259', '0', '32988', '33317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12325', 'Scorpion', '1', '45259', '0', '32946', '33322', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12326', 'Scorpion', '1', '45259', '0', '32919', '33333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12327', 'Scorpion', '1', '45259', '0', '32886', '33352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12328', 'Scorpion', '1', '45259', '0', '32854', '33332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12329', 'Scorpion', '1', '45259', '0', '32801', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12330', 'Scorpion', '1', '45259', '0', '32926', '33151', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12331', 'Scorpion', '1', '45259', '0', '32955', '33148', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12332', 'Scorpion', '1', '45259', '0', '32957', '33191', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12333', 'Scorpion', '1', '45259', '0', '32896', '33186', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12334', 'Scorpion', '1', '45259', '0', '32999', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12335', 'Scorpion', '1', '45259', '0', '32967', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12336', 'Scorpion', '1', '45259', '0', '32920', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12337', 'Bomb Flower', '1', '45263', '0', '33707', '32409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12338', 'Bomb Flower', '1', '45263', '0', '33751', '32344', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12339', 'Bomb Flower', '1', '45263', '0', '33730', '32299', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12340', 'Bomb Flower', '1', '45263', '0', '33719', '32288', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12341', 'Bomb Flower', '1', '45263', '0', '33709', '32341', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12342', 'Bomb Flower', '1', '45263', '0', '33658', '32312', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12343', 'Bomb Flower', '1', '45263', '0', '33616', '32341', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12344', 'Bomb Flower', '1', '45263', '0', '33625', '33320', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12345', 'Bomb Flower', '1', '45263', '0', '33656', '32378', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12346', 'Bomb Flower', '1', '45263', '0', '33655', '32399', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12347', 'Bomb Flower', '1', '45263', '0', '33693', '32372', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12348', 'Bomb Flower', '1', '45263', '0', '33604', '32368', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12349', 'Bomb Flower', '1', '45263', '0', '33624', '32409', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12350', 'Bomb Flower', '1', '45263', '0', '33648', '32410', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12351', 'Bomb Flower', '1', '45263', '0', '33591', '32408', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12352', 'Bomb Flower', '1', '45263', '0', '33583', '32387', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12353', 'Bomb Flower', '1', '45263', '0', '33553', '32410', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12354', 'Bomb Flower', '1', '45263', '0', '33542', '32392', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12355', 'Bomb Flower', '1', '45263', '0', '33548', '32352', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12356', 'Bomb Flower', '1', '45263', '0', '33517', '32310', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12357', 'Bomb Flower', '1', '45263', '0', '33540', '32295', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12358', 'Bomb Flower', '1', '45263', '0', '33554', '32256', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12359', 'Bomb Flower', '1', '45263', '0', '33606', '32266', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12360', 'Bomb Flower', '1', '45263', '0', '33593', '32223', '6', '6', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12361', 'Dark Elf', '1', '45265', '0', '33426', '32215', '0', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12362', 'Dark Elf', '1', '45265', '0', '33451', '32236', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12363', 'Dark Elf', '1', '45265', '0', '33451', '32212', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12364', 'Dark Elf', '1', '45265', '0', '33404', '32211', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12365', 'Dark Elf', '1', '45265', '0', '33373', '32217', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12366', 'Dark Elf', '1', '45265', '0', '33361', '32215', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12367', 'Dark Elf', '1', '45265', '0', '33466', '32416', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12368', 'Dark Elf', '1', '45265', '0', '33480', '32430', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12369', 'Dark Elf', '1', '45265', '0', '33481', '32453', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12370', 'Dark Elf', '1', '45265', '0', '33494', '32466', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12371', 'Dark Elf', '1', '45265', '0', '33477', '32486', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12372', 'Dark Elf', '1', '45265', '0', '33461', '32487', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12373', 'Dark Elf', '1', '45265', '0', '33448', '32469', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12374', 'Dark Elf', '1', '45265', '0', '33430', '32470', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12375', 'Dark Elf', '1', '45265', '0', '33445', '32494', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12376', 'Dark Elf', '1', '45265', '0', '33464', '32505', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12377', 'Dark Elf', '1', '45265', '0', '33482', '32498', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12378', 'Dark Elf', '1', '45265', '0', '33503', '32510', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12379', 'Dark Elf', '1', '45265', '0', '33504', '32476', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12380', 'Dark Elf', '1', '45265', '0', '33474', '32395', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12381', 'Dark Elf', '1', '45265', '0', '33456', '32455', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12382', 'Dark Elf', '1', '45265', '0', '32568', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12383', 'Dark Elf', '1', '45265', '0', '32567', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12384', 'Dark Elf', '1', '45265', '0', '32614', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12385', 'Dark Elf', '1', '45265', '0', '32649', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12386', 'Dark Elf', '1', '45265', '0', '32509', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12387', 'Dark Elf', '1', '45265', '0', '33319', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12388', 'Dark Elf', '1', '45265', '0', '33320', '33031', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12389', 'Dark Elf', '1', '45265', '0', '33335', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12390', 'Dark Elf', '1', '45265', '0', '33344', '33008', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12391', 'Dark Elf', '1', '45265', '0', '33363', '33016', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12392', 'Dark Elf', '1', '45265', '0', '33369', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12393', 'Dark Elf', '1', '45265', '0', '33380', '33025', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12394', 'Dark Elf', '1', '45265', '0', '33385', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12395', 'Dark Elf', '1', '45265', '0', '33397', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12396', 'Dark Elf', '1', '45265', '0', '33417', '33046', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12397', 'Dark Elf', '1', '45265', '0', '33416', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12398', 'Dark Elf', '1', '45265', '0', '33409', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12399', 'Dark Elf', '1', '45265', '0', '33383', '33085', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12400', 'Dark Elf', '1', '45265', '0', '33376', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12401', 'Dark Elf', '1', '45265', '0', '33366', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12402', 'Dark Elf', '1', '45265', '0', '33333', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12403', 'Dark Elf', '1', '45265', '0', '33328', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12404', 'Dark Elf', '1', '45265', '0', '33376', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12405', 'Dark Elf', '1', '45265', '0', '33405', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12406', 'Dark Elf', '1', '45265', '0', '33299', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12407', 'Dark Elf', '1', '45265', '0', '33286', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12408', 'Dark Elf', '1', '45265', '0', '33323', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12409', 'Dark Elf', '1', '45265', '0', '33358', '33066', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12410', 'Dark Elf', '1', '45265', '0', '33364', '33034', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12429', 'Snow Tiger', '1', '45267', '0', '34225', '32433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12430', 'Snow Tiger', '1', '45267', '0', '34245', '32420', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12431', 'Snow Tiger', '1', '45267', '0', '34258', '32427', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12432', 'Snow Tiger', '1', '45267', '0', '34266', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12433', 'Snow Tiger', '1', '45267', '0', '34272', '32390', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12434', 'Snow Tiger', '1', '45267', '0', '34252', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12435', 'Snow Tiger', '1', '45267', '0', '34243', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12436', 'Snow Tiger', '1', '45267', '0', '34243', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12437', 'Snow Tiger', '1', '45267', '0', '34249', '32357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12438', 'Snow Tiger', '1', '45267', '0', '34236', '32342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12439', 'Snow Tiger', '1', '45267', '0', '34220', '32350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12440', 'Snow Tiger', '1', '45267', '0', '34229', '32393', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12441', 'Snow Tiger', '1', '45267', '0', '34223', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12442', 'Snow Tiger', '1', '45267', '0', '34217', '32407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12443', 'Snow Tiger', '1', '45267', '0', '34220', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12444', 'Snow Tiger', '1', '45267', '0', '34244', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12445', 'Snow Tiger', '1', '45267', '0', '34225', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12446', 'Snow Tiger', '1', '45267', '0', '34217', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12447', 'Snow Tiger', '1', '45267', '0', '34219', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12448', 'Snow Tiger', '1', '45267', '0', '34214', '32284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12449', 'Snow Tiger', '1', '45267', '0', '34211', '32257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12450', 'Snow Tiger', '1', '45267', '0', '34208', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12451', 'Snow Tiger', '1', '45267', '0', '34205', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12452', 'Snow Tiger', '1', '45267', '0', '34189', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12453', 'Snow Tiger', '1', '45267', '0', '34178', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12454', 'Snow Tiger', '1', '45267', '0', '34169', '32251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12455', 'Snow Tiger', '1', '45267', '0', '34166', '32263', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12456', 'Snow Tiger', '1', '45267', '0', '34246', '32257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12457', 'Snow Tiger', '1', '45267', '0', '34277', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12458', 'Snow Tiger', '1', '45267', '0', '34274', '32257', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12459', 'Snow Tiger', '1', '45267', '0', '34281', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12460', 'Snow Tiger', '1', '45267', '0', '34272', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12461', 'Snow Tiger', '1', '45267', '0', '34273', '32199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12462', 'Snow Tiger', '1', '45267', '0', '34252', '32195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12463', 'Snow Tiger', '1', '45267', '0', '34245', '32205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12464', 'Snow Tiger', '1', '45267', '0', '34233', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12465', 'Snow Tiger', '1', '45267', '0', '34231', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12466', 'Snow Tiger', '1', '45267', '0', '34242', '32218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12467', 'Snow Tiger', '1', '45267', '0', '34236', '32202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12468', 'Snow Tiger', '1', '45267', '0', '34194', '32196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12469', 'Snow Tiger', '1', '45267', '0', '34187', '32214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12470', 'Snow Tiger', '1', '45267', '0', '34195', '32202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12471', 'Snow Tiger', '1', '45267', '0', '34276', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12473', 'Snow Tiger', '1', '45267', '0', '34277', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12474', 'Snow Tiger', '1', '45267', '0', '34182', '32275', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12475', 'Snow Tiger', '1', '45267', '0', '34167', '32210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12476', 'Snow Tiger', '1', '45267', '0', '34162', '32202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12477', 'Snow Tiger', '1', '45267', '0', '34147', '32189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12478', 'Snow Tiger', '1', '45267', '0', '34127', '32192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12479', 'Snow Tiger', '1', '45267', '0', '34143', '32204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12480', 'Snow Tiger', '1', '45267', '0', '34149', '32222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12481', 'Snow Tiger', '1', '45267', '0', '34140', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12482', 'Snow Tiger', '1', '45267', '0', '34125', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12483', 'Snow Tiger', '1', '45267', '0', '34125', '32209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12484', 'Snow Tiger', '1', '45267', '0', '34108', '32211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12485', 'Snow Tiger', '1', '45267', '0', '34122', '32223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12486', 'Snow Tiger', '1', '45267', '0', '34110', '32245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12487', 'Snow Tiger', '1', '45267', '0', '34111', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12488', 'Snow Tiger', '1', '45267', '0', '34212', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12525', 'Skeleton Guard', '0', '45269', '0', '33239', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12526', 'Skeleton Guard', '1', '45269', '0', '33251', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12527', 'Skeleton Guard', '1', '45269', '0', '33262', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12528', 'Skeleton Guard', '1', '45269', '0', '33274', '32454', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12529', 'Skeleton Guard', '1', '45269', '0', '33286', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12530', 'Skeleton Guard', '1', '45269', '0', '33292', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12531', 'Skeleton Guard', '1', '45269', '0', '33299', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12532', 'Skeleton Guard', '1', '45269', '0', '33310', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12533', 'Skeleton Guard', '1', '45269', '0', '33324', '32458', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12534', 'Skeleton Guard', '1', '45269', '0', '33335', '32453', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12535', 'Skeleton Guard', '0', '45269', '0', '33324', '32436', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12536', 'Skeleton Guard', '1', '45269', '0', '33316', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12537', 'Skeleton Guard', '1', '45269', '0', '33319', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12538', 'Skeleton Guard', '1', '45269', '0', '33299', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12539', 'Skeleton Guard', '1', '45269', '0', '33294', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12540', 'Skeleton Guard', '1', '45269', '0', '33288', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12541', 'Skeleton Guard', '1', '45269', '0', '33276', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12542', 'Skeleton Guard', '0', '45269', '0', '33265', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12543', 'Skeleton Guard', '1', '45269', '0', '33252', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12544', 'Skeleton Guard', '1', '45269', '0', '33259', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12545', 'Skeleton Guard', '1', '45269', '0', '33256', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12546', 'Skeleton Guard', '1', '45269', '0', '33263', '32387', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12547', 'Skeleton Guard', '1', '45269', '0', '33274', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12548', 'Skeleton Guard', '1', '45269', '0', '33282', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12549', 'Skeleton Guard', '1', '45269', '0', '33290', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12550', 'Skeleton Guard', '0', '45269', '0', '33299', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12551', 'Skeleton Guard', '1', '45269', '0', '33312', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12552', 'Skeleton Guard', '1', '45269', '0', '33321', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12553', 'Skeleton Guard', '1', '45269', '0', '33320', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12554', 'Skeleton Guard', '1', '45269', '0', '33305', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12555', 'Skeleton Guard', '1', '45269', '0', '33298', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12556', 'Skeleton Guard', '1', '45269', '0', '33292', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12557', 'Skeleton Guard', '1', '45269', '0', '33300', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12558', 'Skeleton Guard', '0', '45269', '0', '33312', '32360', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12559', 'Skeleton Guard', '1', '45269', '0', '33326', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12560', 'Skeleton Guard', '1', '45269', '0', '33336', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12561', 'Skeleton Guard', '1', '45269', '0', '33327', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12562', 'Skeleton Guard', '1', '45269', '0', '33350', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12563', 'Skeleton Guard', '1', '45269', '0', '33358', '32355', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12564', 'Skeleton Guard', '1', '45269', '0', '33371', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12565', 'Skeleton Guard', '1', '45269', '0', '33370', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12566', 'Skeleton Guard', '0', '45269', '0', '33364', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12567', 'Skeleton Guard', '1', '45269', '0', '33365', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12568', 'Skeleton Guard', '1', '45269', '0', '33351', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12569', 'Skeleton Guard', '1', '45269', '0', '33386', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12570', 'Skeleton Guard', '1', '45269', '0', '33386', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12571', 'Skeleton Guard', '1', '45269', '0', '33334', '32338', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12572', 'Skeleton Guard', '1', '45269', '0', '33403', '32343', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12573', 'Skeleton Guard', '0', '45269', '0', '33382', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12574', 'Skeleton Guard', '1', '45269', '0', '33376', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12575', 'Skeleton Guard', '1', '45269', '0', '33374', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12576', 'Skeleton Guard', '1', '45269', '0', '33342', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12577', 'Skeleton Guard', '1', '45269', '0', '33333', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12578', 'Skeleton Guard', '1', '45269', '0', '33316', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12579', 'Skeleton Guard', '1', '45269', '0', '33303', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12580', 'Skeleton Guard', '0', '45269', '0', '33325', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12581', 'Skeleton Guard', '1', '45269', '0', '33340', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12582', 'Skeleton Guard', '1', '45269', '0', '33349', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12583', 'Skeleton Guard', '1', '45269', '0', '33349', '32301', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12584', 'Skeleton Guard', '1', '45269', '0', '33365', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12585', 'Skeleton Guard', '1', '45269', '0', '33349', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12586', 'Skeleton Guard', '1', '45269', '0', '33362', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12587', 'Skeleton Guard', '1', '45269', '0', '33393', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12588', 'Skeleton Guard', '1', '45269', '0', '33403', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12589', 'Skeleton Guard', '1', '45269', '0', '33414', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12590', 'Skeleton Guard', '1', '45269', '0', '33427', '32285', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12591', 'Skeleton Guard', '1', '45269', '0', '33422', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12592', 'Skeleton Guard', '1', '45269', '0', '33437', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12593', 'Skeleton Guard', '1', '45269', '0', '33443', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12594', 'Skeleton Guard', '1', '45269', '0', '33449', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12595', 'Skeleton Guard', '1', '45269', '0', '33438', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12596', 'Skeleton Guard', '1', '45269', '0', '33447', '32303', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12597', 'Skeleton Guard', '1', '45269', '0', '33438', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12598', 'Skeleton Guard', '1', '45269', '0', '33447', '32268', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12599', 'Skeleton Guard', '1', '45269', '0', '33438', '32263', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12600', 'Skeleton Guard', '1', '45269', '0', '33429', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12601', 'Skeleton Guard', '1', '45269', '0', '33423', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12602', 'Skeleton Guard', '1', '45269', '0', '33413', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12603', 'Skeleton Guard', '1', '45269', '0', '33403', '32249', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12604', 'Skeleton Guard', '1', '45269', '0', '33388', '32248', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12605', 'Skeleton Guard', '1', '45269', '0', '33399', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12606', 'Skeleton Guard', '1', '45269', '0', '33384', '32232', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12607', 'Skeleton Guard', '1', '45269', '0', '33370', '32246', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12608', 'Skeleton Guard', '1', '45269', '0', '33366', '32259', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12609', 'Skeleton Guard', '1', '45269', '0', '33376', '32262', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12610', 'Skeleton Guard', '1', '45269', '0', '33438', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12611', 'Skeleton Guard', '1', '45269', '0', '33431', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12612', 'Skeleton Guard', '1', '45269', '0', '33434', '32376', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12613', 'Skeleton Guard', '1', '45269', '0', '33403', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12614', 'Skeleton Guard', '1', '45269', '0', '33412', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12615', 'Skeleton Guard', '1', '45269', '0', '33413', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12616', 'Skeleton Guard', '1', '45269', '0', '33405', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12617', 'Skeleton Guard', '1', '45269', '0', '33391', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12618', 'Skeleton Guard', '1', '45269', '0', '33380', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12619', 'Skeleton Guard', '1', '45269', '0', '33404', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12620', 'Skeleton Guard', '1', '45269', '0', '33405', '32412', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12621', 'Skeleton Guard', '1', '45269', '0', '33385', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12622', 'Skeleton Guard', '1', '45269', '0', '33372', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12623', 'Skeleton Guard', '1', '45269', '0', '33381', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12624', 'Skeleton Guard', '1', '45269', '0', '33367', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12625', 'Skeleton Guard', '1', '45269', '0', '33358', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12626', 'Skeleton Guard', '1', '45269', '0', '33347', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12627', 'Skeleton Guard', '1', '45269', '0', '33339', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12628', 'Skeleton Guard', '1', '45269', '0', '33343', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12629', 'Skeleton Guard', '1', '45269', '0', '33329', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12630', 'Skeleton Guard', '1', '45269', '0', '33319', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12631', 'Skeleton Guard', '1', '45269', '0', '33311', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12632', 'Skeleton Guard', '1', '45269', '0', '33236', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12633', 'Skeleton Guard', '1', '45269', '0', '33229', '32432', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12634', 'Skeleton Guard', '1', '45269', '0', '33264', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12635', 'Skeleton Guard', '1', '45269', '0', '33257', '32359', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12636', 'Skeleton Guard', '1', '45269', '0', '33272', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12637', 'Skeleton Guard', '1', '45269', '0', '33270', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12638', 'Skeleton Guard', '1', '45269', '0', '33297', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12639', 'Skeleton Guard', '1', '45269', '0', '33397', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12640', 'Skeleton Guard', '1', '45269', '0', '33388', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12641', 'Skeleton Guard', '1', '45269', '0', '33374', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12642', 'Skeleton Guard', '1', '45269', '0', '33366', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12643', 'Skeleton Guard', '1', '45269', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12644', 'Skeleton Guard', '1', '45269', '0', '33356', '32400', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12645', 'Skeleton Guard', '1', '45269', '0', '33337', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12646', 'Skeleton Guard', '1', '45269', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12647', 'Skeleton Guard', '1', '45269', '0', '33331', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12648', 'Skeleton Guard', '1', '45269', '0', '33342', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12649', 'Skeleton Guard', '1', '45269', '0', '33351', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12650', 'Skeleton Guard', '1', '45269', '0', '33358', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12651', 'Skeleton Guard', '1', '45269', '0', '33367', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12652', 'Skeleton Guard', '1', '45269', '0', '33374', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12653', 'Skeleton Guard', '1', '45269', '0', '33384', '32470', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12654', 'Skeleton Guard', '1', '45269', '0', '33390', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12655', 'Skeleton Guard', '1', '45269', '0', '33394', '32483', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12746', 'Skeleton Marksman', '0', '45270', '0', '33239', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12747', 'Skeleton Marksman', '1', '45270', '0', '33251', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12748', 'Skeleton Marksman', '1', '45270', '0', '33262', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12749', 'Skeleton Marksman', '1', '45270', '0', '33274', '32454', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12750', 'Skeleton Marksman', '1', '45270', '0', '33286', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12751', 'Skeleton Marksman', '1', '45270', '0', '33292', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12752', 'Skeleton Marksman', '1', '45270', '0', '33299', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12753', 'Skeleton Marksman', '1', '45270', '0', '33310', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12754', 'Skeleton Marksman', '1', '45270', '0', '33324', '32458', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12755', 'Skeleton Marksman', '1', '45270', '0', '33335', '32453', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12756', 'Skeleton Marksman', '1', '45270', '0', '33324', '32436', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12757', 'Skeleton Marksman', '1', '45270', '0', '33316', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12758', 'Skeleton Marksman', '0', '45270', '0', '33319', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12759', 'Skeleton Marksman', '1', '45270', '0', '33299', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12760', 'Skeleton Marksman', '1', '45270', '0', '33294', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12761', 'Skeleton Marksman', '1', '45270', '0', '33288', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12762', 'Skeleton Marksman', '1', '45270', '0', '33276', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12763', 'Skeleton Marksman', '1', '45270', '0', '33265', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12764', 'Skeleton Marksman', '1', '45270', '0', '33252', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12765', 'Skeleton Marksman', '1', '45270', '0', '33259', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12766', 'Skeleton Marksman', '0', '45270', '0', '33256', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12767', 'Skeleton Marksman', '1', '45270', '0', '33263', '32387', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12768', 'Skeleton Marksman', '1', '45270', '0', '33274', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12769', 'Skeleton Marksman', '1', '45270', '0', '33282', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12770', 'Skeleton Marksman', '1', '45270', '0', '33290', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12771', 'Skeleton Marksman', '1', '45270', '0', '33299', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12772', 'Skeleton Marksman', '1', '45270', '0', '33312', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12773', 'Skeleton Marksman', '1', '45270', '0', '33321', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12774', 'Skeleton Marksman', '1', '45270', '0', '33320', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12775', 'Skeleton Marksman', '1', '45270', '0', '33305', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12776', 'Skeleton Marksman', '1', '45270', '0', '33298', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12777', 'Skeleton Marksman', '1', '45270', '0', '33292', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12778', 'Skeleton Marksman', '1', '45270', '0', '33300', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12779', 'Skeleton Marksman', '1', '45270', '0', '33312', '32360', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12780', 'Skeleton Marksman', '1', '45270', '0', '33326', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12781', 'Skeleton Marksman', '1', '45270', '0', '33336', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12782', 'Skeleton Marksman', '1', '45270', '0', '33327', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12783', 'Skeleton Marksman', '1', '45270', '0', '33350', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12784', 'Skeleton Marksman', '0', '45270', '0', '33358', '32355', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12785', 'Skeleton Marksman', '1', '45270', '0', '33371', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12786', 'Skeleton Marksman', '1', '45270', '0', '33370', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12787', 'Skeleton Marksman', '1', '45270', '0', '33364', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12788', 'Skeleton Marksman', '1', '45270', '0', '33365', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12789', 'Skeleton Marksman', '1', '45270', '0', '33351', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12790', 'Skeleton Marksman', '1', '45270', '0', '33386', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12791', 'Skeleton Marksman', '1', '45270', '0', '33386', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12792', 'Skeleton Marksman', '1', '45270', '0', '33334', '32338', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12793', 'Skeleton Marksman', '1', '45270', '0', '33403', '32343', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12794', 'Skeleton Marksman', '1', '45270', '0', '33382', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12795', 'Skeleton Marksman', '0', '45270', '0', '33376', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12796', 'Skeleton Marksman', '1', '45270', '0', '33374', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12797', 'Skeleton Marksman', '1', '45270', '0', '33342', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12798', 'Skeleton Marksman', '1', '45270', '0', '33333', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12799', 'Skeleton Marksman', '1', '45270', '0', '33316', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12800', 'Skeleton Marksman', '1', '45270', '0', '33303', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12801', 'Skeleton Marksman', '1', '45270', '0', '33325', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12802', 'Skeleton Marksman', '1', '45270', '0', '33340', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12803', 'Skeleton Marksman', '0', '45270', '0', '33349', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12804', 'Skeleton Marksman', '1', '45270', '0', '33349', '32301', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12805', 'Skeleton Marksman', '1', '45270', '0', '33365', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12806', 'Skeleton Marksman', '1', '45270', '0', '33349', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12807', 'Skeleton Marksman', '1', '45270', '0', '33362', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12808', 'Skeleton Marksman', '1', '45270', '0', '33393', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12809', 'Skeleton Marksman', '0', '45270', '0', '33403', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12810', 'Skeleton Marksman', '1', '45270', '0', '33414', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12811', 'Skeleton Marksman', '1', '45270', '0', '33427', '32285', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12812', 'Skeleton Marksman', '1', '45270', '0', '33422', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12813', 'Skeleton Marksman', '1', '45270', '0', '33437', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12814', 'Skeleton Marksman', '1', '45270', '0', '33443', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12815', 'Skeleton Marksman', '1', '45270', '0', '33449', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12816', 'Skeleton Marksman', '0', '45270', '0', '33438', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12817', 'Skeleton Marksman', '1', '45270', '0', '33447', '32303', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12818', 'Skeleton Marksman', '1', '45270', '0', '33438', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12819', 'Skeleton Marksman', '1', '45270', '0', '33447', '32268', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12820', 'Skeleton Marksman', '1', '45270', '0', '33438', '32263', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12821', 'Skeleton Marksman', '1', '45270', '0', '33429', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12822', 'Skeleton Marksman', '1', '45270', '0', '33423', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12823', 'Skeleton Marksman', '1', '45270', '0', '33413', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12824', 'Skeleton Marksman', '1', '45270', '0', '33403', '32249', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12825', 'Skeleton Marksman', '1', '45270', '0', '33388', '32248', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12826', 'Skeleton Marksman', '0', '45270', '0', '33399', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12827', 'Skeleton Marksman', '1', '45270', '0', '33384', '32232', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12828', 'Skeleton Marksman', '1', '45270', '0', '33370', '32246', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12829', 'Skeleton Marksman', '1', '45270', '0', '33366', '32259', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12830', 'Skeleton Marksman', '1', '45270', '0', '33376', '32262', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12831', 'Skeleton Marksman', '1', '45270', '0', '33438', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12832', 'Skeleton Marksman', '1', '45270', '0', '33431', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12833', 'Skeleton Marksman', '1', '45270', '0', '33434', '32376', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12834', 'Skeleton Marksman', '1', '45270', '0', '33403', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12835', 'Skeleton Marksman', '1', '45270', '0', '33412', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12836', 'Skeleton Marksman', '1', '45270', '0', '33413', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12837', 'Skeleton Marksman', '1', '45270', '0', '33405', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12838', 'Skeleton Marksman', '1', '45270', '0', '33391', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12839', 'Skeleton Marksman', '1', '45270', '0', '33380', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12840', 'Skeleton Marksman', '1', '45270', '0', '33404', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12841', 'Skeleton Marksman', '1', '45270', '0', '33405', '32412', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12842', 'Skeleton Marksman', '1', '45270', '0', '33385', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12843', 'Skeleton Marksman', '1', '45270', '0', '33372', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12844', 'Skeleton Marksman', '0', '45270', '0', '33381', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12845', 'Skeleton Marksman', '1', '45270', '0', '33367', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12846', 'Skeleton Marksman', '1', '45270', '0', '33358', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12847', 'Skeleton Marksman', '1', '45270', '0', '33347', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12848', 'Skeleton Marksman', '1', '45270', '0', '33339', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12849', 'Skeleton Marksman', '1', '45270', '0', '33343', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12850', 'Skeleton Marksman', '1', '45270', '0', '33329', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12851', 'Skeleton Marksman', '1', '45270', '0', '33319', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12852', 'Skeleton Marksman', '1', '45270', '0', '33311', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12853', 'Skeleton Marksman', '1', '45270', '0', '33236', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12854', 'Skeleton Marksman', '0', '45270', '0', '33229', '32432', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12855', 'Skeleton Marksman', '1', '45270', '0', '33264', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12856', 'Skeleton Marksman', '1', '45270', '0', '33257', '32359', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12857', 'Skeleton Marksman', '1', '45270', '0', '33272', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12858', 'Skeleton Marksman', '1', '45270', '0', '33270', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12859', 'Skeleton Marksman', '1', '45270', '0', '33297', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12860', 'Skeleton Marksman', '1', '45270', '0', '33397', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12861', 'Skeleton Marksman', '1', '45270', '0', '33388', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12862', 'Skeleton Marksman', '1', '45270', '0', '33374', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12863', 'Skeleton Marksman', '1', '45270', '0', '33366', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12864', 'Skeleton Marksman', '1', '45270', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12865', 'Skeleton Marksman', '1', '45270', '0', '33356', '32400', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12866', 'Skeleton Marksman', '1', '45270', '0', '33337', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12867', 'Skeleton Marksman', '0', '45270', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12868', 'Skeleton Marksman', '1', '45270', '0', '33331', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12869', 'Skeleton Marksman', '1', '45270', '0', '33342', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12870', 'Skeleton Marksman', '1', '45270', '0', '33351', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12871', 'Skeleton Marksman', '1', '45270', '0', '33358', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12872', 'Skeleton Marksman', '1', '45270', '0', '33367', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12873', 'Skeleton Marksman', '1', '45270', '0', '33374', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12874', 'Skeleton Marksman', '1', '45270', '0', '33384', '32470', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12875', 'Skeleton Marksman', '1', '45270', '0', '33390', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12876', 'Skeleton Marksman', '1', '45270', '0', '33394', '32483', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12932', 'Dark Elf Thief', '0', '45272', '0', '32798', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12933', 'Dark Elf Thief', '2', '45272', '0', '32793', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12934', 'Dark Elf Thief', '0', '45272', '0', '32797', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12935', 'Dark Elf Thief', '2', '45272', '0', '32806', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12936', 'Dark Elf Thief', '0', '45272', '0', '32835', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12937', 'Dark Elf Thief', '2', '45272', '0', '32837', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12938', 'Dark Elf Thief', '0', '45272', '0', '32869', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12939', 'Dark Elf Thief', '2', '45272', '0', '32866', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12941', 'Subterranean Great King Turtle', '2', '45422', '0', '32785', '32975', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12942', 'Skeletal Pirate Soldier', '0', '45274', '0', '32804', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12943', 'Skeletal Pirate Soldier', '2', '45274', '0', '32790', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12944', 'Skeletal Pirate Soldier', '0', '45274', '0', '32766', '32755', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12945', 'Skeletal Pirate Soldier', '2', '45274', '0', '32745', '32771', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12946', 'Skeletal Pirate Soldier', '0', '45274', '0', '32736', '32773', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12947', 'Skeletal Pirate Soldier', '2', '45274', '0', '32750', '32779', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12948', 'Skeletal Pirate Soldier', '0', '45274', '0', '32759', '32839', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12949', 'Skeletal Pirate Soldier', '2', '45274', '0', '32787', '32830', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12950', 'Skeletal Pirate Soldier', '0', '45274', '0', '32776', '32823', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12951', 'Skeletal Pirate Soldier', '2', '45274', '0', '32813', '32839', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12952', 'Skeletal Pirate Soldier', '0', '45274', '0', '32834', '32832', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12953', 'Skeletal Pirate Soldier', '2', '45274', '0', '32863', '32788', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12954', 'Skeletal Pirate Soldier', '0', '45274', '0', '32858', '32824', '2', '2', '0', '0', '0', '0', '0', '60', '120', '442', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12955', 'Skeletal Pirate Soldier', '2', '45274', '0', '32855', '32802', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12956', 'Skeletal Pirate Soldier', '0', '45274', '0', '32844', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12957', 'Skeletal Pirate Soldier', '2', '45274', '0', '32836', '32809', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12958', 'Skeletal Pirate Soldier', '0', '45274', '0', '32845', '32731', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12959', 'Skeletal Pirate Soldier', '2', '45274', '0', '32804', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12960', 'Skeletal Pirate Soldier', '0', '45274', '0', '32809', '32765', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12961', 'Skeletal Pirate Soldier', '2', '45274', '0', '32657', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12962', 'Skeletal Pirate Soldier', '0', '45274', '0', '32635', '33186', '6', '6', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12963', 'Skeletal Pirate Soldier', '2', '45274', '0', '32686', '33193', '6', '6', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12964', 'Skeletal Pirate Soldier', '0', '45274', '0', '32834', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12965', 'Skeletal Pirate Soldier', '2', '45274', '0', '32819', '32831', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12966', 'Skeletal Pirate Soldier', '0', '45274', '0', '32771', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12967', 'Skeletal Pirate Soldier', '2', '45274', '0', '32763', '32797', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12968', 'Skeletal Pirate Soldier', '0', '45274', '0', '32779', '32814', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12969', 'Skeletal Pirate Soldier', '2', '45274', '0', '32739', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12970', 'Skeletal Pirate Soldier', '0', '45274', '0', '32749', '32834', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12971', 'Skeletal Pirate Soldier', '2', '45274', '0', '32753', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12972', 'Skeletal Pirate Soldier', '0', '45274', '0', '32776', '32863', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12973', 'Skeletal Pirate Soldier', '2', '45274', '0', '32753', '32846', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12974', 'Skeletal Pirate Soldier', '0', '45274', '0', '32752', '32782', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12975', 'Skeletal Pirate Soldier', '2', '45274', '0', '32827', '32776', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12976', 'Skeletal Pirate Soldier', '0', '45274', '0', '32799', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12977', 'Skeletal Pirate Soldier', '2', '45274', '0', '32802', '32825', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12978', 'Skeletal Pirate Soldier', '0', '45274', '0', '32816', '32857', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12979', 'Skeletal Pirate Soldier', '2', '45274', '0', '32837', '32869', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12980', 'Skeletal Pirate Soldier', '0', '45274', '0', '32842', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12981', 'Skeletal Pirate Soldier', '2', '45274', '0', '32844', '32847', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12982', 'Black Ent', '0', '45275', '0', '32928', '32655', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12983', 'Black Ent', '0', '45275', '0', '32939', '32662', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12984', 'Black Ent', '0', '45275', '0', '32953', '32645', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12985', 'Black Ent', '0', '45275', '0', '32974', '32634', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12986', 'Black Ent', '0', '45275', '0', '32966', '32653', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12987', 'Black Ent', '0', '45275', '0', '32955', '32664', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12988', 'Black Ent', '0', '45275', '0', '32945', '32651', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12989', 'Black Ent', '0', '45275', '0', '32957', '32643', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12990', 'Black Ent', '0', '45275', '0', '32932', '32673', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('12991', 'Right-Hand Bandit', '1', '45276', '0', '33865', '32669', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12992', 'Right-Hand Bandit', '1', '45276', '0', '33903', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12993', 'Right-Hand Bandit', '1', '45276', '0', '33844', '32760', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12994', 'Right-Hand Bandit', '1', '45276', '0', '33795', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12995', 'Right-Hand Bandit', '1', '45276', '0', '33774', '32710', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12996', 'Right-Hand Bandit', '1', '45276', '0', '33788', '32739', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12997', 'Right-Hand Bandit', '1', '45276', '0', '33831', '32753', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12998', 'Ogre', '0', '45278', '0', '33303', '32311', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('12999', 'Ogre', '1', '45278', '0', '33324', '32331', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13000', 'Ogre', '0', '45278', '0', '33319', '32284', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13001', 'Ogre', '1', '45278', '0', '33325', '32300', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13002', 'Ogre', '0', '45278', '0', '32738', '32913', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13003', 'Ogre', '1', '45278', '0', '32712', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13004', 'Ogre', '0', '45278', '0', '32721', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13005', 'Ogre', '1', '45278', '0', '32754', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13006', 'Ogre', '0', '45278', '0', '32714', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13007', 'Ogre', '1', '45278', '0', '33314', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13008', 'Ogre', '0', '45278', '0', '33320', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13009', 'Ogre', '1', '45278', '0', '33294', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13010', 'Ogre', '0', '45278', '0', '33276', '32420', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13011', 'Ogre', '1', '45278', '0', '33267', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13012', 'Ogre', '0', '45278', '0', '33291', '32408', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13013', 'Ogre', '1', '45278', '0', '33309', '32409', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13014', 'Ogre', '0', '45278', '0', '33299', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13015', 'Ogre', '1', '45278', '0', '33333', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13016', 'Ogre', '0', '45278', '0', '33359', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13017', 'Ogre', '1', '45278', '0', '33355', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13018', 'Ogre', '0', '45278', '0', '33386', '32353', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13019', 'Ogre', '1', '45278', '0', '33400', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13020', 'Ogre', '0', '45278', '0', '33367', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13021', 'Ogre', '1', '45278', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13022', 'Ogre', '0', '45278', '0', '33336', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13023', 'Ogre', '1', '45278', '0', '33385', '32328', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13024', 'Ogre', '0', '45278', '0', '33372', '32300', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13025', 'Ogre', '1', '45278', '0', '33347', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13026', 'Ogre', '0', '45278', '0', '33356', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13027', 'Ogre', '1', '45278', '0', '33379', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13028', 'Ogre', '0', '45278', '0', '33375', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13029', 'Ogre', '1', '45278', '0', '33346', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13030', 'Ogre', '0', '45278', '0', '32568', '32256', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13031', 'Ogre', '1', '45278', '0', '32567', '32221', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13032', 'Ogre', '0', '45278', '0', '32614', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13033', 'Ogre', '1', '45278', '0', '32649', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13034', 'Ogre', '0', '45278', '0', '32509', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13035', 'Ogre', '1', '45278', '0', '33179', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13036', 'Ogre', '0', '45278', '0', '33201', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13037', 'Ogre', '1', '45278', '0', '33226', '33075', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13038', 'Ogre', '0', '45278', '0', '33237', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13039', 'Ogre', '1', '45278', '0', '33228', '33032', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13040', 'Ogre', '0', '45278', '0', '33164', '33071', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13041', 'Ogre', '1', '45278', '0', '33184', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13042', 'Ogre', '0', '45278', '0', '33202', '33074', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13043', 'Ogre', '1', '45278', '0', '33179', '33038', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13044', 'Ogre', '0', '45278', '0', '33173', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13045', 'Ogre', '1', '45278', '0', '33154', '33017', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13046', 'Ogre', '0', '45278', '0', '33143', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13047', 'Ogre', '1', '45278', '0', '33147', '33049', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13048', 'Ogre', '0', '45278', '0', '33131', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13049', 'Ogre', '1', '45278', '0', '33123', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13050', 'Ogre', '0', '45278', '0', '33115', '33041', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13051', 'Ogre', '1', '45278', '0', '33102', '33033', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13052', 'Ogre', '0', '45278', '0', '33091', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13053', 'Ogre', '1', '45278', '0', '33092', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13054', 'Ogre', '0', '45278', '0', '33096', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13055', 'Ogre', '1', '45278', '0', '33083', '32987', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13056', 'Ogre', '0', '45278', '0', '33072', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13057', 'Ogre', '1', '45278', '0', '33059', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13058', 'Ogre', '0', '45278', '0', '33046', '33003', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13059', 'Ogre', '1', '45278', '0', '33027', '33010', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13060', 'Ogre', '0', '45278', '0', '33029', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13061', 'Ogre', '1', '45278', '0', '33045', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13062', 'Ogre', '0', '45278', '0', '33065', '32977', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13063', 'Ogre', '1', '45278', '0', '33083', '32996', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13064', 'Ogre', '0', '45278', '0', '33076', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13065', 'Ogre', '1', '45278', '0', '33115', '33012', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13066', 'Ogre', '0', '45278', '0', '33063', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13067', 'Ogre', '1', '45278', '0', '33049', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13068', 'Ogre', '0', '45278', '0', '33030', '32949', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13069', 'Ogre', '1', '45278', '0', '33041', '33013', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13070', 'Ogre', '0', '45278', '0', '33075', '33016', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13071', 'Ogre', '1', '45278', '0', '33085', '33029', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13072', 'Ogre', '0', '45278', '0', '33102', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13073', 'Ogre', '1', '45278', '0', '33128', '33027', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13074', 'Ogre', '0', '45278', '0', '33164', '33030', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13075', 'Ogre', '1', '45278', '0', '33180', '33042', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13076', 'Ogre', '0', '45278', '0', '33187', '33073', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13077', 'Ogre', '1', '45278', '0', '33220', '33092', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13078', 'Ogre', '0', '45278', '0', '32963', '32635', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13079', 'Ogre', '1', '45278', '0', '32965', '32601', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13080', 'Ogre', '0', '45278', '0', '32978', '32580', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13081', 'Ogre', '1', '45278', '0', '32948', '32570', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13082', 'Ogre', '0', '45278', '0', '33163', '32593', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13083', 'Ogre', '1', '45278', '0', '33184', '32611', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13084', 'Ogre', '0', '45278', '0', '33201', '32634', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13085', 'Ogre', '1', '45278', '0', '33179', '32657', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13086', 'Ogre', '0', '45278', '0', '33156', '32663', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13087', 'Ogre', '1', '45278', '0', '33123', '32631', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13088', 'Ogre', '0', '45278', '0', '33088', '32596', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13089', 'Ogre', '1', '45278', '0', '33049', '32633', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13090', 'Ogre', '0', '45278', '0', '33078', '32667', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13091', 'Ogre', '1', '45278', '0', '33098', '32621', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13248', 'Fire Warrior', '1', '45284', '0', '33664', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13249', 'Fire Warrior', '1', '45284', '0', '33642', '32414', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13250', 'Fire Warrior', '1', '45284', '0', '33630', '32399', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13251', 'Fire Warrior', '1', '45284', '0', '33600', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13252', 'Fire Warrior', '1', '45284', '0', '33614', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13253', 'Fire Warrior', '1', '45284', '0', '33624', '32360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13254', 'Fire Warrior', '1', '45284', '0', '33649', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13255', 'Fire Warrior', '1', '45284', '0', '33568', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13256', 'Fire Warrior', '1', '45284', '0', '33557', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13257', 'Fire Warrior', '1', '45284', '0', '33595', '32430', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13258', 'Fire Warrior', '1', '45284', '0', '33539', '32366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13259', 'Fire Warrior', '1', '45284', '0', '33526', '32362', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13260', 'Fire Warrior', '1', '45284', '0', '33518', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13261', 'Fire Warrior', '1', '45284', '0', '33523', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13262', 'Fire Warrior', '1', '45284', '0', '33549', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13263', 'Fire Warrior', '1', '45284', '0', '33576', '32337', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13264', 'Fire Warrior', '1', '45284', '0', '33592', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13265', 'Fire Warrior', '1', '45284', '0', '33502', '32320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13266', 'Fire Warrior', '1', '45284', '0', '33569', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13267', 'Fire Warrior', '1', '45284', '0', '33544', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13268', 'Fire Warrior', '1', '45284', '0', '33582', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13269', 'Fire Warrior', '1', '45284', '0', '33595', '32272', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13270', 'Fire Warrior', '1', '45284', '0', '33610', '32318', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13271', 'Fire Warrior', '1', '45284', '0', '33614', '32251', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13272', 'Fire Warrior', '1', '45284', '0', '33608', '32216', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13273', 'Fire Warrior', '1', '45284', '0', '33637', '32244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13274', 'Fire Warrior', '1', '45284', '0', '33650', '32279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13275', 'Fire Warrior', '1', '45284', '0', '33668', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13276', 'Fire Warrior', '1', '45284', '0', '33688', '32274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13277', 'Fire Warrior', '1', '45284', '0', '33713', '32307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13278', 'Fire Warrior', '1', '45284', '0', '33717', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13279', 'Fire Warrior', '1', '45284', '0', '33732', '32264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13280', 'Fire Warrior', '1', '45284', '0', '33740', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13281', 'Fire Warrior', '1', '45284', '0', '33761', '32262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13282', 'Fire Warrior', '1', '45284', '0', '33767', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13283', 'Fire Warrior', '1', '45284', '0', '33755', '32324', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13284', 'Fire Warrior', '1', '45284', '0', '33720', '32321', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13285', 'Fire Warrior', '1', '45284', '0', '33725', '32356', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13286', 'Fire Warrior', '1', '45284', '0', '33744', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13287', 'Fire Warrior', '1', '45284', '0', '33768', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13288', 'Fire Warrior', '1', '45284', '0', '33749', '32400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13289', 'Fire Warrior', '1', '45284', '0', '33736', '32407', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13290', 'Fire Warrior', '1', '45284', '0', '33766', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13291', 'Fire Warrior', '1', '45284', '0', '33734', '32419', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13292', 'Fire Warrior', '1', '45284', '0', '33693', '32408', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13293', 'Fire Warrior', '1', '45284', '0', '33721', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13294', 'Fire Warrior', '1', '45284', '0', '33639', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13295', 'Fire Warrior', '1', '45284', '0', '33660', '32369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13296', 'Fire Warrior', '1', '45284', '0', '33674', '32387', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13297', 'Fire Warrior', '1', '45284', '0', '33651', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13298', 'Fire Warrior', '1', '45284', '0', '33656', '32317', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13299', 'Fire Warrior', '1', '45284', '0', '33635', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13300', 'Fire Warrior', '1', '45284', '0', '33690', '32302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13301', 'Fire Warrior', '1', '45284', '0', '33696', '32351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13336', 'Skeleton Fighter', '1', '45286', '0', '33239', '32450', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13337', 'Skeleton Fighter', '1', '45286', '0', '33251', '32449', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13338', 'Skeleton Fighter', '1', '45286', '0', '33262', '32452', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13339', 'Skeleton Fighter', '1', '45286', '0', '33274', '32454', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13340', 'Skeleton Fighter', '1', '45286', '0', '33286', '32460', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13341', 'Skeleton Fighter', '1', '45286', '0', '33292', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13342', 'Skeleton Fighter', '1', '45286', '0', '33299', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13343', 'Skeleton Fighter', '1', '45286', '0', '33310', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13344', 'Skeleton Fighter', '1', '45286', '0', '33324', '32458', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13345', 'Skeleton Fighter', '1', '45286', '0', '33335', '32453', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13346', 'Skeleton Fighter', '1', '45286', '0', '33324', '32436', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13347', 'Skeleton Fighter', '1', '45286', '0', '33316', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13348', 'Skeleton Fighter', '1', '45286', '0', '33319', '32417', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13349', 'Skeleton Fighter', '1', '45286', '0', '33299', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13350', 'Skeleton Fighter', '1', '45286', '0', '33294', '32437', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13351', 'Skeleton Fighter', '1', '45286', '0', '33288', '32425', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13352', 'Skeleton Fighter', '1', '45286', '0', '33276', '32431', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13353', 'Skeleton Fighter', '1', '45286', '0', '33265', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13354', 'Skeleton Fighter', '0', '45286', '0', '33252', '32419', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13355', 'Skeleton Fighter', '1', '45286', '0', '33259', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13356', 'Skeleton Fighter', '1', '45286', '0', '33256', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13357', 'Skeleton Fighter', '1', '45286', '0', '33263', '32387', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13358', 'Skeleton Fighter', '1', '45286', '0', '33274', '32390', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13359', 'Skeleton Fighter', '1', '45286', '0', '33282', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13360', 'Skeleton Fighter', '1', '45286', '0', '33290', '32406', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13361', 'Skeleton Fighter', '1', '45286', '0', '33299', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13362', 'Skeleton Fighter', '1', '45286', '0', '33312', '32395', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13363', 'Skeleton Fighter', '1', '45286', '0', '33321', '32398', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13364', 'Skeleton Fighter', '1', '45286', '0', '33320', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13365', 'Skeleton Fighter', '1', '45286', '0', '33305', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13366', 'Skeleton Fighter', '0', '45286', '0', '33298', '32378', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13367', 'Skeleton Fighter', '1', '45286', '0', '33292', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13368', 'Skeleton Fighter', '1', '45286', '0', '33300', '32362', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13369', 'Skeleton Fighter', '1', '45286', '0', '33312', '32360', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13370', 'Skeleton Fighter', '1', '45286', '0', '33326', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13371', 'Skeleton Fighter', '1', '45286', '0', '33336', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13372', 'Skeleton Fighter', '1', '45286', '0', '33327', '32350', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13373', 'Skeleton Fighter', '1', '45286', '0', '33350', '32352', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13374', 'Skeleton Fighter', '1', '45286', '0', '33358', '32355', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13375', 'Skeleton Fighter', '1', '45286', '0', '33371', '32348', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13376', 'Skeleton Fighter', '1', '45286', '0', '33370', '32339', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13377', 'Skeleton Fighter', '1', '45286', '0', '33364', '32332', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13378', 'Skeleton Fighter', '1', '45286', '0', '33365', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13379', 'Skeleton Fighter', '1', '45286', '0', '33351', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13380', 'Skeleton Fighter', '0', '45286', '0', '33386', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13381', 'Skeleton Fighter', '1', '45286', '0', '33386', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13382', 'Skeleton Fighter', '1', '45286', '0', '33334', '32338', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13383', 'Skeleton Fighter', '1', '45286', '0', '33403', '32343', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13384', 'Skeleton Fighter', '1', '45286', '0', '33382', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13385', 'Skeleton Fighter', '1', '45286', '0', '33376', '32307', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13386', 'Skeleton Fighter', '1', '45286', '0', '33374', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13387', 'Skeleton Fighter', '1', '45286', '0', '33342', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13388', 'Skeleton Fighter', '1', '45286', '0', '33333', '32315', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13389', 'Skeleton Fighter', '1', '45286', '0', '33316', '32297', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13390', 'Skeleton Fighter', '0', '45286', '0', '33303', '32318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13391', 'Skeleton Fighter', '1', '45286', '0', '33325', '32311', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13392', 'Skeleton Fighter', '1', '45286', '0', '33340', '32340', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13393', 'Skeleton Fighter', '1', '45286', '0', '33349', '32323', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13394', 'Skeleton Fighter', '1', '45286', '0', '33349', '32301', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13395', 'Skeleton Fighter', '1', '45286', '0', '33365', '32293', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13396', 'Skeleton Fighter', '1', '45286', '0', '33349', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13397', 'Skeleton Fighter', '1', '45286', '0', '33362', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13398', 'Skeleton Fighter', '1', '45286', '0', '33393', '32282', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13399', 'Skeleton Fighter', '1', '45286', '0', '33403', '32277', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13400', 'Skeleton Fighter', '1', '45286', '0', '33414', '32278', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13401', 'Skeleton Fighter', '0', '45286', '0', '33427', '32285', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13402', 'Skeleton Fighter', '1', '45286', '0', '33422', '32298', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13403', 'Skeleton Fighter', '1', '45286', '0', '33437', '32316', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13404', 'Skeleton Fighter', '1', '45286', '0', '33443', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13405', 'Skeleton Fighter', '1', '45286', '0', '33449', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13406', 'Skeleton Fighter', '1', '45286', '0', '33438', '32325', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13407', 'Skeleton Fighter', '1', '45286', '0', '33447', '32303', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13408', 'Skeleton Fighter', '1', '45286', '0', '33438', '32286', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13409', 'Skeleton Fighter', '1', '45286', '0', '33447', '32268', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13410', 'Skeleton Fighter', '1', '45286', '0', '33438', '32263', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13411', 'Skeleton Fighter', '1', '45286', '0', '33429', '32260', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13412', 'Skeleton Fighter', '1', '45286', '0', '33423', '32250', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13413', 'Skeleton Fighter', '1', '45286', '0', '33413', '32251', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13414', 'Skeleton Fighter', '1', '45286', '0', '33403', '32249', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13415', 'Skeleton Fighter', '1', '45286', '0', '33388', '32248', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13416', 'Skeleton Fighter', '1', '45286', '0', '33399', '32237', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13417', 'Skeleton Fighter', '1', '45286', '0', '33384', '32232', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13418', 'Skeleton Fighter', '0', '45286', '0', '33370', '32246', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13419', 'Skeleton Fighter', '1', '45286', '0', '33366', '32259', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13420', 'Skeleton Fighter', '1', '45286', '0', '33376', '32262', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13421', 'Skeleton Fighter', '1', '45286', '0', '33438', '32354', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13422', 'Skeleton Fighter', '1', '45286', '0', '33431', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13423', 'Skeleton Fighter', '1', '45286', '0', '33434', '32376', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13424', 'Skeleton Fighter', '1', '45286', '0', '33403', '32334', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13425', 'Skeleton Fighter', '1', '45286', '0', '33412', '32357', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13426', 'Skeleton Fighter', '1', '45286', '0', '33413', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13427', 'Skeleton Fighter', '1', '45286', '0', '33405', '32383', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13428', 'Skeleton Fighter', '1', '45286', '0', '33391', '32388', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13429', 'Skeleton Fighter', '1', '45286', '0', '33380', '32397', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13430', 'Skeleton Fighter', '1', '45286', '0', '33404', '32404', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13431', 'Skeleton Fighter', '1', '45286', '0', '33405', '32412', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13432', 'Skeleton Fighter', '0', '45286', '0', '33385', '32423', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13433', 'Skeleton Fighter', '1', '45286', '0', '33372', '32421', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13434', 'Skeleton Fighter', '1', '45286', '0', '33381', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13435', 'Skeleton Fighter', '1', '45286', '0', '33367', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13436', 'Skeleton Fighter', '1', '45286', '0', '33358', '32439', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13437', 'Skeleton Fighter', '1', '45286', '0', '33347', '32435', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13438', 'Skeleton Fighter', '1', '45286', '0', '33339', '32433', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13439', 'Skeleton Fighter', '1', '45286', '0', '33343', '32441', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13440', 'Skeleton Fighter', '1', '45286', '0', '33329', '32428', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13441', 'Skeleton Fighter', '1', '45286', '0', '33319', '32415', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13442', 'Skeleton Fighter', '1', '45286', '0', '33311', '32426', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13443', 'Skeleton Fighter', '0', '45286', '0', '33236', '32422', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13444', 'Skeleton Fighter', '1', '45286', '0', '33229', '32432', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13445', 'Skeleton Fighter', '1', '45286', '0', '33264', '32375', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13446', 'Skeleton Fighter', '1', '45286', '0', '33257', '32359', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13447', 'Skeleton Fighter', '1', '45286', '0', '33272', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13448', 'Skeleton Fighter', '1', '45286', '0', '33270', '32341', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13449', 'Skeleton Fighter', '1', '45286', '0', '33297', '32331', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13450', 'Skeleton Fighter', '1', '45286', '0', '33397', '32367', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13451', 'Skeleton Fighter', '1', '45286', '0', '33388', '32373', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13452', 'Skeleton Fighter', '1', '45286', '0', '33374', '32369', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13453', 'Skeleton Fighter', '0', '45286', '0', '33366', '32366', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13454', 'Skeleton Fighter', '1', '45286', '0', '33364', '32385', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13455', 'Skeleton Fighter', '1', '45286', '0', '33356', '32400', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13456', 'Skeleton Fighter', '1', '45286', '0', '33337', '32386', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13457', 'Skeleton Fighter', '1', '45286', '0', '33360', '32410', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13458', 'Skeleton Fighter', '1', '45286', '0', '33331', '32457', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13459', 'Skeleton Fighter', '0', '45286', '0', '33342', '32456', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13460', 'Skeleton Fighter', '1', '45286', '0', '33351', '32461', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13461', 'Skeleton Fighter', '1', '45286', '0', '33358', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13462', 'Skeleton Fighter', '1', '45286', '0', '33367', '32465', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13463', 'Skeleton Fighter', '1', '45286', '0', '33374', '32464', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13464', 'Skeleton Fighter', '1', '45286', '0', '33384', '32470', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13465', 'Skeleton Fighter', '1', '45286', '0', '33390', '32475', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13466', 'Skeleton Fighter', '0', '45286', '0', '33394', '32483', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13539', 'Muryan', '0', '45308', '0', '32946', '32831', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13540', 'Muryan', '0', '45308', '0', '32962', '32829', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13541', 'Muryan', '0', '45308', '0', '32935', '32816', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13542', 'Muryan', '0', '45308', '0', '32942', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13543', 'Muryan', '0', '45308', '0', '32923', '32787', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13544', 'Muryan', '0', '45308', '0', '32977', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13545', 'Muryan', '0', '45308', '0', '32981', '32768', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13546', 'Muryan', '0', '45308', '0', '32993', '32763', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13547', 'Muryan', '0', '45308', '0', '32616', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13548', 'Muryan', '0', '45308', '0', '32627', '32783', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13549', 'Muryan', '0', '45308', '0', '32636', '32788', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13550', 'Muryan', '0', '45308', '0', '32645', '32792', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13551', 'Muryan', '0', '45308', '0', '32657', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13552', 'Muryan', '0', '45308', '0', '32632', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13553', 'Muryan', '0', '45308', '0', '32644', '32731', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13554', 'Muryan', '0', '45308', '0', '32608', '32722', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13555', 'Muryan', '0', '45308', '0', '32561', '32727', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13556', 'Muryan', '0', '45308', '0', '32567', '32710', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13557', 'Muryan', '0', '45308', '0', '32611', '32645', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13558', 'Muryan', '0', '45308', '0', '32619', '32641', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13559', 'Muryan', '0', '45308', '0', '32623', '32614', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13560', 'Muryan', '0', '45308', '0', '32619', '32618', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13561', 'Muryan', '0', '45308', '0', '32644', '32614', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13562', 'Muryan', '0', '45308', '0', '32647', '32629', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13563', 'Muryan', '0', '45308', '0', '32652', '32642', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13564', 'Muryan', '0', '45308', '0', '32691', '32635', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13565', 'Muryan', '0', '45308', '0', '32699', '32640', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13566', 'Muryan', '0', '45308', '0', '32688', '32644', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13567', 'Muryan', '0', '45308', '0', '32690', '32635', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13568', 'Muryan', '0', '45308', '0', '32630', '32690', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13569', 'Muryan', '0', '45308', '0', '32618', '32698', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13570', 'Muryan', '0', '45308', '0', '32614', '32702', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13571', 'Muryan', '0', '45308', '0', '32610', '32724', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13572', 'Muryan', '0', '45308', '0', '32625', '32720', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13573', 'Muryan', '0', '45308', '0', '32687', '32735', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13574', 'Muryan', '0', '45308', '0', '32700', '32728', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13575', 'Muryan', '0', '45308', '0', '32718', '32729', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13624', 'Fire Archer', '1', '45291', '0', '33664', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13625', 'Fire Archer', '1', '45291', '0', '33642', '32400', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13626', 'Fire Archer', '1', '45291', '0', '33600', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13627', 'Fire Archer', '1', '45291', '0', '33600', '32375', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13628', 'Fire Archer', '1', '45291', '0', '33614', '32358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13629', 'Fire Archer', '1', '45291', '0', '33637', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13630', 'Fire Archer', '1', '45291', '0', '33586', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13631', 'Fire Archer', '1', '45291', '0', '33574', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13632', 'Fire Archer', '1', '45291', '0', '33574', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13633', 'Fire Archer', '1', '45291', '0', '33548', '32371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13634', 'Fire Archer', '1', '45291', '0', '33526', '32371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13635', 'Fire Archer', '1', '45291', '0', '33525', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13636', 'Fire Archer', '1', '45291', '0', '33520', '32283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13637', 'Fire Archer', '1', '45291', '0', '33542', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13638', 'Fire Archer', '1', '45291', '0', '33568', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13639', 'Fire Archer', '1', '45291', '0', '33587', '32352', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13640', 'Fire Archer', '1', '45291', '0', '33570', '32363', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13641', 'Fire Archer', '1', '45291', '0', '33554', '32302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13642', 'Fire Archer', '1', '45291', '0', '33558', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13643', 'Fire Archer', '1', '45291', '0', '33569', '32249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13644', 'Fire Archer', '1', '45291', '0', '33609', '32277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13645', 'Fire Archer', '1', '45291', '0', '33618', '32313', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13646', 'Fire Archer', '1', '45291', '0', '33603', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13647', 'Fire Archer', '1', '45291', '0', '33600', '32218', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13648', 'Fire Archer', '1', '45291', '0', '33634', '32254', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13649', 'Fire Archer', '1', '45291', '0', '33657', '32277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13650', 'Fire Archer', '1', '45291', '0', '33676', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13651', 'Fire Archer', '1', '45291', '0', '33696', '32280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13652', 'Fire Archer', '1', '45291', '0', '33705', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13653', 'Fire Archer', '1', '45291', '0', '33707', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13654', 'Fire Archer', '1', '45291', '0', '33726', '32260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13655', 'Fire Archer', '1', '45291', '0', '33735', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13656', 'Fire Archer', '1', '45291', '0', '33751', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13657', 'Fire Archer', '1', '45291', '0', '33760', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13658', 'Fire Archer', '1', '45291', '0', '33748', '32327', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13659', 'Fire Archer', '1', '45291', '0', '33715', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13660', 'Fire Archer', '1', '45291', '0', '33727', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13661', 'Fire Archer', '1', '45291', '0', '33751', '32299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13662', 'Fire Archer', '1', '45291', '0', '33769', '32366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13663', 'Fire Archer', '1', '45291', '0', '33742', '32395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13664', 'Fire Archer', '1', '45291', '0', '33737', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13665', 'Fire Archer', '1', '45291', '0', '33761', '32402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13666', 'Fire Archer', '1', '45291', '0', '32409', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13667', 'Fire Archer', '1', '45291', '0', '33688', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13668', 'Fire Archer', '1', '45291', '0', '33727', '32391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13669', 'Fire Archer', '1', '45291', '0', '33640', '32348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13670', 'Fire Archer', '1', '45291', '0', '33665', '32374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13671', 'Fire Archer', '1', '45291', '0', '33684', '32374', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13672', 'Fire Archer', '1', '45291', '0', '33664', '32336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13673', 'Fire Archer', '1', '45291', '0', '33651', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13674', 'Fire Archer', '1', '45291', '0', '33652', '32295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13675', 'Fire Archer', '1', '45291', '0', '33687', '32320', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13676', 'Yeti', '1', '45294', '0', '34239', '32435', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13677', 'Yeti', '1', '45294', '0', '34271', '32410', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13678', 'Yeti', '1', '45294', '0', '34248', '32401', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13679', 'Yeti', '1', '45294', '0', '34253', '32378', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13680', 'Yeti', '1', '45294', '0', '34226', '32345', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13681', 'Yeti', '1', '45294', '0', '34236', '32409', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13682', 'Yeti', '1', '45294', '0', '34214', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13683', 'Yeti', '1', '45294', '0', '34248', '32331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13684', 'Yeti', '1', '45294', '0', '34202', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13685', 'Yeti', '1', '45294', '0', '34197', '32232', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13686', 'Yeti', '1', '45294', '0', '34237', '32253', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13687', 'Yeti', '1', '45294', '0', '34272', '32244', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13688', 'Yeti', '1', '45294', '0', '34275', '32214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13689', 'Yeti', '1', '45294', '0', '34240', '32190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13690', 'Yeti', '1', '45294', '0', '34236', '32240', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13691', 'Yeti', '1', '45294', '0', '34245', '32208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13692', 'Yeti', '1', '45294', '0', '34189', '32207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13693', 'Yeti', '1', '45294', '0', '34271', '32364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13694', 'Yeti', '1', '45294', '0', '34266', '32336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13695', 'Yeti', '1', '45294', '0', '34170', '32223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13696', 'Yeti', '1', '45294', '0', '34136', '32184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13697', 'Yeti', '1', '45294', '0', '34139', '32238', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13698', 'Yeti', '1', '45294', '0', '34116', '32210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13699', 'Yeti', '1', '45294', '0', '34111', '32255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13700', 'Yeti', '1', '45294', '0', '34167', '32225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13727', 'Giant', '1', '45295', '0', '34277', '33115', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13728', 'Giant', '1', '45295', '0', '34262', '33135', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13729', 'Giant', '1', '45295', '0', '34235', '33155', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13730', 'Giant', '1', '45295', '0', '34262', '33176', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13731', 'Giant', '1', '45295', '0', '34257', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13732', 'Giant', '1', '45295', '0', '34278', '33142', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13733', 'Giant', '1', '45295', '0', '34262', '33198', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13734', 'Giant', '1', '45295', '0', '34258', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13735', 'Giant', '1', '45295', '0', '34259', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13736', 'Giant', '1', '45295', '0', '34278', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13737', 'Giant', '1', '45295', '0', '34281', '33187', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13738', 'Giant', '1', '45295', '0', '34285', '33249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13739', 'Giant', '1', '45295', '0', '34253', '33267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13740', 'Giant', '1', '45295', '0', '34252', '33283', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13741', 'Giant', '1', '45295', '0', '34247', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13742', 'Giant', '1', '45295', '0', '34243', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13743', 'Giant', '1', '45295', '0', '34230', '33316', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13744', 'Giant', '1', '45295', '0', '34228', '33331', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13745', 'Giant', '1', '45295', '0', '34238', '33350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13746', 'Giant', '1', '45295', '0', '34235', '33371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13747', 'Giant', '1', '45295', '0', '34216', '33380', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13748', 'Giant', '1', '45295', '0', '34253', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13749', 'Giant', '1', '45295', '0', '34261', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13750', 'Giant', '1', '45295', '0', '34273', '33342', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13751', 'Giant', '1', '45295', '0', '34275', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13752', 'Giant', '1', '45295', '0', '34279', '33281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13753', 'Giant', '1', '45295', '0', '34272', '33260', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13754', 'Giant', '1', '45295', '0', '33282', '33228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13755', 'Giant', '1', '45295', '0', '34262', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13756', 'Giant', '1', '45295', '0', '34266', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13757', 'Giant', '1', '45295', '0', '34231', '33389', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13758', 'Giant', '1', '45295', '0', '34235', '33405', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13759', 'Giant', '1', '45295', '0', '34229', '33417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13760', 'Giant', '1', '45295', '0', '34220', '33432', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13761', 'Giant', '1', '45295', '0', '34233', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13762', 'Giant', '1', '45295', '0', '34264', '33433', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13763', 'Giant', '1', '45295', '0', '34228', '33466', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13764', 'Giant', '1', '45295', '0', '34255', '33480', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13765', 'Giant', '1', '45295', '0', '34284', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13766', 'Giant', '1', '45295', '0', '34247', '33485', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13767', 'Giant', '1', '45295', '0', '34220', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13768', 'Giant', '1', '45295', '0', '34221', '33457', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13769', 'Giant', '1', '45295', '0', '34237', '33479', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13770', 'Giant', '1', '45295', '0', '34258', '33326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13771', 'Giant', '1', '45295', '0', '34253', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13772', 'Giant', '1', '45295', '0', '34280', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13773', 'Giant', '1', '45295', '0', '34272', '33005', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13774', 'Giant', '1', '45295', '0', '34267', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13775', 'Giant', '1', '45295', '0', '34199', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13776', 'Giant', '1', '45295', '0', '34223', '32907', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13777', 'Giant', '1', '45295', '0', '34253', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13778', 'Giant', '1', '45295', '0', '34187', '32847', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13779', 'Giant', '1', '45295', '0', '34189', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13780', 'Giant', '1', '45295', '0', '34174', '33026', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13781', 'Giant', '1', '45295', '0', '34060', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13782', 'Giant', '1', '45295', '0', '34140', '33063', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13783', 'Giant', '1', '45295', '0', '34111', '33038', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13784', 'Giant', '1', '45295', '0', '34163', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13811', 'Subterranean Crabman', '2', '45297', '0', '32781', '32880', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13812', 'Subterranean Crabman', '1', '45297', '0', '32790', '32885', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13813', 'Subterranean Crabman', '2', '45297', '0', '32795', '32893', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13814', 'Subterranean Crabman', '1', '45297', '0', '32800', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13815', 'Subterranean Crabman', '2', '45297', '0', '32760', '32871', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13816', 'Subterranean Crabman', '1', '45297', '0', '32743', '32855', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13817', 'Subterranean Crabman', '2', '45297', '0', '32756', '32900', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13818', 'Subterranean Crabman', '1', '45297', '0', '32762', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13819', 'Subterranean Crabman', '2', '45297', '0', '32752', '32954', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13820', 'Subterranean Crabman', '1', '45297', '0', '32787', '32970', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13821', 'Subterranean Crabman', '2', '45297', '0', '32789', '33034', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13822', 'Subterranean Crabman', '1', '45297', '0', '32797', '33048', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13823', 'Subterranean Crabman', '2', '45297', '0', '32744', '33027', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13824', 'Subterranean Crabman', '1', '45297', '0', '32733', '33010', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13825', 'Subterranean Crabman', '2', '45297', '0', '32752', '33005', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('13948', 'Griffon', '1', '45321', '0', '33715', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13949', 'Griffon', '1', '45321', '0', '33732', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13950', 'Griffon', '1', '45321', '0', '33724', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13951', 'Griffon', '1', '45321', '0', '33703', '33021', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13952', 'Griffon', '1', '45321', '0', '33762', '33024', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('13999', 'Bandit', '1', '45324', '0', '33834', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14000', 'Bandit', '1', '45324', '0', '33807', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14001', 'Bandit', '1', '45324', '0', '33831', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14002', 'Bandit', '1', '45324', '0', '33860', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14003', 'Bandit', '1', '45324', '0', '33909', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14004', 'Bandit', '1', '45324', '0', '33873', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14005', 'Bandit', '1', '45324', '0', '33866', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14006', 'Bandit', '1', '45324', '0', '33768', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14007', 'Bandit', '1', '45324', '0', '33812', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14008', 'Bandit', '1', '45324', '0', '33843', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14009', 'Bandit', '1', '45324', '0', '33854', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14010', 'Bandit', '1', '45324', '0', '33848', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14011', 'Bandit', '1', '45324', '0', '33878', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14012', 'Bandit', '1', '45324', '0', '33852', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14013', 'Bandit', '1', '45324', '0', '33814', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14014', 'Bandit', '1', '45324', '0', '33882', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14015', 'Bandit', '1', '45324', '0', '33864', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14016', 'Bandit', '1', '45324', '0', '33825', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14017', 'Bandit', '1', '45324', '0', '33802', '32720', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14018', 'Bandit', '1', '45324', '0', '33811', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14019', 'Bandit', '1', '45324', '0', '33820', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14033', 'Dark Forester', '0', '45326', '0', '32777', '32897', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14034', 'Dark Forester', '0', '45326', '0', '32800', '32907', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14035', 'Dark Forester', '0', '45326', '0', '32790', '32923', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14036', 'Dark Elf Ranger', '0', '45397', '0', '32939', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14037', 'Bandit', '1', '45329', '0', '33834', '32660', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14038', 'Bandit', '1', '45329', '0', '33807', '32688', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14039', 'Bandit', '1', '45329', '0', '33831', '32725', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14040', 'Bandit', '1', '45329', '0', '33860', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14041', 'Bandit', '1', '45329', '0', '33909', '32769', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14042', 'Bandit', '1', '45329', '0', '33873', '32741', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14043', 'Bandit', '1', '45329', '0', '33866', '32775', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14044', 'Bandit', '1', '45329', '0', '33768', '32696', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14045', 'Bandit', '1', '45329', '0', '33812', '32752', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14046', 'Bandit', '1', '45329', '0', '33843', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14047', 'Bandit', '1', '45329', '0', '33854', '32691', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14048', 'Bandit', '1', '45329', '0', '33848', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14049', 'Bandit', '1', '45329', '0', '33878', '32787', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14050', 'Bandit', '1', '45329', '0', '33852', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14051', 'Bandit', '1', '45329', '0', '33814', '32770', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14052', 'Bandit', '1', '45329', '0', '33882', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14053', 'Bandit', '1', '45329', '0', '33864', '32715', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14054', 'Bandit', '1', '45329', '0', '33825', '32697', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14055', 'Bandit', '1', '45329', '0', '33802', '32720', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14056', 'Bandit', '1', '45329', '0', '33811', '32733', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14057', 'Bandit', '1', '45329', '0', '33820', '32789', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14058', 'Skeletal Pirate Head', '0', '45330', '0', '32868', '32786', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14059', 'Skeletal Pirate Head', '2', '45330', '0', '32869', '32794', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14060', 'Skeletal Pirate Head', '0', '45330', '0', '32826', '32791', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14061', 'Skeletal Pirate Head', '2', '45330', '0', '32836', '32783', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14062', 'Skeletal Pirate Head', '0', '45330', '0', '32835', '32771', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14063', 'Skeletal Pirate Head', '2', '45330', '0', '32843', '32756', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14064', 'Skeletal Pirate Head', '0', '45330', '0', '32857', '32748', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14065', 'Skeletal Pirate Head', '2', '45330', '0', '32870', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14066', 'Skeletal Pirate Head', '0', '45330', '0', '32870', '32733', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14067', 'Skeletal Pirate Head', '2', '45330', '0', '32833', '32742', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14068', 'Skeletal Pirate Head', '0', '45330', '0', '32843', '32751', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14069', 'Skeletal Pirate Head', '2', '45330', '0', '32827', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14070', 'Skeletal Pirate Head', '0', '45330', '0', '32799', '32766', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14071', 'Skeletal Pirate Head', '2', '45330', '0', '32763', '32756', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14072', 'Skeletal Pirate Head', '0', '45330', '0', '32760', '32766', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14073', 'Skeletal Pirate Head', '2', '45330', '0', '32753', '32782', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14074', 'Skeletal Pirate Head', '0', '45330', '0', '32749', '32780', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14075', 'Skeletal Pirate Head', '2', '45330', '0', '32743', '32778', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14076', 'Skeletal Pirate Head', '0', '45330', '0', '32759', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14077', 'Skeletal Pirate Head', '2', '45330', '0', '32765', '32750', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14078', 'Skeletal Pirate Head', '0', '45330', '0', '32763', '32733', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14079', 'Skeletal Pirate Head', '2', '45330', '0', '32746', '32732', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14080', 'Skeletal Pirate Head', '0', '45330', '0', '32733', '32740', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14081', 'Skeletal Pirate Head', '2', '45330', '0', '32726', '32732', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14082', 'Skeletal Pirate Head', '0', '45330', '0', '32756', '32734', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14083', 'Skeletal Pirate Head', '2', '45330', '0', '32771', '32761', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14084', 'Skeletal Pirate Head', '0', '45330', '0', '32776', '32760', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14085', 'Skeletal Pirate Head', '2', '45330', '0', '32755', '32745', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14086', 'Skeletal Pirate Head', '0', '45330', '0', '32840', '32812', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14087', 'Skeletal Pirate Head', '2', '45330', '0', '32853', '32807', '2', '2', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14091', 'Skeletal Pirate Head', '2', '45330', '0', '32822', '32819', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14092', 'Skeletal Pirate Head', '0', '45330', '0', '32826', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14093', 'Skeletal Pirate Head', '2', '45330', '0', '32834', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14094', 'Skeletal Pirate Head', '0', '45330', '0', '32818', '32786', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14095', 'Skeletal Pirate Head', '2', '45330', '0', '32808', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14096', 'Skeletal Pirate Head', '0', '45330', '0', '32793', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14097', 'Skeletal Pirate Head', '2', '45330', '0', '32778', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14098', 'Skeletal Pirate Head', '0', '45330', '0', '32759', '32803', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14099', 'Skeletal Pirate Head', '2', '45330', '0', '32765', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14100', 'Skeletal Pirate Head', '0', '45330', '0', '32769', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14101', 'Skeletal Pirate Head', '2', '45330', '0', '32757', '32823', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14102', 'Skeletal Pirate Head', '0', '45330', '0', '32756', '32830', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14103', 'Skeletal Pirate Head', '2', '45330', '0', '32748', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14104', 'Skeletal Pirate Head', '0', '45330', '0', '32758', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14105', 'Skeletal Pirate Head', '2', '45330', '0', '32760', '32861', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14106', 'Skeletal Pirate Head', '0', '45330', '0', '32757', '32864', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14107', 'Skeletal Pirate Head', '2', '45330', '0', '32767', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14108', 'Skeletal Pirate Head', '0', '45330', '0', '32768', '32812', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14109', 'Skeletal Pirate Head', '2', '45330', '0', '32765', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14110', 'Skeletal Pirate Head', '0', '45330', '0', '32796', '32754', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14111', 'Skeletal Pirate Head', '2', '45330', '0', '32815', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14112', 'Skeletal Pirate Head', '0', '45330', '0', '32809', '32807', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14113', 'Skeletal Pirate Head', '2', '45330', '0', '32808', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14114', 'Skeletal Pirate Head', '0', '45330', '0', '32807', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14115', 'Skeletal Pirate Head', '2', '45330', '0', '32807', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14116', 'Skeletal Pirate Head', '0', '45330', '0', '32828', '32860', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14117', 'Skeletal Pirate Head', '2', '45330', '0', '32827', '32846', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14118', 'Skeletal Pirate Head', '0', '45330', '0', '32831', '32837', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14119', 'Skeletal Pirate Head', '2', '45330', '0', '32827', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '443', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14196', 'Bandit', '1', '81080', '0', '33871', '32689', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14197', 'Bandit', '1', '81080', '0', '33810', '32673', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14198', 'Bandit', '1', '81080', '0', '33820', '32711', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14199', 'Bandit', '1', '81080', '0', '33846', '32735', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14200', 'Bandit', '1', '81080', '0', '33898', '32763', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14201', 'Bandit', '1', '81080', '0', '33891', '32743', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14202', 'Bandit', '1', '81080', '0', '33839', '32749', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14203', 'Bandit', '1', '81080', '0', '33817', '32700', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14204', 'Bandit', '1', '81080', '0', '33783', '32723', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14205', 'Bandit', '1', '81080', '0', '33835', '32766', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14206', 'Bandit', '1', '81080', '0', '33886', '32823', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14213', 'Giant', '1', '45337', '0', '34265', '33122', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14214', 'Giant', '1', '45337', '0', '34258', '33144', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14215', 'Giant', '1', '45337', '0', '34257', '33161', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14216', 'Giant', '1', '45337', '0', '34270', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14217', 'Giant', '1', '45337', '0', '34277', '33163', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14218', 'Giant', '1', '45337', '0', '34278', '33132', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14219', 'Giant', '1', '45337', '0', '34261', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14220', 'Giant', '1', '45337', '0', '34267', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14221', 'Giant', '1', '45337', '0', '34264', '33231', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14222', 'Giant', '1', '45337', '0', '34276', '33203', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14223', 'Giant', '1', '45337', '0', '34283', '33175', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14224', 'Giant', '1', '45337', '0', '34263', '33252', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14225', 'Giant', '1', '45337', '0', '34262', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14226', 'Giant', '1', '45337', '0', '34244', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14227', 'Giant', '1', '45337', '0', '34228', '33291', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14228', 'Giant', '1', '45337', '0', '34222', '33305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14229', 'Giant', '1', '45337', '0', '34222', '33314', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14230', 'Giant', '1', '45337', '0', '34232', '33341', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14231', 'Giant', '1', '45337', '0', '34245', '33358', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14232', 'Giant', '1', '45337', '0', '34225', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14233', 'Giant', '1', '45337', '0', '34224', '33382', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14234', 'Giant', '1', '45337', '0', '34252', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14235', 'Giant', '1', '45337', '0', '34275', '33366', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14236', 'Giant', '1', '45337', '0', '34269', '33329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14237', 'Giant', '1', '45337', '0', '34275', '33299', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14238', 'Giant', '1', '45337', '0', '34275', '33277', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14239', 'Giant', '1', '45337', '0', '34276', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14240', 'Giant', '1', '45337', '0', '34273', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14241', 'Giant', '1', '45337', '0', '34255', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14242', 'Giant', '1', '45337', '0', '34257', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14243', 'Giant', '1', '45337', '0', '34221', '33391', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14244', 'Giant', '1', '45337', '0', '34246', '33411', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14245', 'Giant', '1', '45337', '0', '34233', '33421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14246', 'Giant', '1', '45337', '0', '34227', '33429', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14247', 'Giant', '1', '45337', '0', '34225', '33444', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14248', 'Giant', '1', '45337', '0', '34236', '33745', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14249', 'Giant', '1', '45337', '0', '34240', '33469', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14250', 'Giant', '1', '45337', '0', '34265', '33484', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14251', 'Giant', '1', '45337', '0', '34261', '33494', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14252', 'Giant', '1', '45337', '0', '34240', '33492', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14253', 'Giant', '1', '45337', '0', '34220', '33477', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14254', 'Giant', '1', '45337', '0', '34225', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14255', 'Giant', '1', '45337', '0', '34242', '33315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14256', 'Giant', '1', '45337', '0', '34253', '33339', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14257', 'Giant', '1', '45337', '0', '34275', '33033', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14258', 'Giant', '1', '45337', '0', '34287', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14259', 'Giant', '1', '45337', '0', '34244', '32965', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14260', 'Giant', '1', '45337', '0', '34183', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14261', 'Giant', '1', '45337', '0', '34252', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14262', 'Giant', '1', '45337', '0', '34229', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14263', 'Giant', '1', '45337', '0', '34166', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14264', 'Giant', '1', '45337', '0', '34169', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14265', 'Giant', '1', '45337', '0', '34067', '33006', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14266', 'Giant', '1', '45337', '0', '34087', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14267', 'Giant', '1', '45337', '0', '34147', '33019', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14268', 'Giant', '1', '45337', '0', '34084', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14269', 'Giant', '1', '45337', '0', '34195', '33006', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14270', 'Plate Worm', '0', '45339', '0', '32848', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14271', 'Plate Worm', '1', '45339', '0', '32857', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14272', 'Plate Worm', '0', '45339', '0', '32855', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14273', 'Plate Worm', '1', '45339', '0', '32840', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14274', 'Plate Worm', '0', '45339', '0', '32832', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14275', 'Plate Worm', '1', '45339', '0', '32813', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14276', 'Plate Worm', '0', '45339', '0', '32813', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14277', 'Plate Worm', '1', '45339', '0', '32811', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14278', 'Plate Worm', '0', '45339', '0', '32808', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14279', 'Plate Worm', '1', '45339', '0', '32796', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14280', 'Plate Worm', '0', '45339', '0', '32785', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14281', 'Plate Worm', '1', '45339', '0', '32772', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14282', 'Plate Worm', '0', '45339', '0', '32767', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14283', 'Plate Worm', '1', '45339', '0', '32767', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14284', 'Plate Worm', '0', '45339', '0', '32759', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14285', 'Plate Worm', '1', '45339', '0', '32749', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14286', 'Plate Worm', '0', '45339', '0', '32736', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14287', 'Plate Worm', '1', '45339', '0', '32742', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14288', 'Plate Worm', '0', '45339', '0', '32741', '32827', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14289', 'Plate Worm', '1', '45339', '0', '32758', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14290', 'Plate Worm', '0', '45339', '0', '32772', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14291', 'Plate Worm', '1', '45339', '0', '32784', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14292', 'Plate Worm', '0', '45339', '0', '32801', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14293', 'Plate Worm', '1', '45339', '0', '32814', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14294', 'Plate Worm', '0', '45339', '0', '32828', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14295', 'Plate Worm', '1', '45339', '0', '32841', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14296', 'Plate Worm', '0', '45339', '0', '32851', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14297', 'Plate Worm', '1', '45339', '0', '32864', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14298', 'Plate Worm', '0', '45339', '0', '32874', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14299', 'Plate Worm', '1', '45339', '0', '32880', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14300', 'Plate Worm', '0', '45339', '0', '32872', '32854', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14301', 'Plate Worm', '1', '45339', '0', '32892', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14302', 'Plate Worm', '0', '45339', '0', '32902', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14303', 'Plate Worm', '1', '45339', '0', '32894', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14304', 'Plate Worm', '0', '45339', '0', '32894', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14305', 'Plate Worm', '1', '45339', '0', '32887', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14306', 'Plate Worm', '0', '45339', '0', '32894', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14307', 'Plate Worm', '1', '45339', '0', '32902', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14308', 'Plate Worm', '0', '45339', '0', '32896', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14309', 'Plate Worm', '1', '45339', '0', '32889', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14310', 'Plate Worm', '0', '45339', '0', '32889', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14311', 'Plate Worm', '1', '45339', '0', '32896', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14312', 'Plate Worm', '0', '45339', '0', '32902', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14313', 'Plate Worm', '1', '45339', '0', '32901', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14314', 'Plate Worm', '0', '45339', '0', '32901', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14315', 'Plate Worm', '1', '45339', '0', '32883', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14316', 'Plate Worm', '0', '45339', '0', '32893', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14317', 'Plate Worm', '1', '45339', '0', '32883', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14318', 'Plate Worm', '0', '45339', '0', '32884', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14319', 'Plate Worm', '1', '45339', '0', '32894', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14320', 'Plate Worm', '0', '45339', '0', '32899', '32926', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14321', 'Plate Worm', '1', '45339', '0', '32892', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14322', 'Plate Worm', '0', '45339', '0', '32898', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14323', 'Plate Worm', '1', '45339', '0', '32892', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14324', 'Plate Worm', '0', '45339', '0', '32884', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14325', 'Plate Worm', '1', '45339', '0', '32873', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14326', 'Plate Worm', '0', '45339', '0', '32877', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14327', 'Plate Worm', '1', '45339', '0', '32869', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14328', 'Plate Worm', '0', '45339', '0', '32840', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14329', 'Plate Worm', '1', '45339', '0', '32824', '32933', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14330', 'Plate Worm', '0', '45339', '0', '32816', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14331', 'Plate Worm', '1', '45339', '0', '32800', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14332', 'Plate Worm', '0', '45339', '0', '32798', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14333', 'Plate Worm', '1', '45339', '0', '32801', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14334', 'Plate Worm', '0', '45339', '0', '32795', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14335', 'Plate Worm', '1', '45339', '0', '32805', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14336', 'Taurverus', '0', '45408', '0', '32783', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14337', 'Taurverus', '0', '45408', '0', '32790', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14338', 'Taurverus', '0', '45408', '0', '32770', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14339', 'Taurverus', '0', '45408', '0', '32763', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14340', 'Taurverus', '0', '45408', '0', '32756', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14341', 'Taurverus', '0', '45408', '0', '32790', '32746', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14342', 'Taurverus', '1', '45341', '0', '33742', '32310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14343', 'Taurverus', '1', '45341', '0', '33728', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14344', 'Taurverus', '1', '45341', '0', '33739', '32292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14345', 'Taurverus', '1', '45341', '0', '33717', '32261', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14346', 'Taurverus', '1', '45341', '0', '33709', '32250', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14347', 'Taurverus', '1', '45341', '0', '33707', '32302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14348', 'Taurverus', '1', '45341', '0', '33701', '32336', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14349', 'Taurverus', '1', '45341', '0', '33644', '32305', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14350', 'Taurverus', '1', '45341', '0', '33675', '32307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14351', 'Taurverus', '1', '45341', '0', '33622', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14352', 'Taurverus', '1', '45341', '0', '33711', '32349', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14353', 'Taurverus', '1', '45341', '0', '33567', '32332', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14354', 'Taurverus', '1', '45341', '0', '33554', '32219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14355', 'Taurverus', '1', '45341', '0', '33562', '32224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14356', 'Taurverus', '1', '45341', '0', '33575', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14357', 'Taurverus', '1', '45341', '0', '33569', '32241', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14358', 'Taurverus', '1', '45341', '0', '33589', '32273', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14359', 'Taurverus', '1', '45341', '0', '33591', '32301', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14360', 'Taurverus', '1', '45341', '0', '33622', '32269', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14361', 'Taurverus', '1', '45341', '0', '33650', '32224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14362', 'Taurverus', '1', '45341', '0', '33676', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14363', 'Taurverus', '1', '45341', '0', '33676', '32228', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14398', 'Ghast Lord', '0', '45346', '10', '32561', '32370', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14399', 'Ghast Lord', '2', '45346', '10', '32576', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14400', 'Ghast Lord', '0', '45346', '10', '32549', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14401', 'Ghast Lord', '2', '45346', '10', '32549', '32308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14402', 'Dark Forester', '0', '45347', '0', '32899', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14403', 'Dark Forester', '1', '45347', '0', '32898', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14404', 'Dark Forester', '0', '45347', '0', '32901', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14405', 'Dark Forester', '1', '45347', '0', '32895', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14406', 'Dark Forester', '0', '45347', '0', '32902', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14407', 'Dark Forester', '1', '45347', '0', '32903', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14408', 'Dark Forester', '0', '45347', '0', '32902', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14634', 'Beholder', '1', '45349', '0', '33398', '33140', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14644', 'Beholder', '1', '45349', '0', '33511', '33278', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14645', 'Beholder', '1', '45349', '0', '33490', '33280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14646', 'Beholder', '1', '45349', '0', '33473', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14647', 'Beholder', '1', '45349', '0', '33438', '33296', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14648', 'Beholder', '1', '45349', '0', '33454', '33361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14649', 'Beholder', '1', '45349', '0', '33410', '33306', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14650', 'Beholder', '1', '45349', '0', '33391', '33347', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14651', 'Beholder', '1', '45349', '0', '33345', '33379', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14652', 'Beholder', '1', '45349', '0', '33369', '33428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14653', 'Beholder', '1', '45349', '0', '33328', '33395', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14654', 'Beholder', '1', '45349', '0', '33362', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14655', 'Beholder', '1', '45349', '0', '33423', '33369', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14656', 'Beholder', '1', '45349', '0', '33454', '33416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14657', 'Beholder', '1', '45349', '0', '33297', '33262', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14658', 'Beholder', '1', '45349', '0', '33276', '33249', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14659', 'Beholder', '1', '45349', '0', '33277', '33270', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14660', 'Beholder', '1', '45349', '0', '33298', '33343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14661', 'Beholder', '1', '45349', '0', '33305', '33403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14662', 'Beholder', '1', '45349', '0', '33396', '33248', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14663', 'Beholder', '1', '45349', '0', '33376', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14664', 'Beholder', '1', '45349', '0', '33441', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14665', 'Beholder', '1', '45349', '0', '33409', '33245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14666', 'Beholder', '1', '45349', '0', '33309', '33160', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14667', 'Beholder', '1', '45349', '0', '33330', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14668', 'Beholder', '1', '45349', '0', '33367', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14669', 'Beholder', '1', '45349', '0', '33481', '33292', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14670', 'Beholder', '1', '45349', '0', '33456', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14671', 'Beholder', '1', '45349', '0', '33339', '33312', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14672', 'Beholder', '1', '45349', '0', '33403', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14673', 'Beholder', '1', '45349', '0', '33355', '33255', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14674', 'Dark Elf Carrier', '0', '45350', '0', '32752', '32759', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14675', 'Dark Elf Carrier', '0', '45350', '0', '32742', '32759', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14676', 'Dark Elf Carrier', '0', '45350', '0', '32736', '32767', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14677', 'Dark Elf Carrier', '0', '45350', '0', '32744', '32772', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14678', 'Dark Elf Carrier', '0', '45350', '0', '32725', '32778', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14679', 'Dark Elf Carrier', '1', '45293', '0', '32814', '32866', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14680', 'Dark Elf Carrier', '0', '45293', '0', '32808', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14681', 'Dark Elf Carrier', '1', '45293', '0', '32807', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14682', 'Dark Elf Carrier', '0', '45293', '0', '32798', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14683', 'Dark Elf Carrier', '1', '45293', '0', '32784', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14684', 'Dark Elf Carrier', '0', '45293', '0', '32779', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14685', 'Dark Elf Carrier', '1', '45293', '0', '32782', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14686', 'Dark Elf Carrier', '0', '45293', '0', '32785', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14687', 'Dark Elf Carrier', '1', '45293', '0', '32781', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14688', 'Dark Elf Carrier', '0', '45293', '0', '32777', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14689', 'Dark Elf Carrier', '1', '45293', '0', '32778', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14690', 'Dark Elf Carrier', '0', '45293', '0', '32772', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14691', 'Dark Elf Carrier', '1', '45293', '0', '32762', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14692', 'Dark Elf Carrier', '0', '45293', '0', '32758', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14693', 'Dark Elf Carrier', '1', '45293', '0', '32762', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14694', 'Dark Elf Carrier', '0', '45293', '0', '32757', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14695', 'Dark Elf Carrier', '1', '45293', '0', '32749', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14696', 'Dark Elf Carrier', '0', '45293', '0', '32753', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14697', 'Dark Elf Carrier', '1', '45293', '0', '32761', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14698', 'Dark Elf Carrier', '0', '45293', '0', '32752', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14699', 'Dark Elf Carrier', '1', '45293', '0', '32758', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14700', 'Dark Elf Carrier', '0', '45293', '0', '32752', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14701', 'Dark Elf Carrier', '1', '45293', '0', '32754', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14702', 'Dark Elf Carrier', '0', '45293', '0', '32764', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14703', 'Dark Elf Carrier', '1', '45293', '0', '32769', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14704', 'Dark Elf Carrier', '0', '45293', '0', '32757', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14705', 'Dark Elf Carrier', '1', '45293', '0', '32742', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14706', 'Dark Elf Carrier', '0', '45293', '0', '32734', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14707', 'Dark Elf Carrier', '1', '45293', '0', '32759', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14708', 'Dark Elf Carrier', '0', '45293', '0', '32770', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14709', 'Dark Elf Carrier', '1', '45293', '0', '32780', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14710', 'Dark Elf Carrier', '0', '45293', '0', '32786', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14711', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14712', 'Dark Elf Carrier', '0', '45293', '0', '32801', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14713', 'Dark Elf Carrier', '1', '45293', '0', '32801', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14714', 'Dark Elf Carrier', '0', '45293', '0', '32792', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14715', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14716', 'Dark Elf Carrier', '0', '45293', '0', '32804', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14717', 'Dark Elf Carrier', '1', '45293', '0', '32792', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14718', 'Dark Elf Carrier', '0', '45293', '0', '32794', '32912', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14719', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14720', 'Dark Elf Carrier', '0', '45293', '0', '32797', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14721', 'Dark Elf Carrier', '1', '45293', '0', '32802', '32919', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14722', 'Dark Elf Carrier', '0', '45293', '0', '32795', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14723', 'Dark Elf Carrier', '1', '45293', '0', '32789', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14724', 'Dark Elf Carrier', '0', '45293', '0', '32782', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14725', 'Dark Elf Carrier', '1', '45293', '0', '32781', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14726', 'Dark Elf Carrier', '0', '45293', '0', '32777', '32933', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14727', 'Dark Elf Carrier', '1', '45293', '0', '32780', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14728', 'Dark Elf Carrier', '0', '45293', '0', '32779', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14729', 'Dark Elf Carrier', '1', '45293', '0', '32783', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14730', 'Dark Elf Carrier', '0', '45293', '0', '32787', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14731', 'Dark Elf Carrier', '1', '45293', '0', '32786', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14732', 'Dark Elf Carrier', '0', '45293', '0', '32779', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14733', 'Dark Elf Carrier', '1', '45293', '0', '32774', '32954', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14734', 'Dark Elf Carrier', '0', '45293', '0', '32768', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14735', 'Dark Elf Carrier', '1', '45293', '0', '32773', '32944', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14736', 'Dark Elf Carrier', '0', '45293', '0', '32756', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14737', 'Dark Elf Carrier', '1', '45293', '0', '32747', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14738', 'Dark Elf Carrier', '0', '45293', '0', '32748', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14739', 'Dark Elf Carrier', '1', '45293', '0', '32750', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14740', 'Dark Elf Carrier', '0', '45293', '0', '32734', '32944', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14741', 'Dark Elf Carrier', '1', '45293', '0', '32735', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14742', 'Dark Elf Carrier', '0', '45293', '0', '32744', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14743', 'Dark Elf Carrier', '1', '45293', '0', '32748', '32963', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14744', 'Dark Elf Carrier', '0', '45293', '0', '32738', '32967', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14745', 'Dark Elf Carrier', '1', '45293', '0', '32741', '32970', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14746', 'Dark Elf Carrier', '0', '45293', '0', '32745', '32969', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14747', 'Dark Elf Carrier', '1', '45293', '0', '32755', '32974', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14748', 'Dark Elf Carrier', '0', '45293', '0', '32759', '32976', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14749', 'Dark Elf Carrier', '1', '45293', '0', '32764', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14750', 'Dark Elf Carrier', '0', '45293', '0', '32765', '32981', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14751', 'Dark Elf Carrier', '1', '45293', '0', '32767', '32983', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14752', 'Dark Elf Carrier', '0', '45293', '0', '32776', '32993', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14753', 'Dark Elf Carrier', '1', '45293', '0', '32782', '32986', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14754', 'Dark Elf Carrier', '0', '45293', '0', '32789', '32990', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14755', 'Dark Elf Carrier', '1', '45293', '0', '32794', '32991', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14756', 'Dark Elf Carrier', '0', '45293', '0', '32801', '32992', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14757', 'Dark Elf Carrier', '1', '45293', '0', '32810', '32989', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14758', 'Dark Elf Carrier', '0', '45293', '0', '32822', '32990', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14759', 'Dark Elf Carrier', '1', '45293', '0', '32827', '32991', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14760', 'Dark Elf Carrier', '0', '45293', '0', '32834', '32990', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14761', 'Dark Elf Carrier', '1', '45293', '0', '32846', '32989', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14762', 'Dark Elf Carrier', '0', '45293', '0', '32847', '32992', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14763', 'Dark Elf Carrier', '1', '45293', '0', '32836', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14764', 'Dark Elf Carrier', '0', '45293', '0', '32829', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14765', 'Dark Elf Carrier', '1', '45293', '0', '32822', '32962', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14766', 'Dark Elf Carrier', '0', '45293', '0', '32812', '32971', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14767', 'Dark Elf Carrier', '1', '45293', '0', '32802', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14768', 'Dark Elf Carrier', '0', '45293', '0', '32801', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14769', 'Dark Elf Carrier', '1', '45293', '0', '32796', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14770', 'Dark Elf Carrier', '0', '45293', '0', '32803', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14771', 'Dark Elf Carrier', '1', '45293', '0', '32812', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14772', 'Dark Elf Carrier', '0', '45293', '0', '32811', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14773', 'Dark Elf Carrier', '1', '45293', '0', '32812', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14774', 'Dark Elf Carrier', '0', '45293', '0', '32829', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14775', 'Dark Elf Carrier', '1', '45293', '0', '32823', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14776', 'Giant', '1', '45351', '0', '34254', '33131', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14777', 'Giant', '1', '45351', '0', '34249', '33150', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14778', 'Giant', '1', '45351', '0', '34261', '33168', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14779', 'Giant', '1', '45351', '0', '34267', '33184', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14780', 'Giant', '1', '45351', '0', '34272', '33153', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14781', 'Giant', '1', '45351', '0', '34254', '33193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14782', 'Giant', '1', '45351', '0', '34254', '33205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14783', 'Giant', '1', '45351', '0', '34270', '33220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14784', 'Giant', '1', '45351', '0', '34257', '33236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14785', 'Giant', '1', '45351', '0', '34276', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14786', 'Giant', '1', '45351', '0', '34259', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14787', 'Giant', '1', '45351', '0', '34248', '33264', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14788', 'Giant', '1', '45351', '0', '34265', '33279', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14789', 'Giant', '1', '45351', '0', '34239', '33284', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14790', 'Giant', '1', '45351', '0', '34233', '33295', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14791', 'Giant', '1', '45351', '0', '34228', '33308', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14792', 'Giant', '1', '45351', '0', '34223', '33323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14793', 'Giant', '1', '45351', '0', '34243', '33340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14794', 'Giant', '1', '45351', '0', '34233', '33364', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14795', 'Giant', '1', '45351', '0', '34223', '33367', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14796', 'Giant', '1', '45351', '0', '34241', '33376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14797', 'Giant', '1', '45351', '0', '34264', '33360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14798', 'Giant', '1', '45351', '0', '34277', '33357', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14799', 'Giant', '1', '45351', '0', '34276', '33328', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14800', 'Giant', '1', '45351', '0', '34276', '33289', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14801', 'Giant', '1', '45351', '0', '34278', '33266', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14802', 'Giant', '1', '45351', '0', '34279', '33237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14803', 'Giant', '1', '45351', '0', '34261', '33297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14804', 'Giant', '1', '45351', '0', '34274', '33379', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14805', 'Giant', '1', '45351', '0', '34245', '33386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14806', 'Giant', '1', '45351', '0', '34227', '33398', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14807', 'Giant', '1', '45351', '0', '34255', '33402', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14808', 'Giant', '1', '45351', '0', '34220', '33422', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14809', 'Giant', '1', '45351', '0', '34233', '33436', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14810', 'Giant', '1', '45351', '0', '34221', '33445', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14811', 'Giant', '1', '45351', '0', '34240', '33459', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14812', 'Giant', '1', '45351', '0', '34246', '33478', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14813', 'Giant', '1', '45351', '0', '34274', '33486', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14814', 'Giant', '1', '45351', '0', '34254', '33490', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14815', 'Giant', '1', '45351', '0', '34229', '33486', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14816', 'Giant', '1', '45351', '0', '34215', '33468', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14817', 'Giant', '1', '45351', '0', '34227', '33478', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14818', 'Giant', '1', '45351', '0', '34248', '33319', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14819', 'Giant', '1', '45351', '0', '34253', '33348', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14820', 'Giant', '1', '45351', '0', '34261', '33022', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14821', 'Giant', '1', '45351', '0', '34283', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14822', 'Giant', '1', '45351', '0', '34231', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14823', 'Giant', '1', '45351', '0', '34203', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14824', 'Giant', '1', '45351', '0', '34279', '32885', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14825', 'Giant', '1', '45351', '0', '34209', '32835', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14826', 'Giant', '1', '45351', '0', '34170', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14827', 'Giant', '1', '45351', '0', '34159', '33000', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14828', 'Giant', '1', '45351', '0', '34068', '33028', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14829', 'Giant', '1', '45351', '0', '34116', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14830', 'Giant', '1', '45351', '0', '34135', '33040', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14831', 'Giant', '1', '45351', '0', '34115', '33007', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14832', 'Werewolf', '0', '45355', '0', '32827', '33005', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14833', 'Werewolf', '1', '45355', '0', '32786', '33009', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14834', 'Werewolf', '0', '45355', '0', '32748', '32992', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14835', 'Werewolf', '1', '45355', '0', '32737', '32968', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14836', 'Werewolf', '0', '45355', '0', '32683', '32983', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14837', 'Werewolf', '1', '45355', '0', '32670', '32957', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14838', 'Werewolf', '0', '45355', '0', '32695', '32871', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14839', 'Werewolf', '1', '45355', '0', '32701', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14840', 'Werewolf', '0', '45355', '0', '32674', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14841', 'Werewolf', '1', '45355', '0', '32813', '32925', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14842', 'Werewolf', '0', '45355', '0', '32789', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14843', 'Werewolf', '1', '45355', '0', '32771', '32902', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14844', 'Werewolf', '0', '45355', '0', '32736', '32876', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14845', 'Werewolf', '1', '45355', '0', '32698', '32845', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14846', 'Werewolf', '0', '45355', '0', '32648', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14847', 'Werewolf', '1', '45355', '0', '32667', '32955', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14848', 'Werewolf', '0', '45355', '0', '32788', '33018', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14849', 'Werewolf', '1', '45355', '0', '32811', '32988', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14850', 'Werewolf', '0', '45355', '0', '32733', '32946', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14851', 'Werewolf', '1', '45355', '0', '32782', '32929', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14852', 'Dark Elf Beast Tamer', '1', '45356', '0', '32749', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14853', 'Dark Elf Beast Tamer', '1', '45356', '0', '32737', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14854', 'Dark Elf Beast Tamer', '1', '45356', '0', '32758', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14855', 'Dark Elf Beast Tamer', '1', '45356', '0', '32788', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14856', 'Dark Elf Beast Tamer', '1', '45356', '0', '32802', '32800', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14857', 'Dark Elf Beast Tamer', '1', '45356', '0', '32785', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14858', 'Dark Elf Beast Tamer', '1', '45356', '0', '32751', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14859', 'Dark Elf Beast Tamer', '1', '45356', '0', '32850', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14860', 'Dark Elf Beast Tamer', '1', '45356', '0', '32843', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14861', 'Dark Elf Beast Tamer', '1', '45356', '0', '32892', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14862', 'Dark Elf Beast Tamer', '1', '45356', '0', '32912', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14863', 'Dark Elf Beast Tamer', '1', '45356', '0', '32977', '32803', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14864', 'Dark Elf Beast Tamer', '1', '45356', '0', '32978', '32800', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14865', 'Dark Elf Beast Tamer', '1', '45356', '0', '32916', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14866', 'Dark Elf Beast Tamer', '1', '45356', '0', '32960', '32920', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14867', 'Dark Elf Beast Tamer', '1', '45356', '0', '32955', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14868', 'Dark Elf Beast Tamer', '1', '45356', '0', '33000', '32863', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14869', 'Dark Elf Beast Tamer', '1', '45356', '0', '33004', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14870', 'Dark Elf Beast Tamer', '1', '45356', '0', '33039', '32814', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14871', 'Dark Elf Beast Tamer', '1', '45356', '0', '33048', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14872', 'Dark Elf Beast Tamer', '1', '45356', '0', '33045', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14873', 'Dark Elf Beast Tamer', '1', '45356', '0', '32989', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14874', 'Black Tiger', '0', '45357', '0', '32905', '32743', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14875', 'Black Tiger', '0', '45357', '0', '32875', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14876', 'Black Tiger', '0', '45357', '0', '32864', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14877', 'Black Tiger', '0', '45357', '0', '32854', '32745', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14878', 'Black Tiger', '0', '45357', '0', '32807', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14879', 'Black Tiger', '0', '45357', '0', '32793', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14880', 'Black Tiger', '0', '45357', '0', '32807', '32750', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14881', 'Black Tiger', '0', '45357', '0', '32818', '32747', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14882', 'Black Tiger', '0', '45357', '0', '32835', '32744', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14883', 'Arachnevil', '1', '45358', '0', '32839', '32999', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14884', 'Arachnevil', '0', '45358', '0', '32836', '33008', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14885', 'Arachnevil', '1', '45358', '0', '32798', '33002', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14886', 'Arachnevil', '0', '45358', '0', '33790', '32998', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14887', 'Arachnevil', '1', '45358', '0', '32775', '32990', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14888', 'Arachnevil', '0', '45358', '0', '32765', '32990', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14889', 'Arachnevil', '1', '45358', '0', '32737', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14890', 'Arachnevil', '0', '45358', '0', '32733', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14891', 'Arachnevil', '1', '45358', '0', '32712', '32975', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14892', 'Arachnevil', '0', '45358', '0', '32703', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14893', 'Arachnevil', '1', '45358', '0', '32676', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14894', 'Arachnevil', '0', '45358', '0', '32667', '33001', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14895', 'Arachnevil', '1', '45358', '0', '32651', '33005', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14896', 'Arachnevil', '0', '45358', '0', '32652', '32978', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14897', 'Arachnevil', '1', '45358', '0', '32653', '32963', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14898', 'Arachnevil', '0', '45358', '0', '32679', '32946', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14899', 'Arachnevil', '1', '45358', '0', '32670', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14900', 'Arachnevil', '0', '45358', '0', '32647', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14901', 'Arachnevil', '1', '45358', '0', '32666', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14902', 'Arachnevil', '0', '45358', '0', '32666', '32875', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14903', 'Arachnevil', '1', '45358', '0', '32652', '32849', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14904', 'Arachnevil', '0', '45358', '0', '32671', '32867', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14905', 'Arachnevil', '1', '45358', '0', '32687', '32861', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14906', 'Arachnevil', '0', '45358', '0', '32717', '32802', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14907', 'Arachnevil', '1', '45358', '0', '32712', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14908', 'Arachnevil', '0', '45358', '0', '32691', '32906', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14909', 'Arachnevil', '1', '45358', '0', '32693', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14910', 'Arachnevil', '0', '45358', '0', '32702', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14911', 'Arachnevil', '1', '45358', '0', '32724', '32955', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14912', 'Arachnevil', '0', '45358', '0', '32761', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14913', 'Arachnevil', '1', '45358', '0', '32771', '32944', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14914', 'Arachnevil', '0', '45358', '0', '32753', '32951', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14915', 'Arachnevil', '1', '45358', '0', '32765', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14916', 'Arachnevil', '0', '45358', '0', '32792', '32961', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14917', 'Arachnevil', '1', '45358', '0', '32814', '32943', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14918', 'Arachnevil', '0', '45358', '0', '32813', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14919', 'Arachnevil', '1', '45358', '0', '32822', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14920', 'Arachnevil', '0', '45358', '0', '32811', '32982', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14921', 'Arachnevil', '1', '45358', '0', '32848', '32953', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14922', 'Arachnevil', '0', '45358', '0', '32664', '32882', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14923', 'Arachnevil', '1', '45358', '0', '32789', '32981', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14924', 'Arachnevil', '0', '45358', '0', '32805', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14925', 'Astagio', '1', '45359', '0', '33686', '32353', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14926', 'Astagio', '1', '45359', '0', '33679', '32360', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14927', 'Astagio', '1', '45359', '0', '33680', '32325', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14928', 'Astagio', '1', '45359', '0', '33658', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14929', 'Astagio', '1', '45359', '0', '33636', '32294', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14930', 'Astagio', '1', '45359', '0', '33684', '32303', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14931', 'Astagio', '1', '45359', '0', '33714', '32297', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14932', 'Astagio', '1', '45359', '0', '33708', '32276', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14933', 'Astagio', '1', '45359', '0', '33738', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14934', 'Astagio', '1', '45359', '0', '33724', '32326', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('14935', 'Subterranean Great King Worm', '2', '45360', '0', '32788', '32935', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14936', 'Subterranean Great King Worm', '1', '45360', '0', '32762', '32962', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14937', 'Subterranean Great King Worm', '2', '45360', '0', '32754', '32933', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14938', 'Subterranean Great King Worm', '1', '45360', '0', '32778', '32968', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14939', 'Subterranean Great King Worm', '2', '45360', '0', '32779', '33009', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('14940', 'Subterranean Great King Worm', '1', '45360', '0', '32753', '33038', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15090', 'Cockatrice', '1', '45361', '0', '33307', '32340', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15091', 'Cockatrice', '1', '45361', '0', '33365', '32327', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15092', 'Cockatrice', '1', '45361', '0', '33351', '32333', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15093', 'Cockatrice', '1', '45361', '0', '33354', '32358', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15094', 'Cockatrice', '1', '45361', '0', '33318', '32351', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15095', 'Cockatrice', '1', '45361', '0', '33360', '32403', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15096', 'Cockatrice', '1', '45361', '0', '33367', '32364', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15097', 'Cockatrice', '1', '45361', '0', '33391', '32371', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15098', 'Cockatrice', '1', '45361', '0', '33382', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15099', 'Cockatrice', '1', '45361', '0', '33364', '32290', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15100', 'Cockatrice', '1', '45361', '0', '33343', '32314', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15101', 'Cockatrice', '1', '45361', '0', '33355', '32275', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15102', 'Cockatrice', '0', '45362', '0', '32700', '32705', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15103', 'Cockatrice', '1', '45362', '0', '32693', '32700', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15104', 'Cockatrice', '0', '45362', '0', '32630', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15105', 'Cockatrice', '1', '45362', '0', '32654', '32779', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15106', 'Dark Elementalist', '1', '45363', '0', '32932', '32749', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15107', 'Dark Elementalist', '1', '45363', '0', '32943', '32751', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15108', 'Dark Elementalist', '1', '45363', '0', '32956', '32753', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15109', 'Dark Elementalist', '1', '45363', '0', '32966', '32724', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15110', 'Dark Elementalist', '1', '45363', '0', '32964', '32713', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15111', 'Dark Elementalist', '1', '45363', '0', '32952', '32708', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15112', 'Dark Elementalist', '1', '45363', '0', '32961', '32697', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15113', 'Dark Elementalist', '1', '45363', '0', '32970', '32695', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15114', 'Dark Elementalist', '1', '45363', '0', '32975', '32699', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15115', 'Dark Elementalist', '1', '45363', '0', '32968', '32711', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15116', 'Dark Elf', '0', '45364', '0', '32701', '32708', '5', '5', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15117', 'Dark Elf', '1', '45364', '0', '32711', '32759', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15118', 'Dark Elf', '0', '45364', '0', '32692', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15119', 'Dark Elf', '1', '45364', '0', '32640', '32790', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15120', 'Dark Elf', '0', '45364', '0', '32661', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15121', 'Dark Elf', '1', '45364', '0', '32626', '32747', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15122', 'Dark Elf', '0', '45364', '0', '32644', '32708', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15123', 'Dark Elf', '1', '45364', '0', '32656', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15124', 'Dark Elf', '0', '45364', '0', '32679', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15125', 'Dark Elf', '1', '45364', '0', '32668', '32745', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15126', 'Dark Elf', '0', '45364', '0', '32703', '32713', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15127', 'Dark Elf', '1', '45364', '0', '32848', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15128', 'Dark Elf', '0', '45364', '0', '32873', '32885', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15129', 'Dark Elf', '1', '45364', '0', '32881', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15130', 'Dark Elf', '0', '45364', '0', '32887', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15131', 'Dark Elf', '1', '45364', '0', '32872', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15132', 'Dark Elf', '0', '45364', '0', '32881', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15133', 'Dark Elf', '1', '45364', '0', '32861', '32934', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15134', 'Dark Elf', '0', '45364', '0', '32861', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15135', 'Dark Elf', '1', '45364', '0', '32906', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15136', 'Dark Elf', '0', '45364', '0', '32916', '32880', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15137', 'Dark Elf', '1', '45364', '0', '32911', '32907', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15138', 'Dark Elf', '0', '45364', '0', '32916', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15139', 'Dark Elf', '1', '45364', '0', '32871', '32864', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15140', 'Dark Elf', '0', '45364', '0', '32861', '32845', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15141', 'Dark Elf', '1', '45364', '0', '32894', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15142', 'Dark Elf', '0', '45364', '0', '32924', '32871', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15143', 'Dark Elf', '1', '45364', '0', '32944', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15144', 'Dark Elf', '0', '45364', '0', '32925', '32811', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15145', 'Dark Elf', '1', '45364', '0', '32931', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15146', 'Dark Elf', '0', '45364', '0', '32951', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15147', 'Dark Elf', '1', '45364', '0', '32900', '32789', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15148', 'Dark Elf', '0', '45364', '0', '32866', '32801', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15149', 'Dark Elf', '1', '45364', '0', '32862', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15150', 'Dark Elf', '0', '45364', '0', '32920', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15151', 'Dark Elf', '1', '45364', '0', '32887', '32806', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15152', 'Dark Elf', '0', '45364', '0', '32889', '32878', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15153', 'Dark Elf', '1', '45364', '0', '32875', '32984', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15154', 'Dark Elf', '0', '45364', '0', '32860', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15155', 'Dark Elf', '1', '45364', '0', '32829', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15156', 'Dark Elf', '0', '45364', '0', '32851', '32826', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15157', 'Dark Elf', '1', '45364', '0', '32843', '32957', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15158', 'Dark Elf', '0', '45364', '0', '32888', '32966', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15159', 'Dark Elf', '1', '45364', '0', '32757', '32941', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15160', 'Dark Elf', '0', '45364', '0', '32745', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15161', 'Dark Elf', '1', '45364', '0', '32754', '32959', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15162', 'Dark Elf', '0', '45364', '0', '32762', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15163', 'Dark Elf', '1', '45364', '0', '32772', '32966', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15164', 'Dark Elf', '0', '45364', '0', '32781', '32960', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15165', 'Dark Elf', '1', '45364', '0', '32795', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15166', 'Dark Elf', '0', '45364', '0', '32795', '32936', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15167', 'Dark Elf', '1', '45364', '0', '32792', '32929', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15168', 'Dark Elf', '0', '45364', '0', '32786', '32919', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15169', 'Dark Elf', '1', '45364', '0', '32797', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15170', 'Dark Elf', '0', '45364', '0', '32794', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15171', 'Dark Elf', '1', '45364', '0', '32794', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15172', 'Dark Elf', '0', '45364', '0', '32892', '32826', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15173', 'Dark Elf', '1', '45364', '0', '32891', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15174', 'Dark Elf', '0', '45364', '0', '32766', '32742', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15175', 'Dark Elf', '1', '45364', '0', '32666', '32749', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15176', 'Dark Elf', '0', '45364', '0', '32667', '32719', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15177', 'Dark Elf', '1', '45364', '0', '32710', '32749', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15178', 'Dark Elf', '0', '45364', '0', '32879', '32892', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15179', 'Dark Elf', '1', '45364', '0', '32858', '32935', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15180', 'Dark Elf', '0', '45364', '0', '32895', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15181', 'Dark Elf', '1', '45364', '0', '32915', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15182', 'Dark Elf', '0', '45364', '0', '32942', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15183', 'Dark Elf', '1', '45364', '0', '32814', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15184', 'Dark Elf', '0', '45364', '0', '32662', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15185', 'Dark Elf', '1', '45364', '0', '32659', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15186', 'Dark Elf', '0', '45364', '0', '32664', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15187', 'Dark Elf', '1', '45364', '0', '32776', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15188', 'Dark Elf', '0', '45364', '0', '32770', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15189', 'Dark Elf', '1', '45364', '0', '32686', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15190', 'Dark Elf', '0', '45364', '0', '32758', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15191', 'Dark Elf', '1', '45364', '0', '32806', '32962', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15192', 'Lava Golem', '1', '45365', '0', '33664', '32415', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15193', 'Lava Golem', '1', '45365', '0', '33600', '32394', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15194', 'Lava Golem', '1', '45365', '0', '33607', '32421', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15195', 'Lava Golem', '1', '45365', '0', '33620', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15196', 'Lava Golem', '1', '45365', '0', '33649', '32381', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15197', 'Lava Golem', '1', '45365', '0', '33568', '32385', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15198', 'Lava Golem', '1', '45365', '0', '33559', '32416', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15199', 'Lava Golem', '1', '45365', '0', '33544', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15200', 'Lava Golem', '1', '45365', '0', '33532', '32365', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15201', 'Lava Golem', '1', '45365', '0', '33529', '32343', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15202', 'Lava Golem', '1', '45365', '0', '33510', '32304', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15203', 'Lava Golem', '1', '45365', '0', '33549', '32286', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15204', 'Lava Golem', '1', '45365', '0', '33558', '32335', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15205', 'Lava Golem', '1', '45365', '0', '33590', '32329', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15206', 'Lava Golem', '1', '45365', '0', '33590', '32371', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15207', 'Lava Golem', '1', '45365', '0', '33569', '32307', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15208', 'Lava Golem', '1', '45365', '0', '33558', '32281', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15209', 'Lava Golem', '1', '45365', '0', '33540', '32233', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15210', 'Lava Golem', '1', '45365', '0', '33583', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15211', 'Lava Golem', '1', '45365', '0', '33603', '32309', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15212', 'Lava Golem', '1', '45365', '0', '33620', '32258', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15213', 'Lava Golem', '1', '45365', '0', '33616', '32220', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15214', 'Lava Golem', '1', '45365', '0', '33632', '32230', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15215', 'Lava Golem', '1', '45365', '0', '33654', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15216', 'Lava Golem', '1', '45365', '0', '33653', '32243', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15217', 'Lava Golem', '1', '45365', '0', '33602', '32265', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15218', 'Lava Golem', '1', '45365', '0', '33704', '32298', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15219', 'Lava Golem', '1', '45365', '0', '33725', '32285', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15220', 'Lava Golem', '1', '45365', '0', '33731', '32274', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15221', 'Lava Golem', '1', '45365', '0', '33716', '32237', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15222', 'Lava Golem', '1', '45365', '0', '33760', '32267', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15223', 'Lava Golem', '1', '45365', '0', '33768', '32288', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15224', 'Lava Golem', '1', '45365', '0', '33764', '32330', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15225', 'Lava Golem', '1', '45365', '0', '33727', '32315', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15226', 'Lava Golem', '1', '45365', '0', '33721', '32351', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15227', 'Lava Golem', '1', '45365', '0', '33734', '32334', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15228', 'Lava Golem', '1', '45365', '0', '33756', '32383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15229', 'Lava Golem', '1', '45365', '0', '33767', '32333', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15230', 'Lava Golem', '1', '45365', '0', '3729', '32403', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15231', 'Lava Golem', '1', '45365', '0', '33761', '32417', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15232', 'Lava Golem', '1', '45365', '0', '33746', '32428', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15233', 'Lava Golem', '1', '45365', '0', '33702', '32412', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15234', 'Lava Golem', '1', '45365', '0', '33704', '32376', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15235', 'Lava Golem', '1', '45365', '0', '33635', '32340', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15236', 'Lava Golem', '1', '45365', '0', '33658', '32361', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15237', 'Lava Golem', '1', '45365', '0', '33670', '32397', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15238', 'Lava Golem', '1', '45365', '0', '33708', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15239', 'Lava Golem', '1', '45365', '0', '33660', '32323', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15240', 'Lava Golem', '1', '45365', '0', '33631', '32290', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15241', 'Lava Golem', '1', '45365', '0', '33681', '32310', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15242', 'Lava Golem', '1', '45365', '0', '33702', '32344', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15243', 'Black Ent', '1', '45367', '0', '32823', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15244', 'Black Ent', '0', '45367', '0', '32816', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15245', 'Black Ent', '1', '45367', '0', '32809', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15246', 'Black Ent', '0', '45367', '0', '32798', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15247', 'Black Ent', '1', '45367', '0', '32796', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15248', 'Black Ent', '0', '45367', '0', '32802', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15249', 'Black Ent', '1', '45367', '0', '32783', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15250', 'Black Ent', '0', '45367', '0', '32769', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15251', 'Black Ent', '1', '45367', '0', '32750', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15252', 'Black Ent', '0', '45367', '0', '32738', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15253', 'Black Ent', '1', '45367', '0', '32747', '32958', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15254', 'Black Ent', '0', '45367', '0', '32764', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15255', 'Black Ent', '1', '45367', '0', '32776', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15256', 'Black Ent', '0', '45367', '0', '32781', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15257', 'Black Ent', '1', '45367', '0', '32798', '32929', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15258', 'Black Ent', '0', '45367', '0', '32805', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15259', 'Black Ent', '1', '45367', '0', '32799', '32965', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15260', 'Black Ent', '0', '45367', '0', '32788', '32985', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15261', 'Black Ent', '1', '45367', '0', '32808', '32980', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15262', 'Black Ent', '0', '45367', '0', '32814', '32966', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15263', 'Black Ent', '1', '45367', '0', '32824', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15264', 'Black Ent', '0', '45367', '0', '32828', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15265', 'Black Ent', '1', '45367', '0', '32842', '32937', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15266', 'Black Ent', '0', '45367', '0', '32845', '32951', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15267', 'Black Ent', '1', '45367', '0', '32837', '32961', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15268', 'Black Ent', '0', '45367', '0', '32851', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15269', 'Black Ent', '1', '45367', '0', '32869', '32961', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15270', 'Black Ent', '0', '45367', '0', '32883', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15271', 'Black Ent', '1', '45367', '0', '32899', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15272', 'Black Ent', '0', '45367', '0', '32909', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15273', 'Black Ent', '1', '45367', '0', '32910', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15274', 'Black Ent', '0', '45367', '0', '32912', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15275', 'Black Ent', '1', '45367', '0', '32921', '32936', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15276', 'Black Ent', '0', '45367', '0', '32918', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15277', 'Black Ent', '1', '45367', '0', '32906', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15278', 'Black Ent', '0', '45367', '0', '32899', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15279', 'Black Ent', '1', '45367', '0', '32886', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15280', 'Black Ent', '0', '45367', '0', '32887', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15281', 'Black Ent', '1', '45367', '0', '32860', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15282', 'Black Ent', '0', '45367', '0', '32862', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15283', 'Black Ent', '1', '45367', '0', '32843', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15284', 'Black Ent', '0', '45367', '0', '32847', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15285', 'Black Ent', '1', '45367', '0', '32842', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15286', 'Beast Summoner', '0', '45368', '0', '32843', '32907', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15287', 'Beast Summoner', '1', '45368', '0', '32856', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15288', 'Beast Summoner', '0', '45368', '0', '32862', '32922', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15289', 'Beast Summoner', '1', '45368', '0', '32868', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15290', 'Beast Summoner', '0', '45368', '0', '32870', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15291', 'Beast Summoner', '1', '45368', '0', '32874', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15292', 'Beast Summoner', '0', '45368', '0', '32864', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15293', 'Beast Summoner', '1', '45368', '0', '32861', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15294', 'Beast Summoner', '0', '45368', '0', '32845', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15295', 'Beast Summoner', '1', '45368', '0', '32832', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15296', 'Beast Summoner', '0', '45368', '0', '32821', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15297', 'Beast Summoner', '1', '45368', '0', '32862', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15298', 'Beast Summoner', '0', '45368', '0', '32880', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15299', 'Beast Summoner', '1', '45368', '0', '32890', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15300', 'Beast Summoner', '0', '45368', '0', '32891', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15301', 'Beast Summoner', '1', '45368', '0', '32898', '32858', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15302', 'Beast Summoner', '0', '45368', '0', '32894', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15303', 'Beast Summoner', '1', '45368', '0', '32900', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15304', 'Beast Summoner', '0', '45368', '0', '32892', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15305', 'Beast Summoner', '1', '45368', '0', '32879', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15306', 'Beast Summoner', '0', '45368', '0', '32891', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15307', 'Beast Summoner', '1', '45368', '0', '32899', '32914', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15308', 'Beast Summoner', '0', '45368', '0', '32893', '32924', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15309', 'Beast Summoner', '1', '45368', '0', '32893', '32935', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15310', 'Beast Summoner', '0', '45368', '0', '32902', '32941', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15311', 'Beast Summoner', '1', '45368', '0', '32899', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15312', 'Beast Summoner', '0', '45368', '0', '32898', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15313', 'Beast Summoner', '1', '45368', '0', '32881', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15314', 'Beast Summoner', '0', '45368', '0', '32862', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15315', 'Beast Summoner', '1', '45368', '0', '32856', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15327', 'Owlbear', '1', '45371', '0', '32661', '32867', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15328', 'Owlbear', '0', '45371', '0', '32656', '32858', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15329', 'Owlbear', '1', '45371', '0', '32694', '32864', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15330', 'Owlbear', '0', '45371', '0', '32684', '32904', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15331', 'Owlbear', '1', '45371', '0', '32705', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15332', 'Owlbear', '0', '45371', '0', '32713', '32957', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15333', 'Owlbear', '1', '45371', '0', '32779', '32934', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15334', 'Owlbear', '0', '45371', '0', '32753', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15335', 'Owlbear', '1', '45371', '0', '32823', '32955', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15336', 'Owlbear', '0', '45371', '0', '32718', '32981', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15337', 'Owlbear', '1', '45371', '0', '32690', '32945', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15338', 'Owlbear', '0', '45371', '0', '32673', '32911', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15339', 'Owlbear', '1', '45371', '0', '32732', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15340', 'Owlbear', '0', '45371', '0', '32748', '32908', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15341', 'Owlbear', '1', '45371', '0', '32739', '32917', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15342', 'Owlbear', '0', '45371', '0', '32750', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15343', 'Owlbear', '1', '45371', '0', '32718', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15344', 'Owlbear', '0', '45371', '0', '32700', '32953', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15345', 'Owlbear', '1', '45371', '0', '32657', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15346', 'Owlbear', '0', '45371', '0', '32645', '32974', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15347', 'Owlbear', '1', '45371', '0', '32674', '32991', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15348', 'Iron Golem', '1', '45372', '0', '34242', '32388', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15349', 'Iron Golem', '1', '45372', '0', '34243', '32350', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15350', 'Iron Golem', '1', '45372', '0', '34232', '32355', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15351', 'Iron Golem', '1', '45372', '0', '34217', '32386', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15352', 'Iron Golem', '1', '45372', '0', '34199', '32280', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15353', 'Iron Golem', '1', '45372', '0', '34251', '32245', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15354', 'Iron Golem', '1', '45372', '0', '34269', '32188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15355', 'Iron Golem', '1', '45372', '0', '34243', '32194', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15356', 'Iron Golem', '1', '45372', '0', '34230', '32213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15357', 'Iron Golem', '1', '45372', '0', '34204', '32193', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15358', 'Iron Golem', '1', '45372', '0', '34204', '32205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15359', 'Iron Golem', '1', '45372', '0', '34271', '32383', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15360', 'Iron Golem', '1', '45372', '0', '34158', '32190', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15361', 'Iron Golem', '1', '45372', '0', '34137', '32196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15362', 'Iron Golem', '1', '45372', '0', '34109', '32236', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15472', 'Subterranean Lizardman', '1', '45374', '0', '32771', '32905', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15473', 'Subterranean Lizardman', '2', '45374', '0', '32753', '32912', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15474', 'Subterranean Lizardman', '1', '45374', '0', '32778', '32921', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15475', 'Subterranean Lizardman', '2', '45374', '0', '32733', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15476', 'Subterranean Lizardman', '1', '45374', '0', '32731', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15477', 'Subterranean Lizardman', '2', '45374', '0', '32772', '32974', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15515', 'Lizardman', '1', '45377', '0', '32876', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15516', 'Lizardman', '0', '45377', '0', '32878', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15517', 'Lizardman', '1', '45377', '0', '32878', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15518', 'Lizardman', '0', '45377', '0', '32919', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15519', 'Lizardman', '1', '45377', '0', '32734', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15520', 'Ghast', '0', '45378', '0', '32818', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15521', 'Ghast', '1', '45378', '0', '32776', '33002', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15522', 'Ghast', '0', '45378', '0', '32694', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15523', 'Ghast', '1', '45378', '0', '32673', '32994', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15524', 'Ghast', '0', '45378', '0', '32677', '32936', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15525', 'Ghast', '1', '45378', '0', '32655', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15526', 'Ghast', '0', '45378', '0', '32663', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15527', 'Ghast', '1', '45378', '0', '32708', '32876', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15528', 'Ghast', '0', '45378', '0', '32665', '32914', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15529', 'Ghast', '1', '45378', '0', '32739', '32937', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15530', 'Ghast', '0', '45378', '0', '32741', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15531', 'Ghast', '1', '45378', '0', '32804', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15532', 'Ghast', '0', '45378', '0', '32695', '32954', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15533', 'Ghast', '1', '45378', '0', '32691', '32931', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15534', 'Ghast', '0', '45378', '0', '32720', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15535', 'Ghast', '1', '45378', '0', '32755', '32889', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15536', 'Ghast', '0', '45378', '0', '32743', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15537', 'Ghast', '1', '45378', '0', '32742', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15538', 'Ghast', '0', '45378', '0', '32695', '32915', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15539', 'Ghast', '1', '45378', '0', '32837', '32967', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15540', 'Ghast', '0', '45378', '0', '32649', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15541', 'Ghast', '1', '45378', '0', '32825', '32992', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15542', 'Ghast', '0', '45378', '0', '32744', '32891', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15543', 'Ghast', '1', '45378', '0', '32833', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15544', 'Ghast', '1', '45378', '0', '32788', '33019', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15701', 'Basilisk', '1', '45381', '0', '32809', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15702', 'Basilisk', '1', '45381', '0', '32787', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15703', 'Basilisk', '1', '45381', '0', '32847', '33302', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15704', 'Basilisk', '1', '45381', '0', '32714', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15705', 'Basilisk', '1', '45381', '0', '32841', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15706', 'Basilisk', '1', '45381', '0', '32790', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15707', 'Basilisk', '1', '45381', '0', '32873', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15708', 'Basilisk', '1', '45381', '0', '32930', '33247', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('15709', 'Subterranean Scormystic', '2', '45382', '0', '32730', '32863', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15710', 'Subterranean Scormystic', '1', '45382', '0', '32764', '32888', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15711', 'Subterranean Scormystic', '2', '45382', '0', '32745', '32924', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15712', 'Subterranean Scormystic', '1', '45382', '0', '32791', '32937', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15713', 'Subterranean Scormystic', '2', '45382', '0', '32743', '32923', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15714', 'Subterranean Scormystic', '1', '45382', '0', '32785', '32985', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15715', 'Subterranean Scormystic', '2', '45382', '0', '32757', '33049', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15716', 'Subterranean Scormystic', '1', '45382', '0', '32757', '33064', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15717', 'Subterranean Scormystic', '2', '45382', '0', '32734', '32950', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15718', 'Subterranean Scorpaitan', '1', '45383', '0', '32786', '32896', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15719', 'Subterranean Scorpaitan', '2', '45383', '0', '32735', '32870', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15720', 'Subterranean Scorpaitan', '1', '45383', '0', '32762', '32878', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15721', 'Subterranean Scorpaitan', '2', '45383', '0', '32788', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15722', 'Subterranean Scorpaitan', '1', '45383', '0', '32765', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15723', 'Subterranean Scorpaitan', '2', '45383', '0', '32778', '32990', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15724', 'Subterranean Scorpaitan', '1', '45383', '0', '32790', '32999', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15725', 'Subterranean Scorpaitan', '2', '45383', '0', '32744', '33033', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15726', 'Subterranean Scorpaitan', '1', '45383', '0', '32746', '32983', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15947', 'Ramia', '1', '45387', '0', '32838', '32895', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15948', 'Ramia', '0', '45387', '0', '32873', '32894', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15949', 'Ramia', '1', '45387', '0', '32887', '32922', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15950', 'Ramia', '0', '45387', '0', '32903', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15951', 'Ramia', '1', '45387', '0', '32844', '32945', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15952', 'Ramia', '0', '45387', '0', '32858', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15953', 'Ramia', '1', '45387', '0', '32857', '32906', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15954', 'Ramia', '0', '45387', '0', '32925', '32885', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15955', 'Ramia', '1', '45387', '0', '32922', '32905', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15956', 'Ramia', '0', '45387', '0', '32918', '32916', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15957', 'Ramia', '1', '45387', '0', '32902', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15958', 'Ramia', '0', '45387', '0', '32895', '32857', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15959', 'Ramia', '1', '45387', '0', '32867', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15960', 'Ramia', '0', '45387', '0', '32902', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15961', 'Ramia', '1', '45387', '0', '32931', '32852', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15962', 'Ramia', '0', '45387', '0', '32926', '32859', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15963', 'Ramia', '1', '45387', '0', '32929', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15964', 'Ramia', '0', '45387', '0', '32949', '32875', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15965', 'Ramia', '1', '45387', '0', '32949', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15966', 'Ramia', '0', '45387', '0', '32944', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15967', 'Ramia', '1', '45387', '0', '32920', '32803', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15968', 'Ramia', '0', '45387', '0', '32925', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15969', 'Ramia', '1', '45387', '0', '32933', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15970', 'Ramia', '0', '45387', '0', '32948', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15971', 'Ramia', '1', '45387', '0', '32957', '32763', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15972', 'Ramia', '0', '45387', '0', '32884', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15973', 'Ramia', '1', '45387', '0', '32863', '32816', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15974', 'Ramia', '0', '45387', '0', '32952', '32793', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15975', 'Ramia', '1', '45387', '0', '32907', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15976', 'Ramia', '0', '45387', '0', '32910', '32799', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15977', 'Ramia', '1', '45387', '0', '32875', '32818', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15978', 'Ramia', '0', '45387', '0', '32878', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15979', 'Ramia', '1', '45387', '0', '32886', '32980', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15980', 'Ramia', '0', '45387', '0', '32875', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15981', 'Ramia', '1', '45387', '0', '32836', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15982', 'Ramia', '0', '45387', '0', '32833', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15983', 'Ramia', '1', '45387', '0', '32837', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15984', 'Ramia', '0', '45387', '0', '32838', '32977', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15985', 'Ramia', '1', '45387', '0', '32831', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15986', 'Ramia', '0', '45387', '0', '32859', '32986', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15987', 'Ramia', '1', '45387', '0', '32881', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15988', 'Ramia', '0', '45387', '0', '32870', '32801', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15989', 'Ramia', '1', '45387', '0', '32889', '32863', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15990', 'Ramia', '0', '45387', '0', '32895', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15991', 'Ramia', '1', '45387', '0', '32855', '32920', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15992', 'Ramia', '0', '45387', '0', '32890', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15993', 'Ramia', '1', '45387', '0', '32900', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15994', 'Ramia', '0', '45387', '0', '32934', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15995', 'Ramia', '1', '45387', '0', '32831', '32890', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15996', 'Ramia', '0', '45387', '0', '32728', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15997', 'Ramia', '1', '45387', '0', '32823', '33010', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15998', 'Lycanthrope', '0', '45389', '0', '32759', '32873', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('15999', 'Lycanthrope', '1', '45389', '0', '32719', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16000', 'Lycanthrope', '0', '45389', '0', '32675', '32896', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16001', 'Lycanthrope', '1', '45389', '0', '32728', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16002', 'Lycanthrope', '0', '45389', '0', '32779', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16003', 'Minotaur', '1', '45390', '0', '32707', '32736', '5', '5', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16004', 'Minotaur', '0', '45390', '0', '32733', '32734', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16005', 'Minotaur', '1', '45390', '0', '32721', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16006', 'Minotaur', '0', '45390', '0', '32710', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16007', 'Minotaur', '1', '45390', '0', '32695', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16008', 'Minotaur', '0', '45390', '0', '32679', '32769', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16009', 'Minotaur', '1', '45390', '0', '32657', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16010', 'Minotaur', '0', '45390', '0', '32643', '32782', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16011', 'Minotaur', '1', '45390', '0', '32636', '32740', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16012', 'Minotaur', '0', '45390', '0', '32642', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16013', 'Minotaur', '1', '45390', '0', '32641', '32717', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16014', 'Minotaur', '0', '45390', '0', '32653', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16015', 'Minotaur', '1', '45390', '0', '32668', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16016', 'Minotaur', '0', '45390', '0', '32672', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16017', 'Minotaur', '1', '45390', '0', '32683', '32725', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16018', 'Minotaur', '0', '45390', '0', '32686', '32742', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16019', 'Minotaur', '1', '45390', '0', '32669', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16020', 'Minotaur', '0', '45390', '0', '32665', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16021', 'Minotaur', '1', '45390', '0', '32695', '32744', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16022', 'Minotaur', '0', '45390', '0', '32697', '32734', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16023', 'Minotaur', '1', '45390', '0', '32714', '32729', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16024', 'Minotaur', '0', '45390', '0', '32715', '32713', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16025', 'Minotaur', '1', '45390', '0', '32733', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16026', 'Minotaur', '0', '45390', '0', '32714', '32723', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16050', 'Bugbear', '0', '45392', '0', '32769', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16051', 'Bugbear', '1', '45392', '0', '32781', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16052', 'Bugbear', '0', '45392', '0', '32804', '32706', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16053', 'Bugbear', '1', '45392', '0', '32812', '32701', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16054', 'Bugbear', '0', '45392', '0', '32841', '32714', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16055', 'Bugbear', '1', '45392', '0', '32844', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16056', 'Bugbear', '0', '45392', '0', '32837', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16057', 'Bugbear', '1', '45392', '0', '32822', '32725', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16058', 'Bugbear', '0', '45392', '0', '32799', '32721', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16059', 'Bugbear', '1', '45392', '0', '32783', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16060', 'Bugbear', '0', '45392', '0', '32782', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16061', 'Bugbear', '1', '45392', '0', '32757', '32747', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16062', 'Bugbear', '0', '45392', '0', '32779', '32756', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16063', 'Bugbear', '1', '45392', '0', '32808', '32755', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16064', 'Bugbear', '0', '45392', '0', '32809', '32763', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16065', 'Bugbear', '1', '45392', '0', '32818', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16066', 'Bugbear', '0', '45392', '0', '32826', '32739', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16067', 'Bugbear', '1', '45392', '0', '32850', '32738', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16068', 'Bugbear', '0', '45392', '0', '32847', '32747', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16069', 'Bugbear', '1', '45392', '0', '32832', '32754', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16070', 'Bugbear', '0', '45392', '0', '32822', '32759', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16071', 'Bugbear', '1', '45392', '0', '32832', '32767', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16072', 'Bugbear', '0', '45392', '0', '32850', '32767', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16073', 'Bugbear', '1', '45392', '0', '32856', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16074', 'Bugbear', '0', '45392', '0', '32882', '32728', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16075', 'Bugbear', '1', '45392', '0', '32889', '32708', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16076', 'Bugbear', '0', '45392', '0', '32855', '32717', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16077', 'Bugbear', '1', '45392', '0', '32844', '32782', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16078', 'Bugbear', '0', '45392', '0', '32946', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16079', 'Bugbear', '1', '45392', '0', '32907', '32771', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16080', 'Bugbear', '0', '45392', '0', '32922', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16081', 'Bugbear', '1', '45392', '0', '32883', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16082', 'Bugbear', '0', '45392', '0', '32872', '32728', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16083', 'Bugbear', '1', '45392', '0', '32809', '32746', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16084', 'Bugbear', '0', '45392', '0', '32787', '32759', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16085', 'Bugbear', '1', '45392', '0', '32806', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16086', 'Bugbear', '0', '45392', '0', '32821', '32766', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16087', 'Bugbear', '1', '45392', '0', '32948', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16088', 'Bugbear', '0', '45392', '0', '32946', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16484', 'Dire Wolf', '0', '45237', '0', '32550', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16485', 'Dire Wolf', '0', '45237', '0', '32568', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16486', 'Dire Wolf', '0', '45237', '0', '32575', '32806', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16487', 'Dire Wolf', '0', '45237', '0', '32590', '32800', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16488', 'Dire Wolf', '0', '45237', '0', '32606', '32796', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16489', 'Dark Elf Ranger', '0', '45397', '0', '32694', '32798', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16490', 'Dark Elf Ranger', '0', '45397', '0', '32684', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16491', 'Dark Elf Ranger', '0', '45397', '0', '32679', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16492', 'Dark Elf Ranger', '0', '45397', '0', '32667', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16493', 'Dark Elf Ranger', '0', '45397', '0', '32661', '32799', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16494', 'Dark Elf Ranger', '0', '45397', '0', '32666', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16495', 'Dark Elf Ranger', '0', '45397', '0', '32677', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16496', 'Dark Elf Soldier', '0', '45398', '0', '32676', '32801', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16497', 'Dark Elf Soldier', '0', '45398', '0', '32669', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16498', 'Dark Elf Soldier', '0', '45398', '0', '32651', '32797', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16499', 'Dark Elf Soldier', '0', '45398', '0', '32655', '32802', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16500', 'Dark Elf Soldier', '0', '45398', '0', '32669', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16553', 'Arachnevil Elder', '1', '45401', '0', '32789', '32907', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16554', 'Arachnevil Elder', '0', '45401', '0', '32716', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16555', 'Arachnevil Elder', '1', '45401', '0', '32650', '32996', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16556', 'Arachnevil Elder', '0', '45401', '0', '32710', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16557', 'Arachnevil Elder', '1', '45401', '0', '32742', '32961', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('16558', 'Arachnevil Elder', '0', '45401', '0', '32740', '32918', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17000', 'Dark Elf Soldier', '0', '45404', '0', '32790', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17001', 'Dark Elf Soldier', '2', '45404', '0', '32783', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17002', 'Dark Elf Soldier', '0', '45404', '0', '32789', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17003', 'Dark Elf Soldier', '2', '45404', '0', '32760', '32917', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17004', 'Dark Elf Soldier', '0', '45404', '0', '32791', '32806', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17005', 'Dark Elf Soldier', '2', '45404', '0', '32798', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17006', 'Dark Elf Soldier', '0', '45404', '0', '32793', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17007', 'Dark Elf Soldier', '2', '45404', '0', '32849', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17008', 'Dark Elf Soldier', '0', '45404', '0', '32840', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17009', 'Dark Elf Soldier', '2', '45404', '0', '32883', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17010', 'Dark Elf Soldier', '0', '45404', '0', '32940', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17011', 'Dark Elf Soldier', '2', '45404', '0', '32892', '32929', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17012', 'Dark Elf Soldier', '0', '45404', '0', '32936', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17013', 'Dark Elf Soldier', '2', '45404', '0', '32904', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17014', 'Dark Elf Soldier', '0', '45404', '0', '32944', '32834', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17015', 'Dark Elf Soldier', '2', '45404', '0', '32947', '32838', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17016', 'Dark Elf Soldier', '0', '45404', '0', '32971', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17017', 'Dark Elf Soldier', '2', '45404', '0', '32990', '32821', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17018', 'Dark Elf Soldier', '0', '45404', '0', '32987', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17019', 'Dark Elf Soldier', '2', '45404', '0', '32984', '32875', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17020', 'Dark Elf Soldier', '0', '45404', '0', '32998', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17021', 'Dark Elf Soldier', '2', '45404', '0', '32995', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17022', 'Dark Elf Soldier', '0', '45404', '0', '32984', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17023', 'Dark Elf Soldier', '2', '45404', '0', '32977', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17024', 'Dark Elf Soldier', '0', '45404', '0', '32976', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17025', 'Black Wizard', '1', '45405', '0', '32865', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17026', 'Black Wizard', '0', '45405', '0', '32861', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17027', 'Black Wizard', '1', '45405', '0', '32854', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17028', 'Black Wizard', '0', '45405', '0', '32862', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17029', 'Black Wizard', '1', '45405', '0', '32862', '32877', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17030', 'Black Wizard', '0', '45405', '0', '32863', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17031', 'Black Wizard', '1', '45405', '0', '32870', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17032', 'Black Wizard', '0', '45405', '0', '32882', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17033', 'Black Wizard', '1', '45405', '0', '32892', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17034', 'Black Wizard', '0', '45405', '0', '32898', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17035', 'Black Wizard', '1', '45405', '0', '32898', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17036', 'Black Wizard', '0', '45405', '0', '32897', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17037', 'Black Wizard', '1', '45405', '0', '32895', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17038', 'Black Wizard', '0', '45405', '0', '32893', '32860', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17039', 'Black Wizard', '1', '45405', '0', '32895', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17040', 'Black Wizard', '0', '45405', '0', '32895', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17041', 'Black Wizard', '1', '45405', '0', '32881', '32882', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17042', 'Black Wizard', '0', '45405', '0', '32892', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17043', 'Black Wizard', '1', '45405', '0', '32890', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17044', 'Black Wizard', '0', '45405', '0', '32890', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17045', 'Black Wizard', '1', '45405', '0', '32900', '32906', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17046', 'Black Wizard', '0', '45405', '0', '32895', '32918', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17047', 'Black Wizard', '1', '45405', '0', '32881', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17048', 'Black Wizard', '0', '45405', '0', '32893', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17049', 'Black Wizard', '1', '45405', '0', '32900', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17050', 'Black Wizard', '0', '45405', '0', '32894', '32923', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17051', 'Black Wizard', '1', '45405', '0', '32897', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17052', 'Black Wizard', '0', '45405', '0', '32901', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17053', 'Black Wizard', '1', '45405', '0', '32900', '32942', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17054', 'Black Wizard', '0', '45405', '0', '32901', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17055', 'Black Wizard', '1', '45405', '0', '32902', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17056', 'Black Wizard', '0', '45405', '0', '32901', '32945', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17057', 'Black Wizard', '1', '45405', '0', '32898', '32949', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17058', 'Black Wizard', '0', '45405', '0', '32894', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17059', 'Black Wizard', '1', '45405', '0', '32890', '32941', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17060', 'Black Wizard', '0', '45405', '0', '32890', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17061', 'Black Wizard', '1', '45405', '0', '32901', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17062', 'Black Wizard', '0', '45405', '0', '32886', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17572', 'Dark Elf Guard', '0', '45254', '0', '32688', '32803', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17573', 'Dark Elf Guard', '0', '45254', '0', '32697', '32795', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17574', 'Dark Elf Guard', '0', '45254', '0', '32710', '32785', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17575', 'Dark Elf Guard', '0', '45254', '0', '32720', '32782', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17576', 'Dark Elf Guard', '0', '45411', '0', '32737', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17577', 'Dark Elf Guard', '2', '45411', '0', '32753', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17578', 'Dark Elf Guard', '0', '45411', '0', '32750', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17579', 'Dark Elf Guard', '2', '45411', '0', '32781', '32869', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17580', 'Dark Elf Guard', '0', '45411', '0', '32807', '32847', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17581', 'Dark Elf Guard', '2', '45411', '0', '32789', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17582', 'Dark Elf Guard', '0', '45411', '0', '32859', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17583', 'Dark Elf Guard', '2', '45411', '0', '32868', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17584', 'Dark Elf Guard', '0', '45411', '0', '32896', '32881', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17585', 'Dark Elf Guard', '2', '45411', '0', '32860', '32797', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17586', 'Dark Elf Guard', '0', '45411', '0', '32868', '32805', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17587', 'Dark Elf Guard', '2', '45411', '0', '32917', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17588', 'Dark Elf Guard', '0', '45411', '0', '32936', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17589', 'Dark Elf Guard', '2', '45412', '0', '32750', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17590', 'Dark Elf Guard', '0', '45412', '0', '32757', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17591', 'Dark Elf Guard', '2', '45412', '0', '32747', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17592', 'Dark Elf Guard', '0', '45412', '0', '32778', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17593', 'Dark Elf Guard', '2', '45412', '0', '32820', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17594', 'Dark Elf Guard', '0', '45412', '0', '32793', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17595', 'Dark Elf Guard', '2', '45412', '0', '32792', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17596', 'Dark Elf Guard', '0', '45412', '0', '32863', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17597', 'Dark Elf Guard', '2', '45412', '0', '32862', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17598', 'Dark Elf Guard', '0', '45412', '0', '32884', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17599', 'Dark Elf Guard', '2', '45412', '0', '32867', '32905', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17600', 'Dark Elf Guard', '0', '45412', '0', '32941', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17601', 'Dark Elf Guard', '2', '45412', '0', '32935', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17602', 'Dark Elf Guard', '0', '45412', '0', '32876', '32822', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17603', 'Dark Elf Guard', '2', '45412', '0', '32892', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17604', 'Dark Elf Guard', '0', '45412', '0', '32910', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17605', 'Dark Elf Guard', '2', '45412', '0', '32924', '32817', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17606', 'Dark Elf Guard', '0', '45412', '0', '32911', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17607', 'Dark Elf Guard', '1', '45412', '0', '32760', '32884', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17608', 'Dark Elf Guard', '1', '45412', '0', '32744', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17609', 'Dark Elf Guard', '1', '45412', '0', '32765', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17610', 'Dark Elf Guard', '1', '45412', '0', '32806', '32813', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17611', 'Dark Elf Guard', '1', '45412', '0', '32800', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17612', 'Dark Elf Guard', '1', '45412', '0', '32785', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17613', 'Dark Elf Guard', '1', '45412', '0', '32779', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17614', 'Dark Elf Guard', '1', '45412', '0', '32764', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17615', 'Dark Elf Guard', '1', '45412', '0', '32795', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17616', 'Dark Elf Guard', '1', '45412', '0', '32796', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17617', 'Dark Elf Guard', '1', '45412', '0', '32837', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17618', 'Dark Elf Guard', '1', '45412', '0', '32866', '32814', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17619', 'Dark Elf Guard', '1', '45412', '0', '32860', '32820', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17620', 'Dark Elf Guard', '1', '45412', '0', '32855', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17621', 'Dark Elf Guard', '1', '45412', '0', '32848', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17622', 'Dark Elf Guard', '1', '45412', '0', '32864', '32844', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17623', 'Dark Elf Guard', '1', '45412', '0', '32910', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17624', 'Dark Elf Guard', '1', '45412', '0', '32909', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17625', 'Dark Elf Guard', '1', '45412', '0', '32910', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17626', 'Dark Elf Guard', '1', '45412', '0', '32892', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17627', 'Dark Elf Guard', '1', '45412', '0', '32885', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17628', 'Dark Elf Guard', '1', '45412', '0', '32889', '32840', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17629', 'Dark Elf Guard', '1', '45412', '0', '32899', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17630', 'Dark Elf Guard', '1', '45412', '0', '32908', '32801', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17631', 'Dark Elf Guard', '1', '45412', '0', '32922', '32798', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17632', 'Dark Elf Guard', '1', '45412', '0', '32957', '32802', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17633', 'Dark Elf Guard', '1', '45412', '0', '32928', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17634', 'Dark Elf Guard', '1', '45412', '0', '32929', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17635', 'Dark Elf Guard', '1', '45412', '0', '32920', '32883', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17636', 'Dark Elf Guard', '1', '45412', '0', '32946', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17637', 'Dark Elf Guard', '1', '45412', '0', '32956', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17638', 'Dark Elf Guard', '1', '45412', '0', '32944', '32835', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17639', 'Dark Elf Guard', '1', '45412', '0', '32949', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17640', 'Dark Elf Guard', '1', '45412', '0', '32952', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17641', 'Dark Elf Guard', '1', '45412', '0', '32952', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17642', 'Blue Tail', '0', '45239', '0', '32626', '33067', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17643', 'Dark Elf Beast Tamer', '0', '45414', '0', '32912', '32705', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17644', 'Dark Elf Beast Tamer', '0', '45414', '0', '32918', '32694', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17645', 'Dark Elf Beast Tamer', '0', '45414', '0', '32931', '32675', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17646', 'Dark Elf Beast Tamer', '0', '45414', '0', '32959', '32673', '4', '4', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17647', 'Fang of Earth', '1', '45416', '0', '32918', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17648', 'Fang of Earth', '1', '45416', '0', '32921', '32861', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17649', 'Fang of Earth', '1', '45416', '0', '32929', '32877', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17650', 'Fang of Earth', '1', '45416', '0', '32911', '32891', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17651', 'Fang of Earth', '1', '45416', '0', '32930', '32900', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17652', 'Fang of Earth', '1', '45416', '0', '32926', '32923', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17653', 'Fang of Earth', '1', '45416', '0', '32928', '32944', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17654', 'Fang of Earth', '1', '45416', '0', '32930', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17655', 'Fang of Earth', '1', '45416', '0', '32914', '32969', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17656', 'Fang of Earth', '1', '45416', '0', '32934', '32956', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17657', 'Fang of Earth', '1', '45416', '0', '32923', '32996', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17658', 'Fang of Earth', '1', '45416', '0', '32910', '32996', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17659', 'Fang of Earth', '1', '45416', '0', '32849', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17660', 'Fang of Earth', '1', '45416', '0', '32837', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17661', 'Fang of Earth', '1', '45416', '0', '32821', '32945', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17662', 'Fang of Earth', '1', '45416', '0', '32820', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17663', 'Fang of Earth', '1', '45416', '0', '32774', '32918', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17664', 'Fang of Earth', '1', '45416', '0', '32785', '32906', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17665', 'Fang of Earth', '1', '45416', '0', '32792', '32920', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17666', 'Fang of Earth', '1', '45416', '0', '32736', '32979', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17667', 'Fang of Wind', '1', '45418', '0', '32889', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17668', 'Fang of Wind', '1', '45418', '0', '32904', '32968', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17669', 'Fang of Wind', '1', '45418', '0', '32919', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17670', 'Fang of Wind', '1', '45418', '0', '32926', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17671', 'Fang of Wind', '1', '45418', '0', '32914', '32933', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17672', 'Fang of Wind', '1', '45418', '0', '32898', '32919', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17673', 'Fang of Wind', '1', '45418', '0', '32881', '32911', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17674', 'Fang of Wind', '1', '45418', '0', '32876', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17675', 'Fang of Wind', '1', '45418', '0', '32889', '32898', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17676', 'Fang of Wind', '1', '45418', '0', '32904', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17677', 'Fang of Wind', '1', '45418', '0', '32915', '32858', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17678', 'Fang of Wind', '1', '45418', '0', '32933', '32870', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17679', 'Fang of Wind', '1', '45418', '0', '32924', '32842', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17680', 'Fang of Wind', '1', '45418', '0', '32926', '32824', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17681', 'Fang of Wind', '1', '45418', '0', '32831', '32984', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17682', 'Fang of Wind', '1', '45418', '0', '32816', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17683', 'Fang of Wind', '1', '45418', '0', '32782', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17684', 'Fang of Wind', '1', '45418', '0', '32778', '32932', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17685', 'Fang of Wind', '1', '45418', '0', '32777', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17686', 'Fang of Wind', '1', '45418', '0', '32781', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17687', 'Fang of Wind', '1', '45418', '0', '32736', '32992', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17688', 'Fang of Wind', '1', '45418', '0', '32749', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17689', 'Fang of Glacier', '1', '45419', '0', '32922', '32845', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17690', 'Fang of Glacier', '1', '45419', '0', '32921', '32866', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17691', 'Fang of Glacier', '1', '45419', '0', '32918', '32880', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17692', 'Fang of Glacier', '1', '45419', '0', '32889', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17693', 'Fang of Glacier', '1', '45419', '0', '32901', '32911', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17694', 'Fang of Glacier', '1', '45419', '0', '32904', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17695', 'Fang of Glacier', '1', '45419', '0', '32905', '32942', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17696', 'Fang of Glacier', '1', '45419', '0', '32902', '32959', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17697', 'Fang of Glacier', '1', '45419', '0', '32843', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17698', 'Fang of Glacier', '1', '45419', '0', '32824', '32958', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17699', 'Fang of Glacier', '1', '45419', '0', '32817', '32974', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17700', 'Fang of Glacier', '1', '45419', '0', '32795', '32979', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17701', 'Fang of Glacier', '1', '45419', '0', '32800', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17702', 'Fang of Glacier', '1', '45419', '0', '32812', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17703', 'Fang of Glacier', '1', '45419', '0', '32760', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17704', 'Fang of Glacier', '1', '45419', '0', '32775', '32943', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17705', 'Fang of Glacier', '1', '45419', '0', '32745', '32991', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17706', 'Cyclops', '1', '45420', '0', '33708', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17707', 'Cyclops', '1', '45420', '0', '33725', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17708', 'Cyclops', '1', '45420', '0', '33721', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17709', 'Cyclops', '1', '45420', '0', '33713', '32994', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17710', 'Cyclops', '1', '45420', '0', '33719', '33004', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17711', 'Cyclops', '1', '45420', '0', '33728', '33010', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17712', 'Cyclops', '1', '45420', '0', '33713', '33023', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17713', 'Cyclops', '1', '45420', '0', '33729', '33036', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17714', 'Cyclops', '1', '45420', '0', '33748', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('17715', 'Subterranean Great King Turtle', '2', '45422', '0', '32773', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17716', 'Subterranean Great King Turtle', '1', '45422', '0', '32777', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17717', 'Subterranean Great King Turtle', '2', '45422', '0', '32762', '32901', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17718', 'Subterranean Great King Turtle', '1', '45422', '0', '32790', '32988', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17719', 'Subterranean Great King Turtle', '2', '45422', '0', '32785', '33048', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17720', 'Subterranean Beholder', '1', '45423', '0', '32787', '32928', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17721', 'Subterranean Beholder', '2', '45423', '0', '32794', '32952', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17722', 'Subterranean Beholder', '1', '45423', '0', '32799', '32990', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17723', 'Subterranean Beholder', '2', '45423', '0', '32796', '33015', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17724', 'Fang of Flame', '1', '45424', '0', '32894', '32964', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17725', 'Fang of Flame', '1', '45424', '0', '32880', '32984', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17726', 'Fang of Flame', '1', '45424', '0', '32905', '32989', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17727', 'Fang of Flame', '1', '45424', '0', '32846', '32974', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17728', 'Fang of Flame', '1', '45424', '0', '32817', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17729', 'Fang of Flame', '1', '45424', '0', '32822', '32959', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17730', 'Fang of Flame', '1', '45424', '0', '32769', '32963', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17731', 'Fang of Flame', '1', '45424', '0', '32761', '32952', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17732', 'Fang of Flame', '1', '45424', '0', '32753', '32971', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17733', 'Fang of Flame', '1', '45424', '0', '32745', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('17734', 'Fang of Flame', '1', '45424', '0', '32745', '32904', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18077', 'Griffon', '1', '45445', '0', '32643', '32711', '5', '5', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18078', 'Griffon', '0', '45445', '0', '32690', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18079', 'Griffon', '1', '45445', '0', '32668', '32777', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18080', 'Griffon', '0', '45445', '0', '32636', '32787', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18081', 'Griffon', '1', '45445', '0', '32643', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18082', 'Griffon', '0', '45445', '0', '32633', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18083', 'Griffon', '1', '45445', '0', '32658', '32711', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18084', 'Griffon', '0', '45445', '0', '32689', '32699', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18085', 'Griffon', '1', '45445', '0', '32679', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18086', 'Griffon', '0', '45445', '0', '32708', '32721', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18087', 'Griffon', '1', '45445', '0', '32693', '32705', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18088', 'Griffon', '0', '45445', '0', '32729', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18089', 'Griffon', '1', '45445', '0', '32725', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18090', 'Griffon', '0', '45445', '0', '32783', '32716', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18091', 'Griffon', '1', '45445', '0', '32829', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18092', 'Griffon', '0', '45445', '0', '32790', '32752', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18093', 'Griffon', '1', '45445', '0', '32845', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18094', 'Griffon', '0', '45445', '0', '32899', '32720', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18095', 'Griffon', '1', '45445', '0', '32884', '32705', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18096', 'Dark Elf Ranger', '1', '45446', '0', '32750', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18097', 'Dark Elf Ranger', '1', '45446', '0', '32743', '32829', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18098', 'Dark Elf Ranger', '1', '45446', '0', '32745', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18099', 'Dark Elf Ranger', '1', '45446', '0', '32806', '32849', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18100', 'Dark Elf Ranger', '1', '45446', '0', '32801', '32853', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18101', 'Dark Elf Ranger', '1', '45446', '0', '32805', '32904', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18102', 'Dark Elf Ranger', '1', '45446', '0', '32814', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18103', 'Dark Elf Ranger', '1', '45446', '0', '32822', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18104', 'Dark Elf Ranger', '1', '45446', '0', '32827', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18105', 'Dark Elf Ranger', '1', '45446', '0', '32828', '32811', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18106', 'Dark Elf Ranger', '1', '45446', '0', '32860', '32843', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18107', 'Dark Elf Ranger', '1', '45446', '0', '32868', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18108', 'Dark Elf Ranger', '1', '45446', '0', '32871', '32871', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18109', 'Dark Elf Ranger', '1', '45446', '0', '32893', '32828', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18110', 'Dark Elf Ranger', '1', '45446', '0', '32941', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18111', 'Dark Elf Ranger', '1', '45446', '0', '32936', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18112', 'Dark Elf Ranger', '1', '45446', '0', '32926', '32812', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18113', 'Dark Elf Ranger', '1', '45446', '0', '32931', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18114', 'Dark Elf Ranger', '1', '45446', '0', '32933', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18115', 'Dark Elf Ranger', '1', '45446', '0', '32961', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18116', 'Dark Elf Ranger', '1', '45446', '0', '32962', '32826', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18117', 'Dark Elf Wizard', '2', '45447', '0', '32786', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18118', 'Dark Elf Wizard', '0', '45447', '0', '32822', '32836', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18119', 'Dark Elf Wizard', '2', '45447', '0', '32829', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18120', 'Dark Elf Wizard', '0', '45447', '0', '32871', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18121', 'Dark Elf Wizard', '2', '45447', '0', '32859', '32911', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18122', 'Dark Elf Wizard', '0', '45447', '0', '32848', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18123', 'Dark Elf Wizard', '2', '45447', '0', '32916', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18124', 'Dark Elf Wizard', '0', '45447', '0', '32927', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18125', 'Dark Elf Wizard', '2', '45447', '0', '32910', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18126', 'Dark Elf Wizard', '0', '45447', '0', '32934', '32831', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18127', 'Dark Elf Wizard', '2', '45447', '0', '32939', '32832', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18128', 'Dark Elf Wizard', '0', '45447', '0', '32987', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18129', 'Dark Elf Wizard', '2', '45447', '0', '32975', '32842', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18130', 'Dark Elf Wizard', '0', '45447', '0', '32971', '32852', '6', '6', '0', '0', '0', '0', '0', '60', '120', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18131', 'Dark Elf Wizard', '1', '45447', '0', '32761', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18132', 'Dark Elf Wizard', '1', '45447', '0', '32752', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18133', 'Dark Elf Wizard', '1', '45447', '0', '32771', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18134', 'Dark Elf Wizard', '1', '45447', '0', '32769', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18135', 'Dark Elf Wizard', '1', '45447', '0', '32754', '32913', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18136', 'Dark Elf Wizard', '1', '45447', '0', '32787', '32916', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18137', 'Dark Elf Wizard', '1', '45447', '0', '32863', '32885', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18138', 'Dark Elf Wizard', '1', '45447', '0', '32849', '32900', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18139', 'Dark Elf Wizard', '1', '45447', '0', '32829', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18140', 'Dark Elf Wizard', '1', '45447', '0', '32828', '32903', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18141', 'Dark Elf Wizard', '1', '45447', '0', '32827', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18142', 'Dark Elf Wizard', '1', '45447', '0', '32891', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18143', 'Dark Elf Wizard', '1', '45447', '0', '32891', '32873', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18144', 'Dark Elf Wizard', '1', '45447', '0', '32924', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18145', 'Dark Elf Wizard', '1', '45447', '0', '32929', '32867', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18146', 'Dark Elf Wizard', '1', '45447', '0', '32879', '32824', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18147', 'Dark Elf Wizard', '1', '45447', '0', '32931', '32808', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18148', 'Dark Elf Wizard', '1', '45447', '0', '32931', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18149', 'Dark Elf Wizard', '1', '45447', '0', '32934', '32807', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18150', 'Dark Elf Wizard', '1', '45447', '0', '32930', '32907', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18151', 'Dark Elf Wizard', '1', '45447', '0', '32930', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18152', 'Dark Elf Wizard', '1', '45447', '0', '32931', '32909', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18153', 'Dark Elf Wizard', '1', '45447', '0', '32874', '32921', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18154', 'Dark Elf Wizard', '1', '45447', '0', '32870', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18155', 'Dark Elf Wizard', '1', '45447', '0', '33008', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18156', 'Dark Elf Wizard', '1', '45447', '0', '33019', '32888', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18157', 'Dark Elf Wizard', '1', '45447', '0', '33026', '32880', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18158', 'Dark Elf Wizard', '1', '45447', '0', '33012', '32879', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18159', 'Dark Elf Wizard', '1', '45447', '0', '33020', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18160', 'Dark Elf Wizard', '1', '45447', '0', '33030', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18161', 'Minotaur', '1', '45449', '0', '32641', '32726', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18162', 'Minotaur', '0', '45449', '0', '32676', '32708', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18163', 'Minotaur', '1', '45449', '0', '32663', '32773', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18164', 'Minotaur', '0', '45449', '0', '32691', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18193', 'Harpy', '1', '45452', '0', '32823', '32703', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18194', 'Harpy', '0', '45452', '0', '32813', '32723', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18195', 'Harpy', '1', '45452', '0', '32812', '32714', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18196', 'Harpy', '0', '45452', '0', '32774', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18197', 'Harpy', '1', '45452', '0', '32835', '32732', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18198', 'Harpy', '0', '45452', '0', '32813', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18199', 'Harpy', '1', '45452', '0', '32856', '32724', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18200', 'Harpy', '0', '45452', '0', '32905', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18201', 'Harpy', '1', '45452', '0', '32864', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18202', 'Harpy', '0', '45452', '0', '32894', '32761', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18203', 'Harpy', '1', '45452', '0', '32885', '32748', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18204', 'Harpy', '0', '45452', '0', '32912', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18205', 'Harpy', '1', '45452', '0', '32885', '32776', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18206', 'Harpy', '0', '45452', '0', '32831', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18207', 'Harpy', '1', '45452', '0', '32788', '32729', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18208', 'Harpy', '0', '45452', '0', '32649', '32757', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18209', 'Harpy', '1', '45452', '0', '32840', '32773', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18210', 'Harpy', '0', '45452', '0', '32925', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18211', 'Heavy Oum', '0', '45453', '0', '32753', '32929', '4', '4', '0', '0', '0', '0', '0', '60', '120', '310', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18212', 'Heavy Oum', '0', '45453', '0', '32750', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18213', 'Heavy Oum', '1', '45453', '0', '32761', '32868', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18214', 'Heavy Oum', '0', '45453', '0', '32758', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18215', 'Heavy Oum', '1', '45453', '0', '32730', '32886', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18216', 'Heavy Oum', '0', '45453', '0', '32750', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18217', 'Heavy Oum', '1', '45453', '0', '32772', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18218', 'Heavy Oum', '0', '45453', '0', '32766', '32848', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18219', 'Heavy Oum', '1', '45453', '0', '32788', '32859', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18220', 'Heavy Oum', '0', '45453', '0', '32802', '32864', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18221', 'Heavy Oum', '1', '45453', '0', '32825', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18222', 'Heavy Oum', '0', '45453', '0', '32839', '32876', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18223', 'Heavy Oum', '1', '45453', '0', '32832', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18224', 'Heavy Oum', '0', '45453', '0', '32847', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18225', 'Heavy Oum', '1', '45453', '0', '32863', '32925', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18226', 'Heavy Oum', '0', '45453', '0', '32886', '32927', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18227', 'Heavy Oum', '1', '45453', '0', '32885', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18228', 'Heavy Oum', '0', '45453', '0', '32895', '32891', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18229', 'Heavy Oum', '1', '45453', '0', '32899', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18230', 'Heavy Oum', '0', '45453', '0', '32890', '32901', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18231', 'Heavy Oum', '1', '45453', '0', '32895', '32910', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18232', 'Heavy Oum', '0', '45453', '0', '32900', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18233', 'Heavy Oum', '1', '45453', '0', '32887', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18234', 'Heavy Oum', '0', '45453', '0', '32900', '32851', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18235', 'Heavy Oum', '1', '45453', '0', '32903', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18236', 'Heavy Oum', '0', '45453', '0', '32902', '32861', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18237', 'Heavy Oum', '1', '45453', '0', '32897', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18238', 'Heavy Oum', '0', '45453', '0', '32896', '32862', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18239', 'Heavy Oum', '1', '45453', '0', '32889', '32856', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18240', 'Heavy Oum', '0', '45453', '0', '32872', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18241', 'Heavy Oum', '1', '45453', '0', '32865', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18242', 'Heavy Oum', '0', '45453', '0', '32833', '32908', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18243', 'Heavy Oum', '1', '45453', '0', '32842', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18244', 'Heavy Oum', '0', '45453', '0', '32858', '32953', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18245', 'Heavy Oum', '1', '45453', '0', '32871', '32975', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18246', 'Heavy Oum', '0', '45453', '0', '32888', '32960', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18247', 'Heavy Oum', '1', '45453', '0', '32901', '32942', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18248', 'Heavy Oum', '0', '45453', '0', '32902', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18249', 'Heavy Oum', '1', '45453', '0', '32904', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18250', 'Heavy Oum', '0', '45453', '0', '32909', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18251', 'Heavy Oum', '1', '45453', '0', '32914', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18252', 'Heavy Oum', '0', '45453', '0', '32917', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18253', 'Heavy Oum', '1', '45453', '0', '32918', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18254', 'Heavy Oum', '0', '45453', '0', '32924', '32932', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18255', 'Heavy Oum', '1', '45453', '0', '32914', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18256', 'Heavy Oum', '0', '45453', '0', '32905', '32939', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18257', 'Heavy Oum', '1', '45453', '0', '32900', '32946', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18258', 'Heavy Oum', '0', '45453', '0', '32900', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18259', 'Heavy Oum', '1', '45453', '0', '32912', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18260', 'Heavy Oum', '0', '45453', '0', '32916', '32938', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18261', 'Heavy Oum', '1', '45453', '0', '32905', '32897', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18262', 'Heavy Oum', '0', '45453', '0', '32911', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18263', 'Heavy Oum', '1', '45453', '0', '32913', '32899', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18264', 'Heavy Oum', '0', '45453', '0', '32916', '32902', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18265', 'Heavy Oum', '1', '45453', '0', '32919', '32895', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18266', 'Heavy Oum', '0', '45453', '0', '32914', '32890', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18267', 'Heavy Oum', '1', '45453', '0', '32916', '32893', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18268', 'Heavy Oum', '0', '45453', '0', '32910', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18269', 'Heavy Oum', '1', '45453', '0', '32921', '32887', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18270', 'Heavy Oum', '0', '45453', '0', '32922', '32898', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18271', 'Heavy Oum', '1', '45453', '0', '32918', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18272', 'Heavy Oum', '0', '45453', '0', '32900', '32896', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18273', 'Heavy Oum', '1', '45453', '0', '32860', '32894', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18274', 'Heavy Oum', '0', '45453', '0', '32836', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18275', 'Heavy Oum', '1', '45453', '0', '32824', '32931', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18276', 'Heavy Oum', '0', '45453', '0', '32814', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18277', 'Heavy Oum', '1', '45453', '0', '32800', '32952', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18278', 'Heavy Oum', '0', '45453', '0', '32797', '32940', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18279', 'Heavy Oum', '1', '45453', '0', '32784', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18280', 'Heavy Oum', '0', '45453', '0', '32764', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18281', 'Heavy Oum', '1', '45453', '0', '32748', '32928', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18282', 'Heavy Oum', '0', '45453', '0', '32744', '32943', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18283', 'Heavy Oum', '1', '45453', '0', '32756', '32955', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18284', 'Heavy Oum', '0', '45453', '0', '32799', '32964', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18285', 'Heavy Oum', '1', '45453', '0', '32819', '32969', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18286', 'Heavy Oum', '0', '45453', '0', '32824', '32984', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18287', 'Heavy Oum', '1', '45453', '0', '32833', '32993', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18288', 'Heavy Oum', '0', '45453', '0', '32846', '32975', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18289', 'Heavy Oum', '1', '45453', '0', '32861', '32950', '6', '6', '0', '0', '0', '0', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18700', 'Doppelganger', '0', '45457', '0', '32724', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18701', 'Doppelganger', '1', '45457', '0', '32657', '33008', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18702', 'Doppelganger', '0', '45457', '0', '32652', '32995', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18703', 'Doppelganger', '1', '45457', '0', '32650', '32971', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18704', 'Doppelganger', '0', '45457', '0', '32662', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18705', 'Doppelganger', '1', '45457', '0', '32653', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18706', 'Doppelganger', '0', '45457', '0', '32667', '32887', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18707', 'Doppelganger', '1', '45457', '0', '32666', '32860', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18708', 'Doppelganger', '0', '45457', '0', '32701', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18709', 'Doppelganger', '1', '45457', '0', '32707', '32908', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18710', 'Doppelganger', '0', '45457', '0', '32701', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18711', 'Doppelganger', '1', '45457', '0', '32733', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18712', 'Doppelganger', '0', '45457', '0', '32748', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18713', 'Doppelganger', '1', '45457', '0', '32770', '32928', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18714', 'Doppelganger', '0', '45457', '0', '32749', '32962', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18715', 'Doppelganger', '1', '45457', '0', '32776', '32979', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18716', 'Doppelganger', '0', '45457', '0', '32813', '32924', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18717', 'Doppelganger', '1', '45457', '0', '32812', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18718', 'Doppelganger', '0', '45457', '0', '32771', '33014', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18719', 'Doppelganger', '1', '45457', '0', '32683', '32923', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18720', 'Doppelganger', '0', '45457', '0', '32652', '32903', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18721', 'Doppelganger', '1', '45457', '0', '32743', '32896', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18722', 'Doppelganger', '0', '45457', '0', '32750', '32933', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18723', 'Doppelganger', '1', '45457', '0', '32728', '32937', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18724', 'Doppelganger', '0', '45457', '0', '32684', '32931', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18725', 'Doppelganger', '1', '45457', '0', '32759', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18726', 'Doppelganger', '0', '45457', '0', '32674', '32929', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18727', 'Doppelganger', '1', '45457', '0', '32764', '32999', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18728', 'Doppelganger', '0', '45457', '0', '32699', '32940', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18820', 'Crocodile', '0', '45469', '0', '32860', '32879', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18821', 'Crocodile', '1', '45469', '0', '32909', '32913', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18822', 'Crocodile', '0', '45469', '0', '32893', '32913', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18823', 'Crocodile', '1', '45469', '0', '32903', '32815', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18824', 'Crocodile', '0', '45469', '0', '32946', '32864', '3', '3', '0', '0', '0', '0', '0', '300', '900', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18825', 'Ghast Lord', '1', '45470', '0', '33804', '33011', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18826', 'Ghast Lord', '0', '45470', '0', '32755', '32995', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18827', 'Ghast Lord', '1', '45470', '0', '32740', '32976', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18828', 'Ghast Lord', '0', '45470', '0', '32647', '32987', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18829', 'Ghast Lord', '1', '45470', '0', '32663', '32962', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18830', 'Ghast Lord', '0', '45470', '0', '32663', '32908', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18831', 'Ghast Lord', '1', '45470', '0', '32678', '32867', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18832', 'Ghast Lord', '0', '45470', '0', '32717', '32893', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18833', 'Ghast Lord', '1', '45470', '0', '32682', '32919', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18834', 'Ghast Lord', '0', '45470', '0', '32762', '32948', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18835', 'Ghast Lord', '1', '45470', '0', '32785', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18836', 'Ghast Lord', '0', '45470', '0', '32801', '32991', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18837', 'Ghast Lord', '1', '45470', '0', '32753', '32972', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18838', 'Ghast Lord', '0', '45470', '0', '32822', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18988', 'Dark Elf General', '1', '45472', '0', '32741', '32830', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18989', 'Dark Elf General', '1', '45472', '0', '32752', '32839', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18990', 'Dark Elf General', '1', '45472', '0', '32747', '32872', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18991', 'Dark Elf General', '1', '45472', '0', '32797', '32823', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18992', 'Dark Elf General', '1', '45472', '0', '32812', '32809', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18993', 'Dark Elf General', '1', '45472', '0', '32806', '32846', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18994', 'Dark Elf General', '1', '45472', '0', '32796', '32915', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18995', 'Dark Elf General', '1', '45472', '0', '32847', '32865', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18996', 'Dark Elf General', '1', '45472', '0', '32863', '32816', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18997', 'Dark Elf General', '1', '45472', '0', '32866', '32874', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18998', 'Dark Elf General', '1', '45472', '0', '32909', '32889', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('18999', 'Dark Elf General', '1', '45472', '0', '32880', '32850', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19000', 'Dark Elf General', '1', '45472', '0', '32910', '32812', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19001', 'Dark Elf General', '1', '45472', '0', '32952', '32855', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19002', 'Dark Elf General', '1', '45472', '0', '33004', '32823', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19003', 'Dark Elf General', '1', '45472', '0', '33022', '32810', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19004', 'Dark Elf General', '1', '45472', '0', '33040', '32845', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19005', 'Dark Elf General', '1', '45472', '0', '33048', '32857', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19006', 'Dark Elf General', '1', '45472', '0', '33047', '32878', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19007', 'Dark Elf General', '1', '45472', '0', '33044', '32892', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19008', 'Dark Elf General', '1', '45472', '0', '33004', '32870', '6', '6', '0', '0', '0', '0', '0', '60', '120', '309', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19015', 'Troll', '1', '45477', '0', '32792', '32732', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19016', 'Troll', '0', '45477', '0', '32790', '32772', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19017', 'Troll', '1', '45477', '0', '32840', '32772', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19018', 'Troll', '0', '45477', '0', '32874', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19019', 'Troll', '1', '45477', '0', '32891', '32731', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19020', 'Troll', '0', '45477', '0', '32853', '32795', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19021', 'Troll', '1', '45477', '0', '32873', '32780', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19022', 'Troll', '0', '45477', '0', '32903', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19023', 'Troll', '1', '45477', '0', '32874', '32752', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19024', 'Troll', '0', '45477', '0', '32937', '32697', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19025', 'Troll', '1', '45477', '0', '32952', '32725', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19026', 'Troll', '0', '45477', '0', '32926', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19027', 'Troll', '1', '45477', '0', '32917', '32799', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19028', 'Troll', '0', '45477', '0', '32887', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19029', 'Troll', '1', '45477', '0', '32872', '32706', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19030', 'Troll', '0', '45477', '0', '32808', '32761', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19031', 'Troll', '1', '45477', '0', '32949', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19032', 'Troll', '0', '45477', '0', '32953', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19033', 'Troll', '1', '45477', '0', '32909', '32776', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19234', 'Subterranean Elekkadom', '1', '45487', '0', '32781', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19235', 'Subterranean Elekkadom', '2', '45487', '0', '32765', '32965', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19236', 'Subterranean Elekkadom', '1', '45487', '0', '32788', '33013', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19237', 'Subterranean Elekkadom', '2', '45487', '0', '32765', '33044', '5', '5', '0', '0', '0', '0', '0', '60', '120', '420', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('19244', 'Blue Tail', '0', '45239', '0', '32617', '32930', '6', '6', '0', '0', '0', '0', '0', '60', '120', '440', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20091', 'Grave Guardian', '1', '45498', '0', '32776', '32898', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20092', 'Grave Guardian', '0', '45498', '0', '32781', '32904', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20093', 'Grave Guardian', '1', '45498', '0', '32778', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20094', 'Grave Guardian', '0', '45498', '0', '32773', '32907', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20095', 'Grave Guardian', '1', '45498', '0', '32774', '32899', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20096', 'Grave Guardian', '0', '45498', '0', '32772', '32915', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20097', 'Grave Guardian', '1', '45498', '0', '32779', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20098', 'Grave Guardian', '0', '45498', '0', '32777', '32916', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20099', 'Grave Guardian', '1', '45498', '0', '32770', '32919', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20100', 'Grave Guardian', '0', '45498', '0', '32764', '32925', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20101', 'Grave Guardian', '1', '45498', '0', '32764', '32932', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20102', 'Grave Guardian', '0', '45498', '0', '32766', '32922', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20103', 'Grave Guardian', '1', '45498', '0', '32778', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20104', 'Grave Guardian', '0', '45498', '0', '32781', '32904', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20105', 'Grave Guardian', '1', '45498', '0', '32773', '32907', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20106', 'Grave Guardian', '0', '45498', '0', '32774', '32901', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20107', 'Grave Guardian', '1', '45498', '0', '32776', '32892', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20108', 'Grave Guardian', '0', '45498', '0', '32775', '32881', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20109', 'Grave Guardian', '1', '45498', '0', '32775', '32883', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20110', 'Grave Guardian', '0', '45498', '0', '32773', '32900', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20111', 'Grave Guardian', '1', '45498', '0', '32744', '32969', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20112', 'Grave Guardian', '0', '45498', '0', '32751', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20113', 'Grave Guardian', '1', '45498', '0', '32749', '32969', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20114', 'Grave Guardian', '0', '45498', '0', '32747', '32971', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20115', 'Grave Guardian', '1', '45498', '0', '32744', '32962', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20116', 'Grave Guardian', '0', '45498', '0', '32749', '32959', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20117', 'Grave Guardian', '1', '45498', '0', '32754', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20118', 'Grave Guardian', '0', '45498', '0', '32750', '32958', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20119', 'Grave Guardian', '1', '45498', '0', '32751', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20120', 'Grave Guardian', '0', '45498', '0', '32779', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20121', 'Grave Guardian', '1', '45498', '0', '32783', '32954', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20122', 'Grave Guardian', '0', '45498', '0', '32775', '32956', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20123', 'Grave Guardian', '1', '45498', '0', '32781', '32947', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20124', 'Grave Guardian', '0', '45498', '0', '32787', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20126', 'Water Spirit Master', '1', '45500', '0', '32774', '32926', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20127', 'Water Spirit Master', '1', '45500', '0', '32754', '32940', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20128', 'Water Spirit Master', '1', '45500', '0', '32754', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20129', 'Water Spirit Master', '1', '45500', '0', '32776', '32949', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20130', 'Water Spirit Master', '1', '45500', '0', '32786', '32913', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20131', 'Water Spirit Master', '1', '45500', '0', '32767', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20132', 'Abyss Ghoul', '1', '45501', '0', '32749', '32870', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20133', 'Abyss Ghoul', '1', '45501', '0', '32742', '32865', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20134', 'Abyss Ghoul', '0', '45501', '0', '32732', '32880', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20135', 'Abyss Ghoul', '1', '45501', '0', '32749', '32897', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20136', 'Abyss Ghoul', '0', '45501', '0', '32746', '32897', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20137', 'Abyss Ghoul', '1', '45501', '0', '32741', '32884', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20138', 'Abyss Ghoul', '1', '45501', '0', '32741', '32875', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20139', 'Abyss Ghoul', '1', '45501', '0', '32756', '32855', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20140', 'Abyss Ghoul', '0', '45501', '0', '32737', '32878', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20141', 'Abyss Ghoul', '1', '45501', '0', '32798', '32832', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20142', 'Abyss Ghoul', '0', '45501', '0', '32828', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20143', 'Abyss Ghoul', '1', '45501', '0', '32821', '32811', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20144', 'Abyss Ghoul', '1', '45501', '0', '32822', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20145', 'Abyss Ghoul', '1', '45501', '0', '32822', '32838', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20146', 'Abyss Ghoul', '0', '45501', '0', '32811', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20147', 'Abyss Ghoul', '1', '45501', '0', '32804', '32839', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20148', 'Abyss Ghoul', '0', '45501', '0', '32800', '32849', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20149', 'Abyss Ghoul', '1', '45501', '0', '32791', '32850', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20150', 'Abyss Ghoul', '1', '45501', '0', '32783', '32840', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20151', 'Abyss Ghoul', '1', '45501', '0', '32767', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20152', 'Abyss Ghoul', '0', '45501', '0', '32752', '32828', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20153', 'Abyss Ghoul', '1', '45501', '0', '32763', '32819', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20154', 'Abyss Ghoul', '0', '45501', '0', '32785', '32841', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20155', 'Abyss Ghoul', '1', '45501', '0', '32792', '32854', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20156', 'Abyss Ghoul', '1', '45501', '0', '32803', '32847', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20157', 'Abyss Ghoul', '1', '45501', '0', '32810', '32826', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20158', 'Abyss Ghoul', '0', '45501', '0', '32820', '32795', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20159', 'Abyss Ghoul', '1', '45501', '0', '32805', '32798', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20160', 'Abyss Ghoul', '0', '45501', '0', '32809', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20161', 'Abyss Ghoul', '1', '45501', '0', '32791', '32824', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20162', 'Abyss Archer', '1', '45502', '0', '32741', '32877', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20163', 'Abyss Archer', '1', '45502', '0', '32746', '32856', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20164', 'Abyss Archer', '0', '45502', '0', '32779', '32833', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20165', 'Abyss Archer', '1', '45502', '0', '32792', '32822', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20166', 'Abyss Archer', '0', '45502', '0', '32811', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20167', 'Abyss Archer', '1', '45502', '0', '32822', '32798', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20168', 'Abyss Archer', '1', '45502', '0', '32833', '32804', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20169', 'Abyss Archer', '1', '45502', '0', '32829', '32817', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20170', 'Abyss Archer', '0', '45502', '0', '32835', '32831', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20171', 'Abyss Archer', '1', '45502', '0', '32766', '32813', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20172', 'Abyss Archer', '0', '45502', '0', '32766', '32829', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20173', 'Abyss Archer', '1', '45502', '0', '32756', '32834', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20487', 'Ettin', '1', '45505', '0', '32896', '32915', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20488', 'Ettin', '0', '45505', '0', '32904', '32943', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20489', 'Ettin', '1', '45505', '0', '32851', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20490', 'Ettin', '0', '45505', '0', '32895', '32888', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20491', 'Ettin', '1', '45505', '0', '32914', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20492', 'Ettin', '0', '45505', '0', '32903', '32862', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20493', 'Ettin', '1', '45505', '0', '32884', '32859', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20494', 'Ettin', '0', '45505', '0', '32869', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20495', 'Ettin', '1', '45505', '0', '32931', '32842', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20496', 'Ettin', '0', '45505', '0', '32950', '32856', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20497', 'Ettin', '1', '45505', '0', '32949', '32822', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20498', 'Ettin', '0', '45505', '0', '32941', '32764', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20499', 'Ettin', '1', '45505', '0', '32924', '32767', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20500', 'Ettin', '0', '45505', '0', '32875', '32804', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20501', 'Ettin', '1', '45505', '0', '32894', '32787', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20502', 'Ettin', '0', '45505', '0', '32853', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20503', 'Ettin', '1', '45505', '0', '32836', '32985', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20504', 'Ettin', '0', '45505', '0', '32877', '32946', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20505', 'Ettin', '1', '45505', '0', '32944', '32758', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20506', 'Ettin', '0', '45505', '0', '32692', '32981', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20507', 'Ettin', '1', '45505', '0', '32807', '33008', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20711', 'Earth Spirit Master', '1', '45508', '0', '32781', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20712', 'Earth Spirit Master', '1', '45508', '0', '32755', '32932', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20713', 'Earth Spirit Master', '1', '45508', '0', '32738', '32930', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20714', 'Earth Spirit Master', '1', '45508', '0', '32748', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20715', 'Earth Spirit Master', '1', '45508', '0', '32780', '32947', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20716', 'Earth Spirit Master', '1', '45508', '0', '32771', '32970', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20717', 'Earth Spirit Master', '1', '45508', '0', '32743', '32983', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20718', 'Earth Spirit Master', '1', '45508', '0', '32737', '32993', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20719', 'Earth Spirit Master', '1', '45508', '0', '32737', '32988', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20720', 'King Bugbear', '0', '45509', '0', '32772', '32736', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20721', 'King Bugbear', '1', '45509', '0', '32793', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20722', 'King Bugbear', '0', '45509', '0', '32834', '32712', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20723', 'King Bugbear', '1', '45509', '0', '32761', '32756', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20724', 'King Bugbear', '0', '45509', '0', '32803', '32769', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20725', 'King Bugbear', '1', '45509', '0', '32840', '32750', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20726', 'King Bugbear', '0', '45509', '0', '32864', '32727', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20727', 'King Bugbear', '1', '45509', '0', '32836', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20728', 'King Bugbear', '0', '45509', '0', '32865', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20729', 'King Bugbear', '1', '45509', '0', '32881', '32762', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20730', 'King Bugbear', '0', '45509', '0', '32895', '32745', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20731', 'King Bugbear', '1', '45509', '0', '32910', '32722', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20732', 'King Bugbear', '0', '45509', '0', '32924', '32707', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20733', 'King Bugbear', '1', '45509', '0', '32940', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20734', 'King Bugbear', '0', '45509', '0', '32904', '32785', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20735', 'King Bugbear', '1', '45509', '0', '32879', '32733', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20736', 'King Bugbear', '0', '45509', '0', '32855', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20737', 'King Bugbear', '1', '45509', '0', '32836', '32718', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20738', 'King Bugbear', '0', '45509', '0', '32774', '32753', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20739', 'King Bugbear', '1', '45509', '0', '32744', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20740', 'King Bugbear', '0', '45509', '0', '32930', '32730', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20741', 'Wind Spirit Master', '1', '45510', '0', '32777', '32951', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20742', 'Wind Spirit Master', '1', '45510', '0', '32781', '32971', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20743', 'Wind Spirit Master', '1', '45510', '0', '32762', '32944', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20744', 'Wind Spirit Master', '1', '45510', '0', '32760', '32927', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20745', 'Wind Spirit Master', '1', '45510', '0', '32774', '32924', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20746', 'Wind Spirit Master', '1', '45510', '0', '32790', '32905', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20747', 'Wind Spirit Master', '1', '45510', '0', '32744', '32933', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20748', 'Fire Spirit Master', '1', '45511', '0', '32739', '32931', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20749', 'Fire Spirit Master', '1', '45511', '0', '32760', '32937', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20750', 'Fire Spirit Master', '1', '45511', '0', '32779', '32953', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20751', 'Fire Spirit Master', '1', '45511', '0', '32763', '32970', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20752', 'Fire Spirit Master', '1', '45511', '0', '32743', '32981', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20753', 'Fire Spirit Master', '1', '45511', '0', '32758', '32976', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20754', 'Fire Spirit Master', '1', '45511', '0', '32763', '32924', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('20755', 'Fire Spirit Master', '1', '45511', '0', '32787', '32911', '1', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23173', 'Grave Guardian Mage', '1', '45530', '0', '32771', '3292', '2', '14', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23174', 'Grave Guardian Mage', '0', '45530', '0', '32781', '32904', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23175', 'Grave Guardian Mage', '1', '45530', '0', '32778', '32902', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23176', 'Grave Guardian Mage', '0', '45530', '0', '32780', '32903', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23177', 'Grave Guardian Mage', '1', '45530', '0', '32772', '32907', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23178', 'Grave Guardian Mage', '0', '45530', '0', '32772', '32915', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23179', 'Grave Guardian Mage', '1', '45530', '0', '32770', '32918', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23180', 'Grave Guardian Mage', '0', '45530', '0', '32768', '32911', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23181', 'Grave Guardian Mage', '1', '45530', '0', '32769', '32898', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23182', 'Grave Guardian Mage', '0', '45530', '0', '32776', '32881', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23183', 'Grave Guardian Mage', '1', '45530', '0', '32772', '32886', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23184', 'Grave Guardian Mage', '0', '45530', '0', '32766', '32899', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23185', 'Grave Guardian Mage', '1', '45530', '0', '32782', '32919', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23186', 'Grave Guardian Mage', '0', '45530', '0', '32779', '32923', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23187', 'Grave Guardian Mage', '1', '45530', '0', '32739', '32985', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23188', 'Grave Guardian Mage', '0', '45530', '0', '32741', '32978', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23189', 'Grave Guardian Mage', '1', '45530', '0', '32743', '32971', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23190', 'Grave Guardian Mage', '0', '45530', '0', '32750', '32961', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23191', 'Grave Guardian Mage', '1', '45530', '0', '32751', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23192', 'Grave Guardian Mage', '0', '45530', '0', '32749', '32967', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23193', 'Grave Guardian Mage', '1', '45530', '0', '32747', '32966', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23194', 'Grave Guardian Mage', '0', '45530', '0', '32784', '32952', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23195', 'Grave Guardian Mage', '1', '45530', '0', '32787', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23196', 'Grave Guardian Mage', '0', '45530', '0', '32785', '32952', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23197', 'Grave Guardian Mage', '1', '45530', '0', '32788', '32947', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23198', 'Basilisk', '0', '45531', '0', '32674', '32909', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23199', 'Basilisk', '1', '45531', '0', '32683', '32893', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23200', 'Basilisk', '0', '45531', '0', '32702', '32899', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23201', 'Basilisk', '1', '45531', '0', '32716', '32869', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23202', 'Basilisk', '0', '45531', '0', '32678', '32851', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23203', 'Basilisk', '1', '45531', '0', '32655', '32866', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23204', 'Basilisk', '0', '45531', '0', '32658', '32973', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23393', 'Grave Guardian Knight', '1', '45537', '0', '32823', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23394', 'Grave Guardian Knight', '0', '45537', '0', '32829', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23395', 'Grave Guardian Knight', '1', '45537', '0', '32841', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23396', 'Grave Guardian Knight', '0', '45537', '0', '32842', '32951', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23397', 'Grave Guardian Knight', '1', '45537', '0', '32857', '32942', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23398', 'Grave Guardian Knight', '0', '45537', '0', '32850', '32934', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23399', 'Grave Guardian Knight', '1', '45537', '0', '32844', '32940', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23400', 'Grave Guardian Knight', '0', '45537', '0', '32841', '32950', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23401', 'Grave Guardian Knight', '1', '45537', '0', '32853', '32961', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23402', 'Grave Guardian Knight', '0', '45537', '0', '32842', '32968', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23403', 'Grave Guardian Knight', '1', '45537', '0', '32832', '32960', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23404', 'Grave Guardian Knight', '0', '45537', '0', '32825', '32954', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23405', 'Grave Guardian Knight', '1', '45537', '0', '32818', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23406', 'Grave Guardian Knight', '0', '45537', '0', '32819', '32929', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23407', 'Grave Guardian Knight', '1', '45537', '0', '32828', '32933', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23408', 'Grave Guardian Knight', '0', '45537', '0', '32822', '32913', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23409', 'Grave Guardian Knight', '1', '45537', '0', '32822', '32919', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23410', 'Grave Guardian Knight', '0', '45537', '0', '32829', '32931', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23411', 'Grave Guardian Knight', '1', '45537', '0', '32835', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23412', 'Grave Guardian Knight', '0', '45537', '0', '32840', '32939', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23413', 'Grave Guardian Knight', '1', '45537', '0', '32841', '32943', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23414', 'Grave Guardian Knight', '0', '45537', '0', '32839', '32949', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23415', 'Grave Guardian Knight', '1', '45537', '0', '32834', '32956', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23416', 'Grave Guardian Knight', '0', '45537', '0', '32821', '32957', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23417', 'Grave Guardian Knight', '1', '45537', '0', '32774', '32994', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23418', 'Grave Guardian Knight', '0', '45537', '0', '32770', '32998', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23419', 'Grave Guardian Knight', '1', '45537', '0', '32767', '32994', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23420', 'Grave Guardian Knight', '0', '45537', '0', '32768', '32998', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23421', 'Grave Guardian Knight', '1', '45537', '0', '32768', '33000', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23422', 'Grave Guardian Knight', '0', '45537', '0', '32768', '33001', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23423', 'Grave Guardian Knight', '1', '45537', '0', '32764', '32997', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23424', 'Grave Guardian Knight', '0', '45537', '0', '32775', '33002', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23425', 'Grave Guardian Knight', '1', '45537', '0', '32770', '32990', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23426', 'Cyclops', '0', '45538', '0', '32895', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23427', 'Cyclops', '1', '45538', '0', '32854', '32953', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23428', 'Cyclops', '0', '45538', '0', '32932', '32901', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23429', 'Cyclops', '1', '45538', '0', '32859', '32856', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23430', 'Cyclops', '0', '45538', '0', '32912', '32844', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23431', 'Cyclops', '1', '45538', '0', '32933', '32823', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23432', 'Cyclops', '0', '45538', '0', '32952', '32774', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23433', 'Cyclops', '1', '45538', '0', '32860', '32912', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23434', 'Cyclops', '0', '45538', '0', '32947', '32881', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23435', 'Cyclops', '1', '45538', '0', '32951', '32792', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23436', 'Cyclops', '0', '45538', '0', '32743', '32997', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23437', 'Thing', '1', '45539', '0', '32774', '32828', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23438', 'Thing', '0', '45539', '0', '32804', '32839', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23439', 'Thing', '1', '45539', '0', '32825', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23440', 'Thing', '0', '45539', '0', '32823', '32807', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23441', 'Thing', '1', '45539', '0', '32802', '32802', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23442', 'Thing', '1', '45539', '0', '32792', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23443', 'Thing', '1', '45539', '0', '32775', '32828', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('23444', 'Thing', '0', '45539', '0', '32761', '32843', '3', '3', '0', '0', '0', '0', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24437', 'Drake', '1', '45578', '0', '32705', '32745', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24438', 'Drake', '1', '45578', '0', '32673', '32760', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24439', 'Drake', '1', '45578', '0', '32640', '32790', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24440', 'Drake', '1', '45578', '0', '32636', '32717', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24441', 'Drake', '1', '45578', '0', '32678', '32702', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24442', 'Drake', '1', '45578', '0', '32683', '32741', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24443', 'Drake', '1', '45578', '0', '32822', '32769', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24444', 'Drake', '1', '45578', '0', '32797', '32740', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24445', 'Drake', '1', '45578', '0', '32826', '32711', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24446', 'Drake', '1', '45578', '0', '32698', '32965', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24447', 'Drake', '1', '45578', '0', '32820', '32999', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24448', 'Drake', '1', '45578', '0', '32679', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24449', 'Drake', '1', '45578', '0', '32687', '32938', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24450', 'Drake', '1', '45578', '0', '32697', '32872', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('24451', 'Drake', '1', '45578', '0', '32758', '32950', '3', '3', '0', '0', '0', '0', '0', '60', '120', '70', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25371', 'Large Grave Guardian', '1', '45603', '0', '32830', '32950', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25372', 'Large Grave Guardian', '0', '45603', '0', '32838', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25373', 'Large Grave Guardian', '1', '45603', '0', '32854', '32947', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25374', 'Large Grave Guardian', '0', '45603', '0', '32849', '32937', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25375', 'Large Grave Guardian', '1', '45603', '0', '32829', '32932', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25376', 'Large Grave Guardian', '0', '45603', '0', '32829', '32940', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25377', 'Large Grave Guardian', '1', '45603', '0', '32833', '32953', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25378', 'Large Grave Guardian', '0', '45603', '0', '32824', '32946', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25379', 'Large Grave Guardian', '1', '45603', '0', '32825', '32941', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25380', 'Large Grave Guardian', '0', '45603', '0', '32833', '32939', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25381', 'Large Grave Guardian', '1', '45603', '0', '32831', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25382', 'Large Grave Guardian', '0', '45603', '0', '32827', '32959', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25383', 'Large Grave Guardian', '1', '45603', '0', '32832', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25384', 'Large Grave Guardian', '0', '45603', '0', '32817', '32964', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25385', 'Large Grave Guardian', '1', '45603', '0', '32821', '32955', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25386', 'Large Grave Guardian', '0', '45603', '0', '32820', '32945', '5', '5', '0', '0', '0', '0', '0', '60', '120', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26536', 'Frog', '1', '45005', '0', '33605', '33214', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26545', 'Wicked Yeti', '1', '81043', '0', '34008', '32193', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26546', 'Orc Elder', '2', '45119', '0', '32629', '32809', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26547', 'Orc Elder', '2', '45119', '0', '32641', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26548', 'Orc Elder', '2', '45119', '0', '32676', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26549', 'Orc Elder', '2', '45119', '0', '32650', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26550', 'Orc Elder', '2', '45119', '0', '32680', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26551', 'Orc Elder', '2', '45119', '0', '32661', '32853', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26552', 'Doppelganger', '2', '81069', '0', '33767', '33236', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26553', 'Black Knight Search Party', '2', '81066', '1', '32913', '32912', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26554', 'Black Knight Search Party', '2', '81066', '1', '32886', '32907', '3', '3', '0', '0', '0', '0', '3', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26555', 'Black Knight Search Party', '2', '81066', '1', '32848', '32899', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26556', 'Black Knight Search Party', '2', '81066', '1', '32814', '32907', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26557', 'Black Knight Search Party', '2', '81066', '1', '32781', '32949', '3', '3', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26558', 'Black Knight Search Party', '2', '81066', '1', '32915', '32947', '3', '3', '0', '0', '0', '0', '6', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26560', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32687', '32792', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26561', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32679', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26562', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32667', '32791', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26563', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32671', '32805', '3', '3', '0', '0', '0', '0', '3', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26564', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32681', '32798', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26565', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32693', '32814', '3', '3', '0', '0', '0', '0', '0', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26566', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32696', '32807', '3', '3', '0', '0', '0', '0', '3', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26567', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32717', '32800', '3', '3', '0', '0', '0', '0', '4', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26568', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32719', '32808', '3', '3', '0', '0', '0', '0', '1', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26569', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32726', '32812', '3', '3', '0', '0', '0', '0', '7', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26570', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32736', '32795', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26571', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32738', '32795', '3', '3', '0', '0', '0', '0', '4', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26572', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32735', '32796', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26573', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32732', '32793', '3', '3', '0', '0', '0', '0', '3', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26574', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32731', '32800', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26575', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32738', '32803', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26576', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32743', '32804', '3', '3', '0', '0', '0', '0', '5', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26577', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32742', '32794', '3', '3', '0', '0', '0', '0', '0', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26578', 'Mutant Giant Soldier Ant', '1', '45199', '0', '32738', '32789', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26579', 'Mutant Giant Queen Ant', '1', '45342', '0', '32742', '32797', '3', '3', '0', '0', '0', '0', '6', '60', '120', '217', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26626', 'Giant Guardian', '1', '45302', '0', '34248', '33363', '3', '3', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26627', 'Darkmar', '1', '45343', '0', '32740', '32793', '3', '3', '0', '0', '0', '0', '5', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26628', 'Spirit of Fire', '1', '45303', '0', '32733', '32792', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26629', 'Spirit of Fire', '0', '45303', '0', '32744', '32806', '3', '3', '0', '0', '0', '0', '7', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26630', 'Spirit of Fire', '1', '45303', '0', '32740', '32805', '3', '3', '0', '0', '0', '0', '0', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26631', 'Spirit of Fire', '0', '45303', '0', '32732', '32806', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26632', 'Spirit of Water', '1', '45304', '0', '32739', '32802', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26633', 'Spirit of Water', '0', '45304', '0', '32729', '32800', '3', '3', '0', '0', '0', '0', '1', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26634', 'Spirit of Water', '1', '45304', '0', '32735', '32795', '3', '3', '0', '0', '0', '0', '6', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26635', 'Spirit of Water', '0', '45304', '0', '32730', '32807', '3', '3', '0', '0', '0', '0', '5', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26636', 'Spirit of Wind', '1', '45305', '0', '32724', '32804', '3', '3', '0', '0', '0', '0', '6', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26637', 'Spirit of Wind', '0', '45305', '0', '32739', '32788', '3', '3', '0', '0', '0', '0', '0', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26638', 'Spirit of Wind', '1', '45305', '0', '32744', '32790', '3', '3', '0', '0', '0', '0', '6', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26639', 'Spirit of Wind', '0', '45305', '0', '32739', '32801', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26640', 'Spirit of Earth', '1', '45306', '0', '32728', '32807', '3', '3', '0', '0', '0', '0', '3', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26641', 'Spirit of Earth', '0', '45306', '0', '32725', '32793', '3', '3', '0', '0', '0', '0', '5', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26642', 'Spirit of Earth', '1', '45306', '0', '32742', '32807', '3', '3', '0', '0', '0', '0', '4', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26643', 'Spirit of Earth', '0', '45306', '0', '32730', '32810', '3', '3', '0', '0', '0', '0', '0', '60', '120', '213', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26647', 'Sin of Sepia', '2', '45301', '0', '32731', '32867', '3', '3', '0', '0', '0', '0', '1', '60', '120', '302', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26648', 'Zombie', '1', '81108', '0', '32814', '32864', '3', '3', '0', '0', '0', '0', '6', '60', '120', '201', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26649', 'Skeleton', '1', '81109', '0', '32809', '32926', '3', '3', '0', '0', '0', '0', '4', '60', '120', '201', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26650', 'Betrayer of Undead', '1', '45344', '0', '32923', '32796', '3', '3', '0', '0', '0', '0', '0', '60', '120', '201', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26653', 'Corrupt Guard', '1', '45292', '0', '32647', '32300', '5', '5', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26654', 'Killer Rabbit', '2', '45049', '0', '33044', '33318', '4', '4', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26656', 'jack-o-lantern', '1200', '45166', '0', '33343', '32767', '959', '767', '32384', '32000', '34303', '33535', '7', '100', '200', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26657', 'jack-o-lantern', '1000', '45167', '0', '33343', '32767', '959', '767', '32384', '32000', '34303', '33535', '7', '100', '200', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26983', 'Spirit of Ancient Person', '1', '45699', '0', '32861', '32995', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26984', 'Spirit of Ancient Person', '1', '45700', '0', '32847', '32996', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26985', 'Spirit of Ancient Person', '1', '45699', '0', '32835', '33002', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26986', 'Spirit of Ancient Person', '1', '45700', '0', '32813', '32998', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26987', 'Spirit of Ancient Person', '1', '45699', '0', '32794', '33001', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26988', 'Spirit of Ancient Person', '1', '45700', '0', '32773', '33003', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26989', 'Spirit of Ancient Person', '1', '45699', '0', '32755', '33003', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26990', 'Spirit of Ancient Person', '1', '45699', '0', '32860', '32987', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26991', 'Spirit of Ancient Person', '1', '45700', '0', '32849', '32983', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26992', 'Spirit of Ancient Person', '1', '45699', '0', '32834', '32983', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26993', 'Spirit of Ancient Person', '1', '45700', '0', '32815', '32987', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26994', 'Spirit of Ancient Person', '1', '45699', '0', '32793', '32984', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26995', 'Spirit of Ancient Person', '1', '45700', '0', '32773', '32982', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26996', 'Spirit of Ancient Person', '1', '45699', '0', '32765', '32980', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26997', 'Spirit of Ancient Person', '1', '45699', '0', '32742', '32868', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26998', 'Spirit of Ancient Person', '1', '45700', '0', '32742', '32894', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26999', 'Spirit of Ancient Person', '1', '45699', '0', '32747', '32912', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27000', 'Spirit of Ancient Person', '1', '45700', '0', '32741', '32932', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27001', 'Spirit of Ancient Person', '1', '45699', '0', '32741', '32941', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27002', 'Spirit of Ancient Person', '1', '45700', '0', '32747', '32953', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27003', 'Spirit of Ancient Person', '1', '45699', '0', '32746', '32970', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27004', 'Spirit of Ancient Person', '1', '45699', '0', '32731', '32868', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27005', 'Spirit of Ancient Person', '1', '45700', '0', '32730', '32893', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27006', 'Spirit of Ancient Person', '1', '45699', '0', '32721', '32905', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27007', 'Spirit of Ancient Person', '1', '45700', '0', '32726', '32922', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27008', 'Spirit of Ancient Person', '1', '45699', '0', '32731', '32937', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27009', 'Spirit of Ancient Person', '1', '45700', '0', '32722', '32944', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27010', 'Spirit of Ancient Person', '1', '45699', '0', '32721', '32962', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27011', 'Spirit of Ancient Person', '1', '45698', '0', '32727', '32984', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27012', 'Spirit of Ancient Person', '1', '45698', '0', '32725', '32990', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27013', 'Spirit of Ancient Person', '1', '45698', '0', '32726', '32999', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27014', 'Spirit of Ancient Person', '1', '45698', '0', '32736', '32998', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27015', 'Spirit of Ancient Person', '1', '45698', '0', '32744', '32999', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27016', 'Spirit of Ancient Person', '1', '45698', '0', '32742', '32990', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27017', 'Spirit of Ancient Person', '1', '45698', '0', '32743', '32983', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27018', 'Spirit of Ancient Person', '1', '45698', '0', '32736', '32981', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27019', 'Spirit of Ancient Person', '1', '45698', '0', '32735', '32989', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27020', 'Spirit of Ancient Person', '1', '45698', '0', '32733', '32993', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27021', 'Spirit of Ancient Person', '1', '45698', '0', '32738', '32992', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27022', 'Spirit of Ancient Person', '1', '45699', '0', '32741', '32997', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27023', 'Spirit of Ancient Person', '1', '45699', '0', '32742', '32987', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27024', 'Spirit of Ancient Person', '1', '45699', '0', '32740', '32985', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27025', 'Spirit of Ancient Person', '1', '45699', '0', '32729', '32985', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2000', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27026', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32739', '32876', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27027', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32739', '32876', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27028', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32736', '32875', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27029', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32725', '32875', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27030', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32725', '32858', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27031', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32724', '32850', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27032', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32735', '32832', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27033', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32734', '32827', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27034', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32809', '32794', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27035', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32808', '32793', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27036', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32802', '32794', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27037', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32795', '32793', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27038', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32790', '32801', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27039', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32789', '32808', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27040', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32781', '32810', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27041', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32775', '32805', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27042', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32776', '32801', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27043', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32768', '32800', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27044', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32743', '32780', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27045', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32744', '32760', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27046', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32736', '32761', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27047', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32731', '32772', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27048', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32732', '32753', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27049', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32734', '32741', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27050', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32741', '32743', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27051', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32741', '32732', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27052', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32742', '32731', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27053', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32742', '32727', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27054', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32741', '32723', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27055', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32663', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27056', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32670', '32808', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27057', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32677', '32808', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27058', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32680', '32800', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27059', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32680', '32793', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27060', 'Spirit of Enraged Ancient Person', '1', '45703', '0', '32688', '32790', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27061', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32693', '32797', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27062', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32693', '32803', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27063', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32698', '32810', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27064', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32709', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27065', 'Spirit of Enraged Ancient Person', '1', '45701', '0', '32715', '32805', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27066', 'Spirit of Enraged Ancient Person', '1', '45704', '0', '32706', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27067', 'Spirit of Enraged Ancient Person', '1', '45702', '0', '32697', '32809', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2001', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27068', 'Creation of Varlok', '1', '45705', '0', '32761', '32837', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27069', 'Creation of Varlok', '1', '45705', '0', '32764', '32847', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27070', 'Creation of Varlok', '1', '45705', '0', '32773', '32835', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27071', 'Creation of Varlok', '1', '45705', '0', '32785', '32818', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27072', 'Creation of Varlok', '1', '45705', '0', '32771', '32812', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27073', 'Creation of Varlok', '1', '45705', '0', '32762', '32814', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27074', 'Creation of Varlok', '1', '45705', '0', '32741', '32813', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27075', 'Creation of Varlok', '1', '45705', '0', '32735', '32834', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27076', 'Creation of Varlok', '1', '45705', '0', '32740', '32869', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27077', 'Creation of Varlok', '1', '45705', '0', '32781', '32863', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27078', 'Creation of Varlok', '1', '45705', '0', '32796', '32830', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27079', 'Creation of Varlok', '1', '45705', '0', '32797', '32794', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27080', 'Creation of Varlok', '1', '45705', '0', '32752', '32800', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27081', 'Creation of Varlok', '1', '45706', '0', '32766', '32821', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27082', 'Creation of Varlok', '1', '45706', '0', '32784', '32811', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27083', 'Creation of Varlok', '1', '45706', '0', '32771', '32846', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27084', 'Creation of Varlok', '1', '45706', '0', '32769', '32807', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27085', 'Creation of Varlok', '1', '45706', '0', '32731', '32812', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27086', 'Creation of Varlok', '1', '45706', '0', '32738', '32829', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27087', 'Creation of Varlok', '1', '45706', '0', '32735', '32856', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27088', 'Creation of Varlok', '1', '45706', '0', '32758', '32868', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27089', 'Creation of Varlok', '1', '45706', '0', '32778', '32871', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27090', 'Creation of Varlok', '1', '45706', '0', '32790', '32850', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27091', 'Creation of Varlok', '1', '45706', '0', '32806', '32809', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27092', 'Creation of Varlok', '1', '45706', '0', '32763', '32794', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27093', 'Creation of Varlok', '1', '45706', '0', '32750', '32805', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27094', 'Creation of Varlok', '1', '45707', '0', '32747', '32843', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27095', 'Creation of Varlok', '1', '45707', '0', '32758', '32843', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27096', 'Creation of Varlok', '1', '45707', '0', '32777', '32830', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27097', 'Creation of Varlok', '1', '45707', '0', '32764', '32808', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27098', 'Creation of Varlok', '1', '45707', '0', '32745', '32812', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27099', 'Creation of Varlok', '1', '45707', '0', '32728', '32846', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27100', 'Creation of Varlok', '1', '45707', '0', '32729', '32872', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27101', 'Creation of Varlok', '1', '45707', '0', '32777', '32860', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27102', 'Creation of Varlok', '1', '45707', '0', '32782', '32858', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27103', 'Creation of Varlok', '1', '45707', '0', '32793', '32841', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27104', 'Creation of Varlok', '1', '45707', '0', '32792', '32793', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27105', 'Creation of Varlok', '1', '45707', '0', '32732', '32796', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27106', 'Creation of Varlok', '1', '45707', '0', '32737', '32822', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27107', 'Creation of Varlok', '1', '45708', '0', '32761', '32837', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27108', 'Creation of Varlok', '1', '45708', '0', '32751', '32847', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27109', 'Creation of Varlok', '1', '45708', '0', '32754', '32838', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27110', 'Creation of Varlok', '1', '45708', '0', '32776', '32836', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27111', 'Creation of Varlok', '1', '45708', '0', '32783', '32824', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27112', 'Creation of Varlok', '1', '45708', '0', '32763', '32808', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27113', 'Creation of Varlok', '1', '45708', '0', '32759', '32821', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27114', 'Creation of Varlok', '1', '45708', '0', '32741', '32819', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27115', 'Creation of Varlok', '1', '45708', '0', '32729', '32847', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27116', 'Creation of Varlok', '1', '45708', '0', '32746', '32869', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27117', 'Creation of Varlok', '1', '45708', '0', '32783', '32864', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27118', 'Creation of Varlok', '1', '45708', '0', '32800', '32823', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27119', 'Creation of Varlok', '1', '45708', '0', '32746', '32798', '3', '3', '0', '0', '0', '0', '5', '60', '120', '2002', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27120', 'Varlok\'s Servant', '1', '45709', '0', '32836', '32795', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2003', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27121', 'Incarnation of Varlok', '1', '45611', '0', '32873', '32834', '1', '1', '0', '0', '0', '0', '5', '60', '120', '2003', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27122', 'Salamander', '1', '45369', '0', '32719', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27123', 'Salamander', '1', '45369', '0', '32713', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27124', 'Salamander', '1', '45369', '0', '32682', '33067', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27125', 'Salamander', '1', '45369', '0', '32680', '33071', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27126', 'Salamander', '1', '45369', '0', '32719', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27127', 'Salamander', '1', '45369', '0', '32722', '33101', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27128', 'Salamander', '1', '45369', '0', '32735', '33088', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27129', 'Salamander', '1', '45369', '0', '32734', '33097', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27130', 'Salamander', '1', '45369', '0', '32741', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27131', 'Salamander', '1', '45369', '0', '32743', '33067', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27132', 'Salamander', '1', '45369', '0', '32744', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27133', 'Salamander', '1', '45369', '0', '32743', '33102', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27134', 'Salamander', '1', '45369', '0', '32729', '33129', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27135', 'Salamander', '1', '45369', '0', '32725', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27136', 'Salamander', '1', '45369', '0', '32710', '33109', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27137', 'Salamander', '1', '45369', '0', '32730', '33115', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27138', 'Salamander', '1', '45369', '0', '32696', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27139', 'Salamander', '1', '45369', '0', '32692', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27140', 'Salamander', '1', '45369', '0', '32701', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27141', 'Salamander', '1', '45369', '0', '32698', '33117', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27142', 'Salamander', '1', '45369', '0', '32668', '33128', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27143', 'Salamander', '1', '45369', '0', '32672', '33128', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27144', 'Salamander', '1', '45369', '0', '32675', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27145', 'Salamander', '1', '45369', '0', '32678', '33087', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27146', 'Salamander', '1', '45369', '0', '32676', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27147', 'Salamander', '1', '45369', '0', '32667', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27148', 'Salamander', '1', '45369', '0', '32669', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27149', 'Salamander', '1', '45369', '0', '32675', '33053', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27150', 'Salamander', '1', '45369', '0', '32707', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27151', 'Salamander', '1', '45369', '0', '32735', '33053', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27152', 'Cerberus', '1', '45476', '0', '32716', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27153', 'Cerberus', '1', '45476', '0', '32717', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27154', 'Cerberus', '1', '45476', '0', '32712', '33074', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27155', 'Cerberus', '1', '45476', '0', '32708', '33075', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27156', 'Cerberus', '1', '45476', '0', '32697', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27157', 'Cerberus', '1', '45476', '0', '32701', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27158', 'Cerberus', '1', '45476', '0', '32703', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27159', 'Cerberus', '1', '45476', '0', '32706', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27160', 'Cerberus', '1', '45476', '0', '32719', '33094', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27161', 'Cerberus', '1', '45476', '0', '32718', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27162', 'Cerberus', '1', '45476', '0', '32721', '33112', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27163', 'Cerberus', '1', '45476', '0', '32738', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27164', 'Cerberus', '1', '45476', '0', '32712', '33129', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27165', 'Cerberus', '1', '45476', '0', '32715', '33127', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27166', 'Cerberus', '1', '45476', '0', '32690', '33119', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27167', 'Cerberus', '1', '45476', '0', '32688', '33096', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27168', 'Cerberus', '1', '45476', '0', '32671', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27169', 'Cerberus', '1', '45476', '0', '32682', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27170', 'Cerberus', '1', '45476', '0', '32678', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27171', 'Cerberus', '1', '45476', '0', '32667', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27172', 'Cerberus', '1', '45476', '0', '32682', '33094', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27173', 'Cerberus', '1', '45476', '0', '32665', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27174', 'Cerberus', '1', '45476', '0', '32698', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27175', 'Cerberus', '1', '45476', '0', '32703', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27176', 'Cerberus', '1', '45476', '0', '32709', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27177', 'Cerberus', '1', '45476', '0', '32730', '33106', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27178', 'Cerberus', '1', '45476', '0', '32734', '33065', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27179', 'Cerberus', '1', '45476', '0', '32693', '33060', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27180', 'Cerberus', '1', '45476', '0', '32677', '33056', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27181', 'Cerberus', '1', '45476', '0', '32669', '33061', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27182', 'Nightmare', '1', '45385', '0', '32682', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27183', 'Nightmare', '1', '45385', '0', '32724', '33052', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27184', 'Nightmare', '1', '45385', '0', '32733', '33057', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27185', 'Nightmare', '1', '45385', '0', '32743', '33064', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27186', 'Nightmare', '1', '45385', '0', '32744', '33083', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27187', 'Nightmare', '1', '45385', '0', '32733', '33123', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27188', 'Nightmare', '1', '45385', '0', '32704', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27189', 'Nightmare', '1', '45385', '0', '32673', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27190', 'Nightmare', '1', '45385', '0', '32675', '33103', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27191', 'Nightmare', '1', '45385', '0', '32674', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27192', 'Nightmare', '1', '45385', '0', '32668', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27193', 'Nightmare', '1', '45385', '0', '32665', '33051', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27194', 'Nightmare', '1', '45385', '0', '32699', '33090', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27195', 'Nightmare', '1', '45385', '0', '32694', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27196', 'Nightmare', '1', '45385', '0', '32740', '33078', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27197', 'Succubus', '1', '45400', '0', '32687', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27198', 'Succubus', '1', '45400', '0', '32689', '33099', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27199', 'Succubus', '1', '45400', '0', '32731', '33081', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27200', 'Succubus', '1', '45400', '0', '32731', '33079', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27201', 'Succubus', '1', '45400', '0', '32736', '33054', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27202', 'Succubus', '1', '45400', '0', '32733', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27203', 'Succubus', '1', '45400', '0', '32710', '33059', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27204', 'Succubus', '1', '45400', '0', '32711', '33055', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27205', 'Succubus', '1', '45400', '0', '32677', '33068', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27206', 'Succubus', '1', '45400', '0', '32683', '33072', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27207', 'Succubus', '1', '45400', '0', '32670', '33120', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27208', 'Succubus', '1', '45400', '0', '32676', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27209', 'Succubus', '1', '45400', '0', '32720', '33121', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27210', 'Succubus', '1', '45400', '0', '32735', '33125', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27211', 'Succubus', '1', '45400', '0', '32744', '33098', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27212', 'Succubus', '1', '45400', '0', '32727', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27213', 'Succubus', '1', '45400', '0', '32725', '33111', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27214', 'Succubus', '1', '45400', '0', '32699', '33113', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27215', 'Succubus', '1', '45400', '0', '32679', '33084', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27216', 'Succubus', '1', '45400', '0', '32712', '33076', '10', '10', '0', '0', '0', '0', '0', '60', '120', '240', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27217', 'Salamander', '1', '45369', '0', '32724', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27218', 'Salamander', '1', '45369', '0', '32727', '32868', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27219', 'Salamander', '1', '45369', '0', '32744', '32854', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27220', 'Salamander', '1', '45369', '0', '32750', '32855', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27221', 'Salamander', '1', '45369', '0', '32769', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27222', 'Salamander', '1', '45369', '0', '32804', '32857', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27223', 'Salamander', '1', '45369', '0', '32790', '32862', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27224', 'Salamander', '1', '45369', '0', '32788', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27225', 'Salamander', '1', '45369', '0', '32807', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27226', 'Salamander', '1', '45369', '0', '32763', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27227', 'Salamander', '1', '45369', '0', '32734', '32892', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27228', 'Salamander', '1', '45369', '0', '32724', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27229', 'Salamander', '1', '45369', '0', '32730', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27230', 'Salamander', '1', '45369', '0', '32746', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27231', 'Salamander', '1', '45369', '0', '32760', '32913', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27232', 'Salamander', '1', '45369', '0', '32771', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27233', 'Salamander', '1', '45369', '0', '32782', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27234', 'Salamander', '1', '45369', '0', '32788', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27235', 'Salamander', '1', '45369', '0', '32801', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27236', 'Salamander', '1', '45369', '0', '32793', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27237', 'Cerberus', '1', '45476', '0', '32745', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27238', 'Cerberus', '1', '45476', '0', '32747', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27239', 'Cerberus', '1', '45476', '0', '32767', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27240', 'Cerberus', '1', '45476', '0', '32796', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27241', 'Cerberus', '1', '45476', '0', '32807', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27242', 'Cerberus', '1', '45476', '0', '32789', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27243', 'Cerberus', '1', '45476', '0', '32746', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27244', 'Cerberus', '1', '45476', '0', '32745', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27245', 'Cerberus', '1', '45476', '0', '32736', '32908', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27246', 'Cerberus', '1', '45476', '0', '32728', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27247', 'Cerberus', '1', '45476', '0', '32757', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27248', 'Cerberus', '1', '45476', '0', '32785', '32859', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27249', 'Cerberus', '1', '45476', '0', '32763', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27250', 'Cerberus', '1', '45476', '0', '32787', '32910', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27251', 'Cerberus', '1', '45476', '0', '32780', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27252', 'Cerberus', '1', '45476', '0', '32763', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27253', 'Cerberus', '1', '45476', '0', '32767', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27254', 'Cerberus', '1', '45476', '0', '32747', '32906', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27255', 'Cerberus', '1', '45476', '0', '32726', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27256', 'Cerberus', '1', '45476', '0', '32759', '32893', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27257', 'Nightmare', '1', '45385', '0', '32747', '32863', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27258', 'Nightmare', '1', '45385', '0', '32798', '32892', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27259', 'Nightmare', '1', '45385', '0', '32788', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27260', 'Nightmare', '1', '45385', '0', '32766', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27261', 'Nightmare', '1', '45385', '0', '32735', '32924', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27262', 'Nightmare', '1', '45385', '0', '32727', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27263', 'Nightmare', '1', '45385', '0', '32730', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27264', 'Nightmare', '1', '45385', '0', '32801', '32934', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27265', 'Nightmare', '1', '45385', '0', '32795', '32915', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27266', 'Nightmare', '1', '45385', '0', '32803', '32869', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27267', 'Nightmare', '1', '45385', '0', '32796', '32856', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27268', 'Nightmare', '1', '45385', '0', '32774', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27269', 'Nightmare', '1', '45385', '0', '32755', '32906', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27270', 'Nightmare', '1', '45385', '0', '32757', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27271', 'Nightmare', '1', '45385', '0', '32790', '32920', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27272', 'Succubus', '1', '45400', '0', '32770', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27273', 'Succubus', '1', '45400', '0', '32786', '32872', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27274', 'Succubus', '1', '45400', '0', '32738', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27275', 'Succubus', '1', '45400', '0', '32806', '32887', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27276', 'Succubus', '1', '45400', '0', '32780', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27277', 'Succubus', '1', '45400', '0', '32726', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27278', 'Succubus', '1', '45400', '0', '32734', '32936', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27279', 'Succubus', '1', '45400', '0', '32733', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27280', 'Succubus', '1', '45400', '0', '32804', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27281', 'Succubus', '1', '45400', '0', '32795', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27282', 'Succubus', '1', '45400', '0', '32774', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27283', 'Succubus', '1', '45400', '0', '32736', '32861', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27284', 'Succubus', '1', '45400', '0', '32730', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27285', 'Succubus', '1', '45400', '0', '32728', '32886', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27286', 'Succubus', '1', '45400', '0', '32765', '32899', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27287', 'Death', '1', '45417', '0', '32759', '32896', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27288', 'Death', '1', '45417', '0', '32759', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27289', 'Death', '1', '45417', '0', '32799', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27290', 'Death', '1', '45417', '0', '32800', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27291', 'Death', '1', '45417', '0', '32791', '32864', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27292', 'Death', '1', '45417', '0', '32792', '32865', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27293', 'Death', '1', '45417', '0', '32752', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27294', 'Death', '1', '45417', '0', '32753', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27295', 'Death', '1', '45417', '0', '32725', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27296', 'Death', '1', '45417', '0', '32726', '32901', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27297', 'Death', '1', '45417', '0', '32730', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27298', 'Death', '1', '45417', '0', '32731', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27299', 'Death', '1', '45417', '0', '32742', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27300', 'Death', '1', '45417', '0', '32740', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27301', 'Death', '1', '45417', '0', '32785', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27302', 'Death', '1', '45417', '0', '32783', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27303', 'Vampire', '1', '45499', '0', '32805', '32874', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27304', 'Vampire', '1', '45499', '0', '32745', '32870', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27305', 'Vampire', '1', '45499', '0', '32738', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27306', 'Vampire', '1', '45499', '0', '32750', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27307', 'Vampire', '1', '45499', '0', '32800', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27308', 'Vampire', '1', '45499', '0', '32727', '32912', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27309', 'Vampire', '1', '45499', '0', '32785', '32890', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27310', 'Vampire', '1', '45499', '0', '32793', '32940', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27311', 'Vampire', '1', '45499', '0', '32746', '32853', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27312', 'Vampire', '1', '45499', '0', '32725', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '241', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27313', 'Cerberus', '1', '45476', '0', '32735', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27314', 'Cerberus', '1', '45476', '0', '32758', '32933', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27315', 'Cerberus', '1', '45476', '0', '32810', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27316', 'Cerberus', '1', '45476', '0', '32793', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27317', 'Cerberus', '1', '45476', '0', '32795', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27318', 'Cerberus', '1', '45476', '0', '32797', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27319', 'Cerberus', '1', '45476', '0', '32781', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27320', 'Cerberus', '1', '45476', '0', '32782', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27321', 'Cerberus', '1', '45476', '0', '32771', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27322', 'Cerberus', '1', '45476', '0', '32755', '32948', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27323', 'Cerberus', '1', '45476', '0', '32734', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27324', 'Cerberus', '1', '45476', '0', '32745', '32957', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27325', 'Cerberus', '1', '45476', '0', '32759', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27326', 'Cerberus', '1', '45476', '0', '32747', '32993', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27327', 'Cerberus', '1', '45476', '0', '32765', '32989', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27328', 'Cerberus', '1', '45476', '0', '32794', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27329', 'Cerberus', '1', '45476', '0', '32786', '32997', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27330', 'Cerberus', '1', '45476', '0', '32727', '32970', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27331', 'Cerberus', '1', '45476', '0', '32733', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27332', 'Cerberus', '1', '45476', '0', '32783', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27333', 'Salamander', '1', '45369', '0', '32752', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27334', 'Salamander', '1', '45369', '0', '32754', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27335', 'Salamander', '1', '45369', '0', '32768', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27336', 'Salamander', '1', '45369', '0', '32773', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27337', 'Salamander', '1', '45369', '0', '32793', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27338', 'Salamander', '1', '45369', '0', '32782', '32973', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27339', 'Salamander', '1', '45369', '0', '32796', '32944', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27340', 'Salamander', '1', '45369', '0', '32802', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27341', 'Salamander', '1', '45369', '0', '32767', '32961', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27342', 'Salamander', '1', '45369', '0', '32766', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27343', 'Nightmare', '1', '45385', '0', '32781', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27344', 'Nightmare', '1', '45385', '0', '32785', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27345', 'Nightmare', '1', '45385', '0', '32794', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27346', 'Nightmare', '1', '45385', '0', '32795', '32964', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27347', 'Nightmare', '1', '45385', '0', '32799', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27348', 'Nightmare', '1', '45385', '0', '32799', '32976', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27349', 'Nightmare', '1', '45385', '0', '32763', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27350', 'Nightmare', '1', '45385', '0', '32756', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27351', 'Nightmare', '1', '45385', '0', '32781', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27352', 'Nightmare', '1', '45385', '0', '32778', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27353', 'Succubus', '1', '45400', '0', '32740', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27354', 'Succubus', '1', '45400', '0', '32745', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27355', 'Succubus', '1', '45400', '0', '32762', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27356', 'Succubus', '1', '45400', '0', '32758', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27357', 'Succubus', '1', '45400', '0', '32809', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27358', 'Succubus', '1', '45400', '0', '32808', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27359', 'Succubus', '1', '45400', '0', '32788', '32937', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27360', 'Succubus', '1', '45400', '0', '32790', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27361', 'Succubus', '1', '45400', '0', '32808', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27362', 'Succubus', '1', '45400', '0', '32802', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27363', 'Death', '1', '45417', '0', '32768', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27364', 'Death', '1', '45417', '0', '32760', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27365', 'Death', '1', '45417', '0', '32735', '32932', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27366', 'Death', '1', '45417', '0', '32730', '32926', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27367', 'Death', '1', '45417', '0', '32735', '32956', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27368', 'Death', '1', '45417', '0', '32731', '32960', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27369', 'Death', '1', '45417', '0', '32769', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27370', 'Death', '1', '45417', '0', '32769', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27371', 'Death', '1', '45417', '0', '32785', '32984', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27372', 'Death', '1', '45417', '0', '32783', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27373', 'Medusa', '1', '45463', '0', '32786', '32999', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27374', 'Medusa', '1', '45463', '0', '32781', '32995', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27375', 'Medusa', '1', '45463', '0', '32789', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27376', 'Medusa', '1', '45463', '0', '32783', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27377', 'Medusa', '1', '45463', '0', '32766', '32985', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27378', 'Medusa', '1', '45463', '0', '32757', '32978', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27379', 'Medusa', '1', '45463', '0', '32746', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27380', 'Medusa', '1', '45463', '0', '32742', '32958', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27381', 'Medusa', '1', '45463', '0', '32731', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27382', 'Medusa', '1', '45463', '0', '32735', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27383', 'Vampire', '1', '45499', '0', '32747', '32998', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27384', 'Vampire', '1', '45499', '0', '32747', '32990', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27385', 'Vampire', '1', '45499', '0', '32729', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27386', 'Vampire', '1', '45499', '0', '32726', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27387', 'Vampire', '1', '45499', '0', '32736', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27388', 'Vampire', '1', '45499', '0', '32732', '32941', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27389', 'Vampire', '1', '45499', '0', '32747', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27390', 'Vampire', '1', '45499', '0', '32758', '32963', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27391', 'Vampire', '1', '45499', '0', '32764', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27392', 'Vampire', '1', '45499', '0', '32769', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '242', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27393', 'Nightmare', '1', '45385', '0', '32720', '32871', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27394', 'Nightmare', '1', '45385', '0', '32680', '32875', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27395', 'Nightmare', '1', '45385', '0', '32711', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27396', 'Nightmare', '1', '45385', '0', '32711', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27397', 'Nightmare', '1', '45385', '0', '32726', '32959', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27398', 'Nightmare', '1', '45385', '0', '32707', '32971', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27399', 'Nightmare', '1', '45385', '0', '32677', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27400', 'Nightmare', '1', '45385', '0', '32679', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27401', 'Nightmare', '1', '45385', '0', '32681', '32909', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27402', 'Nightmare', '1', '45385', '0', '32730', '32980', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27403', 'Nightmare', '1', '45385', '0', '32743', '32869', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27404', 'Nightmare', '1', '45385', '0', '32721', '32916', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27405', 'Nightmare', '1', '45385', '0', '32690', '32917', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27406', 'Nightmare', '1', '45385', '0', '32688', '32938', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27407', 'Nightmare', '1', '45385', '0', '32705', '32942', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27408', 'Death', '1', '45417', '0', '32722', '32966', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27409', 'Death', '1', '45417', '0', '32704', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27410', 'Death', '1', '45417', '0', '32679', '32947', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27411', 'Death', '1', '45417', '0', '32692', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27412', 'Death', '1', '45417', '0', '32691', '32881', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27413', 'Death', '1', '45417', '0', '32687', '32925', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27414', 'Death', '1', '45417', '0', '32725', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27415', 'Death', '1', '45417', '0', '32728', '32877', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27416', 'Death', '1', '45417', '0', '32721', '32981', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27417', 'Death', '1', '45417', '0', '32707', '32885', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27418', 'Death', '1', '45417', '0', '32671', '32873', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27419', 'Death', '1', '45417', '0', '32713', '32922', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27420', 'Death', '1', '45417', '0', '32701', '32902', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27421', 'Death', '1', '45417', '0', '32687', '32891', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27422', 'Death', '1', '45417', '0', '32725', '32991', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27423', 'Cerberus', '1', '45476', '0', '32700', '32955', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27424', 'Cerberus', '1', '45476', '0', '32730', '32895', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27425', 'Cerberus', '1', '45476', '0', '32689', '32903', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27426', 'Cerberus', '1', '45476', '0', '32697', '32954', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27427', 'Cerberus', '1', '45476', '0', '32729', '32969', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27428', 'Cerberus', '1', '45476', '0', '32689', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27429', 'Cerberus', '1', '45476', '0', '32690', '32930', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27430', 'Cerberus', '1', '45476', '0', '32690', '32945', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27431', 'Cerberus', '1', '45476', '0', '32720', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27432', 'Cerberus', '1', '45476', '0', '32719', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27433', 'Cerberus', '1', '45476', '0', '32694', '32867', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27434', 'Cerberus', '1', '45476', '0', '32699', '32882', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27435', 'Cerberus', '1', '45476', '0', '32711', '32935', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27436', 'Cerberus', '1', '45476', '0', '32711', '32977', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27437', 'Cerberus', '1', '45476', '0', '32674', '32911', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27438', 'Vampire', '1', '45499', '0', '32701', '32927', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27439', 'Vampire', '1', '45499', '0', '32702', '32928', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27440', 'Vampire', '1', '45499', '0', '32700', '32929', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27441', 'Vampire', '1', '45499', '0', '32718', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27442', 'Vampire', '1', '45499', '0', '32719', '32897', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27443', 'Vampire', '1', '45499', '0', '32719', '32898', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27444', 'Vampire', '1', '45499', '0', '32714', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27445', 'Vampire', '1', '45499', '0', '32715', '32967', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27446', 'Vampire', '1', '45499', '0', '32715', '32968', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27447', 'Vampire', '1', '45499', '0', '32682', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27448', 'Vampire', '1', '45499', '0', '32683', '32904', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27449', 'Vampire', '1', '45499', '0', '32684', '32905', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27450', 'Vampire', '1', '45499', '0', '32682', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27451', 'Vampire', '1', '45499', '0', '32683', '32879', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27452', 'Vampire', '1', '45499', '0', '32683', '32880', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27453', 'Vampire', '1', '45499', '0', '32734', '32878', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27454', 'Vampire', '1', '45499', '0', '32734', '32876', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27455', 'Vampire', '1', '45499', '0', '32735', '32877', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27456', 'Vampire', '1', '45499', '0', '32704', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27457', 'Vampire', '1', '45499', '0', '32705', '32951', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27458', 'Vampire', '1', '45499', '0', '32705', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27459', 'Vampire', '1', '45499', '0', '32684', '32953', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27460', 'Vampire', '1', '45499', '0', '32684', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27461', 'Vampire', '1', '45499', '0', '32683', '32952', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27462', 'Vampire', '1', '45499', '0', '32684', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27463', 'Vampire', '1', '45499', '0', '32685', '32982', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27464', 'Vampire', '1', '45499', '0', '32686', '32983', '10', '10', '0', '0', '0', '0', '0', '60', '120', '243', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27465', 'Alligator', '1', '45101', '0', '33475', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27466', 'Alligator', '1', '45101', '0', '33480', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27467', 'Alligator', '1', '45101', '0', '33493', '33188', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27468', 'Alligator', '1', '45101', '0', '33503', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27469', 'Alligator', '1', '45101', '0', '33512', '33185', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27470', 'Alligator', '1', '45101', '0', '33518', '33191', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27471', 'Alligator', '1', '45101', '0', '33522', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27472', 'Alligator', '1', '45101', '0', '33526', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27473', 'Alligator', '1', '45101', '0', '33526', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27474', 'Alligator', '1', '45101', '0', '33524', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27475', 'Alligator', '1', '45101', '0', '33519', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27476', 'Alligator', '1', '45101', '0', '33516', '33224', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27477', 'Alligator', '1', '45101', '0', '33517', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27478', 'Alligator', '1', '45101', '0', '33513', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27479', 'Alligator', '1', '45101', '0', '33507', '33225', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27480', 'Alligator', '1', '45101', '0', '33502', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27481', 'Alligator', '1', '45101', '0', '33496', '33222', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27482', 'Alligator', '1', '45101', '0', '33493', '33227', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27483', 'Alligator', '1', '45101', '0', '33488', '33229', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27484', 'Alligator', '1', '45101', '0', '33488', '33223', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27485', 'Alligator', '1', '45101', '0', '33486', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27486', 'Alligator', '1', '45101', '0', '33481', '33217', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27487', 'Alligator', '1', '45101', '0', '33479', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27488', 'Alligator', '1', '45101', '0', '33482', '33208', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27489', 'Alligator', '1', '45101', '0', '33485', '33202', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27490', 'Alligator', '1', '45101', '0', '33492', '33197', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27491', 'Alligator', '1', '45101', '0', '33496', '33195', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27492', 'Alligator', '1', '45101', '0', '33503', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27493', 'Alligator', '1', '45101', '0', '33515', '33196', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27494', 'Alligator', '1', '45101', '0', '33517', '33204', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27495', 'Alligator', '1', '45101', '0', '33514', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27496', 'Alligator', '1', '45101', '0', '33513', '33215', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27497', 'Alligator', '1', '45101', '0', '33510', '33219', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27498', 'Alligator', '1', '45101', '0', '33507', '33216', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27499', 'Alligator', '1', '45101', '0', '33501', '33214', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27500', 'Alligator', '1', '45101', '0', '33497', '33211', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27501', 'Alligator', '1', '45101', '0', '33492', '33212', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27502', 'Alligator', '1', '45101', '0', '33528', '33209', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27503', 'Alligator', '1', '45101', '0', '33524', '33210', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27504', 'Alligator', '1', '45101', '0', '33511', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27505', 'Alligator', '1', '45101', '0', '33506', '33207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27506', 'Alligator', '1', '45101', '0', '33500', '33207', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27507', 'Alligator', '1', '45101', '0', '33490', '33206', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27508', 'Alligator', '1', '45101', '0', '33498', '33201', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27509', 'Alligator', '1', '45101', '0', '33502', '33199', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27510', 'Alligator', '1', '45101', '0', '33506', '33201', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27511', 'Alligator', '1', '45101', '0', '33509', '33192', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27512', 'Alligator', '1', '45101', '0', '33477', '33205', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27513', 'Alligator', '1', '45101', '0', '33481', '33200', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27514', 'Alligator', '1', '45101', '0', '33499', '33186', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27515', 'Alligator', '1', '45101', '0', '33506', '33182', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27516', 'Alligator', '1', '45101', '0', '33515', '33180', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27517', 'Alligator', '1', '45101', '0', '33517', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27518', 'Alligator', '1', '45101', '0', '33523', '33189', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27519', 'Alligator', '1', '45101', '0', '33475', '33213', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27521', 'Milk Cow', '1', '70984', '0', '32583', '32946', '10', '10', '0', '0', '0', '0', '0', '30', '30', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27522', 'Milk Cow', '1', '70984', '0', '32562', '32956', '10', '10', '0', '0', '0', '0', '0', '30', '30', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27523', 'Milk Cow', '1', '70984', '0', '32628', '32958', '10', '10', '0', '0', '0', '0', '0', '30', '30', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27524', 'Milk Cow', '1', '70984', '0', '32622', '32805', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27525', 'Milk Cow', '1', '70984', '0', '32608', '32760', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27526', 'Milk Cow', '1', '70984', '0', '32739', '32439', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27527', 'Milk Cow', '1', '70984', '0', '33068', '32800', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27528', 'Milk Cow', '1', '70984', '0', '33055', '32774', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27529', 'Milk Cow', '1', '70984', '0', '32617', '33185', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27530', 'Milk Cow', '1', '70984', '0', '32639', '33202', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27531', 'Milk Cow', '1', '70984', '0', '33083', '33400', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27532', 'Milk Cow', '1', '70984', '0', '33066', '33390', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27533', 'Milk Cow', '1', '70984', '0', '33102', '33366', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27534', 'Milk Cow', '1', '70984', '0', '33432', '32825', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27535', 'Milk Cow', '1', '70984', '0', '33434', '32804', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27536', 'Milk Cow', '1', '70984', '0', '33601', '32236', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27537', 'Milk Cow', '1', '70984', '0', '33581', '32259', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27538', 'Milk Cow', '1', '70984', '0', '33623', '32297', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27539', 'Milk Cow', '1', '70984', '0', '33718', '32494', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27540', 'Milk Cow', '1', '70984', '0', '33699', '32508', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27541', 'Milk Cow', '1', '70984', '0', '34051', '32281', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27542', 'Milk Cow', '1', '70984', '0', '34060', '32314', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27543', 'Milk Cow', '1', '70984', '0', '34041', '32247', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27544', 'Milk Cow', '1', '70984', '0', '33968', '33241', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27545', 'Milk Cow', '1', '70984', '0', '34001', '33247', '10', '10', '0', '0', '0', '0', '0', '30', '30', '4', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27546', 'Birds', '1', '81159', '0', '32579', '32933', '0', '0', '0', '0', '0', '0', '0', '20', '20', '0', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27547', 'Birds', '1', '81159', '0', '33431', '32802', '0', '0', '0', '0', '0', '0', '0', '20', '20', '4', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27548', 'Birds', '1', '81159', '0', '33437', '32825', '0', '0', '0', '0', '0', '0', '0', '20', '20', '4', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27668', 'Priest of Chaos', '1', '45226', '0', '32733', '32957', '0', '0', '0', '0', '0', '0', '4', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27669', 'Priest of Chaos', '1', '45226', '0', '32733', '32962', '0', '0', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27670', 'Priest of Chaos', '1', '45226', '0', '32737', '32957', '0', '0', '0', '0', '0', '0', '4', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27671', 'Priest of Chaos', '1', '45226', '0', '32737', '32962', '0', '0', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27672', 'Priest of Chaos', '1', '45226', '0', '32709', '32958', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27673', 'Priest of Chaos', '1', '45226', '0', '32679', '32973', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27674', 'Priest of Chaos', '1', '45226', '0', '32676', '32962', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27675', 'Priest of Chaos', '1', '45226', '0', '32678', '32943', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27676', 'Priest of Chaos', '1', '45226', '0', '32682', '32928', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27677', 'Priest of Chaos', '1', '45226', '0', '32679', '32929', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27678', 'Priest of Chaos', '1', '45226', '0', '32681', '32943', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27679', 'Priest of Chaos', '1', '45226', '0', '32673', '32962', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27680', 'Priest of Chaos', '1', '45226', '0', '32677', '32974', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27681', 'Priest of Chaos', '1', '45226', '0', '32702', '32959', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27682', 'Priest of Chaos', '1', '45226', '0', '32730', '32959', '6', '6', '0', '0', '0', '0', '0', '0', '0', '521', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27770', 'Priest of Chaos', '2', '45226', '0', '32660', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27771', 'Priest of Chaos', '2', '45226', '0', '32663', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27772', 'Priest of Chaos', '2', '45226', '0', '32666', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27773', 'Priest of Chaos', '2', '45226', '0', '32669', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27774', 'Priest of Chaos', '2', '45226', '0', '32681', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27775', 'Priest of Chaos', '2', '45226', '0', '32681', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27776', 'Priest of Chaos', '2', '45226', '0', '32687', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27777', 'Priest of Chaos', '2', '45226', '0', '32687', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27778', 'Priest of Chaos', '2', '45226', '0', '32693', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27779', 'Priest of Chaos', '2', '45226', '0', '32693', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27780', 'Priest of Chaos', '2', '45599', '0', '32705', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27781', 'Priest of Chaos', '2', '45599', '0', '32705', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27782', 'Priest of Chaos', '2', '45599', '0', '32712', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27783', 'Priest of Chaos', '2', '45599', '0', '32712', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27784', 'Priest of Chaos', '2', '45626', '0', '32724', '32891', '0', '0', '0', '0', '0', '0', '4', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27785', 'Priest of Chaos', '2', '45626', '0', '32724', '32900', '0', '0', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27786', 'Priest of Chaos', '2', '45576', '0', '32665', '32869', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27787', 'Priest of Chaos', '2', '45576', '0', '32674', '32868', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27788', 'Priest of Chaos', '2', '45576', '0', '32679', '32867', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27789', 'Priest of Chaos', '2', '45576', '0', '32667', '32918', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27790', 'Priest of Chaos', '2', '45576', '0', '32673', '32924', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27791', 'Priest of Chaos', '2', '45576', '0', '32685', '32924', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27792', 'Priest of Chaos', '2', '45576', '0', '32716', '32912', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27793', 'Priest of Chaos', '2', '45576', '0', '32720', '32920', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27794', 'Priest of Chaos', '2', '45576', '0', '32729', '32917', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27795', 'Priest of Chaos', '2', '45576', '0', '32729', '32875', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27796', 'Priest of Chaos', '2', '45576', '0', '32719', '32866', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27797', 'Priest of Chaos', '2', '45576', '0', '32716', '32874', '6', '6', '0', '0', '0', '0', '0', '0', '0', '522', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30001', 'Goblin', '2', '45737', '0', '32749', '32722', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30002', 'Goblin', '2', '45737', '0', '32749', '32729', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30003', 'Goblin', '2', '45737', '0', '32748', '32735', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30004', 'Goblin', '2', '45737', '0', '32746', '32740', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30005', 'Goblin', '2', '45737', '0', '32749', '32744', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30006', 'Goblin', '2', '45737', '0', '32748', '32751', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30007', 'Goblin', '2', '45737', '0', '32746', '32755', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30008', 'Goblin', '2', '45737', '0', '32742', '32755', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30009', 'Goblin', '2', '45737', '0', '32734', '32753', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30010', 'Goblin', '2', '45737', '0', '32734', '32750', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30011', 'Goblin', '2', '45737', '0', '32744', '32744', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30012', 'Goblin', '2', '45737', '0', '32742', '32741', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30013', 'Goblin', '2', '45737', '0', '32737', '32743', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30014', 'Goblin', '2', '45737', '0', '32736', '32739', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30015', 'Goblin', '2', '45737', '0', '32729', '32744', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30016', 'Goblin', '2', '45737', '0', '32734', '32735', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30017', 'Goblin', '2', '45737', '0', '32738', '32733', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30018', 'Goblin', '2', '45737', '0', '32743', '32733', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30019', 'Goblin', '2', '45737', '0', '32743', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30020', 'Goblin', '2', '45737', '0', '32740', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30021', 'Goblin', '2', '45737', '0', '32737', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30022', 'Goblin', '2', '45737', '0', '32734', '32727', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30023', 'Goblin', '2', '45737', '0', '32730', '32726', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30024', 'Goblin', '2', '45737', '0', '32728', '32726', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('30025', 'Goblin', '2', '45737', '0', '32729', '32724', '0', '0', '0', '0', '0', '0', '4', '12', '12', '8014', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('60000', 'Skeleton Marksman', '50', '45270', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60001', 'Cerberus', '50', '45241', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60002', 'Drake', '20', '45529', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60003', 'Dark Elder', '10', '45550', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60004', 'Death Knight', '1', '45601', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60005', 'Baphomet', '1', '45573', '0', '32699', '32763', '0', '0', '32659', '32722', '32740', '32804', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60006', 'Succubus', '50', '45393', '0', '32699', '32839', '0', '0', '32658', '32803', '32740', '32876', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60007', 'Succubus Queen', '20', '45451', '0', '32699', '32839', '0', '0', '32658', '32803', '32740', '32876', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60008', 'Cockatrice', '50', '45361', '0', '32775', '32759', '0', '0', '32738', '32721', '32813', '32797', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60009', 'Basilisk', '50', '45381', '0', '32775', '32759', '0', '0', '32738', '32721', '32813', '32797', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60010', 'Demon', '1', '45649', '0', '32775', '32759', '0', '0', '32738', '32721', '32813', '32797', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60011', 'Skeleton Marksman', '50', '45270', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60012', 'Cerberus', '50', '45241', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60013', 'Drake', '20', '45529', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60014', 'Dark Elder', '10', '45550', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60015', 'Death Knight', '1', '45601', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60016', 'Baphomet', '1', '45573', '0', '32779', '32838', '0', '0', '32740', '32798', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60017', 'Imp Elder', '30', '45064', '0', '32779', '32838', '0', '0', '32659', '32721', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60018', 'Orc Scout', '30', '45138', '0', '32779', '32838', '0', '0', '32659', '32721', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60019', 'Slime', '15', '45060', '0', '32779', '32838', '0', '0', '32659', '32721', '32818', '32879', '4', '60', '120', '666', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61000', 'Killer Bee', '30', '45554', '0', '32624', '32749', '0', '0', '32589', '32695', '32659', '32804', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61001', 'Killer Bee', '30', '45554', '0', '32656', '32824', '0', '0', '32588', '32805', '32725', '32843', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61002', 'Killer Bee', '20', '45554', '0', '32625', '32860', '0', '0', '32595', '32843', '32655', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61003', 'Killer Bee', '30', '45554', '0', '32690', '32860', '0', '0', '32655', '32843', '32725', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61004', 'Ball Lightning', '30', '45549', '0', '32624', '32750', '0', '0', '32589', '32695', '32659', '32805', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61005', 'Ball Lightning', '30', '45549', '0', '32657', '32824', '0', '0', '32589', '32805', '32725', '32843', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61006', 'Ball Lightning', '20', '45549', '0', '32625', '32860', '0', '0', '32596', '32843', '32654', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61007', 'Ball Lightning', '30', '45549', '0', '32690', '32860', '0', '0', '32654', '32843', '32726', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61008', 'Ice Man', '50', '45556', '0', '32646', '32640', '0', '0', '32597', '32596', '32696', '32684', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61009', 'Ice Man', '20', '45556', '0', '32717', '32641', '0', '0', '32696', '32614', '32738', '32669', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61010', 'Ice Man', '30', '45556', '0', '32771', '32616', '0', '0', '32734', '32592', '32808', '32640', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61011', 'Ice Golem', '30', '45553', '0', '32646', '32639', '0', '0', '32597', '32596', '32696', '32683', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61012', 'Ice Golem', '20', '45553', '0', '32718', '32641', '0', '0', '32697', '32614', '32739', '32669', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61013', 'Ice Golem', '30', '45553', '0', '32771', '32616', '0', '0', '32734', '32592', '32809', '32640', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61014', 'Salamander', '50', '45552', '0', '32795', '32845', '0', '0', '32768', '32820', '32823', '32870', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61015', 'Salamander', '40', '45552', '0', '32832', '32782', '0', '0', '32787', '32749', '32878', '32816', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61016', 'Fire Egg', '40', '45555', '0', '32795', '32844', '0', '0', '32768', '32820', '32822', '32869', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61017', 'Fire Egg', '20', '45555', '0', '32853', '32717', '0', '0', '32829', '32685', '32877', '32749', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61018', 'Fungus', '15', '45551', '0', '32657', '32841', '0', '0', '32589', '32805', '32725', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61019', 'Fungus', '10', '45551', '0', '32624', '32749', '0', '0', '32589', '32695', '32660', '32804', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61020', 'Fungus', '10', '45551', '0', '32646', '32639', '0', '0', '32597', '32595', '32696', '32684', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61021', 'Fungus', '5', '45551', '0', '32718', '32642', '0', '0', '32697', '32615', '32739', '32669', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61022', 'Fungus', '10', '45551', '0', '32771', '32616', '0', '0', '32734', '32592', '32809', '32641', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61023', 'Fungus', '5', '45551', '0', '32849', '32627', '0', '0', '32831', '32612', '32868', '32642', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61024', 'Fungus', '10', '45551', '0', '32853', '32711', '0', '0', '32830', '32673', '32877', '32749', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61025', 'Fungus', '8', '45551', '0', '32832', '32783', '0', '0', '32787', '32749', '32878', '32817', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61026', 'Fungus', '5', '45551', '0', '32794', '32844', '0', '0', '32767', '32820', '32822', '32869', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61027', 'Fungus', '10', '45551', '0', '32718', '32758', '0', '0', '32678', '32722', '32758', '32794', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61028', 'Fungus', '5', '45551', '0', '32736', '32689', '0', '0', '32715', '32670', '32757', '32709', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61029', 'Fungus', '5', '45551', '0', '32782', '32725', '0', '0', '32758', '32704', '32806', '32747', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61030', 'Will O\' Wisp', '8', '45557', '0', '32624', '32749', '0', '0', '32589', '32695', '32660', '32804', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61031', 'Will O\' Wisp', '8', '45557', '0', '32657', '32841', '0', '0', '32589', '32805', '32725', '32877', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61032', 'Will O\' Wisp', '5', '45557', '0', '32795', '32845', '0', '0', '32769', '32821', '32822', '32870', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61033', 'Will O\' Wisp', '5', '45557', '0', '32832', '32783', '0', '0', '32787', '32750', '32878', '32817', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61034', 'Will O\' Wisp', '5', '45557', '0', '32853', '32710', '0', '0', '32830', '32672', '32877', '32749', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61035', 'Will O\' Wisp', '5', '45557', '0', '32718', '32757', '0', '0', '32679', '32722', '32758', '32793', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61036', 'Will O\' Wisp', '5', '45557', '0', '32736', '32689', '0', '0', '32715', '32670', '32758', '32709', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61037', 'Will O\' Wisp', '5', '45557', '0', '32647', '32639', '0', '0', '32599', '32596', '32696', '32682', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61038', 'Will O\' Wisp', '5', '45557', '0', '32718', '32641', '0', '0', '32698', '32616', '32738', '32667', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61039', 'Will O\' Wisp', '5', '45557', '0', '32771', '32617', '0', '0', '32733', '32593', '32810', '32641', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61040', 'Will O\' Wisp', '5', '45557', '0', '32848', '32627', '0', '0', '32831', '32612', '32866', '32643', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61041', 'Will O\' Wisp', '15', '45560', '0', '32733', '32735', '0', '0', '32587', '32592', '32879', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61042', 'Will O\' Wisp', '15', '45561', '0', '32733', '32735', '0', '0', '32587', '32592', '32880', '32879', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61043', 'Will O\' Wisp', '15', '45558', '0', '32734', '32735', '0', '0', '32589', '32592', '32879', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('61044', 'Will O\' Wisp', '15', '45559', '0', '32733', '32735', '0', '0', '32588', '32592', '32879', '32878', '4', '60', '120', '303', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62000', 'Werewolf', '60', '45024', '0', '32632', '32842', '0', '0', '32559', '32799', '32706', '32885', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62001', 'Werewolf', '140', '45024', '0', '32416', '33028', '0', '0', '32305', '32863', '32527', '33193', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62002', 'Werewolf', '100', '45024', '0', '32628', '33128', '0', '0', '32527', '33030', '32730', '33227', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62003', 'Lycanthrope', '20', '45173', '0', '32633', '32840', '0', '0', '32560', '32796', '32707', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62004', 'Lycanthrope', '40', '45173', '0', '32415', '33028', '0', '0', '32303', '32862', '32527', '33194', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62005', 'Lycanthrope', '40', '45173', '0', '32628', '33128', '0', '0', '32527', '33030', '32730', '33226', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62006', 'Goblin', '30', '45008', '0', '32634', '32840', '0', '0', '32560', '32796', '32708', '32885', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62007', 'Goblin', '30', '45008', '0', '32509', '32823', '0', '0', '32465', '32789', '32553', '32858', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62008', 'Goblin', '100', '45008', '0', '32415', '33028', '0', '0', '32304', '32862', '32527', '33194', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62009', 'Goblin', '60', '45008', '0', '32628', '33128', '0', '0', '32527', '33030', '32730', '33226', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62010', 'Hobgoblin', '10', '45140', '0', '32633', '32840', '0', '0', '32560', '32796', '32706', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62011', 'Hobgoblin', '10', '45140', '0', '32633', '32840', '0', '0', '32466', '32784', '32552', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62012', 'Hobgoblin', '40', '45140', '0', '32416', '33026', '0', '0', '32305', '32862', '32527', '33191', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62013', 'Hobgoblin', '40', '45140', '0', '32629', '33128', '0', '0', '32528', '33031', '32731', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62014', 'Orc Fighter', '30', '45082', '0', '32634', '32840', '0', '0', '32561', '32796', '32707', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62015', 'Orc Fighter', '16', '45082', '0', '32508', '32819', '0', '0', '32465', '32782', '32551', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62016', 'Orc Fighter', '60', '45082', '0', '32415', '33026', '0', '0', '32304', '32860', '32527', '33193', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62017', 'Orc Fighter', '40', '45082', '0', '32629', '33126', '0', '0', '32528', '33028', '32730', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62018', 'Orc', '60', '45009', '0', '32634', '32841', '0', '0', '32561', '32796', '32708', '32886', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62019', 'Orc', '30', '45009', '0', '32508', '32819', '0', '0', '32464', '32781', '32552', '32858', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62020', 'Orc', '100', '45009', '0', '32415', '32963', '0', '0', '32305', '32863', '32526', '33063', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62021', 'Orc', '60', '45009', '0', '32628', '33126', '0', '0', '32526', '33030', '32730', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62022', 'Orc Archer', '20', '45019', '0', '32633', '32840', '0', '0', '32561', '32797', '32705', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62023', 'Orc Archer', '10', '45019', '0', '32507', '32819', '0', '0', '32464', '32782', '32551', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62024', 'Orc Archer', '60', '45019', '0', '32415', '32963', '0', '0', '32304', '32863', '32526', '33064', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62025', 'Orc Archer', '60', '45019', '0', '32628', '33126', '0', '0', '32527', '33029', '32730', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62026', 'Kobold', '20', '45016', '0', '32633', '32840', '0', '0', '32560', '32796', '32706', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62027', 'Kobold', '10', '45016', '0', '32508', '32819', '0', '0', '32465', '32782', '32552', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62028', 'Kobold', '60', '45016', '0', '32415', '32963', '0', '0', '32304', '32863', '32526', '33063', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62029', 'Kobold', '60', '45016', '0', '32628', '33126', '0', '0', '32528', '33030', '32729', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62030', 'Dwarf', '20', '45041', '0', '32634', '32840', '0', '0', '32561', '32796', '32708', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62031', 'Dwarf', '10', '45041', '0', '32508', '32819', '0', '0', '32465', '32782', '32551', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62032', 'Dwarf', '40', '45041', '0', '32416', '32964', '0', '0', '32306', '32865', '32526', '33064', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62033', 'Dwarf', '40', '45041', '0', '32628', '33126', '0', '0', '32528', '33031', '32728', '33222', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62034', 'Dwarf Warrior', '16', '45092', '0', '32633', '32839', '0', '0', '32562', '32796', '32705', '32883', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62035', 'Gnoll', '20', '45079', '0', '32634', '32840', '0', '0', '32562', '32797', '32707', '32883', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62036', 'Gnoll', '20', '45079', '0', '32508', '32819', '0', '0', '32465', '32782', '32552', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62037', 'Gnoll', '60', '45079', '0', '32415', '32963', '0', '0', '32306', '32863', '32525', '33064', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62038', 'Gnoll', '60', '45079', '0', '32628', '33127', '0', '0', '32528', '33030', '32729', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62039', 'Zombie', '16', '45065', '0', '32508', '32820', '0', '0', '32464', '32782', '32553', '32859', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62040', 'Zombie', '60', '45065', '0', '32416', '33027', '0', '0', '32305', '32863', '32527', '33192', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62041', 'Zombie', '60', '45065', '0', '32629', '33127', '0', '0', '32527', '33031', '32731', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62042', 'Ghoul', '10', '45157', '0', '32508', '32818', '0', '0', '32465', '32781', '32552', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62043', 'Ghoul', '40', '45157', '0', '32416', '33027', '0', '0', '32305', '32863', '32528', '33191', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62044', 'Ghoul', '40', '45157', '0', '32416', '33027', '0', '0', '32529', '33031', '32731', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62045', 'Skeleton', '40', '45107', '0', '32417', '33128', '0', '0', '32306', '33066', '32528', '33190', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62046', 'Arachnevil', '40', '45136', '0', '32417', '33128', '0', '0', '32306', '32964', '32457', '33190', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62047', 'Arachnevil', '40', '45136', '0', '32381', '33077', '0', '0', '32460', '33034', '32729', '33221', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62048', 'Arachnevil Elder', '30', '45184', '0', '32382', '33077', '0', '0', '32307', '32965', '32458', '33189', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62049', 'Arachnevil Elder', '30', '45184', '0', '32594', '33129', '0', '0', '32460', '33035', '32728', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62050', 'Stone Golem', '16', '45126', '0', '32633', '32841', '0', '0', '32562', '32798', '32705', '32884', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62051', 'Stone Golem', '10', '45126', '0', '32510', '32821', '0', '0', '32468', '32786', '32552', '32857', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62052', 'Stone Golem', '20', '45126', '0', '32382', '33030', '0', '0', '32305', '32966', '32459', '33095', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62053', 'Stone Golem', '20', '45126', '0', '32629', '33129', '0', '0', '32528', '33033', '32730', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62054', 'Floating Eye', '20', '45068', '0', '32635', '32839', '0', '0', '32562', '32797', '32708', '32882', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62055', 'Floating Eye', '10', '45068', '0', '32509', '32818', '0', '0', '32465', '32781', '32554', '32856', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62056', 'Floating Eye', '20', '45068', '0', '32509', '32818', '0', '0', '32305', '32966', '32458', '33093', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62057', 'Floating Eye', '20', '45068', '0', '32594', '33130', '0', '0', '32460', '33037', '32729', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62058', 'Elder', '10', '45215', '7', '32381', '33076', '0', '0', '32305', '32964', '32458', '33188', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62059', 'Elder', '16', '45215', '7', '32594', '33130', '0', '0', '32459', '33037', '32730', '33224', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62060', 'Shepherd', '16', '45034', '0', '32416', '32964', '0', '0', '32304', '32863', '32528', '33065', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62061', 'Doberman', '10', '45042', '0', '32415', '33014', '0', '0', '32303', '32962', '32527', '33067', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62062', 'Beagle', '10', '45046', '0', '32394', '33030', '0', '0', '32306', '32965', '32482', '33095', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62063', 'Frog', '100', '45005', '0', '32513', '33005', '0', '0', '32298', '32786', '32729', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62064', 'Rabbit', '100', '45010', '0', '32513', '33004', '0', '0', '32297', '32784', '32730', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62065', 'Rabbit', '100', '45012', '0', '32514', '33003', '0', '0', '32298', '32783', '32730', '33223', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62066', 'Deer', '2', '45021', '0', '32564', '32882', '0', '0', '32528', '32859', '32601', '32905', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62067', 'Deer', '2', '45021', '0', '32613', '32940', '0', '0', '32606', '32903', '32621', '32978', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62068', 'Deer', '2', '45021', '0', '32637', '32953', '0', '0', '32623', '32936', '32649', '32964', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62069', 'Deer', '2', '45021', '0', '32570', '33001', '0', '0', '32528', '32987', '32613', '33015', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62070', 'Deer', '20', '45021', '0', '32417', '33029', '0', '0', '32305', '32865', '32529', '33193', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62072', 'Deer', '16', '45021', '0', '32628', '33130', '0', '0', '32465', '33036', '32727', '33222', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62073', 'Slime', '10', '45060', '0', '32635', '32843', '0', '0', '32565', '32801', '32706', '32885', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62074', 'Slime', '2', '45060', '0', '32635', '32843', '0', '0', '32606', '32903', '32621', '32977', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62075', 'Slime', '2', '45060', '0', '32636', '32950', '0', '0', '32624', '32937', '32648', '32964', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62076', 'Slime', '5', '45060', '0', '32508', '32821', '0', '0', '32464', '32784', '32553', '32858', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62077', 'Slime', '30', '45060', '0', '32425', '33042', '0', '0', '32304', '32864', '32546', '33221', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62078', 'Slime', '20', '45060', '0', '32637', '33131', '0', '0', '32547', '33037', '32728', '33225', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100000', 'Slime', '20', '45060', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100001', 'Zombie', '75', '45065', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100002', 'Ghoul', '65', '45157', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100003', 'Skeleton', '140', '45107', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100004', 'Floating Eye', '35', '45068', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100005', 'Betrayer\'s Skeleton Guardsman', '8', '45100', '0', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('100006', 'Elder', '15', '45215', '7', '32700', '32800', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '1', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200001', 'Slime', '10', '45060', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200002', 'Zombie', '20', '45065', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200003', 'Werewolf', '20', '45024', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200004', 'Floating Eye', '20', '45068', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200005', 'Skeleton', '40', '45107', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200006', 'Skeleton Archer', '40', '45122', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200007', 'Skeleton Soldier', '40', '45131', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200008', 'Skeleton Axeman', '40', '45130', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200009', 'Stone Golem', '20', '45126', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200010', 'Arachnevil', '40', '45136', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200011', 'Spartoi', '40', '45161', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200012', 'Ghoul', '40', '45157', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200013', 'Lycanthrope', '20', '45173', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('200014', 'Arachnevil Elder', '20', '45184', '0', '32700', '32870', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '2', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700001', 'Orc', '6', '45009', '0', '32773', '32722', '0', '0', '32773', '32722', '32814', '32750', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700002', 'Orc Archer', '10', '45019', '0', '32773', '32722', '0', '0', '32773', '32722', '32814', '32750', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700003', 'Orc Fighter', '10', '45082', '0', '32773', '32722', '0', '0', '32773', '32722', '32814', '32750', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700004', 'Slime', '10', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700005', 'Skeleton', '80', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700006', 'Skeleton Archer', '40', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('700007', 'Spartoi', '20', '45161', '0', '32772', '32756', '0', '0', '32772', '32756', '32809', '32814', '5', '0', '0', '7', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800002', 'Zombie', '20', '45065', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800003', 'Ghoul', '20', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800004', 'Skeleton', '40', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800005', 'Skeleton Archer', '40', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800006', 'Skeleton Soldier', '10', '45131', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800007', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800008', 'Arachnevil', '20', '45136', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800009', 'Arachnevil Elder', '20', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('800010', 'Bugbear', '6', '45223', '0', '32764', '32738', '0', '0', '32764', '32738', '32805', '32779', '5', '0', '0', '8', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900002', 'Zombie', '20', '45065', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900003', 'Ghoul', '15', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900004', 'Skeleton', '40', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900005', 'Skeleton Archer', '20', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900006', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900007', 'Stone Golem', '15', '45126', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900008', 'Arachnevil Elder', '30', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('900009', 'Bugbear', '35', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '9', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000002', 'Zombie', '10', '45065', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000003', 'Ghoul', '20', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000004', 'Skeleton', '6', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000005', 'Skeleton Archer', '6', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000006', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000007', 'Stone Golem', '6', '45126', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000008', 'Arachnevil', '10', '45136', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000009', 'Arachnevil Elder', '15', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000010', 'Bugbear', '35', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1000011', 'Cerberus', '20', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '10', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100002', 'Ghoul', '20', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100003', 'Skeleton', '20', '45107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100004', 'Skeleton Archer', '20', '45122', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100005', 'Skeleton Axeman', '15', '45130', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100006', 'Skeleton Soldier', '15', '45131', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100007', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100008', 'Arachnevil Elder', '20', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100009', 'Bugbear', '35', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1100010', 'Cerberus', '28', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '11', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200002', 'Ghoul', '30', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200003', 'Floating Eye', '4', '45068', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200004', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200005', 'Crawling Claw', '5', '45083', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200006', 'Arachnevil Elder', '15', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200007', 'Bugbear', '30', '45223', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200008', 'Cerberus', '40', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1200009', 'King Bugbear', '15', '45298', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '12', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300001', 'Slime', '5', '45060', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300002', 'Ghoul', '30', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300003', 'Spartoi', '10', '45161', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300004', 'Arachnevil Elder', '30', '45184', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300005', 'Bugbear', '30', '45738', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300006', 'King Bugbear', '30', '45298', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1300007', 'Cerberus', '40', '45241', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '13', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400001', 'Slime', '10', '45060', '0', '32532', '32794', '0', '0', '32512', '32768', '33023', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400002', 'Zombie', '30', '45065', '0', '32532', '32794', '0', '0', '32512', '32768', '33023', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400003', 'Ghoul', '10', '45157', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1400004', 'Crawling Claw', '60', '45083', '0', '32532', '32794', '0', '0', '32512', '32768', '33023', '32831', '5', '0', '0', '14', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900001', 'Contaminated Orc', '20', '45117', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900002', 'Contaminated Orc Archer', '30', '45118', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900003', 'Contaminated Fungus', '30', '45103', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900004', 'Contaminated Orc Warrior', '30', '45128', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1900005', 'Contaminated Cyclops', '10', '45137', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '19', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000001', 'Blob', '20', '45032', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000002', 'Contaminated Fungus', '20', '45103', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000003', 'Contaminated Cyclops', '10', '45137', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000004', 'Contaminated Ent', '20', '45152', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000005', 'Contaminated Fairy', '10', '45153', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2000006', 'Contaminated Duda-Mara Orc', '30', '45151', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '20', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100001', 'Blob', '10', '45032', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100002', 'Betrayed Orc Archer', '15', '45135', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100003', 'Contaminated Ogre', '10', '45183', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100004', 'Betrayed Orc Chief', '3', '45179', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100005', 'Contaminated Troll', '10', '45186', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100006', 'Assassin', '10', '45336', '0', '32790', '32743', '0', '0', '32790', '32743', '32805', '32749', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100007', 'Assassin Master', '1', '45504', '0', '32802', '32746', '1', '1', '0', '0', '0', '0', '0', '60', '120', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2200001', 'Ramia', '50', '81107', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '22', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300001', 'Slime', '5', '45060', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300002', 'Zombie', '20', '45065', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300003', 'Ghoul', '20', '45157', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300004', 'Skeleton', '30', '45107', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300005', 'Skeleton Archer', '30', '45122', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300006', 'Skeleton Axeman', '20', '45130', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300007', 'Skeleton Soldier', '20', '45131', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300008', 'Spartoi', '10', '45161', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300009', 'Arachnevil Elder', '30', '45184', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300010', 'Bugbear', '20', '45223', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300011', 'Cerberus', '30', '45241', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2300012', 'King Bugbear', '10', '45298', '0', '32810', '32723', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '23', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400001', 'Slime', '5', '45060', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400002', 'Zombie', '20', '45065', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400003', 'Ghoul', '20', '45157', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400004', 'Crawling Claw', '20', '45083', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400005', 'Spartoi', '20', '45161', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400006', 'Arachnevil Elder', '30', '45184', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400007', 'Bugbear', '30', '45223', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400008', 'King Bugbear', '30', '45298', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2400009', 'Cerberus', '30', '45241', '0', '32809', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '24', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500001', 'Orc', '20', '45009', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500002', 'Orc Archer', '20', '45019', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500003', 'Orc Archer', '20', '45019', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500004', 'Slime', '5', '45060', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500005', 'Zombie', '20', '45065', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500006', 'Orc Fighter', '20', '45082', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500007', 'Werewolf', '10', '45024', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500008', 'Floating Eye', '10', '45068', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500009', 'Skeleton', '30', '45107', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500010', 'Skeleton Archer', '20', '45122', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500011', 'Stone Golem', '20', '45126', '0', '32738', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2500012', 'Arachnevil', '4', '45136', '0', '32720', '32805', '0', '0', '32720', '32805', '32744', '32807', '5', '0', '0', '25', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600001', 'Slime', '5', '45060', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600002', 'Zombie', '60', '45065', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600003', 'Ghoul', '40', '45157', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600004', 'Spartoi', '20', '45161', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600005', 'Cerberus', '20', '45241', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2600006', 'Bugbear', '20', '45223', '0', '32802', '32815', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '26', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700001', 'Slime', '5', '45060', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700002', 'Ghoul', '60', '45157', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700003', 'Cerberus', '30', '45241', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700004', 'Bugbear', '40', '45223', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2700005', 'King Bugbear', '10', '45298', '0', '32807', '32812', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '27', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800001', 'Slime', '5', '45060', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800002', 'Cerberus', '50', '45241', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800003', 'Bugbear', '50', '45223', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2800004', 'King Bugbear', '40', '45298', '0', '32799', '32798', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '28', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000001', 'Slime', '5', '45060', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000002', 'Skeleton Marksman', '24', '45270', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000003', 'Skeleton Guard', '24', '45269', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000004', 'Skeleton Fighter', '26', '45286', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000005', 'Spartoi', '26', '45161', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000006', 'Arachnevil Elder', '14', '45184', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3000007', 'Troll', '20', '45280', '0', '32740', '32777', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '30', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100001', 'Slime', '5', '45060', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100002', 'Skeleton Marksman', '24', '45270', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100003', 'Skeleton Guard', '24', '45269', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100004', 'Skeleton Fighter', '24', '45286', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100005', 'Troll', '20', '45280', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3100006', 'Muryan', '18', '45289', '0', '32760', '32781', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '31', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200001', 'Slime', '5', '45060', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200002', 'Skeleton Marksman', '26', '45270', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200003', 'Skeleton Guard', '26', '45269', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200004', 'Skeleton Fighter', '26', '45286', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200005', 'Troll', '10', '45280', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200006', 'Muryan', '26', '45289', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3200007', 'Ettin', '8', '45373', '0', '32709', '32818', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '32', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300001', 'Slime', '5', '45060', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300002', 'Skeleton Marksman', '26', '45270', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300003', 'Skeleton Guard', '26', '45269', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300004', 'Skeleton Fighter', '26', '45286', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300005', 'Troll', '10', '45280', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300006', 'Muryan', '26', '45289', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300007', 'Ettin', '8', '45373', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3300008', 'Succubus', '10', '45393', '0', '32669', '32869', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '33', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500001', 'Slime', '5', '45060', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500002', 'Muryan', '26', '45289', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500003', 'Ettin', '14', '45373', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500004', 'Succubus', '20', '45393', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3500005', 'Succubus Queen', '8', '45451', '0', '32746', '32802', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '35', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600001', 'Slime', '5', '45060', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600002', 'Ettin', '20', '45373', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600003', 'Succubus', '36', '45393', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3600004', 'Succubus Queen', '18', '45451', '0', '32663', '32846', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '36', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('3700001', 'Slime', '15', '45060', '0', '32668', '32867', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '37', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25000003', 'Greedy Warrior', '33', '46022', '0', '32770', '32851', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '250', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25000004', 'Greedy Archer', '33', '46023', '0', '32770', '32851', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '250', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25700001', 'Corrupt Zombie', '30', '46027', '0', '32698', '32800', '0', '0', '32640', '32768', '32831', '32831', '0', '0', '0', '257', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25700002', 'Corrupt Skeleton Archer', '30', '46029', '0', '32698', '32800', '0', '0', '32640', '32768', '32831', '32831', '0', '0', '0', '257', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25700003', 'Corrupt Skeleton Axeman', '30', '46030', '0', '32698', '32800', '0', '0', '32640', '32768', '32831', '32831', '0', '0', '0', '257', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25700004', 'Corrupt Zombie Wizard', '15', '46033', '0', '32698', '32800', '0', '0', '32640', '32768', '32831', '32831', '0', '0', '0', '257', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800001', 'Corrupt Zombie', '30', '46027', '0', '32705', '32820', '0', '0', '32640', '32768', '32831', '32950', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800002', 'Corrupt Zombie', '30', '46028', '0', '32705', '32820', '0', '0', '32640', '32768', '32831', '32950', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800003', 'Corrupt Skeleton Archer', '25', '46029', '0', '32705', '32820', '0', '0', '32640', '32768', '32831', '32950', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800004', 'Corrupt Skeleton Axeman', '25', '46030', '0', '32705', '32820', '0', '0', '32640', '32768', '32831', '32950', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800005', 'Corrupt Skeleton Soldier', '25', '46031', '0', '32705', '32820', '0', '0', '32640', '32768', '32831', '32950', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800006', 'Corrupt Zombie Wizard', '15', '46033', '0', '32705', '32820', '0', '0', '32640', '32768', '32831', '32950', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800007', 'Corrupt Zombie General', '25', '46034', '0', '32705', '32820', '0', '0', '32640', '32768', '32831', '32950', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800011', 'Corrupt Zombie', '25', '46027', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800012', 'Corrupt Zombie', '25', '46028', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800013', 'Corrupt Skeleton Archer', '20', '46029', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300001', 'Blob', '10', '45032', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300002', 'Giran Imp', '24', '45125', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300003', 'Giran Ghast', '60', '45142', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300004', 'Giran Imp Elder', '24', '45168', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300005', 'Giran Troglodyte', '40', '45170', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5300006', 'Giran Ghast Lord', '30', '45188', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '53', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400001', 'Giran Lizardman', '32', '45156', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400002', 'Giran Crabman', '32', '45169', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400003', 'Giran Vakuuk', '32', '45187', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400004', 'Giran Arachnevil Elder', '32', '45312', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5400005', 'Giran Ramia', '40', '45230', '0', '32767', '32767', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '54', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500001', 'Giran Snow Tiger', '24', '45243', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500002', 'Giran Cerberus', '28', '45283', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500003', 'Giran Dire Wolf', '30', '45282', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5500004', 'Giran Cimaera', '26', '45325', '0', '32734', '32728', '0', '0', '32704', '32704', '32767', '32895', '5', '0', '0', '55', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600001', 'Skeleton Marksman', '20', '45270', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600002', 'Skeleton Fighter', '20', '45286', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600003', 'Giran Stone Golem', '40', '45281', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600004', 'Giran Iron Golem', '40', '45345', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5600005', 'Giran Lava Golem', '60', '45376', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '56', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900001', 'Lizardman', '24', '45144', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900002', 'Ramia', '30', '81076', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900003', 'Alligator', '24', '45307', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900004', 'Vakuuk', '24', '45116', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900005', 'Ratman', '24', '45192', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5900006', 'Troglodyte', '24', '45155', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '59', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000001', 'Alligator', '20', '45307', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000002', 'Vakuuk', '20', '45116', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000003', 'Ratman', '20', '45192', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000004', 'Ramia', '20', '81076', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000005', 'Scorpion', '20', '81077', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000006', 'Crabman', '20', '45164', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6000007', 'Beholder', '4', '45349', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '60', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100001', 'Alligator', '30', '45307', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100002', 'Ratman', '30', '45192', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100003', 'Crabman', '30', '45164', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100004', 'Ramia', '50', '81076', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100005', 'Scorpion', '30', '81077', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6100006', 'Beholder', '10', '45349', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '61', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300001', 'Sea Anemone', '60', '45006', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300002', 'Acaleph', '100', '45097', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300003', 'Stingray', '60', '45077', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300004', 'Coelacanth', '60', '45089', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300005', 'Crabman', '100', '45164', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300006', 'Shark', '120', '45160', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300007', 'Aste', '100', '45195', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300008', 'Merman', '60', '45159', '12', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300009', 'Mermaid', '20', '45154', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300010', 'Turtle Dragon', '60', '45240', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300011', 'Elekkadom', '60', '45279', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('6300012', 'Crustacean', '60', '45285', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '0', '0', '63', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400004', 'Yeti', '20', '45294', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400003', 'Snow Tiger', '20', '45267', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400002', 'Ice Man', '20', '45207', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400001', 'Ice Golem', '20', '45182', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300006', 'Iron Golem', '10', '45372', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300005', 'Yeti', '20', '45294', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300004', 'Snow Tiger', '20', '45267', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300003', 'Ice Man', '30', '45207', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300002', 'Ice Golem', '30', '45182', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7300001', 'Fungus', '10', '45029', '0', '32755', '32871', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '73', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200007', 'Iron Golem', '10', '45372', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200006', 'Yeti', '20', '45294', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200005', 'Snow Tiger', '20', '45267', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200004', 'Ice Man', '30', '45207', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200003', 'Snowman', '10', '45133', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200002', 'Ice Golem', '30', '45182', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7200001', 'Fungus', '10', '45029', '0', '32746', '32787', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '72', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7500001', 'Paper Man', '10', '45088', '0', '32770', '32821', '0', '0', '32704', '32768', '32831', '32959', '5', '0', '0', '75', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7600001', 'Paper Man', '10', '45088', '0', '32775', '32826', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '76', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7700001', 'Paper Man', '10', '45088', '0', '32767', '32841', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '77', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800001', 'Paper Man', '10', '45088', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800002', 'Mimic', '30', '45141', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800003', 'Living Armor', '30', '45322', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7800004', 'Iron Golem', '10', '45372', '0', '32894', '32771', '0', '0', '32832', '32704', '32959', '32831', '5', '0', '0', '78', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900001', 'Paper Man', '10', '45088', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900002', 'Mimic', '30', '45141', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900003', 'Living Armor', '30', '45322', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7900004', 'Iron Golem', '20', '45372', '0', '32772', '32801', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '79', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8000001', 'Silhouette', '30', '45162', '0', '32771', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '80', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8000002', 'Ghost', '30', '45174', '0', '32771', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '80', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8000003', 'Death', '30', '45221', '0', '32771', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '80', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100001', 'Silhouette', '30', '45162', '0', '32763', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '81', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100002', 'Ghost', '30', '45174', '0', '32763', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '81', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8100003', 'Death', '30', '45221', '0', '32763', '32848', '0', '0', '32704', '32768', '32831', '32895', '5', '0', '0', '81', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200001', 'Silhouette', '30', '45162', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200002', 'Death', '30', '45221', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200003', 'Living Armor', '30', '45322', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('8200004', 'Iron Golem', '30', '45372', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '5', '0', '0', '82', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10200001', 'Mutant Ramia', '30', '45332', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '102', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10200002', 'Mutant Arachnevil Elder', '90', '45348', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '102', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10200003', 'Medusa', '20', '45380', '23', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '102', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300001', 'Mutant Ramia', '30', '45332', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300002', 'Mutant Arachnevil Elder', '88', '45348', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300003', 'Medusa', '20', '45380', '23', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300004', 'Cimaera', '20', '45407', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400001', 'Mutant Ramia', '32', '45332', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400002', 'Mutant Arachnevil Elder', '30', '45348', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400003', 'Medusa', '50', '45380', '23', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400004', 'Cimaera', '24', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500001', 'Cockatrice', '30', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500002', 'Medusa', '18', '45380', '26', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500003', 'Cimaera', '88', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700001', 'Cockatrice', '34', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700002', 'Medusa', '26', '45380', '26', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700003', 'Cimaera', '76', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800001', 'Cockatrice', '32', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800002', 'Medusa', '34', '45380', '26', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800003', 'Cimaera', '80', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900001', 'Cockatrice', '36', '45361', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900002', 'Medusa', '34', '45380', '26', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900003', 'Cimaera', '74', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000001', 'Cockatrice', '48', '45361', '0', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000002', 'Medusa', '28', '45380', '26', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000003', 'Cimaera', '76', '45407', '0', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11100001', 'Succubus', '43', '45394', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '111', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11100002', 'Dire Wolf', '10', '45409', '27', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '111', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11200001', 'Succubus', '44', '45394', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '112', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11200002', 'Wicked Mimic', '8', '45399', '27', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '112', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11200003', 'Dire Wolf', '12', '45409', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '112', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11300001', 'Succubus', '44', '45394', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '113', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11300002', 'Wicked Mimic', '7', '45399', '27', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '113', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11300003', 'Dire Wolf', '13', '45409', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '113', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400001', 'Succubus', '80', '45394', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400002', 'Wicked Mimic', '16', '45399', '27', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400003', 'Dire Wolf', '28', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500001', 'Wicked Mimic', '20', '45399', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500002', 'Wicked Beholder', '30', '45406', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500003', 'Dire Wolf', '78', '45409', '29', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700001', 'Dancing Sword', '18', '45386', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700002', 'Wicked Beholder', '36', '45406', '30', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700003', 'Dire Wolf', '76', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800001', 'Dancing Sword', '20', '45386', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800002', 'Wicked Beholder', '40', '45406', '30', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800003', 'Dire Wolf', '80', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900001', 'Dancing Sword', '22', '45386', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900002', 'Wicked Beholder', '44', '45406', '30', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900003', 'Dire Wolf', '80', '45409', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000001', 'Dancing Sword', '25', '45386', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000002', 'Wicked Beholder', '50', '45406', '30', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000003', 'Dire Wolf', '100', '45409', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12100001', 'Horrific Fire Egg', '45', '45384', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '121', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12100002', 'Nightmare', '25', '45440', '32', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '121', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200001', 'Horrific Fire Egg', '30', '45384', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200002', 'Nightmare', '30', '45440', '32', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200003', 'Horrific Cerberus', '30', '45471', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300001', 'Horrific Fire Egg', '30', '45384', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300002', 'Nightmare', '35', '45440', '32', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300003', 'Horrific Cerberus', '35', '45471', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400001', 'Horrific Fire Egg', '76', '45384', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400002', 'Nightmare', '45', '45440', '32', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400003', 'Horrific Cerberus', '45', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500001', 'Nightmare', '60', '45440', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500002', 'Horrific Cerberus', '50', '45471', '31', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500003', 'Lesser Demon', '80', '45481', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700001', 'Horrific Cerberus', '60', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700002', 'Lesser Demon', '70', '45481', '33', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700003', 'Ifrit', '22', '45515', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800001', 'Horrific Cerberus', '70', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800002', 'Lesser Demon', '70', '45481', '33', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800003', 'Ifrit', '26', '45515', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900001', 'Horrific Cerberus', '60', '45471', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900002', 'Lesser Demon', '70', '45481', '33', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900003', 'Ifrit', '30', '45515', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000001', 'Nightmare', '50', '45440', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000002', 'Horrific Cerberus', '50', '45471', '31', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000003', 'Lesser Demon', '50', '45481', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000004', 'Ifrit', '35', '45515', '33', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13100001', 'Raging Skeleton Axeman', '43', '45402', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '131', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13100002', 'Raging Ghoul', '20', '45454', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '131', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200001', 'Raging Skeleton Axeman', '13', '45402', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200002', 'Raging Skeleton Pike', '44', '45403', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200003', 'Raging Ghoul', '20', '45454', '36', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300001', 'Raging Skeleton Pike', '44', '45403', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300002', 'Raging Ghoul', '16', '45454', '36', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300003', 'Raging Spartoi', '10', '45455', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400001', 'Raging Skeleton Pike', '78', '45403', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400002', 'Raging Ghoul', '20', '45454', '36', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400003', 'Raging Spartoi', '28', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500001', 'Raging Ghoul', '20', '45454', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500002', 'Raging Spartoi', '78', '45455', '37', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500003', 'Raging Skeleton Marksman', '28', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700001', 'Raging Spartoi', '72', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700002', 'Raging Skeleton Fighter', '30', '45493', '38', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700003', 'Raging Skeleton Marksman', '24', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800001', 'Raging Spartoi', '70', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800002', 'Raging Skeleton Fighter', '30', '45493', '38', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800003', 'Raging Skeleton Marksman', '28', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900001', 'Raging Spartoi', '68', '45455', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900002', 'Raging Skeleton Fighter', '30', '45493', '38', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900003', 'Raging Skeleton Marksman', '32', '45494', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000001', 'Raging Spartoi', '70', '45455', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000002', 'Raging Skeleton Fighter', '40', '45493', '38', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000003', 'Raging Skeleton Marksman', '40', '45494', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14100001', 'Lesser Dragon', '68', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '141', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14100002', 'Fire Ghost', '16', '45514', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '141', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14100003', 'Fire Ghost', '16', '45519', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '141', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14200001', 'Horrific Iron Golem', '86', '45479', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '142', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14200002', 'Fire Ghost', '18', '45514', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '142', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14200003', 'Fire Ghost', '16', '45519', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '142', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14300001', 'Lesser Dragon', '90', '45496', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '143', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14300002', 'Fire Ghost', '20', '45514', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '143', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14300003', 'Fire Ghost', '18', '45519', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '143', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14400001', 'Lesser Dragon', '76', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '144', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14400002', 'Fire Ghost', '20', '45514', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '144', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14400003', 'Fire Ghost', '20', '45519', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '144', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14500001', 'Lesser Dragon', '76', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '145', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14500002', 'Fire Ghost', '20', '45514', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '145', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14500003', 'Fire Ghost', '20', '45519', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '145', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14700001', 'Fire Necromancer', '24', '45480', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '147', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14700002', 'Lesser Dragon', '64', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '147', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14700003', 'Bone Dragon', '20', '45522', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '147', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14800001', 'Fire Necromancer', '24', '45480', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '148', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14800002', 'Lesser Dragon', '52', '45496', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '148', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14800003', 'Bone Dragon', '22', '45522', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '148', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14900001', 'Fire Necromancer', '26', '45480', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '149', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14900002', 'Lesser Dragon', '52', '45496', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '149', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14900003', 'Bone Dragon', '26', '45522', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '149', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15000001', 'Fire Necromancer', '22', '45480', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '150', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15000002', 'Lesser Dragon', '56', '45496', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '150', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15000003', 'Bone Dragon', '36', '45522', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '150', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15100001', 'Cursed Orc Zombie', '54', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '151', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15100002', 'Cursed Elmore Soldier', '38', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '151', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15200001', 'Cursed Orc Zombie', '22', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '152', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15200002', 'Cursed Elmore Wizard', '30', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '152', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15200003', 'Cursed Elmore Soldier', '54', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '152', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15300001', 'Cursed Orc Zombie', '22', '45468', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '153', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15300002', 'Cursed Elmore Soldier', '70', '45524', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '153', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15300003', 'Cursed Elmore General', '16', '45541', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '153', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15400001', 'Cursed Elmore Wizard', '26', '45506', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '154', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15400002', 'Cursed Elmore Soldier', '70', '45524', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '154', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15400003', 'Cursed Elmore General', '20', '45541', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '154', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15500001', 'Cursed Elmore Wizard', '30', '45506', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '155', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15500002', 'Cursed Elmore Soldier', '60', '45524', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '155', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15500003', 'Cursed Elmore General', '26', '45541', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '155', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15700001', 'Cursed Orc Zombie', '60', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '157', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15700002', 'Cursed Elmore Wizard', '30', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '157', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15700003', 'Cursed Elmore General', '28', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '157', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800001', 'Cursed Orc Zombie', '36', '45468', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800002', 'Cursed Elmore Wizard', '28', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800003', 'Cursed Elmore Soldier', '36', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800004', 'Cursed Elmore General', '30', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15900001', 'Cursed Elmore Wizard', '30', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '159', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15900002', 'Cursed Elmore Soldier', '66', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '159', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15900003', 'Cursed Elmore General', '28', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '159', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16000001', 'Cursed Elmore Wizard', '14', '45506', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '160', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16000002', 'Cursed Elmore Soldier', '76', '45524', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '160', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16000003', 'Cursed Elmore General', '26', '45541', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '160', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16100001', 'Dark Lycanthrope', '24', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '161', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16100002', 'Cruel Snow Tiger', '86', '45528', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '161', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16200001', 'Dark Lycanthrope', '28', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '162', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16200002', 'Spirit Taurverus of Fire', '30', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '162', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16200003', 'Cruel Snow Tiger', '64', '45528', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '162', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16300001', 'Dark Lycanthrope', '26', '45485', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '163', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16300002', 'Cruel Snow Tiger', '78', '45528', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '163', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16300003', 'Astagio of Fire', '20', '45572', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '163', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400001', 'Dark Lycanthrope', '26', '45485', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400002', 'Spirit Taurverus of Fire', '12', '45520', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400003', 'Cruel Snow Tiger', '88', '45528', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16400004', 'Astagio of Fire', '10', '45572', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '164', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16500001', 'Spirit Taurverus of Fire', '14', '45520', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '165', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16500002', 'Cruel Snow Tiger', '90', '45528', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '165', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16500003', 'Astagio of Fire', '26', '45572', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '165', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700001', 'Dark Lycanthrope', '70', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700002', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700003', 'Astagio of Fire', '22', '45572', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800001', 'Dark Lycanthrope', '22', '45485', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800002', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800003', 'Cruel Snow Tiger', '68', '45528', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800004', 'Astagio of Fire', '22', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900001', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900002', 'Cruel Snow Tiger', '70', '45528', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900003', 'Astagio of Fire', '22', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000001', 'Spirit Taurverus of Fire', '28', '45520', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000002', 'Cruel Snow Tiger', '68', '45528', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000003', 'Astagio of Fire', '22', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17100001', 'Black Knight of Darkness', '98', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '171', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17100002', 'Fire Warrior of Darkness', '20', '45540', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '171', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17200001', 'Black Knight of Darkness', '90', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '172', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17200002', 'Fire Archer of Darkness', '14', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '172', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17200003', 'Fire Warrior of Darkness', '16', '45540', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '172', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17300001', 'Black Knight of Darkness', '90', '45503', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '173', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17300002', 'Fire Warrior of Darkness', '28', '45540', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '173', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17300003', 'Succubus Queen of Darkness', '10', '45580', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '173', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400001', 'Black Knight of Darkness', '22', '45503', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400002', 'Fire Archer of Darkness', '68', '45532', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400003', 'Fire Warrior of Darkness', '26', '45540', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17400004', 'Succubus Queen of Darkness', '10', '45580', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '174', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17500001', 'Fire Archer of Darkness', '26', '45532', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '175', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17500002', 'Fire Warrior of Darkness', '88', '45540', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '175', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17500003', 'Succubus Queen of Darkness', '10', '45580', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '175', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17700001', 'Black Knight of Darkness', '28', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '177', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17700002', 'Fire Archer of Darkness', '70', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '177', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17700003', 'Succubus Queen of Darkness', '22', '45580', '43', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '177', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800001', 'Black Knight of Darkness', '22', '45503', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800002', 'Fire Archer of Darkness', '28', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800003', 'Fire Warrior of Darkness', '68', '45540', '43', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800004', 'Succubus Queen of Darkness', '22', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17900001', 'Fire Archer of Darkness', '28', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '179', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17900002', 'Fire Warrior of Darkness', '70', '45540', '43', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '179', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17900003', 'Succubus Queen of Darkness', '22', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '179', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18000001', 'Fire Archer of Darkness', '38', '45532', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '180', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18000002', 'Fire Warrior of Darkness', '72', '45540', '43', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '180', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18000003', 'Succubus Queen of Darkness', '24', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '180', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18100001', 'Insolent Zenith Queen', '68', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '181', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18100002', 'Lesser Seer', '24', '45586', '44', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '181', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18100003', 'Marquise Vampire', '24', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '181', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18200001', 'Insolent Zenith Queen', '62', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '182', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18200002', 'Lesser Seer', '24', '45586', '44', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '182', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18200003', 'Marquise Vampire', '26', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '182', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18300001', 'Insolent Zenith Queen', '96', '45581', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '183', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18300002', 'Lesser Seer', '22', '45586', '44', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '183', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18300003', 'Zombie Lord of Fear', '14', '45589', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '5', '0', '0', '183', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400001', 'Insolent Zenith Queen', '88', '45581', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400002', 'Lesser Seer', '28', '45586', '44', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400003', 'Zombie Lord of Fear', '24', '45589', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '5', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400004', 'Marquise Vampire', '10', '45604', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18500001', 'Lesser Seer', '84', '45586', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '185', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18500002', 'Zombie Lord of Fear', '22', '45589', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '5', '0', '0', '185', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18500003', 'Marquise Vampire', '32', '45604', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '185', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700001', 'Insolent Zenith Queen', '70', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700002', 'Zombie Lord of Fear', '22', '45589', '44', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700003', 'Marquise Vampire', '50', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800001', 'Insolent Zenith Queen', '70', '45581', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800002', 'Zombie Lord of Fear', '22', '45589', '44', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800003', 'Marquise Vampire', '28', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800004', 'Lesser Seer', '28', '45586', '46', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900001', 'Lesser Seer', '52', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900002', 'Zombie Lord of Fear', '40', '45589', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900003', 'Marquise Vampire', '46', '45604', '46', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000001', 'Lesser Seer', '52', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000002', 'Zombie Lord of Fear', '48', '45589', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000003', 'Marquise Vampire', '46', '45604', '46', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100001', 'Great Spirit of Earth', '26', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100002', 'Great Spirit of Water', '28', '45620', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100003', 'Great Spirit of Wind', '28', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19100004', 'Great Spirit of Fire', '28', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '191', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200001', 'Iris', '30', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200002', 'Mummy Lord', '24', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200003', 'Great Spirit of Earth', '18', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200004', 'Great Spirit of Water', '14', '45620', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200005', 'Great Spirit of Wind', '16', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19200006', 'Great Spirit of Fire', '16', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '192', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300001', 'Iris', '30', '45595', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300002', 'Mummy Lord', '24', '45616', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300003', 'Great Spirit of Earth', '16', '45619', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300004', 'Great Spirit of Water', '14', '45620', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300005', 'Great Spirit of Wind', '18', '45621', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19300006', 'Great Spirit of Fire', '18', '45622', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '193', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400001', 'Iris', '28', '45595', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400002', 'Mummy Lord', '22', '45616', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400003', 'Great Spirit of Earth', '18', '45619', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400004', 'Great Spirit of Water', '14', '45620', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400005', 'Great Spirit of Wind', '16', '45621', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400006', 'Great Spirit of Fire', '16', '45622', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19400007', 'Knight Vald', '18', '45664', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '194', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500001', 'Great Spirit of Earth', '30', '45619', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500002', 'Great Spirit of Water', '28', '45620', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500003', 'Great Spirit of Wind', '30', '45621', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19500004', 'Great Spirit of Fire', '30', '45622', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '195', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700001', 'Iris', '10', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700002', 'Mummy Lord', '48', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700003', 'Great Spirit of Earth', '16', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700004', 'Great Spirit of Water', '14', '45620', '47', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700005', 'Great Spirit of Wind', '16', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700006', 'Great Spirit of Fire', '14', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19700007', 'Knight Vald', '16', '45664', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '197', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800001', 'Iris', '10', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800002', 'Mummy Lord', '46', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800003', 'Great Spirit of Earth', '12', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800004', 'Great Spirit of Water', '14', '45620', '48', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800005', 'Great Spirit of Wind', '24', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800006', 'Great Spirit of Fire', '14', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19800007', 'Knight Vald', '42', '45664', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '198', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900001', 'Iris', '10', '45595', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900002', 'Mummy Lord', '48', '45616', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900003', 'Great Spirit of Earth', '10', '45619', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900004', 'Great Spirit of Water', '8', '45620', '48', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900005', 'Great Spirit of Wind', '24', '45621', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900006', 'Great Spirit of Fire', '18', '45622', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19900007', 'Knight Vald', '28', '45664', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '199', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000001', 'Great Spirit of Earth', '40', '45619', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000002', 'Great Spirit of Water', '40', '45620', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000003', 'Great Spirit of Wind', '40', '45621', '48', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000004', 'Great Spirit of Fire', '40', '45622', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('24400001', 'Polluted Elf', '40', '45773', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400002', 'Contaminated Ent', '40', '45774', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400003', 'Polluted Deep Flower', '40', '45775', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400004', 'Polluted Pan', '40', '45776', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400005', 'Polluted Arachne', '40', '45777', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400006', 'Contaminated Fairy', '40', '45771', '0', '32886', '32811', '0', '0', '32886', '32811', '32986', '32911', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400007', 'Polluted Human', '20', '45778', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400008', 'Polluted Human', '20', '45779', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400009', 'Polluted Human', '20', '45780', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400010', 'Polluted Human', '20', '45781', '0', '32937', '33016', '0', '0', '32937', '33016', '32997', '33055', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400011', 'Polluted Great Spirit of Darkness', '40', '45783', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400012', 'Polluted Great Spirit of Light', '40', '45784', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400013', 'Polluted Great Spirit of Earth', '40', '45785', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400014', 'Polluted Great Spirit of Fire', '40', '45786', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400015', 'Polluted Great Spirit of Wind', '40', '45787', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400016', 'Polluted Great Spirit of Water', '40', '45788', '0', '32723', '32962', '0', '0', '32723', '32962', '32863', '33072', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400017', 'Contaminated Orc', '40', '45789', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400018', 'Contaminated Orc Archer', '40', '45790', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400019', 'Polluted Orc Axe Fighter', '40', '45791', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400020', 'Contaminated Orc Warrior', '40', '45792', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400021', 'Contaminated Orc Spearman', '40', '45793', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24400022', 'Polluted Orc Wizard', '40', '45770', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '0', '0', '244', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200001', 'Werewolf', '10', '45803', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200002', 'Vakuuk', '10', '45804', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200003', 'Lizardman', '10', '45805', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200004', 'Crabman', '10', '45806', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200005', 'Doppelganger', '10', '45807', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200006', 'Lycanthrope', '10', '45808', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200007', 'Ratman', '10', '45809', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200008', 'Doppelganger', '10', '45817', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200009', 'Doppelganger', '10', '45826', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25200010', 'Doppleganger', '2', '45828', '0', '32746', '32860', '0', '0', '32576', '32832', '32767', '32895', '5', '0', '0', '252', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300001', 'Merman', '20', '45810', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300002', 'Mutant Crabman', '20', '45811', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300003', 'Sea Dancer', '20', '45812', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300004', 'Mutant Merman', '20', '45813', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300005', 'Shark', '20', '45816', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300006', 'Aste', '20', '45818', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300007', 'Elekkadom', '20', '45819', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300008', 'Turtle Dragon', '20', '45822', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25300009', 'Crustacean', '20', '45823', '0', '32756', '32859', '0', '0', '32704', '32832', '32831', '33023', '5', '0', '0', '253', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400001', 'Mutated Alligator', '30', '45814', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400002', 'Mutant Ramia', '30', '45815', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400003', 'Mutant Werewolf', '30', '45820', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400004', 'Mutant Ramia', '30', '45821', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400005', 'Mutant Lycanthrope', '30', '45824', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400006', 'Mutant Lizardman', '30', '45874', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400007', 'Mutant Lizardman', '30', '45825', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25400008', 'Mutant Lizardman', '30', '45827', '0', '32615', '32793', '0', '0', '32576', '32768', '32767', '32959', '5', '0', '0', '254', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500001', 'Stone Golem of Maino Shaman', '30', '45796', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500002', 'Iron Golem of Maino Shaman', '30', '45798', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500003', 'Lava Golem of Maino Shaman', '30', '45799', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25500004', 'Living Armor of Maino Shaman', '30', '45800', '0', '32812', '32813', '0', '0', '32640', '32768', '32831', '32895', '5', '0', '0', '255', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600001', 'Stone Golem of Maino Shaman', '80', '45796', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600002', 'Maino', '80', '45797', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600003', 'Iron Golem of Maino Shaman', '80', '45798', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25600004', 'Lava Golem of Maino Shaman', '80', '45799', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '0', '0', '256', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30100001', 'Vakuuk', '40', '45116', '0', '32661', '32933', '0', '0', '32640', '32768', '32767', '32959', '5', '0', '0', '301', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30100002', 'Ramia', '40', '45222', '0', '32661', '32933', '0', '0', '32640', '32768', '32767', '32959', '5', '0', '0', '301', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('30100003', 'Gelatinous Cube', '40', '45296', '0', '32661', '32933', '0', '0', '32640', '32768', '32767', '32959', '5', '0', '0', '301', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('32000001', 'Deep Flower', '30', '45273', '0', '32891', '32936', '0', '0', '32798', '32851', '33005', '33021', '0', '60', '120', '320', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000001', 'Priest of Corruption', '14', '45570', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000002', 'Priest of Corruption', '14', '45571', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000003', 'Priest of Corruption', '14', '45582', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000004', 'Priest of Corruption', '14', '45587', '0', '32820', '32888', '0', '0', '32795', '32802', '32845', '32974', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000005', 'Priest of Corruption', '10', '45570', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000006', 'Priest of Corruption', '10', '45571', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000007', 'Priest of Corruption', '10', '45582', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000008', 'Priest of Corruption', '10', '45587', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000009', 'Priest of Corruption', '10', '45605', '0', '32904', '32829', '0', '0', '32875', '32789', '32933', '32870', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000010', 'Succubus of Varlok', '12', '45391', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000011', 'Succubus Queen of Varlok', '12', '45450', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000012', 'Lesser Demon of Varlok', '12', '45482', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000013', 'Baphomet of Varlok', '6', '45569', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000014', 'Beleth of Varlok', '6', '45579', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000015', 'Incarnation of Varlok', '4', '45315', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000016', 'Demon of Varlok', '4', '45647', '0', '32763', '32855', '0', '0', '32728', '32835', '32798', '32875', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000017', 'Plate Worm', '14', '45299', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000018', 'Middle Oum', '14', '45331', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000019', 'Heavy Oum', '14', '45453', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000020', 'Black Wizard', '14', '45425', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000021', 'Dark Forester', '14', '45326', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000022', 'Grave Guardian', '14', '45498', '0', '32883', '32946', '0', '0', '32848', '32887', '32919', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000023', 'Plate Worm', '4', '45299', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000024', 'Middle Oum', '4', '45331', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000025', 'Heavy Oum', '4', '45453', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000026', 'Black Wizard', '4', '45425', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000027', 'Dark Forester', '4', '45326', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41000028', 'Grave Guardian', '4', '45498', '0', '32784', '32986', '0', '0', '32727', '32966', '32841', '33006', '0', '0', '0', '410', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000001', 'Abyss Water Spirit', '1', '45591', '0', '32791', '32839', '0', '0', '32730', '32793', '32852', '32885', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000002', 'Abyss Earth Spirit', '1', '45592', '0', '32791', '32839', '0', '0', '32730', '32793', '32852', '32885', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000003', 'Abyss Wind Spirit', '1', '45593', '0', '32750', '32956', '0', '0', '32719', '32916', '32782', '32997', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000004', 'Abyss Fire Spirit', '1', '45594', '0', '32750', '32956', '0', '0', '32719', '32916', '32782', '32997', '0', '0', '0', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100001', 'Lastabad Tormenter', '20', '45448', '0', '32724', '32848', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100002', 'Dark Elf General', '20', '45669', '0', '32724', '32848', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100003', 'Black Tiger', '20', '45836', '0', '32724', '32848', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45100004', 'Dark Elf Guard', '2', '45412', '0', '32809', '32835', '0', '0', '0', '0', '0', '0', '0', '0', '0', '451', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45200001', 'Dark Elf General', '20', '45669', '0', '32723', '32825', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '452', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45200002', 'Dark Elf General', '20', '45838', '0', '32723', '32825', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '452', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45200003', 'Phantom Knight', '20', '45533', '0', '32723', '32825', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '452', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300001', 'Black Tiger', '20', '45483', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300002', 'Hell Bound', '20', '45512', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300003', 'Wolf Rider', '20', '45467', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300004', 'Lastabad Tormenter', '20', '45837', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300005', 'Wolf Beast Tamer', '20', '45841', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300006', 'Phantom Knight', '20', '45533', '0', '32723', '32851', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300007', 'Dark Elf Guard', '2', '45412', '0', '32738', '32851', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300008', 'Dark Elf Guard', '2', '45412', '0', '32767', '32834', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300009', 'Dark Elf Guard', '2', '45412', '0', '32789', '32853', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45300010', 'Dark Elf Guard', '2', '45412', '0', '32803', '32832', '0', '0', '0', '0', '0', '0', '0', '0', '0', '453', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400001', 'Lastabad Tormenter', '20', '45448', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400002', 'Black Tiger', '20', '45483', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400003', 'Wolf Rider', '20', '45467', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400004', 'Black Tiger', '20', '45836', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400005', 'Wolf Beast Tamer', '20', '45841', '0', '32813', '32823', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400006', 'Dark Elf Guard', '2', '45412', '0', '32747', '32859', '0', '0', '0', '0', '0', '0', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45400007', 'Dark Elf Guard', '2', '45412', '0', '32808', '32824', '0', '0', '0', '0', '0', '0', '0', '0', '0', '454', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500001', 'Phantom Knight', '20', '45533', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500002', 'Wolf Rider', '20', '45467', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500003', 'Wolf Beast Tamer', '20', '45841', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45500004', 'Hell Creature', '20', '45521', '0', '32723', '32853', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '455', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45600001', 'Hell Bound', '20', '45512', '0', '32751', '32871', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '456', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45600002', 'Hell Creature', '20', '45521', '0', '32751', '32871', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '456', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('45600003', 'Crimson Drake', '20', '45526', '0', '32751', '32871', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '456', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000002', 'Heavy Lizardman', '80', '45251', '0', '32791', '32899', '0', '0', '32707', '32791', '32875', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000003', 'Mad Lizardman', '90', '45158', '0', '32791', '32899', '0', '0', '32707', '32791', '32875', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000004', 'Wild Magic', '20', '45197', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000005', 'Wild Fang', '20', '45163', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000006', 'Wild Venom', '20', '45139', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000007', 'Kiwi Parrot', '20', '45249', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48000008', 'Blue Tail', '20', '45239', '0', '32712', '32899', '0', '0', '32660', '32791', '32764', '33007', '0', '0', '0', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000001', 'Oum Warrior', '20', '45466', '0', '32727', '32858', '0', '0', '32640', '32768', '32767', '32895', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000002', 'Dark Elf Soldier', '20', '45830', '0', '32727', '32858', '0', '0', '32640', '32768', '32767', '32895', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000003', 'Cursed Dark Elf Knight', '20', '45831', '0', '32727', '32858', '0', '0', '32640', '32768', '32767', '32895', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49000004', 'Lastabad Palace Guard', '2', '45495', '0', '32696', '32831', '0', '0', '0', '0', '0', '0', '0', '0', '0', '490', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100001', 'Oum Warrior', '20', '45466', '0', '32733', '32859', '0', '0', '32640', '32704', '32767', '32895', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100002', 'Dark Elf Soldier', '20', '45830', '0', '32733', '32859', '0', '0', '32640', '32704', '32767', '32895', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100003', 'Cursed Dark Elf Knight', '20', '45831', '0', '32733', '32859', '0', '0', '32640', '32704', '32767', '32895', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100004', 'Dark Elf Guard', '2', '45412', '0', '32710', '32861', '0', '0', '0', '0', '0', '0', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49100005', 'Dark Elf Guard', '2', '45412', '0', '32728', '32861', '0', '0', '0', '0', '0', '0', '0', '0', '0', '491', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200001', 'Dark Elf Soldier', '20', '45830', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200002', 'Thief of Darkness', '20', '45475', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200003', 'Assassin of Blood', '20', '45489', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200004', 'Cursed Dark Elf Knight', '20', '45831', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49200005', 'Lastabad Palace Guard', '20', '45495', '0', '32785', '32813', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '492', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300001', 'Oum Warrior', '30', '45466', '0', '32797', '32813', '0', '0', '32704', '32704', '32831', '32831', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300002', 'Thief of Darkness', '30', '45475', '0', '32797', '32813', '0', '0', '32704', '32704', '32831', '32831', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300003', 'Dark Elf Guard', '2', '45412', '0', '32751', '32730', '0', '0', '0', '0', '0', '0', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49300004', 'Lastabad Palace Guard', '2', '45495', '0', '32748', '32780', '0', '0', '0', '0', '0', '0', '0', '0', '0', '493', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49400001', 'Dark Elf Sodier', '20', '45830', '0', '32790', '32761', '0', '0', '32768', '32704', '32895', '32831', '0', '0', '0', '494', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49400002', 'Dark Elf Soldier', '20', '45831', '0', '32790', '32761', '0', '0', '32768', '32704', '32895', '32831', '0', '0', '0', '494', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49400003', 'Lastabad Palace Guard', '20', '45495', '0', '32790', '32761', '0', '0', '32768', '32704', '32895', '32831', '0', '0', '0', '494', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49500001', 'Oum Warrior', '20', '45466', '0', '32721', '32861', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '495', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49500002', 'Thief of Darkness', '20', '45475', '0', '32721', '32861', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '495', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49500003', 'Assassin of Blood', '20', '45489', '0', '32721', '32861', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '495', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49600001', 'Oum Warrior', '20', '45466', '0', '32791', '32815', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '496', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49600002', 'Assassin of Blood', '20', '45489', '0', '32791', '32815', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '496', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('49600003', 'Heavy Oum Warrior', '20', '45518', '0', '32791', '32815', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '496', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300001', 'Priest of Chaos', '20', '45226', '0', '32705', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300002', 'Priest of Death', '20', '45536', '0', '32705', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300003', 'Priest of Death', '20', '45542', '0', '32705', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300004', 'Disciple of Death', '20', '45575', '0', '32703', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300005', 'Disciple of Death', '20', '45597', '0', '32703', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52300006', 'Disciple of Death', '20', '45598', '0', '32702', '32895', '0', '0', '32656', '32861', '32750', '32930', '0', '0', '0', '523', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400001', 'Guardsman of Yahee', '6', '45596', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400002', 'Guardsman of Yahee', '6', '45623', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400003', 'Guardsman of Yahee', '6', '45624', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400004', 'Guardsman of Yahee', '6', '45628', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400005', 'Guardsman of Yahee', '6', '45629', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400006', 'Guardsman of Yahee', '6', '45630', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400007', 'Guardsman of Yahee', '6', '45631', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('52400008', 'Guardsman of Yahee', '6', '45632', '0', '32702', '32896', '0', '0', '32654', '32853', '32751', '32940', '0', '0', '0', '524', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000001', 'Sea Depths Zombie', '140', '45715', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000002', 'Troglodyte Scout', '140', '45716', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000003', 'Sea Depths Ghoul', '140', '45718', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000004', 'Forgotten Mimic', '140', '45713', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000005', 'Grave Crocodile', '60', '45719', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000006', 'Drowned Male', '140', '45720', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000007', 'Drowned Female', '140', '45721', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55000008', 'Dark Elemental', '60', '45723', '0', '32844', '32694', '0', '0', '32384', '32640', '32895', '33151', '0', '0', '0', '550', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800001', 'Shark', '140', '45724', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800002', 'Grave Crabman', '140', '45725', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800003', 'Bone Eel', '140', '45726', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800004', 'Grave Sea Dancer', '100', '45727', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800005', 'Deep Sea Fish', '100', '45728', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800006', 'Ugly Mermaid', '100', '45730', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800007', 'Grave Elekkadom', '100', '45732', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('55800008', 'Grave Crustacean', '100', '45733', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '0', '0', '558', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60000001', 'Lesser Demon', '24', '45736', '0', '32757', '32794', '0', '0', '32704', '32768', '32831', '32831', '0', '0', '0', '600', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('60100001', 'Lesser Demon', '50', '45736', '0', '32724', '32830', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100002', 'Shiboin of Earth', '12', '45739', '0', '32736', '32859', '0', '0', '32736', '32859', '32765', '32880', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100003', 'Shiboin of Waves', '12', '45740', '0', '32801', '32868', '0', '0', '32801', '32868', '32838', '32881', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100004', 'Shiboin of Fire', '12', '45741', '0', '32811', '32793', '0', '0', '32811', '32793', '32840', '32807', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100005', 'Shiboin of Wind', '12', '45742', '0', '32739', '32786', '0', '0', '32739', '32786', '32772', '32818', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100006', 'Shiboin of Earth', '4', '45739', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100007', 'Shiboin of Waves', '4', '45740', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100008', 'Shiboin of Fire', '4', '45741', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60100009', 'Shiboin of Wind', '4', '45742', '0', '32853', '32806', '0', '0', '32853', '32806', '32877', '32861', '0', '0', '0', '601', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60400001', 'Shiboin of Waves', '40', '45740', '0', '32830', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '604', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60400002', 'Judigo', '80', '45744', '0', '32830', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '604', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60400003', 'Dego', '80', '45745', '0', '32830', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '604', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60500001', 'Shiboin of Fire', '40', '45741', '0', '32835', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '605', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60500002', 'Deangus', '40', '45746', '0', '32835', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '605', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60500003', 'Angus', '40', '45747', '0', '32835', '32822', '0', '0', '32768', '32768', '32895', '32895', '0', '0', '0', '605', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60600001', 'Shiboin of Wind', '40', '45742', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '606', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60600002', 'Paj', '40', '45748', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '606', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60600003', 'Pasaj', '40', '45750', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '606', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60700001', 'Shiboin of Earth', '40', '45739', '0', '32757', '32842', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '607', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('60700002', 'Sand Tomb', '80', '45743', '0', '32773', '32835', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '607', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('801500001', 'Monster Mushroom', '8', '45020', '0', '32800', '32778', '0', '0', '32796', '32774', '32804', '32782', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500002', 'Monster Mushroom', '8', '45020', '0', '32799', '32749', '0', '0', '32796', '32745', '32803', '32753', '4', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500003', 'Monster Mushroom', '8', '45020', '0', '32807', '32767', '0', '0', '32803', '32763', '32811', '32771', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500004', 'Monster Mushroom', '8', '45020', '0', '32800', '32787', '0', '0', '32796', '32783', '32804', '32791', '6', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500005', 'Monster Mushroom', '8', '45020', '0', '32810', '32790', '0', '0', '32806', '32786', '32814', '32794', '4', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500006', 'Kobold', '8', '45754', '0', '32775', '32800', '0', '0', '32772', '32797', '32778', '32803', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500007', 'Kobold', '8', '45754', '0', '32739', '32800', '0', '0', '32736', '32797', '32742', '32803', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500008', 'Kobold', '8', '45754', '0', '32745', '32779', '0', '0', '32742', '32776', '32748', '32782', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500009', 'Kobold', '8', '45754', '0', '32763', '32782', '0', '0', '32760', '32779', '32766', '32785', '3', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500010', 'Goblin', '20', '45755', '0', '32800', '32741', '0', '0', '32770', '32711', '32830', '32771', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500011', 'Goblin', '20', '45755', '0', '32755', '32786', '0', '0', '32735', '32766', '32775', '32806', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500012', 'Orc', '24', '45756', '0', '32738', '32746', '0', '0', '32700', '32710', '32776', '32760', '4', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500013', 'Zombie', '6', '45757', '0', '32800', '32741', '0', '0', '32770', '32711', '32830', '32771', '7', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500014', 'Zombie', '4', '45757', '0', '32751', '32765', '0', '0', '32721', '32735', '32781', '32795', '6', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500015', 'Milk Cow', '1', '70984', '0', '32755', '32787', '0', '0', '32725', '32767', '32785', '32807', '6', '20', '20', '8015', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400006', 'Maid of the Ice Queen', '2', '45102', '0', '32767', '32900', '0', '0', '32763', '32886', '32783', '32910', '5', '60', '120', '74', '1', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('7400005', 'Iron Golem', '10', '45372', '0', '32731', '32854', '0', '0', '32704', '32832', '32831', '32959', '5', '0', '0', '74', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500330', 'Dark Elf General', '5', '46047', '0', '32820', '32899', '0', '0', '32710', '32869', '32809', '32930', '0', '20', '20', '450', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500329', 'Dark Elf Apprentice', '5', '45256', '0', '32820', '32899', '0', '0', '32710', '32869', '32809', '32930', '0', '20', '20', '450', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500328', 'Dark Elemental', '5', '45254', '0', '32820', '32899', '0', '0', '32710', '32869', '32809', '32930', '0', '20', '20', '450', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500327', 'Dark Elf Guard', '7', '45287', '0', '32820', '32899', '0', '0', '32710', '32869', '32809', '32930', '0', '20', '20', '450', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500326', 'Dark Elf Ranger', '6', '45397', '0', '32820', '32899', '0', '0', '32710', '32869', '32809', '32930', '0', '20', '20', '450', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500325', 'Dark Elf Soldier', '5', '45398', '0', '32820', '32899', '0', '0', '32710', '32869', '32809', '32930', '0', '20', '20', '450', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500324', 'Deep Flower', '6', '45273', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500323', 'Dire Wolf', '3', '45237', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500322', 'Dire Bear', '3', '45252', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500321', 'Dire Bat', '2', '45219', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500320', 'Mole', '2', '45311', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500319', 'Dark Elf General', '4', '46047', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500318', 'Dark Elf Apprentice', '4', '45256', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500317', 'Dark Elemental', '5', '45254', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500316', 'Dark Elf Guard', '5', '45287', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500315', 'Dark Elf Ranger', '5', '45397', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500314', 'Dark Elf Thief', '3', '45220', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500313', 'Dark Elf Soldier', '2', '45398', '0', '32934', '32814', '0', '0', '32915', '32782', '32953', '32847', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500312', 'Deep Flower', '6', '45273', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500310', 'Dire Bear', '5', '45252', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500311', 'Dire Wolf', '5', '45237', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500309', 'Dire Bat', '2', '45219', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500308', 'Mole', '2', '45311', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500307', 'Dark Elf General', '5', '46047', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500306', 'Dark Elf Apprentice', '5', '45256', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500305', 'Dark Elemental', '7', '45254', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500304', 'Dark Elf Guard', '7', '45287', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500303', 'Dark Elf Ranger', '7', '45397', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500302', 'Dark Elf Thief', '3', '45220', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500301', 'Dark Elf Soldier', '2', '45398', '0', '32949', '32677', '0', '0', '32911', '32621', '32987', '32733', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500300', 'Deep Flower', '3', '45273', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500299', 'Dark Elf Thief', '2', '45220', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500298', 'Dark Elf Carrier', '2', '45350', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500297', 'Dire Bat', '2', '45219', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500296', 'Mole', '2', '45311', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500295', 'Dire Wolf', '2', '45237', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500294', 'Dire Bear', '2', '45252', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500293', 'Dark Elf Beast Tamer', '2', '45414', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500292', 'Beast Summoner', '1', '45368', '0', '32967', '32752', '0', '0', '32898', '32746', '33003', '32759', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500291', 'Mole', '5', '45311', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500290', 'Deep Flower', '12', '45273', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500289', 'Dire Wolf', '6', '45237', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500288', 'Dire Bear', '6', '45252', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500287', 'Dark Elf Beast Tamer', '6', '45414', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500286', 'Black Tiger', '10', '45357', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500285', 'Beast Summoner', '5', '45368', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500284', 'Dark Elf Thief', '7', '45220', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500283', 'Dark Elf Soldier', '7', '45398', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500282', 'Dark Elf Carrier', '7', '45350', '0', '32820', '32777', '0', '0', '32749', '32729', '32891', '32845', '0', '20', '20', '400', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900008', 'Corrupt Zombie General', '10', '46034', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900007', 'Corrupt Zombie Wizard', '5', '46033', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900006', 'Corrupt Zombie Spearman', '8', '46032', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900005', 'Corrupt Skeleton Soldier', '8', '46031', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900004', 'Corrupt Skeleton Axeman', '8', '46030', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900003', 'Corrupt Skeleton Archer', '8', '46029', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900002', 'Corrupt Zombie', '10', '46028', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25900001', 'Corrupt Zombie', '10', '46027', '0', '32725', '32888', '0', '0', '32704', '32768', '32767', '32959', '0', '0', '0', '259', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800020', 'Corrupt Skeleton Knight', '1', '46036', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '300', '900', '258', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800019', 'Corrupt Zombie Lord', '1', '46035', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '300', '900', '258', '1', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800018', 'Corrupt Zombie General', '20', '46034', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800017', 'Corrupt Zombie Wizard', '10', '46033', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800016', 'Corrupt Zombie Spearman', '20', '46032', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800015', 'Corrupt Skeleton Soldier', '20', '46031', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25800014', 'Corrupt Skeleton Axeman', '20', '46030', '0', '32790', '33120', '0', '0', '32640', '32951', '32831', '33151', '0', '0', '0', '258', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('50228', 'market guard', '1', '50058', '0', '32737', '32784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '370', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50227', 'market guard', '1', '50058', '0', '32740', '32784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '370', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50226', 'market guard', '1', '50058', '0', '32735', '32814', '0', '0', '0', '0', '0', '0', '4', '0', '0', '370', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50225', 'market guard', '1', '50058', '0', '32732', '32814', '0', '0', '0', '0', '0', '0', '4', '0', '0', '370', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50224', 'market guard', '1', '50048', '0', '32734', '32815', '0', '0', '0', '0', '0', '0', '4', '0', '0', '360', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50223', 'market guard', '1', '50048', '0', '32738', '32815', '0', '0', '0', '0', '0', '0', '4', '0', '0', '360', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50222', 'market guard', '1', '50048', '0', '32735', '32784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '360', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50221', 'market guard', '1', '50048', '0', '32739', '32784', '0', '0', '0', '0', '0', '0', '0', '0', '0', '360', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50215', 'market guard', '1', '50032', '0', '32671', '32847', '0', '0', '0', '0', '0', '0', '2', '0', '0', '350', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50214', 'market guard', '1', '50032', '0', '32671', '32852', '0', '0', '0', '0', '0', '0', '2', '0', '0', '350', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50213', 'market guard', '1', '50032', '0', '32726', '32842', '0', '0', '0', '0', '0', '0', '6', '0', '0', '350', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50212', 'market guard', '1', '50032', '0', '32708', '32806', '0', '0', '0', '0', '0', '0', '4', '0', '0', '350', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50211', 'market guard', '1', '50032', '0', '32703', '32806', '0', '0', '0', '0', '0', '0', '4', '0', '0', '350', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50203', 'market guard', '1', '50025', '0', '32761', '32871', '0', '0', '0', '0', '0', '0', '4', '0', '0', '340', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50202', 'market guard', '1', '50025', '0', '32756', '32871', '0', '0', '0', '0', '0', '0', '4', '0', '0', '340', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50037', 'market teleporter', '1', '50060', '0', '33095', '33358', '0', '0', '0', '0', '0', '0', '5', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50036', 'market teleporter', '1', '50060', '0', '33077', '33383', '0', '0', '0', '0', '0', '0', '5', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50050', 'market teleporter', '1', '50059', '0', '32735', '32790', '0', '0', '0', '0', '0', '0', '5', '0', '0', '370', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50042', 'market teleporter', '1', '50050', '0', '34062', '32273', '0', '0', '0', '0', '0', '0', '4', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50041', 'market teleporter', '1', '50050', '0', '34061', '32305', '0', '0', '0', '0', '0', '0', '4', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50052', 'market teleporter', '1', '50049', '0', '32735', '32790', '0', '0', '0', '0', '0', '0', '5', '0', '0', '360', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50044', 'market teleporter', '1', '50034', '0', '33510', '32766', '0', '0', '0', '0', '0', '0', '4', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50043', 'market teleporter', '1', '50034', '0', '33438', '32809', '0', '0', '0', '0', '0', '0', '5', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50054', 'market teleporter', '1', '50033', '0', '32703', '32840', '0', '0', '0', '0', '0', '0', '6', '0', '0', '350', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50046', 'market teleporter', '1', '50026', '0', '32780', '32846', '0', '0', '0', '0', '0', '0', '4', '0', '0', '340', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50039', 'market teleporter', '1', '50027', '0', '32629', '32721', '0', '0', '0', '0', '0', '0', '5', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('50038', 'market teleporter', '1', '50027', '0', '32634', '32797', '0', '0', '0', '0', '0', '0', '6', '0', '0', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500352', 'Kobold', '1', '45016', '0', '33127', '33412', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500353', 'Kobold', '1', '45016', '0', '33104', '33431', '12', '12', '0', '0', '0', '0', '5', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500354', 'Kobold', '1', '45016', '0', '33061', '33439', '12', '12', '0', '0', '0', '0', '6', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500355', 'Kobold', '1', '45016', '0', '33033', '33431', '12', '12', '0', '0', '0', '0', '6', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500356', 'Kobold', '1', '45016', '0', '33014', '33403', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500357', 'Kobold', '1', '45016', '0', '32985', '33363', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500358', 'Kobold', '1', '45016', '0', '33069', '33348', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500359', 'Fire Egg', '1', '45206', '0', '33637', '32421', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500360', 'Fire Egg', '1', '45206', '0', '33648', '32419', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500361', 'Fire Egg', '1', '45206', '0', '33614', '32390', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500362', 'Fire Egg', '1', '45206', '0', '33610', '32382', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500363', 'Fire Egg', '1', '45206', '0', '33613', '32384', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500364', 'Fire Egg', '1', '45206', '0', '33640', '32384', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500365', 'Fire Egg', '1', '45206', '0', '33659', '32375', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500366', 'Fire Egg', '1', '45206', '0', '33662', '32372', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500367', 'Fire Egg', '1', '45206', '0', '33656', '32362', '12', '12', '0', '0', '0', '0', '5', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500368', 'Fire Egg', '1', '45206', '0', '33653', '32365', '12', '12', '0', '0', '0', '0', '5', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500369', 'Fire Egg', '1', '45206', '0', '33644', '32360', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500370', 'Fire Egg', '1', '45206', '0', '33642', '32356', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500371', 'Fire Egg', '1', '45206', '0', '33657', '32343', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500372', 'Fire Egg', '1', '45206', '0', '33659', '32341', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500373', 'Fire Egg', '1', '45206', '0', '33660', '32334', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500374', 'Fire Egg', '1', '45206', '0', '33662', '32332', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500375', 'Fire Egg', '1', '45206', '0', '33653', '32317', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500376', 'Fire Egg', '1', '45206', '0', '33652', '32311', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500377', 'Fire Egg', '1', '45206', '0', '33658', '32297', '12', '12', '0', '0', '0', '0', '2', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500378', 'Fire Egg', '1', '45206', '0', '33660', '32299', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500379', 'Fire Egg', '1', '45206', '0', '33675', '32309', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500380', 'Fire Egg', '1', '45206', '0', '33678', '32316', '12', '12', '0', '0', '0', '0', '3', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500381', 'Fire Egg', '1', '45206', '0', '33704', '32328', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500382', 'Fire Egg', '1', '45206', '0', '33705', '32327', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500383', 'Fire Egg', '1', '45206', '0', '33705', '32309', '12', '12', '0', '0', '0', '0', '0', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500384', 'Fire Egg', '1', '45206', '0', '33713', '32302', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500385', 'Fire Egg', '1', '45206', '0', '33714', '32292', '12', '12', '0', '0', '0', '0', '7', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500386', 'Fire Egg', '1', '45206', '0', '33717', '32284', '12', '12', '0', '0', '0', '0', '1', '20', '20', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500388', 'Tiger', '1', '45313', '0', '32807', '32837', '12', '12', '0', '0', '0', '0', '3', '20', '20', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500389', 'Tiger', '1', '45313', '0', '32729', '32853', '12', '12', '0', '0', '0', '0', '4', '20', '20', '480', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500390', 'Dark Elf Thief', '1', '45272', '0', '32976', '32921', '12', '12', '0', '0', '0', '0', '6', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500391', 'Dark Elf Thief', '1', '45272', '0', '32973', '32913', '12', '12', '0', '0', '0', '0', '7', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500392', 'Dark Elf Thief', '1', '45272', '0', '32978', '32911', '12', '12', '0', '0', '0', '0', '2', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500393', 'Dark Elf Thief', '1', '45272', '0', '32985', '32911', '12', '12', '0', '0', '0', '0', '2', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500394', 'Dark Elf Thief', '1', '45272', '0', '32990', '32909', '12', '12', '0', '0', '0', '0', '7', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500395', 'Dark Elf Thief', '1', '45272', '0', '32978', '32904', '12', '12', '0', '0', '0', '0', '7', '20', '20', '308', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500399', 'Orc', '1', '45017', '0', '33088', '32265', '12', '12', '0', '0', '0', '0', '6', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500400', 'Orc', '1', '45017', '0', '33104', '32283', '12', '12', '0', '0', '0', '0', '3', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500401', 'Fungus', '2', '45029', '0', '33133', '32224', '6', '6', '0', '0', '0', '0', '0', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500398', 'Orc', '1', '45017', '0', '33114', '32253', '12', '12', '0', '0', '0', '0', '2', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500397', 'Orc', '1', '45017', '0', '33095', '32235', '12', '12', '0', '0', '0', '0', '7', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500402', 'Fungus', '2', '45029', '0', '33125', '32222', '6', '6', '0', '0', '0', '0', '7', '20', '30', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('41', 'Frog', '1', '45005', '0', '32565', '32297', '0', '0', '0', '0', '0', '0', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('1821', 'Gremlin', '15', '45025', '0', '0', '0', '0', '0', '32795', '33333', '32934', '33381', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1822', 'Gremlin', '12', '45025', '0', '0', '0', '0', '0', '32810', '32820', '32950', '32850', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1823', 'Gremlin', '8', '45025', '0', '0', '0', '0', '0', '32900', '32775', '32960', '32830', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1824', 'Gremlin', '1', '45025', '0', '32706', '32801', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1825', 'Gremlin', '1', '45025', '0', '32736', '32806', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1826', 'Gremlin', '1', '45025', '0', '32770', '32837', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1827', 'Gremlin', '1', '45025', '0', '32814', '32834', '10', '10', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1831', 'Eidlon', '25', '45027', '0', '0', '0', '0', '0', '33260', '32580', '33640', '32610', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1832', 'Eidlon', '10', '45027', '0', '0', '0', '0', '0', '33500', '32620', '33565', '32680', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1833', 'Eidlon', '25', '45027', '0', '0', '0', '0', '0', '33550', '32745', '33690', '32900', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1834', 'Eidlon', '20', '45027', '0', '0', '0', '0', '0', '33300', '32890', '33600', '33000', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('1835', 'Eidlon', '20', '45027', '0', '0', '0', '0', '0', '33260', '32610', '33300', '32980', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26401', 'Frog', '1', '45005', '0', '33605', '33214', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('26500', 'Orc Elder', '1', '45119', '0', '32629', '32809', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26501', 'Orc Elder', '1', '45119', '0', '32641', '32821', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26502', 'Orc Elder', '1', '45119', '0', '32676', '32815', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26503', 'Orc Elder', '1', '45119', '0', '32650', '32827', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26504', 'Orc Elder', '1', '45119', '0', '32680', '32835', '3', '3', '0', '0', '0', '0', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26505', 'Orc Elder', '10', '45119', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26506', 'Orc', '25', '45018', '0', '0', '0', '0', '0', '32640', '32790', '32750', '32870', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26507', 'Orc', '10', '45018', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26508', 'Fungus', '15', '45030', '0', '0', '0', '0', '0', '32700', '32810', '32750', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26509', 'Orc Archer', '30', '45050', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26510', 'Zombie', '25', '45066', '0', '0', '0', '0', '0', '32630', '32800', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26511', 'Crawling Claw', '15', '45084', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26512', 'Crawling Claw', '10', '45084', '0', '0', '0', '0', '0', '32700', '32810', '32750', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26513', 'Werewolf', '15', '45094', '0', '0', '0', '0', '0', '32640', '32790', '32750', '32870', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26514', 'Werewolf', '10', '45094', '0', '0', '0', '0', '0', '32700', '32810', '32750', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26515', 'Orc Zombie', '20', '45109', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26516', 'Skeleton', '30', '45114', '0', '0', '0', '0', '0', '32640', '32830', '32690', '33000', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26517', 'Skeleton', '10', '45114', '0', '0', '0', '0', '0', '32650', '32900', '32725', '33000', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26518', 'Orc Fighter', '20', '45120', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26519', 'Orc Fighter', '10', '45120', '0', '0', '0', '0', '0', '32700', '32810', '32750', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26520', 'Skeleton Archer', '20', '45129', '0', '0', '0', '0', '0', '32640', '32830', '32690', '33000', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26521', 'Skeleton Archer', '10', '45129', '0', '0', '0', '0', '0', '32650', '32900', '32725', '33000', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26522', 'Stone Golem', '5', '45134', '0', '0', '0', '0', '0', '32660', '32800', '32740', '32830', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26523', 'Stone Golem', '10', '45134', '0', '0', '0', '0', '0', '32720', '32830', '32760', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26524', 'Stone Golem', '5', '45134', '0', '0', '0', '0', '0', '32700', '32810', '32750', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26525', 'Lizardman', '20', '45145', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26526', 'Lizardman', '15', '45145', '0', '0', '0', '0', '0', '32640', '32830', '32690', '33000', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26527', 'Owlbear', '15', '45148', '0', '0', '0', '0', '0', '32660', '32830', '32730', '32970', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26528', 'Spartoi', '10', '45181', '0', '0', '0', '0', '0', '32640', '32830', '32690', '33000', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('26529', 'Spartoi', '15', '45181', '0', '0', '0', '0', '0', '32650', '32900', '32725', '33000', '0', '60', '120', '304', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100008', 'Betrayed Orc Chief', '2', '45179', '0', '32767', '32767', '0', '0', '32731', '32773', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100009', 'Contaminated Troll', '5', '45186', '0', '32767', '32767', '0', '0', '32704', '32704', '32766', '32774', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100010', 'Contaminated Troll', '5', '45186', '0', '32767', '32767', '0', '0', '32731', '32773', '32831', '32831', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100011', 'Assasin', '10', '45336', '0', '32790', '32743', '0', '0', '32790', '32743', '32805', '32749', '5', '0', '0', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('2100012', 'Assasin Master', '1', '45504', '0', '32802', '32746', '1', '1', '0', '0', '0', '0', '0', '60', '120', '21', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('10200004', 'Medusa', '10', '45380', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '102', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10300005', 'Cimaera', '10', '45407', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '103', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10400005', 'Cimaera', '12', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '104', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500004', 'Medusa', '1', '45380', '24', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500005', 'Cimaera', '35', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10500006', 'Cimaera', '3', '45407', '25', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '105', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700004', 'Medusa', '2', '45380', '24', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700005', 'Cimaera', '23', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10700006', 'Cimaera', '5', '45407', '25', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '107', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800004', 'Medusa', '3', '45380', '24', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800005', 'Cimaera', '25', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10800006', 'Cimaera', '5', '45407', '25', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '108', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900004', 'Medusa', '3', '45380', '24', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900005', 'Cimaera', '22', '45407', '0', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('10900006', 'Cimaera', '5', '45407', '25', '32670', '32861', '0', '0', '32576', '32768', '32767', '32959', '0', '0', '0', '109', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000004', 'Medusa', '3', '45380', '24', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000005', 'Cimaera', '23', '45407', '0', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11000006', 'Cimaera', '5', '45407', '25', '32800', '32799', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '110', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11100003', 'Dire Wolf', '10', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '111', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11200004', 'Dire Wolf', '12', '45409', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '112', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11300004', 'Dire Wolf', '13', '45409', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '113', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400004', 'Dire Wolf', '8', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11400005', 'Dire Wolf', '2', '45409', '28', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '114', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500004', 'Dire Wolf', '24', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11500005', 'Dire Wolf', '5', '45409', '28', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '115', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700004', 'Wicked Beholder', '3', '45406', '29', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700005', 'Dire Wolf', '23', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11700006', 'Dire Wolf', '5', '45409', '28', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '117', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800004', 'Wicked Beholder', '3', '45406', '29', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800005', 'Dire Wolf', '25', '45409', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11800006', 'Dire Wolf', '5', '45409', '28', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '118', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900004', 'Wicked Beholder', '3', '45406', '29', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900005', 'Dire Wolf', '30', '45409', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('11900006', 'Dire Wolf', '5', '45409', '28', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '119', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000004', 'Wicked Beholder', '5', '45406', '29', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000005', 'Dire Wolf', '20', '45409', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12000006', 'Dire Wolf', '10', '45409', '28', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '120', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12100003', 'Nightmare', '30', '45440', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '121', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12100004', 'Nightmare', '5', '45440', '31', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '121', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200004', 'Nightmare', '5', '45440', '31', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200005', 'Horrific Cerberus', '14', '45471', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12200006', 'Horrific Cerberus', '3', '45471', '33', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '122', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300004', 'Nightmare', '5', '45440', '31', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300005', 'Horrific Cerberus', '10', '45471', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12300006', 'Horrific Cerberus', '3', '45471', '33', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '123', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400004', 'Nightmare', '5', '45440', '31', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400005', 'Horrific Cerberus', '6', '45471', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12400006', 'Horrific Cerberus', '3', '45471', '33', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '124', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500004', 'Horrific Cerberus', '3', '45471', '33', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500005', 'Lesser Demon', '25', '45481', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12500006', 'Lesser Demon', '5', '45481', '34', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '125', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700004', 'Lesser Demon', '5', '45481', '34', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700005', 'Ifrit', '5', '45515', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12700006', 'Ifrit', '2', '45515', '35', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '127', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800004', 'Lesser Demon', '5', '45481', '34', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800005', 'Ifrit', '7', '45515', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12800006', 'Ifrit', '3', '45515', '35', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '128', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900004', 'Lesser Demon', '5', '45481', '34', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900005', 'Ifrit', '6', '45515', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('12900006', 'Ifrit', '3', '45515', '35', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '129', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000005', 'Lesser Demon', '5', '45481', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000006', 'Lesser Demon', '5', '45481', '34', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000007', 'Ifrit', '5', '45515', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13000008', 'Ifrit', '5', '45515', '35', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '130', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13100003', 'Raging Ghoul', '2', '45454', '37', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '131', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200004', 'Raging Ghoul', '3', '45454', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13200005', 'Raging Ghoul', '1', '45454', '37', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '132', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300004', 'Raging Ghoul', '3', '45454', '37', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13300005', 'raging Spartoi', '7', '45455', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '133', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400004', 'Raging Ghoul', '2', '45454', '37', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400005', 'raging Spartoi', '8', '45455', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13400006', 'raging Spartoi', '2', '45455', '38', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '134', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500004', 'raging Spartoi', '5', '45455', '38', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500005', 'Raging Skeleton Marksman', '8', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13500006', 'Raging Skeleton Marksman', '2', '45494', '39', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '135', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700004', 'Raging Skeleton Marksman', '6', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13700005', 'Raging Skeleton Marksman', '2', '45494', '39', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '137', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800004', 'Raging Skeleton Marksman', '8', '45494', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13800005', 'Raging Skeleton Marksman', '2', '45494', '39', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '138', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900004', 'Raging Skeleton Marksman', '7', '45494', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('13900005', 'Raging Skeleton Marksman', '3', '45494', '39', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '0', '0', '0', '139', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000004', 'Raging Skeleton Marksman', '11', '45494', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('14000005', 'Raging Skeleton Marksman', '3', '45494', '39', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '140', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15700004', 'Cursed Elmore General', '2', '45541', '40', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '157', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15800005', 'Cursed Elmore General', '3', '45541', '40', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '158', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('15900004', 'Cursed Elmore General', '3', '45541', '40', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '159', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16000004', 'Cursed Elmore General', '3', '45541', '40', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '160', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700004', 'Astagio of Fire', '5', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16700005', 'Astagio of Fire', '2', '45572', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '167', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800005', 'Astagio of Fire', '5', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16800006', 'Astagio of Fire', '2', '45572', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '168', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900004', 'Astagio of Fire', '5', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('16900005', 'Astagio of Fire', '2', '45572', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '169', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000004', 'Astagio of Fire', '5', '45572', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17000005', 'Astagio of Fire', '2', '45572', '41', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '170', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17700004', 'Succubus Queen of Darkness', '11', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '177', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17800005', 'Succubus Queen of Darkness', '11', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '178', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('17900004', 'Succubus Queen of Darkness', '11', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '179', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18000004', 'Succubus Queen of Darkness', '12', '45580', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '180', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18100004', 'Marquise Vampire', '14', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '181', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18200004', 'Marquise Vampire', '15', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '182', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18300004', 'Zombie Lord of Fear', '7', '45589', '0', '32670', '32861', '0', '0', '32602', '32794', '32741', '32933', '5', '0', '0', '183', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18400005', 'Marquise Vampire', '5', '45604', '0', '32798', '32798', '0', '0', '32722', '32722', '32877', '32877', '0', '0', '0', '184', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700004', 'Zombie Lord of Fear', '2', '45589', '46', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '5', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700005', 'Marquise Vampire', '16', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18700006', 'Marquise Vampire', '3', '45604', '45', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '187', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800005', 'Marquise Vampire', '8', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800006', 'Marquise Vampire', '2', '45604', '45', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18800007', 'Lesser Seer', '14', '45586', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '188', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900004', 'Marquise Vampire', '14', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('18900005', 'Marquise Vampire', '3', '45604', '45', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '189', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000004', 'Marquise Vampire', '14', '45604', '0', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('19000005', 'Marquise Vampire', '3', '45604', '45', '32670', '32861', '0', '0', '32593', '32785', '32750', '32942', '0', '0', '0', '190', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000005', 'Great Spirit of Fire', '14', '45622', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('20000006', 'Great Spirit of Fire', '3', '45622', '47', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '0', '0', '0', '200', '0', '0', '0', '1');
INSERT INTO `spawnlist` VALUES ('46000001', 'Guardian of Darkness Spirit', '15', '45465', '0', '32792', '32866', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '460', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46000002', 'Dark Forester', '15', '45474', '0', '32792', '32866', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '460', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46000003', 'Dark Elf Wizard', '15', '45846', '0', '32792', '32866', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '460', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46000004', 'Dark Elf Guard', '1', '45412', '0', '32807', '32852', '0', '0', '0', '0', '0', '0', '0', '0', '0', '460', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100001', 'Guardian of Earth Spirit', '15', '45459', '0', '32658', '32862', '0', '0', '32640', '32768', '32895', '32895', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100002', 'Guardian of Water Spirit', '15', '45460', '0', '32658', '32862', '0', '0', '32640', '32768', '32895', '32895', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100003', 'Guardian of Fire Spirit', '15', '45462', '0', '32658', '32862', '0', '0', '32640', '32768', '32895', '32895', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100004', 'Guardian of Wind Spirit', '15', '45461', '0', '32658', '32862', '0', '0', '32640', '32768', '32895', '32895', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100005', 'Dark Elf Wizard', '15', '45846', '0', '32658', '32862', '0', '0', '32640', '32768', '32895', '32895', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100006', 'Dark Elf Wizard', '15', '45848', '0', '32658', '32862', '0', '0', '32640', '32768', '32895', '32895', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100007', 'Dark Elf Guard', '1', '45412', '0', '32685', '32860', '0', '0', '0', '0', '0', '0', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100008', 'Dark Elf Guard', '1', '45412', '0', '32684', '32801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100009', 'Dark Elf Guard', '1', '45412', '0', '32748', '32857', '0', '0', '0', '0', '0', '0', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46100010', 'Dark Elf Guard', '1', '45412', '0', '32743', '32805', '0', '0', '0', '0', '0', '0', '0', '0', '0', '461', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46200001', 'Dark Forester', '10', '45851', '0', '32682', '32833', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '462', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46200002', 'Dark Elf Wizard', '10', '45846', '0', '32682', '32833', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '462', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46200003', 'Dark Elf Wizard', '10', '45848', '0', '32682', '32833', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '462', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46200004', 'Dark Elementalist', '10', '45852', '0', '32682', '32833', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '462', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46300001', 'Dark Elementalist', '15', '45845', '0', '32726', '32821', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '463', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46300002', 'Dark Elf Wizard', '15', '45846', '0', '32726', '32821', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '463', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46300003', 'Guardian of Darkness Spirit', '15', '45858', '0', '32726', '32821', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '463', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46300004', 'Dark Elf Guard', '1', '45412', '0', '32730', '32854', '0', '0', '0', '0', '0', '0', '0', '0', '0', '463', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46300005', 'Dark Elf Guard', '1', '45412', '0', '32779', '32815', '0', '0', '0', '0', '0', '0', '0', '0', '0', '463', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46400001', 'Guardian of Earth Spirit', '8', '45459', '0', '32725', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '464', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46400002', 'Guardian of Water Spirit', '8', '45460', '0', '32725', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '464', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46400003', 'Guardian of Fire Spirit', '8', '45462', '0', '32725', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '464', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46400004', 'Guardian of Wind Spirit', '8', '45461', '0', '32725', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '464', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46400005', 'Guardian of Darkness Spirit', '8', '45465', '0', '32725', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '464', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46400006', 'Dark Elf Wizard', '8', '45846', '0', '32725', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '464', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46400007', 'Dark Elf Guard', '1', '45412', '0', '32803', '32830', '0', '0', '0', '0', '0', '0', '0', '0', '0', '464', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46500001', 'Dark Forester', '15', '45474', '0', '32721', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '465', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46500002', 'Guardian of Earth Spirit', '15', '45854', '0', '32721', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '465', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46500003', 'Guardian of Water Spirit', '15', '45855', '0', '32721', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '465', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46500004', 'Guardian of Fire Spirit', '15', '45857', '0', '32721', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '465', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46500005', 'Guardian of Wind Spirit', '15', '45856', '0', '32721', '32818', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '465', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46500006', 'Guardian of Darkness Spirit', '1', '45858', '0', '32794', '32863', '0', '0', '0', '0', '0', '0', '0', '0', '0', '465', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46600001', 'Dark Elementalist', '10', '45845', '0', '32722', '32847', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '466', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46600002', 'Guardian of Darkness Spirit', '10', '45465', '0', '32722', '32847', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '466', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46600003', 'Dark Elementalist', '10', '45852', '0', '32722', '32847', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '466', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46600004', 'Dark Forester', '10', '45850', '0', '32722', '32847', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '466', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('46600005', 'Guardian of Darkness Spirit', '10', '45858', '0', '32722', '32847', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '466', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47000001', 'Cursed Dark Elf Knight', '10', '45865', '0', '32722', '32818', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '470', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47000002', 'Oum Warrior', '10', '45868', '0', '32722', '32818', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '470', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47000003', 'Spiritologist of Blood', '10', '45517', '0', '32722', '32818', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '470', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47000004', 'Dark Elf Guard', '1', '45412', '0', '32747', '32839', '0', '0', '0', '0', '0', '0', '0', '0', '0', '470', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47000005', 'Dark Elf Guard', '1', '45412', '0', '32864', '32845', '0', '0', '0', '0', '0', '0', '0', '0', '0', '470', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47100001', 'Cursed Dark Elf Knight', '7', '45866', '0', '32756', '32878', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '471', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47100002', 'Cursed Dark Elf Warrior', '7', '45867', '0', '32756', '32878', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '471', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47100003', 'Spiritologist of Blood', '7', '45517', '0', '32756', '32878', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '471', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47100004', 'Cursed Dark Elf Wizard', '7', '45869', '0', '32756', '32878', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '471', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47100005', 'Cursed Dark Elf Knight', '7', '45870', '0', '32756', '32878', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '471', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47100006', 'Dark Elf Guard', '1', '45412', '0', '32767', '32855', '0', '0', '0', '0', '0', '0', '0', '0', '0', '471', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47200001', 'Cursed Dark Elf Knight', '7', '45865', '0', '32723', '32797', '0', '0', '32704', '32768', '32831', '32831', '0', '0', '0', '472', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47200002', 'Oum Warrior', '7', '45868', '0', '32723', '32797', '0', '0', '32704', '32768', '32831', '32831', '0', '0', '0', '472', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47200003', 'Darkness Avenger', '7', '45486', '0', '32723', '32797', '0', '0', '32704', '32768', '32831', '32831', '0', '0', '0', '472', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47200004', 'Heavy Oum Warrior', '7', '45872', '0', '32723', '32797', '0', '0', '32704', '32768', '32831', '32831', '0', '0', '0', '472', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47200005', 'Dark Elf Guard', '1', '45412', '0', '32744', '32806', '0', '0', '0', '0', '0', '0', '0', '0', '0', '472', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47200006', 'Dark Elf Guard', '1', '45412', '0', '32804', '32800', '0', '0', '0', '0', '0', '0', '0', '0', '0', '472', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300001', 'Darkness Avenger', '15', '45486', '0', '32782', '32868', '0', '0', '32704', '32768', '32959', '32895', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300002', 'Blood Rain Knight', '15', '45527', '0', '32782', '32868', '0', '0', '32704', '32768', '32959', '32895', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300003', 'Cursed Dark Elf Knight', '15', '45870', '0', '32782', '32868', '0', '0', '32704', '32768', '32959', '32895', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300004', 'Cursed Dark Elf Knight', '15', '45871', '0', '32782', '32868', '0', '0', '32704', '32768', '32959', '32895', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300005', 'Heavy Oum Warrior', '10', '45872', '0', '32782', '32868', '0', '0', '32704', '32768', '32959', '32895', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300006', 'Dark Elf Guard', '1', '45412', '0', '32789', '32833', '0', '0', '0', '0', '0', '0', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300007', 'Dark Elf Guard', '1', '45412', '0', '32783', '32803', '0', '0', '0', '0', '0', '0', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47300008', 'Dark Elf Guard', '1', '45412', '0', '32739', '32821', '0', '0', '0', '0', '0', '0', '0', '0', '0', '473', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47400001', 'Oum Warrior', '10', '45868', '0', '32724', '32832', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '474', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47400002', 'Spiritologist of Blood', '10', '45517', '0', '32724', '32832', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '474', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47400003', 'Cursed Dark Elf Wizard', '10', '45869', '0', '32724', '32832', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '474', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47400004', 'Heavy Oum Warrior', '10', '45872', '0', '32724', '32832', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '474', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47500001', 'Cursed Dark Elf Warrior', '10', '45867', '0', '32673', '32836', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '475', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47500002', 'Spiritologist of Blood', '10', '45517', '0', '32673', '32836', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '475', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47500003', 'Blood Rain Knight', '10', '45527', '0', '32673', '32836', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '475', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47500004', 'Lord of Darkness', '10', '45523', '0', '32673', '32836', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '475', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47500005', 'Cursed Dark Elf Wizard', '10', '45869', '0', '32673', '32836', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '475', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47500006', 'Cursed Dark Elf Knight', '10', '45870', '0', '32673', '32836', '0', '0', '32640', '32768', '32831', '32895', '0', '0', '0', '475', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47500007', 'Dark Elf Guard', '1', '45412', '0', '32701', '32849', '0', '0', '0', '0', '0', '0', '0', '0', '0', '475', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47600001', 'Oum Warrior', '10', '45868', '0', '32768', '32877', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '476', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47600002', 'Blood Rain Knight', '10', '45527', '0', '32768', '32877', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '476', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47600003', 'Lord of Darkness', '10', '45523', '0', '32768', '32877', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '476', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47600004', 'Cursed Dark Elf Wizard', '10', '45869', '0', '32768', '32877', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '476', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47600005', 'Dark Elf Guard', '1', '45412', '0', '32778', '32855', '0', '0', '0', '0', '0', '0', '0', '0', '0', '476', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47600006', 'Dark Elf Guard', '1', '45412', '0', '32800', '32801', '0', '0', '0', '0', '0', '0', '0', '0', '0', '476', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47700001', 'Cursed Dark Elf Knight', '10', '45865', '0', '32780', '32873', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '477', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47700002', 'Oum Warrior', '10', '45868', '0', '32780', '32873', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '477', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47700003', 'Darkness Avenger', '10', '45486', '0', '32780', '32873', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '477', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47700004', 'Spiritologist of Blood', '10', '45517', '0', '32780', '32873', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '477', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47700005', 'Dark Elf Guard', '1', '45412', '0', '32803', '32861', '0', '0', '0', '0', '0', '0', '0', '0', '0', '477', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47700006', 'Dark Elf Guard', '1', '45412', '0', '32777', '32806', '0', '0', '0', '0', '0', '0', '0', '0', '0', '477', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47700007', 'Dark Elf Guard', '1', '45412', '0', '32744', '32793', '0', '0', '0', '0', '0', '0', '0', '0', '0', '477', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47800001', 'Cursed Dark Elf Wizard', '5', '45864', '0', '32742', '32858', '0', '0', '32704', '32768', '32767', '32895', '0', '0', '0', '478', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47800002', 'Spiritologist of Blood', '5', '45517', '0', '32742', '32858', '0', '0', '32704', '32768', '32767', '32895', '0', '0', '0', '478', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47800003', 'Blood Rain Knight', '5', '45527', '0', '32742', '32858', '0', '0', '32704', '32768', '32767', '32895', '0', '0', '0', '478', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47800004', 'Lord of Darkness', '5', '45523', '0', '32742', '32858', '0', '0', '32704', '32768', '32767', '32895', '0', '0', '0', '478', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47800005', 'Dark Elf Guard', '1', '45412', '0', '32745', '32814', '0', '0', '0', '0', '0', '0', '0', '0', '0', '478', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('47800006', 'Dark Elf Guard', '1', '45412', '0', '32733', '32792', '0', '0', '0', '0', '0', '0', '0', '0', '0', '478', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('25000002', 'Greedy Wizard', '15', '46021', '0', '32770', '32851', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '250', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('25000001', 'Greedy Soldier', '33', '46020', '0', '32770', '32851', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '250', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24900003', 'Greedy Archer', '18', '46023', '0', '32754', '32872', '0', '0', '32704', '32832', '32831', '32895', '0', '0', '0', '249', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24900002', 'Greedy Warrior', '18', '46022', '0', '32754', '32872', '0', '0', '32704', '32832', '32831', '32895', '0', '0', '0', '249', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24900001', 'Greedy Soldier', '18', '46020', '0', '32754', '32872', '0', '0', '32704', '32832', '32831', '32895', '0', '0', '0', '249', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24800003', 'Greedy Archer', '40', '46023', '0', '32768', '32835', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '248', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24800002', 'Greedy Warrior', '40', '46022', '0', '32768', '32835', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '248', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('24800001', 'Greedy Soldier', '40', '46020', '0', '32768', '32835', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '248', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('62091', 'Endia', '1', '71094', '0', '32928', '32276', '10', '10', '0', '0', '0', '0', '0', '120', '300', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('62090', 'Scout', '1', '71092', '0', '34242', '33356', '10', '10', '0', '0', '0', '0', '0', '120', '300', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4400001', 'Giant ant', '50', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '44', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4400002', 'Giant ant', '25', '45190', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '44', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4500001', 'Giant ant', '50', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '45', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4500002', 'Giant ant', '25', '45190', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '45', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4600001', 'Giant ant', '50', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '46', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4600002', 'Giant ant', '25', '45190', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '46', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4700001', 'Giant ant', '50', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '47', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4700002', 'Giant ant', '25', '45190', '0', '32800', '32800', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '47', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4800001', 'Giant ant', '50', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '48', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4800002', 'Giant ant', '25', '45190', '0', '32800', '32800', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '48', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4900001', 'Giant ant', '50', '45115', '0', '32738', '32799', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '49', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('4900002', 'Giant ant', '25', '45190', '0', '32800', '32800', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '49', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5000001', 'Giant ant', '50', '45115', '0', '32740', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '50', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5000002', 'Giant ant', '25', '45190', '0', '32740', '32802', '0', '0', '32704', '32704', '32831', '32831', '5', '0', '0', '50', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5100001', 'Giant ant', '25', '45115', '0', '32764', '32828', '0', '0', '32640', '32704', '32831', '32895', '5', '0', '0', '51', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('5100002', 'Giant ant', '50', '45190', '0', '32764', '32828', '0', '0', '32640', '32704', '32831', '32895', '5', '0', '0', '51', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48300001', 'Spirit of Drake', '1', '45878', '0', '32798', '32875', '0', '0', '0', '0', '0', '0', '0', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('48300002', 'Diego', '1', '45413', '0', '32737', '32890', '0', '0', '0', '0', '0', '0', '4', '0', '0', '483', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48300003', 'Skeletal Pirate Head', '3', '45330', '0', '32737', '32890', '5', '5', '0', '0', '0', '0', '4', '20', '20', '483', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('48300004', 'Goblin', '1', '45421', '0', '32760', '32928', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('48300005', 'Goblin', '1', '45879', '0', '32764', '32930', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('48300006', 'Goblin', '1', '45880', '0', '32768', '32922', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('48300007', 'Goblin', '1', '45881', '0', '32765', '32920', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('48300008', 'Goblin', '1', '45882', '0', '32761', '32924', '0', '0', '0', '0', '0', '0', '6', '0', '0', '483', '0', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('801500403', 'Mutated Alligator', '20', '45026', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500404', 'Underground Ramia', '10', '45074', '0', '32845', '32792', '0', '0', '32768', '32704', '32888', '32788', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500405', 'Underground Ramia', '10', '45076', '0', '32845', '32792', '0', '0', '32768', '32704', '32888', '32788', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500406', 'Polluted Orc Zombie', '10', '45028', '0', '32841', '32832', '0', '0', '32768', '32704', '32898', '32870', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500407', 'Mutated Lizard', '10', '45057', '0', '32841', '32832', '0', '0', '32768', '32704', '32898', '32870', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500408', 'Fatigued Ratman', '10', '45052', '0', '32845', '32795', '0', '0', '32768', '32704', '32888', '32788', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500409', 'Sewer Vakuuk', '5', '45072', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500410', 'Underground Crabman', '10', '45075', '0', '32871', '32795', '0', '0', '32768', '32704', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500411', 'Degenerated Beholder', '5', '45086', '0', '32934', '32811', '0', '0', '32888', '32788', '32959', '32895', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500412', 'Cursed Bugbear', '5', '45085', '0', '32901', '32736', '0', '0', '32880', '32704', '32959', '32772', '5', '20', '20', '86', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000005', 'Fang of Earth', '5', '45416', '0', '32828', '32966', '0', '0', '32874', '32897', '32931', '33001', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000006', 'Fang of Wind', '5', '45418', '0', '32904', '32941', '0', '0', '32874', '32897', '32931', '33001', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000007', 'Fang of Glacier', '5', '45419', '0', '32904', '32941', '0', '0', '32874', '32897', '32931', '33001', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000008', 'Fang of Flame', '5', '45424', '0', '32904', '32941', '0', '0', '32874', '32897', '32931', '33001', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000009', 'Wind Spirit Master', '2', '45510', '0', '32904', '32941', '0', '0', '32876', '32904', '32931', '33001', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000010', 'Fire Spirit Master', '2', '45511', '0', '32904', '32941', '0', '0', '32876', '32904', '32931', '33001', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000011', 'Abyss Ghoul', '4', '45501', '0', '32904', '32941', '0', '0', '32874', '32897', '32931', '33001', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000012', 'Fang of Earth', '3', '45416', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000013', 'Fang of Wind', '3', '45418', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000014', 'Fang of Glacier', '3', '45419', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000015', 'Fang of Flame', '3', '45424', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000016', 'Abyss Ghoul', '2', '45501', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000017', 'Abyss Archer', '1', '45502', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000018', 'Water Spirit Master', '2', '45500', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000019', 'Earth Spirit Master', '2', '45508', '0', '32828', '32966', '0', '0', '32800', '32930', '32846', '32996', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000020', 'Fang of Earth', '6', '45416', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000021', 'Fang of Wind', '6', '45418', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000022', 'Fang of Glacier', '6', '45419', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000023', 'Fang of Flame', '6', '45424', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000024', 'Water Spirit Master', '3', '45500', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000025', 'Earth Spirit Master', '3', '45508', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000026', 'Wind Spirit Master', '3', '45510', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000027', 'Fire Spirit Master', '3', '45511', '0', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000028', 'Thing', '2', '45539', '58', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000029', 'Thing', '2', '45539', '59', '32810', '32838', '0', '0', '32723', '32788', '32878', '32885', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000030', 'Fang of Earth', '4', '45416', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000031', 'Fang of Wind', '4', '45418', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000032', 'Fang of Glacier', '4', '45419', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000033', 'Fang of Flame', '4', '45424', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000034', 'Water Spirit Master', '2', '45500', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000035', 'Earth Spirit Master', '2', '45508', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000036', 'Wind Spirit Master', '2', '45510', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000037', 'Fire Spirit Master', '2', '45511', '0', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000038', 'Thing', '2', '45539', '58', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('43000039', 'Thing', '2', '45539', '59', '32765', '32947', '0', '0', '32725', '32902', '32788', '33007', '0', '60', '120', '430', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000001', 'Lastabad Royal Guard', '12', '45976', '0', '32740', '32880', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000002', 'Lastabad Royal Guard', '12', '45977', '0', '32740', '32880', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000003', 'Dark Mage', '12', '45981', '0', '32740', '32880', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000004', 'Lastabad Royal Guard', '12', '45992', '0', '32740', '32880', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000005', 'Elder Attendant', '6', '45994', '0', '32740', '32880', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000006', 'Lastabad Royal Guard', '6', '45997', '0', '32740', '32880', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000007', 'Elder Attendant', '6', '46004', '0', '32740', '32880', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53000008', 'Royal Guard Head Shaibbulit', '1', '46013', '0', '32740', '32880', '0', '0', '32720', '32790', '32795', '32880', '0', '300000', '300000', '530', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53100001', 'Lastabad Royal Guard', '12', '45990', '0', '32727', '32743', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '531', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53100002', 'Dark Elementalist', '12', '45993', '0', '32727', '32743', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '531', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53100003', 'Darkness Avenger', '12', '46001', '0', '32727', '32743', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '531', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53100004', 'Elder Attendant', '6', '46002', '0', '32727', '32743', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '531', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53100005', 'Lastabad Royal Guard', '6', '46005', '0', '32727', '32743', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '531', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53100006', 'Phantom Knight', '12', '46006', '0', '32727', '32743', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '531', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53100007', 'Blood Rain Knight', '6', '46012', '0', '32727', '32743', '0', '0', '32704', '32704', '32895', '32895', '0', '0', '0', '531', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200001', 'Deep Flower', '5', '45978', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200002', 'Dark Elemental', '5', '45979', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200003', 'Lastabad Tormentor', '5', '45980', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200004', 'Dark Forester', '5', '45982', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200005', 'Guardian of Earth Spirit', '4', '45983', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200006', 'Guardian of Water Spirit', '4', '45984', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200007', 'Guardian of Fire Spirit', '4', '45985', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200008', 'Guardian of Wind Spirit', '4', '45986', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200009', 'Guardian of Darkness Spirit', '4', '45987', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200010', 'Greater Dark Elemental', '3', '45988', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200011', 'Black Ent', '5', '45989', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200012', 'Dark Elementalist', '5', '45991', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200013', 'Lastabad Royal Guard', '5', '45992', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200014', 'Elder Attendant', '3', '45994', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53200015', 'Elder Attendant', '3', '45995', '0', '32843', '32791', '0', '0', '32704', '32768', '32895', '32895', '0', '0', '0', '532', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53300001', 'Lastabad Royal Guard', '12', '45990', '0', '32867', '32943', '0', '0', '32704', '32768', '32895', '32959', '0', '0', '0', '533', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53300002', 'Dark Mage', '12', '45996', '0', '32867', '32943', '0', '0', '32704', '32768', '32895', '32959', '0', '0', '0', '533', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53300003', 'Darkness Avenger', '12', '46001', '0', '32867', '32943', '0', '0', '32704', '32768', '32895', '32959', '0', '0', '0', '533', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53300004', 'Elder Attendant', '6', '46002', '0', '32867', '32943', '0', '0', '32704', '32768', '32895', '32959', '0', '0', '0', '533', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53300005', 'Lastabad Royal Guard', '6', '46005', '0', '32867', '32943', '0', '0', '32704', '32768', '32895', '32959', '0', '0', '0', '533', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53300006', 'Darkness Avenger', '6', '46010', '0', '32867', '32943', '0', '0', '32704', '32768', '32895', '32959', '0', '0', '0', '533', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53300007', 'Blood Rain Knight', '6', '46012', '0', '32867', '32943', '0', '0', '32704', '32768', '32895', '32959', '0', '0', '0', '533', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400001', 'Lastabad Tormentor', '10', '45837', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400002', 'Dark Mage', '10', '45996', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400003', 'Elder Attendant', '4', '45998', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400004', 'Elder Attendant', '4', '45999', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400005', 'Spiritologist of Blood', '6', '46000', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400006', 'Darkness Avenger', '6', '46001', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400007', 'Elder Attendant', '4', '46003', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400008', 'Elder Attendant', '4', '46007', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400009', 'Lord of Darkness', '6', '46008', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400010', 'Blood Rain Knight', '6', '46009', '0', '32731', '32876', '0', '0', '32715', '32790', '32880', '32880', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400011', 'Lastabad Royal Guard', '1', '46014', '0', '32901', '32841', '0', '0', '0', '0', '0', '0', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53400012', 'Lastabad Royal Guard', '1', '46014', '0', '32901', '32833', '0', '0', '0', '0', '0', '0', '0', '0', '0', '534', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500001', 'Hell Creature', '6', '46060', '0', '32650', '32820', '0', '0', '32630', '32780', '32680', '32850', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500002', 'Heavy Oum Warrior', '6', '46061', '0', '32650', '32820', '0', '0', '32630', '32780', '32680', '32850', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500003', 'Tyupon', '6', '46066', '0', '32650', '32820', '0', '0', '32630', '32780', '32680', '32850', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500004', 'Cursed Dark Elf Warrior', '5', '46062', '0', '32744', '32862', '0', '0', '32715', '32840', '32760', '32885', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500005', 'Cursed Dark Elf Wizard', '5', '46063', '0', '32744', '32862', '0', '0', '32715', '32840', '32760', '32885', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500006', 'Cursed Dark Elf Knight', '5', '46064', '0', '32744', '32862', '0', '0', '32715', '32840', '32760', '32885', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500007', 'Cursed Dark Elf Warrior', '6', '46062', '0', '32799', '32925', '0', '0', '32770', '32890', '32830', '32950', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500008', 'Cursed Dark Elf Wizard', '6', '46063', '0', '32799', '32925', '0', '0', '32770', '32890', '32830', '32950', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500009', 'Cursed Dark Elf Knight', '6', '46064', '0', '32799', '32925', '0', '0', '32770', '32890', '32830', '32950', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500010', 'Otyu', '6', '46065', '0', '32835', '32779', '0', '0', '32800', '32750', '32870', '32810', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('53500011', 'Wyvern', '6', '46067', '0', '32835', '32779', '0', '0', '32800', '32750', '32870', '32810', '0', '0', '0', '535', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500413', 'Unchosen One', '30', '46092', '0', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '0', '0', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500414', 'Unchosen One', '25', '46093', '0', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '0', '0', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500415', 'Unchosen One', '25', '46094', '0', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '0', '0', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500416', 'Unchosen One', '25', '46095', '0', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '0', '0', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500417', 'Unchosen One', '30', '46096', '0', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '0', '0', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500418', 'Patrol 1', '1', '46097', '55', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '3000', '3000', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500419', 'Patrol 2', '1', '46098', '56', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '3000', '3000', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500420', 'Patrol 3', '1', '46099', '57', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '3000', '3000', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500421', 'Guard', '1', '46106', '0', '32639', '32959', '0', '0', '32512', '32832', '32767', '33087', '0', '6000', '6000', '777', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('63000', 'Treasure Chest of Aden Castle', '25', '46107', '0', '32770', '32851', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '248', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('63001', 'Treasure Chest of Aden Castle', '10', '46107', '0', '32770', '32851', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '249', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('63002', 'Treasure Chest of Aden Castle', '20', '46107', '0', '32770', '32851', '0', '0', '32704', '32768', '32831', '32895', '0', '0', '0', '250', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27810', 'Ghost Soldier Full of Resentment', '1', '45913', '0', '32605', '32660', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27811', 'Ghost Soldier Full of Resentment', '1', '45913', '0', '32602', '32669', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27812', 'Ghost Soldier Full of Resentment', '1', '45913', '0', '32615', '32652', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27813', 'Ghost Soldier Full of Resentment', '1', '45913', '0', '32624', '32668', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27814', 'Ghost Soldier Full of Resentment', '1', '45913', '0', '32615', '32682', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27815', 'Ghost Soldier Full of Resentment', '1', '45913', '0', '32601', '32677', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27816', 'Ghost Soldier Full of Resentment', '1', '45912', '0', '32603', '32655', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27817', 'Ghost Soldier Full of Resentment', '1', '45912', '0', '32595', '32669', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27818', 'Ghost Soldier Full of Resentment', '1', '45912', '0', '32625', '32655', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27819', 'Ghost Soldier Full of Resentment', '1', '45912', '0', '32628', '32677', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27820', 'Ghost Soldier Full of Resentment', '1', '45912', '0', '32610', '32679', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27821', 'Ghost Soldier Full of Resentment', '1', '45912', '0', '32614', '32667', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27822', 'Ghost Man Full of Resentment', '1', '45914', '0', '32608', '32651', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27823', 'Ghost Man Full of Resentment', '1', '45914', '0', '32605', '32648', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27824', 'Ghost Man Full of Resentment', '1', '45914', '0', '32625', '32661', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27825', 'Ghost Man Full of Resentment', '1', '45914', '0', '32632', '32682', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27826', 'Ghost Man Full of Resentment', '1', '45914', '0', '32606', '32683', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27827', 'Ghost Woman Full of Resentment', '1', '45915', '0', '32612', '32663', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27828', 'Ghost Woman Full of Resentment', '1', '45915', '0', '32610', '32648', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27829', 'Ghost Woman Full of Resentment', '1', '45915', '0', '32632', '32664', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27830', 'Ghost Woman Full of Resentment', '1', '45915', '0', '32623', '32683', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27831', 'Ghost Woman Full of Resentment', '1', '45915', '0', '32600', '32685', '0', '0', '0', '0', '0', '0', '0', '60', '120', '4', '1', '0', '1', '0');
INSERT INTO `spawnlist` VALUES ('27798', 'Dillo', '1', '45328', '0', '32745', '32867', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27799', 'Dillo', '1', '45328', '0', '32775', '32852', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27800', 'Dillo', '1', '45328', '0', '32787', '32867', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27801', 'Dillo', '1', '45328', '0', '32857', '32927', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27802', 'Dillo', '1', '45328', '0', '32859', '32875', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27803', 'Dillo', '1', '45328', '0', '32887', '32860', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27804', 'Mole', '1', '45311', '0', '32770', '32877', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27805', 'Mole', '1', '45311', '0', '32745', '32852', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27806', 'Mole', '1', '45311', '0', '32808', '32867', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27807', 'Mole', '1', '45311', '0', '32866', '32904', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27808', 'Mole', '1', '45311', '0', '32862', '32858', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27809', 'Mole', '1', '45311', '0', '32895', '32878', '0', '0', '0', '0', '0', '0', '0', '60', '120', '320', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27832', 'Mole', '1', '45214', '0', '32790', '32922', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27833', 'Mole', '1', '45214', '0', '32771', '32924', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27834', 'Mole', '1', '45214', '0', '32721', '32913', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27835', 'Mole', '1', '45214', '0', '32737', '32876', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27836', 'Mole', '1', '45214', '0', '32729', '32824', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27837', 'Mole', '1', '45214', '0', '32746', '32796', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27838', 'Mole', '1', '45214', '0', '32752', '32842', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27839', 'Mole', '1', '45214', '0', '32785', '32885', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27840', 'Mole', '1', '45214', '0', '32809', '32858', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27841', 'Mole', '1', '45214', '0', '32817', '32891', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27842', 'Black Tiger', '1', '45309', '0', '32797', '32920', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27843', 'Black Tiger', '1', '45309', '0', '32762', '32926', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27844', 'Black Tiger', '1', '45309', '0', '32723', '32902', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27845', 'Black Tiger', '1', '45309', '0', '32739', '32869', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27846', 'Black Tiger', '1', '45309', '0', '32726', '32821', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27847', 'Black Tiger', '1', '45309', '0', '32751', '32799', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27848', 'Black Tiger', '1', '45309', '0', '32752', '32846', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27849', 'Black Tiger', '1', '45309', '0', '32794', '32882', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27850', 'Black Tiger', '1', '45309', '0', '32803', '32884', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27851', 'Black Tiger', '1', '45309', '0', '32810', '32852', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27852', 'Black Tiger', '1', '45309', '0', '32816', '32896', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27853', 'Black Tiger', '1', '45309', '0', '32812', '32932', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27854', 'Black Tiger', '1', '45309', '0', '32839', '32891', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27855', 'Black Tiger', '1', '45309', '0', '32843', '32887', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27856', 'Black Tiger', '1', '45309', '0', '32838', '32818', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27857', 'Black Tiger', '1', '45309', '0', '32843', '32809', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27858', 'Black Tiger', '1', '45309', '0', '32866', '32848', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27859', 'Black Tiger', '1', '45309', '0', '32860', '32903', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27860', 'Beast Summoner', '1', '45323', '0', '32800', '32914', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27861', 'Beast Summoner', '1', '45323', '0', '32756', '32929', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27862', 'Beast Summoner', '1', '45323', '0', '32725', '32892', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27863', 'Beast Summoner', '1', '45323', '0', '32736', '32861', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27864', 'Beast Summoner', '1', '45323', '0', '32724', '32807', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27865', 'Beast Summoner', '1', '45323', '0', '32756', '32803', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27866', 'Beast Summoner', '1', '45323', '0', '32759', '32848', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27867', 'Beast Summoner', '1', '45323', '0', '32813', '32881', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27868', 'Beast Summoner', '1', '45323', '0', '32807', '32847', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27869', 'Beast Summoner', '1', '45323', '0', '32818', '32904', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27870', 'Beast Summoner', '1', '45323', '0', '32811', '32938', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27871', 'Beast Summoner', '1', '45323', '0', '32849', '32882', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27872', 'Beast Summoner', '1', '45323', '0', '32852', '32875', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27873', 'Beast Summoner', '1', '45323', '0', '32849', '32804', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27874', 'Beast Summoner', '1', '45323', '0', '32869', '32856', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27875', 'Beast Summoner', '1', '45323', '0', '32867', '32862', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27876', 'Beast Summoner', '1', '45323', '0', '32870', '32911', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27877', 'Dillo', '1', '45328', '0', '32799', '32904', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27878', 'Dillo', '1', '45328', '0', '32753', '32923', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27879', 'Dillo', '1', '45328', '0', '32721', '32882', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27880', 'Dillo', '1', '45328', '0', '32740', '32850', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27881', 'Dillo', '1', '45328', '0', '32728', '32805', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27882', 'Dillo', '1', '45328', '0', '32760', '32810', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27883', 'Dillo', '1', '45328', '0', '32759', '32859', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27884', 'Dillo', '1', '45328', '0', '32818', '32883', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27885', 'Dillo', '1', '45328', '0', '32801', '32847', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27886', 'Dillo', '1', '45328', '0', '32818', '32912', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27887', 'Dark Forester', '1', '45326', '0', '32789', '32899', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27888', 'Dark Forester', '1', '45326', '0', '32750', '32928', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27889', 'Dark Forester', '1', '45326', '0', '32759', '32912', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27890', 'Dark Forester', '1', '45326', '0', '32740', '32850', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27891', 'Dark Forester', '1', '45326', '0', '32742', '32827', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27892', 'Dark Forester', '1', '45326', '0', '32763', '32819', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27893', 'Dark Forester', '1', '45326', '0', '32755', '32862', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27894', 'Dark Forester', '1', '45326', '0', '32820', '32878', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27895', 'Dark Forester', '1', '45326', '0', '32796', '32845', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27896', 'Dark Forester', '1', '45326', '0', '32826', '32913', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27897', 'Dark Forester', '1', '45326', '0', '32821', '32936', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27898', 'Dark Forester', '1', '45326', '0', '32854', '32865', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27899', 'Dark Forester', '1', '45326', '0', '32857', '32802', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27900', 'Dark Forester', '1', '45326', '0', '32860', '32808', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27901', 'Dark Forester', '1', '45326', '0', '32867', '32868', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27902', 'Plate Worm', '1', '46017', '0', '32783', '32894', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27903', 'Plate Worm', '1', '46017', '0', '32744', '32930', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27904', 'Plate Worm', '1', '46017', '0', '32759', '32904', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27905', 'Plate Worm', '1', '46017', '0', '32744', '32847', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27906', 'Plate Worm', '1', '46017', '0', '32739', '32825', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27907', 'Plate Worm', '1', '46017', '0', '32760', '32825', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27908', 'Plate Worm', '1', '46017', '0', '32767', '32860', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27909', 'Plate Worm', '1', '46017', '0', '32825', '32872', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27910', 'Plate Worm', '1', '46017', '0', '32790', '32847', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27911', 'Plate Worm', '1', '46017', '0', '32829', '32913', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27912', 'Plate Worm', '1', '46017', '0', '32827', '32932', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27913', 'Plate Worm', '1', '46017', '0', '32850', '32860', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27914', 'Plate Worm', '1', '46017', '0', '32844', '32857', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27915', 'Plate Worm', '1', '46017', '0', '32859', '32816', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27916', 'Plate Worm', '1', '46017', '0', '32869', '32805', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27917', 'Plate Worm', '1', '46017', '0', '32869', '32875', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27918', 'Middle Oum', '1', '45331', '0', '32778', '32895', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27919', 'Middle Oum', '1', '45331', '0', '32729', '32933', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27920', 'Middle Oum', '1', '45331', '0', '32744', '32900', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27921', 'Middle Oum', '1', '45331', '0', '32727', '32851', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27922', 'Middle Oum', '1', '45331', '0', '32741', '32814', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27923', 'Middle Oum', '1', '45331', '0', '32760', '32833', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27924', 'Middle Oum', '1', '45331', '0', '32771', '32866', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27925', 'Middle Oum', '1', '45331', '0', '32824', '32868', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27926', 'Middle Oum', '1', '45331', '0', '32798', '32865', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27927', 'Middle Oum', '1', '45331', '0', '32829', '32917', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27928', 'Middle Oum', '1', '45331', '0', '32832', '32935', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27929', 'Middle Oum', '1', '45331', '0', '32841', '32854', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27930', 'Middle Oum', '1', '45331', '0', '32849', '32849', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27931', 'Middle Oum', '1', '45331', '0', '32835', '32846', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27932', 'Middle Oum', '1', '45331', '0', '32871', '32810', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27933', 'Middle Oum', '1', '45331', '0', '32865', '32839', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27934', 'Middle Oum', '1', '45331', '0', '32865', '32880', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27935', 'Black Wizard', '1', '46018', '0', '32774', '32900', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27936', 'Black Wizard', '1', '46018', '0', '32728', '32922', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27937', 'Black Wizard', '1', '46018', '0', '32739', '32892', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27938', 'Black Wizard', '1', '46018', '0', '32725', '32847', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27939', 'Black Wizard', '1', '46018', '0', '32739', '32712', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27940', 'Black Wizard', '1', '46018', '0', '32759', '32839', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27941', 'Black Wizard', '1', '46018', '0', '32759', '32877', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27942', 'Black Wizard', '1', '46018', '0', '32824', '32863', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27943', 'Black Wizard', '1', '46018', '0', '32787', '32867', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27944', 'Black Wizard', '1', '46018', '0', '32823', '32925', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27945', 'Black Wizard', '1', '46018', '0', '32834', '32912', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27946', 'Black Wizard', '1', '46018', '0', '32831', '32843', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27947', 'Black Wizard', '1', '46018', '0', '32867', '32817', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27948', 'Black Wizard', '1', '46018', '0', '32870', '32885', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27949', 'Black Wizard', '1', '46018', '0', '32870', '32891', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27950', 'Black Wizard', '1', '46018', '0', '32854', '32929', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27951', 'Heavy Oum', '1', '46016', '0', '32769', '32916', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27952', 'Heavy Oum', '1', '46016', '0', '32726', '32917', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27953', 'Heavy Oum', '1', '46016', '0', '32740', '32881', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27954', 'Heavy Oum', '1', '46016', '0', '32729', '32831', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27955', 'Heavy Oum', '1', '46016', '0', '32744', '32801', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27956', 'Heavy Oum', '1', '46016', '0', '32757', '32842', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27957', 'Heavy Oum', '1', '46016', '0', '32759', '32882', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27958', 'Heavy Oum', '1', '46016', '0', '32815', '32862', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27959', 'Heavy Oum', '1', '46016', '0', '32780', '32864', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27960', 'Heavy Oum', '1', '46016', '0', '32817', '32930', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27961', 'Heavy Oum', '1', '46016', '0', '32839', '32905', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27962', 'Heavy Oum', '1', '46016', '0', '32837', '32826', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27963', 'Heavy Oum', '1', '46016', '0', '32870', '32823', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27964', 'Heavy Oum', '1', '46016', '0', '32861', '32829', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27965', 'Heavy Oum', '1', '46016', '0', '32852', '32826', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27966', 'Heavy Oum', '1', '46016', '0', '32867', '32899', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27967', 'Heavy Oum', '1', '46016', '0', '32853', '32906', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27968', 'Heavy Oum', '1', '46016', '0', '32868', '32922', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27969', 'Heavy Oum', '1', '46016', '0', '32856', '32927', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27970', 'Heavy Oum', '1', '46016', '0', '32865', '32931', '0', '0', '0', '0', '0', '0', '0', '60', '120', '310', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('27971', 'Dark Elf', '1', '45265', '0', '34244', '32782', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27972', 'Dark Elf', '1', '45265', '0', '34287', '32776', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27973', 'Dark Elf', '1', '45265', '0', '34282', '32756', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27974', 'Dark Elf', '1', '45265', '0', '34219', '32773', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27975', 'Dark Elf', '1', '45265', '0', '34216', '32797', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27976', 'Dark Elf', '1', '45265', '0', '34257', '32815', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27977', 'Dark Elf', '1', '45265', '0', '34287', '32796', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27978', 'Dark Elf', '1', '45265', '0', '34235', '32795', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27979', 'Dark Elf', '1', '45265', '0', '34254', '32843', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27980', 'Dark Elf', '1', '45265', '0', '34280', '32861', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27981', 'Dark Elf', '1', '45265', '0', '34196', '32819', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27982', 'Dark Elf', '1', '45265', '0', '34173', '32879', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27983', 'Dark Elf', '1', '45265', '0', '34229', '32886', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27984', 'Dark Elf', '1', '45265', '0', '34273', '32890', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27985', 'Dark Elf', '1', '45265', '0', '34162', '32789', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27986', 'Ramia', '1', '45222', '0', '33447', '33155', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27987', 'Ramia', '1', '45229', '0', '33423', '33160', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27988', 'Ramia', '1', '45229', '0', '33388', '33172', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27989', 'Ramia', '1', '45229', '0', '33432', '33111', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27990', 'Ramia', '1', '45229', '0', '33464', '33097', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27991', 'Ramia', '1', '45229', '0', '33535', '33122', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27992', 'Ramia', '1', '45229', '0', '33568', '33117', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27993', 'Ramia', '1', '45229', '0', '33435', '33184', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27994', 'Ramia', '1', '45229', '0', '33337', '33206', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27995', 'Ramia', '1', '45229', '0', '33311', '33128', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27996', 'Ramia', '1', '45229', '0', '33278', '33145', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27997', 'Ramia', '1', '45229', '0', '33360', '33234', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27998', 'Ramia', '1', '45229', '0', '33427', '33226', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('27999', 'Ramia', '1', '45229', '0', '33435', '33127', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28000', 'Ramia', '1', '45229', '0', '33639', '33153', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28001', 'Ramia', '1', '45229', '0', '33646', '33185', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28002', 'Ramia', '1', '45229', '0', '33621', '33169', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28003', 'Ramia', '1', '45229', '0', '33590', '33148', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28004', 'Ramia', '1', '45229', '0', '33387', '33109', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28005', 'Ramia', '1', '45229', '0', '33370', '33114', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28006', 'Ramia', '1', '45229', '0', '33338', '33120', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28007', 'Ramia', '1', '45229', '0', '33308', '33142', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28008', 'Ramia', '1', '45229', '0', '33280', '33167', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28009', 'Arachnevil', '1', '45136', '0', '33646', '33143', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28010', 'Arachnevil', '1', '45136', '0', '33644', '33177', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28011', 'Arachnevil', '1', '45136', '0', '33678', '33184', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28012', 'Arachnevil', '1', '45136', '0', '33625', '33175', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28013', 'Turtle Dragon', '1', '45240', '0', '33617', '33139', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28014', 'Turtle Dragon', '1', '45240', '0', '33597', '33117', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28015', 'Turtle Dragon', '1', '45240', '0', '33626', '33161', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28016', 'Lizardman', '1', '45144', '0', '33610', '33155', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28017', 'Lizardman', '1', '45144', '0', '33620', '33184', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('28018', 'Lizardman', '1', '45144', '0', '33611', '33176', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500422', 'Gandi Orc', '15', '45098', '0', '32790', '32359', '0', '0', '32703', '32346', '32831', '32364', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500423', 'Orc Wizard', '8', '45121', '0', '32790', '32359', '0', '0', '32703', '32346', '32831', '32364', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500424', 'Rova Orc', '15', '45127', '0', '32790', '32359', '0', '0', '32703', '32346', '32831', '32364', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500425', 'Duda-Mara Orc', '15', '45143', '0', '32790', '32359', '0', '0', '32703', '32346', '32831', '32364', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500426', 'Atuba Orc', '15', '45149', '0', '32790', '32359', '0', '0', '32703', '32346', '32831', '32364', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500427', 'Neruga Orc', '15', '45171', '0', '32790', '32359', '0', '0', '32703', '32346', '32831', '32364', '1', '60', '120', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('400001', 'Orc Emissary (Orc Forest)', '1', '46157', '172', '32721', '32384', '10', '10', '0', '0', '0', '0', '5', '240', '420', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('400002', 'Orc Emissary (Gludin)', '1', '46158', '172', '32674', '32571', '10', '10', '0', '0', '0', '0', '5', '240', '420', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('400003', 'Orc Emissary (Windawood)', '1', '46159', '172', '32631', '33105', '10', '10', '0', '0', '0', '0', '5', '240', '420', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500428', 'Jindo Puppy', '1', '45711', '0', '32686', '32820', '12', '12', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500429', 'Jindo Puppy', '1', '45711', '0', '32754', '32719', '12', '12', '0', '0', '0', '0', '3', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500430', 'Jindo Puppy', '1', '45711', '0', '32729', '32720', '12', '12', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500431', 'Jindo Puppy', '1', '45711', '0', '32783', '32684', '12', '12', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500432', 'Jindo Puppy', '1', '45711', '0', '32792', '32636', '12', '12', '0', '0', '0', '0', '4', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500433', 'Jindo Puppy', '1', '45711', '0', '32833', '32629', '12', '12', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500434', 'Doberman', '1', '45042', '0', '32871', '32634', '12', '12', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500435', 'Doberman', '1', '45042', '0', '32870', '32613', '12', '12', '0', '0', '0', '0', '0', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500436', 'Doberman', '1', '45042', '0', '32901', '32603', '12', '12', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500438', 'Collie', '1', '45054', '0', '32927', '32638', '12', '12', '0', '0', '0', '0', '2', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500439', 'Shepherd', '1', '45034', '0', '32780', '32638', '12', '12', '0', '0', '0', '0', '6', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500440', 'Shepherd', '1', '45034', '0', '32770', '32704', '12', '12', '0', '0', '0', '0', '5', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500441', 'Shepherd', '1', '45034', '0', '32806', '32707', '12', '12', '0', '0', '0', '0', '1', '60', '120', '68', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500442', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500443', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500444', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500445', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500446', 'Goblin', '1', '45008', '0', '32673', '32820', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500447', 'Wolf', '1', '45043', '0', '32660', '32800', '12', '12', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500448', 'Husky', '1', '45053', '0', '32637', '32907', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500449', 'Collie', '1', '45054', '0', '32638', '32938', '12', '12', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500450', 'Collie', '1', '45054', '0', '32727', '32930', '12', '12', '0', '0', '0', '0', '4', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500451', 'Shepherd', '1', '45034', '0', '32758', '32958', '12', '12', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500452', 'Shepherd', '1', '45034', '0', '32786', '32968', '12', '12', '0', '0', '0', '0', '2', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500453', 'Shepherd', '1', '45034', '0', '32782', '33003', '12', '12', '0', '0', '0', '0', '1', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500454', 'Jindo Puppy', '1', '45711', '0', '32757', '32990', '12', '12', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500455', 'Jindo Puppy', '1', '45711', '0', '32728', '32973', '12', '12', '0', '0', '0', '0', '5', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500456', 'Jindo Puppy', '1', '45711', '0', '32705', '32945', '12', '12', '0', '0', '0', '0', '0', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500457', 'Jindo Puppy', '1', '45711', '0', '32683', '32946', '12', '12', '0', '0', '0', '0', '6', '60', '120', '69', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500458', 'Shepherd', '1', '45034', '0', '32567', '32880', '12', '12', '0', '0', '0', '0', '0', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500459', 'Shepherd', '1', '45034', '0', '32557', '32841', '12', '12', '0', '0', '0', '0', '0', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500461', 'Shepherd', '1', '45034', '0', '32498', '32911', '12', '12', '0', '0', '0', '0', '5', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500462', 'Wolf', '1', '45043', '0', '32599', '33041', '12', '12', '0', '0', '0', '0', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500463', 'Doberman', '1', '45042', '0', '32599', '33041', '12', '12', '0', '0', '0', '0', '3', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500464', 'Wolf', '1', '45043', '0', '32623', '33041', '12', '12', '0', '0', '0', '0', '1', '60', '120', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500467', 'Cat', '1', '45039', '0', '32711', '32399', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500468', 'Cat', '1', '45039', '0', '32748', '32409', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500469', 'Cat', '1', '45039', '0', '32794', '32438', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500470', 'Doberman', '1', '45042', '0', '32659', '33216', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500471', 'Beagle', '1', '45046', '0', '32667', '33226', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500472', 'Doberman', '1', '45042', '0', '32645', '33249', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500473', 'Beagle', '1', '45046', '0', '32613', '33247', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500474', 'Doberman', '1', '45042', '0', '32591', '33222', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500475', 'Fox', '1', '45048', '0', '34086', '32381', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500476', 'Fox', '1', '45048', '0', '34134', '32397', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500477', 'Fox', '1', '45048', '0', '34160', '32468', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500478', 'Fox', '1', '45048', '0', '34194', '32516', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500479', 'Fox', '1', '45048', '0', '34167', '32570', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500480', 'Killer Rabbit', '1', '45049', '0', '33713', '32415', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500481', 'Killer Rabbit', '1', '45049', '0', '33723', '32353', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500482', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500483', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500484', 'Fungus', '1', '45030', '0', '33144', '32234', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500485', 'Fungus', '1', '45030', '0', '33153', '32237', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500486', 'Fungus', '1', '45030', '0', '33133', '32253', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500487', 'Fungus', '1', '45030', '0', '33129', '32237', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500488', 'Frog', '1', '45005', '0', '33152', '32249', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500489', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500490', 'Fungus', '1', '45030', '0', '33139', '32233', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500491', 'Fungus', '1', '45030', '0', '33144', '32234', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500492', 'Fungus', '1', '45030', '0', '33153', '32237', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500493', 'Fungus', '1', '45030', '0', '33133', '32253', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500494', 'Fungus', '1', '45030', '0', '33129', '32237', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500496', 'Frog', '1', '45005', '0', '33131', '32284', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500497', 'Frog', '1', '45005', '0', '33089', '32295', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500498', 'Frog', '1', '45005', '0', '33053', '32263', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500499', 'Rabbit', '1', '45010', '0', '33039', '32305', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500500', 'Rabbit', '1', '45011', '0', '33053', '32321', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500501', 'Rabbit', '1', '45012', '0', '33071', '32329', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500502', 'Rabbit', '1', '45012', '0', '33095', '32310', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500503', 'Rabbit', '1', '45011', '0', '33112', '32290', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500504', 'Rabbit', '1', '45012', '0', '33116', '32260', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500505', 'Rabbit', '1', '45012', '0', '33094', '32234', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500506', 'Rabbit', '1', '45010', '0', '33073', '32212', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500507', 'Rabbit', '1', '45010', '0', '33037', '32213', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500508', 'Rabbit', '1', '45012', '0', '33014', '32231', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500509', 'Rabbit', '1', '45011', '0', '33014', '32231', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500510', 'Rabbit', '1', '45010', '0', '33014', '32231', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500511', 'Rabbit', '1', '45012', '0', '32980', '32262', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500512', 'Rabbit', '1', '45011', '0', '32993', '32293', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500513', 'Goblin', '1', '45008', '0', '33034', '32286', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500514', 'Goblin', '1', '45008', '0', '33047', '32279', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500515', 'Goblin', '1', '45008', '0', '33040', '32257', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500516', 'Goblin', '1', '45008', '0', '33052', '32236', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500517', 'Goblin', '1', '45008', '0', '33090', '32245', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500518', 'Goblin', '1', '45008', '0', '33098', '32260', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500519', 'Goblin', '1', '45008', '0', '33115', '32288', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500520', 'Goblin', '1', '45008', '0', '33162', '32246', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500521', 'Goblin', '1', '45008', '0', '33173', '32245', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500522', 'Goblin', '1', '45008', '0', '33175', '32232', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500523', 'Goblin', '1', '45008', '0', '33171', '32208', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500524', 'Goblin', '1', '45008', '0', '33149', '32212', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500525', 'Orc', '1', '45009', '0', '33130', '32226', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500526', 'Orc', '1', '45009', '0', '33157', '32234', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500527', 'Orc', '1', '45009', '0', '33176', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500528', 'Orc', '1', '45009', '0', '33188', '32243', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500529', 'Orc', '1', '45009', '0', '33184', '32270', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500530', 'Orc', '1', '45009', '0', '33155', '32307', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500531', 'Orc', '1', '45009', '0', '33165', '32307', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500532', 'Orc', '1', '45009', '0', '33141', '32299', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500533', 'Orc', '1', '45009', '0', '33134', '32287', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500534', 'Orc', '1', '45009', '0', '33104', '32290', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500535', 'Orc', '1', '45009', '0', '33092', '32300', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500536', 'Orc', '1', '45009', '0', '33073', '32283', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500537', 'Orc', '1', '45009', '0', '33074', '32262', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500538', 'Orc', '1', '45009', '0', '33042', '32278', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500539', 'Orc', '1', '45009', '0', '33031', '32311', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500540', 'Orc', '1', '45009', '0', '33106', '32318', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500541', 'Orc', '1', '45009', '0', '33108', '32340', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500542', 'Orc', '1', '45009', '0', '33124', '32341', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500543', 'Orc', '1', '45009', '0', '33145', '32327', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500544', 'Orc', '1', '45009', '0', '33137', '32316', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500545', 'Orc', '1', '45009', '0', '33166', '32289', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500546', 'Rabbit', '1', '45013', '0', '33169', '32275', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500547', 'Orc', '1', '45009', '0', '33168', '32259', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500548', 'Orc Archer', '1', '45019', '0', '33114', '32251', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500549', 'Deer', '1', '45021', '0', '33114', '32251', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500550', 'Deer', '1', '45021', '0', '33128', '32261', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500551', 'Deer', '1', '45021', '0', '33150', '32267', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500552', 'Deer', '1', '45021', '0', '33149', '32281', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500553', 'Deer', '1', '45021', '0', '33170', '32274', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500554', 'Deer', '1', '45021', '0', '33115', '32286', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500555', 'Deer', '1', '45021', '0', '33080', '32273', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500556', 'Deer', '1', '45021', '0', '33050', '32293', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500557', 'Deer', '1', '45021', '0', '33009', '32332', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500558', 'Deer', '1', '45021', '0', '33018', '32361', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500559', 'Kobold', '1', '45016', '0', '33018', '32360', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500560', 'Kobold', '1', '45016', '0', '33023', '32339', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500561', 'Kobold', '1', '45016', '0', '33034', '32308', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500562', 'Kobold', '1', '45016', '0', '33072', '32290', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500563', 'Kobold', '1', '45016', '0', '33103', '32279', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500564', 'Kobold', '1', '45016', '0', '33127', '32279', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500565', 'Kobold', '1', '45016', '0', '33123', '32259', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500566', 'Frog', '1', '45005', '0', '33123', '32259', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500568', 'Goblin', '1', '45008', '0', '33123', '32257', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500569', 'Goblin', '1', '45008', '0', '33128', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500570', 'Goblin', '1', '45008', '0', '33128', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500571', 'Goblin', '1', '45008', '0', '33128', '32256', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500572', 'Dwarf', '1', '45041', '0', '33126', '32252', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500573', 'Dwarf', '1', '45041', '0', '33139', '32255', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500574', 'Dwarf', '1', '45041', '0', '33157', '32260', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500575', 'Dwarf', '1', '45041', '0', '33159', '32231', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500576', 'Dwarf', '1', '45041', '0', '33141', '32227', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500577', 'Dwarf', '1', '45041', '0', '33146', '32208', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500578', 'Dwarf', '1', '45041', '0', '33112', '32218', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500579', 'Dwarf', '1', '45041', '0', '33088', '32240', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500580', 'Dwarf', '1', '45041', '0', '33072', '32264', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500581', 'Dwarf', '1', '45041', '0', '33054', '32276', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500582', 'Dwarf', '1', '45041', '0', '33066', '32289', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500583', 'Dwarf', '1', '45041', '0', '33092', '32305', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500584', 'Dwarf', '1', '45041', '0', '33094', '32323', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500585', 'Dwarf', '1', '45041', '0', '33088', '32362', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500586', 'Dwarf', '1', '45041', '0', '33110', '32361', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500587', 'Goblin', '1', '45008', '0', '33132', '32347', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500588', 'Dwarf', '1', '45041', '0', '33128', '32333', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500589', 'Dwarf', '1', '45041', '0', '33134', '32310', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500590', 'Dwarf', '1', '45041', '0', '33119', '32286', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500591', 'Wild Boar', '1', '45058', '0', '33121', '32278', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500592', 'Wild Boar', '1', '45058', '0', '33108', '32263', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500593', 'Wild Boar', '1', '45058', '0', '33080', '32266', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500594', 'Wild Boar', '1', '45058', '0', '33061', '32243', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500595', 'Wild Boar', '1', '45058', '0', '33044', '32253', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500596', 'Wild Boar', '1', '45058', '0', '33052', '32279', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500597', 'Wild Boar', '1', '45058', '0', '33063', '32292', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500598', 'Wild Boar', '1', '45058', '0', '33085', '32299', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500599', 'Wild Boar', '1', '45058', '0', '33110', '32277', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500600', 'Wild Boar', '1', '45058', '0', '33131', '32295', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500601', 'Wild Boar', '1', '45058', '0', '33117', '32326', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500602', 'Werewolf', '1', '45024', '0', '33117', '32310', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500603', 'Werewolf', '1', '45024', '0', '33124', '32279', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500604', 'Werewolf', '1', '45024', '0', '33167', '32264', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500605', 'Werewolf', '1', '45024', '0', '33152', '32246', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500606', 'Werewolf', '1', '45024', '0', '33178', '32221', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500607', 'Werewolf', '1', '45024', '0', '33193', '32225', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500608', 'Werewolf', '1', '45024', '0', '33149', '32218', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500609', 'Werewolf', '1', '45024', '0', '33120', '32214', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500610', 'Werewolf', '1', '45024', '0', '33092', '32238', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500611', 'Werewolf', '1', '45024', '0', '33080', '32252', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500612', 'Werewolf', '1', '45024', '0', '33119', '32336', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500613', 'Orc Archer', '1', '45019', '0', '33106', '32239', '12', '12', '0', '0', '0', '0', '5', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500614', 'Orc Archer', '1', '45019', '0', '33077', '32259', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500615', 'Orc Archer', '1', '45019', '0', '33090', '32286', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500616', 'Orc Archer', '1', '45019', '0', '33120', '32312', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500617', 'Orc Archer', '1', '45019', '0', '33156', '32298', '12', '12', '0', '0', '0', '0', '1', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500618', 'Orc Archer', '1', '45019', '0', '33186', '32326', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500619', 'Orc Archer', '1', '45019', '0', '33147', '32338', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500620', 'Orc Archer', '1', '45019', '0', '33097', '32322', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500621', 'Orc Archer', '1', '45019', '0', '33044', '32296', '12', '12', '0', '0', '0', '0', '7', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500622', 'Orc Archer', '1', '45019', '0', '33013', '32283', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500623', 'Orc Archer', '1', '45019', '0', '33000', '32307', '12', '12', '0', '0', '0', '0', '6', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500624', 'Orc Archer', '1', '45019', '0', '33005', '32363', '12', '12', '0', '0', '0', '0', '4', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500625', 'Orc Archer', '1', '45019', '0', '33022', '32381', '12', '12', '0', '0', '0', '0', '3', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500626', 'Orc Archer', '1', '45019', '0', '33085', '32387', '12', '12', '0', '0', '0', '0', '2', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500627', 'Orc Archer', '1', '45019', '0', '33105', '32357', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500628', 'Orc Archer', '1', '45019', '0', '33126', '32318', '12', '12', '0', '0', '0', '0', '0', '60', '120', '4', '0', '0', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500629', 'Pig Group, SKT', '1', '70983', '176', '33099', '33394', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500630', 'Hen Group, SKT', '1', '70981', '175', '33069', '33390', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500631', 'Pig Group, Kent', '1', '70983', '176', '33059', '32745', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500632', 'Hen Group, Kent', '1', '70981', '175', '33047', '32781', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500633', 'Pig Group, Giran', '1', '70983', '176', '33404', '32778', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500634', 'Hen Group, Giran', '1', '70981', '175', '33445', '32810', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500635', 'Hen Group, Werldern', '1', '70981', '175', '33701', '32492', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500636', 'Pig Group, Oren', '1', '70983', '176', '34045', '32264', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500637', 'Hen Group, Oren', '1', '70981', '175', '34071', '32279', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500638', 'Pig Group, Windawood', '1', '70983', '176', '32626', '33206', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500639', 'Hen Group, Windawood', '1', '70981', '175', '32604', '33184', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500640', 'Pig Group, Orc Town', '1', '70983', '176', '32735', '32438', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500641', 'Hen Group, Orc Town', '1', '70981', '175', '32755', '32465', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500642', 'Pig Group, TI', '1', '70983', '176', '32583', '32955', '10', '10', '0', '0', '0', '0', '0', '120', '180', '1', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500643', 'Hen Group, TI', '1', '70981', '175', '32579', '32927', '10', '10', '0', '0', '0', '0', '0', '120', '180', '1', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500644', 'Pig Group, Gludin', '1', '70983', '176', '32620', '32741', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500645', 'Hen Group, Gludin', '1', '70981', '175', '32607', '32794', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500646', 'Pig Group, Werldern', '1', '70983', '176', '33742', '32486', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500647', 'Pig Group, Heine', '1', '70983', '176', '33587', '33240', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500648', 'Hen Group, Heine', '1', '70981', '175', '33613', '33235', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500649', 'Garuga', '1', '70735', '0', '34056', '32268', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500650', 'Derian', '1', '70736', '0', '34047', '32265', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500651', 'Dima', '1', '70741', '0', '34049', '32276', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500652', 'Rotus', '1', '70746', '0', '34053', '32294', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500653', 'Biyan', '1', '70752', '0', '34060', '32286', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500654', 'Haro', '1', '70767', '0', '34071', '32281', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500655', 'Anotte', '1', '70803', '0', '33089', '33397', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500656', 'Milk Cow', '1', '70984', '0', '32620', '33262', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500657', 'Milk Cow', '1', '70984', '0', '32601', '33281', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500658', 'Pig Group, Vineyard', '1', '70983', '176', '32865', '32782', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500659', 'Hen Group, Vineyard', '1', '70981', '175', '32863', '32813', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500660', 'Milk Cow', '1', '70984', '0', '32876', '32810', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500661', 'Milk Cow', '1', '70984', '0', '32867', '32787', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500662', 'Garth', '1', '70576', '0', '33442', '32803', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500663', 'Gulian', '1', '70581', '0', '33442', '32810', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500664', 'Daisy', '1', '70586', '0', '33442', '32817', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500665', 'Laban', '1', '70589', '0', '33442', '32824', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500666', 'Lina', '1', '70591', '0', '33442', '32831', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500667', 'Leal', '1', '70592', '0', '33435', '32829', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500668', 'Manus', '1', '70593', '0', '33428', '32829', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500669', 'Bridget', '1', '70604', '0', '33421', '32829', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500670', 'Alda', '1', '70615', '0', '33414', '32829', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500671', 'Aldred', '1', '70616', '0', '33407', '32829', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500672', 'Alice', '1', '70619', '0', '33400', '32829', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500673', 'Evelyn', '1', '70621', '0', '33412', '32820', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500674', 'Oliver', '1', '70624', '0', '33412', '32813', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500675', 'Jack', '1', '70626', '0', '33412', '32806', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500676', 'Giles', '1', '70630', '0', '33412', '32799', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500677', 'Tanya', '1', '70634', '0', '33412', '32792', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500678', 'Tovia', '1', '70637', '0', '33422', '32799', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500679', 'Ferdinand', '1', '70639', '0', '33429', '32799', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500681', 'Pierre', '1', '70640', '0', '33436', '32799', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500682', 'Neil', '1', '70582', '0', '33461', '32847', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500683', 'Nelson', '1', '70583', '0', '33458', '32856', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500684', 'Victor', '1', '70606', '0', '33458', '32863', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500685', 'Shalina', '1', '70608', '0', '33458', '32870', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500686', 'Eliza', '1', '70622', '0', '33458', '32863', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500687', 'Gavin', '1', '70647', '0', '33723', '32496', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500688', 'Daley', '1', '70648', '0', '33712', '32491', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500689', 'Atara', '1', '70659', '0', '33711', '32504', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500690', 'Jeti', '1', '70901', '0', '32863', '32895', '10', '10', '0', '0', '0', '0', '0', '120', '180', '304', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500706', 'Deker', '1', '70770', '0', '32612', '33195', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500691', 'Rohan', '1', '70812', '0', '32736', '32438', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500692', 'Ruka', '1', '70814', '0', '32741', '32437', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500693', 'Bob', '1', '70819', '0', '32752', '32438', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500694', 'Sanita', '1', '70821', '0', '32751', '32443', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500695', 'Ellne', '1', '70825', '0', '32750', '32447', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500696', 'Ofo', '1', '70828', '0', '32742', '32451', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500697', 'Tommy', '1', '70833', '0', '32734', '32456', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500698', 'Torban', '1', '70834', '0', '32721', '32452', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500699', 'Doett', '1', '70839', '0', '33058', '32319', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500700', 'Hurindalien', '1', '70854', '0', '33069', '32330', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500701', 'Derick', '1', '70858', '0', '33615', '33253', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500702', 'Shannon', '1', '70867', '0', '33615', '33246', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500703', 'Annabel', '1', '70871', '0', '33615', '33239', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500704', 'Trion', '1', '70877', '0', '33615', '33232', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist` VALUES ('801500705', 'Felix', '1', '70878', '0', '33597', '33233', '10', '10', '0', '0', '0', '0', '0', '120', '180', '4', '0', '100', '0', '0');
INSERT INTO `spawnlist_boss` VALUES ('1', 'Sea Dancer', 'SeaDancer', '1', '45228', '0', '32804', '32869', '0', '0', '32576', '32640', '32895', '32959', '5', '63', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('2', 'Tiger', 'Tiger', '1', '45313', '0', '32767', '32899', '0', '0', '32660', '32791', '32875', '33007', '0', '480', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('3', 'Bandit', 'Bandit', '1', '45317', '0', '32770', '32730', '0', '0', '32704', '32704', '32831', '32831', '5', '56', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('4', 'Crocodile', 'Crocodile', '1', '45338', '0', '33503', '33205', '0', '0', '33485', '33185', '33522', '33227', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('5', 'Bandit Leader', 'BanditLeader', '1', '45370', '0', '33878', '32749', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('6', 'Bandit Leader', 'BanditLeader', '1', '45370', '0', '33859', '32766', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('7', 'Bandit Leader', 'BanditLeader', '1', '45370', '0', '33781', '32681', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('8', 'Bandit Leader', 'BanditLeader', '1', '45370', '0', '33841', '32778', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('9', 'Bandit Leader', 'BanditLeader', '1', '45370', '0', '33820', '32664', '10', '10', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('10', 'Necromancer', 'etc1', '1', '45456', '15', '32727', '32751', '0', '0', '32704', '32704', '32831', '32831', '0', '12', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('11', 'Spirit of Drake', 'Oren', '1', '45458', '0', '32764', '32837', '0', '0', '0', '0', '0', '0', '5', '443', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('16', 'Caspa', 'Caspa', '1', '45488', '14', '32739', '32740', '3', '3', '0', '0', '0', '0', '0', '10', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('17', 'Caspa', 'Caspa', '1', '45488', '14', '32762', '32768', '3', '3', '0', '0', '0', '0', '0', '9', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('18', 'Kuman', 'etc1', '1', '45492', '49', '32767', '32899', '0', '0', '32673', '32861', '32834', '32970', '0', '480', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('21', 'Zenith Queen', 'ZenithQueen', '1', '45513', '0', '32798', '32798', '0', '0', '32704', '32704', '32895', '32895', '6', '110', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('22', 'Ifrit', 'Ifrit', '1', '45516', '0', '33644', '32269', '0', '0', '33635', '32232', '33659', '32300', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('23', 'Ifrit', 'Ifrit', '1', '45516', '0', '33672', '32311', '0', '0', '33655', '32288', '33690', '32335', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('24', 'Ifrit', 'Ifrit', '1', '45516', '0', '33719', '32269', '0', '0', '33697', '32237', '33740', '32283', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('25', 'Ifrit', 'Ifrit', '1', '45516', '0', '33737', '32281', '0', '0', '33723', '32270', '33765', '32329', '0', '4', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('26', 'Drake', '2Drake', '1', '45529', '17', '33406', '32412', '0', '0', '33398', '32403', '33410', '32415', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('27', 'Drake', '1Drake', '1', '45529', '0', '33355', '32353', '0', '0', '33339', '32348', '33354', '32363', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('28', 'Drake', '1Drake', '1', '45529', '0', '33389', '32336', '0', '0', '33382', '32330', '33397', '32345', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('29', 'Drake', '2Drake', '1', '45529', '17', '33365', '32384', '0', '0', '33356', '32375', '33371', '32390', '5', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('30', 'Mambo Rabbit Orange Vest', 'Caspa', '1', '45535', '21', '32799', '32839', '0', '0', '32723', '32787', '32875', '32892', '0', '430', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('31', 'Dark Elder', 'DarkElder', '1', '45545', '16', '33385', '32349', '1', '1', '0', '0', '0', '0', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('32', 'Dark Elder', 'DarkElder', '1', '45545', '16', '33271', '32394', '1', '1', '0', '0', '0', '0', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('33', 'Doppelganger', 'DoppelGanger', '1', '45546', '0', '33709', '33307', '0', '0', '33698', '33281', '33745', '33328', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('34', 'Seer', 'Seer', '1', '45547', '0', '32800', '32799', '0', '0', '32722', '32722', '32877', '32877', '0', '120', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('35', 'Baphomet', 'Baphomet', '1', '45573', '0', '32706', '32846', '0', '0', '32704', '32842', '32711', '32849', '5', '2', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('36', 'Beleth', 'Beleth', '1', '45583', '0', '32768', '32768', '0', '0', '32758', '32758', '32777', '32777', '0', '24', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('37', 'Greater Minotaur', 'Aden', '1', '45584', '0', '32652', '32726', '0', '0', '32640', '32713', '32676', '32761', '0', '70', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('38', 'Kurtz', 'Night', '1', '45600', '13', '32635', '32959', '0', '0', '32621', '32951', '32640', '32971', '0', '0', '1', '35', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('39', 'Death Knight', 'DK', '1', '45601', '0', '32799', '32804', '0', '0', '32704', '32704', '32831', '32831', '0', '11', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('40', 'Death Knight', 'DK', '1', '45601', '0', '32793', '32784', '0', '0', '32704', '32704', '32831', '32831', '0', '12', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('42', 'Vampire', 'Oren', '1', '45606', '0', '32799', '32799', '0', '0', '32722', '32722', '32877', '32877', '6', '130', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('43', 'Ice Queen', 'Oren', '1', '45609', '0', '32767', '32900', '0', '0', '32763', '32886', '32783', '32910', '5', '74', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('44', 'Ancient Giant', 'Aden', '1', '45610', '0', '34230', '33369', '0', '0', '34238', '33383', '34254', '33406', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('45', 'DeathKnight', 'DK', '1', '45614', '0', '32729', '32813', '12', '12', '0', '0', '0', '0', '4', '51', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('46', 'Phoenix', 'DK', '1', '45617', '0', '33723', '32255', '0', '0', '33718', '32240', '33725', '32268', '0', '4', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('47', 'Knight Vald', 'Oren', '1', '45618', '0', '32724', '32822', '0', '0', '32576', '32768', '32767', '32959', '5', '180', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('48', 'Chaos', 'DK', '1', '45625', '0', '32734', '32895', '6', '6', '0', '0', '0', '0', '0', '522', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('49', 'Unicorn', 'Unicorn', '3', '45640', '0', '32740', '32735', '0', '0', '32728', '32717', '32752', '32753', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('50', 'Great Spirit of Earth', 'Caspa', '1', '45642', '0', '32727', '32749', '0', '0', '32685', '32701', '32770', '32798', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('51', 'Great Spirit of Water', 'Caspa', '1', '45643', '0', '32762', '32616', '0', '0', '32717', '32593', '32808', '32640', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('52', 'Great Spirit of Wind', 'Caspa', '1', '45644', '0', '32624', '32807', '0', '0', '32588', '32739', '32660', '32876', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('53', 'Great Spirit of Fire', 'Caspa', '1', '45645', '0', '32833', '32778', '0', '0', '32798', '32738', '32869', '32818', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('54', 'Abyss Master', 'Oren', '1', '45646', '0', '32824', '32815', '0', '0', '32704', '32768', '32959', '33023', '0', '430', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('55', 'Demon', 'Oren', '1', '45649', '0', '32698', '32823', '0', '0', '32640', '32768', '32767', '32895', '0', '82', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('56', 'Zombie Lord', 'Oren', '1', '45650', '0', '32800', '32797', '0', '0', '32722', '32722', '32877', '32877', '0', '140', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('57', 'Dread King Baranka', 'Aden', '1', '45651', '0', '32915', '32896', '0', '0', '32964', '32881', '32998', '32915', '0', '320', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('58', 'Cougar', 'Oren', '1', '45652', '0', '32794', '32800', '0', '0', '32722', '32722', '32877', '32877', '5', '150', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('59', 'Mummy Lord', 'Oren', '1', '45653', '0', '32721', '32822', '0', '0', '32576', '32768', '32767', '32959', '3', '160', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('60', 'Iris', 'Oren', '1', '45654', '0', '32721', '32822', '0', '0', '32576', '32768', '32767', '32959', '0', '170', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('61', 'Aaarrrggg...', 'Aden', '1', '45671', '0', '32681', '32947', '0', '0', '32678', '32937', '32692', '32948', '5', '243', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('62', 'Lich', 'Oren', '1', '45672', '0', '32716', '32817', '0', '0', '32576', '32768', '32767', '32959', '0', '190', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('63', 'Grim Reaper', 'Oren', '1', '45673', '0', '32784', '32806', '0', '0', '32576', '32768', '32831', '33023', '6', '200', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('64', 'Death', 'DK', '1', '45674', '0', '32746', '32897', '0', '0', '0', '0', '0', '0', '0', '523', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('65', 'Yahee', 'DK', '1', '45675', '0', '32733', '32894', '0', '0', '0', '0', '0', '0', '0', '524', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('68', 'Ken Rauhel', 'Aden', '1', '45680', '18', '34092', '33262', '0', '0', '34079', '33250', '34100', '33271', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('69', 'Lindvior', 'Dragon', '1', '45681', '0', '34041', '33007', '3', '3', '0', '0', '0', '0', '0', '4', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('70', 'Antharas', 'Dragon', '1', '45682', '0', '32697', '32823', '3', '3', '0', '0', '0', '0', '0', '37', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('71', 'Fafurion', 'Dragon', '1', '45683', '0', '32771', '32831', '3', '3', '0', '0', '0', '0', '0', '65', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('72', 'Valakas', 'Dragon', '1', '45684', '0', '32725', '32800', '3', '3', '0', '0', '0', '0', '0', '67', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('73', 'Tarak', 'DK', '1', '45685', '0', '32904', '32801', '0', '0', '32889', '32788', '32916', '32810', '0', '410', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('74', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32511', '33024', '0', '0', '32276', '32785', '32746', '33263', '0', '440', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('75', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32767', '32899', '0', '0', '32660', '32791', '32875', '33007', '0', '480', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('76', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32796', '32863', '0', '0', '32629', '32692', '32964', '32978', '0', '70', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('77', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32671', '32862', '0', '0', '32527', '32718', '32815', '33007', '0', '69', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('78', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32522', '33013', '0', '0', '32299', '32787', '32745', '33240', '0', '0', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('79', 'Jindo Puppy', 'Unknown', '1', '45711', '0', '32804', '32734', '0', '0', '32654', '32591', '32955', '32878', '0', '68', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('80', 'Jindo Puppy', 'Unknown', '5', '45711', '0', '33408', '32834', '0', '0', '32528', '32200', '34288', '33519', '0', '4', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('81', 'Great King Squid', 'Unknown', '1', '45734', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '558', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('82', 'Chief Mermaid', 'Unknown', '1', '45735', '0', '32781', '32799', '0', '0', '32704', '32768', '33215', '33279', '0', '558', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('83', 'Varlok', 'DK', '1', '45752', '0', '32726', '32832', '0', '0', '0', '0', '0', '0', '0', '603', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('84', 'Polluted Orc Warrior', 'Unknown', '1', '45772', '0', '32729', '32792', '0', '0', '32729', '32792', '32809', '32930', '5', '244', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('85', 'Spirit', 'Unknown', '1', '45795', '0', '32841', '32913', '0', '0', '32841', '32913', '32880', '32947', '5', '244', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('86', 'Diamond Golem of Maino Shaman', 'Unknown', '1', '45801', '0', '32778', '32797', '0', '0', '0', '0', '0', '0', '5', '255', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('87', 'Maino Shaman', 'Unknown', '1', '45802', '0', '32696', '32793', '0', '0', '32640', '32768', '32895', '33023', '5', '256', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('88', 'Barbados', 'Unknown', '1', '45829', '0', '32675', '32860', '0', '0', '0', '0', '0', '0', '0', '254', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('89', 'Elindaire', 'Caspa', '1', '81081', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '60', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('90', 'Elindaire', 'Caspa', '1', '81081', '0', '32727', '32808', '0', '0', '32640', '32768', '32767', '32895', '5', '61', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('91', 'Jose', 'Oren', '1', '45548', '0', '32775', '32849', '0', '0', '32710', '32770', '32830', '32895', '5', '484', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('92', 'Assassin Squad Leader Blaze', 'Unknown', '1', '45585', '0', '32785', '32837', '0', '0', '0', '0', '0', '0', '5', '495', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('93', 'Palace General Kyte', 'Unknown', '1', '45574', '0', '32831', '32762', '0', '0', '0', '0', '0', '0', '5', '494', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('94', 'Slave of Assassin King', 'Unknown', '1', '45648', '0', '32853', '32863', '0', '0', '0', '0', '0', '0', '5', '492', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('95', 'Brigade Commander Dark Fencer', 'Unknown', '1', '45577', '0', '32783', '32837', '0', '0', '0', '0', '0', '0', '5', '452', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('96', 'Dread King Baranka', 'Unknown', '1', '45844', '0', '32838', '32758', '0', '0', '0', '0', '0', '0', '5', '453', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('97', 'Division Commander Sinclair', 'Unknown', '1', '45588', '0', '32745', '32823', '0', '0', '0', '0', '0', '0', '5', '456', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('98', 'Evil Power Squad Leader Kybar', 'Unknown', '1', '45607', '0', '32758', '32823', '0', '0', '0', '0', '0', '0', '5', '455', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('99', 'Temple Head Bounty', 'Unknown', '1', '45612', '0', '32770', '32829', '0', '0', '0', '0', '0', '0', '5', '466', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('100', 'Evil Magic Squad Leader Carmiel', 'Unknown', '1', '45602', '0', '32842', '32821', '0', '0', '0', '0', '0', '0', '5', '461', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('101', 'Dread Queen Laia', 'Unknown', '1', '45863', '0', '32805', '32839', '0', '0', '0', '0', '0', '0', '5', '462', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('102', 'Mercenary Commander Mephaisto', 'Unknown', '1', '45608', '0', '32791', '32815', '0', '0', '0', '0', '0', '0', '5', '471', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('103', 'Bright Magic Troup Leader Crepus', 'Unknown', '1', '45615', '0', '32922', '32846', '0', '0', '0', '0', '0', '0', '5', '473', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('104', 'Bright Magic King Hellvine', 'Unknown', '1', '45676', '0', '32785', '32844', '0', '0', '0', '0', '0', '0', '5', '475', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('19', 'Mambo Rabbit Pink Vest', 'Caspa', '1', '45534', '20', '32594', '33009', '0', '0', '32581', '32993', '32654', '33044', '0', '440', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('109', 'Cursed Medusa', '1Drake', '1', '45935', '0', '32700', '32830', '0', '0', '32640', '32768', '32767', '32895', '0', '60', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('110', 'Cursed Great Spirit of Water', '1Drake', '1', '45942', '0', '32700', '32830', '0', '0', '32640', '32768', '32767', '32895', '0', '61', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('111', 'Spirit of Water', '1Drake', '1', '45941', '0', '32735', '32799', '0', '0', '32576', '32640', '32895', '32959', '0', '63', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('112', 'Spirit of Water', '1Drake', '1', '45931', '0', '32735', '32799', '0', '0', '32576', '32640', '32895', '32959', '0', '63', '1', '0', '1', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('113', 'Kapu', '1Drake', '1', '45943', '0', '32735', '32799', '0', '0', '32576', '32640', '32895', '32959', '0', '63', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('114', 'Giant Worm', '1Drake', '1', '45944', '0', '32735', '32799', '0', '0', '32576', '32640', '32895', '32959', '0', '63', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('115', 'Supreme Court Justice Keyna', 'Unknown', '1', '45955', '0', '32862', '32840', '0', '0', '0', '0', '0', '0', '5', '530', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('116', 'Supreme Court Justice Viatas', 'Unknown', '1', '45956', '0', '32757', '32744', '0', '0', '0', '0', '0', '0', '5', '531', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('117', 'Supreme Court Justice Baromes', 'Unknown', '1', '45957', '0', '32791', '32786', '0', '0', '0', '0', '0', '0', '5', '531', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('118', 'Supreme Court Justice Endias', 'Unknown', '1', '45958', '0', '32845', '32857', '0', '0', '0', '0', '0', '0', '5', '531', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('119', 'Supreme Court Justice Edea', 'Unknown', '1', '45959', '0', '32789', '32812', '0', '0', '0', '0', '0', '0', '5', '532', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('120', 'Supreme Court Justice Tiames', 'Unknown', '1', '45960', '0', '32859', '32897', '0', '0', '0', '0', '0', '0', '5', '533', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('121', 'Supreme Court Justice Ramias', 'Unknown', '1', '45961', '0', '32789', '32891', '0', '0', '0', '0', '0', '0', '5', '533', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('122', 'Supreme Court Justice Barode', 'Unknown', '1', '45962', '0', '32753', '32811', '0', '0', '0', '0', '0', '0', '5', '533', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('123', 'New King Adjutant Cassandra', 'Unknown', '1', '45963', '0', '32858', '32821', '0', '0', '0', '0', '0', '0', '5', '534', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('12', 'Evil Spirit of Heine', '1Drake', '1', '45923', '0', '32700', '32830', '0', '0', '32640', '32768', '32767', '32895', '0', '59', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('13', 'Evil Spirit of Heine', '1Drake', '1', '45923', '0', '32700', '32830', '0', '0', '32640', '32768', '32767', '32895', '0', '60', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('14', 'Evil Spirit of Heine', '1Drake', '1', '45923', '0', '32700', '32830', '0', '0', '32640', '32768', '32767', '32895', '0', '61', '1', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('15', 'Count Taros', 'Oren', '1', '46025', '0', '32797', '32788', '0', '0', '0', '0', '0', '0', '0', '251', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('20', 'Mammon', 'Oren', '1', '46026', '0', '32797', '32792', '0', '0', '0', '0', '0', '0', '0', '251', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('105', 'General Hamel Full of Resentment', 'Caspa', '1', '45916', '0', '32626', '32658', '0', '0', '0', '0', '0', '0', '4', '4', '1', '0', '1', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('41', 'Dread Queen Laia', 'Aden', '1', '45677', '0', '33033', '32935', '0', '0', '0', '0', '0', '0', '6', '320', '0', '100', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('66', 'Teranus', 'Aden', '1', '45666', '0', '32773', '32913', '0', '0', '0', '0', '0', '0', '6', '450', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('67', 'Zyrus', 'Aden', '1', '45668', '0', '32771', '32897', '0', '0', '0', '0', '0', '0', '6', '450', '0', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('200', 'Great Spirit of Earth', 'Caspa', '1', '45642', '0', '32727', '32749', '0', '0', '32685', '32701', '32770', '32798', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('201', 'Great Spirit of Earth', 'Caspa', '1', '45642', '0', '32727', '32749', '0', '0', '32685', '32701', '32770', '32798', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('202', 'Great Spirit of Water', 'Caspa', '1', '45643', '0', '32762', '32616', '0', '0', '32717', '32593', '32808', '32640', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('203', 'Great Spirit of Water', 'Caspa', '1', '45643', '0', '32762', '32616', '0', '0', '32717', '32593', '32808', '32640', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('204', 'Great Spirit of Fire', 'Caspa', '1', '45645', '0', '32833', '32778', '0', '0', '32798', '32738', '32869', '32818', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('205', 'Great Spirit of Fire', 'Caspa', '1', '45645', '0', '32833', '32778', '0', '0', '32798', '32738', '32869', '32818', '4', '303', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('206', 'Cronos', 'Cronos', '1', '90004', '0', '32744', '32996', '0', '0', '0', '0', '0', '0', '5', '69', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('207', 'Kugas', 'Kugas', '1', '90010', '0', '32744', '32996', '0', '0', '0', '0', '0', '0', '5', '69', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('208', 'Elazer', 'Elazer', '1', '90005', '0', '32663', '32654', '0', '0', '0', '0', '0', '0', '5', '68', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('209', 'Zarlok', 'Zarlok', '1', '90009', '0', '32738', '32781', '0', '0', '0', '0', '0', '0', '5', '69', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_boss` VALUES ('210', 'Baell Zaer', 'BaellZaer', '1', '90003', '0', '32744', '32996', '12', '12', '0', '0', '0', '0', '5', '1', '1', '0', '0', '0', '100');
INSERT INTO `spawnlist_door` VALUES ('1', 'Hidden Valley', '2083', '32681', '32843', '69', '0', '32681', '32681', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('2', 'Hidden Valley', '2089', '32700', '32848', '69', '1', '32848', '32848', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3', 'Hidden Valley', '2114', '32649', '32844', '69', '0', '32649', '32649', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('4', 'Hidden Valley', '2128', '32690', '32885', '69', '1', '32885', '32885', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('100', 'Talking Island', '2301', '32563', '33085', '0', '0', '32563', '32563', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('101', 'Talking Island', '2346', '32597', '32934', '0', '0', '32597', '32597', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('102', 'Talking Island', '2304', '32586', '32919', '0', '0', '32586', '32586', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('103', 'Talking Island', '2305', '32578', '32918', '0', '0', '32578', '32578', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('104', 'Talking Island', '2303', '32562', '32947', '0', '0', '32562', '32562', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('105', 'Talking Island', '2306', '32559', '32968', '0', '0', '32559', '32559', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('106', 'Talking Island', '2345', '32568', '32969', '0', '0', '32568', '32568', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('107', 'Talking Island', '2344', '32591', '32955', '0', '1', '32591', '32591', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('200', 'SKT', '1010', '33098', '33354', '4', '0', '33098', '33098', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('201', 'SKT', '447', '33077', '33419', '4', '0', '33077', '33077', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('202', 'SKT', '446', '33052', '33400', '4', '1', '33400', '33400', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('203', 'SKT', '448', '33095', '33388', '4', '0', '33095', '33095', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('204', 'SKT', '845', '33108', '33383', '4', '0', '33108', '33108', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('205', 'SKT', '444', '33095', '33407', '4', '1', '33407', '33407', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('300', 'Windawood', '447', '32630', '33197', '4', '0', '32630', '32630', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('301', 'Windawood', '448', '32623', '33222', '4', '0', '32623', '32623', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('302', 'Windawood', '446', '32591', '33191', '4', '1', '33191', '33191', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('303', 'Windawood', '845', '32620', '33171', '4', '0', '32620', '32620', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('304', 'Windawood', '446', '32642', '33185', '4', '1', '33185', '33185', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('305', 'Windawood', '444', '33069', '32759', '4', '1', '32759', '32759', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('306', 'Windawood', '446', '33069', '32748', '4', '1', '32748', '32748', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('307', 'Windawood', '447', '33063', '32736', '4', '0', '33063', '33063', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('308', 'Windawood', '442', '33050', '32741', '4', '0', '33050', '33050', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('309', 'Windawood', '446', '33034', '32790', '4', '1', '32790', '32790', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('310', 'Windawood', '447', '33047', '32802', '4', '0', '33047', '33047', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('400', 'Orcish Forest', '766', '32725', '32439', '4', '1', '32439', '32439', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('401', 'Orcish Forest', '768', '32754', '32447', '4', '1', '32447', '32447', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('402', 'Orcish Forest', '766', '32758', '32434', '4', '1', '32434', '32434', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('403', 'Orcish Forest', '767', '32744', '32429', '4', '0', '32744', '32744', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('405', 'Orcish Forest', '767', '32730', '32471', '4', '0', '32730', '32730', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('406', 'Orcish Forest', '766', '32738', '32460', '4', '1', '32460', '32460', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('407', 'Orcish Forest', '1341', '33431', '32792', '4', '0', '33431', '33431', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('500', 'Oren', '2161', '34061', '32293', '4', '0', '34061', '34061', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('501', 'Oren', '2162', '34064', '32297', '4', '1', '32297', '32297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('502', 'Oren', '2164', '34067', '32299', '4', '0', '34067', '34067', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('503', 'Oren', '2163', '34066', '32299', '4', '0', '34066', '34066', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('504', 'Oren', '2190', '34035', '32264', '4', '0', '34035', '34035', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('505', 'Oren', '2190', '34021', '32264', '4', '1', '32264', '32264', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('506', 'Oren', '2191', '34052', '32230', '4', '1', '32230', '32230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('507', 'Oren', '2191', '34067', '32235', '4', '1', '32235', '32235', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('508', 'Oren', '2160', '34060', '32259', '4', '0', '34060', '34060', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('509', 'Oren', '2162', '34065', '32263', '4', '1', '32263', '32263', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('510', 'Oren', '2191', '34077', '32277', '4', '1', '32277', '32277', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('511', 'Oren', '2191', '34034', '32257', '4', '1', '32257', '32257', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('600', 'Heine', '1689', '33596', '33278', '4', '0', '33596', '33596', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('601', 'Heine', '1690', '33603', '33283', '4', '0', '33603', '33603', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('602', 'Heine', '1688', '33591', '33275', '4', '1', '33275', '33275', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('603', 'Heine', '1744', '33618', '33285', '4', '1', '33285', '33285', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('604', 'Heine', '1743', '33622', '33291', '4', '0', '33622', '33622', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('605', 'Heine', '1743', '33630', '33287', '4', '0', '33630', '33630', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('606', 'Heine', '1750', '33634', '33289', '4', '1', '33289', '33289', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('607', 'Heine', '1750', '33640', '33296', '4', '1', '33296', '33296', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('608', 'Heine', '1741', '33583', '33306', '4', '1', '33306', '33306', '0', '50617');
INSERT INTO `spawnlist_door` VALUES ('609', 'Heine', '1740', '33584', '33314', '4', '0', '33584', '33584', '0', '50617');
INSERT INTO `spawnlist_door` VALUES ('610', 'Heine', '1737', '33569', '33297', '4', '1', '33297', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('611', 'Heine', '1665', '33581', '33339', '4', '0', '33581', '33581', '0', '50614');
INSERT INTO `spawnlist_door` VALUES ('612', 'Heine', '1691', '33604', '33365', '4', '0', '33604', '33604', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('613', 'Heine', '1692', '33592', '33395', '4', '1', '33395', '33395', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('614', 'Heine', '1737', '33595', '33410', '4', '1', '33410', '33410', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('615', 'Heine', '1664', '33619', '33381', '4', '1', '33381', '33381', '0', '50618');
INSERT INTO `spawnlist_door` VALUES ('616', 'Heine', '1735', '33628', '33403', '4', '0', '33628', '33628', '0', '50616');
INSERT INTO `spawnlist_door` VALUES ('617', 'Heine', '1736', '33634', '33412', '4', '0', '33634', '33634', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('618', 'Heine', '1664', '33632', '33248', '4', '1', '33248', '33248', '0', '50621');
INSERT INTO `spawnlist_door` VALUES ('619', 'Heine', '1734', '33626', '33226', '4', '1', '33226', '33226', '0', '50619');
INSERT INTO `spawnlist_door` VALUES ('620', 'Heine', '1735', '33630', '33231', '4', '0', '33630', '33630', '0', '50619');
INSERT INTO `spawnlist_door` VALUES ('621', 'Heine', '1736', '33638', '33220', '4', '0', '33638', '33638', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('622', 'Heine', '1691', '33630', '33210', '4', '0', '33630', '33630', '0', '50623');
INSERT INTO `spawnlist_door` VALUES ('623', 'Heine', '1700', '33616', '33213', '4', '0', '33616', '33616', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('624', 'Heine', '1738', '33609', '33218', '4', '0', '33609', '33609', '0', '50620');
INSERT INTO `spawnlist_door` VALUES ('625', 'Heine', '1739', '33601', '33217', '4', '1', '33217', '33217', '0', '50620');
INSERT INTO `spawnlist_door` VALUES ('626', 'Heine', '1691', '33584', '33214', '4', '0', '33584', '33584', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('627', 'Heine', '1692', '33568', '33215', '4', '1', '33215', '33215', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('628', 'Heine', '1750', '33570', '33230', '4', '1', '33230', '33230', '0', '50624');
INSERT INTO `spawnlist_door` VALUES ('629', 'Heine', '1751', '33575', '33234', '4', '0', '33575', '33575', '0', '50624');
INSERT INTO `spawnlist_door` VALUES ('630', 'Heine', '1737', '33565', '33257', '4', '1', '33257', '33257', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('631', 'Heine', '1736', '33562', '33270', '4', '0', '33562', '33562', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('632', 'Heine', '1692', '33561', '33279', '4', '1', '33279', '33279', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('633', 'Heine', '1665', '33625', '33446', '4', '0', '33625', '33625', '0', '50615');
INSERT INTO `spawnlist_door` VALUES ('634', 'Heine', '1691', '33619', '33266', '4', '0', '33619', '33619', '0', '50622');
INSERT INTO `spawnlist_door` VALUES ('635', 'Heine', '1734', '33624', '33398', '4', '1', '33398', '33398', '0', '50616');
INSERT INTO `spawnlist_door` VALUES ('700', 'Giran', '1330', '33449', '32822', '4', '1', '32822', '32822', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('701', 'Giran', '1331', '33433', '32760', '4', '0', '33433', '33433', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('702', 'Giran', '1329', '33433', '32749', '4', '0', '33433', '33433', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('703', 'Giran', '1351', '33451', '32805', '4', '1', '32805', '32805', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('704', 'Giran', '1352', '33453', '32808', '4', '0', '33453', '33453', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('705', 'Giran', '1334', '33397', '32823', '4', '0', '33397', '33397', '0', '50537');
INSERT INTO `spawnlist_door` VALUES ('706', 'Giran', '1332', '33398', '32813', '4', '1', '32813', '32813', '0', '50517');
INSERT INTO `spawnlist_door` VALUES ('707', 'Giran', '1348', '33392', '32806', '4', '0', '33392', '33392', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('708', 'Giran', '1333', '33382', '32805', '4', '0', '33382', '33382', '0', '50535');
INSERT INTO `spawnlist_door` VALUES ('709', 'Giran', '1334', '33376', '32829', '4', '0', '33376', '33376', '0', '50521');
INSERT INTO `spawnlist_door` VALUES ('710', 'Giran', '1334', '33399', '32861', '4', '0', '33399', '33399', '0', '50502');
INSERT INTO `spawnlist_door` VALUES ('711', 'Giran', '1342', '33424', '32787', '4', '1', '32787', '32788', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('712', 'Giran', '1331', '33380', '32735', '4', '0', '33380', '33380', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('713', 'Giran', '1334', '33375', '32874', '4', '0', '33375', '33375', '0', '50522');
INSERT INTO `spawnlist_door` VALUES ('714', 'Giran', '1333', '33358', '32790', '4', '0', '33358', '33358', '0', '50503');
INSERT INTO `spawnlist_door` VALUES ('715', 'Giran', '1332', '33371', '32792', '4', '1', '32792', '32792', '0', '50508');
INSERT INTO `spawnlist_door` VALUES ('716', 'Giran', '1334', '33351', '32776', '4', '0', '33351', '33351', '0', '50501');
INSERT INTO `spawnlist_door` VALUES ('717', 'Giran', '1334', '33366', '32762', '4', '0', '33366', '33366', '0', '50511');
INSERT INTO `spawnlist_door` VALUES ('718', 'Giran', '1373', '33365', '32754', '4', '0', '33365', '33365', '0', '50511');
INSERT INTO `spawnlist_door` VALUES ('719', 'Giran', '1332', '33383', '32776', '4', '1', '32776', '32776', '0', '50514');
INSERT INTO `spawnlist_door` VALUES ('720', 'Giran', '1332', '33390', '32851', '4', '1', '32851', '32851', '0', '50530');
INSERT INTO `spawnlist_door` VALUES ('721', 'Giran', '1373', '33374', '32866', '4', '0', '33374', '33374', '0', '50522');
INSERT INTO `spawnlist_door` VALUES ('722', 'Giran', '1334', '33404', '32740', '4', '0', '33404', '33404', '0', '50513');
INSERT INTO `spawnlist_door` VALUES ('723', 'Giran', '1373', '33403', '32732', '4', '0', '33403', '33403', '0', '50513');
INSERT INTO `spawnlist_door` VALUES ('724', 'Giran', '1371', '33414', '32719', '4', '1', '32719', '32719', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('725', 'Giran', '1327', '33419', '32709', '4', '1', '32709', '32709', '0', '50520');
INSERT INTO `spawnlist_door` VALUES ('726', 'Giran', '1334', '33424', '32719', '4', '0', '33424', '33424', '0', '50528');
INSERT INTO `spawnlist_door` VALUES ('727', 'Giran', '1334', '33375', '32699', '4', '0', '33375', '33375', '0', '50543');
INSERT INTO `spawnlist_door` VALUES ('728', 'Giran', '1373', '33374', '32691', '4', '0', '33374', '33374', '0', '50543');
INSERT INTO `spawnlist_door` VALUES ('729', 'Giran', '1332', '33345', '32675', '4', '1', '32675', '32675', '0', '50504');
INSERT INTO `spawnlist_door` VALUES ('730', 'Giran', '1334', '33341', '32662', '4', '0', '33341', '33341', '0', '50510');
INSERT INTO `spawnlist_door` VALUES ('731', 'Giran', '1334', '33341', '32711', '4', '0', '33341', '33341', '0', '50525');
INSERT INTO `spawnlist_door` VALUES ('732', 'Giran', '1332', '33484', '32794', '4', '1', '32794', '32794', '0', '50544');
INSERT INTO `spawnlist_door` VALUES ('733', 'Giran', '1332', '33498', '32804', '4', '1', '32804', '32804', '0', '50524');
INSERT INTO `spawnlist_door` VALUES ('734', 'Giran', '1371', '33481', '32815', '4', '1', '32815', '32815', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('735', 'Giran', '1334', '33459', '32841', '4', '0', '33459', '33459', '0', '50507');
INSERT INTO `spawnlist_door` VALUES ('736', 'Giran', '1332', '33436', '32844', '4', '1', '32844', '32844', '0', '50539');
INSERT INTO `spawnlist_door` VALUES ('737', 'Giran', '1332', '33414', '32853', '4', '1', '32853', '32853', '0', '50506');
INSERT INTO `spawnlist_door` VALUES ('738', 'Giran', '1348', '33381', '32767', '4', '0', '33381', '33381', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('739', 'Giran', '1332', '33404', '32757', '4', '1', '32757', '32757', '0', '50542');
INSERT INTO `spawnlist_door` VALUES ('740', 'Giran', '1332', '33354', '32734', '4', '1', '32734', '32734', '0', '50534');
INSERT INTO `spawnlist_door` VALUES ('741', 'Giran', '1373', '33340', '32703', '4', '0', '33340', '33340', '0', '50525');
INSERT INTO `spawnlist_door` VALUES ('742', 'Giran', '1334', '33366', '32715', '4', '0', '33366', '33366', '0', '50540');
INSERT INTO `spawnlist_door` VALUES ('743', 'Giran', '1330', '33377', '32730', '4', '1', '32730', '32730', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('744', 'Giran', '1332', '33402', '32794', '4', '1', '32794', '32794', '0', '50532');
INSERT INTO `spawnlist_door` VALUES ('745', 'Giran', '1347', '33416', '32866', '4', '0', '33416', '33416', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('746', 'Giran', '1373', '33427', '32864', '4', '0', '33427', '33427', '0', '50541');
INSERT INTO `spawnlist_door` VALUES ('747', 'Giran', '1371', '33362', '32823', '4', '1', '32823', '32823', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('748', 'Giran', '1348', '33427', '32733', '4', '0', '33427', '33427', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('749', 'Giran', '1334', '33424', '32692', '4', '0', '33424', '33424', '0', '50509');
INSERT INTO `spawnlist_door` VALUES ('750', 'Giran', '1373', '33423', '32684', '4', '0', '33423', '33423', '0', '50509');
INSERT INTO `spawnlist_door` VALUES ('751', 'Giran', '1371', '33411', '32687', '4', '1', '32687', '32687', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('752', 'Giran', '1334', '33409', '32676', '4', '0', '33409', '33409', '0', '50536');
INSERT INTO `spawnlist_door` VALUES ('753', 'Giran', '1331', '33395', '32676', '4', '0', '33395', '33395', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('754', 'Giran', '1330', '33392', '32671', '4', '1', '32671', '32671', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('755', 'Giran', '1334', '33395', '32657', '4', '0', '33395', '33395', '0', '50519');
INSERT INTO `spawnlist_door` VALUES ('756', 'Giran', '1373', '33394', '32649', '4', '0', '33394', '33394', '0', '50519');
INSERT INTO `spawnlist_door` VALUES ('757', 'Giran', '1333', '33384', '32656', '4', '0', '33384', '33384', '0', '50505');
INSERT INTO `spawnlist_door` VALUES ('758', 'Giran', '1332', '33373', '32657', '4', '1', '32657', '32657', '0', '50527');
INSERT INTO `spawnlist_door` VALUES ('759', 'Giran', '1334', '33360', '32671', '4', '0', '33360', '33360', '0', '50512');
INSERT INTO `spawnlist_door` VALUES ('760', 'Giran', '1332', '33362', '32684', '4', '1', '32684', '32684', '0', '50526');
INSERT INTO `spawnlist_door` VALUES ('761', 'Giran', '1332', '33427', '32659', '4', '1', '32659', '32659', '0', '50545');
INSERT INTO `spawnlist_door` VALUES ('762', 'Giran', '1347', '33420', '32652', '4', '0', '33420', '33420', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('763', 'Giran', '1334', '33439', '32667', '4', '0', '33439', '33439', '0', '50531');
INSERT INTO `spawnlist_door` VALUES ('764', 'Giran', '1334', '33457', '32655', '4', '0', '33457', '33457', '0', '50529');
INSERT INTO `spawnlist_door` VALUES ('765', 'Giran', '1373', '33456', '32647', '4', '0', '33456', '33456', '0', '50529');
INSERT INTO `spawnlist_door` VALUES ('766', 'Giran', '1332', '33476', '32668', '4', '1', '32668', '32668', '0', '50516');
INSERT INTO `spawnlist_door` VALUES ('767', 'Giran', '1347', '33472', '32659', '4', '0', '33472', '33472', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('768', 'Giran', '1334', '33471', '32680', '4', '0', '33471', '33471', '0', '50538');
INSERT INTO `spawnlist_door` VALUES ('769', 'Giran', '1332', '33458', '32700', '4', '1', '32700', '32700', '0', '50518');
INSERT INTO `spawnlist_door` VALUES ('770', 'Giran', '1347', '33468', '32722', '4', '0', '33468', '33468', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('771', 'Giran', '1332', '33448', '32732', '4', '1', '32732', '32732', '0', '50533');
INSERT INTO `spawnlist_door` VALUES ('772', 'Giran', '1347', '33458', '32773', '4', '0', '33458', '33458', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('773', 'Giran', '1371', '33469', '32790', '4', '1', '32790', '32790', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('774', 'Giran', '1331', '33452', '32827', '4', '0', '33452', '33452', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('775', 'Giran', '1350', '33472', '32829', '4', '0', '33472', '33472', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('776', 'Giran', '1330', '33430', '32755', '4', '1', '32755', '32755', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('777', 'Giran', '1373', '33375', '32821', '4', '0', '33375', '33375', '0', '50521');
INSERT INTO `spawnlist_door` VALUES ('778', 'Giran', '1329', '33380', '32724', '4', '0', '33380', '33380', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('779', 'Giran', '1332', '33380', '32715', '4', '1', '32715', '32715', '0', '50515');
INSERT INTO `spawnlist_door` VALUES ('780', 'Giran', '1329', '33395', '32665', '4', '0', '33395', '33395', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('781', 'Giran', '1350', '33423', '32670', '4', '0', '33423', '33423', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('782', 'Giran', '1350', '33407', '32706', '4', '0', '33407', '33407', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('783', 'Giran', '1349', '33394', '32695', '4', '0', '33394', '33394', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('784', 'Giran', '1348', '33357', '32712', '4', '0', '33357', '33357', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('785', 'Giran', '1350', '33367', '32730', '4', '0', '33367', '33367', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('786', 'Giran', '1347', '33390', '32738', '4', '0', '33390', '33390', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('787', 'Giran', '1347', '33405', '32769', '4', '0', '33405', '33405', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('788', 'Giran', '1347', '33388', '32788', '4', '0', '33388', '33388', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('789', 'Giran', '1371', '33374', '32847', '4', '1', '32847', '32847', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('790', 'Giran', '1348', '33399', '32852', '4', '0', '33399', '33399', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('791', 'Giran', '1347', '33410', '32844', '4', '0', '33410', '33410', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('792', 'Giran', '1350', '33394', '32695', '4', '0', '33394', '33394', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('793', 'Giran', '1349', '33495', '32816', '4', '0', '33495', '33495', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('794', 'Giran', '1348', '33493', '32796', '4', '0', '33493', '33493', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('795', 'Giran', '1350', '33461', '32794', '4', '0', '33461', '33461', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('796', 'Giran', '1334', '33443', '32871', '4', '0', '33443', '33443', '0', '50523');
INSERT INTO `spawnlist_door` VALUES ('797', 'Giran', '1334', '33428', '32872', '4', '0', '33428', '33428', '0', '50541');
INSERT INTO `spawnlist_door` VALUES ('798', 'Giran', '1349', '33393', '32874', '4', '0', '33393', '33393', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('799', 'Giran', '1349', '33370', '32807', '4', '0', '33370', '33370', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('800', 'Giran', '1349', '33355', '32766', '4', '0', '33355', '33355', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('801', 'Giran', '1350', '33355', '32657', '4', '0', '33355', '33355', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('802', 'Giran', '1349', '33445', '32658', '4', '0', '33445', '33445', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('803', 'Giran', '1347', '33451', '32676', '4', '0', '33451', '33451', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('804', 'Giran', '1371', '33462', '32678', '4', '1', '32678', '32678', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('805', 'Giran', '1350', '33471', '32695', '4', '0', '33471', '33471', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('806', 'Giran', '1349', '33458', '32724', '4', '0', '33458', '33458', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('807', 'Giran', '1349', '33415', '32790', '4', '0', '33415', '33415', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('808', 'Giran Dog Race', '1487', '33521', '32861', '4', '1', '32861', '32861', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('809', 'Giran Dog Race', '1487', '33519', '32863', '4', '1', '32863', '32863', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('810', 'Giran Dog Race', '1487', '33517', '32865', '4', '1', '32865', '32865', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('811', 'Giran Dog Race', '1487', '33515', '32867', '4', '1', '32867', '32867', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('812', 'Giran Dog Race', '1487', '33513', '32869', '4', '1', '32869', '32869', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1000', 'Aden', '2581', '34029', '33112', '4', '0', '34029', '34029', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1001', 'Aden', '2558', '34043', '33111', '4', '0', '34043', '34043', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1002', 'Aden', '2556', '34041', '33108', '4', '1', '33108', '33108', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1003', 'Aden', '2556', '34041', '33106', '4', '1', '33106', '33106', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1004', 'Aden', '2580', '34051', '33109', '4', '1', '33109', '33109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1005', 'Aden', '2582', '34055', '33105', '4', '0', '34055', '34055', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1006', 'Aden', '2581', '34055', '33112', '4', '0', '34055', '34055', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1007', 'Aden', '2583', '34060', '33109', '4', '1', '33109', '33109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1008', 'Aden', '2580', '34096', '33110', '4', '1', '33110', '33110', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1009', 'Aden', '2582', '34099', '33105', '4', '0', '34099', '34099', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1010', 'Aden', '2583', '34103', '33110', '4', '1', '33110', '33110', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1011', 'Aden', '2603', '34150', '33110', '4', '0', '34150', '34150', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1012', 'Aden', '2583', '33904', '33318', '4', '1', '33318', '33318', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1013', 'Aden', '2581', '34135', '33132', '4', '0', '34135', '34135', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1014', 'Aden', '2582', '34135', '33124', '4', '0', '34135', '34135', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1015', 'Aden', '2578', '34127', '33124', '4', '0', '34127', '34127', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1016', 'Aden', '2585', '34127', '33132', '4', '0', '34127', '34127', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1017', 'Aden', '2580', '34105', '33130', '4', '1', '33130', '33130', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1018', 'Aden', '2583', '34113', '33130', '4', '1', '33130', '33130', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1019', 'Aden', '2583', '34044', '33129', '4', '1', '33129', '33129', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1020', 'Aden', '2581', '34040', '33133', '4', '0', '34040', '34040', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1021', 'Aden', '2630', '34030', '33133', '4', '0', '34030', '34030', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1022', 'Aden', '2558', '34019', '33130', '4', '0', '34019', '34019', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1023', 'Aden', '2580', '33914', '33315', '4', '1', '33315', '33315', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1024', 'Aden', '2580', '33900', '33193', '4', '1', '33193', '33193', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1025', 'Aden', '2582', '33904', '33189', '4', '0', '33904', '33904', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1026', 'Aden', '2581', '33904', '33196', '4', '0', '33904', '33904', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1027', 'Aden', '2583', '33909', '33193', '4', '1', '33193', '33193', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1028', 'Aden', '2581', '33916', '33196', '4', '0', '33916', '33916', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1029', 'Aden', '2582', '33916', '33188', '4', '0', '33916', '33916', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1030', 'Aden', '2580', '33930', '33179', '4', '1', '33179', '33179', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1031', 'Aden', '2581', '33934', '33182', '4', '0', '33934', '33934', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1032', 'Aden', '2582', '33934', '33175', '4', '0', '33934', '33934', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1033', 'Aden', '2580', '33930', '33179', '4', '1', '33179', '33179', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1034', 'Aden', '2583', '33939', '33179', '4', '1', '33179', '33179', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1035', 'Aden', '2610', '34023', '33151', '4', '1', '33151', '33151', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1036', 'Aden', '2583', '34020', '33152', '4', '1', '33152', '33152', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1037', 'Aden', '2581', '34015', '33155', '4', '0', '34015', '34015', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1038', 'Aden', '2580', '34011', '33152', '4', '1', '33152', '33152', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1039', 'Aden', '2582', '34015', '33148', '4', '0', '34015', '34015', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1040', 'Aden', '2558', '34021', '33130', '4', '0', '34021', '34021', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1041', 'Aden', '2583', '33911', '33230', '4', '1', '33230', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1042', 'Aden', '2556', '34016', '33128', '4', '1', '33128', '33128', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1043', 'Aden', '2582', '34038', '33149', '4', '0', '34038', '34038', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1044', 'Aden', '2580', '34035', '33154', '4', '1', '33154', '33154', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1045', 'Aden', '2583', '34042', '33154', '4', '1', '33154', '33154', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1046', 'Aden', '2600', '33895', '33219', '4', '1', '33219', '33219', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1047', 'Aden', '2600', '33895', '33216', '4', '1', '33216', '33216', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1048', 'Aden', '2580', '33902', '33230', '4', '1', '33230', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1049', 'Aden', '2581', '33906', '33233', '4', '0', '33906', '33906', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1050', 'Aden', '2582', '33906', '33226', '4', '0', '33906', '33906', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1051', 'Aden', '2580', '33915', '33230', '4', '1', '33230', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1052', 'Aden', '2583', '33923', '33230', '4', '1', '33230', '33230', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1053', 'Aden', '2556', '33911', '33209', '4', '1', '33209', '33209', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1054', 'Aden', '2558', '33914', '33211', '4', '0', '33914', '33914', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1055', 'Aden', '2558', '33916', '33211', '4', '0', '33916', '33916', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1056', 'Aden', '2581', '33932', '33214', '4', '0', '33932', '33932', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1057', 'Aden', '2583', '33936', '33210', '4', '1', '33210', '33210', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1058', 'Aden', '2582', '33932', '33205', '4', '0', '33932', '33932', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1059', 'Aden', '2582', '33940', '33207', '4', '0', '33940', '33940', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1060', 'Aden', '2581', '33940', '33215', '4', '0', '33940', '33940', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1061', 'Aden', '2581', '33949', '33214', '4', '0', '33949', '33949', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1062', 'Aden', '2582', '33949', '33206', '4', '0', '33949', '33949', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1063', 'Aden', '2580', '33973', '33206', '4', '1', '33206', '33206', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1064', 'Aden', '2580', '33973', '33214', '4', '1', '33214', '33214', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1065', 'Aden', '2580', '33974', '33224', '4', '1', '33224', '33224', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1066', 'Aden', '2581', '33977', '33226', '4', '0', '33977', '33977', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1067', 'Aden', '2581', '33979', '33226', '4', '0', '33979', '33979', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1068', 'Aden', '2580', '33910', '33291', '4', '1', '33291', '33291', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1069', 'Aden', '2580', '33932', '33293', '4', '1', '33293', '33293', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1070', 'Aden', '2580', '33932', '33291', '4', '1', '33291', '33291', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1071', 'Aden', '2581', '33934', '33296', '4', '0', '33934', '33934', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1072', 'Aden', '2581', '33921', '33296', '4', '0', '33921', '33921', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1073', 'Aden', '2582', '33921', '33288', '4', '0', '33921', '33921', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1074', 'Aden', '2581', '33918', '33318', '4', '0', '33918', '33918', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1075', 'Aden', '2582', '33918', '33311', '4', '0', '33918', '33918', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1076', 'Aden', '2582', '33905', '33324', '4', '0', '33905', '33905', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1077', 'Aden', '2581', '33905', '33332', '4', '0', '33905', '33905', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1078', 'Aden', '2575', '33921', '33327', '4', '0', '33921', '33921', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1079', 'Aden', '2583', '33910', '33340', '4', '1', '33340', '33340', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1080', 'Aden', '2580', '33903', '33350', '4', '1', '33350', '33350', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1081', 'Aden', '2583', '33911', '33350', '4', '1', '33350', '33350', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1082', 'Aden', '2583', '33895', '33354', '4', '1', '33354', '33354', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1083', 'Aden', '2582', '33891', '33349', '4', '0', '33891', '33891', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1084', 'Aden', '2605', '33889', '33384', '4', '0', '33889', '33889', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1085', 'Aden', '2606', '33883', '33383', '4', '1', '33383', '33383', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1086', 'Aden', '2606', '33883', '33381', '4', '1', '33381', '33381', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1087', 'Aden', '2556', '33899', '33380', '4', '1', '33380', '33380', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1088', 'Aden', '2558', '33902', '33382', '4', '0', '33902', '33902', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1089', 'Aden', '2628', '33894', '33396', '4', '1', '33396', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1090', 'Aden', '2629', '33902', '33396', '4', '1', '33396', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1091', 'Aden', '2582', '33898', '33402', '4', '0', '33898', '33898', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1092', 'Aden', '2583', '33903', '33406', '4', '1', '33406', '33406', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1093', 'Aden', '2583', '33923', '33411', '4', '1', '33411', '33411', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1094', 'Aden', '2582', '33919', '33406', '4', '0', '33919', '33919', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1095', 'Aden', '2580', '33912', '33389', '4', '1', '33389', '33389', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1096', 'Aden', '2575', '33917', '33373', '4', '0', '33917', '33917', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1097', 'Aden', '2580', '33912', '33365', '4', '1', '33365', '33365', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1098', 'Aden', '2583', '33919', '33365', '4', '1', '33365', '33365', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1099', 'Aden', '2581', '33900', '33372', '4', '0', '33900', '33900', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1100', 'Aden', '2582', '33900', '33364', '4', '0', '33900', '33900', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1101', 'Aden', '2583', '33920', '33389', '4', '1', '33389', '33389', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1102', 'Aden', '2582', '33917', '33395', '4', '0', '33917', '33917', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1103', 'Aden', '2630', '33932', '33409', '4', '0', '33932', '33932', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1104', 'Aden', '2631', '33932', '33401', '4', '0', '33932', '33932', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1105', 'Aden', '2589', '33940', '33405', '4', '1', '33405', '33405', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1106', 'Aden', '2628', '33942', '33296', '4', '1', '33296', '33296', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1107', 'Aden', '2629', '33950', '33296', '4', '1', '33296', '33296', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1108', 'Aden', '2581', '33947', '33309', '4', '0', '33947', '33947', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1109', 'Aden', '2582', '33947', '33301', '4', '0', '33947', '33947', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1110', 'Aden', '2591', '33955', '33316', '4', '0', '33955', '33955', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1111', 'Aden', '2610', '33940', '33327', '4', '1', '33327', '33327', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1112', 'Aden', '2610', '33940', '33324', '4', '1', '33324', '33324', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1113', 'Aden', '2580', '33952', '33417', '4', '1', '33417', '33417', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1114', 'Aden', '2582', '33958', '33414', '4', '0', '33958', '33958', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1115', 'Aden', '2580', '33955', '33412', '4', '1', '33412', '33412', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1116', 'Aden', '2574', '33954', '33404', '4', '1', '33404', '33404', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1117', 'Aden', '2583', '33959', '33417', '4', '1', '33417', '33417', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1118', 'Aden', '2581', '33964', '33407', '4', '0', '33964', '33964', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1119', 'Aden', '2582', '33967', '33413', '4', '0', '33967', '33967', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1120', 'Aden', '2582', '33976', '33399', '4', '0', '33976', '33976', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1121', 'Aden', '2581', '33976', '33407', '4', '0', '33976', '33976', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1122', 'Aden', '2582', '33987', '33400', '4', '0', '33987', '33987', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1123', 'Aden', '2583', '33992', '33404', '4', '1', '33404', '33404', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1124', 'Aden', '2628', '34002', '33403', '4', '1', '33403', '33403', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1125', 'Aden', '2629', '34010', '33403', '4', '1', '33403', '33403', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1126', 'Aden', '2574', '34012', '33391', '4', '1', '33391', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1127', 'Aden', '2629', '34019', '33374', '4', '1', '33374', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1128', 'Aden', '2597', '34015', '33356', '4', '0', '34015', '34015', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1129', 'Aden', '2599', '34019', '33352', '4', '1', '33352', '33352', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1130', 'Aden', '2598', '34015', '33347', '4', '0', '34015', '34015', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1131', 'Aden', '2596', '34012', '33352', '4', '1', '33352', '33352', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1132', 'Aden', '2580', '34011', '33340', '4', '1', '33340', '33340', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1133', 'Aden', '2583', '34020', '33340', '4', '1', '33340', '33340', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1134', 'Aden', '2582', '34015', '33336', '4', '0', '34015', '34015', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1135', 'Aden', '2582', '33975', '33260', '4', '0', '33975', '33975', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1136', 'Aden', '2580', '33971', '33264', '4', '1', '33264', '33264', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1137', 'Aden', '2583', '33980', '33264', '4', '1', '33264', '33264', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1138', 'Aden', '2628', '33972', '33274', '4', '1', '33274', '33274', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1139', 'Aden', '2629', '33980', '33274', '4', '1', '33274', '33274', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1140', 'Aden', '2581', '33983', '33300', '4', '0', '33983', '33983', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1141', 'Aden', '2581', '33955', '33421', '4', '0', '33955', '33955', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1142', 'Aden', '2628', '34011', '33374', '4', '1', '33374', '33374', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1143', 'Aden', '2579', '34001', '33328', '4', '0', '34001', '34001', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1144', 'Aden', '2578', '34001', '33320', '4', '0', '34001', '34001', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1145', 'Aden', '2580', '33998', '33309', '4', '1', '33309', '33309', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1146', 'Aden', '2583', '34005', '33309', '4', '1', '33309', '33309', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1147', 'Aden', '2582', '34001', '33304', '4', '0', '34001', '34001', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1148', 'Aden', '2581', '33996', '33300', '4', '0', '33996', '33996', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1149', 'Aden', '2580', '33992', '33297', '4', '1', '33297', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1150', 'Aden', '2582', '33996', '33293', '4', '0', '33996', '33996', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1151', 'Aden', '2575', '33983', '33300', '4', '0', '33983', '33983', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1152', 'Aden', '2630', '33987', '33294', '4', '0', '33987', '33987', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1153', 'Aden', '2631', '33987', '33286', '4', '0', '33987', '33987', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1154', 'Aden', '2583', '33981', '33214', '4', '1', '33214', '33214', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1155', 'Aden', '2580', '33973', '33203', '4', '1', '33203', '33203', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1156', 'Aden', '2558', '33974', '33171', '4', '0', '33974', '33974', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1157', 'Aden', '2556', '33971', '33169', '4', '1', '33169', '33169', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1158', 'Aden', '2606', '34022', '33382', '4', '1', '33382', '33382', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1159', 'Aden', '2606', '34022', '33384', '4', '1', '33384', '33384', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1160', 'Aden', '2608', '34028', '33385', '4', '0', '34028', '34028', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1161', 'Aden', '2588', '34060', '33397', '4', '1', '33397', '33397', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1162', 'Aden', '2589', '34068', '33397', '4', '1', '33397', '33397', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1163', 'Aden', '2591', '34071', '33415', '4', '0', '34071', '34071', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1164', 'Aden', '2590', '34071', '33407', '4', '0', '34071', '34071', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1165', 'Aden', '2581', '34077', '33399', '4', '0', '34077', '34077', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1166', 'Aden', '2582', '34077', '33392', '4', '0', '34077', '34077', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1167', 'Aden', '2583', '34082', '33396', '4', '1', '33396', '33396', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1168', 'Aden', '2610', '34072', '33383', '4', '1', '33383', '33383', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1169', 'Aden', '2610', '34072', '33380', '4', '1', '33380', '33380', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1170', 'Aden', '2581', '34061', '33380', '4', '0', '34061', '34061', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1171', 'Aden', '2580', '34058', '33376', '4', '1', '33376', '33376', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1172', 'Aden', '2583', '34065', '33376', '4', '1', '33376', '33376', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1173', 'Aden', '2582', '34061', '33371', '4', '0', '34061', '34061', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1174', 'Aden', '2580', '34070', '33356', '4', '1', '33356', '33356', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1175', 'Aden', '2581', '34074', '33359', '4', '0', '34074', '34074', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1176', 'Aden', '2583', '34079', '33356', '4', '1', '33356', '33356', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1177', 'Aden', '2582', '34074', '33352', '4', '0', '34074', '34074', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1178', 'Aden', '2591', '34091', '33353', '4', '0', '34091', '34091', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1179', 'Aden', '2590', '34091', '33345', '4', '0', '34091', '34091', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1180', 'Aden', '2634', '34100', '33354', '4', '0', '34100', '34100', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1181', 'Aden', '2635', '34100', '33346', '4', '0', '34100', '34100', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1182', 'Aden', '2591', '34109', '33352', '4', '0', '34109', '34109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1183', 'Aden', '2590', '34109', '33344', '4', '0', '34109', '34109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1184', 'Aden', '2590', '34109', '33364', '4', '0', '34109', '34109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1185', 'Aden', '2591', '34109', '33372', '4', '0', '34109', '34109', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1186', 'Aden', '2581', '34098', '33373', '4', '0', '34098', '34098', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1187', 'Aden', '2582', '34098', '33366', '4', '0', '34098', '34098', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1188', 'Aden', '2580', '34094', '33370', '4', '1', '33370', '33370', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1189', 'Aden', '2582', '34095', '33387', '4', '0', '34095', '34095', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1190', 'Aden', '2581', '34095', '33394', '4', '0', '34095', '34095', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1191', 'Aden', '2583', '34100', '33391', '4', '1', '33391', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1192', 'Aden', '2580', '34091', '33391', '4', '1', '33391', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1193', 'Aden', '2634', '34106', '33409', '4', '0', '34106', '34106', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1194', 'Aden', '2635', '34106', '33401', '4', '0', '34106', '34106', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1195', 'Aden', '2581', '34107', '33396', '4', '0', '34107', '34107', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1196', 'Aden', '2583', '34111', '33392', '4', '1', '33392', '33392', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1197', 'Aden', '2582', '34074', '33352', '4', '0', '34074', '34074', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1198', 'Aden', '2580', '34104', '33392', '4', '1', '33392', '33392', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1199', 'Aden', '2582', '34107', '33387', '4', '0', '34107', '34107', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1200', 'Aden', '2580', '34124', '33401', '4', '1', '33401', '33401', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1201', 'Aden', '2583', '34131', '33401', '4', '1', '33401', '33401', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1202', 'Aden', '2581', '34128', '33394', '4', '0', '34128', '34128', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1203', 'Aden', '2580', '34124', '33391', '4', '1', '33391', '33391', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1204', 'Aden', '2582', '34128', '33387', '4', '0', '34128', '34128', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1205', 'Aden', '2581', '34127', '33372', '4', '0', '34127', '34127', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1206', 'Aden', '2583', '34131', '33368', '4', '1', '33368', '33368', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1207', 'Aden', '2580', '34124', '33368', '4', '1', '33368', '33368', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1208', 'Aden', '2582', '34127', '33363', '4', '0', '34127', '34127', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1209', 'Aden', '2580', '34124', '33354', '4', '1', '33354', '33354', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1210', 'Aden', '2583', '34132', '33354', '4', '1', '33354', '33354', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1211', 'Aden', '2580', '34136', '33364', '4', '1', '33364', '33364', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1212', 'Aden', '2580', '34136', '33361', '4', '1', '33361', '33361', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1213', 'Aden', '2580', '34131', '33418', '4', '1', '33418', '33418', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1214', 'Aden', '2581', '34139', '33418', '4', '1', '33418', '33418', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1215', 'Aden', '2581', '34158', '33404', '4', '0', '34158', '34158', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1216', 'Aden', '2580', '34155', '33400', '4', '1', '33400', '33400', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1217', 'Aden', '2583', '34162', '33400', '4', '1', '33400', '33400', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1218', 'Aden', '2582', '34158', '33395', '4', '0', '34158', '34158', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1219', 'Aden', '2608', '34143', '33398', '4', '0', '34143', '34143', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1220', 'Aden', '2591', '34147', '33373', '4', '0', '34147', '34147', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1221', 'Aden', '2590', '34147', '33365', '4', '0', '34147', '34147', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1222', 'Aden', '2581', '34155', '33171', '4', '0', '34155', '34155', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1223', 'Aden', '2582', '34155', '33163', '4', '0', '34155', '34155', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1224', 'Aden', '2583', '34148', '33167', '4', '1', '33167', '33167', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1225', 'Aden', '2580', '34140', '33167', '4', '1', '33167', '33167', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1226', 'Aden', '2581', '34144', '33146', '4', '0', '34144', '34144', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1227', 'Aden', '2583', '34149', '33143', '4', '1', '33143', '33143', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1228', 'Aden', '2582', '34144', '33139', '4', '0', '34144', '34144', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1229', 'Aden', '2581', '34157', '33145', '4', '0', '34157', '34157', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1230', 'Aden', '2583', '34161', '33141', '4', '1', '33141', '33141', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1231', 'Aden', '2582', '34157', '33136', '4', '0', '34157', '34157', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1232', 'Aden', '2581', '34144', '33146', '4', '0', '34144', '34144', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1233', 'Aden', '2580', '34140', '33143', '4', '1', '33143', '33143', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1234', 'Aden', '2582', '34144', '33139', '4', '0', '34144', '34144', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1235', 'Aden', '2580', '34118', '33163', '4', '1', '33163', '33163', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1236', 'Aden', '2583', '34127', '33163', '4', '1', '33163', '33163', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1237', 'Aden', '2582', '34122', '33159', '4', '0', '34122', '34122', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1238', 'Aden', '2581', '34105', '33170', '4', '0', '34105', '34105', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1239', 'Aden', '2583', '34109', '33166', '4', '1', '33166', '33166', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1240', 'Aden', '2582', '34105', '33161', '4', '0', '34105', '34105', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1241', 'Aden', '2580', '34102', '33166', '4', '1', '33166', '33166', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1242', 'Aden', '2600', '34105', '33119', '4', '1', '33119', '33119', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1243', 'Aden', '2581', '34099', '33114', '4', '0', '34099', '34099', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1244', 'Aden', '2578', '34029', '33104', '4', '0', '34029', '34029', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1245', 'Aden', '2631', '34030', '33125', '4', '0', '34030', '34030', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1246', 'Aden', '2581', '33992', '33198', '4', '0', '33992', '33992', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1247', 'Aden', '2581', '33990', '33198', '4', '0', '33990', '33990', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1248', 'Aden', '2580', '33989', '33193', '4', '1', '33193', '33193', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1249', 'Aden', '2558', '33904', '33382', '4', '0', '33904', '33904', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1250', 'Aden', '2558', '33976', '33171', '4', '0', '33976', '33976', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1251', 'Aden', '2608', '34146', '33398', '4', '0', '34146', '34146', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1252', 'Aden', '2610', '34023', '33154', '4', '1', '33154', '33154', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1253', 'Aden', '2580', '33936', '33192', '4', '1', '33192', '33192', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1254', 'Aden', '2580', '33936', '33194', '4', '1', '33194', '33194', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1255', 'Aden', '2581', '33942', '33195', '4', '0', '33942', '33942', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1256', 'Aden', '2600', '34105', '33122', '4', '1', '33122', '33122', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1257', 'Aden', '2558', '34123', '33151', '4', '0', '34123', '34123', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1258', 'Aden', '2558', '34125', '33151', '4', '0', '34125', '34125', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1259', 'Aden', '2556', '34120', '33149', '4', '1', '33149', '33149', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1260', 'Aden', '2603', '34106', '33155', '4', '0', '34106', '34106', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1261', 'Aden', '2603', '34104', '33155', '4', '0', '34104', '34104', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1262', 'Aden', '2582', '34129', '33110', '4', '0', '34129', '34129', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1263', 'Aden', '2580', '33896', '33318', '4', '1', '33318', '33318', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1264', 'Aden', '2581', '34077', '33373', '4', '0', '34077', '34077', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1265', 'Aden', '2582', '34077', '33365', '4', '0', '34077', '34077', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1266', 'Aden', '2580', '34154', '33141', '4', '1', '33141', '33141', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1267', 'Aden', '2583', '34001', '33297', '4', '1', '33297', '33297', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1268', 'Aden', '2589', '33956', '33324', '4', '0', '33956', '33956', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1300', 'Gludio', '6026', '32597', '32747', '4', '0', '32597', '32597', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1301', 'Gludio', '6027', '32634', '32776', '4', '1', '32776', '32776', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1302', 'Gludio', '6028', '32634', '32787', '4', '1', '32787', '32787', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1303', 'Gludio', '6028', '32591', '32732', '4', '1', '32732', '32732', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1304', 'Gludio', '6029', '32631', '32757', '4', '0', '32631', '32632', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1305', 'Gludio', '6030', '32626', '32765', '4', '0', '32626', '32627', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1306', 'Gludio', '6031', '32595', '32775', '4', '1', '32775', '32775', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1307', 'Gludio', '6032', '32607', '32746', '4', '0', '32607', '32607', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1308', 'Gludio', '6032', '32604', '32769', '4', '0', '32604', '32604', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1309', 'Gludio', '6033', '32593', '32785', '4', '1', '32785', '32785', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('1310', 'Gludio', '6028', '32559', '32671', '4', '1', '32671', '32671', '0', '50626');
INSERT INTO `spawnlist_door` VALUES ('1311', 'Gludio', '6026', '32560', '32672', '4', '0', '32560', '32560', '0', '50626');
INSERT INTO `spawnlist_door` VALUES ('1312', 'Gludio', '6026', '32564', '32676', '4', '0', '32564', '32564', '0', '50626');
INSERT INTO `spawnlist_door` VALUES ('1313', 'Gludio', '6028', '32548', '32707', '4', '1', '32707', '32707', '0', '50627');
INSERT INTO `spawnlist_door` VALUES ('1314', 'Gludio', '6028', '32551', '32714', '4', '1', '32714', '32714', '0', '50627');
INSERT INTO `spawnlist_door` VALUES ('1315', 'Gludio', '6026', '32549', '32708', '4', '0', '32549', '32549', '0', '50627');
INSERT INTO `spawnlist_door` VALUES ('1316', 'Gludio', '6026', '32553', '32715', '4', '0', '32553', '32553', '0', '50627');
INSERT INTO `spawnlist_door` VALUES ('1317', 'Gludio', '6028', '32537', '32782', '4', '1', '32782', '32782', '0', '50628');
INSERT INTO `spawnlist_door` VALUES ('1318', 'Gludio', '6026', '32538', '32783', '4', '0', '32538', '32538', '0', '50628');
INSERT INTO `spawnlist_door` VALUES ('1319', 'Gludio', '6026', '32542', '32787', '4', '0', '32542', '32542', '0', '50628');
INSERT INTO `spawnlist_door` VALUES ('1320', 'Gludio', '6026', '32558', '32787', '4', '0', '32558', '32558', '0', '50629');
INSERT INTO `spawnlist_door` VALUES ('1321', 'Gludio', '6026', '32554', '32783', '4', '0', '32554', '32554', '0', '50629');
INSERT INTO `spawnlist_door` VALUES ('1322', 'Gludio', '6028', '32553', '32782', '4', '1', '32782', '32782', '0', '50629');
INSERT INTO `spawnlist_door` VALUES ('1323', 'Gludio', '6028', '32535', '32809', '4', '1', '32809', '32809', '0', '50630');
INSERT INTO `spawnlist_door` VALUES ('1324', 'Gludio', '6028', '32538', '32816', '4', '1', '32816', '32816', '0', '50630');
INSERT INTO `spawnlist_door` VALUES ('1325', 'Gludio', '6026', '32536', '32810', '4', '0', '32536', '32536', '0', '50630');
INSERT INTO `spawnlist_door` VALUES ('1326', 'Gludio', '6026', '32540', '32817', '4', '0', '32540', '32540', '0', '50630');
INSERT INTO `spawnlist_door` VALUES ('1327', 'Gludio', '6028', '32553', '32819', '4', '1', '32819', '32819', '0', '50631');
INSERT INTO `spawnlist_door` VALUES ('1328', 'Gludio', '6028', '32557', '32815', '4', '1', '32815', '32815', '0', '50631');
INSERT INTO `spawnlist_door` VALUES ('2000', 'Kent Castle', '339', '33171', '32759', '4', '0', '33170', '33171', '0', '70656');
INSERT INTO `spawnlist_door` VALUES ('2001', 'Kent Castle', '2736', '33112', '32771', '4', '1', '32769', '32772', '10000', '70549');
INSERT INTO `spawnlist_door` VALUES ('2002', 'Kent Castle', '3234', '33152', '32807', '4', '0', '33150', '33153', '10000', '70985');
INSERT INTO `spawnlist_door` VALUES ('2010', 'OT Castle', '2732', '32785', '32323', '4', '0', '32784', '32787', '10000', '70600');
INSERT INTO `spawnlist_door` VALUES ('2020', 'Windwood Castle', '339', '32678', '33392', '4', '0', '32677', '32678', '0', '70778');
INSERT INTO `spawnlist_door` VALUES ('2021', 'Windwood Castle', '2736', '32590', '33409', '4', '1', '33407', '33410', '10000', '70987');
INSERT INTO `spawnlist_door` VALUES ('2022', 'Windwood Castle', '3234', '32625', '33436', '4', '0', '32623', '32626', '10000', '70687');
INSERT INTO `spawnlist_door` VALUES ('2030', 'Giran Castle', '1336', '33632', '32660', '4', '0', '33631', '33632', '0', '70817');
INSERT INTO `spawnlist_door` VALUES ('2031', 'Giran Castle', '2745', '33631', '32734', '4', '0', '33630', '33633', '10000', '70800');
INSERT INTO `spawnlist_door` VALUES ('2032', 'Giran Castle', '2746', '33580', '32678', '4', '1', '32676', '32679', '10000', '70988');
INSERT INTO `spawnlist_door` VALUES ('2033', 'Giran Castle', '2744', '33631', '32702', '4', '0', '33631', '33634', '10000', '70990');
INSERT INTO `spawnlist_door` VALUES ('2034', 'Giran Castle', '1338', '33609', '32677', '4', '1', '32677', '32678', '3000', '70989');
INSERT INTO `spawnlist_door` VALUES ('2035', 'Giran Castle', '1338', '33656', '32677', '4', '1', '32677', '32678', '3000', '70991');
INSERT INTO `spawnlist_door` VALUES ('2040', 'Heine Castle', '1336', '33523', '33385', '4', '0', '33522', '33523', '0', '70863');
INSERT INTO `spawnlist_door` VALUES ('2041', 'Heine Castle', '1745', '33524', '33470', '4', '0', '33522', '33524', '10000', '70992');
INSERT INTO `spawnlist_door` VALUES ('2042', 'Heine Castle', '1336', '33525', '33344', '4', '0', '33524', '33525', '3000', '70862');
INSERT INTO `spawnlist_door` VALUES ('2050', 'Dwarf Castle', '443', '32845', '32812', '66', '1', '32812', '32813', '0', '70995');
INSERT INTO `spawnlist_door` VALUES ('2051', 'Dwarf Castle', '1826', '32780', '32859', '66', '1', '32857', '32860', '10000', '70994');
INSERT INTO `spawnlist_door` VALUES ('2052', 'Dwarf Castle', '1827', '32811', '32887', '66', '0', '32810', '32813', '10000', '70993');
INSERT INTO `spawnlist_door` VALUES ('2060', 'Aden Castle', '1336', '34091', '33203', '4', '0', '34090', '34091', '0', '70996');
INSERT INTO `spawnlist_door` VALUES ('3001', 'Haunted House', '6351', '32726', '32830', '5140', '1', '32827', '32833', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3002', 'Haunted House', '6379', '32766', '32788', '5140', '1', '32788', '32790', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3003', 'Haunted House', '6336', '32761', '32797', '5140', '0', '32760', '32762', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3004', 'Haunted House', '6379', '32763', '32807', '5140', '1', '32807', '32809', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3005', 'Haunted House', '6336', '32762', '32819', '5140', '0', '32761', '32763', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3006', 'Haunted House', '6379', '32768', '32827', '5140', '1', '32827', '32829', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3007', 'Haunted House', '6336', '32760', '32841', '5140', '0', '32759', '32761', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3008', 'Haunted House', '6379', '32766', '32848', '5140', '1', '32848', '32850', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3009', 'Haunted House', '6336', '32759', '32860', '5140', '0', '32758', '32760', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3010', 'Haunted House', '6379', '32763', '32867', '5140', '1', '32867', '32869', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3011', 'Haunted House', '6379', '32778', '32796', '5140', '1', '32796', '32798', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3012', 'Haunted House', '6379', '32788', '32787', '5140', '1', '32787', '32789', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3013', 'Haunted House', '6379', '32793', '32802', '5140', '1', '32802', '32804', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3014', 'Haunted House', '6379', '32778', '32815', '5140', '1', '32815', '32817', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3015', 'Haunted House', '6379', '32791', '32816', '5140', '1', '32816', '32818', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3016', 'Haunted House', '6379', '32800', '32810', '5140', '1', '32810', '32812', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3017', 'Haunted House', '6379', '32790', '32830', '5140', '1', '32830', '32832', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3018', 'Haunted House', '6379', '32785', '32853', '5140', '1', '32853', '32855', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3019', 'Haunted House', '6379', '32803', '32849', '5140', '1', '32849', '32851', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3020', 'Haunted House', '6379', '32789', '32871', '5140', '1', '32871', '32873', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3021', 'Haunted House', '6379', '32801', '32867', '5140', '1', '32867', '32869', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3022', 'Haunted House', '6379', '32817', '32790', '5140', '1', '32790', '32792', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3023', 'Haunted House', '6336', '32807', '32803', '5140', '0', '32806', '32808', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3024', 'Haunted House', '6379', '32817', '32818', '5140', '1', '32818', '32820', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3025', 'Haunted House', '6336', '32812', '32831', '5140', '0', '32811', '32813', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3026', 'Haunted House', '6379', '32817', '32838', '5140', '1', '32838', '32840', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3027', 'Haunted House', '6379', '32811', '32858', '5140', '1', '32858', '32860', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3028', 'Haunted House', '6379', '32809', '32873', '5140', '1', '32873', '32875', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3029', 'Haunted House', '6379', '32841', '32787', '5140', '1', '32787', '32789', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3030', 'Haunted House', '6379', '32864', '32786', '5140', '1', '32786', '32788', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3031', 'Haunted House', '6336', '32846', '32797', '5140', '0', '32845', '32847', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3032', 'Haunted House', '6379', '32840', '32806', '5140', '1', '32806', '32808', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3033', 'Haunted House', '6336', '32841', '32819', '5140', '0', '32840', '32842', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3034', 'Haunted House', '6336', '32856', '32816', '5140', '0', '32855', '32857', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3035', 'Haunted House', '6336', '32869', '32816', '5140', '0', '32868', '32870', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3036', 'Haunted House', '6379', '32833', '32827', '5140', '1', '32827', '32829', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3037', 'Haunted House', '6379', '32830', '32845', '5140', '1', '32845', '32847', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3038', 'Haunted House', '6379', '32848', '32832', '5140', '1', '32832', '32834', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3039', 'Haunted House', '6379', '32858', '32828', '5140', '1', '32828', '32830', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3040', 'Haunted House', '6336', '32870', '32844', '5140', '0', '32869', '32871', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3041', 'Haunted House', '6379', '32861', '32852', '5140', '1', '32852', '32854', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3042', 'Haunted House', '6336', '32856', '32844', '5140', '0', '32855', '32857', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3043', 'Haunted House', '6336', '32841', '32865', '5140', '0', '32840', '32842', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3044', 'Haunted House', '6379', '32835', '32874', '5140', '1', '32874', '32876', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('3045', 'Haunted House', '6379', '32852', '32872', '5140', '1', '32872', '32874', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('4001', 'Pagos Room', '93', '32742', '32805', '87', '1', '32805', '32805', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('4002', 'Pagos Room', '93', '32742', '32809', '87', '1', '32809', '32809', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('4003', 'Pagos Room', '92', '32729', '32793', '87', '0', '32729', '32730', '0', '0');
INSERT INTO `spawnlist_door` VALUES ('4004', 'Pagos Room', '92', '32725', '32793', '87', '0', '32725', '32726', '0', '0');
INSERT INTO `spawnlist_furniture` VALUES ('308094770', '80122', '33379', '32823', '4');
INSERT INTO `spawnlist_light` VALUES ('1', '81177', '33084', '33396', '4');
INSERT INTO `spawnlist_light` VALUES ('2', '81177', '33066', '33395', '4');
INSERT INTO `spawnlist_light` VALUES ('3', '81177', '33049', '33399', '4');
INSERT INTO `spawnlist_light` VALUES ('4', '81177', '33050', '33392', '4');
INSERT INTO `spawnlist_light` VALUES ('5', '81177', '33062', '33418', '4');
INSERT INTO `spawnlist_light` VALUES ('6', '81177', '33068', '33418', '4');
INSERT INTO `spawnlist_light` VALUES ('7', '81177', '33097', '33414', '4');
INSERT INTO `spawnlist_light` VALUES ('8', '81177', '33084', '33367', '4');
INSERT INTO `spawnlist_light` VALUES ('9', '81177', '33084', '33362', '4');
INSERT INTO `spawnlist_light` VALUES ('10', '81177', '33102', '33360', '4');
INSERT INTO `spawnlist_light` VALUES ('11', '81177', '33114', '33360', '4');
INSERT INTO `spawnlist_light` VALUES ('12', '81177', '33125', '33358', '4');
INSERT INTO `spawnlist_light` VALUES ('13', '81177', '33127', '33368', '4');
INSERT INTO `spawnlist_light` VALUES ('14', '81177', '33138', '33370', '4');
INSERT INTO `spawnlist_light` VALUES ('15', '81177', '33122', '33380', '4');
INSERT INTO `spawnlist_light` VALUES ('16', '81177', '33115', '33396', '4');
INSERT INTO `spawnlist_light` VALUES ('17', '81177', '33121', '33330', '4');
INSERT INTO `spawnlist_light` VALUES ('18', '81177', '33121', '33325', '4');
INSERT INTO `spawnlist_light` VALUES ('19', '81177', '33132', '33318', '4');
INSERT INTO `spawnlist_light` VALUES ('20', '81177', '33132', '33326', '4');
INSERT INTO `spawnlist_light` VALUES ('21', '81177', '33145', '33318', '4');
INSERT INTO `spawnlist_light` VALUES ('22', '81177', '33145', '33326', '4');
INSERT INTO `spawnlist_light` VALUES ('23', '81177', '33106', '33332', '4');
INSERT INTO `spawnlist_light` VALUES ('24', '81177', '33100', '33332', '4');
INSERT INTO `spawnlist_light` VALUES ('25', '81177', '33104', '33315', '4');
INSERT INTO `spawnlist_light` VALUES ('26', '81177', '33112', '33315', '4');
INSERT INTO `spawnlist_light` VALUES ('27', '81177', '33610', '33263', '4');
INSERT INTO `spawnlist_light` VALUES ('28', '81177', '33649', '33259', '4');
INSERT INTO `spawnlist_light` VALUES ('29', '81177', '33649', '33253', '4');
INSERT INTO `spawnlist_light` VALUES ('30', '81177', '33654', '33225', '4');
INSERT INTO `spawnlist_light` VALUES ('31', '81177', '33654', '33230', '4');
INSERT INTO `spawnlist_light` VALUES ('32', '81177', '33624', '33216', '4');
INSERT INTO `spawnlist_light` VALUES ('33', '81177', '33621', '33235', '4');
INSERT INTO `spawnlist_light` VALUES ('34', '81177', '33597', '33218', '4');
INSERT INTO `spawnlist_light` VALUES ('35', '81177', '33578', '33219', '4');
INSERT INTO `spawnlist_light` VALUES ('36', '81177', '33558', '33260', '4');
INSERT INTO `spawnlist_light` VALUES ('37', '81177', '33554', '33283', '4');
INSERT INTO `spawnlist_light` VALUES ('38', '81177', '33535', '33277', '4');
INSERT INTO `spawnlist_light` VALUES ('39', '81177', '33535', '33282', '4');
INSERT INTO `spawnlist_light` VALUES ('40', '81177', '33587', '33270', '4');
INSERT INTO `spawnlist_light` VALUES ('41', '81177', '33573', '33304', '4');
INSERT INTO `spawnlist_light` VALUES ('42', '81177', '33608', '33284', '4');
INSERT INTO `spawnlist_light` VALUES ('43', '81177', '33633', '33300', '4');
INSERT INTO `spawnlist_light` VALUES ('44', '81177', '33614', '33324', '4');
INSERT INTO `spawnlist_light` VALUES ('45', '81177', '33614', '33329', '4');
INSERT INTO `spawnlist_light` VALUES ('46', '81177', '33613', '33390', '4');
INSERT INTO `spawnlist_light` VALUES ('47', '81177', '33625', '33409', '4');
INSERT INTO `spawnlist_light` VALUES ('48', '81177', '33604', '33444', '4');
INSERT INTO `spawnlist_light` VALUES ('49', '81177', '33608', '33447', '4');
INSERT INTO `spawnlist_light` VALUES ('50', '81177', '33646', '33426', '4');
INSERT INTO `spawnlist_light` VALUES ('51', '81177', '33652', '33425', '4');
INSERT INTO `spawnlist_light` VALUES ('52', '81178', '33596', '33245', '4');
INSERT INTO `spawnlist_light` VALUES ('53', '81178', '33607', '33245', '4');
INSERT INTO `spawnlist_light` VALUES ('54', '81177', '32584', '32935', '0');
INSERT INTO `spawnlist_light` VALUES ('55', '81177', '32604', '32940', '0');
INSERT INTO `spawnlist_light` VALUES ('56', '81177', '32595', '32910', '0');
INSERT INTO `spawnlist_light` VALUES ('57', '81177', '32588', '32909', '0');
INSERT INTO `spawnlist_light` VALUES ('58', '81177', '32565', '32924', '0');
INSERT INTO `spawnlist_light` VALUES ('59', '81177', '32565', '32931', '0');
INSERT INTO `spawnlist_light` VALUES ('60', '81177', '32571', '32948', '0');
INSERT INTO `spawnlist_light` VALUES ('61', '81177', '32544', '32955', '0');
INSERT INTO `spawnlist_light` VALUES ('62', '81177', '32544', '32962', '0');
INSERT INTO `spawnlist_light` VALUES ('63', '81177', '32553', '32975', '0');
INSERT INTO `spawnlist_light` VALUES ('64', '81177', '32568', '32978', '0');
INSERT INTO `spawnlist_light` VALUES ('65', '81177', '32575', '32978', '0');
INSERT INTO `spawnlist_light` VALUES ('66', '81177', '32589', '32959', '0');
INSERT INTO `spawnlist_light` VALUES ('67', '81177', '32604', '32947', '0');
INSERT INTO `spawnlist_light` VALUES ('68', '81177', '32620', '32952', '0');
INSERT INTO `spawnlist_light` VALUES ('69', '81177', '32620', '32957', '0');
INSERT INTO `spawnlist_light` VALUES ('70', '81177', '32620', '32963', '0');
INSERT INTO `spawnlist_light` VALUES ('71', '81177', '32626', '32967', '0');
INSERT INTO `spawnlist_light` VALUES ('72', '81177', '32637', '32967', '0');
INSERT INTO `spawnlist_light` VALUES ('73', '81177', '32620', '32969', '0');
INSERT INTO `spawnlist_light` VALUES ('74', '81177', '32511', '32865', '0');
INSERT INTO `spawnlist_light` VALUES ('75', '81177', '32507', '32865', '0');
INSERT INTO `spawnlist_light` VALUES ('76', '81177', '32552', '32923', '0');
INSERT INTO `spawnlist_light` VALUES ('77', '81177', '32552', '32926', '0');
INSERT INTO `spawnlist_light` VALUES ('78', '81177', '32530', '32925', '0');
INSERT INTO `spawnlist_light` VALUES ('79', '81177', '33681', '32511', '4');
INSERT INTO `spawnlist_light` VALUES ('80', '81177', '33681', '32522', '4');
INSERT INTO `spawnlist_light` VALUES ('81', '81177', '33712', '32516', '4');
INSERT INTO `spawnlist_light` VALUES ('82', '81177', '33706', '32492', '4');
INSERT INTO `spawnlist_light` VALUES ('83', '81177', '33716', '32471', '4');
INSERT INTO `spawnlist_light` VALUES ('84', '81177', '33728', '32471', '4');
INSERT INTO `spawnlist_light` VALUES ('85', '81177', '33729', '32497', '4');
INSERT INTO `spawnlist_light` VALUES ('86', '81177', '33726', '32520', '4');
INSERT INTO `spawnlist_light` VALUES ('87', '81177', '33736', '32520', '4');
INSERT INTO `spawnlist_light` VALUES ('88', '81177', '32636', '33205', '4');
INSERT INTO `spawnlist_light` VALUES ('89', '81177', '32644', '33218', '4');
INSERT INTO `spawnlist_light` VALUES ('90', '81177', '32620', '33228', '4');
INSERT INTO `spawnlist_light` VALUES ('91', '81177', '32608', '33221', '4');
INSERT INTO `spawnlist_light` VALUES ('92', '81177', '32587', '33197', '4');
INSERT INTO `spawnlist_light` VALUES ('93', '81177', '32587', '33192', '4');
INSERT INTO `spawnlist_light` VALUES ('94', '81177', '32587', '33172', '4');
INSERT INTO `spawnlist_light` VALUES ('95', '81177', '32588', '33162', '4');
INSERT INTO `spawnlist_light` VALUES ('96', '81177', '32611', '33158', '4');
INSERT INTO `spawnlist_light` VALUES ('97', '81177', '32617', '33158', '4');
INSERT INTO `spawnlist_light` VALUES ('98', '81177', '32640', '33176', '4');
INSERT INTO `spawnlist_light` VALUES ('99', '81177', '32619', '33183', '4');
INSERT INTO `spawnlist_light` VALUES ('100', '81177', '33031', '32761', '4');
INSERT INTO `spawnlist_light` VALUES ('101', '81177', '33031', '32773', '4');
INSERT INTO `spawnlist_light` VALUES ('102', '81177', '33029', '32788', '4');
INSERT INTO `spawnlist_light` VALUES ('103', '81177', '33029', '32794', '4');
INSERT INTO `spawnlist_light` VALUES ('104', '81177', '33050', '32813', '4');
INSERT INTO `spawnlist_light` VALUES ('105', '81177', '33067', '32813', '4');
INSERT INTO `spawnlist_light` VALUES ('106', '81177', '33082', '32789', '4');
INSERT INTO `spawnlist_light` VALUES ('107', '81177', '33082', '32775', '4');
INSERT INTO `spawnlist_light` VALUES ('108', '81177', '33082', '32762', '4');
INSERT INTO `spawnlist_light` VALUES ('109', '81177', '33029', '32741', '4');
INSERT INTO `spawnlist_light` VALUES ('110', '81177', '33063', '32722', '4');
INSERT INTO `spawnlist_light` VALUES ('111', '81177', '33069', '32722', '4');
INSERT INTO `spawnlist_light` VALUES ('112', '81177', '33081', '32742', '4');
INSERT INTO `spawnlist_light` VALUES ('113', '81179', '33427', '32850', '4');
INSERT INTO `spawnlist_light` VALUES ('114', '81179', '33384', '32858', '4');
INSERT INTO `spawnlist_light` VALUES ('115', '81179', '33362', '32883', '4');
INSERT INTO `spawnlist_light` VALUES ('116', '81179', '33368', '32890', '4');
INSERT INTO `spawnlist_light` VALUES ('117', '81179', '33411', '32878', '4');
INSERT INTO `spawnlist_light` VALUES ('118', '81179', '33448', '32890', '4');
INSERT INTO `spawnlist_light` VALUES ('119', '81179', '33461', '32891', '4');
INSERT INTO `spawnlist_light` VALUES ('120', '81179', '33467', '32869', '4');
INSERT INTO `spawnlist_light` VALUES ('121', '81179', '33477', '32837', '4');
INSERT INTO `spawnlist_light` VALUES ('122', '81179', '33545', '32844', '4');
INSERT INTO `spawnlist_light` VALUES ('123', '81179', '33545', '32856', '4');
INSERT INTO `spawnlist_light` VALUES ('124', '81179', '33520', '32850', '4');
INSERT INTO `spawnlist_light` VALUES ('125', '81179', '33530', '32894', '4');
INSERT INTO `spawnlist_light` VALUES ('126', '81179', '33518', '32894', '4');
INSERT INTO `spawnlist_light` VALUES ('127', '81179', '33523', '32873', '4');
INSERT INTO `spawnlist_light` VALUES ('128', '81179', '33446', '32826', '4');
INSERT INTO `spawnlist_light` VALUES ('129', '81179', '33346', '32836', '4');
INSERT INTO `spawnlist_light` VALUES ('130', '81179', '33346', '32823', '4');
INSERT INTO `spawnlist_light` VALUES ('131', '81179', '33380', '32814', '4');
INSERT INTO `spawnlist_light` VALUES ('132', '81179', '33364', '32801', '4');
INSERT INTO `spawnlist_light` VALUES ('133', '81179', '33350', '32785', '4');
INSERT INTO `spawnlist_light` VALUES ('134', '81179', '33366', '32776', '4');
INSERT INTO `spawnlist_light` VALUES ('135', '81179', '33373', '32738', '4');
INSERT INTO `spawnlist_light` VALUES ('136', '81179', '33340', '32754', '4');
INSERT INTO `spawnlist_light` VALUES ('137', '81179', '33339', '32739', '4');
INSERT INTO `spawnlist_light` VALUES ('138', '81179', '33342', '32717', '4');
INSERT INTO `spawnlist_light` VALUES ('139', '81179', '33405', '32722', '4');
INSERT INTO `spawnlist_light` VALUES ('140', '81179', '33359', '32691', '4');
INSERT INTO `spawnlist_light` VALUES ('141', '81179', '33333', '32701', '4');
INSERT INTO `spawnlist_light` VALUES ('142', '81179', '33333', '32686', '4');
INSERT INTO `spawnlist_light` VALUES ('143', '81179', '33388', '32667', '4');
INSERT INTO `spawnlist_light` VALUES ('144', '81179', '33417', '32663', '4');
INSERT INTO `spawnlist_light` VALUES ('145', '81179', '33437', '32691', '4');
INSERT INTO `spawnlist_light` VALUES ('146', '81179', '33466', '32662', '4');
INSERT INTO `spawnlist_light` VALUES ('147', '81179', '33491', '32645', '4');
INSERT INTO `spawnlist_light` VALUES ('148', '81179', '33484', '32640', '4');
INSERT INTO `spawnlist_light` VALUES ('149', '81179', '33439', '32652', '4');
INSERT INTO `spawnlist_light` VALUES ('150', '81179', '33418', '32636', '4');
INSERT INTO `spawnlist_light` VALUES ('151', '81179', '33405', '32635', '4');
INSERT INTO `spawnlist_light` VALUES ('152', '81179', '33368', '32643', '4');
INSERT INTO `spawnlist_light` VALUES ('153', '81179', '33357', '32643', '4');
INSERT INTO `spawnlist_light` VALUES ('154', '81179', '33491', '32683', '4');
INSERT INTO `spawnlist_light` VALUES ('155', '81179', '33520', '32694', '4');
INSERT INTO `spawnlist_light` VALUES ('156', '81179', '33531', '32694', '4');
INSERT INTO `spawnlist_light` VALUES ('157', '81179', '33508', '32763', '4');
INSERT INTO `spawnlist_light` VALUES ('158', '81179', '33499', '32763', '4');
INSERT INTO `spawnlist_light` VALUES ('159', '81179', '33514', '32781', '4');
INSERT INTO `spawnlist_light` VALUES ('160', '81179', '33514', '32793', '4');
INSERT INTO `spawnlist_light` VALUES ('161', '81179', '33475', '32809', '4');
INSERT INTO `spawnlist_light` VALUES ('162', '81179', '33439', '32764', '4');
INSERT INTO `spawnlist_light` VALUES ('163', '81179', '33476', '32738', '4');
INSERT INTO `spawnlist_light` VALUES ('164', '81179', '33476', '32730', '4');
INSERT INTO `spawnlist_light` VALUES ('165', '81179', '33451', '32719', '4');
INSERT INTO `spawnlist_light` VALUES ('166', '81180', '32743', '32442', '4');
INSERT INTO `spawnlist_light` VALUES ('167', '81181', '33047', '32809', '4');
INSERT INTO `spawnlist_light` VALUES ('168', '81177', '33625', '33295', '4');
INSERT INTO `spawnlist_light` VALUES ('169', '81177', '33044', '32813', '4');
INSERT INTO `spawnlist_light` VALUES ('170', '81180', '32797', '32284', '4');
INSERT INTO `spawnlist_light` VALUES ('171', '81177', '33492', '33370', '4');
INSERT INTO `spawnlist_light` VALUES ('172', '81177', '33498', '33370', '4');
INSERT INTO `spawnlist_light` VALUES ('173', '81177', '33550', '33370', '4');
INSERT INTO `spawnlist_npc` VALUES ('50001', 'Novice Teleporter', '1', '50004', '32651', '32848', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50002', 'Novice Teleporter', '1', '50004', '32731', '32884', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50003', 'Novice Teleporter', '1', '50004', '32743', '32795', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50004', 'Novice Teleporter', '1', '50004', '32676', '32846', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50005', 'Novice Teleporter', '1', '50004', '32725', '32809', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50006', 'Novice Teleporter', '1', '50004', '32741', '32819', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50007', 'Novice Teleporter', '1', '50004', '32728', '32872', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50008', 'Novice Teleporter', '1', '50004', '32706', '32881', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50009', 'Novice Teleporter', '1', '50004', '32663', '32884', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50010', 'Novice Teleporter', '1', '50010', '32757', '32758', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50011', 'Novice Teleporter', '1', '50010', '32798', '32783', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50012', 'Novice Teleporter', '1', '50010', '32828', '32762', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50013', 'Novice Teleporter', '1', '50010', '32828', '32741', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50014', 'Novice Teleporter', '1', '50010', '32827', '32726', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50015', 'Novice Teleporter', '1', '50010', '32728', '32751', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50016', 'Drist', '1', '50055', '33087', '33388', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50017', 'Matt', '1', '50056', '33080', '33385', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50018', 'Trey', '1', '50054', '32640', '33204', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50019', 'Stevie', '1', '50024', '32611', '32732', '0', '0', '1', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50020', 'Lucas', '1', '50015', '32583', '32922', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50021', 'Stanley', '1', '50020', '33050', '32783', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50022', 'Riol', '1', '50066', '33613', '33257', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50023', 'Sirius', '1', '50044', '33964', '33252', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50024', 'Elleris', '1', '50046', '33933', '33352', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50025', 'Kinin', '1', '50608', '34109', '33350', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50026', 'Kirius', '1', '50051', '34063', '32278', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50027', 'Leslie', '1', '50039', '33709', '32499', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50028', 'Wilma', '1', '50036', '33437', '32795', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50029', 'Daniel', '1', '50079', '32659', '32524', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50030', 'Paul', '1', '50080', '32657', '32540', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50031', 'Ribian', '0', '50065', '33054', '32348', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50032', 'Coco', '1', '50006', '32680', '32811', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50034', 'Illdrath', '1', '50003', '32688', '32871', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50035', 'Barnia', '1', '50001', '32697', '32852', '0', '0', '6', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50036', 'Market Teleporter', '0', '50060', '33077', '33383', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50037', 'Market Teleporter', '0', '50060', '33095', '33358', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50038', 'Market Teleporter', '0', '50027', '32621', '32773', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50039', 'Market Teleporter', '0', '50027', '32624', '32803', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('1310246', '', '1', '81177', '32750', '32735', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('50041', 'Market Teleporter', '0', '50050', '34061', '32305', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50042', 'Market Teleporter', '0', '50050', '34062', '32273', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50043', 'Market Teleporter', '0', '50034', '33438', '32809', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50044', 'Market Teleporter', '0', '50034', '33510', '32766', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50045', 'Esmeralda', '1', '50007', '32721', '32885', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310282', '', '1', '81177', '32726', '32724', '0', '0', '0', '0', '11', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310247', '', '1', '81177', '32747', '32735', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310248', '', '1', '81177', '32772', '32731', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310249', '', '1', '81177', '32777', '32731', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310250', '', '1', '81177', '32734', '32729', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310251', '', '1', '81177', '32733', '32783', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310252', '', '1', '81177', '32729', '32783', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310253', '', '1', '81177', '32739', '32759', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310254', '', '1', '81177', '32735', '32759', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310255', '', '1', '81177', '32790', '32763', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('50057', 'Esmeralda', '1', '50007', '32802', '32776', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50058', 'Ishtar', '1', '50009', '32795', '32773', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50059', 'Zeno', '0', '50016', '32600', '32914', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50060', 'Ishiris', '1', '50071', '32623', '32692', '0', '0', '7', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('50061', 'Lucky', '1', '50070', '32852', '32890', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('50062', 'Kun', '1', '50011', '32785', '32851', '0', '0', '6', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50064', 'Eldin', '1', '50045', '33978', '32923', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50065', 'Karen', '1', '50005', '32685', '32847', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50066', 'Enya', '1', '50069', '32918', '32802', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50067', 'Deanos', '1', '50068', '32894', '32886', '0', '0', '6', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('50068', 'Bunch', '1', '50057', '33075', '33405', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50069', 'Keith', '1', '50017', '32577', '32957', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50070', 'Hooper', '1', '50030', '32631', '32792', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50071', 'Harrison', '1', '50022', '33060', '32756', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50072', 'Cobb', '1', '50053', '32626', '33182', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50073', 'Ramuda', '1', '50043', '32793', '32796', '0', '0', '4', '0', '102', '0');
INSERT INTO `spawnlist_npc` VALUES ('50074', 'Dilong', '1', '50014', '32669', '32811', '0', '0', '6', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('50075', 'Assistant Manager of the Coliseum', '1', '50019', '33140', '33355', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50076', 'Arena Guide', '1', '50013', '32829', '32774', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50077', 'Assistant Manager of the Coliseum', '1', '50019', '32838', '32782', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('50078', 'Arena Guide', '1', '50008', '32701', '32787', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50079', 'Assistant Manager of the Coliseum', '1', '50019', '32709', '32770', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('50080', 'Coliseum Manager', '1', '50061', '33055', '33362', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50081', 'Assistant Manager of the Coliseum', '1', '50062', '33055', '33362', '0', '0', '5', '0', '95', '0');
INSERT INTO `spawnlist_npc` VALUES ('50082', 'Coliseum Manager', '1', '50037', '33505', '32762', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('50083', 'Assistant Manager of the Coliseum', '1', '50038', '33497', '32761', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('50084', 'Guard', '1', '50084', '33516', '32739', '0', '0', '6', '0', '88', '0');
INSERT INTO `spawnlist_npc` VALUES ('50085', 'Assistant Manager of the Coliseum', '1', '50019', '33678', '33223', '0', '0', '5', '0', '97', '0');
INSERT INTO `spawnlist_npc` VALUES ('50086', 'Coliseum Manager', '1', '50018', '32551', '33006', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('50087', 'Assistant Manager of the Coliseum', '1', '50019', '32546', '33006', '0', '0', '5', '0', '91', '0');
INSERT INTO `spawnlist_npc` VALUES ('50088', 'Coliseum Manager', '1', '50028', '32573', '32751', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50089', 'Assistant Manager of the Coliseum', '1', '50029', '32573', '32756', '0', '0', '5', '0', '92', '0');
INSERT INTO `spawnlist_npc` VALUES ('50090', 'Assistant Manager of the Coliseum', '1', '50019', '33093', '32750', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50091', 'Assistant Manager of the Coliseum', '1', '50019', '33093', '32750', '0', '0', '5', '0', '93', '0');
INSERT INTO `spawnlist_npc` VALUES ('50092', 'Assistant Manager of the Coliseum', '1', '50019', '32599', '33141', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50093', 'Assistant Manager of the Coliseum', '1', '50019', '32599', '33141', '0', '0', '5', '0', '94', '0');
INSERT INTO `spawnlist_npc` VALUES ('50094', 'Coliseum Manager', '1', '50041', '33746', '32528', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50095', 'Assistant Manager of the Coliseum', '1', '50042', '33746', '32528', '0', '0', '5', '0', '98', '0');
INSERT INTO `spawnlist_npc` VALUES ('50096', 'Ober', '1', '50023', '32751', '32796', '0', '0', '4', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('50097', 'Castle Gatekeeper', '1', '50021', '32734', '32784', '0', '0', '4', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('50098', 'Castle Gatekeeper', '1', '50052', '32733', '32784', '0', '0', '4', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('50099', 'Fortress Gatekeeper', '1', '50063', '32801', '32268', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50100', 'Castle Gatekeeper', '1', '50035', '32733', '32789', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('50101', 'Castle Gatekeeper', '1', '50067', '32579', '32811', '0', '0', '6', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('50102', 'Castle Gatekeeper', '1', '50040', '32865', '32803', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('50103', 'Castle Gatekeeper', '1', '50047', '32891', '32524', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('50104', 'Fairy Princess', '1', '70853', '32968', '32443', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50105', 'Sepia', '1', '50031', '32713', '32842', '0', '0', '6', '0', '32', '0');
INSERT INTO `spawnlist_npc` VALUES ('50111', 'Niki', '1', '50118', '32749', '32795', '0', '0', '4', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('50112', 'Consul', '1', '50127', '32754', '32822', '0', '0', '7', '0', '307', '0');
INSERT INTO `spawnlist_npc` VALUES ('50201', 'Assistant Manager of the Coliseum', '1', '50019', '32546', '33006', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310281', '', '1', '81177', '32730', '32724', '0', '0', '0', '0', '11', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310280', '', '1', '81177', '32730', '32736', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('89601', '', '1', '80086', '32631', '32772', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89600', '', '1', '80085', '32620', '32769', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89599', '', '1', '80084', '32634', '32821', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89598', '', '1', '80083', '32815', '32808', '0', '0', '6', '0', '5124', '0');
INSERT INTO `spawnlist_npc` VALUES ('89597', '', '1', '80082', '32608', '32769', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89596', '', '1', '80081', '32815', '32794', '0', '0', '6', '0', '5124', '0');
INSERT INTO `spawnlist_npc` VALUES ('89595', '', '1', '80080', '32812', '32786', '0', '0', '5', '0', '5124', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310279', '', '1', '81177', '32740', '32730', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310278', '', '1', '81177', '32749', '32739', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310277', '', '1', '81177', '32743', '32749', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310276', '', '1', '81177', '32765', '32753', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310275', '', '1', '81177', '32769', '32753', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('50216', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50217', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50218', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50219', 'Assistant Manager of the Coliseum', '0', '50019', '0', '0', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89594', '', '1', '80079', '32609', '32744', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310274', '', '1', '81177', '32765', '32774', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310273', '', '1', '81177', '32761', '32774', '0', '0', '0', '0', '10', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310272', '', '1', '81177', '32719', '32787', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310271', '', '1', '81177', '32760', '32791', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310270', '', '1', '81177', '32762', '32792', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310269', '', '1', '81177', '32783', '32769', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310268', '', '1', '81177', '32780', '32766', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310267', '', '1', '81177', '32802', '32788', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('89593', '', '1', '80078', '32614', '32728', '0', '0', '2', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('50230', 'Duvall', '1', '50064', '32721', '32443', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50231', 'Teleporter Diarus', '1', '50072', '32805', '32794', '0', '0', '3', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('50232', 'Teleporter Diabes', '1', '50073', '32958', '32857', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('50233', 'Large Cave Teleporter', '1', '50074', '32963', '32938', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('50234', 'Fortress Gatekeeper', '1', '50075', '33000', '32928', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('50235', 'Orb of Spirit', '1', '50076', '32922', '32798', '0', '0', '6', '0', '430', '0');
INSERT INTO `spawnlist_npc` VALUES ('50236', 'Orb of Spirit', '1', '50077', '32804', '33047', '0', '0', '6', '0', '420', '0');
INSERT INTO `spawnlist_npc` VALUES ('50237', 'Orb of Spirit', '1', '50078', '32736', '32807', '0', '0', '6', '0', '444', '0');
INSERT INTO `spawnlist_npc` VALUES ('50301', 'Gleda', '1', '50501', '33352', '32776', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50302', 'Ginevra', '1', '50502', '33400', '32861', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50303', 'Noela', '1', '50503', '33359', '32790', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50304', 'Nicoline', '1', '50504', '33345', '32674', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50305', 'Diane', '1', '50505', '33385', '32656', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50306', 'Duana', '1', '50506', '33414', '32852', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50307', 'Leonora', '1', '50507', '33460', '32841', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50308', 'Lucinda', '1', '50508', '33371', '32791', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50309', 'Livia', '1', '50509', '33425', '32692', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50310', 'Marina', '1', '50510', '33342', '32662', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50311', 'Margery', '1', '50511', '33367', '32762', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50312', 'Mary', '1', '50512', '33361', '32671', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50313', 'Mennefer', '1', '50513', '33405', '32740', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50314', 'Minerva', '1', '50514', '33383', '32775', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50315', 'Miryam', '1', '50515', '33380', '32714', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50316', 'Valeska', '1', '50516', '33476', '32667', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50317', 'Bernice', '1', '50517', '33398', '32812', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50318', 'Vevina', '1', '50518', '33458', '32699', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50319', 'Beth', '1', '50519', '33397', '32657', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50320', 'Sarah', '1', '50520', '33419', '32708', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50321', 'Saloma', '1', '50521', '33378', '32829', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50322', 'Sigrid', '1', '50522', '33376', '32874', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50323', 'Erma', '1', '50523', '33444', '32871', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50324', 'Emilia', '1', '50524', '33498', '32803', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50325', 'Eulalia', '1', '50525', '33342', '32711', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50326', 'Eleanora', '1', '50526', '33362', '32683', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50327', 'Emma', '1', '50527', '33373', '32656', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50328', 'Osa', '1', '50528', '33425', '32719', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50329', 'Even', '1', '50529', '33458', '32655', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50330', 'Ione', '1', '50530', '33390', '32850', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50331', 'Justine', '1', '50531', '33440', '32667', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50332', 'Geraldine', '1', '50532', '33402', '32793', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50333', 'Joanna', '1', '50533', '33448', '32731', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50334', 'Julia', '1', '50534', '33354', '32733', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50335', 'Juliana', '1', '50535', '33383', '32805', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50336', 'Jilda', '1', '50536', '33410', '32676', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50337', 'Karelia', '1', '50537', '33398', '32823', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50338', 'Carmel', '1', '50538', '33472', '32680', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50339', 'Karine', '1', '50539', '33436', '32843', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50340', 'Catriona', '1', '50540', '33367', '32715', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50341', 'Tessa', '1', '50541', '33429', '32872', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50342', 'Teodora', '1', '50542', '33404', '32756', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50343', 'Tekla', '1', '50543', '33376', '32699', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50344', 'Paulina', '1', '50544', '33484', '32793', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50345', 'Henrietta', '1', '50545', '33427', '32658', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50346', 'Nadine', '1', '50546', '33914', '33388', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50347', 'Nash', '1', '50547', '34092', '33352', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50348', 'Natalia', '1', '50548', '33899', '33216', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50349', 'Nona', '1', '50549', '33931', '33212', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50350', 'Nita', '1', '50550', '34042', '33111', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50351', 'Diana', '1', '50551', '34125', '33369', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50352', 'Doria', '1', '50552', '34041', '33131', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50353', 'Dina', '1', '50553', '34105', '33393', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50354', 'Levins', '1', '50554', '34061', '33398', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50355', 'Lucie', '1', '50555', '34100', '33112', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50356', 'Rociri', '1', '50556', '33933', '33407', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50357', 'Locis', '1', '50557', '34002', '33326', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50358', 'Ressie', '1', '50558', '33964', '33416', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50359', 'Lucinda', '1', '50559', '34128', '33112', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50360', 'Liz', '1', '50560', '34072', '33354', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50361', 'Rija', '1', '50561', '34092', '33392', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50362', 'Mariel', '1', '50562', '33933', '33296', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50363', 'McCauley', '1', '50563', '34028', '33110', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50364', 'Meyo', '1', '50564', '34003', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50365', 'May', '1', '50565', '33897', '33317', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50366', 'Mella', '1', '50566', '33977', '33203', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50367', 'Morin', '1', '50567', '34144', '33398', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50368', 'Mitchel', '1', '50568', '34095', '33371', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50369', 'Michelli', '1', '50569', '33956', '33323', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50370', 'Mindy', '1', '50570', '34072', '33381', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50371', 'Beverly', '1', '50571', '33954', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50372', 'Beth', '1', '50572', '34125', '33355', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50373', 'Bella', '1', '50573', '33911', '33290', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50374', 'Bonie', '1', '50574', '33890', '33352', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50375', 'Bobby', '1', '50575', '34074', '33397', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50376', 'Brittainy', '1', '50576', '34158', '33143', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50377', 'Bianca', '1', '50577', '33920', '33295', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50378', 'Violet', '1', '50578', '33948', '33307', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50379', 'Sadie', '1', '50579', '33915', '33194', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50380', 'Cellay', '1', '50580', '33890', '33384', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50381', 'Celina', '1', '50581', '34125', '33392', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50382', 'Sophia', '1', '50582', '33918', '33408', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50383', 'Sherrie', '1', '50583', '33895', '33395', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50384', 'Sibia', '1', '50584', '33916', '33398', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50385', 'Cindy', '1', '50585', '34125', '33402', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50386', 'Sylvia', '1', '50586', '34146', '33166', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50387', 'Arana', '1', '50587', '34012', '33373', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50388', 'Amie', '1', '50588', '34146', '33372', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50389', 'Aberi', '1', '50589', '33913', '33364', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50390', 'Acacia', '1', '50590', '34059', '33377', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50391', 'Angelina', '1', '50591', '33923', '33303', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50392', 'Angelica', '1', '50592', '34125', '33161', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50393', 'Edie', '1', '50593', '34023', '33385', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50394', 'Ebony', '1', '50594', '34105', '33408', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50395', 'Angeline', '1', '50595', '34078', '33372', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50396', 'Odia', '1', '50596', '34159', '33403', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50397', 'Ophelia', '1', '50597', '33904', '33349', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50398', 'Wanda', '1', '50598', '33922', '33327', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50399', 'Isabelle', '1', '50599', '33940', '33404', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50400', 'Genesse', '1', '50600', '33973', '33273', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50401', 'Zenith', '1', '50601', '34056', '33110', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50402', 'Joanne', '1', '50602', '33906', '33330', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50403', 'Judith', '1', '50603', '33985', '33300', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50404', 'Chellany', '1', '50604', '34128', '33130', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50405', 'Karot', '1', '50605', '33916', '33373', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50406', 'Karisha', '1', '50606', '34105', '33120', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50407', 'Candice', '1', '50607', '34132', '33419', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50408', 'Kinin', '0', '50608', '34109', '33350', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50409', 'Tamara', '1', '50609', '34142', '33142', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50410', 'Teresa', '1', '50610', '33916', '33229', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50411', 'Prolance', '1', '50611', '33986', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50412', 'Florina', '1', '50612', '33919', '33316', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50413', 'Helena', '1', '50613', '34031', '33132', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50414', 'Novita', '1', '50614', '33582', '33339', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50415', 'Dain', '1', '50615', '33626', '33446', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50416', 'Delia', '1', '50616', '33625', '33397', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50417', 'Lorena', '1', '50617', '33583', '33305', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50418', 'Morna', '1', '50618', '33619', '33380', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50419', 'Miriam', '1', '50619', '33626', '33225', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50420', 'Adina', '1', '50620', '33610', '33218', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50421', 'Edry', '1', '50621', '33632', '33247', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50422', 'Elsha', '1', '50622', '33618', '33266', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50423', 'Zenia', '1', '50623', '33629', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('50424', 'Triona', '1', '50624', '33576', '33233', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60001', 'Gotham', '1', '60024', '33079', '33395', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60002', 'Nodim', '1', '60008', '33431', '32816', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60003', 'Tarkin', '1', '60023', '32610', '33184', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60004', 'Karim', '1', '60007', '32618', '32800', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60005', 'Karudim', '1', '60017', '33922', '33345', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60006', 'Calvas', '1', '60018', '33962', '33243', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60007', 'Hakim', '1', '60030', '33601', '33235', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60008', 'Hirim', '1', '60021', '34054', '32287', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60009', 'Dorin', '1', '60001', '32575', '32946', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60010', 'Juke', '1', '60016', '34001', '33351', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60011', 'Timpukin', '1', '60019', '34086', '33144', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60012', 'Thram', '1', '60003', '33073', '32799', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60013', 'Kuhatin', '1', '60027', '32746', '32444', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60014', 'Axellon', '1', '60013', '33723', '32490', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60015', 'Sauram', '1', '60009', '33422', '32812', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60016', 'El', '1', '60028', '33079', '32334', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60017', 'Ogi', '1', '60015', '32873', '32535', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('60018', 'Rayearth', '1', '60031', '32877', '32910', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('60019', 'Bahof', '1', '60002', '32749', '32786', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('60020', 'Borgin', '1', '60022', '32749', '32786', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('60021', 'Orclon', '1', '60026', '32804', '32283', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60022', 'Tofen', '1', '60012', '32742', '32815', '0', '0', '7', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('60023', 'Kriom', '1', '60014', '32851', '32796', '0', '0', '2', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('60024', 'Haidrim', '1', '60029', '32558', '32847', '0', '0', '7', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('60025', 'Storage House Keeper Garin', '0', '60032', '32978', '32860', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310266', '', '1', '81177', '32799', '32785', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310265', '', '1', '81177', '32785', '32785', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310264', '', '1', '81177', '32788', '32788', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310263', '', '1', '81177', '32719', '32776', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310262', '', '1', '81177', '32720', '32799', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310261', '', '1', '81177', '32813', '32725', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310260', '', '1', '81177', '32810', '32725', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('60033', 'Zidar', '1', '60035', '32609', '32920', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('60034', 'Storage House Keeper Gaul', '1', '60033', '32806', '32797', '0', '0', '4', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('60035', 'Kuud', '1', '60034', '32425', '33068', '0', '0', '5', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('60036', 'Tigus', '1', '60036', '32575', '32664', '0', '0', '5', '0', '401', '0');
INSERT INTO `spawnlist_npc` VALUES ('60051', 'Cove', '1', '70664', '33690', '32499', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60052', 'Hans', '1', '70836', '32763', '32448', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60053', 'Rick', '1', '70544', '33039', '32746', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60054', 'Ellan', '1', '70873', '33649', '33410', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60055', 'Johnson', '1', '70532', '32450', '32990', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60056', 'Kevin', '1', '70632', '33492', '32688', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60057', 'Almon', '1', '70617', '33340', '32724', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60058', 'Marbin', '1', '70773', '32604', '33200', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60059', 'Milo', '1', '70749', '34079', '32296', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60060', 'Pau', '1', '70723', '33921', '33174', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60801', 'Pandora', '1', '70014', '32645', '32951', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60802', 'Fraoun', '1', '70008', '32675', '32841', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('60803', 'Mellin', '1', '70074', '33097', '33385', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60804', 'Verita', '1', '70033', '33383', '32730', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60805', 'Randal', '1', '70028', '33488', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60806', 'Mayer', '1', '70030', '33455', '32820', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60807', 'Unknown 70004', '1', '70004', '32757', '32757', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('60808', 'Pago', '1', '70005', '32735', '32798', '0', '0', '5', '0', '87', '0');
INSERT INTO `spawnlist_npc` VALUES ('60809', 'Britt', '1', '70082', '33641', '33286', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60810', 'Chicky', '1', '70090', '32649', '33020', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('60811', 'Tilon', '1', '70091', '32634', '32682', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('60812', 'Bius', '1', '70063', '34065', '32289', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60813', 'Dico', '1', '70059', '34257', '32287', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60814', 'Pagoru', '1', '70067', '32790', '32817', '0', '0', '7', '0', '75', '0');
INSERT INTO `spawnlist_npc` VALUES ('60815', 'Melissa', '1', '70052', '33999', '33141', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60816', 'Rozen', '1', '70049', '34003', '33248', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60817', 'Raon', '1', '70048', '34152', '33124', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60818', 'Magus', '1', '70051', '34137', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60819', 'Catherine', '1', '70057', '34126', '33149', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60820', 'Balsim', '1', '70010', '32436', '32983', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60821', 'Orim', '1', '70017', '32814', '32803', '0', '0', '6', '0', '13', '0');
INSERT INTO `spawnlist_npc` VALUES ('60822', 'Luth', '1', '70021', '32596', '32743', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60823', 'Ysorya', '1', '70018', '33065', '32733', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60824', 'Elmina', '1', '70072', '32632', '33194', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60825', 'Ashur', '1', '70071', '32866', '33250', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60826', 'Jackson', '1', '70079', '32752', '32432', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60827', 'Berry', '1', '70045', '33739', '32492', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60828', 'Pasim', '1', '70025', '32634', '32813', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60829', 'Buakheu', '1', '70081', '32799', '32896', '0', '0', '4', '0', '63', '0');
INSERT INTO `spawnlist_npc` VALUES ('60830', 'Squalid', '1', '70088', '32870', '32893', '0', '0', '6', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('60831', 'Sasha', '0', '70002', '0', '0', '0', '0', '0', '0', '57', '0');
INSERT INTO `spawnlist_npc` VALUES ('60832', 'Kiris', '0', '70006', '0', '0', '0', '0', '0', '0', '58', '0');
INSERT INTO `spawnlist_npc` VALUES ('60833', 'Trader Emart', '1', '70092', '32986', '32861', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('60834', 'Trader Carupu', '1', '70093', '32788', '32806', '0', '0', '4', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('60835', 'Foni', '1', '70097', '32424', '33032', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('60836', 'Bobo', '1', '70098', '32848', '32991', '0', '0', '7', '0', '410', '0');
INSERT INTO `spawnlist_npc` VALUES ('60901', 'Glen', '1', '70073', '33096', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60902', 'Werner', '1', '70039', '33398', '32669', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60903', 'Shivan', '1', '70083', '33624', '33283', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60904', 'Mandra', '1', '70061', '34068', '32295', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60905', 'Defman', '1', '70047', '34006', '33110', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60906', 'Catty', '1', '70024', '32637', '32783', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60907', 'Andyn', '1', '70016', '33070', '32754', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60908', 'Ralf', '1', '70044', '33717', '32517', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60909', 'Vergil', '1', '70032', '33436', '32751', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60910', 'Fega', '1', '70058', '34152', '33103', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60911', 'Derek', '1', '70026', '33496', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60912', 'Duron', '1', '70095', '32433', '33032', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('60931', 'Varyeth', '1', '70062', '32793', '32811', '0', '0', '7', '0', '76', '0');
INSERT INTO `spawnlist_npc` VALUES ('60932', 'Kreister', '1', '70066', '32769', '32852', '0', '0', '3', '0', '76', '0');
INSERT INTO `spawnlist_npc` VALUES ('60933', 'Horun', '1', '70080', '32730', '32788', '0', '0', '4', '0', '16', '0');
INSERT INTO `spawnlist_npc` VALUES ('60934', 'Siriss', '1', '70003', '32825', '32721', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('60935', 'Linda', '1', '70060', '32791', '32818', '0', '0', '4', '0', '75', '0');
INSERT INTO `spawnlist_npc` VALUES ('60936', 'Sedia', '1', '70087', '32878', '32904', '0', '0', '4', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('60951', 'Tina', '1', '70007', '32656', '32864', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('60952', 'Rose', '1', '70001', '32807', '32735', '0', '0', '2', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('60953', 'Stella', '1', '70036', '33476', '32734', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60954', 'Old', '1', '70085', '33618', '33238', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60955', 'Ruky', '1', '70050', '33953', '33361', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60956', 'Cole', '1', '70013', '32635', '32951', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60957', 'Arieh', '1', '70015', '33057', '32768', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60958', 'Momo', '1', '70069', '32623', '33201', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60959', 'Orcm', '1', '70078', '32738', '32448', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60960', 'Jin', '1', '70046', '33716', '32498', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60981', 'Franko', '1', '70068', '34017', '32262', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60982', 'Rollko', '1', '70020', '32635', '32774', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60983', 'Jode', '1', '70056', '33969', '32959', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60991', 'Isvall', '1', '70086', '33446', '33476', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60992', 'Oblivion', '1', '70089', '32932', '33046', '0', '0', '6', '0', '70', '0');
INSERT INTO `spawnlist_npc` VALUES ('60993', 'Harbor Master', '1', '70011', '32633', '32968', '0', '0', '7', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('60994', 'Harbor Master', '1', '70022', '32560', '32723', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('60995', 'Duran', '1', '70094', '32753', '32860', '0', '0', '6', '0', '445', '0');
INSERT INTO `spawnlist_npc` VALUES ('61001', 'Dio', '1', '70027', '33453', '32805', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61002', 'Philip', '1', '70043', '33451', '32756', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61003', 'Evert', '1', '70038', '33416', '32771', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61004', 'Ashinnue', '1', '70055', '33941', '33188', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61005', 'Shara', '1', '70053', '34022', '33112', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61006', 'Rodney', '1', '70077', '32798', '32419', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61007', 'Margaret', '1', '70029', '33451', '32751', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61008', 'Jason', '1', '70040', '33452', '32764', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61009', 'Tanaka', '1', '70042', '33528', '32873', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61010', 'Izawa', '1', '70035', '33525', '32851', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61011', 'Maeno', '1', '70041', '33516', '32857', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('1310259', '', '1', '81177', '32732', '32732', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310258', '', '1', '81177', '32797', '32773', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310257', '', '1', '81177', '32790', '32773', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310256', '', '1', '81177', '32797', '32763', '0', '0', '0', '0', '7', '0');
INSERT INTO `spawnlist_npc` VALUES ('61121', 'Lolia', '1', '70019', '32627', '32758', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61122', 'Selena', '1', '70012', '32596', '32929', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('61123', 'Sabin', '1', '70054', '33988', '33311', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61124', 'Elly', '1', '70084', '33599', '33273', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61125', 'Velisa', '1', '70070', '32618', '33166', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61126', 'Miranda', '1', '70075', '33106', '33377', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61127', 'Molly', '1', '70031', '33431', '32785', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61128', 'Enke', '1', '70065', '34062', '32252', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('61129', 'Millay', '1', '70096', '32448', '33045', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('61130', 'Explorer\'s Assistant', '1', '50081', '32852', '32798', '0', '0', '5', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('87191', 'Hector', '1', '70642', '33471', '32775', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87192', 'Ladar', '1', '70523', '32589', '32957', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87193', 'Raidar', '1', '70526', '32593', '32931', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87194', 'Paruit', '1', '70722', '34018', '33112', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87195', 'Ryumiel', '1', '70676', '34122', '33148', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87196', 'Luudiel', '1', '70841', '33035', '32325', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87197', 'Narhen', '1', '70837', '33070', '32337', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87198', 'Eveurol', '1', '70872', '32739', '32815', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('87199', 'Lavienue', '1', '70524', '32558', '32965', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87200', 'Farlin', '1', '70537', '32413', '32983', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87201', 'Lien', '1', '70525', '32575', '32920', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87202', 'Julie', '1', '70805', '33112', '33357', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87203', 'Pin', '1', '70807', '33071', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87204', 'Joel', '1', '70804', '33089', '33355', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87205', 'Vincent', '1', '70034', '33480', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87206', 'Moria', '1', '70598', '33404', '32834', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87207', 'Fairy Queen', '1', '70852', '33157', '32276', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('87208', 'Nerupa', '1', '70838', '32741', '32787', '0', '0', '5', '0', '17', '0');
INSERT INTO `spawnlist_npc` VALUES ('87209', 'Arachne', '1', '70846', '33139', '32262', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87210', 'Arachne', '1', '70846', '33113', '32241', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87211', 'Arachne', '1', '70846', '33086', '32229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87212', 'Arachne', '1', '70846', '33063', '32232', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87213', 'Arachne', '1', '70846', '33057', '32266', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87214', 'Arachne', '1', '70846', '33087', '32297', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87215', 'Arachne', '1', '70846', '33098', '32354', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87216', 'Arachne', '1', '70846', '33110', '32386', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87217', 'Arachne', '1', '70846', '33086', '32400', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87218', 'Arachne', '1', '70846', '33053', '32389', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87219', 'Pan', '1', '70850', '33009', '32403', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87220', 'Pan', '1', '70850', '32987', '32378', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87221', 'Pan', '1', '70850', '32971', '32350', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87222', 'Pan', '1', '70850', '33004', '32327', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87223', 'Pan', '1', '70850', '33031', '32306', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87224', 'Pan', '1', '70850', '33014', '32273', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87225', 'Pan', '1', '70850', '33042', '32263', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87226', 'Pan', '1', '70850', '33070', '32262', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87227', 'Pan', '1', '70850', '33103', '32294', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87228', 'Pan', '1', '70850', '33155', '32328', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87229', 'Helen', '1', '70641', '33503', '32777', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87230', 'Bamute', '1', '70690', '33976', '33166', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87231', 'Nose', '1', '70671', '33918', '33174', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87232', 'Fairy', '1', '70851', '33158', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87233', 'Fairy', '1', '70851', '33155', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87234', 'Fairy', '1', '70851', '33156', '32277', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87235', 'Fairy', '1', '70851', '33156', '32274', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87236', 'Fairy', '1', '70851', '33144', '32343', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87237', 'Fairy', '1', '70851', '33121', '32376', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87238', 'Fairy', '1', '70851', '33099', '32369', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87239', 'Fairy', '1', '70851', '33073', '32374', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87240', 'Fairy', '1', '70851', '33032', '32422', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87241', 'Fairy', '1', '70851', '33003', '32414', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87242', 'Fairy', '1', '70851', '32984', '32386', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87243', 'Fairy', '1', '70851', '32964', '32351', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87244', 'Fairy', '1', '70851', '33020', '32299', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87245', 'Fairy', '1', '70851', '33072', '32246', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87246', 'Koup', '1', '70904', '32830', '32971', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('89541', 'Guardian Tower', '1', '81111', '33524', '33396', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87248', 'Ivelviin', '1', '70662', '32814', '32854', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87301', 'Cuse', '1', '70517', '32712', '32865', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87302', 'Touma', '1', '70536', '32417', '32984', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87303', 'Randith', '1', '70771', '32644', '33369', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87304', 'Rion', '1', '70507', '32738', '32759', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87341', 'Montes', '1', '70683', '33926', '33352', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87342', 'Est', '1', '70847', '33079', '32338', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87343', 'Robiel', '1', '70840', '33060', '32311', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87344', 'Yuno', '1', '70568', '32617', '32722', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87345', 'Eno', '1', '70707', '32821', '32911', '0', '0', '6', '0', '320', '100');
INSERT INTO `spawnlist_npc` VALUES ('87346', 'Reona', '1', '70674', '34073', '33147', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87347', 'Peria', '1', '70519', '32673', '32840', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87348', 'Sarsha', '1', '70607', '33403', '32833', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87349', 'Ruba', '1', '70506', '32777', '32779', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87350', 'Tio', '1', '70518', '32715', '32883', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87351', 'Pierce', '1', '70908', '32859', '32879', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87352', 'Blaise', '1', '70605', '33538', '32847', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87353', 'Alchemist', '1', '70520', '33072', '33395', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87354', 'Alchemist', '1', '70520', '33429', '32812', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87355', 'Alchemist', '1', '70520', '33603', '33240', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87356', 'Alchemist', '1', '70520', '34056', '32291', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87357', 'Alchemist', '1', '70520', '33926', '33342', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87358', 'Alchemist', '1', '70520', '32573', '32936', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87359', 'Alchemist', '1', '70520', '32611', '32735', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87360', 'Alchemist', '1', '70520', '33057', '32782', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87361', 'Alchemist', '1', '70520', '32615', '33174', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87362', 'Alchemist', '1', '70520', '32754', '32437', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87363', 'Alchemist', '1', '70520', '33723', '32483', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87364', 'Lyra', '1', '70811', '32745', '32428', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87365', 'Alchemist', '1', '70520', '32429', '33037', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('89540', 'Guardian Tower', '1', '81111', '33631', '32678', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87401', 'Ent', '1', '70848', '33121', '32236', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87402', 'Ent', '1', '70848', '33140', '32253', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87403', 'Ent', '1', '70848', '33168', '32286', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87404', 'Ent', '1', '70848', '33152', '32312', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87405', 'Ent', '1', '70848', '33128', '32336', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87406', 'Ent', '1', '70848', '33103', '32349', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87407', 'Ent', '1', '70848', '33118', '32368', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87408', 'Ent', '1', '70848', '33088', '32375', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87409', 'Ent', '1', '70848', '33066', '32414', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87410', 'Ent', '1', '70848', '33044', '32423', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87411', 'Ent', '1', '70848', '33018', '32424', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87412', 'Ent', '1', '70848', '33002', '32428', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87413', 'Ent', '1', '70848', '32984', '32416', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87414', 'Ent', '1', '70848', '32968', '32418', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87415', 'Ent', '1', '70848', '32959', '32405', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87416', 'Ent', '1', '70848', '32941', '32375', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87417', 'Ent', '1', '70848', '32953', '32349', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87418', 'Ent', '1', '70848', '32979', '32313', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87419', 'Ent', '1', '70848', '32999', '32289', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87420', 'Ent', '1', '70848', '33026', '32306', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87501', 'Jem', '1', '70531', '32587', '32927', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87502', 'Gereng', '1', '70009', '32561', '33082', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87503', 'Talass', '1', '70763', '32769', '32796', '0', '0', '4', '0', '77', '0');
INSERT INTO `spawnlist_npc` VALUES ('87504', 'Mysterious Rock', '1', '81105', '33780', '33278', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87505', 'Ricky', '1', '70798', '33127', '33366', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87506', 'Aanon', '1', '70802', '33069', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87507', 'Mark', '1', '70775', '32861', '33246', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87508', 'Gunter', '1', '70522', '32669', '32788', '0', '0', '5', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('87509', 'Gerard', '1', '70794', '33098', '33352', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87510', 'Jim', '1', '70555', '32746', '32807', '0', '0', '6', '0', '237', '0');
INSERT INTO `spawnlist_npc` VALUES ('87511', 'Marshall', '1', '70653', '33714', '32503', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87513', 'Giant Elder', '1', '70711', '34242', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87514', 'Giant Elder', '0', '70711', '34238', '33406', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87515', 'Soldier of Dicarding', '1', '70740', '34043', '32234', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87516', 'Zero', '1', '70554', '33048', '32755', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87517', 'Aria', '1', '70783', '32647', '33204', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87518', 'Search Ant', '1', '70782', '32775', '32728', '0', '0', '5', '0', '45', '0');
INSERT INTO `spawnlist_npc` VALUES ('87519', 'Gatekeeper Ant', '1', '70779', '32740', '32730', '0', '0', '5', '0', '45', '0');
INSERT INTO `spawnlist_npc` VALUES ('87520', 'Richard', '1', '70545', '33079', '32764', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87521', 'Mack', '1', '70776', '32646', '33217', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89539', 'Guardian Tower', '1', '81111', '32675', '33408', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87524', 'Oth', '1', '70826', '32745', '32452', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87525', 'Unknown 70844', '1', '70844', '33055', '32336', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87526', 'Heit', '1', '70724', '33975', '32930', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87528', 'Head Guardsman Kan', '1', '70885', '32803', '32895', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87529', 'Ronde', '1', '70892', '32862', '32891', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87530', 'Bludika', '1', '70895', '32743', '32797', '0', '0', '5', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('87531', 'Roje', '1', '70744', '34036', '32259', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87532', 'Assassin Master\'s Apprentice', '1', '70824', '32929', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87533', 'Kima', '1', '70906', '32908', '32947', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87534', 'Kima', '1', '70906', '33158', '32314', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87535', 'Kima', '1', '70906', '32856', '32935', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87536', 'Dicarding', '1', '70739', '32765', '32796', '0', '0', '5', '0', '77', '0');
INSERT INTO `spawnlist_npc` VALUES ('87537', 'Chico', '1', '50114', '32872', '32508', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87538', 'Porikan', '1', '50124', '33713', '32491', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87539', 'Honin', '1', '50121', '32754', '32443', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87540', 'Oshillia', '1', '50119', '32615', '33194', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87541', 'Syria', '1', '50117', '33069', '32790', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87542', 'Liri', '0', '50111', '32583', '32935', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87543', 'Jerik', '1', '50126', '33975', '33241', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87544', 'Hob', '1', '50120', '33100', '33374', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87545', 'Galleon', '1', '50123', '33619', '33247', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87546', 'Serian', '1', '50112', '32788', '32785', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87547', 'Lekman', '1', '50113', '32716', '32865', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87548', 'Tuck', '0', '50122', '0', '0', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87549', 'Gion', '1', '50116', '32610', '32726', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87550', 'Gilbert', '1', '50125', '34053', '32271', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87551', 'Jaruman', '1', '50115', '32853', '32899', '0', '0', '6', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87552', 'Kuper', '1', '70099', '32600', '32920', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87553', 'Lengo', '1', '70100', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87554', 'Fiin', '1', '70101', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87555', 'Judice', '1', '70102', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87556', 'Mona', '1', '70529', '32575', '32946', '25', '25', '0', '90', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87655', 'Dicarding', '1', '70739', '32705', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87656', 'Dicarding', '1', '70739', '32702', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87657', 'Dicarding', '1', '70739', '32699', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87658', 'Dicarding', '1', '70739', '32696', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87659', 'Dicarding', '1', '70739', '32693', '32890', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87670', 'Dicarding', '1', '70739', '32705', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87671', 'Dicarding', '1', '70739', '32702', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87672', 'Dicarding', '1', '70739', '32699', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87673', 'Dicarding', '1', '70739', '32696', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87674', 'Dicarding', '1', '70739', '32693', '32893', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87675', 'Dicarding', '1', '70739', '32705', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87676', 'Dicarding', '1', '70739', '32702', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87677', 'Dicarding', '1', '70739', '32699', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87678', 'Dicarding', '1', '70739', '32696', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87679', 'Dicarding', '1', '70739', '32693', '32896', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87680', 'Dicarding', '1', '70739', '32705', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87681', 'Dicarding', '1', '70739', '32702', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87682', 'Dicarding', '1', '70739', '32699', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87683', 'Dicarding', '1', '70739', '32696', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87684', 'Dicarding', '1', '70739', '32693', '32899', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87685', 'Dicarding', '1', '70739', '32705', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87686', 'Dicarding', '1', '70739', '32702', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87687', 'Dicarding', '1', '70739', '32699', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87688', 'Dicarding', '1', '70739', '32696', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87689', 'Dicarding', '1', '70739', '32693', '32902', '0', '0', '5', '0', '89', '0');
INSERT INTO `spawnlist_npc` VALUES ('87785', 'Haste Master', '1', '70514', '32677', '32862', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87786', 'Healer', '1', '70512', '32728', '32866', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87787', 'Healer', '1', '70512', '32733', '32888', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87788', 'Healer', '1', '70512', '32667', '32890', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87789', 'Healer', '1', '70512', '32645', '32856', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87790', 'Healer', '1', '70512', '32665', '32839', '0', '0', '5', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87791', 'Haste Master', '1', '70514', '32814', '32744', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87792', 'Healer', '1', '70512', '32731', '32767', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87793', 'Healer', '1', '70512', '32782', '32755', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87794', 'Healer', '1', '70512', '32821', '32758', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87795', 'Healer', '1', '70512', '32823', '32718', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87796', 'Healer', '1', '70512', '32780', '32785', '0', '0', '5', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87797', 'Hadesty', '1', '70910', '32859', '32899', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('87798', 'Timon', '1', '70721', '32898', '32524', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('87799', 'Othmond', '1', '70784', '32737', '32784', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('87800', 'Orville', '1', '70623', '32732', '32789', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('87801', 'Ishmael', '1', '70553', '32738', '32784', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('87802', 'Fisher', '1', '70880', '32579', '32813', '0', '0', '5', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('87803', 'Saghem Atuba', '1', '70822', '32803', '32268', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87804', 'Potempin', '1', '70665', '32865', '32808', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87805', 'Polymorph Magician', '1', '70510', '32679', '32858', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87806', 'Weapon Enchanter', '1', '70508', '32683', '32858', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87807', 'Armor Enchanter', '1', '70509', '32681', '32858', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('87808', 'Polymorph Magician', '1', '70510', '32817', '32739', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87809', 'Weapon Enchanter', '1', '70508', '32821', '32739', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87810', 'Armor Enchanter', '1', '70509', '32819', '32739', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('87811', 'Weapon Enchanter', '1', '70547', '32747', '32785', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('87812', 'Armor Enchanter', '1', '70550', '32747', '32784', '0', '0', '5', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('87813', 'Weapon Enchanter', '1', '70777', '32747', '32786', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('87814', 'Armor Enchanter', '1', '70780', '32746', '32786', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('87815', 'Weapon Enchanter', '1', '70816', '32784', '32291', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87816', 'Armor Enchanter', '1', '70820', '32783', '32290', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87817', 'Weapon Enchanter', '1', '70599', '32742', '32813', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('87818', 'Armor Enchanter', '1', '70601', '32741', '32813', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('87819', 'Weapon Enchanter', '1', '70861', '32557', '32846', '0', '0', '5', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('87820', 'Armor Enchanter', '1', '70865', '32557', '32845', '0', '0', '5', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('87821', 'Weapon Enchanter', '1', '70655', '32861', '32800', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87822', 'Armor Enchanter', '1', '70657', '32860', '32800', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87823', 'Weapon Enchanter', '1', '70686', '32876', '32536', '0', '0', '5', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('87824', 'Armor Enchanter', '1', '70692', '32875', '32536', '0', '0', '5', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('87827', 'Goddess of Atonement', '1', '70801', '33149', '33348', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87828', 'Goddess of Atonement', '1', '70611', '33551', '32710', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87829', 'Goddess of Atonement', '1', '70781', '33657', '33186', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87830', 'Goddess of Atonement', '1', '70757', '34115', '32236', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87831', 'Goddess of Atonement', '1', '70530', '32634', '32812', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87832', 'Goddess of Atonement', '1', '70781', '32654', '33144', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87833', 'Goddess of Atonement', '1', '70823', '32778', '32389', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87834', 'Goddess of Atonement', '1', '70658', '33762', '32477', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87835', 'Goddess Ariel', '1', '70702', '33958', '33361', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87836', 'Goddess Agata', '1', '70701', '33958', '33366', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87837', 'Blood Pledge Administrator', '1', '70644', '33425', '32795', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87838', 'Blood Pledge Administrator', '1', '70884', '33604', '33225', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87839', 'Blood Pledge Administrator', '1', '70725', '33956', '33243', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87840', 'Blood Pledge Administrator', '1', '70538', '32579', '32922', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87841', 'Blood Pledge Administrator', '1', '70560', '33066', '32747', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87842', 'Blood Pledge Administrator', '1', '70790', '32639', '33182', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87843', 'Blood Pledge Administrator', '1', '70667', '33707', '32486', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87844', 'Secretary to the Mayor', '1', '70806', '33103', '33357', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87845', 'Secratary to the Mayor', '1', '70631', '33450', '32793', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87846', 'Secretary to the Mayor', '1', '70876', '33613', '33229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87847', 'Secretary to the Mayor', '1', '70761', '34063', '32268', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87848', 'Secratary to the Mayor', '1', '70534', '32588', '32952', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87849', 'Secratary to the Mayor', '1', '70572', '32609', '32817', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87850', 'Secratary to the Mayor', '1', '70556', '33050', '32745', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87851', 'Secretary to the Mayor', '1', '70788', '32618', '33175', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87852', 'Secretary to the Mayor', '1', '70830', '32729', '32452', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87853', 'Secratary to the Mayor', '1', '70663', '33729', '32485', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87854', 'Village Manager', '1', '70799', '33102', '33357', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87855', 'Village Manager', '1', '70594', '33451', '32794', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87856', 'Village Manager', '1', '70860', '33611', '33229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87857', 'Village Manager', '1', '70748', '34062', '32268', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87858', 'Village Manager', '1', '70528', '32588', '32953', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('87859', 'Village Manager', '1', '70567', '32609', '32818', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87860', 'Village Manager', '1', '70546', '33049', '32745', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87861', 'Village Manager', '1', '70774', '32617', '33175', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87862', 'Village Manager', '1', '70815', '32728', '32452', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87863', 'Village Manager', '1', '70654', '33728', '32485', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87870', 'Detector', '1', '70742', '32795', '32841', '0', '0', '6', '0', '77', '0');
INSERT INTO `spawnlist_npc` VALUES ('87871', 'Ellyonne', '1', '70760', '32748', '32847', '0', '0', '5', '0', '76', '0');
INSERT INTO `spawnlist_npc` VALUES ('87872', 'Spirit of Kamyla', '1', '71036', '32736', '32819', '0', '0', '4', '0', '481', '0');
INSERT INTO `spawnlist_npc` VALUES ('88001', 'Guard', '1', '60513', '32739', '32788', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88002', 'Guard', '1', '60513', '32739', '32792', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88003', 'Guard', '1', '60513', '32739', '32796', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88004', 'Guard', '1', '60513', '32739', '32800', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88005', 'Guard', '1', '60513', '32734', '32788', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88006', 'Guard', '1', '60513', '32734', '32792', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88007', 'Guard', '1', '60513', '32734', '32796', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88008', 'Guard', '1', '60513', '32734', '32800', '0', '0', '0', '0', '15', '0');
INSERT INTO `spawnlist_npc` VALUES ('88009', 'Court Guard', '1', '60514', '33107', '32769', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88010', 'Court Guard', '1', '60514', '33107', '32773', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88011', 'Court Guard', '1', '60514', '33149', '32812', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88012', 'Court Guard', '1', '60514', '33154', '32812', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88013', 'Court Guard', '1', '60514', '33167', '32766', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88014', 'Court Guard', '1', '60514', '33172', '32766', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88015', 'Gatekeeper', '1', '70549', '33110', '32769', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88016', 'Gatekeeper', '1', '70985', '33153', '32809', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88017', 'Gatekeeper', '1', '70656', '33172', '32761', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88018', 'Mercenary Captain Hunt', '1', '70562', '33125', '32799', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88019', 'Kent Mercenary Squad', '1', '60516', '33122', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88020', 'Kent Mercenary Squad', '1', '60516', '33123', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88021', 'Kent Mercenary Squad', '1', '60515', '33123', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88022', 'Kent Mercenary Squad', '1', '60515', '33122', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88023', 'Kent Mercenary Squad', '1', '60516', '33122', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88024', 'Kent Mercenary Squad', '1', '60516', '33123', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88025', 'Kent Mercenary Squad', '1', '60515', '33123', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88026', 'Kent Mercenary Squad', '1', '60515', '33122', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88027', 'Kent Mercenary Squad', '1', '60516', '33125', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88028', 'Kent Mercenary Squad', '1', '60516', '33126', '32787', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88029', 'Kent Mercenary Squad', '1', '60515', '33126', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88030', 'Kent Mercenary Squad', '1', '60515', '33125', '32786', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88031', 'Kent Mercenary Squad', '1', '60516', '33125', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88032', 'Kent Mercenary Squad', '1', '60516', '33126', '32784', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88033', 'Kent Mercenary Squad', '1', '60515', '33126', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88034', 'Kent Mercenary Squad', '1', '60515', '33125', '32783', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88035', 'Orcish Court Guard', '1', '60560', '32783', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88036', 'Orcish Court Guard', '1', '60560', '32784', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88037', 'Orcish Court Guard', '1', '60560', '32793', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88038', 'Orcish Court Guard', '1', '60560', '32794', '32314', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88039', 'Orcish Court Guard', '1', '60560', '32778', '32330', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88040', 'Gatekeeper', '1', '70600', '32788', '32324', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88041', 'Kentu Neruga', '1', '70831', '32774', '32305', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88042', 'Gludin Guard', '1', '60528', '32725', '32792', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88043', 'Gludin Guard', '1', '60528', '32725', '32796', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88044', 'Gludin Guard', '1', '60528', '32725', '32803', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88045', 'Gludin Guard', '1', '60528', '32725', '32807', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88046', 'Gludin Guard', '1', '60528', '32732', '32792', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88047', 'Gludin Guard', '1', '60528', '32732', '32796', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88048', 'Gludin Guard', '1', '60528', '32732', '32803', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88049', 'Gludin Guard', '1', '60528', '32732', '32807', '0', '0', '5', '0', '52', '0');
INSERT INTO `spawnlist_npc` VALUES ('88050', 'Court Guard', '1', '60529', '33636', '32741', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88051', 'Court Guard', '1', '60529', '33626', '32741', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88052', 'Court Guard', '1', '60529', '33575', '32674', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88053', 'Court Guard', '1', '60529', '33575', '32682', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88054', 'Court Guard', '1', '60529', '33603', '32674', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88055', 'Court Guard', '1', '60529', '33603', '32682', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88056', 'Court Guard', '1', '60529', '33628', '32707', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88057', 'Court Guard', '1', '60529', '33635', '32707', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88058', 'Court Guard', '1', '60529', '33660', '32674', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88059', 'Court Guard', '1', '60529', '33660', '32681', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88060', 'Gatekeeper', '1', '70800', '33635', '32738', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88061', 'Gatekeeper', '1', '70988', '33578', '32675', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88062', 'Gatekeeper', '1', '70989', '33607', '32679', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88063', 'Gatekeeper', '1', '70990', '33635', '32704', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88064', 'Gatekeeper', '1', '70991', '33657', '32679', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88065', 'Gatekeeper', '1', '70817', '33633', '32662', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88066', 'Colbert', '1', '70633', '33669', '32694', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88067', 'Giran Mercenary Squad', '1', '60527', '33641', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88068', 'Giran Mercenary Squad', '1', '60527', '33642', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88069', 'Giran Mercenary Squad', '1', '60526', '33649', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88070', 'Giran Mercenary Squad', '1', '60526', '33648', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88071', 'Giran Mercenary Squad', '1', '60527', '33643', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88072', 'Giran Mercenary Squad', '1', '60527', '33644', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88073', 'Giran Mercenary Squad', '1', '60526', '33647', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88074', 'Giran Mercenary Squad', '1', '60526', '33646', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88075', 'Giran Mercenary Squad', '1', '60527', '33646', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88076', 'Giran Mercenary Squad', '1', '60527', '33647', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88077', 'Giran Mercenary Squad', '1', '60526', '33644', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88078', 'Giran Mercenary Squad', '1', '60526', '33643', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88079', 'Giran Mercenary Squad', '1', '60527', '33648', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88080', 'Giran Mercenary Squad', '1', '60527', '33649', '32660', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88081', 'Giran Mercenary Squad', '1', '60526', '33642', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88082', 'Giran Mercenary Squad', '1', '60526', '33641', '32661', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88083', 'Windawood Castle Guard', '1', '60551', '32732', '32789', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88084', 'Windawood Castle Guard', '1', '60551', '32732', '32794', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88085', 'Windawood Castle Guard', '1', '60551', '32732', '32798', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88086', 'Windawood Castle Guard', '1', '60551', '32732', '32802', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88087', 'Windawood Castle Guard', '1', '60551', '32737', '32789', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88088', 'Windawood Castle Guard', '1', '60551', '32737', '32794', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88089', 'Windawood Castle Guard', '1', '60551', '32737', '32798', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88090', 'Windawood Castle Guard', '1', '60551', '32737', '32802', '0', '0', '5', '0', '29', '0');
INSERT INTO `spawnlist_npc` VALUES ('88091', 'Court Guard', '1', '60552', '32622', '33441', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88092', 'Court Guard', '1', '60552', '32627', '33441', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88093', 'Court Guard', '1', '60552', '32585', '33407', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88094', 'Court Guard', '1', '60552', '32585', '33411', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88095', 'Court Guard', '1', '60552', '32616', '33401', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88096', 'Court Guard', '1', '60552', '32625', '33401', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88097', 'Court Guard', '1', '60552', '32673', '33400', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88098', 'Court Guard', '1', '60552', '32678', '33400', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88099', 'Gatekeeper', '1', '70986', '32830', '32291', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88103', 'Gatekeeper', '1', '70687', '32626', '33438', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88104', 'Gatekeeper', '1', '70987', '32588', '33407', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88105', 'Gatekeeper', '1', '70778', '32679', '33393', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88106', 'Halt', '1', '70789', '32644', '33426', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88107', 'Windawood Mercenary Squad', '1', '60553', '32643', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88108', 'Windawood Mercenary Squad', '1', '60553', '32642', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88109', 'Windawood Mercenary Squad', '1', '60554', '32639', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88110', 'Windawood Mercenary Squad', '1', '60554', '32640', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88111', 'Windawood Mercenary Squad', '1', '60553', '32640', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88112', 'Windawood Mercenary Squad', '1', '60553', '32639', '33417', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88113', 'Windawood Mercenary Squad', '1', '60554', '32642', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88114', 'Windawood Mercenary Squad', '1', '60554', '32643', '33418', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88115', 'Windawood Mercenary Squad', '1', '60553', '32643', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88116', 'Windawood Mercenary Squad', '1', '60553', '32642', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88117', 'Windawood Mercenary Squad', '1', '60554', '32639', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88118', 'Windawood Mercenary Squad', '1', '60554', '32640', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88119', 'Windawood Mercenary Squad', '1', '60553', '32640', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88120', 'Windawood Mercenary Squad', '1', '60553', '32639', '33414', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88121', 'Windawood Mercenary Squad', '1', '60554', '32642', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88122', 'Windawood Mercenary Squad', '1', '60554', '32643', '33415', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88123', 'Heine Guard', '1', '70857', '32568', '32841', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88124', 'Heine Guard', '1', '70857', '32576', '32841', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88125', 'Heine Guard', '1', '70857', '32565', '32829', '0', '0', '6', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88126', 'Heine Guard', '1', '70857', '32565', '32837', '0', '0', '6', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88127', 'Heine Guard', '1', '70857', '32568', '32820', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88128', 'Heine Guard', '1', '70857', '32576', '32820', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88129', 'Heine Guard', '1', '70857', '32579', '32829', '0', '0', '2', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88130', 'Heine Guard', '1', '70857', '32579', '32837', '0', '0', '2', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('88131', 'Heine Guard', '1', '70857', '33522', '33325', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88132', 'Heine Guard', '1', '70857', '33527', '33325', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88133', 'Heine Guard', '1', '70857', '33516', '33433', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88134', 'Heine Guard', '1', '70857', '33528', '33433', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88135', 'Heine Guard', '1', '70857', '33520', '33389', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88136', 'Heine Guard', '1', '70857', '33526', '33389', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88137', 'Heine Guard', '1', '70857', '33521', '33482', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88138', 'Heine Guard', '1', '70857', '33525', '33482', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88139', 'Heine Guard', '1', '70857', '33499', '33372', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88140', 'Heine Guard', '1', '70857', '33551', '33372', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88141', 'Heine Gatekeeper', '1', '70862', '33526', '33330', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88142', 'Heine Gatekeeper', '1', '70862', '33526', '33352', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88143', 'Heine Gatekeeper', '1', '70863', '33520', '33387', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88144', 'Gatekeeper', '1', '70992', '33525', '33475', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88145', 'Gatekeeper', '1', '70992', '33524', '33455', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88146', 'Vaiger', '1', '70882', '33515', '33444', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88147', 'Heine Mercenary Squad', '1', '70881', '33494', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88148', 'Heine Mercenary Squad', '1', '70881', '33495', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88149', 'Heine Mercenary Squad', '1', '70881', '33496', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88150', 'Heine Mercenary Squad', '1', '70881', '33498', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88151', 'Heine Mercenary Squad', '1', '70881', '33499', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88152', 'Heine Mercenary Squad', '1', '70881', '33500', '33406', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88153', 'Heine Mercenary Squad', '1', '70881', '33494', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88154', 'Heine Mercenary Squad', '1', '70881', '33495', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88155', 'Heine Mercenary Squad', '1', '70881', '33496', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88156', 'Heine Mercenary Squad', '1', '70881', '33498', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88157', 'Heine Mercenary Squad', '1', '70881', '33499', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88158', 'Heine Mercenary Squad', '1', '70881', '33500', '33405', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88159', 'Heine Mercenary Squad', '1', '70881', '33494', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88160', 'Heine Mercenary Squad', '1', '70881', '33495', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88161', 'Heine Mercenary Squad', '1', '70881', '33496', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88162', 'Heine Mercenary Squad', '1', '70881', '33498', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88163', 'Heine Mercenary Squad', '1', '70881', '33499', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88164', 'Heine Mercenary Squad', '1', '70881', '33500', '33403', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88165', 'Heine Mercenary Squad', '1', '70881', '33494', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88166', 'Heine Mercenary Squad', '1', '70881', '33495', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88167', 'Heine Mercenary Squad', '1', '70881', '33496', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88168', 'Heine Mercenary Squad', '1', '70881', '33498', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88169', 'Heine Mercenary Squad', '1', '70881', '33499', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88170', 'Heine Mercenary Squad', '1', '70881', '33500', '33402', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88171', 'Gatekeeper', '1', '70993', '32814', '32889', '0', '0', '4', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88172', 'Gatekeeper', '1', '70994', '32778', '32856', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('89538', 'Guardian Tower', '1', '81111', '33170', '32774', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88185', 'Dwarf Guard', '1', '60531', '33627', '32367', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88186', 'Dwarf Guard', '1', '60531', '33627', '32374', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88187', 'Dwarf Guard', '1', '60531', '33671', '32413', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88188', 'Dwarf Guard', '1', '60531', '33678', '32413', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88189', 'Freckson', '1', '70666', '32864', '32804', '0', '0', '5', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88190', 'Biust', '1', '70695', '32892', '32524', '0', '0', '4', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('88191', 'Gatekeeper', '1', '70996', '34092', '33205', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88192', 'Aden Castle Guard', '1', '60533', '34096', '33206', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88193', 'Aden Castle Guard', '1', '60534', '34094', '33323', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88194', 'Aden Castle Guard', '1', '60534', '34084', '33306', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88195', 'Aden Castle Guard', '1', '60534', '34018', '33237', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88196', 'Aden Castle Guard', '1', '60534', '34034', '33236', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88197', 'Aden Castle Guard', '1', '60534', '34154', '33253', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88198', 'Aden Castle Guard', '1', '60534', '34140', '33254', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88199', 'Aden Castle Guard', '1', '60534', '34081', '33252', '0', '0', '7', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88200', 'Aden Castle Guard', '1', '60534', '34096', '33214', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88201', 'Aden Castle Guard', '1', '60534', '34060', '33227', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88202', 'Aden Castle Guard', '1', '60534', '34126', '33288', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88203', 'Aden Castle Guard', '1', '60533', '34080', '33323', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88204', 'Aden Castle Guard', '1', '60533', '34094', '33306', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88205', 'Aden Castle Guard', '1', '60533', '34018', '33259', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88206', 'Aden Castle Guard', '1', '60533', '34034', '33251', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88207', 'Aden Castle Guard', '1', '60533', '34154', '33265', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88208', 'Aden Castle Guard', '1', '60533', '34140', '33266', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88209', 'Aden Castle Guard', '1', '60533', '34098', '33269', '0', '0', '3', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88210', 'Aden Castle Guard', '1', '60533', '34082', '33214', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88211', 'Aden Castle Guard', '1', '60533', '34060', '33288', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88212', 'Aden Castle Guard', '1', '60533', '34126', '33227', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88213', 'Aden Mercenary Squad', '1', '60539', '34111', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88214', 'Aden Mercenary Squad', '1', '60539', '34112', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88215', 'Aden Mercenary Squad', '1', '60540', '34111', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88216', 'Aden Mercenary Squad', '1', '60540', '34112', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88217', 'Aden Mercenary Squad', '1', '60539', '34113', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88218', 'Aden Mercenary Squad', '1', '60539', '34114', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88219', 'Aden Mercenary Squad', '1', '60540', '34113', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88220', 'Aden Mercenary Squad', '1', '60540', '34114', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88221', 'Aden Mercenary Squad', '1', '60539', '34116', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88222', 'Aden Mercenary Squad', '1', '60539', '34117', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88223', 'Aden Mercenary Squad', '1', '60540', '34116', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88224', 'Aden Mercenary Squad', '1', '60540', '34117', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88225', 'Aden Mercenary Squad', '1', '60539', '34118', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88226', 'Aden Mercenary Squad', '1', '60539', '34119', '33207', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88227', 'Aden Mercenary Squad', '1', '60540', '34118', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88228', 'Aden Mercenary Squad', '1', '60540', '34119', '33209', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89001', 'Guard', '1', '70809', '32671', '32787', '0', '0', '5', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('89002', 'Guard', '1', '70809', '32667', '32787', '0', '0', '5', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('89003', 'Gerard Mercenary Squad', '1', '60558', '33099', '33351', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89004', 'Gerard Mercenary Squad', '1', '60559', '33097', '33351', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89005', 'Guard', '1', '60501', '33067', '33421', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89006', 'Guard', '1', '60502', '33061', '33421', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89007', 'Guard', '1', '60501', '33081', '33360', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89008', 'Guard', '1', '60502', '33081', '33368', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89009', 'Guard', '1', '60501', '33120', '33351', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89010', 'Guard', '1', '60502', '33123', '33353', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89011', 'Guard', '1', '60501', '33110', '33400', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89012', 'Guard', '1', '60502', '33115', '33400', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89013', 'Guard', '1', '60510', '32582', '33191', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89014', 'Guard', '1', '60517', '32582', '33197', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89015', 'Guard', '1', '60510', '32610', '33152', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89016', 'Guard', '1', '60517', '32619', '33152', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89017', 'Guard', '1', '60510', '32645', '33168', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89018', 'Guard', '1', '60517', '32645', '33175', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89019', 'Guard', '1', '60510', '32645', '33220', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89020', 'Guard', '1', '60517', '32638', '33222', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89021', 'Guard', '1', '60508', '33030', '32771', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89022', 'Guard', '1', '60509', '33030', '32763', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89023', 'Guard', '1', '60501', '32565', '32930', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89024', 'Guard', '1', '60502', '32565', '32925', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89025', 'Guard', '1', '60502', '32591', '32905', '0', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89026', 'Guard', '1', '60501', '32596', '32905', '0', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89027', 'Guard', '1', '60501', '32607', '32947', '0', '0', '2', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89028', 'Guard', '1', '60502', '32607', '32941', '0', '0', '2', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89029', 'Guard', '1', '60501', '32574', '32980', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89030', 'Guard', '1', '60502', '32569', '32980', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89031', 'Guard', '1', '60501', '32543', '32962', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89032', 'Guard', '1', '60502', '32543', '32955', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89033', 'Guard', '1', '60502', '32561', '33086', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89034', 'Guard', '0', '60501', '32588', '32758', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89035', 'Guard', '0', '60502', '32588', '32764', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89036', 'Guard', '0', '60501', '32618', '32708', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89037', 'Guard', '0', '60502', '32613', '32709', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89038', 'Guard', '0', '60501', '32637', '32745', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89039', 'Guard', '0', '60502', '32637', '32750', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89040', 'Guard', '0', '60501', '32629', '32830', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89041', 'Guard', '0', '60502', '32625', '32830', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89042', 'Dwarf Guard', '1', '60530', '33680', '32513', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89043', 'Dwarf Guard', '1', '60530', '33680', '32515', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89044', 'Dwarf Guard', '1', '60530', '33718', '32470', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89045', 'Dwarf Guard', '1', '60530', '33723', '32470', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89046', 'Dwarf Guard', '1', '60530', '33727', '32521', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89047', 'Dwarf Guard', '1', '60530', '33732', '32521', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89048', 'Dwarf Guard', '1', '60530', '33664', '32479', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89050', 'Heine Guard', '1', '70857', '33590', '33193', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89051', 'Heine Guard', '1', '70857', '33597', '33193', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89052', 'Heine Guard', '1', '70857', '33655', '33224', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89053', 'Heine Guard', '1', '70857', '33655', '33230', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89054', 'Heine Guard', '1', '70857', '33613', '33323', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89055', 'Heine Guard', '1', '70857', '33613', '33330', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89056', 'Heine Guard', '1', '70857', '33647', '33436', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89057', 'Heine Guard', '1', '70857', '33604', '33445', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89058', 'Heine Guard', '1', '70857', '33558', '33237', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89059', 'Heine Guard', '1', '70857', '33558', '33244', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89060', 'Guard', '1', '60523', '34029', '32276', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89061', 'Guard', '1', '60522', '34029', '32288', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89062', 'Guard', '1', '60523', '34064', '32330', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89063', 'Guard', '1', '60522', '34053', '32330', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89064', 'Aden Guard', '1', '60537', '34039', '33434', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89065', 'Aden Guard', '1', '60538', '34044', '33434', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89066', 'Aden Guard', '1', '60537', '33856', '33359', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89067', 'Aden Guard', '1', '60538', '33856', '33366', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89068', 'Aden Guard', '1', '60537', '33853', '33246', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89069', 'Aden Guard', '1', '60538', '33853', '33254', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89070', 'Aden Guard', '1', '60537', '33856', '33136', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89071', 'Aden Guard', '1', '60538', '33856', '33143', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89072', 'Aden Guard', '1', '60537', '34164', '33151', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89073', 'Aden Guard', '1', '60538', '34164', '33158', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89074', 'Court Guard', '1', '60525', '33513', '32784', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89075', 'Court Guard', '1', '60524', '33512', '32791', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89076', 'Court Guard', '1', '60525', '33362', '32886', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89077', 'Court Guard', '1', '60524', '33365', '32890', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89078', 'Court Guard', '1', '60525', '33346', '32825', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89079', 'Court Guard', '1', '60524', '33344', '32835', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89080', 'Court Guard', '1', '60525', '33338', '32742', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89081', 'Court Guard', '1', '60524', '33339', '32751', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89082', 'Court Guard', '1', '60525', '33332', '32689', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89083', 'Court Guard', '1', '60524', '33332', '32698', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89084', 'Court Guard', '1', '60525', '33358', '32642', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89085', 'Court Guard', '1', '60524', '33366', '32643', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89086', 'Court Guard', '1', '60525', '33407', '32635', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89087', 'Court Guard', '1', '60524', '33416', '32636', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89091', 'Guard', '1', '60501', '32619', '32957', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89092', 'Guard', '1', '60502', '32619', '32963', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89501', 'Evilman', '1', '70511', '32682', '32866', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('89502', 'Goodman', '1', '70503', '32678', '32866', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('89503', 'Neutralman', '1', '70504', '32680', '32866', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('89504', 'Evilman', '1', '70511', '32819', '32748', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('89505', 'Goodman', '1', '70503', '32815', '32748', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('89506', 'Neutralman', '1', '70504', '32817', '32748', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('89507', 'Dunham', '1', '70796', '33087', '33385', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89508', 'Shop (Daggers)', '1', '81003', '33063', '33390', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89509', 'Shop (Swords)', '1', '81004', '33063', '33391', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89510', 'Shop (Swords)', '1', '81005', '33063', '33392', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89511', 'Shop (Polearm)', '1', '81006', '33063', '33393', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89512', 'Shop (Blunts)', '1', '81007', '33063', '33394', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89513', 'Shop (Edoryu)', '1', '81008', '33063', '33395', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89514', 'Shop (Claws)', '1', '81009', '33063', '33396', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89515', 'Shop (Staves)', '1', '81010', '33063', '33397', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89516', 'Shop (Bows)', '1', '81011', '33063', '33398', '0', '0', '2', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89517', 'Shop (Helmets)', '1', '81012', '33079', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89518', 'Shop (Shields)', '1', '81013', '33078', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89519', 'Shop (Gloves)', '1', '81014', '33077', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89520', 'Shop (Boots)', '1', '81015', '33076', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89521', 'Shop (Shirts)', '1', '81016', '33075', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89522', 'Shop (Armor)', '1', '81017', '33074', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89523', 'Shop (Cloaks)', '1', '81018', '33073', '33383', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89524', 'Shop (Amulets)', '1', '81019', '33088', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89525', 'Shop (Rings)', '1', '81020', '33089', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89526', 'Shop (Belt)', '1', '81021', '33090', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89527', 'Magic Shop (Spellbooks)', '1', '81022', '33094', '33401', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89528', 'Magic Shop (Elf)', '1', '81023', '33094', '33402', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89529', 'Magic Shop (Dark Elf)', '1', '81024', '33094', '33403', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89530', 'Magic Shop (Knights)', '1', '81025', '33094', '33404', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89531', 'Magic Shop (Royals)', '1', '81026', '33094', '33405', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89532', 'Shop (Pots)', '1', '81027', '33091', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89533', 'Shop (Scrolls)', '1', '81028', '33092', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89534', 'Shop (Tel Scrolls)', '1', '81029', '33093', '33390', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89535', 'Shop (Earrings)', '1', '81002', '33072', '33383', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89536', 'Unknown 81110', '1', '81110', '32565', '33082', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89537', 'Guardian Tower', '1', '81111', '32800', '32290', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('88173', 'Gatekeeper', '1', '70995', '32843', '32815', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('87523', 'Sabin', '1', '70758', '34071', '32310', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('87522', 'Brad', '1', '70751', '34071', '32312', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('87512', 'Jimu', '1', '70715', '34260', '33341', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('87367', 'Alchemist', '1', '71114', '32574', '32686', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('87366', 'Alchemist', '1', '71113', '32988', '32982', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('87247', 'Karif', '1', '70762', '33701', '32512', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89545', 'Rader', '1', '81112', '32782', '32785', '0', '0', '4', '0', '25', '0');
INSERT INTO `spawnlist_npc` VALUES ('89546', 'Psuedo Shadow of Flame', '1', '81114', '32733', '32796', '0', '0', '4', '0', '12', '0');
INSERT INTO `spawnlist_npc` VALUES ('89547', 'Black Knight Captainn', '1', '81115', '32750', '32735', '0', '0', '4', '0', '28', '0');
INSERT INTO `spawnlist_npc` VALUES ('89548', 'Hagutin', '1', '81113', '32966', '32923', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('89551', 'Fettered Soul', '1', '81118', '32736', '32796', '0', '0', '5', '0', '12', '0');
INSERT INTO `spawnlist_npc` VALUES ('89552', 'Anton', '1', '70614', '33447', '32743', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89553', 'Lary\'s Assistant', '1', '81119', '33798', '32230', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89554', 'Servant of Kalbas', '1', '81120', '32775', '32992', '0', '0', '6', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('89555', 'Ancient Spirit', '1', '81121', '32731', '32804', '0', '0', '4', '0', '444', '0');
INSERT INTO `spawnlist_npc` VALUES ('89556', 'Ancient Person', '1', '50625', '32746', '32875', '0', '0', '6', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89557', 'Ancient Person', '1', '50625', '32812', '32793', '0', '0', '6', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89558', 'Ancient Person', '1', '50625', '32742', '32721', '0', '0', '4', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89559', 'Ancient Person', '1', '50625', '32658', '32809', '0', '0', '2', '0', '2001', '0');
INSERT INTO `spawnlist_npc` VALUES ('89561', 'Chamberlain of Yahee', '1', '80047', '32741', '32865', '0', '0', '4', '0', '522', '0');
INSERT INTO `spawnlist_npc` VALUES ('89562', 'Twisting of Space', '1', '80048', '34267', '32188', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89563', 'Unknown 80049', '1', '80049', '32734', '32923', '0', '0', '0', '0', '522', '0');
INSERT INTO `spawnlist_npc` VALUES ('89564', 'Unknown 80050', '1', '80050', '32734', '32865', '0', '0', '4', '0', '522', '0');
INSERT INTO `spawnlist_npc` VALUES ('89565', 'Harbor Master', '0', '81000', '32652', '32953', '0', '0', '4', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89566', 'Yahee', '1', '80051', '32684', '32871', '0', '0', '6', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89567', 'Unknown 80052', '1', '80052', '32733', '32891', '0', '0', '6', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89568', 'Unknown 80053', '1', '80053', '32703', '32889', '0', '0', '0', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89569', 'Unknown 80054', '1', '80054', '32709', '32895', '0', '0', '2', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89570', 'Unknown 80055', '1', '80055', '32702', '32900', '0', '0', '4', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89571', 'Unknown 80056', '1', '80056', '32697', '32895', '0', '0', '6', '0', '608', '0');
INSERT INTO `spawnlist_npc` VALUES ('89572', 'Alfons', '1', '80057', '33453', '32848', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89573', 'Unknown 80058', '1', '80058', '32760', '33459', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89574', 'Unknown 80059', '1', '80059', '32743', '32858', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89575', 'Unknown 80060', '1', '80060', '32754', '32786', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89576', 'Unknown 80061', '1', '80061', '32839', '32870', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89577', 'Unknown 80062', '1', '80062', '32832', '32787', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89578', 'Unknown 80063', '1', '80063', '32868', '32834', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89579', 'Unknown 80064', '1', '80064', '32848', '32826', '0', '0', '4', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89580', 'Agent of Varlok', '1', '80065', '32852', '32838', '0', '0', '0', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89581', 'Unknown 80066', '1', '80066', '32848', '32838', '0', '0', '0', '0', '601', '0');
INSERT INTO `spawnlist_npc` VALUES ('89582', 'Unknown 80067', '1', '80067', '32831', '32793', '0', '0', '2', '0', '778', '0');
INSERT INTO `spawnlist_npc` VALUES ('89583', 'Incarnation of Varlok', '1', '80068', '32730', '32831', '0', '0', '6', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89584', 'Lesser Demon', '1', '80069', '32728', '32828', '0', '0', '4', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89585', 'Lesser Demon', '1', '80070', '32728', '32834', '0', '0', '0', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89586', 'Assistant of Varlok', '1', '80071', '32724', '32834', '0', '0', '0', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89587', 'Blacksmith of Varlok', '1', '80072', '32724', '32828', '0', '0', '4', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89588', 'Unknown 80073', '1', '80073', '32721', '32830', '0', '0', '6', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89589', 'Unknown 80074', '1', '80074', '32722', '32823', '0', '0', '6', '0', '602', '0');
INSERT INTO `spawnlist_npc` VALUES ('89590', 'Beheak', '1', '80075', '32831', '32695', '0', '0', '6', '0', '550', '0');
INSERT INTO `spawnlist_npc` VALUES ('89591', 'Rotting Voyager', '1', '80076', '32756', '32852', '0', '0', '5', '0', '550', '0');
INSERT INTO `spawnlist_npc` VALUES ('89592', 'Unknown 80077', '1', '80077', '32846', '32691', '0', '0', '6', '0', '550', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310245', '', '1', '81177', '32751', '32798', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310244', '', '1', '81177', '32748', '32798', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310243', '', '1', '81177', '32766', '32768', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('90004', 'Haste Master', '1', '70514', '32740', '32720', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90005', 'Haste Master', '1', '70514', '32750', '32737', '0', '0', '6', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90006', 'Haste Master', '1', '70514', '32740', '32738', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90007', 'Haste Master', '1', '70514', '32740', '32753', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90008', 'Healer', '1', '71037', '32744', '32720', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90009', 'Healer', '1', '71037', '32750', '32738', '0', '0', '6', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90010', 'Healer', '1', '71037', '32739', '32738', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90011', 'Healer', '1', '71037', '32739', '32753', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90012', 'Unknown 70998', '1', '70998', '32832', '32841', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90013', 'Unknown 60037', '1', '60037', '32826', '32851', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90014', 'Unknown 70004', '1', '70004', '32821', '32847', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90015', 'Unknown 71001', '1', '71001', '32809', '32845', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90016', 'Siriss', '1', '70003', '32857', '32839', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90017', 'Haste Master', '1', '70514', '32816', '32847', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90018', 'Haste Master', '1', '70514', '32830', '32860', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90019', 'Haste Master', '1', '70514', '32797', '32804', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90020', 'Haste Master', '1', '70514', '32835', '32790', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90021', 'Haste Master', '1', '70514', '32864', '32800', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90022', 'Haste Master', '1', '70514', '32873', '32824', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90023', 'Haste Master', '1', '70514', '32806', '32860', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90024', 'Healer', '1', '70512', '32814', '32847', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90025', 'Healer', '1', '70512', '32827', '32786', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90026', 'Healer', '1', '70512', '32874', '32833', '0', '0', '7', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90027', 'Unknown 71002', '1', '71002', '32830', '32861', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90028', 'Unknown 71002', '1', '71002', '32806', '32861', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90029', 'Unknown 71002', '1', '71002', '32798', '32805', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90030', 'Unknown 71002', '1', '71002', '32835', '32791', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90031', 'Unknown 71002', '1', '71002', '32863', '32800', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90032', 'Unknown 71002', '1', '71002', '32872', '32824', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90033', 'Unknown 50082', '1', '50082', '32840', '32849', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90034', 'Unknown 50082', '1', '50082', '32804', '32857', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90035', 'Unknown 50082', '1', '50082', '32791', '32790', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90036', 'Unknown 50082', '1', '50082', '32872', '32806', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90037', 'Barnia', '1', '50001', '32809', '32828', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90038', 'Unknown 71003', '1', '71003', '32800', '32785', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90039', 'Unknown 71004', '1', '71004', '32801', '32786', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90040', 'Ruba', '1', '70506', '32794', '32839', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90041', 'Unknown 71005', '1', '71005', '32835', '32849', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90042', 'Unknown 71006', '1', '71006', '32841', '32846', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90043', 'Unknown 71007', '1', '71007', '32862', '32797', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90044', 'Unknown 71014', '1', '71014', '32876', '32828', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90045', 'Unknown 71015', '1', '71015', '32831', '32786', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90046', 'Unknown 71016', '1', '71016', '32801', '32873', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90047', 'Unknown 71009', '1', '71009', '32808', '32843', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90048', 'Unknown 71011', '1', '71011', '32875', '32824', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90049', 'Karen', '1', '71013', '32851', '32790', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90050', 'Garrett', '1', '71024', '32865', '32824', '0', '0', '2', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90051', 'Unknown 71021', '1', '71021', '32810', '32870', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90052', 'Unknown 71025', '1', '71025', '32815', '32789', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90053', 'Unknown 71031', '1', '71031', '32835', '32787', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90054', 'Unknown 71032', '1', '71032', '32803', '32862', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90055', 'Unknown 71026', '1', '71026', '32820', '32789', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90056', 'Unknown 71027', '1', '71027', '32786', '32839', '0', '0', '2', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90057', 'Unknown 71019', '1', '71019', '32808', '32820', '0', '0', '5', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90058', 'Unknown 71018', '1', '71018', '32810', '32814', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90059', 'Unknown 71033', '1', '71033', '32777', '32868', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90060', 'Unknown 71034', '1', '71034', '32849', '32753', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90061', 'Healer', '1', '71030', '32806', '32862', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90062', 'Healer', '1', '71030', '32755', '32868', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90063', 'Healer', '1', '71030', '32755', '32763', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90064', 'Healer', '1', '71030', '32857', '32815', '0', '0', '4', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90065', 'Healer', '1', '71030', '32804', '32779', '0', '0', '6', '0', '8012', '0');
INSERT INTO `spawnlist_npc` VALUES ('90066', 'Unknown 71035', '1', '50065', '33053', '32349', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90067', 'Unknown 71035', '1', '50016', '32600', '32914', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('140905', 'Assistant of Varlok', '1', '80071', '32746', '32809', '0', '0', '4', '0', '410', '0');
INSERT INTO `spawnlist_npc` VALUES ('90069', 'Unknown 71035', '1', '50069', '32918', '32802', '0', '0', '4', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90070', 'Unknown 71028', '1', '50012', '32680', '32865', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90071', 'Unknown 71029', '1', '50002', '32871', '32870', '0', '0', '7', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90072', 'Unknown 71023', '1', '71023', '32907', '32737', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90073', 'Unknown 71020', '1', '71020', '32797', '32868', '0', '0', '5', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90074', 'Unknown 71022', '1', '71022', '32674', '32863', '0', '0', '4', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90075', 'Elder Nanome', '1', '71038', '32777', '32299', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90076', 'Unknown 71039', '1', '71039', '32777', '32298', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90077', 'Noah', '1', '71040', '32991', '32810', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90078', 'Hoomo', '1', '71041', '32984', '32825', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90079', 'Vakumo', '1', '71042', '32976', '32802', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90080', 'Booka', '1', '71043', '32979', '32818', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90081', 'Camay', '1', '71044', '32993', '32801', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90082', 'Unknown 71045', '1', '71045', '32992', '32814', '0', '0', '6', '0', '244', '0');
INSERT INTO `spawnlist_npc` VALUES ('90083', 'Berik', '1', '71053', '32391', '33042', '0', '0', '2', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90084', 'Roxanne', '1', '71054', '32292', '33067', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90085', 'Doyle\'s Dog', '1', '71058', '32417', '33078', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90086', 'Doyle', '1', '71057', '32418', '33078', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90087', 'Rudian', '1', '71059', '32423', '33048', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90088', 'Resta', '1', '71060', '32404', '33033', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90089', 'Simizz', '1', '71056', '32405', '33044', '0', '0', '5', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90090', 'Roberto', '1', '71046', '32430', '33046', '0', '0', '5', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90091', 'Lukein', '1', '71055', '32438', '33050', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90092', 'Cadmus', '1', '71061', '32450', '33050', '0', '0', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90093', 'Lupus', '1', '71047', '32436', '33039', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90094', 'Karu', '1', '71048', '32448', '33058', '0', '0', '3', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90095', 'Rooney', '1', '71049', '32441', '33082', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90096', 'Lizardman Elder', '1', '71074', '32733', '32857', '0', '0', '6', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90097', 'Young Lizardman Warrior', '1', '71076', '32736', '32858', '0', '0', '6', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90098', 'Exhausted Lizardman Warrior', '1', '71075', '32790', '32975', '0', '0', '6', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90099', 'Geographical Explorer', '1', '71077', '32852', '32800', '0', '0', '5', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90100', 'Shian', '1', '71050', '32815', '32826', '0', '0', '4', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90101', 'Monett', '1', '71051', '32818', '32837', '0', '0', '2', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90102', 'Enishia', '1', '71052', '32846', '32846', '0', '0', '2', '0', '480', '0');
INSERT INTO `spawnlist_npc` VALUES ('90103', 'Kamit', '1', '71062', '32606', '33031', '100', '100', '6', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90104', 'Small Box', '1', '71063', '32341', '32828', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90105', 'Small Box', '1', '71064', '32309', '33165', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90106', 'Small Box', '1', '71065', '32387', '33224', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90107', 'Small Box', '1', '71066', '32390', '33180', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90108', 'Small Box', '1', '71067', '32494', '33222', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90109', 'Small Box', '1', '71068', '32524', '33012', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90110', 'Small Box', '1', '71069', '32359', '32992', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90111', 'Small Box', '1', '71070', '32318', '32954', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90112', 'Small Box', '1', '71071', '32605', '32872', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90113', 'Small Box', '1', '71072', '32345', '33004', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90114', 'Small Box', '1', '71073', '32521', '33033', '0', '0', '4', '0', '440', '0');
INSERT INTO `spawnlist_npc` VALUES ('90115', 'Unknown 71078', '1', '71078', '32863', '32800', '0', '0', '4', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('90116', 'Unknown 71079', '1', '71079', '32864', '32800', '0', '0', '4', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('90117', 'Unknown 71080', '1', '71080', '32575', '32812', '0', '0', '4', '0', '64', '0');
INSERT INTO `spawnlist_npc` VALUES ('90118', 'Unknown 71081', '1', '71081', '32687', '32867', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90119', 'Unknown 71082', '1', '71082', '32670', '32787', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90120', 'Unknown 71083', '1', '71083', '32682', '32738', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90121', 'Unknown 71084', '1', '71084', '32750', '32846', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90122', 'One of the Red Key\'s Secrets', '1', '71085', '32878', '32864', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90123', 'Unknown 71086', '1', '71086', '32871', '32790', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90124', 'Unknown 71087', '1', '71087', '32862', '32756', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90125', 'Unknown 71088', '1', '71088', '32805', '32871', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90126', 'Light Rays', '1', '81166', '32613', '32808', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90127', 'Light Rays', '1', '81166', '32615', '32735', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90128', 'Light Rays', '1', '81166', '32706', '32733', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90129', 'Light Rays', '1', '81166', '32742', '32777', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90130', 'Light Rays', '1', '81166', '32612', '32865', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90131', 'Light Rays', '1', '81166', '32681', '32798', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90132', 'Light Rays', '1', '81166', '32681', '32805', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90133', 'Light Rays', '1', '81167', '32741', '32772', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90134', 'Light Rays', '1', '81166', '32680', '32865', '0', '0', '6', '0', '85', '0');
INSERT INTO `spawnlist_npc` VALUES ('90135', 'Fire', '1', '81164', '32874', '32872', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90136', 'Fire', '1', '81164', '32867', '32872', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90137', 'Fire', '1', '81164', '32930', '32738', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90138', 'Fire', '1', '81165', '32913', '32859', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90139', 'Fire', '1', '81165', '32921', '32816', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90140', 'Fire', '1', '81165', '32868', '32789', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90141', 'Fire', '1', '81165', '32868', '32804', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90142', 'Fire', '1', '81165', '32796', '32870', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90143', 'Fire', '1', '81165', '32830', '32827', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90144', 'Fire', '1', '81165', '32797', '32816', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90145', 'Fire', '1', '81165', '32803', '32776', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90146', 'Fire', '1', '81165', '32800', '32754', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90147', 'Fire', '1', '81165', '32792', '32745', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90148', 'Fire', '1', '81165', '32907', '32745', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('90149', 'Fire', '1', '81165', '32906', '32732', '0', '0', '6', '0', '86', '0');
INSERT INTO `spawnlist_npc` VALUES ('130408', 'Oasis Stuff', '1', '80001', '32647', '32950', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('130409', 'Oasis Stuff', '1', '80001', '32754', '32431', '1', '1', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130410', 'Ant Cave Entrance', '1', '81106', '32755', '33208', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130411', 'Ant Cave Entrance', '1', '81106', '32914', '33220', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130412', 'Ant Cave Entrance', '1', '81106', '32789', '33255', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130413', 'Ant Cave Entrance', '1', '81106', '32848', '33294', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130414', 'Ant Cave Entrance', '1', '81106', '32839', '33172', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130415', 'Ant Cave Entrance', '1', '81106', '32795', '33189', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130416', 'Ant Cave Entrance', '1', '81106', '32924', '33252', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130417', 'Ant Cave Entrance', '1', '81106', '32788', '33149', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130852', 'Jack-O-Latern', '1', '81123', '32575', '32950', '0', '0', '6', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('130853', 'Jack-O-Latern', '1', '81123', '32608', '32723', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130854', 'Jack-O-Latern', '1', '81123', '32613', '33184', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130855', 'Jack-O-Latern', '1', '81123', '33074', '33397', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130856', 'Jack-O-Latern', '1', '81123', '33076', '32795', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130857', 'Jack-O-Latern', '1', '81123', '33421', '32809', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130858', 'Jack-O-Latern', '1', '81123', '33607', '33229', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130859', 'Jack-O-Latern', '1', '81123', '33726', '32485', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130860', 'Jack-O-Latern', '1', '81123', '34053', '32282', '0', '0', '4', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130861', 'Jack-O-Latern', '1', '81123', '33967', '33241', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130862', 'Jack-O-Lantern', '1', '81124', '33421', '32804', '0', '0', '6', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('130863', 'Message Board', '1', '80006', '32578', '32941', '0', '0', '0', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('130864', 'Message Board', '1', '80006', '33070', '33401', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130865', 'Message Board', '1', '80006', '33421', '32806', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130866', 'Message Board', '1', '80006', '32615', '33190', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130867', 'Message Board', '1', '80006', '32607', '32765', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130868', 'Message Board', '1', '80006', '33051', '32756', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130869', 'Message Board', '1', '80006', '33584', '33266', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130870', 'Message Board', '1', '81130', '34063', '32275', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130871', 'Message Board', '1', '81126', '33977', '33239', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130872', 'Message Board', '1', '80006', '32856', '32902', '0', '0', '0', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('130873', 'Olle', '1', '81155', '32739', '32983', '0', '0', '6', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('130874', 'Aden Reconnaissance Soldier', '1', '81156', '32728', '32852', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('130875', 'Torch Fire', '1', '81160', '33430', '32805', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130876', 'Torch Fire', '1', '81160', '33429', '32822', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130877', 'Auction Board', '1', '81161', '33421', '32823', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130878', 'Auctioneer', '1', '70577', '33423', '32823', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130879', 'Auction Board', '1', '81161', '33585', '33235', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130880', 'Auction Board', '1', '81161', '33959', '33253', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130881', 'Auctioneer', '1', '70577', '33961', '33253', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130882', 'Message Board', '1', '71008', '32829', '32854', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('130883', 'Unknown 71017', '1', '71017', '32720', '32767', '0', '0', '2', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('130884', 'Unknown 71012', '1', '71012', '32759', '32773', '0', '0', '4', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('130885', 'Haste Master', '1', '70514', '32758', '32765', '0', '0', '6', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('130886', 'Unknown 71010', '1', '71010', '32800', '32731', '0', '0', '4', '0', '8015', '0');
INSERT INTO `spawnlist_npc` VALUES ('140904', 'Incarnation of Varlok', '1', '80068', '32748', '32813', '0', '0', '6', '0', '410', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310283', '', '1', '70661', '33725', '32521', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310284', '', '1', '70661', '33734', '32521', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310285', '', '1', '70661', '33719', '32507', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310286', '', '1', '70660', '33721', '32503', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310287', '', '1', '70661', '33723', '32503', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310288', '', '1', '70661', '33724', '32503', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310289', '', '1', '70661', '33725', '32503', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310290', '', '1', '70661', '33726', '32503', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('140887', 'Lekman', '1', '50113', '33090', '33390', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89610', '', '1', '80095', '32626', '32729', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89611', '', '1', '80096', '32623', '32713', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89612', '', '1', '80097', '32632', '32759', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89613', '', '1', '80098', '32625', '32816', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89614', '', '1', '80099', '32616', '32788', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89615', '', '1', '80100', '32633', '32808', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89616', '', '1', '80101', '32633', '32801', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89617', '', '1', '80102', '32593', '32735', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89618', '', '1', '80103', '32613', '32775', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89619', '', '1', '81161', '32611', '32775', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89620', '', '1', '80104', '33942', '33360', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89621', '', '1', '80105', '33942', '33366', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89622', '', '1', '80127', '33967', '33239', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89623', '', '1', '80128', '32552', '33004', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('89624', '', '1', '80128', '33061', '33360', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89625', '', '1', '80128', '32575', '32750', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89626', '', '1', '80128', '33752', '32526', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89627', '', '1', '80128', '33513', '32761', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90150', '', '1', '71089', '32679', '32860', '0', '0', '6', '0', '482', '0');
INSERT INTO `spawnlist_npc` VALUES ('90151', '', '1', '71090', '32806', '32859', '0', '0', '6', '0', '483', '0');
INSERT INTO `spawnlist_npc` VALUES ('90152', '', '1', '71091', '32772', '32924', '0', '0', '6', '0', '483', '0');
INSERT INTO `spawnlist_npc` VALUES ('90153', '', '1', '81166', '33055', '32336', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90154', '', '1', '50084', '32717', '32899', '0', '0', '6', '0', '95', '0');
INSERT INTO `spawnlist_npc` VALUES ('90155', '', '1', '50084', '32717', '32899', '0', '0', '6', '0', '91', '0');
INSERT INTO `spawnlist_npc` VALUES ('90156', '', '1', '50084', '32717', '32899', '0', '0', '6', '0', '92', '0');
INSERT INTO `spawnlist_npc` VALUES ('90157', '', '1', '50084', '32717', '32899', '0', '0', '6', '0', '98', '0');
INSERT INTO `spawnlist_npc` VALUES ('90158', '', '1', '71098', '33609', '33237', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90159', '', '1', '71097', '33601', '33245', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90160', '', '1', '71099', '33607', '33253', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90161', '', '1', '71100', '33594', '33252', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90162', '', '1', '71101', '33593', '33239', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90163', '', '1', '71102', '33584', '33252', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90164', '', '1', '71103', '33619', '33237', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90165', '', '1', '71103', '33595', '33229', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90166', '', '1', '71103', '33580', '33271', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90167', '', '1', '71103', '32899', '32574', '0', '0', '5', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('90168', '', '1', '71103', '32889', '32574', '0', '0', '5', '0', '300', '0');
INSERT INTO `spawnlist_npc` VALUES ('90169', '', '1', '71103', '33549', '33275', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90170', '', '1', '71102', '33611', '33290', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90171', '', '1', '71104', '33146', '32770', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90172', '', '1', '71105', '33124', '32937', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90173', '', '1', '71105', '33143', '32241', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90174', '', '1', '71106', '33961', '33250', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90175', '', '1', '71107', '34054', '33145', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90176', '', '1', '71107', '34091', '33145', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90177', '', '1', '71108', '32668', '32303', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90178', '', '1', '71108', '32889', '32652', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90179', '', '1', '71109', '33125', '32936', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90180', '', '1', '71109', '33144', '32240', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90181', '', '1', '81171', '32871', '32830', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90182', '', '1', '81172', '32770', '32788', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90183', '', '1', '81172', '32770', '32807', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90184', '', '1', '81172', '32774', '32830', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90185', '', '1', '81172', '32772', '32846', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90186', '', '1', '81172', '32769', '32869', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90187', '', '1', '81172', '32824', '32796', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90188', '', '1', '81172', '32821', '32819', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90189', '', '1', '81172', '32822', '32840', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90190', '', '1', '81172', '32816', '32859', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('90191', '', '1', '81172', '32815', '32873', '0', '0', '0', '0', '5140', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310242', '', '1', '81177', '32773', '32768', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310241', '', '1', '81177', '32767', '32761', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310240', '', '1', '81177', '32773', '32761', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310239', '', '1', '81177', '32807', '32734', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('130889', '', '1', '71184', '32640', '32744', '0', '0', '2', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130890', '', '1', '71184', '32640', '32750', '0', '0', '2', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130891', '', '1', '71184', '32624', '32832', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130892', '', '1', '71184', '32630', '32832', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130893', '', '1', '71183', '32632', '32831', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130894', '', '1', '71183', '32622', '32831', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130895', '', '1', '71184', '32586', '32765', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130896', '', '1', '71184', '32586', '32757', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130897', '', '1', '71183', '32587', '32756', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130898', '', '1', '71183', '32587', '32766', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130899', '', '1', '71184', '32619', '32706', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130900', '', '1', '71184', '32612', '32706', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130901', '', '1', '71183', '32620', '32707', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('130902', '', '1', '71183', '32611', '32707', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309900', '', '1', '71184', '32567', '32720', '0', '0', '2', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309901', '', '1', '71184', '32567', '32722', '0', '0', '2', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309902', '', '1', '71184', '32567', '32730', '0', '0', '2', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309903', '', '1', '71184', '32567', '32732', '0', '0', '2', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309904', '', '1', '71185', '32920', '32940', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309905', '', '1', '71185', '32920', '32938', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309906', '', '1', '71185', '32920', '32936', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309907', '', '1', '71185', '32920', '32934', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309908', '', '1', '71186', '32918', '32940', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309909', '', '1', '71186', '32918', '32938', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309910', '', '1', '71186', '32918', '32936', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309911', '', '1', '71186', '32918', '32934', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309912', '', '1', '71185', '32920', '32901', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309913', '', '1', '71185', '32920', '32903', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309914', '', '1', '71185', '32920', '32905', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309915', '', '1', '71185', '32920', '32907', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309916', '', '1', '71186', '32918', '32901', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309917', '', '1', '71186', '32918', '32903', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309918', '', '1', '71186', '32918', '32905', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309919', '', '1', '71186', '32918', '32907', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309920', '', '1', '71185', '32920', '32891', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309921', '', '1', '71185', '32920', '32889', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309922', '', '1', '71185', '32920', '32887', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309923', '', '1', '71185', '32920', '32885', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309924', '', '1', '71186', '32918', '32891', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309925', '', '1', '71186', '32918', '32889', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309926', '', '1', '71186', '32918', '32887', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309927', '', '1', '71186', '32918', '32885', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309928', '', '1', '71186', '32918', '32852', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309929', '', '1', '71186', '32918', '32854', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309930', '', '1', '71186', '32918', '32850', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309931', '', '1', '71186', '32918', '32848', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309932', '', '1', '71185', '32920', '32854', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309933', '', '1', '71185', '32920', '32852', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309934', '', '1', '71185', '32920', '32850', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309935', '', '1', '71185', '32920', '32848', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309937', '', '1', '71187', '32894', '32889', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309938', '', '1', '71187', '32894', '32892', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309939', '', '1', '71187', '32894', '32895', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309940', '', '1', '71187', '32894', '32898', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309941', '', '1', '71187', '32894', '32901', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309942', '', '1', '71187', '32892', '32889', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309943', '', '1', '71187', '32892', '32892', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309944', '', '1', '71187', '32892', '32895', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309945', '', '1', '71187', '32892', '32898', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309946', '', '1', '71187', '32892', '32901', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309947', '', '1', '71187', '32890', '32889', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309948', '', '1', '71187', '32890', '32892', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309949', '', '1', '71187', '32890', '32895', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309950', '', '1', '71187', '32890', '32898', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309951', '', '1', '71187', '32890', '32901', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309952', '', '1', '71188', '32888', '32889', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309953', '', '1', '71188', '32888', '32892', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309954', '', '1', '71188', '32888', '32895', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309955', '', '1', '71188', '32888', '32898', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309956', '', '1', '71188', '32888', '32901', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309957', '', '1', '71188', '32886', '32889', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309958', '', '1', '71188', '32886', '32892', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309959', '', '1', '71188', '32886', '32895', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309960', '', '1', '71188', '32886', '32898', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309961', '', '1', '71188', '32886', '32901', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309962', '', '1', '71189', '32894', '32906', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309963', '', '1', '71189', '32894', '32909', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309964', '', '1', '71189', '32894', '32912', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309965', '', '1', '71189', '32894', '32915', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309966', '', '1', '71189', '32894', '32918', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309967', '', '1', '71189', '32892', '32906', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309968', '', '1', '71189', '32892', '32909', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309969', '', '1', '71189', '32892', '32912', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309970', '', '1', '71189', '32892', '32915', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309971', '', '1', '71189', '32892', '32918', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309972', '', '1', '71189', '32890', '32906', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309973', '', '1', '71189', '32890', '32909', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309974', '', '1', '71189', '32890', '32912', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309975', '', '1', '71189', '32890', '32915', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309976', '', '1', '71189', '32890', '32918', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309977', '', '1', '71189', '32888', '32906', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309978', '', '1', '71189', '32888', '32909', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309979', '', '1', '71189', '32888', '32912', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309980', '', '1', '71189', '32888', '32915', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309981', '', '1', '71189', '32888', '32918', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309982', '', '1', '71189', '32886', '32906', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309983', '', '1', '71189', '32886', '32909', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309984', '', '1', '71189', '32886', '32912', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309985', '', '1', '71189', '32886', '32915', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309986', '', '1', '71189', '32886', '32918', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309987', '', '1', '70924', '33003', '32859', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309988', '', '1', '71146', '33015', '32843', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309989', '', '1', '71147', '32995', '32844', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309990', '', '1', '70977', '33012', '32836', '0', '0', '0', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309991', '', '1', '70977', '33010', '32838', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309992', '', '1', '70977', '33004', '32841', '0', '0', '1', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309993', '', '1', '70977', '33004', '32844', '0', '0', '1', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309994', '', '1', '70977', '33000', '32846', '0', '0', '1', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309995', '', '1', '70977', '33001', '32846', '0', '0', '0', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309996', '', '1', '70977', '32998', '32847', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309997', '', '1', '70977', '32997', '32850', '0', '0', '0', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309998', '', '1', '70977', '32995', '32852', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1309999', '', '1', '70977', '32994', '32851', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310001', '', '1', '71140', '32738', '32870', '0', '0', '6', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310002', '', '1', '71138', '32741', '32869', '0', '0', '5', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310003', '', '1', '71139', '32751', '32860', '0', '0', '2', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310004', '', '1', '71137', '32751', '32856', '0', '0', '2', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310005', '', '1', '71143', '32745', '32852', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310006', '', '1', '71144', '32743', '32857', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310007', '', '1', '71135', '32743', '32861', '0', '0', '2', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310008', '', '1', '71136', '32739', '32863', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310010', '', '1', '71133', '32739', '32849', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310009', '', '1', '71145', '32735', '32861', '0', '0', '5', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310011', '', '1', '71142', '32742', '32848', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310012', '', '1', '71134', '32732', '32849', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310013', '', '1', '71141', '32726', '32848', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310014', '', '1', '70913', '32724', '32848', '0', '0', '0', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310015', '', '1', '71132', '32719', '32855', '0', '0', '7', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310016', '', '1', '70912', '32720', '32860', '0', '0', '5', '0', '330', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310018', '', '1', '70925', '32812', '32803', '0', '0', '4', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310019', '', '1', '71151', '32804', '32810', '0', '0', '6', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310020', '', '1', '71155', '32805', '32814', '0', '0', '3', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310021', '', '1', '71153', '32811', '32813', '0', '0', '6', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310022', '', '1', '71154', '32802', '32827', '0', '0', '7', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310023', '', '1', '71152', '32788', '32822', '0', '0', '4', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310024', '', '1', '71148', '32784', '32801', '0', '0', '0', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310025', '', '1', '71149', '32795', '32808', '0', '0', '2', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310026', '', '1', '71150', '32802', '32804', '0', '0', '4', '0', '310', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310027', '', '1', '70928', '32836', '32923', '0', '0', '3', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310028', '', '1', '71124', '32780', '32933', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310029', '', '1', '71196', '32806', '32890', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310030', '', '1', '70092', '32791', '32889', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310031', '', '1', '70919', '32826', '32900', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310032', '', '1', '71164', '32831', '32897', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310238', '', '1', '81177', '32804', '32731', '0', '0', '0', '0', '8', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310033', '', '1', '71165', '32805', '32920', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310034', '', '1', '70520', '32813', '32905', '0', '0', '0', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310035', '', '1', '60036', '32809', '32911', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310036', '', '1', '50079', '32813', '32917', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310037', '', '1', '70916', '32804', '32916', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310038', '', '1', '71191', '32809', '32906', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310039', '', '1', '71166', '32839', '32898', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310040', '', '1', '71123', '32797', '32947', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310041', '', '1', '71163', '32828', '32932', '0', '0', '0', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310042', '', '1', '71195', '32784', '32920', '0', '0', '2', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310043', '', '1', '71192', '32758', '32971', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310044', '', '1', '71193', '32843', '32908', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310045', '', '1', '71194', '32820', '32891', '0', '0', '4', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310046', '', '1', '71122', '32810', '32932', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310047', '', '1', '71190', '32804', '32932', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310237', '', '1', '81177', '32796', '32751', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('89628', '', '1', '50626', '32565', '32676', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89629', '', '1', '50627', '32548', '32706', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89630', '', '1', '50628', '32537', '32781', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89631', '', '1', '50629', '32559', '32787', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89632', '', '1', '50630', '32535', '32808', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89633', '', '1', '50631', '32553', '32820', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310140', '', '1', '60558', '33110', '33400', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310236', '', '1', '81177', '32793', '32748', '0', '0', '0', '0', '9', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310235', '', '1', '81177', '32766', '32731', '0', '0', '0', '0', '56', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310234', '', '1', '81177', '32771', '32731', '0', '0', '0', '0', '56', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310233', '', '1', '81177', '32738', '32728', '0', '0', '0', '0', '55', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310232', '', '1', '81177', '32732', '32728', '0', '0', '0', '0', '55', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310231', '', '1', '81177', '32810', '32791', '0', '0', '0', '0', '54', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310230', '', '1', '81177', '32810', '32797', '0', '0', '0', '0', '54', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310229', '', '1', '81177', '32810', '32728', '0', '0', '0', '0', '53', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310228', '', '1', '81177', '32810', '32733', '0', '0', '0', '0', '53', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310227', '', '1', '81179', '32739', '32847', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310226', '', '1', '81179', '32745', '32839', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310225', '', '1', '81179', '32762', '32792', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310224', '', '1', '81179', '32750', '32792', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310223', '', '1', '81179', '32738', '32804', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310222', '', '1', '81179', '32732', '32834', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310221', '', '1', '81179', '32760', '32834', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310220', '', '1', '81179', '32751', '32811', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310219', '', '1', '81179', '32756', '32811', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310218', '', '1', '81179', '32778', '32812', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310217', '', '1', '81179', '32765', '32858', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310216', '', '1', '81179', '32773', '32851', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310215', '', '1', '81179', '32773', '32840', '0', '0', '0', '0', '81', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310214', '', '1', '81179', '32784', '32812', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310213', '', '1', '81179', '32801', '32820', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310212', '', '1', '81179', '32779', '32843', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310211', '', '1', '81179', '32767', '32843', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310210', '', '1', '81179', '32733', '32833', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310209', '', '1', '81179', '32750', '32836', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310208', '', '1', '81179', '32771', '32819', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310207', '', '1', '81179', '32761', '32819', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310141', '', '1', '60559', '33116', '33400', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310142', '', '1', '60559', '33068', '33422', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310143', '', '1', '60558', '33061', '33422', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310144', '', '1', '71197', '33609', '33249', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310145', '', '1', '81177', '32703', '32801', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310146', '', '1', '81177', '32711', '32791', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310147', '', '1', '81177', '32711', '32795', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310148', '', '1', '81177', '32668', '32804', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310149', '', '1', '81177', '32668', '32810', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310150', '', '1', '81177', '32695', '32791', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310151', '', '1', '81177', '32695', '32795', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310152', '', '1', '81177', '32691', '32801', '0', '0', '0', '0', '3', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310153', '', '1', '81177', '32666', '32803', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310154', '', '1', '81177', '32670', '32803', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310155', '', '1', '81177', '32736', '32784', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310156', '', '1', '81177', '32662', '32790', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310157', '', '1', '81177', '32667', '32790', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310158', '', '1', '81177', '32667', '32803', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310159', '', '1', '81177', '32662', '32803', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310160', '', '1', '81177', '32663', '32846', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310161', '', '1', '81177', '32668', '32846', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310162', '', '1', '81177', '32673', '32846', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310163', '', '1', '81177', '32782', '32844', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310164', '', '1', '81177', '32782', '32848', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310165', '', '1', '81177', '32769', '32844', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310166', '', '1', '81177', '32769', '32848', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310167', '', '1', '81177', '32746', '32845', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310168', '', '1', '81177', '32746', '32850', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310169', '', '1', '81177', '32717', '32843', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310170', '', '1', '81177', '32717', '32850', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310171', '', '1', '81177', '32710', '32858', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310172', '', '1', '81177', '32703', '32858', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310173', '', '1', '81177', '32696', '32850', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310174', '', '1', '81177', '32696', '32843', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310175', '', '1', '81177', '32703', '32836', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310176', '', '1', '81177', '32711', '32836', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310177', '', '1', '81177', '32795', '32824', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310178', '', '1', '81177', '32795', '32828', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310179', '', '1', '81179', '32743', '32792', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310180', '', '1', '81179', '32732', '32818', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310181', '', '1', '81179', '32693', '32814', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310182', '', '1', '81179', '32677', '32796', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310183', '', '1', '81179', '32672', '32830', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310184', '', '1', '81179', '32670', '32869', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310185', '', '1', '81179', '32692', '32845', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310186', '', '1', '81179', '32725', '32844', '0', '0', '0', '0', '82', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310187', '', '1', '81179', '32886', '32770', '0', '0', '0', '0', '78', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310188', '', '1', '81179', '32902', '32770', '0', '0', '0', '0', '78', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310189', '', '1', '81179', '32876', '32791', '0', '0', '0', '0', '78', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310190', '', '1', '81179', '32903', '32743', '0', '0', '0', '0', '78', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310191', '', '1', '81179', '32904', '32791', '0', '0', '0', '0', '78', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310192', '', '1', '81179', '32743', '32807', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310193', '', '1', '81179', '32755', '32807', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310194', '', '1', '81179', '32762', '32833', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310195', '', '1', '81179', '32741', '32848', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310196', '', '1', '81179', '32774', '32826', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310197', '', '1', '81179', '32783', '32826', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310198', '', '1', '81179', '32795', '32820', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310199', '', '1', '81179', '32788', '32800', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310200', '', '1', '81179', '32796', '32835', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310201', '', '1', '81179', '32789', '32866', '0', '0', '0', '0', '79', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310202', '', '1', '81179', '32753', '32804', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310203', '', '1', '81179', '32741', '32804', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310204', '', '1', '81179', '32736', '32814', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310205', '', '1', '81179', '32728', '32814', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310206', '', '1', '81179', '32750', '32828', '0', '0', '0', '0', '80', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310139', '', '1', '60559', '33122', '33353', '0', '0', '1', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310138', '', '1', '60558', '33120', '33353', '0', '0', '1', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310137', '', '1', '60559', '33080', '33368', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310136', '', '1', '60558', '33080', '33361', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310135', '', '1', '60559', '33097', '33369', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310134', '', '1', '60559', '33107', '33366', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310133', '', '1', '60559', '33107', '33365', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310132', '', '1', '60559', '33107', '33363', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310131', '', '1', '60559', '33107', '33362', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310130', '', '1', '60558', '33106', '33366', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310129', '', '1', '60558', '33106', '33365', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310128', '', '1', '60558', '33106', '33363', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310127', '', '1', '60558', '33106', '33362', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310126', '', '1', '60559', '33103', '33366', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310125', '', '1', '60559', '33103', '33365', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310124', '', '1', '60559', '33103', '33363', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310123', '', '1', '60559', '33103', '33362', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310122', '', '1', '60558', '33102', '33366', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310121', '', '1', '60558', '33102', '33365', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310120', '', '1', '60558', '33102', '33363', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310119', '', '1', '60558', '33102', '33362', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310118', '', '1', '60559', '33101', '33359', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310117', '', '1', '45004', '32802', '32810', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310116', '', '1', '45004', '32799', '32810', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310115', '', '1', '45004', '32796', '32810', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310114', '', '1', '45004', '32793', '32810', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310113', '', '1', '45004', '32790', '32810', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310112', '', '1', '45004', '32798', '32821', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310111', '', '1', '45004', '32795', '32821', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310110', '', '1', '45004', '32792', '32821', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310109', '', '1', '45004', '32789', '32821', '0', '0', '1', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310108', '', '1', '45003', '32684', '32783', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310107', '', '1', '45003', '32684', '32777', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310106', '', '1', '45003', '32684', '32771', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310105', '', '1', '45003', '32690', '32771', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310104', '', '1', '45003', '32690', '32777', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310103', '', '1', '45003', '32690', '32783', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310102', '', '1', '45003', '32696', '32783', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310101', '', '1', '45003', '32696', '32777', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310100', '', '1', '45003', '32696', '32771', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310099', '', '1', '45003', '32702', '32771', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310098', '', '1', '45003', '32702', '32777', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310097', '', '1', '45003', '32702', '32783', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310096', '', '1', '45003', '32702', '32789', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310095', '', '1', '45003', '32696', '32789', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310094', '', '1', '45003', '32690', '32789', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310093', '', '1', '45003', '32684', '32789', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310092', '', '1', '45003', '32748', '32802', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310091', '', '1', '45003', '32742', '32802', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310090', '', '1', '45003', '32736', '32802', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310089', '', '1', '45003', '32730', '32802', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310088', '', '1', '45003', '32730', '32808', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310087', '', '1', '45003', '32736', '32808', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310086', '', '1', '45003', '32742', '32808', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310085', '', '1', '45003', '32748', '32808', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310084', '', '1', '45003', '32748', '32814', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310083', '', '1', '45003', '32742', '32814', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310082', '', '1', '45003', '32736', '32814', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310081', '', '1', '45003', '32730', '32814', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310080', '', '1', '45002', '33114', '33322', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310079', '', '1', '45001', '33114', '33318', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310078', '', '1', '45002', '33114', '33314', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310077', '', '1', '45001', '33110', '33322', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310076', '', '1', '45002', '33110', '33318', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310075', '', '1', '45001', '33106', '33326', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310074', '', '1', '45002', '33106', '33322', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310073', '', '1', '45001', '33106', '33318', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310072', '', '1', '45002', '33102', '33326', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310071', '', '1', '45001', '33102', '33322', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310070', '', '1', '45002', '33102', '33318', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310069', '', '1', '45001', '33102', '33314', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310068', '', '1', '45002', '33142', '33328', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310067', '', '1', '45002', '33138', '33328', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310066', '', '1', '45002', '33134', '33328', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310065', '', '1', '45002', '33130', '33328', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310064', '', '1', '45001', '33142', '33324', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310063', '', '1', '45001', '33138', '33324', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310062', '', '1', '45001', '33134', '33324', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310061', '', '1', '45001', '33130', '33324', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310060', '', '1', '45002', '33142', '33320', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310059', '', '1', '45002', '33138', '33320', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310058', '', '1', '45002', '33134', '33320', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310057', '', '1', '45002', '33130', '33320', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310056', '', '1', '45001', '33142', '33316', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310055', '', '1', '45001', '33138', '33316', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310054', '', '1', '45001', '33134', '33316', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310053', '', '1', '45001', '33130', '33316', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310050', '', '1', '81113', '32874', '32911', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310049', '', '1', '70917', '32857', '32923', '0', '0', '6', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310048', '', '1', '71167', '32865', '32895', '0', '0', '5', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('90193', '', '1', '71199', '33590', '33280', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90192', '', '1', '71198', '33592', '33229', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90003', '', '1', '71000', '32742', '32720', '0', '0', '4', '0', '8014', '0');
INSERT INTO `spawnlist_npc` VALUES ('90002', '', '1', '70999', '32832', '32845', '0', '0', '6', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('90001', '', '1', '70997', '32738', '32798', '0', '0', '6', '0', '8013', '0');
INSERT INTO `spawnlist_npc` VALUES ('89680', '', '1', '60025', '32733', '32797', '0', '0', '5', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89679', '', '1', '70076', '32744', '32802', '0', '0', '6', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89678', '', '1', '50059', '32745', '32787', '0', '0', '6', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89677', '', '1', '50059', '32731', '32810', '0', '0', '2', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89676', '', '1', '50058', '32737', '32784', '0', '0', '4', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89675', '', '1', '50058', '32740', '32784', '0', '0', '4', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89674', '', '1', '50058', '32732', '32814', '0', '0', '0', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89673', '', '1', '50058', '32735', '32814', '0', '0', '0', '0', '370', '0');
INSERT INTO `spawnlist_npc` VALUES ('89672', '', '1', '70064', '32745', '32803', '0', '0', '6', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89671', '', '1', '60020', '32733', '32800', '0', '0', '5', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89670', '', '1', '50049', '32743', '32811', '0', '0', '6', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89669', '', '1', '50049', '32730', '32788', '0', '0', '4', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89668', '', '1', '50048', '32737', '32815', '0', '0', '0', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89667', '', '1', '50048', '32734', '32815', '0', '0', '0', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89666', '', '1', '50048', '32739', '32784', '0', '0', '4', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89665', '', '1', '50048', '32735', '32784', '0', '0', '4', '0', '360', '0');
INSERT INTO `spawnlist_npc` VALUES ('89664', '', '1', '60011', '32707', '32819', '0', '0', '5', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89663', '', '1', '60010', '32693', '32844', '0', '0', '5', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89662', '', '1', '70037', '32688', '32836', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89661', '', '1', '70037', '32715', '32826', '0', '0', '6', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89660', '', '1', '50033', '32679', '32849', '0', '0', '2', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89659', '', '1', '50033', '32711', '32808', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89658', '', '1', '50033', '32722', '32847', '0', '0', '0', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89657', '', '1', '50032', '32672', '32851', '0', '0', '2', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89656', '', '1', '50032', '32672', '32848', '0', '0', '2', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89655', '', '1', '50032', '32726', '32846', '0', '0', '6', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89654', '', '1', '50032', '32726', '32842', '0', '0', '6', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89653', '', '1', '50032', '32707', '32807', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89652', '', '1', '50032', '32704', '32807', '0', '0', '4', '0', '350', '0');
INSERT INTO `spawnlist_npc` VALUES ('89651', '', '1', '60004', '32745', '32842', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89650', '', '1', '60005', '32778', '32853', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89649', '', '1', '60006', '32783', '32818', '0', '0', '5', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89648', '', '1', '70023', '32754', '32831', '0', '0', '4', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89647', '', '1', '70023', '32789', '32846', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89646', '', '1', '70023', '32796', '32812', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89645', '', '1', '50026', '32755', '32867', '0', '0', '2', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89644', '', '1', '50026', '32804', '32821', '0', '0', '4', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89643', '', '1', '50026', '32770', '32796', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89642', '', '1', '50026', '32731', '32807', '0', '0', '4', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89641', '', '1', '50025', '32760', '32871', '0', '0', '0', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89640', '', '1', '50025', '32757', '32871', '0', '0', '0', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89639', '', '1', '50025', '32811', '32822', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89638', '', '1', '50025', '32811', '32818', '0', '0', '6', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89637', '', '1', '50025', '32768', '32792', '0', '0', '4', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89636', '', '1', '50025', '32765', '32792', '0', '0', '4', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89635', '', '1', '50025', '32725', '32812', '0', '0', '2', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89634', '', '1', '50025', '32725', '32816', '0', '0', '2', '0', '340', '0');
INSERT INTO `spawnlist_npc` VALUES ('89609', '', '1', '80094', '32616', '32670', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89608', '', '1', '80093', '32620', '32733', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89607', '', '1', '80092', '32594', '32728', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89606', '', '1', '80091', '32596', '32717', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89605', '', '1', '80090', '32607', '32712', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89604', '', '1', '80089', '32635', '32741', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89603', '', '1', '80088', '32630', '32738', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('89602', '', '1', '80087', '32619', '32759', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310291', '', '1', '70661', '33723', '32504', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310292', '', '1', '70661', '33724', '32504', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310293', '', '1', '70661', '33725', '32504', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310294', '', '1', '70661', '33726', '32504', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310295', '', '1', '70661', '33723', '32505', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310296', '', '1', '70661', '33724', '32505', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310297', '', '1', '70661', '33725', '32505', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310298', '', '1', '70661', '33726', '32505', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310299', '', '1', '70661', '33723', '32506', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310300', '', '1', '70661', '33724', '32506', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310301', '', '1', '70661', '33725', '32506', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310302', '', '1', '70661', '33726', '32506', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310303', '', '1', '70661', '33727', '32506', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310304', '', '1', '70661', '33680', '32523', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310305', '', '1', '70661', '33680', '32521', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310306', '', '1', '70661', '33716', '32470', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310307', '', '1', '70661', '33725', '32470', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310308', '', '1', '45049', '33685', '32497', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310309', '', '1', '45042', '33685', '32500', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310310', '', '1', '45034', '33686', '32503', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310311', '', '1', '81177', '32692', '32783', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310312', '', '1', '81177', '32688', '32783', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310313', '', '1', '81177', '32688', '32772', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310314', '', '1', '81177', '32692', '32772', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310315', '', '1', '81177', '32758', '32785', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310316', '', '1', '81177', '32667', '32885', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310317', '', '1', '81177', '32670', '32885', '0', '0', '0', '0', '1', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310318', '', '1', '81177', '32669', '32776', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310319', '', '1', '81177', '32664', '32776', '0', '0', '0', '0', '2', '0');
INSERT INTO `spawnlist_npc` VALUES ('89542', 'Guardian Tower', '1', '81111', '32828', '32818', '0', '0', '0', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('89543', 'Guardian Tower', '1', '81189', '34090', '33260', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89544', 'Guardian Tower', '0', '81111', '33033', '32895', '0', '0', '0', '0', '320', '0');
INSERT INTO `spawnlist_npc` VALUES ('88174', '', '1', '70993', '32810', '32880', '0', '0', '4', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88175', '', '1', '70994', '32787', '32859', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('88176', '', '1', '70995', '32851', '32812', '0', '0', '6', '0', '66', '0');
INSERT INTO `spawnlist_npc` VALUES ('89681', '', '1', '81190', '34057', '33291', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89682', '', '1', '81191', '34123', '33291', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89683', '', '1', '81192', '34057', '33230', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89684', '', '1', '81193', '34123', '33230', '0', '0', '0', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('89685', '', '1', '70896', '32729', '32788', '0', '0', '4', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('89686', '', '1', '70896', '32733', '32788', '0', '0', '4', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('89687', '', '1', '70896', '32734', '32794', '0', '0', '4', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('89688', '', '1', '70896', '32737', '32794', '0', '0', '4', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('89689', '', '1', '70896', '32740', '32794', '0', '0', '4', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('89690', '', '1', '70896', '32734', '32801', '0', '0', '0', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('89691', '', '1', '70896', '32737', '32801', '0', '0', '0', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('89692', '', '1', '70896', '32740', '32801', '0', '0', '0', '0', '305', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310368', 'Unknown', '1', '81200', '34053', '32264', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310369', 'Unknown', '1', '81200', '33729', '32492', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310370', 'Unknown', '1', '81200', '33443', '32809', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310371', 'Unknown', '1', '81200', '33066', '32744', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310372', 'Unknown', '1', '81200', '32622', '32782', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310373', 'Unknown', '1', '81200', '32753', '32446', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310374', 'Unknown', '1', '81200', '33090', '33390', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310375', 'Unknown', '1', '81200', '32824', '32846', '0', '0', '4', '0', '8011', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310376', 'Unknown', '1', '81200', '32590', '32934', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310377', 'Unknown', '1', '81200', '33614', '33244', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310378', 'Unknown', '1', '81200', '32613', '33189', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310379', 'Unknown', '1', '81200', '33937', '33354', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310380', 'Dark Elf Elder', '1', '71170', '32748', '32790', '0', '0', '6', '0', '536', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310381', 'Fidelity Dantes', '1', '71168', '32926', '32836', '0', '0', '2', '0', '534', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310382', 'Assistant Marbes', '1', '71169', '32901', '32836', '0', '0', '6', '0', '534', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310383', 'Spy', '1', '81202', '32532', '32954', '0', '0', '2', '0', '777', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310384', 'Contaminated Blob', '1', '81208', '32767', '32767', '20', '20', '5', '0', '19', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310385', 'Basch', '1', '70964', '32919', '32976', '0', '0', '5', '0', '410', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310386', 'Roy', '1', '81209', '32804', '32849', '0', '0', '6', '0', '410', '0');
INSERT INTO `spawnlist_npc` VALUES ('90194', 'Supreme Commander Esteban', '1', '71175', '33926', '33352', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90195', 'Mercenary Squad', '1', '71177', '33928', '33353', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90196', 'Mercenary Squad', '1', '71177', '33929', '33353', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90197', 'Mercenary Squad', '1', '71177', '33928', '33352', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90198', 'Mercenary Squad', '1', '71177', '33929', '33352', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90199', 'Mercenary Squad', '1', '71177', '33928', '33350', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90200', 'Mercenary Squad', '1', '71177', '33928', '33349', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90201', 'Mercenary Squad', '1', '71177', '33929', '33350', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90202', 'Mercenary Squad', '1', '71177', '33929', '33349', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90203', 'Mercenary Squad', '1', '71177', '33924', '33353', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90204', 'Mercenary Squad', '1', '71177', '33923', '33353', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90205', 'Mercenary Squad', '1', '71177', '33924', '33352', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90206', 'Mercenary Squad', '1', '71177', '33923', '33352', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90207', 'Mercenary Squad', '1', '71177', '33924', '33350', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90208', 'Mercenary Squad', '1', '71177', '33923', '33349', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90209', 'Mercenary Squad', '1', '71177', '33924', '33349', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90210', 'Mercenary Squad', '1', '71177', '33923', '33350', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90211', 'Unknown', '1', '71176', '33933', '33356', '0', '0', '0', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90212', 'Unknown', '1', '71176', '33933', '33345', '0', '0', '3', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90213', 'Unknown', '1', '71176', '33918', '33354', '0', '0', '1', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90214', 'Unknown', '1', '71176', '33925', '33339', '0', '0', '3', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90215', 'Unknown', '1', '81201', '33937', '33358', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90216', 'Unknown', '1', '80005', '32573', '33075', '0', '0', '5', '0', '0', '0');
INSERT INTO `spawnlist_npc` VALUES ('90217', 'Unknown', '1', '71201', '33518', '33407', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90218', 'Unknown', '1', '71202', '33528', '33407', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90219', 'Unknown', '1', '71203', '33526', '33400', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90220', 'Unknown', '1', '71204', '33528', '33392', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90221', 'Unknown', '1', '71205', '33524', '33413', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90222', 'Unknown', '1', '71206', '33520', '33399', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90223', 'Unknown', '1', '71207', '33519', '33394', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90224', 'Unknown', '1', '71208', '32740', '32811', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90225', 'Unknown', '1', '71208', '32740', '32818', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90226', 'Unknown', '1', '71209', '32736', '32815', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90227', 'Unknown', '1', '71210', '32743', '32806', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90228', 'Unknown', '1', '71210', '32743', '32825', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90229', 'Unknown', '1', '71211', '32719', '32820', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90230', 'Unknown', '1', '71211', '32719', '32812', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90231', 'Unknown', '1', '71211', '32720', '32800', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90232', 'Unknown', '1', '71211', '32728', '32794', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90233', 'Unknown', '1', '71211', '32736', '32794', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90234', 'Unknown', '1', '71212', '33583', '33357', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90235', 'Unknown', '1', '71214', '33560', '33200', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90236', 'Unknown', '1', '71214', '33558', '33209', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90237', 'Unknown', '1', '71214', '33557', '33213', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90238', 'Unknown', '1', '71214', '33556', '33220', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90239', 'Unknown', '1', '71214', '33558', '33227', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90240', 'Unknown', '1', '71214', '33559', '33231', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90241', 'Unknown', '1', '71214', '33555', '33236', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90242', 'Unknown', '1', '71214', '33551', '33246', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90243', 'Unknown', '1', '71214', '33547', '33248', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90244', 'Unknown', '1', '71214', '33539', '33252', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90245', 'Unknown', '1', '71214', '33533', '33253', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90246', 'Unknown', '1', '71214', '33529', '33256', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90247', 'Unknown', '1', '71214', '33521', '33259', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90248', 'Unknown', '1', '71214', '33586', '33369', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90249', 'Unknown', '1', '71214', '33583', '33367', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90250', 'Unknown', '1', '71214', '33578', '33355', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90251', 'Unknown', '1', '71214', '33573', '33351', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90252', 'Unknown', '1', '71214', '33571', '33349', '0', '0', '5', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('90253', 'Unknown', '1', '71215', '32869', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90254', 'Unknown', '1', '71216', '32929', '32804', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90255', 'Unknown', '1', '71216', '32934', '32804', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90256', 'Unknown', '1', '71216', '32929', '32792', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90257', 'Unknown', '1', '71216', '32934', '32792', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90258', 'Unknown', '1', '71217', '32941', '32782', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90259', 'Unknown', '1', '71218', '32947', '32790', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90260', 'Unknown', '1', '71219', '32865', '32848', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90261', 'Unknown', '1', '71219', '32906', '32939', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90262', 'Unknown', '1', '71219', '32821', '32949', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90263', 'Unknown', '1', '71219', '32842', '32963', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90264', 'Unknown', '1', '71220', '32887', '32869', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90265', 'Unknown', '1', '71220', '32831', '32868', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90266', 'Unknown', '1', '71221', '32912', '32881', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90267', 'Unknown', '1', '71221', '32891', '32853', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90268', 'Unknown', '1', '71221', '32888', '32836', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90269', 'Unknown', '1', '71222', '32786', '32901', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90270', 'Unknown', '1', '71222', '32765', '32901', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90271', 'Unknown', '1', '71223', '32765', '32906', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90272', 'Unknown', '1', '71223', '32786', '32906', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90273', 'Unknown', '1', '71224', '32775', '32901', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90274', 'Unknown', '1', '71225', '32775', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90275', 'Unknown', '1', '71226', '32883', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90276', 'Unknown', '1', '71226', '32883', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90277', 'Unknown', '1', '71227', '32868', '32909', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90278', 'Unknown', '1', '71227', '32860', '32909', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90279', 'Unknown', '1', '71227', '32860', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90280', 'Unknown', '1', '71228', '32846', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90281', 'Unknown', '1', '71228', '32842', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90282', 'Unknown', '1', '71228', '32838', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90283', 'Unknown', '1', '71228', '32834', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90284', 'Unknown', '1', '71228', '32829', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90285', 'Unknown', '1', '71228', '32819', '32907', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90286', 'Unknown', '1', '71228', '32814', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90287', 'Unknown', '1', '71228', '32824', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90288', 'Unknown', '1', '71228', '32829', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90289', 'Unknown', '1', '71228', '32838', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90290', 'Unknown', '1', '71228', '32842', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90291', 'Unknown', '1', '71228', '32846', '32900', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90292', 'Unknown', '1', '71229', '32855', '32941', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90293', 'Unknown', '1', '71230', '32861', '32947', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90294', 'Unknown', '1', '71229', '32892', '32832', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90295', 'Unknown', '1', '71230', '32898', '32838', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90296', 'Unknown', '1', '71231', '32891', '32847', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90297', 'Unknown', '1', '71231', '32841', '32953', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90298', 'Unknown', '1', '71232', '32840', '32861', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90299', 'Unknown', '1', '71233', '32875', '32843', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90300', 'Unknown', '1', '71234', '32902', '32932', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90301', 'Unknown', '1', '71235', '32899', '32922', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90302', 'Unknown', '1', '71233', '32922', '32875', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90303', 'Unknown', '1', '71232', '32835', '32947', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90304', 'Unknown', '1', '71236', '32854', '32958', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90305', 'Unknown', '1', '71237', '32844', '32955', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90306', 'Unknown', '1', '71243', '32899', '32847', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90307', 'Unknown', '1', '71233', '32872', '32945', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90308', 'Unknown', '1', '71235', '32871', '32847', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90309', 'Unknown', '1', '71234', '32874', '32857', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90310', 'Unknown', '1', '71231', '32882', '32820', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90311', 'Unknown', '1', '71238', '32912', '32926', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90312', 'Unknown', '1', '71237', '32894', '32849', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90313', 'Unknown', '1', '71236', '32904', '32852', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90314', 'Unknown', '1', '71239', '32854', '32842', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90315', 'Unknown', '1', '71240', '32860', '32848', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90316', 'Unknown', '1', '71241', '32865', '32840', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90317', 'Unknown', '1', '71242', '32860', '32846', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90318', 'Unknown', '1', '71239', '32919', '32857', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90319', 'Unknown', '1', '71240', '32925', '32863', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90320', 'Unknown', '1', '71242', '32925', '32861', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90321', 'Unknown', '1', '71241', '32930', '32855', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90322', 'Unknown', '1', '71238', '32836', '32968', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90323', 'Unknown', '1', '71244', '32875', '32846', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90324', 'Unknown', '1', '71245', '32875', '32853', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90325', 'Unknown', '1', '71243', '32849', '32953', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90326', 'Unknown', '1', '71239', '32891', '32936', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90327', 'Unknown', '1', '71240', '32897', '32942', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90328', 'Unknown', '1', '71244', '32903', '32921', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90329', 'Unknown', '1', '71245', '32903', '32928', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90330', 'Unknown', '1', '71246', '32883', '32824', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90331', 'Unknown', '1', '71246', '32895', '32831', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90332', 'Unknown', '1', '71246', '32899', '32834', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90333', 'Unknown', '1', '71246', '32892', '32851', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90334', 'Unknown', '1', '71246', '32904', '32848', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90335', 'Unknown', '1', '71246', '32872', '32841', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90336', 'Unknown', '1', '71246', '32839', '32857', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90337', 'Unknown', '1', '71246', '32918', '32874', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90338', 'Unknown', '1', '71246', '32915', '32926', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90339', 'Unknown', '1', '71246', '32869', '32943', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90340', 'Unknown', '1', '71246', '32858', '32939', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90341', 'Unknown', '1', '71246', '32862', '32943', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90342', 'Unknown', '1', '71246', '32855', '32954', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90343', 'Unknown', '1', '71246', '32842', '32957', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90344', 'Unknown', '1', '71246', '32840', '32967', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90345', 'Unknown', '1', '71246', '32865', '32896', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90346', 'Unknown', '1', '71246', '32874', '32914', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90347', 'Unknown', '1', '71246', '32862', '32919', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90348', 'Unknown', '1', '71246', '32834', '32943', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90349', 'Unknown', '1', '71246', '32895', '32935', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90350', 'Unknown', '1', '71246', '32932', '32797', '0', '0', '5', '0', '304', '0');
INSERT INTO `spawnlist_npc` VALUES ('90351', 'Unknown', '1', '71211', '32741', '32800', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90352', 'Unknown', '1', '71211', '32720', '32829', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('90353', 'Unknown', '1', '71211', '32741', '32829', '0', '0', '5', '0', '62', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310354', 'Ataroze', '1', '71119', '32596', '32907', '0', '0', '4', '0', '400', '0');
INSERT INTO `spawnlist_npc` VALUES ('50113', 'Eris', '1', '71126', '32695', '32804', '0', '0', '6', '0', '450', '0');
INSERT INTO `spawnlist_npc` VALUES ('50114', 'Squaroo', '1', '71127', '32672', '32810', '0', '0', '1', '0', '450', '0');
INSERT INTO `spawnlist_npc` VALUES ('50115', 'Perita', '1', '71128', '32684', '32795', '0', '0', '4', '0', '450', '0');
INSERT INTO `spawnlist_npc` VALUES ('50116', 'Rumtis', '1', '71129', '32672', '32802', '0', '0', '4', '0', '450', '0');
INSERT INTO `spawnlist_npc` VALUES ('90420', '', '1', '80141', '32760', '32884', '0', '0', '6', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90421', '', '1', '80142', '32805', '32813', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90422', '', '1', '80143', '32768', '32827', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90423', '', '1', '80144', '32774', '32827', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90424', '', '1', '80145', '32772', '32811', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90425', '', '1', '80146', '32842', '32860', '0', '0', '5', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90426', '', '1', '80147', '32792', '32870', '0', '0', '6', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90427', '', '1', '80147', '32812', '32856', '0', '0', '2', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90428', '', '1', '80147', '32828', '32818', '0', '0', '0', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90429', '', '1', '80147', '32768', '32837', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90430', '', '1', '80148', '32811', '32870', '0', '0', '2', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90431', '', '1', '80148', '32792', '32855', '0', '0', '6', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90432', '', '1', '80148', '32844', '32836', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90433', '', '1', '80148', '32829', '32809', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90434', '', '1', '80148', '32774', '32837', '0', '0', '4', '0', '1000', '0');
INSERT INTO `spawnlist_npc` VALUES ('90435', '', '1', '80132', '32784', '32883', '0', '0', '5', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90436', '', '1', '80133', '32790', '32838', '0', '0', '4', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90437', '', '1', '80134', '32828', '32844', '0', '0', '5', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90438', '', '1', '80135', '32816', '32843', '0', '0', '4', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90439', '', '1', '80136', '32817', '32831', '0', '0', '4', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90440', '', '1', '80137', '32824', '32872', '0', '0', '6', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90441', '', '1', '80138', '32782', '32865', '0', '0', '6', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90442', '', '1', '80138', '32800', '32880', '0', '0', '6', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90443', '', '1', '80138', '32821', '32859', '0', '0', '6', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90444', '', '1', '80138', '32804', '32844', '0', '0', '6', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90445', '', '1', '80139', '32762', '32865', '0', '0', '6', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90446', '', '1', '80139', '32762', '32856', '0', '0', '6', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90447', '', '1', '80139', '32804', '32896', '0', '0', '4', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90448', '', '1', '80139', '32796', '32897', '0', '0', '4', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90449', '', '1', '80139', '32810', '32823', '0', '0', '0', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90450', '', '1', '80139', '32800', '32823', '0', '0', '0', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90451', '', '1', '80139', '32815', '32806', '0', '0', '7', '0', '1001', '0');
INSERT INTO `spawnlist_npc` VALUES ('90419', 'Lolo', '1', '71251', '32610', '32775', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310415', 'Orc Emissary', '1', '81245', '32727', '32808', '10', '10', '5', '0', '61', '100');
INSERT INTO `spawnlist_npc` VALUES ('1310416', 'Sharna', '1', '81246', '34052', '32262', '0', '0', '5', '0', '4', '100');
INSERT INTO `spawnlist_npc` VALUES ('1310417', 'Fire', '1', '81164', '32871', '32807', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310418', 'Kent Castle Guard', '1', '71183', '32975', '32782', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1310419', 'Arachne', '2', '90002', '32739', '32800', '0', '0', '4', '0', '17', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900000', 'Asha', '1', '90000', '32679', '32847', '0', '0', '4', '0', '69', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900001', 'Feaena', '1', '90001', '32788', '32758', '0', '0', '4', '0', '68', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900002', 'Tilo', '1', '90012', '32608', '32775', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900003', 'Bag Girl', '1', '90013', '32629', '33194', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900004', 'Bag Girl', '1', '90013', '33094', '33385', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900005', 'Bag Girl', '1', '90013', '33642', '33290', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900006', 'Bag Girl', '1', '90013', '33454', '32823', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900007', 'Bag Girl', '1', '90013', '33736', '32493', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900008', 'Bag Girl', '1', '90013', '34062', '32290', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900009', 'Benole', '1', '90014', '33604', '33253', '0', '0', '4', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900010', 'Sarah', '1', '90015', '33593', '33242', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_npc` VALUES ('1900011', 'Arina', '1', '70870', '33593', '33247', '0', '0', '6', '0', '4', '0');
INSERT INTO `spawnlist_trap` VALUES ('1', null, '8', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('2', null, '2', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('3', null, '3', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('4', null, '4', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('5', null, '5', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('6', null, '6', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('7', null, '7', '104', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('8', null, '9', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('9', null, '2', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('10', null, '3', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('11', null, '4', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('12', null, '5', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('13', null, '6', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('14', null, '7', '108', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('15', null, '10', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('16', null, '2', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('17', null, '3', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('18', null, '4', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('19', null, '5', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('20', null, '6', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('21', null, '7', '114', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('22', null, '11', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('23', null, '2', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('24', null, '3', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('25', null, '4', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('26', null, '5', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('27', null, '6', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('28', null, '7', '118', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('29', null, '12', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('30', null, '2', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('31', null, '3', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('32', null, '4', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('33', null, '5', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('34', null, '6', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('35', null, '7', '124', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('36', null, '13', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('37', null, '2', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('38', null, '3', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('39', null, '4', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('40', null, '5', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('41', null, '6', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('42', null, '7', '128', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('43', null, '14', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('44', null, '2', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('45', null, '3', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('46', null, '4', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('47', null, '5', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('48', null, '6', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('49', null, '7', '134', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('50', null, '15', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('51', null, '2', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('52', null, '3', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('53', null, '4', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('54', null, '5', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('55', null, '6', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('56', null, '7', '138', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('57', null, '16', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('58', null, '2', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('59', null, '3', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('60', null, '4', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('61', null, '5', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('62', null, '6', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('63', null, '7', '144', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('64', null, '17', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('65', null, '2', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('66', null, '3', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('67', null, '4', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('68', null, '5', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('69', null, '6', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('70', null, '7', '148', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('71', null, '18', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('72', null, '2', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('73', null, '3', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('74', null, '4', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('75', null, '5', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('76', null, '6', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('77', null, '7', '154', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('78', null, '18', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('79', null, '2', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('80', null, '3', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('81', null, '4', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('82', null, '5', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('83', null, '6', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('84', null, '7', '158', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('85', null, '19', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('86', null, '2', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('87', null, '3', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('88', null, '4', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('89', null, '5', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('90', null, '6', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('91', null, '7', '164', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('92', null, '19', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('93', null, '2', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('94', null, '3', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('95', null, '4', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('96', null, '5', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('97', null, '6', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('98', null, '7', '168', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('99', null, '20', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('100', null, '2', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('101', null, '3', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('102', null, '4', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('103', null, '5', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('104', null, '6', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('105', null, '7', '174', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('106', null, '21', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('107', null, '2', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('108', null, '3', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('109', null, '4', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('110', null, '5', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('111', null, '6', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('112', null, '7', '178', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('113', null, '22', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('114', null, '2', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('115', null, '3', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('116', null, '4', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('117', null, '5', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('118', null, '6', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('119', null, '7', '184', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('120', null, '22', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('121', null, '2', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('122', null, '3', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('123', null, '4', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('124', null, '5', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('125', null, '6', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('126', null, '7', '188', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('127', null, '23', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('128', null, '2', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('129', null, '3', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('130', null, '4', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('131', null, '5', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('132', null, '6', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('133', null, '7', '194', '32798', '32798', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('134', null, '23', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('135', null, '2', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('136', null, '3', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('137', null, '4', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('138', null, '5', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('139', null, '6', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('140', null, '7', '198', '32670', '32861', '100', '100', '20', '0');
INSERT INTO `spawnlist_trap` VALUES ('141', null, '24', '78', '32896', '32770', '50', '10', '30', '0');
INSERT INTO `spawnlist_trap` VALUES ('142', null, '25', '78', '32896', '32770', '50', '10', '30', '0');
INSERT INTO `spawnlist_trap` VALUES ('143', null, '26', '78', '32896', '32770', '50', '10', '30', '0');
INSERT INTO `spawnlist_trap` VALUES ('144', null, '27', '79', '32770', '32834', '50', '10', '25', '0');
INSERT INTO `spawnlist_trap` VALUES ('145', null, '28', '79', '32770', '32834', '50', '10', '25', '0');
INSERT INTO `spawnlist_trap` VALUES ('146', null, '29', '79', '32770', '32834', '50', '10', '25', '0');
INSERT INTO `spawnlist_trap` VALUES ('147', null, '30', '80', '32767', '32833', '50', '50', '100', '0');
INSERT INTO `spawnlist_trap` VALUES ('148', null, '31', '80', '32767', '32833', '50', '50', '100', '0');
INSERT INTO `spawnlist_trap` VALUES ('149', null, '32', '81', '32762', '32829', '50', '50', '120', '0');
INSERT INTO `spawnlist_trap` VALUES ('150', null, '33', '81', '32762', '32829', '50', '50', '120', '0');
INSERT INTO `spawnlist_trap` VALUES ('151', null, '34', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_trap` VALUES ('152', null, '35', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_trap` VALUES ('153', null, '36', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_trap` VALUES ('154', null, '37', '82', '32701', '32834', '50', '50', '50', '0');
INSERT INTO `spawnlist_trap` VALUES ('155', '', '3', '482', '32695', '32735', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('156', '', '4', '482', '32696', '32746', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('157', '', '38', '482', '32692', '32750', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('158', '', '5', '482', '32716', '32736', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('159', '', '39', '482', '32716', '32740', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('160', '', '6', '482', '32724', '32744', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('161', '', '3', '482', '32727', '32741', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('162', '', '38', '482', '32727', '32747', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('163', '', '4', '482', '32730', '32744', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('164', '', '5', '482', '32799', '32736', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('165', '', '40', '482', '32774', '32740', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('166', '', '40', '482', '32728', '32784', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('167', '', '6', '482', '32734', '32844', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('168', '', '3', '482', '32731', '32850', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('169', '', '41', '482', '32770', '32857', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('170', '', '40', '482', '32776', '32848', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('171', '', '5', '482', '32770', '32847', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('172', '', '6', '482', '32741', '32850', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('173', '', '40', '482', '32703', '32868', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('174', '', '5', '482', '32700', '32866', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('175', '', '4', '482', '32752', '32781', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('176', '', '38', '482', '32788', '32769', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('177', '', '39', '482', '32781', '32802', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('178', '', '5', '482', '32771', '32804', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('179', '', '40', '482', '32778', '32758', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('180', '', '41', '482', '32737', '32792', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('181', '', '4', '482', '32737', '32804', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('182', '', '4', '482', '32753', '32810', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('183', '', '40', '482', '32731', '32792', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('184', '', '41', '482', '32731', '32798', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('185', '', '5', '482', '32731', '32804', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('186', '', '38', '482', '32668', '32760', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('187', '', '39', '482', '32673', '32765', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('188', '', '3', '482', '32676', '32779', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('189', '', '4', '482', '32678', '32782', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('190', '', '40', '482', '32680', '32788', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('191', '', '41', '482', '32673', '32787', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('192', '', '4', '482', '32672', '32813', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('193', '', '5', '482', '32682', '32816', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('194', '', '6', '482', '32689', '32804', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('195', '', '38', '482', '32697', '32810', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('196', '', '39', '482', '32694', '32813', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('197', '', '3', '482', '32743', '32844', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('198', '', '4', '482', '32704', '32829', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('199', '', '40', '482', '32706', '32836', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('200', '', '41', '482', '32702', '32839', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('201', '', '6', '482', '32724', '32808', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('202', '', '38', '482', '32723', '32756', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('203', '', '5', '482', '32726', '32754', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('204', '', '40', '482', '32732', '32756', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('205', '', '41', '482', '32715', '32802', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('206', '', '4', '482', '32795', '32811', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('207', '', '4', '482', '32793', '32802', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('208', '', '40', '482', '32743', '32792', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('209', '', '41', '482', '32743', '32798', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('210', '', '5', '482', '32743', '32804', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('211', '', '6', '482', '32777', '32736', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('212', '', '42', '482', '32786', '32826', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('213', '', '42', '482', '32663', '32846', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('214', '', '42', '482', '32745', '32844', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('215', '', '42', '482', '32712', '32804', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('216', '', '42', '482', '32695', '32782', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('217', '', '38', '483', '32750', '32817', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('218', '', '39', '483', '32740', '32834', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('219', '', '5', '483', '32735', '32851', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('220', '', '4', '483', '32749', '32843', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('221', '', '40', '483', '32781', '32801', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('222', '', '43', '483', '32780', '32802', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('223', '', '3', '483', '32781', '32803', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('224', '', '6', '483', '32782', '32802', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('225', '', '6', '483', '32783', '32807', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('226', '', '43', '483', '32790', '32800', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('227', '', '41', '483', '32783', '32809', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('228', '', '43', '483', '32782', '32808', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('229', '', '6', '483', '32789', '32802', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('230', '', '40', '483', '32793', '32803', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('231', '', '6', '483', '32793', '32801', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('232', '', '39', '483', '32793', '32799', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('233', '', '46', '483', '32795', '32799', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('234', '', '4', '483', '32783', '32813', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('235', '', '43', '483', '32782', '32814', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('236', '', '39', '483', '32783', '32815', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('237', '', '6', '483', '32784', '32814', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('238', '', '41', '483', '32783', '32815', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('239', '', '43', '483', '32779', '32817', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('240', '', '40', '483', '32780', '32818', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('241', '', '39', '483', '32789', '32813', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('242', '', '5', '483', '32788', '32814', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('243', '', '43', '483', '32789', '32815', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('244', '', '44', '483', '32790', '32814', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('245', '', '4', '483', '32786', '32820', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('246', '', '6', '483', '32787', '32819', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('247', '', '5', '483', '32795', '32813', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('248', '', '6', '483', '32794', '32814', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('249', '', '43', '483', '32796', '32814', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('250', '', '40', '483', '32795', '32815', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('251', '', '3', '483', '32796', '32810', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('252', '', '39', '483', '32797', '32811', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('253', '', '44', '483', '32791', '32818', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('254', '', '43', '483', '32791', '32820', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('255', '', '5', '483', '32792', '32819', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('256', '', '6', '483', '32796', '32819', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('257', '', '4', '483', '32797', '32818', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('258', '', '6', '483', '32798', '32810', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('259', '', '43', '483', '32799', '32809', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('260', '', '5', '483', '32799', '32811', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('261', '', '40', '483', '32800', '32810', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('262', '', '6', '483', '32802', '32809', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('263', '', '43', '483', '32801', '32808', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('264', '', '41', '483', '32803', '32808', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('265', '', '3', '483', '32802', '32807', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('266', '', '6', '483', '32807', '32807', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('267', '', '43', '483', '32806', '32808', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('268', '', '6', '483', '32800', '32807', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('269', '', '4', '483', '32800', '32802', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('270', '', '6', '483', '32803', '32803', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('271', '', '3', '483', '32804', '32804', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('272', '', '41', '483', '32803', '32803', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('273', '', '43', '483', '32804', '32802', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('274', '', '6', '483', '32804', '32800', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('275', '', '43', '483', '32802', '32800', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('276', '', '39', '483', '32803', '32799', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('277', '', '43', '483', '32802', '32813', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('278', '', '5', '483', '32806', '32812', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('279', '', '41', '483', '32807', '32813', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('280', '', '38', '483', '32808', '32814', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('281', '', '6', '483', '32802', '32815', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('282', '', '5', '483', '32801', '32816', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('283', '', '43', '483', '32803', '32816', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('284', '', '43', '483', '32780', '32837', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('285', '', '5', '483', '32795', '32847', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('286', '', '5', '483', '32735', '32831', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('287', '', '43', '483', '32761', '32807', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('288', '', '38', '483', '32803', '32814', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('289', '', '40', '483', '32805', '32803', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('290', '', '5', '483', '32805', '32898', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('291', '', '4', '483', '32788', '32927', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('292', '', '5', '483', '32747', '32864', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('293', '', '5', '483', '32782', '32907', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('294', '', '5', '483', '32773', '32880', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('295', '', '5', '483', '32748', '32914', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('296', '', '5', '484', '32732', '32821', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('297', '', '39', '484', '32738', '32821', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('298', '', '4', '484', '32759', '32800', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('299', '', '41', '484', '32769', '32792', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('300', '', '6', '484', '32772', '32793', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('301', '', '39', '484', '32792', '32796', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('302', '', '40', '484', '32807', '32793', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('303', '', '2', '484', '32804', '32796', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('304', '', '5', '484', '32801', '32810', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('305', '', '4', '484', '32806', '32830', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('306', '', '41', '484', '32792', '32826', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('307', '', '5', '484', '32792', '32841', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('308', '', '40', '484', '32809', '32846', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('309', '', '3', '484', '32787', '32844', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('310', '', '5', '484', '32784', '32862', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('311', '', '41', '484', '32779', '32848', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('312', '', '45', '484', '32774', '32828', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('313', '', '39', '484', '32762', '32845', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('314', '', '5', '484', '32763', '32850', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('315', '', '44', '484', '32761', '32853', '0', '0', '1', '0');
INSERT INTO `spawnlist_trap` VALUES ('316', '', '41', '484', '32779', '32801', '0', '0', '1', '10000');
INSERT INTO `spawnlist_trap` VALUES ('317', '', '44', '5140', '32818', '32821', '76', '53', '150', '0');
INSERT INTO `spawnlist_trap` VALUES ('318', '', '45', '5140', '32818', '32821', '76', '53', '150', '0');
INSERT INTO `spawnlist_trap` VALUES ('319', '', '46', '5140', '32818', '32821', '76', '53', '150', '0');
INSERT INTO `spawnlist_trap` VALUES ('320', '', '47', '5140', '32818', '32821', '76', '53', '150', '0');
INSERT INTO `spawnlist_trap` VALUES ('321', '', '48', '5140', '32818', '32821', '76', '53', '5', '0');
INSERT INTO `spawnlist_trap` VALUES ('322', '', '49', '5140', '32818', '32821', '76', '53', '5', '0');
INSERT INTO `spawnlist_trap` VALUES ('323', '', '50', '5140', '32818', '32821', '76', '53', '5', '0');
INSERT INTO `spawnlist_trap` VALUES ('324', '', '51', '5140', '32818', '32821', '76', '53', '5', '0');
INSERT INTO `spawnlist_trap` VALUES ('325', '', '52', '5140', '32818', '32821', '76', '53', '5', '0');
INSERT INTO `spawnlist_ub` VALUES ('1', '1', '1', '1', '', '45133', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('2', '1', '1', '1', '', '45121', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('3', '1', '1', '1', '', '45116', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('4', '1', '1', '1', '', '45126', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('5', '1', '1', '1', '', '45129', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('6', '1', '1', '1', '', '45130', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('7', '1', '1', '1', '', '45131', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('8', '1', '1', '1', '', '45136', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('9', '1', '1', '1', '', '45138', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('10', '1', '1', '1', '', '45144', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('11', '1', '1', '1', '', '45157', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('12', '1', '1', '1', '', '45161', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('13', '1', '1', '1', '', '45164', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('14', '1', '1', '1', '', '45173', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('15', '1', '1', '1', '', '45184', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('16', '1', '1', '1', '', '45190', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('17', '1', '1', '1', '', '45192', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('18', '1', '1', '1', '', '45215', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('19', '1', '1', '1', '', '45213', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('20', '1', '1', '1', '', '45223', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('21', '1', '1', '1', '', '45216', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('22', '1', '1', '1', '', '45224', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('23', '1', '1', '1', '', '45248', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('24', '1', '1', '1', '', '45241', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('25', '1', '1', '1', '', '45259', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('26', '1', '1', '2', '', '45269', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('27', '1', '1', '2', '', '45270', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('28', '1', '1', '2', '', '45286', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('29', '1', '1', '2', '', '45263', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('30', '1', '1', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('31', '1', '1', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('32', '1', '1', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('33', '1', '1', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('34', '1', '1', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('35', '1', '1', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('36', '1', '1', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('37', '1', '1', '2', '', '45289', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('38', '1', '1', '2', '', '45294', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('39', '1', '1', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('40', '1', '1', '2', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('41', '1', '1', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('42', '1', '1', '3', '', '45550', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('43', '1', '1', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('44', '1', '1', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('45', '1', '1', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('46', '1', '1', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('47', '1', '1', '3', '', '45393', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('48', '1', '1', '3', '', '45341', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('49', '1', '1', '3', '', '45420', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('50', '1', '1', '4', '', '45649', '10', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('51', '1', '2', '1', '', '45088', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('52', '1', '2', '1', '', '45121', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('53', '1', '2', '1', '', '45040', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('54', '1', '2', '1', '', '45126', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('55', '1', '2', '1', '', '45129', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('56', '1', '2', '1', '', '45130', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('57', '1', '2', '1', '', '45131', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('58', '1', '2', '1', '', '45136', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('59', '1', '2', '1', '', '45138', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('60', '1', '2', '1', '', '45144', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('61', '1', '2', '1', '', '45157', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('62', '1', '2', '1', '', '45161', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('63', '1', '2', '1', '', '45164', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('64', '1', '2', '1', '', '45173', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('65', '1', '2', '1', '', '45184', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('66', '1', '2', '1', '', '45190', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('67', '1', '2', '1', '', '45192', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('68', '1', '2', '1', '', '45215', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('69', '1', '2', '1', '', '45213', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('70', '1', '2', '1', '', '45223', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('71', '1', '2', '1', '', '45216', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('72', '1', '2', '1', '', '45224', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('73', '1', '2', '1', '', '45248', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('74', '1', '2', '1', '', '45241', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('75', '1', '2', '1', '', '45259', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('76', '1', '2', '2', '', '45269', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('77', '1', '2', '2', '', '45270', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('78', '1', '2', '2', '', '45286', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('79', '1', '2', '2', '', '45263', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('80', '1', '2', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('81', '1', '2', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('82', '1', '2', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('83', '1', '2', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('84', '1', '2', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('85', '1', '2', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('86', '1', '2', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('87', '1', '2', '2', '', '45289', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('88', '1', '2', '2', '', '45294', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('89', '1', '2', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('90', '1', '2', '2', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('91', '1', '2', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('92', '1', '2', '3', '', '45550', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('93', '1', '2', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('94', '1', '2', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('95', '1', '2', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('96', '1', '2', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('97', '1', '2', '3', '', '45393', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('98', '1', '2', '3', '', '45341', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('99', '1', '2', '3', '', '45420', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('100', '1', '2', '4', '', '45583', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('101', '1', '2', '4', '', '45583', '10', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('102', '1', '3', '1', '', '45092', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('103', '1', '3', '1', '', '45121', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('104', '1', '3', '1', '', '45116', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('105', '1', '3', '1', '', '45126', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('106', '1', '3', '1', '', '45129', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('107', '1', '3', '1', '', '45130', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('108', '1', '3', '1', '', '45131', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('109', '1', '3', '1', '', '45136', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('110', '1', '3', '1', '', '45138', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('111', '1', '3', '1', '', '45144', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('112', '1', '3', '1', '', '45157', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('113', '1', '3', '1', '', '45161', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('114', '1', '3', '1', '', '45164', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('115', '1', '3', '1', '', '45173', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('116', '1', '3', '1', '', '45184', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('117', '1', '3', '1', '', '45190', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('118', '1', '3', '1', '', '45192', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('119', '1', '3', '1', '', '45215', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('120', '1', '3', '1', '', '45213', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('121', '1', '3', '1', '', '45223', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('122', '1', '3', '1', '', '45216', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('123', '1', '3', '1', '', '45224', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('124', '1', '3', '1', '', '45248', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('125', '1', '3', '1', '', '45241', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('126', '1', '3', '1', '', '45259', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('127', '1', '3', '2', '', '45269', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('128', '1', '3', '2', '', '45270', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('129', '1', '3', '2', '', '45286', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('130', '1', '3', '2', '', '45263', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('131', '1', '3', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('132', '1', '3', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('133', '1', '3', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('134', '1', '3', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('135', '1', '3', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('136', '1', '3', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('137', '1', '3', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('138', '1', '3', '2', '', '45289', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('139', '1', '3', '2', '', '45294', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('140', '1', '3', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('141', '1', '3', '2', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('142', '1', '3', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('143', '1', '3', '3', '', '45550', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('144', '1', '3', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('145', '1', '3', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('146', '1', '3', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('147', '1', '3', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('148', '1', '3', '3', '', '45393', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('149', '1', '3', '3', '', '45341', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('150', '1', '3', '3', '', '45420', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('151', '1', '3', '4', '', '45617', '10', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('152', '1', '4', '1', '', '45101', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('153', '1', '4', '1', '', '45121', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('154', '1', '4', '1', '', '45116', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('155', '1', '4', '1', '', '45126', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('156', '1', '4', '1', '', '45129', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('157', '1', '4', '1', '', '45130', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('158', '1', '4', '1', '', '45131', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('159', '1', '4', '1', '', '45136', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('160', '1', '4', '1', '', '45138', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('161', '1', '4', '1', '', '45144', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('162', '1', '4', '1', '', '45157', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('163', '1', '4', '1', '', '45161', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('164', '1', '4', '1', '', '45164', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('165', '1', '4', '1', '', '45173', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('166', '1', '4', '1', '', '45184', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('167', '1', '4', '1', '', '45190', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('168', '1', '4', '1', '', '45192', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('169', '1', '4', '1', '', '45215', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('170', '1', '4', '1', '', '45213', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('171', '1', '4', '1', '', '45223', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('172', '1', '4', '1', '', '45216', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('173', '1', '4', '1', '', '45224', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('174', '1', '4', '1', '', '45248', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('175', '1', '4', '1', '', '45241', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('176', '1', '4', '1', '', '45259', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('177', '1', '4', '2', '', '45269', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('178', '1', '4', '2', '', '45270', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('179', '1', '4', '2', '', '45286', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('180', '1', '4', '2', '', '45263', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('181', '1', '4', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('182', '1', '4', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('183', '1', '4', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('184', '1', '4', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('185', '1', '4', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('186', '1', '4', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('187', '1', '4', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('188', '1', '4', '2', '', '45289', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('189', '1', '4', '2', '', '45294', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('190', '1', '4', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('191', '1', '4', '2', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('192', '1', '4', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('193', '1', '4', '3', '', '45550', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('194', '1', '4', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('195', '1', '4', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('196', '1', '4', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('197', '1', '4', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('198', '1', '4', '3', '', '45393', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('199', '1', '4', '3', '', '45341', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('200', '1', '4', '3', '', '45420', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('201', '1', '4', '4', '', '45573', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('202', '1', '4', '4', '', '45573', '10', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('203', '1', '5', '1', '', '45140', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('204', '1', '5', '1', '', '45121', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('205', '1', '5', '1', '', '45116', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('206', '1', '5', '1', '', '45126', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('207', '1', '5', '1', '', '45129', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('208', '1', '5', '1', '', '45130', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('209', '1', '5', '1', '', '45131', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('210', '1', '5', '1', '', '45136', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('211', '1', '5', '1', '', '45138', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('212', '1', '5', '1', '', '45144', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('213', '1', '5', '1', '', '45157', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('214', '1', '5', '1', '', '45161', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('215', '1', '5', '1', '', '45164', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('216', '1', '5', '1', '', '45173', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('217', '1', '5', '1', '', '45184', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('218', '1', '5', '1', '', '45190', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('219', '1', '5', '1', '', '45192', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('220', '1', '5', '1', '', '45215', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('221', '1', '5', '1', '', '45213', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('222', '1', '5', '1', '', '45223', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('223', '1', '5', '1', '', '45216', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('224', '1', '5', '1', '', '45224', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('225', '1', '5', '1', '', '45248', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('226', '1', '5', '1', '', '45241', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('227', '1', '5', '1', '', '45259', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('228', '1', '5', '2', '', '45269', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('229', '1', '5', '2', '', '45270', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('230', '1', '5', '2', '', '45286', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('231', '1', '5', '2', '', '45263', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('232', '1', '5', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('233', '1', '5', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('234', '1', '5', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('235', '1', '5', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('236', '1', '5', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('237', '1', '5', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('238', '1', '5', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('239', '1', '5', '2', '', '45289', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('240', '1', '5', '2', '', '45294', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('241', '1', '5', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('242', '1', '5', '2', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('243', '1', '5', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('244', '1', '5', '3', '', '45550', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('245', '1', '5', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('246', '1', '5', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('247', '1', '5', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('248', '1', '5', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('249', '1', '5', '3', '', '45393', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('250', '1', '5', '3', '', '45341', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('251', '1', '5', '3', '', '45420', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('252', '1', '5', '4', '', '45614', '10', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('253', '1', '6', '1', '', '45115', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('254', '1', '6', '1', '', '45121', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('255', '1', '6', '1', '', '45116', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('256', '1', '6', '1', '', '45126', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('257', '1', '6', '1', '', '45129', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('258', '1', '6', '1', '', '45130', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('259', '1', '6', '1', '', '45131', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('260', '1', '6', '1', '', '45136', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('261', '1', '6', '1', '', '45138', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('262', '1', '6', '1', '', '45144', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('263', '1', '6', '1', '', '45157', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('264', '1', '6', '1', '', '45161', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('265', '1', '6', '1', '', '45164', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('266', '1', '6', '1', '', '45173', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('267', '1', '6', '1', '', '45184', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('268', '1', '6', '1', '', '45190', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('269', '1', '6', '1', '', '45192', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('270', '1', '6', '1', '', '45215', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('271', '1', '6', '1', '', '45213', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('272', '1', '6', '1', '', '45223', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('273', '1', '6', '1', '', '45216', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('274', '1', '6', '1', '', '45224', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('275', '1', '6', '1', '', '45248', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('276', '1', '6', '1', '', '45241', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('277', '1', '6', '1', '', '45259', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('278', '1', '6', '2', '', '45165', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('279', '1', '6', '2', '', '45600', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('280', '1', '6', '2', '', '45263', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('281', '1', '6', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('282', '1', '6', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('283', '1', '6', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('284', '1', '6', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('285', '1', '6', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('286', '1', '6', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('287', '1', '6', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('288', '1', '6', '2', '', '45289', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('289', '1', '6', '2', '', '45294', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('290', '1', '6', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('291', '1', '6', '2', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('292', '1', '6', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('293', '1', '6', '3', '', '45550', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('294', '1', '6', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('295', '1', '6', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('296', '1', '6', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('297', '1', '6', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('298', '1', '6', '3', '', '45393', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('299', '1', '6', '3', '', '45341', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('300', '1', '6', '3', '', '45420', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('301', '1', '6', '4', '', '45684', '10', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('302', '2', '1', '1', '', '45140', '10', '0', '0');
INSERT INTO `spawnlist_ub` VALUES ('303', '2', '1', '1', '', '45115', '15', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('304', '2', '1', '1', '', '45157', '15', '4', '0');
INSERT INTO `spawnlist_ub` VALUES ('305', '2', '1', '1', '', '45190', '15', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('306', '2', '1', '1', '', '45115', '15', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('307', '2', '1', '1', '', '45107', '20', '4', '0');
INSERT INTO `spawnlist_ub` VALUES ('308', '2', '1', '1', '', '45131', '18', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('309', '2', '1', '1', '', '45122', '20', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('310', '2', '1', '1', '', '45372', '20', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('311', '2', '1', '1', '', '45223', '20', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('312', '2', '1', '1', '', '45364', '10', '4', '0');
INSERT INTO `spawnlist_ub` VALUES ('313', '2', '1', '1', '', '45105', '25', '4', '0');
INSERT INTO `spawnlist_ub` VALUES ('314', '2', '1', '1', '', '45298', '20', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('315', '2', '1', '1', '', '45060', '10', '4', '0');
INSERT INTO `spawnlist_ub` VALUES ('316', '2', '1', '1', '', '45359', '15', '40', '0');
INSERT INTO `spawnlist_ub` VALUES ('317', '2', '1', '2', '', '45269', '15', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('318', '2', '1', '2', '', '45267', '20', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('319', '2', '1', '2', '', '45206', '30', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('320', '2', '1', '2', '', '45278', '20', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('321', '2', '1', '2', '', '45373', '15', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('322', '2', '1', '2', '', '45445', '10', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('323', '2', '1', '2', '', '45221', '15', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('324', '2', '1', '2', '', '45190', '25', '48', '0');
INSERT INTO `spawnlist_ub` VALUES ('325', '2', '1', '2', '', '45162', '25', '24', '0');
INSERT INTO `spawnlist_ub` VALUES ('326', '2', '1', '2', '', '45298', '20', '0', '0');
INSERT INTO `spawnlist_ub` VALUES ('327', '2', '1', '2', '', '45213', '15', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('328', '2', '1', '2', '', '45393', '20', '40', '0');
INSERT INTO `spawnlist_ub` VALUES ('329', '2', '1', '3', '', '45278', '25', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('330', '2', '1', '3', '', '45184', '25', '34', '0');
INSERT INTO `spawnlist_ub` VALUES ('331', '2', '1', '3', '', '45122', '15', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('332', '2', '1', '3', '', '45364', '15', '24', '0');
INSERT INTO `spawnlist_ub` VALUES ('333', '2', '1', '3', '', '45162', '15', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('334', '2', '1', '3', '', '45182', '15', '4', '0');
INSERT INTO `spawnlist_ub` VALUES ('335', '2', '1', '3', '', '45051', '25', '10', '0');
INSERT INTO `spawnlist_ub` VALUES ('336', '2', '1', '3', '', '45174', '20', '34', '0');
INSERT INTO `spawnlist_ub` VALUES ('337', '2', '1', '3', '', '45298', '20', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('338', '2', '1', '3', '', '45420', '25', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('339', '2', '1', '3', '', '45341', '15', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('340', '2', '1', '3', '', '45372', '5', '14', '0');
INSERT INTO `spawnlist_ub` VALUES ('341', '2', '1', '4', '', '45617', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('342', '2', '1', '4', '', '45578', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('344', '2', '2', '1', '', '45140', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('345', '2', '2', '1', '', '45115', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('346', '2', '2', '1', '', '45157', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('347', '2', '2', '1', '', '45190', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('348', '2', '2', '1', '', '45115', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('349', '2', '2', '1', '', '45107', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('350', '2', '2', '1', '', '45131', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('351', '2', '2', '1', '', '45122', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('352', '2', '2', '1', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('353', '2', '2', '1', '', '45223', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('354', '2', '2', '1', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('355', '2', '2', '1', '', '45105', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('356', '2', '2', '1', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('357', '2', '2', '1', '', '45060', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('358', '2', '2', '1', '', '45359', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('359', '2', '2', '2', '', '45269', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('360', '2', '2', '2', '', '45277', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('361', '2', '2', '2', '', '45206', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('362', '2', '2', '2', '', '45280', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('363', '2', '2', '2', '', '45263', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('364', '2', '2', '2', '', '45291', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('365', '2', '2', '2', '', '45221', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('366', '2', '2', '2', '', '45190', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('367', '2', '2', '2', '', '45349', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('368', '2', '2', '2', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('369', '2', '2', '2', '', '45213', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('370', '2', '2', '2', '', '45393', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('371', '2', '2', '2', '', '45040', '30', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('372', '2', '2', '3', '', '45278', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('373', '2', '2', '3', '', '45184', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('374', '2', '2', '3', '', '45129', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('375', '2', '2', '3', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('376', '2', '2', '3', '', '45294', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('377', '2', '2', '3', '', '45182', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('378', '2', '2', '3', '', '45051', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('379', '2', '2', '3', '', '45174', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('380', '2', '2', '3', '', '45138', '30', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('381', '2', '2', '3', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('382', '2', '2', '3', '', '45420', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('383', '2', '2', '3', '', '45341', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('384', '2', '2', '3', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('385', '2', '2', '4', '', '45578', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('386', '2', '2', '4', '', '45617', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('387', '2', '3', '1', '', '45140', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('388', '2', '3', '1', '', '45115', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('389', '2', '3', '1', '', '45157', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('390', '2', '3', '1', '', '45190', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('391', '2', '3', '1', '', '45115', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('392', '2', '3', '1', '', '45107', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('393', '2', '3', '1', '', '45131', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('394', '2', '3', '1', '', '45129', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('395', '2', '3', '1', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('396', '2', '3', '1', '', '45223', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('397', '2', '3', '1', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('398', '2', '3', '1', '', '45105', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('399', '2', '3', '1', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('400', '2', '3', '1', '', '45060', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('401', '2', '3', '1', '', '45359', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('402', '2', '3', '2', '', '45269', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('403', '2', '3', '2', '', '45267', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('404', '2', '3', '2', '', '45248', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('405', '2', '3', '2', '', '45262', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('406', '2', '3', '2', '', '45241', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('407', '2', '3', '2', '', '45224', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('408', '2', '3', '2', '', '45221', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('409', '2', '3', '2', '', '45190', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('410', '2', '3', '2', '', '45228', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('411', '2', '3', '2', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('412', '2', '3', '2', '', '45213', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('413', '2', '3', '2', '', '45393', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('414', '2', '3', '3', '', '45278', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('415', '2', '3', '3', '', '45184', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('416', '2', '3', '3', '', '45129', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('417', '2', '3', '3', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('418', '2', '3', '3', '', '45362', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('419', '2', '3', '3', '', '45182', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('420', '2', '3', '3', '', '45051', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('421', '2', '3', '3', '', '45174', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('422', '2', '3', '3', '', '45346', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('423', '2', '3', '3', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('424', '2', '3', '3', '', '45420', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('425', '2', '3', '3', '', '45341', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('426', '2', '3', '3', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('427', '2', '3', '4', '', '45578', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('428', '2', '3', '4', '', '45617', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('429', '2', '4', '1', '', '45140', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('430', '2', '4', '1', '', '45115', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('431', '2', '4', '1', '', '45157', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('432', '2', '4', '1', '', '45190', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('433', '2', '4', '1', '', '45115', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('434', '2', '4', '1', '', '45107', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('435', '2', '4', '1', '', '45131', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('436', '2', '4', '1', '', '45129', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('437', '2', '4', '1', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('438', '2', '4', '1', '', '45223', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('439', '2', '4', '1', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('440', '2', '4', '1', '', '45105', '30', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('441', '2', '4', '1', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('442', '2', '4', '1', '', '45060', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('443', '2', '4', '1', '', '45359', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('444', '2', '4', '2', '', '45269', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('445', '2', '4', '2', '', '45267', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('446', '2', '4', '2', '', '45284', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('447', '2', '4', '2', '', '45291', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('448', '2', '4', '2', '', '45203', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('449', '2', '4', '2', '', '45445', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('450', '2', '4', '2', '', '45221', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('451', '2', '4', '2', '', '45190', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('452', '2', '4', '2', '', '45531', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('453', '2', '4', '2', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('454', '2', '4', '2', '', '45213', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('455', '2', '4', '2', '', '45393', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('456', '2', '4', '3', '', '45278', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('457', '2', '4', '3', '', '45184', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('458', '2', '4', '3', '', '45129', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('459', '2', '4', '3', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('460', '2', '4', '3', '', '45349', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('461', '2', '4', '3', '', '45182', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('462', '2', '4', '3', '', '45051', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('463', '2', '4', '3', '', '45174', '30', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('464', '2', '4', '3', '', '81176', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('465', '2', '4', '3', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('466', '2', '4', '3', '', '45373', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('467', '2', '4', '3', '', '45341', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('468', '2', '4', '3', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('469', '2', '4', '4', '', '45578', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('470', '2', '4', '4', '', '45617', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('471', '2', '5', '1', '', '45140', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('472', '2', '5', '1', '', '45115', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('473', '2', '5', '1', '', '45157', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('474', '2', '5', '1', '', '45190', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('475', '2', '5', '1', '', '45115', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('476', '2', '5', '1', '', '45107', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('477', '2', '5', '1', '', '45131', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('478', '2', '5', '1', '', '45129', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('479', '2', '5', '1', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('480', '2', '5', '1', '', '45223', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('481', '2', '5', '1', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('482', '2', '5', '1', '', '45105', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('483', '2', '5', '1', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('484', '2', '5', '1', '', '45060', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('485', '2', '5', '1', '', '45359', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('486', '2', '5', '2', '', '45269', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('487', '2', '5', '2', '', '45267', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('488', '2', '5', '2', '', '45206', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('489', '2', '5', '2', '', '45278', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('490', '2', '5', '2', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('491', '2', '5', '2', '', '45420', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('492', '2', '5', '2', '', '45121', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('493', '2', '5', '2', '', '45104', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('494', '2', '5', '2', '', '45138', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('495', '2', '5', '2', '', '45162', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('496', '2', '5', '2', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('497', '2', '5', '2', '', '45213', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('498', '2', '5', '2', '', '45393', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('499', '2', '5', '3', '', '45278', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('500', '2', '5', '3', '', '45184', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('501', '2', '5', '3', '', '45129', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('502', '2', '5', '3', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('503', '2', '5', '3', '', '45162', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('504', '2', '5', '3', '', '45182', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('505', '2', '5', '3', '', '45051', '30', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('506', '2', '5', '3', '', '45174', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('507', '2', '5', '3', '', '45346', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('508', '2', '5', '3', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('509', '2', '5', '3', '', '45420', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('510', '2', '5', '3', '', '45341', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('511', '2', '5', '3', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('512', '2', '5', '4', '', '45617', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('513', '2', '5', '4', '', '45578', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('515', '2', '6', '1', '', '45140', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('516', '2', '6', '1', '', '45115', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('517', '2', '6', '1', '', '45157', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('518', '2', '6', '1', '', '45190', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('519', '2', '6', '1', '', '45115', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('520', '2', '6', '1', '', '45107', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('521', '2', '6', '1', '', '45131', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('522', '2', '6', '1', '', '45129', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('523', '2', '6', '1', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('524', '2', '6', '1', '', '45223', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('525', '2', '6', '1', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('526', '2', '6', '1', '', '45105', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('527', '2', '6', '1', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('528', '2', '6', '1', '', '45060', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('529', '2', '6', '1', '', '45359', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('530', '2', '6', '2', '', '45269', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('531', '2', '6', '2', '', '45267', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('532', '2', '6', '2', '', '45228', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('533', '2', '6', '2', '', '45278', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('534', '2', '6', '2', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('535', '2', '6', '2', '', '45294', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('536', '2', '6', '2', '', '45373', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('537', '2', '6', '2', '', '45221', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('538', '2', '6', '2', '', '45190', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('539', '2', '6', '2', '', '45280', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('540', '2', '6', '2', '', '45162', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('541', '2', '6', '2', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('542', '2', '6', '2', '', '45213', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('543', '2', '6', '2', '', '45393', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('544', '2', '6', '3', '', '45278', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('545', '2', '6', '3', '', '45184', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('546', '2', '6', '3', '', '45129', '30', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('547', '2', '6', '3', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('548', '2', '6', '3', '', '45162', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('549', '2', '6', '3', '', '45182', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('550', '2', '6', '3', '', '45298', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('551', '2', '6', '3', '', '45420', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('552', '2', '6', '3', '', '45341', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('553', '2', '6', '3', '', '45372', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('554', '2', '6', '4', '', '45617', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('555', '2', '6', '4', '', '45578', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('557', '3', '1', '1', '', '45161', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('558', '3', '1', '1', '', '45040', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('559', '3', '1', '1', '', '45130', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('560', '3', '1', '1', '', '45131', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('561', '3', '1', '1', '', '45082', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('562', '3', '1', '1', '', '45138', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('563', '3', '1', '1', '', '45121', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('564', '3', '1', '1', '', '45192', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('565', '3', '1', '1', '', '45144', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('566', '3', '1', '1', '', '45164', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('567', '3', '1', '1', '', '45223', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('568', '3', '1', '1', '', '45173', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('569', '3', '1', '1', '', '45136', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('570', '3', '1', '1', '', '45184', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('571', '3', '1', '1', '', '45216', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('572', '3', '1', '1', '', '45224', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('573', '3', '1', '1', '', '45248', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('574', '3', '1', '1', '', '45215', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('575', '3', '1', '1', '', '45213', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('576', '3', '1', '1', '', '45223', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('577', '3', '1', '2', '', '45269', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('578', '3', '1', '2', '', '45270', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('579', '3', '1', '2', '', '45286', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('580', '3', '1', '2', '', '45284', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('581', '3', '1', '2', '', '45291', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('582', '3', '1', '2', '', '45322', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('583', '3', '1', '2', '', '45278', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('584', '3', '1', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('585', '3', '1', '2', '', '45364', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('586', '3', '1', '2', '', '45267', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('587', '3', '1', '2', '', '45223', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('588', '3', '1', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('589', '3', '1', '2', '', '45294', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('590', '3', '1', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('591', '3', '1', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('592', '3', '1', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('593', '3', '1', '3', '', '81176', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('594', '3', '1', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('595', '3', '1', '3', '', '45531', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('596', '3', '1', '3', '', '45393', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('597', '3', '1', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('598', '3', '1', '3', '', '45341', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('599', '3', '1', '3', '', '45420', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('600', '3', '1', '4', '', '45578', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('601', '3', '1', '4', '', '45578', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('602', '3', '2', '1', '', '45161', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('603', '3', '2', '1', '', '45040', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('604', '3', '2', '1', '', '45192', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('605', '3', '2', '1', '', '45131', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('606', '3', '2', '1', '', '45082', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('607', '3', '2', '1', '', '45138', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('608', '3', '2', '1', '', '45121', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('609', '3', '2', '1', '', '45372', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('610', '3', '2', '1', '', '45144', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('611', '3', '2', '1', '', '45164', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('612', '3', '2', '1', '', '45223', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('613', '3', '2', '1', '', '45173', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('614', '3', '2', '1', '', '45136', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('615', '3', '2', '1', '', '45184', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('616', '3', '2', '1', '', '45216', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('617', '3', '2', '1', '', '45224', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('618', '3', '2', '1', '', '45248', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('619', '3', '2', '1', '', '45215', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('620', '3', '2', '1', '', '45060', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('621', '3', '2', '1', '', '45223', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('622', '3', '2', '2', '', '45269', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('623', '3', '2', '2', '', '45270', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('624', '3', '2', '2', '', '45286', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('625', '3', '2', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('626', '3', '2', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('627', '3', '2', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('628', '3', '2', '2', '', '45278', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('629', '3', '2', '2', '', '45280', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('630', '3', '2', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('631', '3', '2', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('632', '3', '2', '2', '', '45223', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('633', '3', '2', '2', '', '45298', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('634', '3', '2', '2', '', '45294', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('635', '3', '2', '3', '', '45365', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('636', '3', '2', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('637', '3', '2', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('638', '3', '2', '3', '', '81176', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('639', '3', '2', '3', '', '45373', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('640', '3', '2', '3', '', '45531', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('641', '3', '2', '3', '', '45393', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('642', '3', '2', '3', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('643', '3', '2', '3', '', '45341', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('644', '3', '2', '3', '', '45420', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('645', '3', '2', '4', '', '45578', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('646', '3', '2', '4', '', '45578', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('647', '3', '3', '1', '', '45161', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('648', '3', '3', '1', '', '45040', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('649', '3', '3', '1', '', '45192', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('650', '3', '3', '1', '', '45131', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('651', '3', '3', '1', '', '45082', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('652', '3', '3', '1', '', '45138', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('653', '3', '3', '1', '', '45121', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('654', '3', '3', '1', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('655', '3', '3', '1', '', '45144', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('656', '3', '3', '1', '', '45164', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('657', '3', '3', '1', '', '45223', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('658', '3', '3', '1', '', '45173', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('659', '3', '3', '1', '', '45136', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('660', '3', '3', '1', '', '45184', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('661', '3', '3', '1', '', '45216', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('662', '3', '3', '1', '', '45224', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('663', '3', '3', '1', '', '45248', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('664', '3', '3', '1', '', '45215', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('665', '3', '3', '1', '', '45060', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('666', '3', '3', '1', '', '45223', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('667', '3', '3', '2', '', '45269', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('668', '3', '3', '2', '', '45270', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('669', '3', '3', '2', '', '45286', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('670', '3', '3', '2', '', '45284', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('671', '3', '3', '2', '', '45291', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('672', '3', '3', '2', '', '45322', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('673', '3', '3', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('674', '3', '3', '2', '', '45280', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('675', '3', '3', '2', '', '45364', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('676', '3', '3', '2', '', '45267', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('677', '3', '3', '2', '', '45223', '14', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('678', '3', '3', '2', '', '45298', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('679', '3', '3', '3', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('680', '3', '3', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('681', '3', '3', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('682', '3', '3', '3', '', '81176', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('683', '3', '3', '3', '', '45349', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('684', '3', '3', '3', '', '45362', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('685', '3', '3', '3', '', '45393', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('686', '3', '3', '3', '', '45206', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('687', '3', '3', '3', '', '45341', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('688', '3', '3', '3', '', '45420', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('689', '3', '3', '4', '', '45515', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('690', '3', '3', '4', '', '45578', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('691', '3', '4', '1', '', '45161', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('692', '3', '4', '1', '', '45040', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('693', '3', '4', '1', '', '45192', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('694', '3', '4', '1', '', '45131', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('695', '3', '4', '1', '', '45082', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('696', '3', '4', '1', '', '45138', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('697', '3', '4', '1', '', '45121', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('698', '3', '4', '1', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('699', '3', '4', '1', '', '45144', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('700', '3', '4', '1', '', '45164', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('701', '3', '4', '1', '', '45223', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('702', '3', '4', '1', '', '45173', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('703', '3', '4', '1', '', '45136', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('704', '3', '4', '1', '', '45184', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('705', '3', '4', '1', '', '45216', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('706', '3', '4', '1', '', '45224', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('707', '3', '4', '1', '', '45248', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('708', '3', '4', '1', '', '45215', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('709', '3', '4', '1', '', '45060', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('710', '3', '4', '1', '', '45223', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('711', '3', '4', '2', '', '45269', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('712', '3', '4', '2', '', '45270', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('713', '3', '4', '2', '', '45286', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('714', '3', '4', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('715', '3', '4', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('716', '3', '4', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('717', '3', '4', '2', '', '45278', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('718', '3', '4', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('719', '3', '4', '2', '', '45364', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('720', '3', '4', '2', '', '45267', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('721', '3', '4', '2', '', '45223', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('722', '3', '4', '2', '', '45298', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('723', '3', '4', '2', '', '45294', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('724', '3', '4', '3', '', '45365', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('725', '3', '4', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('726', '3', '4', '3', '', '45359', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('727', '3', '4', '3', '', '45373', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('728', '3', '4', '3', '', '45206', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('729', '3', '4', '3', '', '45341', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('730', '3', '4', '3', '', '45469', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('731', '3', '4', '4', '', '45515', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('732', '3', '4', '4', '', '45578', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('733', '3', '5', '1', '', '45161', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('734', '3', '5', '1', '', '45040', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('735', '3', '5', '1', '', '45130', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('736', '3', '5', '1', '', '45131', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('737', '3', '5', '1', '', '45082', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('738', '3', '5', '1', '', '45138', '17', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('739', '3', '5', '1', '', '45121', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('740', '3', '5', '1', '', '45192', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('741', '3', '5', '1', '', '45144', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('742', '3', '5', '1', '', '45164', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('743', '3', '5', '1', '', '45223', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('744', '3', '5', '1', '', '45173', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('745', '3', '5', '1', '', '45136', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('746', '3', '5', '1', '', '45184', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('747', '3', '5', '1', '', '45216', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('748', '3', '5', '1', '', '45224', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('749', '3', '5', '1', '', '45248', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('750', '3', '5', '1', '', '45215', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('751', '3', '5', '1', '', '45213', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('752', '3', '5', '1', '', '45223', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('753', '3', '5', '2', '', '45269', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('754', '3', '5', '2', '', '45270', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('755', '3', '5', '2', '', '45286', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('756', '3', '5', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('757', '3', '5', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('758', '3', '5', '2', '', '45322', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('759', '3', '5', '2', '', '45278', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('760', '3', '5', '2', '', '45280', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('761', '3', '5', '2', '', '45364', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('762', '3', '5', '2', '', '45267', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('763', '3', '5', '2', '', '45223', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('764', '3', '5', '2', '', '45298', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('765', '3', '5', '2', '', '45294', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('766', '3', '5', '3', '', '45203', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('767', '3', '5', '3', '', '45346', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('768', '3', '5', '3', '', '45359', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('769', '3', '5', '3', '', '81176', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('770', '3', '5', '3', '', '45349', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('771', '3', '5', '3', '', '45362', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('772', '3', '5', '3', '', '45393', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('773', '3', '5', '3', '', '45206', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('774', '3', '5', '3', '', '45341', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('775', '3', '5', '3', '', '45420', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('776', '3', '5', '4', '', '45515', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('777', '3', '5', '4', '', '45578', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('778', '3', '6', '1', '', '45161', '22', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('779', '3', '6', '1', '', '45040', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('780', '3', '6', '1', '', '45192', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('781', '3', '6', '1', '', '45131', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('782', '3', '6', '1', '', '45082', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('783', '3', '6', '1', '', '45138', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('784', '3', '6', '1', '', '45121', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('785', '3', '6', '1', '', '45372', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('786', '3', '6', '1', '', '45144', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('787', '3', '6', '1', '', '45164', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('788', '3', '6', '1', '', '45140', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('789', '3', '6', '1', '', '45173', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('790', '3', '6', '1', '', '45136', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('791', '3', '6', '1', '', '45184', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('792', '3', '6', '1', '', '45216', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('793', '3', '6', '1', '', '45141', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('794', '3', '6', '1', '', '45248', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('795', '3', '6', '1', '', '45215', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('796', '3', '6', '1', '', '45060', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('797', '3', '6', '1', '', '45223', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('798', '3', '6', '2', '', '45269', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('799', '3', '6', '2', '', '45270', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('800', '3', '6', '2', '', '45286', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('801', '3', '6', '2', '', '45284', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('802', '3', '6', '2', '', '45291', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('803', '3', '6', '2', '', '45206', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('804', '3', '6', '2', '', '45278', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('805', '3', '6', '2', '', '45280', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('806', '3', '6', '2', '', '45364', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('807', '3', '6', '2', '', '45267', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('808', '3', '6', '2', '', '45223', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('809', '3', '6', '2', '', '45298', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('810', '3', '6', '2', '', '45294', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('811', '3', '6', '3', '', '45365', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('812', '3', '6', '3', '', '45346', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('813', '3', '6', '3', '', '45359', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('814', '3', '6', '3', '', '45373', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('815', '3', '6', '3', '', '45206', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('816', '3', '6', '3', '', '45341', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('817', '3', '6', '3', '', '45469', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('818', '3', '6', '4', '', '45515', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('819', '3', '6', '4', '', '45578', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('820', '4', '1', '1', '', '45041', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('821', '4', '1', '1', '', '45051', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('822', '4', '1', '1', '', '45060', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('823', '4', '1', '1', '', '45068', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('824', '4', '1', '1', '', '45041', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('825', '4', '1', '1', '', '45092', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('826', '4', '1', '1', '', '45107', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('827', '4', '1', '1', '', '45129', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('828', '4', '1', '1', '', '45131', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('829', '4', '1', '1', '', '45130', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('830', '4', '1', '1', '', '45136', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('831', '4', '1', '1', '', '45060', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('832', '4', '1', '2', '', '45107', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('833', '4', '1', '2', '', '45129', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('834', '4', '1', '2', '', '45131', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('835', '4', '1', '2', '', '45130', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('836', '4', '1', '2', '', '45105', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('837', '4', '1', '2', '', '45130', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('838', '4', '1', '2', '', '45131', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('839', '4', '1', '2', '', '45107', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('840', '4', '1', '2', '', '45129', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('841', '4', '1', '2', '', '45161', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('842', '4', '1', '3', '', '45126', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('843', '4', '1', '3', '', '45141', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('844', '4', '1', '3', '', '45174', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('845', '4', '1', '3', '', '45371', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('846', '4', '1', '3', '', '45107', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('847', '4', '1', '3', '', '45129', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('848', '4', '1', '3', '', '45184', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('849', '4', '1', '3', '', '45136', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('850', '4', '1', '4', '', '81176', '4', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('851', '4', '1', '4', '', '81176', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('852', '4', '2', '1', '', '45041', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('853', '4', '2', '1', '', '45027', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('854', '4', '2', '1', '', '45079', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('855', '4', '2', '1', '', '45088', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('856', '4', '2', '1', '', '45082', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('857', '4', '2', '1', '', '45107', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('858', '4', '2', '1', '', '45129', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('859', '4', '2', '1', '', '45131', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('860', '4', '2', '1', '', '45130', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('861', '4', '2', '1', '', '45136', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('862', '4', '2', '1', '', '45060', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('863', '4', '2', '2', '', '45107', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('864', '4', '2', '2', '', '45129', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('865', '4', '2', '2', '', '45131', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('866', '4', '2', '2', '', '45130', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('867', '4', '2', '2', '', '45048', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('868', '4', '2', '2', '', '45130', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('869', '4', '2', '2', '', '45551', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('870', '4', '2', '2', '', '45040', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('871', '4', '2', '2', '', '45129', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('872', '4', '2', '2', '', '45161', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('873', '4', '2', '3', '', '45126', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('874', '4', '2', '3', '', '45141', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('875', '4', '2', '3', '', '45174', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('876', '4', '2', '3', '', '45371', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('877', '4', '2', '3', '', '45223', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('878', '4', '2', '3', '', '45129', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('879', '4', '2', '3', '', '45131', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('880', '4', '2', '3', '', '45127', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('881', '4', '2', '3', '', '45173', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('882', '4', '2', '3', '', '45136', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('883', '4', '2', '3', '', '45184', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('884', '4', '2', '3', '', '45155', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('885', '4', '2', '4', '', '81176', '9', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('886', '4', '2', '4', '', '81176', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('887', '4', '3', '1', '', '45041', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('888', '4', '3', '1', '', '45017', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('889', '4', '3', '1', '', '45068', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('890', '4', '3', '1', '', '45551', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('891', '4', '3', '1', '', '45079', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('892', '4', '3', '1', '', '45082', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('893', '4', '3', '1', '', '45101', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('894', '4', '3', '1', '', '45104', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('895', '4', '3', '1', '', '45121', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('896', '4', '3', '1', '', '45136', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('897', '4', '3', '1', '', '45060', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('898', '4', '3', '2', '', '45107', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('899', '4', '3', '2', '', '45129', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('900', '4', '3', '2', '', '45131', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('901', '4', '3', '2', '', '45130', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('902', '4', '3', '2', '', '45105', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('903', '4', '3', '2', '', '45115', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('904', '4', '3', '2', '', '45136', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('905', '4', '3', '2', '', '45144', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('906', '4', '3', '2', '', '45161', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('907', '4', '3', '3', '', '45126', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('908', '4', '3', '3', '', '45141', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('909', '4', '3', '3', '', '45174', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('910', '4', '3', '3', '', '45371', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('911', '4', '3', '3', '', '45164', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('912', '4', '3', '3', '', '45131', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('913', '4', '3', '3', '', '45130', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('914', '4', '3', '3', '', '45184', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('915', '4', '3', '3', '', '45136', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('916', '4', '3', '4', '', '81176', '4', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('917', '4', '3', '4', '', '81176', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('918', '4', '4', '1', '', '45041', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('919', '4', '4', '1', '', '45048', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('920', '4', '4', '1', '', '45068', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('921', '4', '4', '1', '', '45041', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('922', '4', '4', '1', '', '45079', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('923', '4', '4', '1', '', '45082', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('924', '4', '4', '1', '', '45129', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('925', '4', '4', '1', '', '45131', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('926', '4', '4', '1', '', '45130', '7', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('927', '4', '4', '1', '', '45136', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('928', '4', '4', '1', '', '45060', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('929', '4', '4', '2', '', '45107', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('930', '4', '4', '2', '', '45129', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('931', '4', '4', '2', '', '45131', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('932', '4', '4', '2', '', '45130', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('933', '4', '4', '2', '', '45105', '25', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('934', '4', '4', '2', '', '45115', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('935', '4', '4', '2', '', '45136', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('936', '4', '4', '2', '', '45144', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('937', '4', '4', '2', '', '45161', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('938', '4', '4', '3', '', '45126', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('939', '4', '4', '3', '', '45141', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('940', '4', '4', '3', '', '45174', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('941', '4', '4', '3', '', '45371', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('942', '4', '4', '3', '', '45164', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('943', '4', '4', '3', '', '45131', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('944', '4', '4', '3', '', '45130', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('945', '4', '4', '3', '', '45184', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('946', '4', '4', '3', '', '45136', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('947', '4', '4', '4', '', '81176', '4', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('948', '4', '4', '4', '', '81176', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('949', '5', '1', '1', '', '45019', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('950', '5', '1', '1', '', '45082', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('951', '5', '1', '1', '', '45088', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('952', '5', '1', '1', '', '45107', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('953', '5', '1', '1', '', '45040', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('954', '5', '1', '1', '', '45121', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('955', '5', '1', '1', '', '45223', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('956', '5', '1', '1', '', '45048', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('957', '5', '1', '1', '', '45051', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('958', '5', '1', '1', '', '45064', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('959', '5', '1', '1', '', '45115', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('960', '5', '1', '1', '', '45105', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('961', '5', '1', '1', '', '45079', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('962', '5', '1', '1', '', '45129', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('963', '5', '1', '2', '', '45141', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('964', '5', '1', '2', '', '45140', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('965', '5', '1', '2', '', '45371', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('966', '5', '1', '2', '', '45155', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('967', '5', '1', '2', '', '45164', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('968', '5', '1', '2', '', '45083', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('969', '5', '1', '2', '', '45092', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('970', '5', '1', '2', '', '45107', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('971', '5', '1', '2', '', '45136', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('972', '5', '1', '2', '', '45157', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('973', '5', '1', '2', '', '45161', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('974', '5', '1', '2', '', '45060', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('975', '5', '1', '3', '', '45157', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('976', '5', '1', '3', '', '45027', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('977', '5', '1', '3', '', '45064', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('978', '5', '1', '3', '', '45155', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('979', '5', '1', '3', '', '45140', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('980', '5', '1', '3', '', '45115', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('981', '5', '1', '3', '', '45136', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('982', '5', '1', '3', '', '45092', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('983', '5', '1', '3', '', '45182', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('984', '5', '1', '3', '', '45126', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('985', '5', '1', '3', '', '45190', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('986', '5', '1', '3', '', '45551', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('987', '5', '1', '3', '', '45079', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('988', '5', '1', '3', '', '45259', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('989', '5', '1', '4', '', '45213', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('990', '5', '1', '4', '', '45346', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('991', '5', '2', '1', '', '45105', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('992', '5', '2', '1', '', '45079', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('993', '5', '2', '1', '', '45101', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('994', '5', '2', '1', '', '45023', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('995', '5', '2', '1', '', '45551', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('996', '5', '2', '1', '', '45027', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('997', '5', '2', '1', '', '45082', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('998', '5', '2', '1', '', '45149', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('999', '5', '2', '1', '', '45143', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1000', '5', '2', '1', '', '45104', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1001', '5', '2', '1', '', '45138', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1002', '5', '2', '1', '', '45121', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1003', '5', '2', '1', '', '45126', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1004', '5', '2', '2', '', '45144', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1005', '5', '2', '2', '', '45140', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1006', '5', '2', '2', '', '45130', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1007', '5', '2', '2', '', '45131', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1008', '5', '2', '2', '', '45129', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1009', '5', '2', '2', '', '45161', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1010', '5', '2', '2', '', '45136', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1011', '5', '2', '2', '', '45371', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1012', '5', '2', '2', '', '45105', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1013', '5', '2', '2', '', '45068', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1014', '5', '2', '2', '', '45155', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1015', '5', '2', '2', '', '45060', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1016', '5', '2', '3', '', '45105', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1017', '5', '2', '3', '', '45082', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1018', '5', '2', '3', '', '45101', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1019', '5', '2', '3', '', '45223', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1020', '5', '2', '3', '', '45060', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1021', '5', '2', '3', '', '45115', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1022', '5', '2', '3', '', '45136', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1023', '5', '2', '3', '', '45092', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1024', '5', '2', '3', '', '45182', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1025', '5', '2', '3', '', '45126', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1026', '5', '2', '3', '', '45190', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1027', '5', '2', '3', '', '45107', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1028', '5', '2', '3', '', '45079', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1029', '5', '2', '3', '', '45387', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1030', '5', '2', '3', '', '45141', '7', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1031', '5', '2', '4', '', '45213', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1032', '5', '2', '4', '', '45346', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1033', '5', '3', '1', '', '45551', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1034', '5', '3', '1', '', '45048', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1035', '5', '3', '1', '', '45115', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1036', '5', '3', '1', '', '45136', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1037', '5', '3', '1', '', '45105', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1038', '5', '3', '1', '', '45041', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1039', '5', '3', '1', '', '45092', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1040', '5', '3', '1', '', '45107', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1041', '5', '3', '1', '', '45129', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1042', '5', '3', '1', '', '45130', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1043', '5', '3', '1', '', '45131', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1044', '5', '3', '1', '', '45126', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1045', '5', '3', '1', '', '45138', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1046', '5', '3', '2', '', '45164', '13', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1047', '5', '3', '2', '', '45223', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1048', '5', '3', '2', '', '45182', '1', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1049', '5', '3', '2', '', '45184', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1050', '5', '3', '2', '', '45140', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1051', '5', '3', '2', '', '45371', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1052', '5', '3', '2', '', '45155', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1053', '5', '3', '2', '', '45121', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1054', '5', '3', '2', '', '45192', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1055', '5', '3', '2', '', '45173', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1056', '5', '3', '2', '', '45060', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1057', '5', '3', '3', '', '45157', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1058', '5', '3', '3', '', '45551', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1059', '5', '3', '3', '', '45105', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1060', '5', '3', '3', '', '45040', '13', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1061', '5', '3', '3', '', '45155', '13', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1062', '5', '3', '3', '', '45140', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1063', '5', '3', '3', '', '45115', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1064', '5', '3', '3', '', '45136', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1065', '5', '3', '3', '', '45079', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1066', '5', '3', '3', '', '45182', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1067', '5', '3', '3', '', '45121', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1068', '5', '3', '3', '', '45190', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1069', '5', '3', '3', '', '45184', '3', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1070', '5', '3', '3', '', '45079', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1071', '5', '3', '3', '', '45192', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1072', '5', '3', '3', '', '45371', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1073', '5', '3', '4', '', '45213', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1074', '5', '3', '4', '', '45346', '1', '15', '15');
INSERT INTO `spawnlist_ub` VALUES ('1075', '5', '4', '1', '', '45068', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1076', '5', '4', '1', '', '45083', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1077', '5', '4', '1', '', '45051', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1078', '5', '4', '1', '', '45064', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1079', '5', '4', '1', '', '45023', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1080', '5', '4', '1', '', '45041', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1081', '5', '4', '1', '', '45092', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1082', '5', '4', '1', '', '45107', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1083', '5', '4', '1', '', '45040', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1084', '5', '4', '1', '', '45223', '12', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1085', '5', '4', '1', '', '45140', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1086', '5', '4', '1', '', '45136', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1087', '5', '4', '1', '', '45144', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1088', '5', '4', '1', '', '45155', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1089', '5', '4', '2', '', '45115', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1090', '5', '4', '2', '', '45104', '13', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1091', '5', '4', '2', '', '45121', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1092', '5', '4', '2', '', '45082', '13', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1093', '5', '4', '2', '', '45048', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1094', '5', '4', '2', '', '45027', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1095', '5', '4', '2', '', '45079', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1096', '5', '4', '2', '', '45101', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1097', '5', '4', '2', '', '45098', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1098', '5', '4', '2', '', '45127', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1099', '5', '4', '2', '', '45149', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1100', '5', '4', '2', '', '45143', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1101', '5', '4', '2', '', '45060', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1102', '5', '4', '3', '', '45157', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1103', '5', '4', '3', '', '45551', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1104', '5', '4', '3', '', '45105', '20', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1105', '5', '4', '3', '', '45040', '13', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1106', '5', '4', '3', '', '45155', '13', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1107', '5', '4', '3', '', '45140', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1108', '5', '4', '3', '', '45115', '8', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1109', '5', '4', '3', '', '45136', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1110', '5', '4', '3', '', '45079', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1111', '5', '4', '3', '', '45182', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1112', '5', '4', '3', '', '45121', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1113', '5', '4', '3', '', '45190', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1114', '5', '4', '3', '', '45184', '5', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1115', '5', '4', '3', '', '45079', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1116', '5', '4', '3', '', '45192', '15', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1117', '5', '4', '3', '', '45371', '10', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1118', '5', '4', '4', '', '45213', '2', '15', '0');
INSERT INTO `spawnlist_ub` VALUES ('1119', '5', '4', '4', '', '45346', '1', '15', '15');
INSERT INTO `spr_action` VALUES ('0', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('0', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('0', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('0', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('0', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('0', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('0', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('0', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('0', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('0', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('0', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('0', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('1', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('1', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('1', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('1', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('1', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('1', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('1', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('1', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('1', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('1', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('1', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('10', '0', '17', '24');
INSERT INTO `spr_action` VALUES ('29', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('29', '1', '43', '24');
INSERT INTO `spr_action` VALUES ('29', '19', '43', '24');
INSERT INTO `spr_action` VALUES ('30', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('30', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('30', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('30', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('31', '0', '21', '24');
INSERT INTO `spr_action` VALUES ('31', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('32', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('32', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('32', '18', '18', '24');
INSERT INTO `spr_action` VALUES ('32', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('33', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('33', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('33', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('33', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('35', '0', '1', '24');
INSERT INTO `spr_action` VALUES ('37', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('37', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('37', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('37', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('37', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('37', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('37', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('37', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('37', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('37', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('48', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('48', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('48', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('48', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('48', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('48', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('48', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('48', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('48', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('48', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('48', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('48', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('49', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('49', '1', '66', '24');
INSERT INTO `spr_action` VALUES ('49', '19', '66', '24');
INSERT INTO `spr_action` VALUES ('49', '18', '66', '24');
INSERT INTO `spr_action` VALUES ('51', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('52', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('52', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('52', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('52', '18', '40', '24');
INSERT INTO `spr_action` VALUES ('53', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('53', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('53', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('53', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('54', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('54', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('54', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('54', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('55', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('56', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('56', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('56', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('56', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('57', '21', '47', '24');
INSERT INTO `spr_action` VALUES ('57', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('57', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('61', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('61', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('61', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('61', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('61', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('61', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('61', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('61', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('61', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('61', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('61', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('61', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('66', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('94', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('94', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('94', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('95', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('95', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('95', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('95', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('96', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('96', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('96', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('96', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('98', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('98', '18', '12', '24');
INSERT INTO `spr_action` VALUES ('98', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('100', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('100', '18', '12', '24');
INSERT INTO `spr_action` VALUES ('100', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('102', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('104', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('110', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('110', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('110', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('111', '5', '27', '24');
INSERT INTO `spr_action` VALUES ('111', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('111', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('114', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('116', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('118', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('123', '0', '275', '24');
INSERT INTO `spr_action` VALUES ('128', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('128', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('128', '19', '15', '24');
INSERT INTO `spr_action` VALUES ('128', '18', '15', '24');
INSERT INTO `spr_action` VALUES ('129', '0', '275', '24');
INSERT INTO `spr_action` VALUES ('133', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('134', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('136', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('138', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('138', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('138', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('138', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('138', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('138', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('138', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('138', '25', '26', '24');
INSERT INTO `spr_action` VALUES ('138', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('138', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('140', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('141', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('142', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('143', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('143', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('144', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('144', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('144', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('144', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('145', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('145', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('145', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('145', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('146', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('146', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('146', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('146', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('147', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('148', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('148', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('148', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('149', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('152', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('152', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('152', '18', '41', '24');
INSERT INTO `spr_action` VALUES ('152', '19', '41', '24');
INSERT INTO `spr_action` VALUES ('166', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('167', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('168', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('169', '0', '7', '24');
INSERT INTO `spr_action` VALUES ('170', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('171', '0', '5', '24');
INSERT INTO `spr_action` VALUES ('172', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('173', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('173', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('173', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('173', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('180', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('183', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('183', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('183', '18', '15', '24');
INSERT INTO `spr_action` VALUES ('183', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('185', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('185', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('185', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('185', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('187', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('187', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('187', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('187', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('189', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('190', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('191', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('192', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('193', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('194', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('195', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('196', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('197', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('198', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('199', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('200', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('201', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('202', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('203', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('204', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('205', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('206', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('207', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('208', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('209', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('210', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('211', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('212', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('213', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('214', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('215', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('216', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('217', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('218', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('219', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('220', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('221', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('222', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('224', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('226', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('227', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('228', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('229', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('230', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('231', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('232', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('233', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('234', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('235', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('236', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('237', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('237', '18', '12', '24');
INSERT INTO `spr_action` VALUES ('237', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('240', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('240', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('240', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('240', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('243', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('244', '0', '128', '24');
INSERT INTO `spr_action` VALUES ('245', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('246', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('246', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('246', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('246', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('252', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('255', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('255', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('255', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('255', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('257', '0', '27', '24');
INSERT INTO `spr_action` VALUES ('257', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('257', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('257', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('259', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('261', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('265', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('266', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('266', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('267', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('267', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('275', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('276', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('279', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('287', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('298', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('303', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('304', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('321', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('323', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('326', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('335', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('335', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('337', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('338', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('375', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('378', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('381', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('382', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('399', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('457', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('460', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('463', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('465', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('467', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('469', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('471', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('473', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('474', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('475', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('476', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('477', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('479', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('484', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('485', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('486', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('489', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('492', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('493', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('497', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('500', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('501', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('503', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('504', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('506', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('510', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('514', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('525', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('528', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('531', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('541', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('543', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('549', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('551', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('554', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('561', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('566', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('568', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('578', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('579', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('585', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('586', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('588', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('592', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('593', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('596', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('599', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('604', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('609', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('610', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('624', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('642', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('643', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('646', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('649', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('651', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('656', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('664', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('665', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('666', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('671', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('672', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('678', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('685', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('686', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('687', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('688', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('689', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('691', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('693', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('694', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('695', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('696', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('697', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('698', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('699', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('700', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('701', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('702', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('703', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('704', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('705', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('706', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('721', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('723', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('725', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('727', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('734', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('734', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('734', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('734', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('734', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('734', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('734', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('734', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('734', '41', '28', '24');
INSERT INTO `spr_action` VALUES ('734', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('744', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('745', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('746', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('747', '0', '76', '24');
INSERT INTO `spr_action` VALUES ('748', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('749', '0', '66', '24');
INSERT INTO `spr_action` VALUES ('750', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('751', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('752', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('754', '0', '41', '24');
INSERT INTO `spr_action` VALUES ('755', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('756', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('757', '0', '69', '24');
INSERT INTO `spr_action` VALUES ('758', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('759', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('760', '0', '126', '24');
INSERT INTO `spr_action` VALUES ('761', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('762', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('763', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('782', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('782', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('782', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('782', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('784', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('784', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('784', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('784', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('786', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('786', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('786', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('786', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('788', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('788', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('788', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('788', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('790', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('790', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('790', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('790', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('792', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('793', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('794', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('795', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('796', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('796', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('797', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('798', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('799', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('800', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('801', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('805', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('805', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('816', '21', '41', '24');
INSERT INTO `spr_action` VALUES ('818', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('821', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('821', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('822', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('822', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('823', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('823', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('824', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('824', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('825', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('825', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('826', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('826', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('829', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('830', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('831', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('832', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('834', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('847', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('847', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('847', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('847', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('849', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('851', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('851', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('851', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('851', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('852', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('852', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('852', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('852', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('854', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('854', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('854', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('854', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('864', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('864', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('864', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('864', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('865', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('865', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('865', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('865', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('870', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('871', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('875', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('875', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('875', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('875', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('877', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('891', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('894', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('894', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('894', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('894', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('895', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('895', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('895', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('895', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('896', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('896', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('896', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('896', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('897', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('901', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('901', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('902', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('912', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('913', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('913', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('914', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('916', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('918', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('924', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('925', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('929', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('929', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('931', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('931', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('934', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('934', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('936', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('936', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('938', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('938', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('940', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('941', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('943', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('945', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('947', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('949', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('951', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('951', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('954', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('971', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('975', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('976', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('977', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('978', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('979', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('979', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('981', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('982', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('983', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('984', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('985', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('986', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('987', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('988', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('989', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('990', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('991', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('992', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('993', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('994', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('998', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('999', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1000', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1002', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1003', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1004', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1007', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('1011', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1011', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('1011', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('1011', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('1014', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1020', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1020', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('1020', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('1020', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('1022', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('1022', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('1022', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('1022', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('1024', '0', '21', '24');
INSERT INTO `spr_action` VALUES ('1024', '5', '31', '24');
INSERT INTO `spr_action` VALUES ('1024', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('1024', '18', '54', '24');
INSERT INTO `spr_action` VALUES ('1037', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1037', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('1039', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1039', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('1041', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('1041', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('1041', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('1043', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1044', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1045', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1045', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('1047', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1047', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('1049', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1052', '0', '13', '24');
INSERT INTO `spr_action` VALUES ('1052', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('1052', '18', '44', '24');
INSERT INTO `spr_action` VALUES ('1052', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('1054', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1059', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1059', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('1059', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('1059', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('1061', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('1062', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('1062', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('1064', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('1065', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1066', '0', '21', '24');
INSERT INTO `spr_action` VALUES ('1068', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1069', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1070', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1071', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1072', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1073', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1074', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1075', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1076', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1077', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1078', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1079', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('1080', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('1080', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('1080', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('1082', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1082', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('1082', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('1084', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('1085', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1086', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('1087', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('1088', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('1089', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('1090', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1091', '0', '147', '24');
INSERT INTO `spr_action` VALUES ('1093', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('1093', '1', '4', '24');
INSERT INTO `spr_action` VALUES ('1093', '18', '4', '24');
INSERT INTO `spr_action` VALUES ('1096', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1096', '19', '46', '24');
INSERT INTO `spr_action` VALUES ('1096', '18', '46', '24');
INSERT INTO `spr_action` VALUES ('1096', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('1098', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1098', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('1098', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('1098', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('1100', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('1101', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('1102', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('1103', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('1104', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1104', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('1104', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('1104', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('1106', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1106', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('1106', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('1106', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('1108', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1108', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('1108', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('1108', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('1110', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1110', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('1110', '18', '44', '24');
INSERT INTO `spr_action` VALUES ('1110', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('1112', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1112', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('1112', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('1115', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1116', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1116', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('1116', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('1119', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1120', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('1120', '1', '4', '24');
INSERT INTO `spr_action` VALUES ('1120', '12', '4', '24');
INSERT INTO `spr_action` VALUES ('1120', '18', '4', '24');
INSERT INTO `spr_action` VALUES ('1120', '19', '4', '24');
INSERT INTO `spr_action` VALUES ('1120', '21', '4', '24');
INSERT INTO `spr_action` VALUES ('1120', '25', '4', '24');
INSERT INTO `spr_action` VALUES ('1120', '41', '4', '24');
INSERT INTO `spr_action` VALUES ('1121', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1121', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('1123', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1123', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('1123', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('1125', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1125', '1', '48', '24');
INSERT INTO `spr_action` VALUES ('1125', '18', '57', '24');
INSERT INTO `spr_action` VALUES ('1127', '0', '62', '24');
INSERT INTO `spr_action` VALUES ('1128', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1128', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('1128', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('1128', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('1130', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1130', '19', '46', '24');
INSERT INTO `spr_action` VALUES ('1130', '18', '46', '24');
INSERT INTO `spr_action` VALUES ('1130', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('1132', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1132', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('1132', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('1132', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('1134', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1134', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('1134', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('1134', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('1150', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('1150', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('1150', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('1150', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('1152', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1152', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('1152', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('1152', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('1154', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('1156', '0', '1', '24');
INSERT INTO `spr_action` VALUES ('1158', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1158', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('1158', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('1158', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('1160', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('1161', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('1162', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1162', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('1162', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('1162', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('1168', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1169', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1173', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1173', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('1175', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1175', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('1180', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1180', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('1180', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('1180', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('1183', '0', '76', '24');
INSERT INTO `spr_action` VALUES ('1184', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1184', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('1186', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1186', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('1186', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('1186', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('1186', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('1186', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('1186', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('1186', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('1186', '41', '28', '24');
INSERT INTO `spr_action` VALUES ('1186', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('1202', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1202', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('1202', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('1202', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('1204', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1204', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('1204', '5', '32', '24');
INSERT INTO `spr_action` VALUES ('1204', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('1204', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('1206', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1206', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('1206', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('1206', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('1208', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1208', '18', '127', '24');
INSERT INTO `spr_action` VALUES ('1208', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('1211', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1211', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('1211', '18', '54', '24');
INSERT INTO `spr_action` VALUES ('1211', '19', '54', '24');
INSERT INTO `spr_action` VALUES ('1214', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('1216', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1222', '0', '7', '24');
INSERT INTO `spr_action` VALUES ('1222', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('1222', '5', '31', '24');
INSERT INTO `spr_action` VALUES ('1224', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1224', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('1224', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('1236', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1237', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1238', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1243', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1243', '18', '160', '24');
INSERT INTO `spr_action` VALUES ('1245', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1245', '1', '56', '24');
INSERT INTO `spr_action` VALUES ('1245', '5', '44', '24');
INSERT INTO `spr_action` VALUES ('1245', '12', '44', '24');
INSERT INTO `spr_action` VALUES ('1245', '25', '47', '24');
INSERT INTO `spr_action` VALUES ('1245', '18', '71', '24');
INSERT INTO `spr_action` VALUES ('1245', '19', '66', '24');
INSERT INTO `spr_action` VALUES ('1248', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1249', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1250', '1', '46', '24');
INSERT INTO `spr_action` VALUES ('1250', '0', '7', '24');
INSERT INTO `spr_action` VALUES ('1254', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1256', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1258', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('1259', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('1260', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('1261', '0', '43', '24');
INSERT INTO `spr_action` VALUES ('1262', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('1263', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1264', '0', '80', '24');
INSERT INTO `spr_action` VALUES ('1265', '0', '96', '24');
INSERT INTO `spr_action` VALUES ('1266', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1271', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1271', '18', '154', '24');
INSERT INTO `spr_action` VALUES ('1273', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1276', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1278', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1280', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1282', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1286', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1288', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1290', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1294', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1296', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1298', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1298', '18', '48', '24');
INSERT INTO `spr_action` VALUES ('1301', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1303', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1307', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1308', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1310', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1310', '1', '44', '24');
INSERT INTO `spr_action` VALUES ('1312', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1314', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1316', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('1318', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1318', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('1320', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1321', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1321', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('1323', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1343', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1343', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('1353', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1355', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1357', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1359', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1390', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1390', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('1461', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1462', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1463', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1464', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1465', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1466', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1467', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1468', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1469', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1470', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1471', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1472', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1473', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1474', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1475', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1476', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1477', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1477', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('1479', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1479', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('1481', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1505', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1506', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1507', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1508', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1509', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1510', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1511', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1512', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1513', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1514', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1515', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1516', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1517', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1517', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('1520', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1520', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('1525', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1525', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('1528', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1529', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1530', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1531', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1532', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1533', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1538', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1538', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('1540', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1540', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('1542', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1542', '1', '50', '24');
INSERT INTO `spr_action` VALUES ('1542', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('1555', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1555', '1', '50', '24');
INSERT INTO `spr_action` VALUES ('1555', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('1569', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1569', '1', '50', '24');
INSERT INTO `spr_action` VALUES ('1569', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('1571', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1571', '1', '48', '24');
INSERT INTO `spr_action` VALUES ('1572', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1572', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('1574', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1574', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('1576', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('1576', '1', '57', '24');
INSERT INTO `spr_action` VALUES ('1578', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1578', '1', '48', '24');
INSERT INTO `spr_action` VALUES ('1580', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1583', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('1584', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1590', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1590', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('1590', '5', '55', '24');
INSERT INTO `spr_action` VALUES ('1590', '12', '46', '24');
INSERT INTO `spr_action` VALUES ('1590', '25', '51', '24');
INSERT INTO `spr_action` VALUES ('1590', '18', '76', '24');
INSERT INTO `spr_action` VALUES ('1590', '19', '87', '24');
INSERT INTO `spr_action` VALUES ('1593', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('1594', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('1595', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1595', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('1597', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1597', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('1600', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1600', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('1603', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1603', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('1603', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('1606', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1607', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1608', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1609', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1610', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1610', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('1612', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('1612', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('1614', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('1614', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('1616', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1616', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('1616', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('1619', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1621', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1623', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1625', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1626', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1626', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('1628', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1628', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('1632', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1632', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('1634', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1636', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('1636', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('1638', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('1638', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('1640', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1642', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1642', '1', '50', '24');
INSERT INTO `spr_action` VALUES ('1644', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('1644', '1', '44', '24');
INSERT INTO `spr_action` VALUES ('1646', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1646', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('1649', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1649', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('1651', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1651', '1', '74', '24');
INSERT INTO `spr_action` VALUES ('1653', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1655', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1657', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1659', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1659', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('1659', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('1661', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1662', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1663', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('1666', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1666', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('1676', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('1679', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('1682', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('1693', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1693', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('1694', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1694', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('1695', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1696', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1696', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('1697', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1697', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('1697', '5', '55', '24');
INSERT INTO `spr_action` VALUES ('1697', '12', '46', '24');
INSERT INTO `spr_action` VALUES ('1697', '25', '51', '24');
INSERT INTO `spr_action` VALUES ('1697', '18', '76', '24');
INSERT INTO `spr_action` VALUES ('1697', '19', '87', '24');
INSERT INTO `spr_action` VALUES ('1698', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1698', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('1699', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1699', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('1713', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('1713', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('1714', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1747', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1748', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1749', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1753', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1760', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1760', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('1760', '5', '31', '24');
INSERT INTO `spr_action` VALUES ('1760', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('1762', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1762', '1', '54', '24');
INSERT INTO `spr_action` VALUES ('1762', '19', '54', '24');
INSERT INTO `spr_action` VALUES ('1762', '18', '54', '24');
INSERT INTO `spr_action` VALUES ('1765', '0', '62', '24');
INSERT INTO `spr_action` VALUES ('1766', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1768', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1770', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1770', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('1773', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1773', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('1773', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('1776', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1777', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('1778', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1780', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('1780', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('1783', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1784', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1786', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1791', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1791', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('1791', '18', '48', '24');
INSERT INTO `spr_action` VALUES ('1793', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('1794', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('1797', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('1798', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('1799', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('1800', '0', '21', '24');
INSERT INTO `spr_action` VALUES ('1801', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('1804', '0', '98', '24');
INSERT INTO `spr_action` VALUES ('1805', '0', '67', '24');
INSERT INTO `spr_action` VALUES ('1808', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1809', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('1810', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('1811', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('1812', '0', '241', '24');
INSERT INTO `spr_action` VALUES ('1815', '0', '69', '24');
INSERT INTO `spr_action` VALUES ('1819', '0', '57', '24');
INSERT INTO `spr_action` VALUES ('1820', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('1820', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('1822', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1823', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1824', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1825', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1828', '18', '44', '24');
INSERT INTO `spr_action` VALUES ('1832', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1832', '1', '50', '24');
INSERT INTO `spr_action` VALUES ('1832', '18', '59', '24');
INSERT INTO `spr_action` VALUES ('1832', '19', '59', '24');
INSERT INTO `spr_action` VALUES ('1835', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1837', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('1839', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1839', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('1841', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('1841', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('1844', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('1844', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('1911', '0', '58', '24');
INSERT INTO `spr_action` VALUES ('1912', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('1990', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('1991', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('1997', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('1997', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('2001', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2001', '1', '46', '24');
INSERT INTO `spr_action` VALUES ('2001', '5', '41', '24');
INSERT INTO `spr_action` VALUES ('2001', '18', '60', '24');
INSERT INTO `spr_action` VALUES ('2001', '19', '71', '24');
INSERT INTO `spr_action` VALUES ('2004', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2011', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2012', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2013', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2014', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2015', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('2016', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('2017', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('2018', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('2019', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2020', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2021', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2022', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2023', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2024', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2025', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2026', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2027', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2028', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2029', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2030', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2031', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('2032', '0', '92', '24');
INSERT INTO `spr_action` VALUES ('2033', '0', '92', '24');
INSERT INTO `spr_action` VALUES ('2034', '0', '120', '24');
INSERT INTO `spr_action` VALUES ('2035', '0', '120', '24');
INSERT INTO `spr_action` VALUES ('2036', '0', '96', '24');
INSERT INTO `spr_action` VALUES ('2037', '0', '96', '24');
INSERT INTO `spr_action` VALUES ('2038', '0', '96', '24');
INSERT INTO `spr_action` VALUES ('2039', '0', '96', '24');
INSERT INTO `spr_action` VALUES ('2040', '0', '136', '24');
INSERT INTO `spr_action` VALUES ('2041', '0', '136', '24');
INSERT INTO `spr_action` VALUES ('2042', '0', '136', '24');
INSERT INTO `spr_action` VALUES ('2043', '0', '136', '24');
INSERT INTO `spr_action` VALUES ('2044', '0', '148', '24');
INSERT INTO `spr_action` VALUES ('2045', '0', '148', '24');
INSERT INTO `spr_action` VALUES ('2046', '0', '160', '24');
INSERT INTO `spr_action` VALUES ('2047', '0', '152', '24');
INSERT INTO `spr_action` VALUES ('2048', '0', '204', '24');
INSERT INTO `spr_action` VALUES ('2049', '0', '80', '24');
INSERT INTO `spr_action` VALUES ('2051', '0', '80', '24');
INSERT INTO `spr_action` VALUES ('2053', '0', '80', '24');
INSERT INTO `spr_action` VALUES ('2055', '0', '80', '24');
INSERT INTO `spr_action` VALUES ('2059', '0', '80', '24');
INSERT INTO `spr_action` VALUES ('2060', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2064', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2064', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('2066', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2084', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2086', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2086', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('2090', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2092', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2092', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2100', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2100', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2112', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2112', '1', '48', '24');
INSERT INTO `spr_action` VALUES ('2112', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('2115', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2118', '0', '36', '36');
INSERT INTO `spr_action` VALUES ('2118', '18', '52', '24');
INSERT INTO `spr_action` VALUES ('2118', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('2121', '0', '100', '24');
INSERT INTO `spr_action` VALUES ('2122', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2123', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2124', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('2125', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('2127', '0', '66', '24');
INSERT INTO `spr_action` VALUES ('2129', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2129', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2129', '18', '50', '24');
INSERT INTO `spr_action` VALUES ('2129', '19', '60', '24');
INSERT INTO `spr_action` VALUES ('2129', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('2129', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('2129', '25', '24', '24');
INSERT INTO `spr_action` VALUES ('2129', '21', '46', '24');
INSERT INTO `spr_action` VALUES ('2129', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('2129', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('2129', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('2132', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2132', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('2132', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('2132', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('2132', '5', '30', '24');
INSERT INTO `spr_action` VALUES ('2132', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('2132', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('2132', '21', '56', '24');
INSERT INTO `spr_action` VALUES ('2132', '41', '29', '24');
INSERT INTO `spr_action` VALUES ('2132', '47', '22', '24');
INSERT INTO `spr_action` VALUES ('2132', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('2134', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2134', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('2137', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2137', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('2139', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2141', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2143', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2145', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2145', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('2147', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2147', '1', '44', '24');
INSERT INTO `spr_action` VALUES ('2150', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2150', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('2156', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2158', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2158', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('2165', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2166', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2167', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2168', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2169', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2170', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2171', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2172', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2173', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('2174', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('2175', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2176', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('2177', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('2178', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2179', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2180', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2181', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('2182', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2183', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('2184', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2185', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('2186', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2187', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('2188', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('2228', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('2229', '0', '47', '24');
INSERT INTO `spr_action` VALUES ('2230', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('2232', '0', '47', '24');
INSERT INTO `spr_action` VALUES ('2233', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2234', '0', '53', '24');
INSERT INTO `spr_action` VALUES ('2235', '0', '11', '24');
INSERT INTO `spr_action` VALUES ('2236', '0', '11', '24');
INSERT INTO `spr_action` VALUES ('2237', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2238', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2239', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2239', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('2240', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2240', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('2241', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2242', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2243', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('2244', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('2245', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('2246', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2247', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2248', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2249', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2250', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2251', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('2252', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('2255', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2261', '0', '69', '24');
INSERT INTO `spr_action` VALUES ('2262', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2262', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2262', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('2262', '19', '48', '24');
INSERT INTO `spr_action` VALUES ('2262', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('2262', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('2262', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('2262', '21', '38', '24');
INSERT INTO `spr_action` VALUES ('2262', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('2262', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('2262', '55', '40', '24');
INSERT INTO `spr_action` VALUES ('2264', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2264', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2264', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('2264', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('2264', '5', '19', '24');
INSERT INTO `spr_action` VALUES ('2264', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('2264', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('2264', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('2264', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('2264', '55', '40', '24');
INSERT INTO `spr_action` VALUES ('2266', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2266', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('2267', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2267', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('2268', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2268', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('2269', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2269', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('2269', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('2269', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('2269', '5', '30', '24');
INSERT INTO `spr_action` VALUES ('2269', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('2269', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('2269', '21', '56', '24');
INSERT INTO `spr_action` VALUES ('2269', '41', '29', '24');
INSERT INTO `spr_action` VALUES ('2269', '47', '22', '24');
INSERT INTO `spr_action` VALUES ('2269', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('2271', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2271', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('2273', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('2273', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2274', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('2274', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2275', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('2275', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2276', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('2276', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2277', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2278', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2279', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('2280', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('2281', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('2282', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2282', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('2283', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2283', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('2284', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('2284', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2284', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('2284', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('2284', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('2285', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2286', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2287', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2288', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2289', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2289', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('2291', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2291', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2291', '18', '50', '24');
INSERT INTO `spr_action` VALUES ('2291', '19', '60', '24');
INSERT INTO `spr_action` VALUES ('2291', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('2291', '12', '23', '24');
INSERT INTO `spr_action` VALUES ('2291', '25', '23', '24');
INSERT INTO `spr_action` VALUES ('2291', '21', '46', '24');
INSERT INTO `spr_action` VALUES ('2291', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('2291', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('2291', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('2293', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2295', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2295', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('2308', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2308', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('2314', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2323', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('2323', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('2323', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('2323', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('2323', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('2332', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2332', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('2335', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2335', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('2337', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2337', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('2337', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('2337', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('2338', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2338', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2338', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('2338', '19', '48', '24');
INSERT INTO `spr_action` VALUES ('2338', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('2338', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('2338', '25', '24', '24');
INSERT INTO `spr_action` VALUES ('2338', '21', '38', '24');
INSERT INTO `spr_action` VALUES ('2338', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('2338', '51', '36', '24');
INSERT INTO `spr_action` VALUES ('2338', '55', '40', '24');
INSERT INTO `spr_action` VALUES ('2340', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2340', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('2342', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2342', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2342', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('2342', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('2342', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('2342', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('2342', '25', '26', '24');
INSERT INTO `spr_action` VALUES ('2342', '21', '23', '24');
INSERT INTO `spr_action` VALUES ('2342', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('2342', '55', '40', '24');
INSERT INTO `spr_action` VALUES ('2349', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('2350', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2350', '1', '23', '36');
INSERT INTO `spr_action` VALUES ('2351', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2351', '1', '47', '36');
INSERT INTO `spr_action` VALUES ('2352', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2352', '1', '47', '36');
INSERT INTO `spr_action` VALUES ('2353', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2353', '1', '32', '36');
INSERT INTO `spr_action` VALUES ('2354', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2354', '1', '37', '36');
INSERT INTO `spr_action` VALUES ('2355', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2355', '1', '40', '36');
INSERT INTO `spr_action` VALUES ('2356', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2356', '1', '29', '36');
INSERT INTO `spr_action` VALUES ('2357', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2357', '1', '21', '36');
INSERT INTO `spr_action` VALUES ('2357', '18', '41', '36');
INSERT INTO `spr_action` VALUES ('2357', '19', '41', '36');
INSERT INTO `spr_action` VALUES ('2358', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2358', '1', '21', '36');
INSERT INTO `spr_action` VALUES ('2358', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('2358', '19', '32', '36');
INSERT INTO `spr_action` VALUES ('2359', '0', '23', '36');
INSERT INTO `spr_action` VALUES ('2359', '1', '31', '36');
INSERT INTO `spr_action` VALUES ('2359', '18', '27', '36');
INSERT INTO `spr_action` VALUES ('2360', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2360', '1', '26', '36');
INSERT INTO `spr_action` VALUES ('2360', '18', '44', '36');
INSERT INTO `spr_action` VALUES ('2361', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2361', '1', '29', '36');
INSERT INTO `spr_action` VALUES ('2362', '0', '8', '36');
INSERT INTO `spr_action` VALUES ('2362', '1', '24', '36');
INSERT INTO `spr_action` VALUES ('2363', '0', '21', '36');
INSERT INTO `spr_action` VALUES ('2363', '5', '31', '36');
INSERT INTO `spr_action` VALUES ('2363', '1', '31', '36');
INSERT INTO `spr_action` VALUES ('2363', '18', '54', '36');
INSERT INTO `spr_action` VALUES ('2364', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2364', '1', '29', '36');
INSERT INTO `spr_action` VALUES ('2365', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2365', '1', '29', '36');
INSERT INTO `spr_action` VALUES ('2366', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2366', '1', '22', '36');
INSERT INTO `spr_action` VALUES ('2366', '18', '36', '36');
INSERT INTO `spr_action` VALUES ('2366', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('2367', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2367', '1', '24', '36');
INSERT INTO `spr_action` VALUES ('2367', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('2367', '18', '36', '36');
INSERT INTO `spr_action` VALUES ('2368', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2368', '1', '27', '36');
INSERT INTO `spr_action` VALUES ('2368', '18', '28', '36');
INSERT INTO `spr_action` VALUES ('2368', '19', '28', '36');
INSERT INTO `spr_action` VALUES ('2369', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('2369', '1', '22', '36');
INSERT INTO `spr_action` VALUES ('2369', '19', '42', '36');
INSERT INTO `spr_action` VALUES ('2369', '18', '42', '36');
INSERT INTO `spr_action` VALUES ('2370', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('2370', '1', '21', '36');
INSERT INTO `spr_action` VALUES ('2370', '19', '42', '36');
INSERT INTO `spr_action` VALUES ('2370', '18', '42', '36');
INSERT INTO `spr_action` VALUES ('2371', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2371', '1', '32', '36');
INSERT INTO `spr_action` VALUES ('2371', '18', '38', '36');
INSERT INTO `spr_action` VALUES ('2371', '19', '38', '36');
INSERT INTO `spr_action` VALUES ('2372', '0', '27', '36');
INSERT INTO `spr_action` VALUES ('2372', '1', '16', '36');
INSERT INTO `spr_action` VALUES ('2372', '19', '19', '36');
INSERT INTO `spr_action` VALUES ('2372', '18', '19', '36');
INSERT INTO `spr_action` VALUES ('2373', '0', '27', '36');
INSERT INTO `spr_action` VALUES ('2373', '1', '16', '36');
INSERT INTO `spr_action` VALUES ('2373', '19', '19', '36');
INSERT INTO `spr_action` VALUES ('2373', '18', '19', '36');
INSERT INTO `spr_action` VALUES ('2374', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('2374', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('2374', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('2374', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('2374', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '12', '23', '24');
INSERT INTO `spr_action` VALUES ('2374', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '41', '23', '24');
INSERT INTO `spr_action` VALUES ('2374', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('2374', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('2374', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '55', '23', '24');
INSERT INTO `spr_action` VALUES ('2374', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('2374', '59', '23', '24');
INSERT INTO `spr_action` VALUES ('2374', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('2375', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('2375', '19', '46', '24');
INSERT INTO `spr_action` VALUES ('2375', '18', '46', '24');
INSERT INTO `spr_action` VALUES ('2375', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2376', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('2376', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('2376', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('2376', '4', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('2376', '11', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '12', '25', '24');
INSERT INTO `spr_action` VALUES ('2376', '20', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '24', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '40', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '41', '25', '24');
INSERT INTO `spr_action` VALUES ('2376', '46', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '47', '25', '24');
INSERT INTO `spr_action` VALUES ('2376', '50', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('2376', '54', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '55', '25', '24');
INSERT INTO `spr_action` VALUES ('2376', '58', '15', '24');
INSERT INTO `spr_action` VALUES ('2376', '59', '25', '24');
INSERT INTO `spr_action` VALUES ('2376', '62', '15', '24');
INSERT INTO `spr_action` VALUES ('2377', '0', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2377', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('2377', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('2377', '4', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('2377', '11', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('2377', '20', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '24', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('2377', '40', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('2377', '46', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '47', '22', '24');
INSERT INTO `spr_action` VALUES ('2377', '50', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('2377', '54', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('2377', '58', '17', '24');
INSERT INTO `spr_action` VALUES ('2377', '59', '22', '24');
INSERT INTO `spr_action` VALUES ('2377', '62', '17', '24');
INSERT INTO `spr_action` VALUES ('2378', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('2378', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('2378', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('2378', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('2378', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('2378', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '41', '21', '24');
INSERT INTO `spr_action` VALUES ('2378', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('2378', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('2378', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '55', '21', '24');
INSERT INTO `spr_action` VALUES ('2378', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('2378', '59', '21', '24');
INSERT INTO `spr_action` VALUES ('2378', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('2379', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2379', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('2379', '18', '45', '24');
INSERT INTO `spr_action` VALUES ('2382', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2382', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2384', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2384', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('2384', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('2384', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('2384', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('2384', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('2384', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('2384', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('2384', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('2384', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('2384', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('2384', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('2385', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('2385', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('2385', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('2385', '4', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('2385', '11', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('2385', '20', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '24', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '40', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('2385', '46', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '47', '24', '24');
INSERT INTO `spr_action` VALUES ('2385', '50', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('2385', '54', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('2385', '58', '19', '24');
INSERT INTO `spr_action` VALUES ('2385', '59', '24', '24');
INSERT INTO `spr_action` VALUES ('2385', '62', '19', '24');
INSERT INTO `spr_action` VALUES ('2386', '0', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('2386', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('2386', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('2386', '4', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('2386', '11', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('2386', '20', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '24', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '40', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '41', '21', '24');
INSERT INTO `spr_action` VALUES ('2386', '46', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('2386', '50', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '51', '23', '24');
INSERT INTO `spr_action` VALUES ('2386', '54', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '55', '21', '24');
INSERT INTO `spr_action` VALUES ('2386', '58', '17', '24');
INSERT INTO `spr_action` VALUES ('2386', '59', '21', '24');
INSERT INTO `spr_action` VALUES ('2386', '62', '17', '24');
INSERT INTO `spr_action` VALUES ('2387', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('2387', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('2387', '4', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '11', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '24', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '40', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '46', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '50', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('2387', '54', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '58', '22', '24');
INSERT INTO `spr_action` VALUES ('2387', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('2387', '62', '22', '24');
INSERT INTO `spr_action` VALUES ('2388', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('2389', '0', '26', '36');
INSERT INTO `spr_action` VALUES ('2389', '1', '36', '48');
INSERT INTO `spr_action` VALUES ('2389', '18', '52', '48');
INSERT INTO `spr_action` VALUES ('2392', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2392', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('2398', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2400', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2402', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2402', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('2402', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('2405', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2407', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2407', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('2409', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2409', '18', '44', '24');
INSERT INTO `spr_action` VALUES ('2409', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('2412', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('2412', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('2415', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2417', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2417', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('2419', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2419', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('2419', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('2421', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2421', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('2421', '18', '47', '24');
INSERT INTO `spr_action` VALUES ('2423', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('2424', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('2429', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2435', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('2435', '1', '48', '36');
INSERT INTO `spr_action` VALUES ('2435', '18', '57', '36');
INSERT INTO `spr_action` VALUES ('2436', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('2436', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2436', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('2436', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('2437', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('2437', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2438', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('2438', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('2443', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2443', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('2457', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2457', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2460', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2460', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('2466', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2468', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2468', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('2468', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('2477', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2477', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2483', '0', '241', '24');
INSERT INTO `spr_action` VALUES ('2484', '0', '241', '24');
INSERT INTO `spr_action` VALUES ('2487', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2487', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('2489', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2489', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('2491', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2493', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2495', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2495', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('2495', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('2499', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('2499', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '5', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '12', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '24', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '41', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '47', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '51', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '55', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('2501', '59', '29', '24');
INSERT INTO `spr_action` VALUES ('2501', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('2505', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2507', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2508', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2510', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2511', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2513', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2513', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2516', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2516', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('2524', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('2524', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('2524', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('2524', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('2527', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2529', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2531', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2533', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2533', '1', '44', '24');
INSERT INTO `spr_action` VALUES ('2535', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2535', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('2535', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('2537', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('2538', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2538', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('2538', '18', '43', '24');
INSERT INTO `spr_action` VALUES ('2541', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2541', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('2541', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('2541', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('2544', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2544', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('2544', '5', '36', '24');
INSERT INTO `spr_action` VALUES ('2544', '12', '36', '24');
INSERT INTO `spr_action` VALUES ('2544', '18', '64', '24');
INSERT INTO `spr_action` VALUES ('2544', '19', '64', '24');
INSERT INTO `spr_action` VALUES ('2546', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2551', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2552', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2559', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('2560', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2561', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('2562', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2564', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('2565', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('2566', '0', '92', '24');
INSERT INTO `spr_action` VALUES ('2567', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('2568', '0', '53', '24');
INSERT INTO `spr_action` VALUES ('2647', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2647', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2648', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2648', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('2649', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2649', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('2650', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2650', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2651', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2652', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2653', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2654', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2666', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2668', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2670', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2672', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('2676', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('2677', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('2678', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('2683', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2684', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2685', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2686', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2687', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2688', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2689', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2710', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2711', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2711', '1', '50', '24');
INSERT INTO `spr_action` VALUES ('2712', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2712', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2712', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('2713', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2713', '1', '66', '24');
INSERT INTO `spr_action` VALUES ('2713', '19', '66', '24');
INSERT INTO `spr_action` VALUES ('2713', '18', '66', '24');
INSERT INTO `spr_action` VALUES ('2714', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2714', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('2714', '18', '47', '24');
INSERT INTO `spr_action` VALUES ('2715', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2715', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2715', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('2716', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2716', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('2716', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('2719', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2720', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2721', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2722', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('2724', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2724', '1', '44', '24');
INSERT INTO `spr_action` VALUES ('2727', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2727', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('2727', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('2728', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2728', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2728', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2734', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('2734', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('2738', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2738', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('2738', '18', '56', '24');
INSERT INTO `spr_action` VALUES ('2739', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2740', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2741', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2741', '1', '52', '24');
INSERT INTO `spr_action` VALUES ('2741', '19', '51', '24');
INSERT INTO `spr_action` VALUES ('2742', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2742', '1', '43', '24');
INSERT INTO `spr_action` VALUES ('2747', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2747', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('2747', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('2748', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2749', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2749', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('2749', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('2750', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2751', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2752', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2752', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2752', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2753', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2755', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2755', '1', '42', '24');
INSERT INTO `spr_action` VALUES ('2757', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2757', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('2757', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('2759', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2760', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2761', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2762', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2763', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2763', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('2763', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('2763', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('2765', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2767', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2769', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('2771', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2771', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('2773', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2773', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('2773', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('2773', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('2775', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('2778', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2778', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('2779', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2785', '0', '100', '24');
INSERT INTO `spr_action` VALUES ('2786', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2786', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('2786', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('2786', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('2786', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('2786', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('2786', '21', '28', '24');
INSERT INTO `spr_action` VALUES ('2786', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('2786', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('2786', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('2786', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('2788', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2788', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('2790', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2790', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('2791', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2791', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('2792', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2794', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2796', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('2796', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('2796', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('2796', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('2796', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('2796', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('2796', '21', '27', '24');
INSERT INTO `spr_action` VALUES ('2796', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('2796', '55', '27', '24');
INSERT INTO `spr_action` VALUES ('2796', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('2796', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('2798', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2799', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2800', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2801', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2803', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2803', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('2803', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('2805', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2806', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2807', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2807', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('2807', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('2807', '19', '46', '24');
INSERT INTO `spr_action` VALUES ('2809', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('2810', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2811', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2813', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2818', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('2819', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('2820', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2820', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('2829', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2843', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2843', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('2850', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2850', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('2885', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2885', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('2887', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2889', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2891', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2907', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2917', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2942', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('2943', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('2944', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('2945', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2946', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('2947', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('2948', '0', '42', '24');
INSERT INTO `spr_action` VALUES ('2949', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('2950', '0', '47', '24');
INSERT INTO `spr_action` VALUES ('2951', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('2952', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('2953', '0', '41', '24');
INSERT INTO `spr_action` VALUES ('2965', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2966', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2966', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2968', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2968', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2968', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2969', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2969', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2969', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2970', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2970', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2970', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2971', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2971', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2971', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2972', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2972', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2972', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2973', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2973', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2973', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2974', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2974', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2974', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2975', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2975', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('2975', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('2976', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2976', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('2977', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2977', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('2978', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('2978', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('2989', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('2992', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('3044', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('3044', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3046', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3046', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3046', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('3046', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('3049', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('3049', '1', '11', '24');
INSERT INTO `spr_action` VALUES ('3052', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3052', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('3054', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3054', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3054', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3054', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3057', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3057', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3057', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3057', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3060', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3060', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3060', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3060', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3063', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3063', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3063', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3063', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3066', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('3066', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('3070', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3070', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3070', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('3070', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3073', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3073', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3075', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3075', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3075', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('3075', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3078', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3080', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3080', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3080', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('3080', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('3083', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3083', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('3083', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3083', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3086', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('3086', '1', '11', '24');
INSERT INTO `spr_action` VALUES ('3089', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3089', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('3089', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('3092', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3092', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('3095', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3097', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('3099', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3101', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3101', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3101', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3101', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('3101', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('3101', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '41', '17', '24');
INSERT INTO `spr_action` VALUES ('3101', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('3101', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '51', '22', '24');
INSERT INTO `spr_action` VALUES ('3101', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('3101', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3101', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('3101', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3102', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('3102', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '25', '19', '24');
INSERT INTO `spr_action` VALUES ('3102', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '47', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '51', '22', '24');
INSERT INTO `spr_action` VALUES ('3102', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('3102', '59', '24', '24');
INSERT INTO `spr_action` VALUES ('3102', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3103', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('3103', '19', '22', '24');
INSERT INTO `spr_action` VALUES ('3103', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('3103', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('3103', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '25', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '41', '17', '24');
INSERT INTO `spr_action` VALUES ('3103', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('3103', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('3103', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('3103', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('3103', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('3103', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('3104', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('3105', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('3105', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3105', '18', '23', '24');
INSERT INTO `spr_action` VALUES ('3105', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('3107', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('3107', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3126', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3126', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('3126', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '21', '21', '24');
INSERT INTO `spr_action` VALUES ('3126', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3126', '63', '22', '24');
INSERT INTO `spr_action` VALUES ('3132', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('3132', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3134', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3134', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3136', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3136', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('3137', '21', '29', '24');
INSERT INTO `spr_action` VALUES ('3138', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3138', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('3138', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('3139', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3139', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('3140', '21', '28', '24');
INSERT INTO `spr_action` VALUES ('3141', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3141', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('3142', '21', '25', '24');
INSERT INTO `spr_action` VALUES ('3143', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3143', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3143', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3145', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('3145', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3145', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3145', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('3148', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('3148', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3148', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3148', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3151', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('3151', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3151', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3151', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('3154', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3154', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('3156', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3156', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('3178', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('3178', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('3178', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('3180', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('3180', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('3182', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3182', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3182', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('3184', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('3184', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3187', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3188', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3188', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('3194', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3195', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3195', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('3198', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('3199', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3199', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3204', '0', '175', '24');
INSERT INTO `spr_action` VALUES ('3205', '0', '175', '24');
INSERT INTO `spr_action` VALUES ('3206', '0', '175', '24');
INSERT INTO `spr_action` VALUES ('3207', '0', '175', '24');
INSERT INTO `spr_action` VALUES ('3208', '0', '175', '24');
INSERT INTO `spr_action` VALUES ('3209', '0', '175', '24');
INSERT INTO `spr_action` VALUES ('3210', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('3210', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3211', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3211', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3229', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3230', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3231', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3237', '0', '126', '24');
INSERT INTO `spr_action` VALUES ('3238', '0', '126', '24');
INSERT INTO `spr_action` VALUES ('3241', '0', '197', '24');
INSERT INTO `spr_action` VALUES ('3242', '0', '196', '24');
INSERT INTO `spr_action` VALUES ('3243', '0', '196', '24');
INSERT INTO `spr_action` VALUES ('3244', '0', '196', '24');
INSERT INTO `spr_action` VALUES ('3269', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3357', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('3357', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('3360', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('3360', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3360', '18', '56', '24');
INSERT INTO `spr_action` VALUES ('3362', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3363', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('3364', '0', '36', '36');
INSERT INTO `spr_action` VALUES ('3364', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('3365', '0', '36', '36');
INSERT INTO `spr_action` VALUES ('3365', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('3366', '0', '36', '96');
INSERT INTO `spr_action` VALUES ('3366', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('3376', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3376', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('3376', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('3376', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('3378', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('3379', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('3380', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3380', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3387', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3387', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('3387', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('3387', '19', '100', '24');
INSERT INTO `spr_action` VALUES ('3391', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3391', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('3391', '18', '79', '24');
INSERT INTO `spr_action` VALUES ('3391', '19', '100', '24');
INSERT INTO `spr_action` VALUES ('3393', '0', '100', '24');
INSERT INTO `spr_action` VALUES ('3394', '0', '100', '24');
INSERT INTO `spr_action` VALUES ('3395', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('3396', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3397', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('3398', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('3399', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3400', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3401', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3402', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3402', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('3404', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3404', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3409', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3409', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('3409', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('3412', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('3412', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('3414', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('3415', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3415', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('3415', '18', '48', '24');
INSERT INTO `spr_action` VALUES ('3417', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3420', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3420', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('3442', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3443', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3444', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3445', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3446', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3447', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3447', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('3448', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('3448', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3449', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('3449', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('3450', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3450', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('3451', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3451', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3452', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('3452', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3453', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3453', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('3453', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('3453', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('3454', '0', '36', '60');
INSERT INTO `spr_action` VALUES ('3454', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('3455', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('3456', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3456', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('3457', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('3472', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3472', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('3478', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3478', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3479', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3479', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3480', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3480', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3481', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3481', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3482', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3482', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3484', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('3497', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3497', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3498', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3498', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3499', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3499', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3500', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3500', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3501', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3501', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3502', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3502', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3503', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3503', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3504', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3504', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3505', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3505', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3506', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3506', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3507', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3507', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3508', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3508', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3509', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3509', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3510', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3510', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3511', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3511', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3512', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('3512', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3514', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3515', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3520', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3520', '1', '4', '24');
INSERT INTO `spr_action` VALUES ('3520', '18', '4', '24');
INSERT INTO `spr_action` VALUES ('3521', '1', '4', '24');
INSERT INTO `spr_action` VALUES ('3521', '18', '4', '24');
INSERT INTO `spr_action` VALUES ('3547', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3547', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('3554', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3556', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3558', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3560', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3562', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3564', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3566', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3566', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('3567', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('3568', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('3568', '18', '64', '24');
INSERT INTO `spr_action` VALUES ('3571', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('3572', '0', '51', '24');
INSERT INTO `spr_action` VALUES ('3574', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3574', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('3574', '18', '49', '24');
INSERT INTO `spr_action` VALUES ('3576', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3577', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3582', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3582', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('3584', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3585', '0', '31', '24');
INSERT INTO `spr_action` VALUES ('3586', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('3596', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3596', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('3598', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3630', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3630', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('3630', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('3630', '4', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('3630', '11', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('3630', '20', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '24', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '40', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('3630', '46', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '47', '22', '24');
INSERT INTO `spr_action` VALUES ('3630', '50', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('3630', '54', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('3630', '58', '20', '24');
INSERT INTO `spr_action` VALUES ('3630', '59', '22', '24');
INSERT INTO `spr_action` VALUES ('3630', '62', '20', '24');
INSERT INTO `spr_action` VALUES ('3631', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('3631', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3631', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3631', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('3632', '0', '13', '24');
INSERT INTO `spr_action` VALUES ('3632', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3632', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3632', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('3633', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3633', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('3633', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('3633', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('3633', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('3633', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('3633', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '47', '24', '24');
INSERT INTO `spr_action` VALUES ('3633', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('3633', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('3633', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3633', '59', '24', '24');
INSERT INTO `spr_action` VALUES ('3633', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3634', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3634', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('3634', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('3634', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('3634', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('3634', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '41', '17', '24');
INSERT INTO `spr_action` VALUES ('3634', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('3634', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3634', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '59', '18', '24');
INSERT INTO `spr_action` VALUES ('3634', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('3636', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3638', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3640', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3642', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3644', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3644', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3646', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('3647', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('3648', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('3649', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('3650', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3651', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3652', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3652', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('3654', '0', '36', '36');
INSERT INTO `spr_action` VALUES ('3654', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('3654', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('3655', '0', '80', '24');
INSERT INTO `spr_action` VALUES ('3658', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('3659', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3659', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3659', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('3659', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('3661', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3663', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('3663', '1', '50', '48');
INSERT INTO `spr_action` VALUES ('3663', '19', '43', '48');
INSERT INTO `spr_action` VALUES ('3664', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('3664', '1', '50', '48');
INSERT INTO `spr_action` VALUES ('3664', '19', '43', '24');
INSERT INTO `spr_action` VALUES ('3669', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('3670', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('3671', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3678', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3678', '1', '49', '24');
INSERT INTO `spr_action` VALUES ('3680', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('3685', '0', '86', '24');
INSERT INTO `spr_action` VALUES ('3687', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('3689', '1', '46', '24');
INSERT INTO `spr_action` VALUES ('3692', '0', '2', '24');
INSERT INTO `spr_action` VALUES ('3693', '0', '2', '24');
INSERT INTO `spr_action` VALUES ('3694', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('3694', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('3696', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('3698', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('3698', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('3698', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('3700', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3704', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3705', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('3740', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3741', '0', '13', '24');
INSERT INTO `spr_action` VALUES ('3742', '0', '100', '24');
INSERT INTO `spr_action` VALUES ('3743', '0', '100', '24');
INSERT INTO `spr_action` VALUES ('3744', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('3744', '1', '47', '24');
INSERT INTO `spr_action` VALUES ('3744', '19', '64', '24');
INSERT INTO `spr_action` VALUES ('3744', '18', '44', '24');
INSERT INTO `spr_action` VALUES ('3747', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3747', '1', '43', '24');
INSERT INTO `spr_action` VALUES ('3747', '18', '55', '24');
INSERT INTO `spr_action` VALUES ('3750', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '18', '56', '24');
INSERT INTO `spr_action` VALUES ('3750', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('3750', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3750', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3754', '0', '29', '24');
INSERT INTO `spr_action` VALUES ('3755', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('3756', '0', '100', '24');
INSERT INTO `spr_action` VALUES ('3757', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3757', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('3757', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('3758', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3760', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('3762', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3775', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3775', '18', '60', '24');
INSERT INTO `spr_action` VALUES ('3775', '19', '60', '24');
INSERT INTO `spr_action` VALUES ('3778', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('3783', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3783', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3783', '5', '26', '24');
INSERT INTO `spr_action` VALUES ('3783', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('3783', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('3783', '47', '26', '24');
INSERT INTO `spr_action` VALUES ('3783', '51', '35', '24');
INSERT INTO `spr_action` VALUES ('3783', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('3783', '59', '26', '24');
INSERT INTO `spr_action` VALUES ('3784', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('3784', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('3784', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('3784', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '5', '15', '24');
INSERT INTO `spr_action` VALUES ('3784', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '12', '15', '24');
INSERT INTO `spr_action` VALUES ('3784', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '41', '15', '24');
INSERT INTO `spr_action` VALUES ('3784', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('3784', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '51', '23', '24');
INSERT INTO `spr_action` VALUES ('3784', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '55', '19', '24');
INSERT INTO `spr_action` VALUES ('3784', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3784', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('3784', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3787', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3788', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3788', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('3789', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3789', '1', '48', '24');
INSERT INTO `spr_action` VALUES ('3789', '19', '48', '24');
INSERT INTO `spr_action` VALUES ('3789', '18', '48', '24');
INSERT INTO `spr_action` VALUES ('3799', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('3800', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3800', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3801', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3801', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('3844', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3844', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3845', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('3846', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('3846', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3847', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('3858', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3858', '18', '57', '24');
INSERT INTO `spr_action` VALUES ('3858', '19', '57', '24');
INSERT INTO `spr_action` VALUES ('3860', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '4', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '11', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('3860', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('3860', '20', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '21', '47', '24');
INSERT INTO `spr_action` VALUES ('3860', '24', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '40', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '46', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '50', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '54', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '58', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '62', '20', '24');
INSERT INTO `spr_action` VALUES ('3860', '63', '47', '24');
INSERT INTO `spr_action` VALUES ('3861', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('3861', '4', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('3861', '11', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '12', '23', '24');
INSERT INTO `spr_action` VALUES ('3861', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('3861', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('3861', '20', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '24', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '40', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '41', '23', '24');
INSERT INTO `spr_action` VALUES ('3861', '46', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('3861', '50', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '51', '36', '24');
INSERT INTO `spr_action` VALUES ('3861', '54', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '55', '23', '24');
INSERT INTO `spr_action` VALUES ('3861', '58', '19', '24');
INSERT INTO `spr_action` VALUES ('3861', '59', '23', '24');
INSERT INTO `spr_action` VALUES ('3861', '62', '19', '24');
INSERT INTO `spr_action` VALUES ('3862', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '4', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '5', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '11', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '12', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '20', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '24', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '40', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '41', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '46', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '47', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '50', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '51', '36', '24');
INSERT INTO `spr_action` VALUES ('3862', '54', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '55', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '58', '32', '24');
INSERT INTO `spr_action` VALUES ('3862', '59', '27', '24');
INSERT INTO `spr_action` VALUES ('3862', '62', '32', '24');
INSERT INTO `spr_action` VALUES ('3863', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '4', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '5', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '11', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '12', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '20', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '24', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '40', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '41', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '46', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '47', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '50', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('3863', '54', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '55', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '58', '15', '24');
INSERT INTO `spr_action` VALUES ('3863', '59', '37', '24');
INSERT INTO `spr_action` VALUES ('3863', '62', '15', '24');
INSERT INTO `spr_action` VALUES ('3864', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('3864', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('3864', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '12', '23', '24');
INSERT INTO `spr_action` VALUES ('3864', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('3864', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3864', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '41', '23', '24');
INSERT INTO `spr_action` VALUES ('3864', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('3864', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '51', '32', '24');
INSERT INTO `spr_action` VALUES ('3864', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '55', '23', '24');
INSERT INTO `spr_action` VALUES ('3864', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3864', '59', '23', '24');
INSERT INTO `spr_action` VALUES ('3864', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('3865', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('3865', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('3865', '18', '44', '24');
INSERT INTO `spr_action` VALUES ('3865', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('3865', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '41', '21', '24');
INSERT INTO `spr_action` VALUES ('3865', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('3865', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('3865', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '55', '21', '24');
INSERT INTO `spr_action` VALUES ('3865', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3865', '59', '21', '24');
INSERT INTO `spr_action` VALUES ('3865', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '5', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '47', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3866', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3866', '59', '26', '24');
INSERT INTO `spr_action` VALUES ('3866', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '5', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '47', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3867', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3867', '59', '26', '24');
INSERT INTO `spr_action` VALUES ('3867', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '5', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '47', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3868', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3868', '59', '26', '24');
INSERT INTO `spr_action` VALUES ('3868', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '5', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '12', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('3869', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '41', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '47', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3869', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '55', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3869', '59', '29', '24');
INSERT INTO `spr_action` VALUES ('3869', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '5', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '12', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('3870', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '41', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '47', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3870', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '55', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3870', '59', '29', '24');
INSERT INTO `spr_action` VALUES ('3870', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3871', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '19', '46', '24');
INSERT INTO `spr_action` VALUES ('3871', '18', '46', '24');
INSERT INTO `spr_action` VALUES ('3871', '4', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '11', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '20', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '21', '28', '24');
INSERT INTO `spr_action` VALUES ('3871', '24', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '40', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '46', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '50', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '54', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '58', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '62', '20', '24');
INSERT INTO `spr_action` VALUES ('3871', '63', '28', '24');
INSERT INTO `spr_action` VALUES ('3872', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3872', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('3872', '18', '40', '24');
INSERT INTO `spr_action` VALUES ('3872', '4', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '5', '26', '24');
INSERT INTO `spr_action` VALUES ('3872', '11', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('3872', '20', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '24', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '40', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('3872', '46', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '47', '26', '24');
INSERT INTO `spr_action` VALUES ('3872', '50', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3872', '54', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('3872', '58', '50', '24');
INSERT INTO `spr_action` VALUES ('3872', '59', '26', '24');
INSERT INTO `spr_action` VALUES ('3872', '62', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3873', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('3873', '18', '40', '24');
INSERT INTO `spr_action` VALUES ('3873', '4', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '5', '26', '24');
INSERT INTO `spr_action` VALUES ('3873', '11', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('3873', '20', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '24', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '40', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('3873', '46', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '47', '26', '24');
INSERT INTO `spr_action` VALUES ('3873', '50', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3873', '54', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('3873', '58', '50', '24');
INSERT INTO `spr_action` VALUES ('3873', '59', '26', '24');
INSERT INTO `spr_action` VALUES ('3873', '62', '50', '24');
INSERT INTO `spr_action` VALUES ('3874', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('3874', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('3874', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('3874', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('3874', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('3874', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('3874', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('3874', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('3874', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('3874', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3874', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('3874', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('3875', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('3875', '4', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '11', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '20', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '24', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '40', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '41', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '46', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '50', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '54', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '55', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '58', '25', '24');
INSERT INTO `spr_action` VALUES ('3875', '59', '16', '24');
INSERT INTO `spr_action` VALUES ('3875', '62', '25', '24');
INSERT INTO `spr_action` VALUES ('3876', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('3876', '18', '41', '24');
INSERT INTO `spr_action` VALUES ('3876', '19', '41', '24');
INSERT INTO `spr_action` VALUES ('3876', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('3876', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('3876', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '41', '21', '24');
INSERT INTO `spr_action` VALUES ('3876', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('3876', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('3876', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '55', '21', '24');
INSERT INTO `spr_action` VALUES ('3876', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3876', '59', '21', '24');
INSERT INTO `spr_action` VALUES ('3876', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3877', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('3877', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('3877', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3877', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '5', '30', '24');
INSERT INTO `spr_action` VALUES ('3877', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '12', '30', '24');
INSERT INTO `spr_action` VALUES ('3877', '20', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '24', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('3877', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '41', '30', '24');
INSERT INTO `spr_action` VALUES ('3877', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '47', '30', '24');
INSERT INTO `spr_action` VALUES ('3877', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '55', '30', '24');
INSERT INTO `spr_action` VALUES ('3877', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('3877', '59', '30', '24');
INSERT INTO `spr_action` VALUES ('3877', '62', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('3878', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('3878', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('3878', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '5', '30', '24');
INSERT INTO `spr_action` VALUES ('3878', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '12', '30', '24');
INSERT INTO `spr_action` VALUES ('3878', '20', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '24', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '41', '30', '24');
INSERT INTO `spr_action` VALUES ('3878', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '47', '30', '24');
INSERT INTO `spr_action` VALUES ('3878', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '55', '30', '24');
INSERT INTO `spr_action` VALUES ('3878', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('3878', '59', '30', '24');
INSERT INTO `spr_action` VALUES ('3878', '62', '24', '24');
INSERT INTO `spr_action` VALUES ('3879', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '18', '18', '24');
INSERT INTO `spr_action` VALUES ('3879', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('3879', '4', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '5', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '11', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '12', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '20', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '24', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '40', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '41', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '46', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '47', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '50', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '51', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '54', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '55', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '58', '20', '24');
INSERT INTO `spr_action` VALUES ('3879', '59', '45', '24');
INSERT INTO `spr_action` VALUES ('3879', '62', '20', '24');
INSERT INTO `spr_action` VALUES ('3880', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('3880', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('3880', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('3880', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('3880', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '12', '18', '24');
INSERT INTO `spr_action` VALUES ('3880', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '41', '18', '24');
INSERT INTO `spr_action` VALUES ('3880', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('3880', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '51', '23', '24');
INSERT INTO `spr_action` VALUES ('3880', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('3880', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3880', '59', '18', '24');
INSERT INTO `spr_action` VALUES ('3880', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3881', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3881', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3881', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('3881', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('3881', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('3881', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '47', '22', '24');
INSERT INTO `spr_action` VALUES ('3881', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('3881', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('3881', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3881', '59', '22', '24');
INSERT INTO `spr_action` VALUES ('3881', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('3882', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3882', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3882', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '5', '37', '24');
INSERT INTO `spr_action` VALUES ('3882', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '12', '37', '24');
INSERT INTO `spr_action` VALUES ('3882', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '41', '37', '24');
INSERT INTO `spr_action` VALUES ('3882', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '47', '37', '24');
INSERT INTO `spr_action` VALUES ('3882', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('3882', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '55', '37', '24');
INSERT INTO `spr_action` VALUES ('3882', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3882', '59', '37', '24');
INSERT INTO `spr_action` VALUES ('3882', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('3883', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3883', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3883', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '5', '37', '24');
INSERT INTO `spr_action` VALUES ('3883', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '12', '37', '24');
INSERT INTO `spr_action` VALUES ('3883', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '41', '37', '24');
INSERT INTO `spr_action` VALUES ('3883', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '47', '37', '24');
INSERT INTO `spr_action` VALUES ('3883', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('3883', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '55', '37', '24');
INSERT INTO `spr_action` VALUES ('3883', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3883', '59', '37', '24');
INSERT INTO `spr_action` VALUES ('3883', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('3884', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3884', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3884', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '5', '37', '24');
INSERT INTO `spr_action` VALUES ('3884', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '12', '37', '24');
INSERT INTO `spr_action` VALUES ('3884', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '41', '37', '24');
INSERT INTO `spr_action` VALUES ('3884', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '47', '37', '24');
INSERT INTO `spr_action` VALUES ('3884', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('3884', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '55', '37', '24');
INSERT INTO `spr_action` VALUES ('3884', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3884', '59', '37', '24');
INSERT INTO `spr_action` VALUES ('3884', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('3885', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3885', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3885', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('3885', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('3885', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('3885', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '47', '22', '24');
INSERT INTO `spr_action` VALUES ('3885', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('3885', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('3885', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3885', '59', '22', '24');
INSERT INTO `spr_action` VALUES ('3885', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3886', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('3886', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('3886', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '12', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '41', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '51', '22', '24');
INSERT INTO `spr_action` VALUES ('3886', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '59', '18', '24');
INSERT INTO `spr_action` VALUES ('3886', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('3887', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '4', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '5', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '11', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '12', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '20', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '24', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '25', '18', '24');
INSERT INTO `spr_action` VALUES ('3887', '40', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '41', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '46', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '47', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '50', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('3887', '54', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '55', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '58', '24', '36');
INSERT INTO `spr_action` VALUES ('3887', '59', '38', '24');
INSERT INTO `spr_action` VALUES ('3887', '62', '24', '36');
INSERT INTO `spr_action` VALUES ('3888', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('3888', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3888', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3888', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '5', '19', '24');
INSERT INTO `spr_action` VALUES ('3888', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('3888', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '24', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '41', '19', '24');
INSERT INTO `spr_action` VALUES ('3888', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('3888', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('3888', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '55', '19', '24');
INSERT INTO `spr_action` VALUES ('3888', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('3888', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('3888', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('3889', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('3889', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('3889', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('3889', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('3889', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '12', '18', '24');
INSERT INTO `spr_action` VALUES ('3889', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '41', '18', '24');
INSERT INTO `spr_action` VALUES ('3889', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('3889', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '51', '21', '24');
INSERT INTO `spr_action` VALUES ('3889', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('3889', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3889', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('3889', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3890', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3890', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3890', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('3890', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '12', '14', '24');
INSERT INTO `spr_action` VALUES ('3890', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('3890', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('3890', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('3890', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('3890', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3890', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('3890', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('3891', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '41', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('3891', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3891', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('3891', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3892', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('3892', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3892', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3892', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('3893', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3893', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3893', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3893', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('3893', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '12', '14', '24');
INSERT INTO `spr_action` VALUES ('3893', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('3893', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('3893', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '51', '19', '24');
INSERT INTO `spr_action` VALUES ('3893', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('3893', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3893', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('3893', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3894', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '41', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('3894', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3894', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('3894', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3895', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('3895', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3895', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3895', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('3896', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3896', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3896', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3896', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('3896', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '12', '14', '24');
INSERT INTO `spr_action` VALUES ('3896', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('3896', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('3896', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('3896', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('3896', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3896', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('3896', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3897', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('3897', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('3897', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('3897', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '41', '17', '24');
INSERT INTO `spr_action` VALUES ('3897', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('3897', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('3897', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('3897', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3897', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('3897', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3898', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3898', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3898', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3898', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('3899', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('3899', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('3899', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3899', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('3899', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '12', '14', '24');
INSERT INTO `spr_action` VALUES ('3899', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('3899', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('3899', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '51', '17', '24');
INSERT INTO `spr_action` VALUES ('3899', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('3899', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3899', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('3899', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('3900', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('3900', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('3900', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('3900', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '41', '17', '24');
INSERT INTO `spr_action` VALUES ('3900', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('3900', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('3900', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('3900', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3900', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('3900', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('3901', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('3901', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('3901', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('3901', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('3902', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3902', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('3902', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('3902', '5', '27', '24');
INSERT INTO `spr_action` VALUES ('3902', '12', '27', '24');
INSERT INTO `spr_action` VALUES ('3902', '41', '27', '24');
INSERT INTO `spr_action` VALUES ('3902', '47', '27', '24');
INSERT INTO `spr_action` VALUES ('3903', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3903', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('3903', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('3903', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('3903', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('3903', '41', '31', '24');
INSERT INTO `spr_action` VALUES ('3903', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('3903', '51', '23', '24');
INSERT INTO `spr_action` VALUES ('3903', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('3903', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('3904', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '1', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '19', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '18', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '4', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '5', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '11', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '12', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '20', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '24', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '40', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '41', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '46', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '47', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '50', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '51', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '54', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '55', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '58', '32', '24');
INSERT INTO `spr_action` VALUES ('3904', '59', '66', '24');
INSERT INTO `spr_action` VALUES ('3904', '62', '32', '24');
INSERT INTO `spr_action` VALUES ('3905', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('3905', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('3905', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('3905', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '5', '19', '24');
INSERT INTO `spr_action` VALUES ('3905', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('3905', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '24', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '41', '19', '24');
INSERT INTO `spr_action` VALUES ('3905', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('3905', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('3905', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '55', '19', '24');
INSERT INTO `spr_action` VALUES ('3905', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('3905', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('3905', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('3906', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('3906', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('3906', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('3906', '4', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '5', '33', '24');
INSERT INTO `spr_action` VALUES ('3906', '11', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '12', '33', '24');
INSERT INTO `spr_action` VALUES ('3906', '20', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '24', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '40', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '41', '33', '24');
INSERT INTO `spr_action` VALUES ('3906', '46', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '47', '33', '24');
INSERT INTO `spr_action` VALUES ('3906', '50', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '51', '35', '24');
INSERT INTO `spr_action` VALUES ('3906', '54', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '55', '33', '24');
INSERT INTO `spr_action` VALUES ('3906', '58', '20', '24');
INSERT INTO `spr_action` VALUES ('3906', '59', '33', '24');
INSERT INTO `spr_action` VALUES ('3906', '62', '20', '24');
INSERT INTO `spr_action` VALUES ('3909', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('3910', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('3911', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('3912', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3912', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3912', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('3912', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('3914', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3914', '1', '66', '24');
INSERT INTO `spr_action` VALUES ('3914', '19', '66', '24');
INSERT INTO `spr_action` VALUES ('3914', '18', '66', '24');
INSERT INTO `spr_action` VALUES ('3916', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3916', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('3918', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3918', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('3920', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('3920', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('3922', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3922', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('3924', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('3926', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3926', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('3926', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('3926', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('3928', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('3928', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('3930', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('3930', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('3932', '0', '59', '24');
INSERT INTO `spr_action` VALUES ('3933', '0', '131', '24');
INSERT INTO `spr_action` VALUES ('3934', '0', '61', '24');
INSERT INTO `spr_action` VALUES ('3935', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('3936', '0', '55', '24');
INSERT INTO `spr_action` VALUES ('3937', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('3937', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('3939', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('3940', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('3941', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('3942', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('3943', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('3944', '0', '81', '24');
INSERT INTO `spr_action` VALUES ('3945', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '4', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '5', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '11', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '12', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '20', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '24', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '40', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '41', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '46', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '47', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '50', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '51', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '54', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '58', '36', '24');
INSERT INTO `spr_action` VALUES ('3945', '59', '32', '24');
INSERT INTO `spr_action` VALUES ('3945', '62', '36', '24');
INSERT INTO `spr_action` VALUES ('3950', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '4', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '11', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '20', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '24', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '40', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '46', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '50', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '54', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '58', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '62', '32', '36');
INSERT INTO `spr_action` VALUES ('3950', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('3950', '5', '38', '24');
INSERT INTO `spr_action` VALUES ('3950', '12', '38', '24');
INSERT INTO `spr_action` VALUES ('3950', '41', '38', '24');
INSERT INTO `spr_action` VALUES ('3950', '47', '38', '24');
INSERT INTO `spr_action` VALUES ('3950', '51', '38', '24');
INSERT INTO `spr_action` VALUES ('3950', '55', '38', '24');
INSERT INTO `spr_action` VALUES ('3950', '59', '38', '24');
INSERT INTO `spr_action` VALUES ('3951', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3951', '1', '45', '24');
INSERT INTO `spr_action` VALUES ('3951', '5', '45', '24');
INSERT INTO `spr_action` VALUES ('3951', '12', '45', '24');
INSERT INTO `spr_action` VALUES ('3951', '41', '45', '24');
INSERT INTO `spr_action` VALUES ('3951', '47', '45', '24');
INSERT INTO `spr_action` VALUES ('3951', '51', '45', '24');
INSERT INTO `spr_action` VALUES ('3951', '55', '45', '24');
INSERT INTO `spr_action` VALUES ('3951', '59', '45', '24');
INSERT INTO `spr_action` VALUES ('3952', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('3957', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('3957', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3959', '0', '57', '36');
INSERT INTO `spr_action` VALUES ('3960', '0', '67', '24');
INSERT INTO `spr_action` VALUES ('3969', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3969', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('3969', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('3972', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('3973', '0', '53', '24');
INSERT INTO `spr_action` VALUES ('3984', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3984', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('3984', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('3987', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('3989', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('3989', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('3989', '18', '60', '24');
INSERT INTO `spr_action` VALUES ('3991', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('3992', '0', '55', '24');
INSERT INTO `spr_action` VALUES ('4000', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('4000', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('4000', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '25', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '41', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('4000', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '55', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '59', '16', '24');
INSERT INTO `spr_action` VALUES ('4000', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('4001', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('4001', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '25', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '41', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('4001', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '55', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '59', '16', '24');
INSERT INTO `spr_action` VALUES ('4001', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('4002', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '20', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '24', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('4002', '62', '24', '24');
INSERT INTO `spr_action` VALUES ('4003', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4003', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('4003', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('4003', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '24', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('4003', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('4003', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('4004', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('4004', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('4004', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '41', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('4004', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '55', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '59', '16', '24');
INSERT INTO `spr_action` VALUES ('4004', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('4005', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('4005', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4005', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('4005', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('4007', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('4007', '1', '57', '24');
INSERT INTO `spr_action` VALUES ('4009', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('4009', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4010', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('4010', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4011', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('4011', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4012', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('4012', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4013', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4013', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4013', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4013', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4017', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4017', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4017', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('4020', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4021', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4022', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4023', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4024', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4024', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('4024', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4025', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4025', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('4025', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('4026', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4027', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4028', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4028', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('4028', '18', '56', '24');
INSERT INTO `spr_action` VALUES ('4029', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4029', '1', '52', '24');
INSERT INTO `spr_action` VALUES ('4029', '19', '51', '24');
INSERT INTO `spr_action` VALUES ('4030', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4030', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4030', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('4031', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('4034', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4034', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4034', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('4034', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('4037', '0', '76', '24');
INSERT INTO `spr_action` VALUES ('4038', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4038', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4038', '18', '18', '24');
INSERT INTO `spr_action` VALUES ('4040', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('4041', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4041', '1', '44', '24');
INSERT INTO `spr_action` VALUES ('4043', '1', '76', '24');
INSERT INTO `spr_action` VALUES ('4045', '1', '76', '24');
INSERT INTO `spr_action` VALUES ('4051', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4051', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4051', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('4058', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4058', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4060', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4060', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4068', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4068', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4068', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('4068', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('4068', '12', '49', '24');
INSERT INTO `spr_action` VALUES ('4070', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4071', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('4072', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('4073', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('4074', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4075', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('4076', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4077', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4078', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('4078', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4080', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('4081', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('4082', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4083', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4083', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4086', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4086', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4086', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4088', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4088', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('4091', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4091', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4091', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4095', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4095', '1', '57', '24');
INSERT INTO `spr_action` VALUES ('4097', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4097', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4097', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4100', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4100', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4104', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4104', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('4104', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('4121', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4121', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4125', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4125', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4127', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4133', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4133', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4133', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('4135', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('4136', '0', '48', '60');
INSERT INTO `spr_action` VALUES ('4137', '0', '48', '60');
INSERT INTO `spr_action` VALUES ('4138', '0', '32', '60');
INSERT INTO `spr_action` VALUES ('4139', '0', '48', '60');
INSERT INTO `spr_action` VALUES ('4140', '0', '36', '60');
INSERT INTO `spr_action` VALUES ('4141', '0', '24', '60');
INSERT INTO `spr_action` VALUES ('4142', '0', '48', '60');
INSERT INTO `spr_action` VALUES ('4143', '0', '36', '60');
INSERT INTO `spr_action` VALUES ('4144', '0', '24', '60');
INSERT INTO `spr_action` VALUES ('4145', '0', '36', '60');
INSERT INTO `spr_action` VALUES ('4146', '0', '24', '60');
INSERT INTO `spr_action` VALUES ('4147', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4147', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4149', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4149', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4151', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4151', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4153', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4155', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('4156', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4158', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('4159', '0', '54', '24');
INSERT INTO `spr_action` VALUES ('4160', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4161', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4162', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4163', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('4164', '0', '37', '24');
INSERT INTO `spr_action` VALUES ('4165', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('4166', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4167', '0', '62', '24');
INSERT INTO `spr_action` VALUES ('4168', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4168', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4168', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('4170', '0', '37', '24');
INSERT INTO `spr_action` VALUES ('4171', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4171', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4171', '18', '69', '24');
INSERT INTO `spr_action` VALUES ('4171', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4173', '0', '37', '24');
INSERT INTO `spr_action` VALUES ('4174', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4174', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4174', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('4176', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('4184', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('4186', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4186', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4188', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4188', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4190', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4190', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('4192', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4192', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4194', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4197', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4199', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4201', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('4201', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4201', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4203', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4203', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4205', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4205', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('4207', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4207', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('4209', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4209', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4212', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4212', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4215', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4215', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4215', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('4218', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4218', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4218', '19', '50', '24');
INSERT INTO `spr_action` VALUES ('4221', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4222', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4223', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('4226', '0', '96', '24');
INSERT INTO `spr_action` VALUES ('4227', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '4', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '11', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '20', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '24', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '40', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '46', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '50', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '54', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '58', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '62', '24', '36');
INSERT INTO `spr_action` VALUES ('4227', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '5', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '12', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '21', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '25', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '41', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '47', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '51', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '55', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '59', '34', '24');
INSERT INTO `spr_action` VALUES ('4227', '63', '34', '24');
INSERT INTO `spr_action` VALUES ('4229', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4230', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('4231', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('4236', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4236', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('4236', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('4238', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4239', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('4258', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4258', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4259', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4260', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4260', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4260', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4261', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4261', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4261', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('4261', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4262', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4262', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('4262', '18', '43', '24');
INSERT INTO `spr_action` VALUES ('4263', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('4263', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('4263', '18', '49', '24');
INSERT INTO `spr_action` VALUES ('4265', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4265', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('4306', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4306', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4306', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('4306', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('4306', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4306', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('4306', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('4306', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4306', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4306', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('4306', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('4306', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('4307', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4307', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('4307', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('4307', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('4307', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4307', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4307', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('4307', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('4307', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('4307', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('4308', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4308', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4308', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('4308', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('4308', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('4308', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4308', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('4308', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4308', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('4308', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('4308', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('4308', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('4309', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4309', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('4309', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('4309', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('4309', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4309', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4309', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('4309', '25', '26', '24');
INSERT INTO `spr_action` VALUES ('4309', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('4309', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('4310', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4310', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4310', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('4310', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('4310', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('4310', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4310', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('4310', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('4310', '41', '28', '24');
INSERT INTO `spr_action` VALUES ('4310', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('4311', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4311', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4311', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('4311', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('4311', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4311', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('4311', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('4311', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4311', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4311', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('4311', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('4311', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('4312', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4326', '0', '55', '24');
INSERT INTO `spr_action` VALUES ('4364', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4364', '18', '64', '24');
INSERT INTO `spr_action` VALUES ('4368', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4368', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4369', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4369', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4369', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('4369', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('4369', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('4369', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4369', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('4369', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4369', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('4369', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('4369', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('4369', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('4370', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('4370', '19', '64', '24');
INSERT INTO `spr_action` VALUES ('4370', '18', '44', '24');
INSERT INTO `spr_action` VALUES ('4370', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4373', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('4374', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('4375', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('4376', '0', '84', '24');
INSERT INTO `spr_action` VALUES ('4391', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4391', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4391', '18', '23', '24');
INSERT INTO `spr_action` VALUES ('4394', '0', '7', '24');
INSERT INTO `spr_action` VALUES ('4395', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('4396', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('4397', '0', '47', '24');
INSERT INTO `spr_action` VALUES ('4398', '0', '47', '24');
INSERT INTO `spr_action` VALUES ('4399', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('4400', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('4401', '0', '42', '24');
INSERT INTO `spr_action` VALUES ('4402', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('4403', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4403', '1', '52', '24');
INSERT INTO `spr_action` VALUES ('4403', '19', '51', '24');
INSERT INTO `spr_action` VALUES ('4404', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4404', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('4404', '18', '56', '24');
INSERT INTO `spr_action` VALUES ('4405', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4405', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('4405', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('4406', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4407', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4407', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('4407', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4408', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4408', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4408', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('4410', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('4410', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('4417', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4417', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4420', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4420', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4423', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4423', '1', '44', '24');
INSERT INTO `spr_action` VALUES ('4426', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('4426', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4429', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4429', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('4432', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4433', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4434', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('4457', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4457', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4460', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4460', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4463', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4463', '1', '41', '24');
INSERT INTO `spr_action` VALUES ('4466', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4466', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4466', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('4466', '19', '69', '24');
INSERT INTO `spr_action` VALUES ('4469', '0', '61', '24');
INSERT INTO `spr_action` VALUES ('4470', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4471', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4472', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4472', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4475', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4475', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4478', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4478', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4480', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4480', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4482', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4482', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4484', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4484', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4486', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4486', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('4488', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4488', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('4490', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4490', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('4490', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('4492', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('4493', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4493', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4493', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('4493', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('4496', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4499', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4502', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4502', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4502', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('4502', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('4505', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4508', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4516', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4516', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4516', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4516', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('4517', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4517', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4517', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4519', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('4519', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4521', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4521', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4523', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4525', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('4527', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4527', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4527', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4527', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('4530', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4531', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4531', '1', '40', '24');
INSERT INTO `spr_action` VALUES ('4533', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('4533', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('4533', '19', '47', '24');
INSERT INTO `spr_action` VALUES ('4533', '18', '43', '24');
INSERT INTO `spr_action` VALUES ('4535', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('4536', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4537', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4538', '0', '43', '24');
INSERT INTO `spr_action` VALUES ('4539', '0', '116', '24');
INSERT INTO `spr_action` VALUES ('4540', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('4541', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('4542', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4542', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4544', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4544', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4544', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4546', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('4547', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('4548', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4549', '0', '88', '24');
INSERT INTO `spr_action` VALUES ('4550', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4550', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4552', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4554', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4556', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4556', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4556', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('4559', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4559', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4561', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4561', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('4563', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4563', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4563', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('4565', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('4566', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('4567', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('4568', '0', '29', '24');
INSERT INTO `spr_action` VALUES ('4569', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4569', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('4569', '18', '46', '24');
INSERT INTO `spr_action` VALUES ('4569', '19', '57', '24');
INSERT INTO `spr_action` VALUES ('4572', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4573', '0', '112', '24');
INSERT INTO `spr_action` VALUES ('4574', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4574', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4574', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('4576', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4576', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4576', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('4576', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('4578', '0', '31', '24');
INSERT INTO `spr_action` VALUES ('4579', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4580', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('4581', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('4582', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4582', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4582', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4584', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('4587', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4587', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4587', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('4587', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('4589', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4590', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4591', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('4592', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4593', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4594', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4595', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4595', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4595', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4595', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4598', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4599', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4600', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4601', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('4602', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('4603', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4603', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4603', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4606', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4607', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4607', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4607', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4609', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4609', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4609', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('4611', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('4612', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4612', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('4612', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4615', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4615', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4615', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('4618', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4618', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4618', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('4621', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4622', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4622', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4624', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4625', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4625', '1', '19', '24');
INSERT INTO `spr_action` VALUES ('4625', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4627', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4628', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('4629', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4630', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4631', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('4632', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4632', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4632', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('4632', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4633', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4633', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4633', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('4633', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4634', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4634', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4634', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('4634', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4641', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('4642', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4642', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4642', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4642', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4643', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4643', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4643', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4646', '0', '42', '24');
INSERT INTO `spr_action` VALUES ('4647', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('4648', '0', '55', '24');
INSERT INTO `spr_action` VALUES ('4649', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4649', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4649', '18', '23', '24');
INSERT INTO `spr_action` VALUES ('4651', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('4652', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4652', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4652', '18', '47', '24');
INSERT INTO `spr_action` VALUES ('4654', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('4655', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('4656', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4657', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4657', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4657', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4660', '0', '5', '24');
INSERT INTO `spr_action` VALUES ('4661', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4662', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('4663', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4664', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4664', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4664', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('4667', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4667', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4667', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('4670', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4670', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4670', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4673', '0', '5', '24');
INSERT INTO `spr_action` VALUES ('4674', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4675', '0', '31', '24');
INSERT INTO `spr_action` VALUES ('4676', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4677', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4677', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4677', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('4679', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4679', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4679', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('4684', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4684', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('4686', '0', '21', '24');
INSERT INTO `spr_action` VALUES ('4689', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4689', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4691', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4693', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4693', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4693', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('4695', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('4696', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4697', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4698', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4698', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4698', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('4700', '0', '27', '24');
INSERT INTO `spr_action` VALUES ('4701', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4701', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4701', '18', '45', '24');
INSERT INTO `spr_action` VALUES ('4704', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4705', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4706', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('4707', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4708', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4728', '0', '279', '24');
INSERT INTO `spr_action` VALUES ('4730', '0', '83', '24');
INSERT INTO `spr_action` VALUES ('4738', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4738', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('4740', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4740', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4742', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4742', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4742', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4744', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4744', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4746', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4746', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('4746', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4748', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4749', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4750', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4751', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4751', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('4753', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4753', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4767', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4767', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4767', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('4768', '0', '37', '24');
INSERT INTO `spr_action` VALUES ('4769', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4769', '1', '69', '24');
INSERT INTO `spr_action` VALUES ('4769', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('4769', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4770', '0', '37', '24');
INSERT INTO `spr_action` VALUES ('4771', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4771', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('4771', '18', '21', '24');
INSERT INTO `spr_action` VALUES ('4781', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4782', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4783', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4784', '0', '86', '24');
INSERT INTO `spr_action` VALUES ('4785', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('4786', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4786', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4786', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('4786', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4787', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4787', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4787', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('4787', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('4788', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4788', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('4788', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('4790', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4790', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4790', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4792', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4793', '0', '33', '24');
INSERT INTO `spr_action` VALUES ('4794', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4795', '0', '13', '24');
INSERT INTO `spr_action` VALUES ('4796', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4796', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4798', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4799', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('4800', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4800', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('4800', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('4800', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('4800', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('4800', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4800', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('4800', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4800', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('4800', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('4800', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('4800', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('4801', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4801', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('4801', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('4801', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('4801', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('4801', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4801', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('4801', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4801', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('4801', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('4801', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('4801', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('4802', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4802', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('4802', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('4802', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('4802', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4802', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4802', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('4802', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('4802', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('4802', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('4803', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4803', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('4803', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('4803', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('4803', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4803', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4803', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('4803', '25', '26', '24');
INSERT INTO `spr_action` VALUES ('4803', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('4803', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('4804', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4804', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4804', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('4804', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('4804', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('4804', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4804', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('4804', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('4804', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4804', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('4805', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4805', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4805', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('4805', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('4805', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('4805', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4805', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('4805', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('4805', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4805', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('4806', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4806', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('4806', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('4806', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('4806', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('4806', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('4806', '21', '28', '24');
INSERT INTO `spr_action` VALUES ('4806', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('4806', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('4806', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('4806', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('4807', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4807', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('4807', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('4807', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('4807', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('4807', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('4807', '21', '27', '24');
INSERT INTO `spr_action` VALUES ('4807', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('4807', '55', '27', '24');
INSERT INTO `spr_action` VALUES ('4807', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('4807', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('4808', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4808', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4808', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('4808', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('4808', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4808', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('4808', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('4808', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('4808', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4808', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('4808', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('4808', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('4820', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4820', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4820', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('4822', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4822', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4822', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4824', '0', '57', '24');
INSERT INTO `spr_action` VALUES ('4825', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('4826', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4826', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4828', '0', '21', '24');
INSERT INTO `spr_action` VALUES ('4829', '0', '83', '24');
INSERT INTO `spr_action` VALUES ('4831', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4831', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4833', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4834', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4835', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('4836', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('4837', '0', '176', '24');
INSERT INTO `spr_action` VALUES ('4839', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4840', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4841', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('4842', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4843', '0', '120', '24');
INSERT INTO `spr_action` VALUES ('4845', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4846', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4847', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('4848', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('4849', '0', '140', '24');
INSERT INTO `spr_action` VALUES ('4851', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4851', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4851', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4851', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('4853', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('4854', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4854', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4854', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('4855', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4855', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4855', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('4856', '0', '240', '24');
INSERT INTO `spr_action` VALUES ('4857', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('4858', '0', '11', '24');
INSERT INTO `spr_action` VALUES ('4859', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4867', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('4867', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4867', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4869', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4869', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('4871', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4871', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4872', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4872', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4872', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4873', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4873', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4874', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4874', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4874', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('4875', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4875', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('4875', '18', '40', '24');
INSERT INTO `spr_action` VALUES ('4875', '19', '57', '24');
INSERT INTO `spr_action` VALUES ('4876', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4876', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4876', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('4877', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4877', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4877', '19', '44', '24');
INSERT INTO `spr_action` VALUES ('4877', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('4878', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4878', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4878', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('4878', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('4879', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4879', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('4879', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4879', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4880', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4880', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('4880', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4881', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('4881', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('4881', '18', '47', '24');
INSERT INTO `spr_action` VALUES ('4882', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4882', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4882', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('4886', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4886', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4888', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4888', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('4890', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4891', '0', '47', '24');
INSERT INTO `spr_action` VALUES ('4894', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4895', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('4898', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4899', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('4902', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4903', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('4906', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('4907', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('4910', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4910', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4912', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('4912', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('4912', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('4914', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('4915', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4915', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4915', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('4917', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('4917', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('4917', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '21', '22', '24');
INSERT INTO `spr_action` VALUES ('4917', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('4917', '63', '22', '24');
INSERT INTO `spr_action` VALUES ('4918', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4918', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4918', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('4918', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('4918', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('4919', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('4919', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('4919', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '21', '22', '24');
INSERT INTO `spr_action` VALUES ('4919', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('4919', '63', '22', '24');
INSERT INTO `spr_action` VALUES ('4920', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('4920', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4920', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4920', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '5', '26', '24');
INSERT INTO `spr_action` VALUES ('4920', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('4920', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('4920', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '47', '26', '24');
INSERT INTO `spr_action` VALUES ('4920', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('4920', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('4920', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('4920', '59', '26', '24');
INSERT INTO `spr_action` VALUES ('4920', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4921', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('4921', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4921', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('4921', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('4921', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4921', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '47', '22', '24');
INSERT INTO `spr_action` VALUES ('4921', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('4921', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('4921', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('4921', '59', '22', '24');
INSERT INTO `spr_action` VALUES ('4921', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4922', '18', '43', '24');
INSERT INTO `spr_action` VALUES ('4922', '19', '43', '24');
INSERT INTO `spr_action` VALUES ('4922', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '5', '28', '24');
INSERT INTO `spr_action` VALUES ('4922', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('4922', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '41', '28', '24');
INSERT INTO `spr_action` VALUES ('4922', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '47', '28', '24');
INSERT INTO `spr_action` VALUES ('4922', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '51', '22', '24');
INSERT INTO `spr_action` VALUES ('4922', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '55', '28', '24');
INSERT INTO `spr_action` VALUES ('4922', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('4922', '59', '28', '24');
INSERT INTO `spr_action` VALUES ('4922', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('4923', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4923', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4923', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('4923', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4923', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('4923', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('4923', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4924', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4924', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('4924', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('4924', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('4924', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4924', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('4924', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('4924', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('4924', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('4925', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('4925', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4925', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('4925', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4925', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('4925', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('4925', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('4925', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('4926', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '18', '18', '24');
INSERT INTO `spr_action` VALUES ('4926', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('4926', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('4926', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('4926', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('4927', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4927', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('4928', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4928', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4928', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '25', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '47', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '59', '24', '24');
INSERT INTO `spr_action` VALUES ('4928', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('4929', '0', '12', '16');
INSERT INTO `spr_action` VALUES ('4929', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '5', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '12', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('4929', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('4929', '21', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '41', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '47', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '51', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '55', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '59', '29', '24');
INSERT INTO `spr_action` VALUES ('4929', '63', '29', '24');
INSERT INTO `spr_action` VALUES ('4930', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4930', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4930', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('4932', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('4932', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('4932', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('4932', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('4932', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('4932', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('4932', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('4932', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('4932', '51', '26', '24');
INSERT INTO `spr_action` VALUES ('4932', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('4932', '55', '15', '24');
INSERT INTO `spr_action` VALUES ('4932', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('4932', '59', '15', '24');
INSERT INTO `spr_action` VALUES ('4932', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('4933', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4933', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('4935', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4935', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4935', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('4937', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4937', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('4937', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4937', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('4939', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('4939', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('4941', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4941', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('4942', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4942', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('4942', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('4944', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4944', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('4946', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('4948', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('4949', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('4950', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('4950', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '5', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '12', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '21', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '25', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '41', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '47', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '51', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '59', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '63', '32', '24');
INSERT INTO `spr_action` VALUES ('4950', '18', '50', '24');
INSERT INTO `spr_action` VALUES ('4950', '19', '50', '24');
INSERT INTO `spr_action` VALUES ('5007', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5007', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5008', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('5008', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('5008', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('5008', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('5010', '0', '54', '24');
INSERT INTO `spr_action` VALUES ('5011', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5012', '0', '2', '24');
INSERT INTO `spr_action` VALUES ('5013', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5014', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5014', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5014', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5033', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5033', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('5033', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5062', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5062', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5062', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5062', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('5063', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5063', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5065', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5065', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('5072', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5072', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('5072', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5075', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5075', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('5075', '19', '142', '24');
INSERT INTO `spr_action` VALUES ('5075', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5076', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5076', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('5076', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('5076', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5083', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5083', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('5085', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5085', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5087', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5087', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('5089', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5089', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5089', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5091', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5091', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5107', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5107', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('5110', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5110', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('5112', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5112', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5114', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5114', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5127', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5127', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5127', '18', '21', '24');
INSERT INTO `spr_action` VALUES ('5129', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5129', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5131', '0', '59', '24');
INSERT INTO `spr_action` VALUES ('5133', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('5134', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('5135', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5137', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5139', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5141', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5143', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5145', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5156', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5158', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5160', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5162', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5184', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '21', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '24', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('5184', '63', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('5184', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '21', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '24', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('5186', '63', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('5186', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('5188', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('5189', '0', '27', '24');
INSERT INTO `spr_action` VALUES ('5190', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('5191', '0', '92', '24');
INSERT INTO `spr_action` VALUES ('5192', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('5193', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('5194', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('5196', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('5197', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5197', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5197', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5200', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5201', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5202', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5203', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5203', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('5212', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5212', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5212', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5214', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5215', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5216', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('5217', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5217', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('5217', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5228', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5228', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5230', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5230', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('5233', '0', '128', '24');
INSERT INTO `spr_action` VALUES ('5244', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5244', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('5246', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5246', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5249', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5249', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5256', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5256', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5259', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5259', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('5259', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5259', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5261', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('5263', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5265', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5265', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5265', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5268', '0', '37', '24');
INSERT INTO `spr_action` VALUES ('5269', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5269', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5269', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5272', '0', '37', '24');
INSERT INTO `spr_action` VALUES ('5274', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5274', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('5274', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('5274', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5276', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('5277', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('5278', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('5279', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('5280', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5281', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5282', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5282', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5282', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5284', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5284', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5284', '18', '40', '24');
INSERT INTO `spr_action` VALUES ('5284', '19', '53', '24');
INSERT INTO `spr_action` VALUES ('5287', '0', '83', '24');
INSERT INTO `spr_action` VALUES ('5288', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('5289', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('5289', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5293', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5293', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('5293', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('5295', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('5296', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('5297', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5297', '1', '33', '24');
INSERT INTO `spr_action` VALUES ('5297', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('5300', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5301', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5302', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('5303', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('5304', '0', '115', '24');
INSERT INTO `spr_action` VALUES ('5306', '0', '115', '24');
INSERT INTO `spr_action` VALUES ('5317', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5317', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5317', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5319', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('5320', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5322', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5324', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5324', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5324', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5326', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('5327', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5329', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5331', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5331', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5331', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5333', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('5334', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5336', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5338', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5338', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5338', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5340', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('5341', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5343', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5345', '0', '123', '24');
INSERT INTO `spr_action` VALUES ('5346', '0', '123', '24');
INSERT INTO `spr_action` VALUES ('5348', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5348', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('5351', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5351', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5351', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5353', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5353', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5353', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5355', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5355', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5355', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5355', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5355', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5355', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5355', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('5355', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5355', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('5355', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5355', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5355', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('5356', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5356', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5356', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5356', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5356', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5356', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5356', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('5356', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5356', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('5356', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5356', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5356', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('5357', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5357', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5357', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('5357', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('5357', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5357', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5357', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5357', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('5357', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('5357', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('5358', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5358', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5358', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('5358', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('5358', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5358', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5358', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5358', '25', '26', '24');
INSERT INTO `spr_action` VALUES ('5358', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('5358', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('5359', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5359', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5359', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('5359', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('5359', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5359', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5359', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('5359', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('5359', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5359', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('5360', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5360', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5360', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('5360', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('5360', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5360', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5360', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('5360', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('5360', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5360', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('5361', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5361', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('5361', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5361', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5361', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5361', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('5361', '21', '28', '24');
INSERT INTO `spr_action` VALUES ('5361', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5361', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('5361', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('5361', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('5362', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5362', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('5362', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('5362', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('5362', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5362', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('5362', '21', '27', '24');
INSERT INTO `spr_action` VALUES ('5362', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('5362', '55', '27', '24');
INSERT INTO `spr_action` VALUES ('5362', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5362', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('5363', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5363', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5363', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5363', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5363', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5363', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('5363', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('5363', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5363', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5363', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5363', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('5363', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('5364', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5364', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5364', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5364', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5364', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5364', '41', '31', '24');
INSERT INTO `spr_action` VALUES ('5364', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5364', '51', '23', '24');
INSERT INTO `spr_action` VALUES ('5364', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('5364', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5365', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5365', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('5365', '18', '40', '24');
INSERT INTO `spr_action` VALUES ('5367', '0', '29', '24');
INSERT INTO `spr_action` VALUES ('5368', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('5369', '0', '119', '24');
INSERT INTO `spr_action` VALUES ('5372', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('5373', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5373', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('5373', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('5376', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5377', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('5378', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('5379', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5379', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5379', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5379', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5379', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5379', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5379', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('5379', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5379', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('5379', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5379', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5379', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('5380', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5380', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5380', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5380', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5380', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5380', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5380', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('5380', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5380', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('5380', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5380', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5380', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('5381', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5381', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5381', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('5381', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('5381', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5381', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5381', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5381', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('5381', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('5381', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('5382', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5382', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5382', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('5382', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('5382', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5382', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5382', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5382', '25', '26', '24');
INSERT INTO `spr_action` VALUES ('5382', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('5382', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('5383', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5383', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5383', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('5383', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('5383', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5383', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5383', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('5383', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('5383', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5383', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('5384', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5384', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5384', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('5384', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('5384', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5384', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5384', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('5384', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('5384', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5384', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('5385', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5385', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('5385', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5385', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5385', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5385', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('5385', '21', '28', '24');
INSERT INTO `spr_action` VALUES ('5385', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5385', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('5385', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('5385', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('5386', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5386', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('5386', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('5386', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('5386', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5386', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('5386', '21', '27', '24');
INSERT INTO `spr_action` VALUES ('5386', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('5386', '55', '27', '24');
INSERT INTO `spr_action` VALUES ('5386', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5386', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('5387', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5387', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5387', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5387', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5387', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5387', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('5387', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('5387', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5387', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5387', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5387', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('5387', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('5388', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5388', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5388', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5388', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5388', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5388', '41', '31', '24');
INSERT INTO `spr_action` VALUES ('5388', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5388', '51', '23', '24');
INSERT INTO `spr_action` VALUES ('5388', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('5388', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5389', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5389', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5389', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5389', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5389', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5389', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5389', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('5389', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5389', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('5389', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5389', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5389', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('5390', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5390', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5390', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5390', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5390', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('5390', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5390', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('5390', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5390', '41', '24', '24');
INSERT INTO `spr_action` VALUES ('5390', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5390', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5390', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('5391', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5391', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5391', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('5391', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('5391', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5391', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5391', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5391', '25', '29', '24');
INSERT INTO `spr_action` VALUES ('5391', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('5391', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('5392', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5392', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5392', '5', '21', '24');
INSERT INTO `spr_action` VALUES ('5392', '12', '26', '24');
INSERT INTO `spr_action` VALUES ('5392', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5392', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5392', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5392', '25', '26', '24');
INSERT INTO `spr_action` VALUES ('5392', '41', '26', '24');
INSERT INTO `spr_action` VALUES ('5392', '47', '19', '24');
INSERT INTO `spr_action` VALUES ('5393', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5393', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5393', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('5393', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('5393', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5393', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5393', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('5393', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('5393', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5393', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('5394', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5394', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5394', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('5394', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('5394', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5394', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5394', '21', '42', '24');
INSERT INTO `spr_action` VALUES ('5394', '25', '28', '24');
INSERT INTO `spr_action` VALUES ('5394', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5394', '47', '23', '24');
INSERT INTO `spr_action` VALUES ('5395', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5395', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('5395', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5395', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5395', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5395', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('5395', '21', '28', '24');
INSERT INTO `spr_action` VALUES ('5395', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5395', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('5395', '59', '19', '24');
INSERT INTO `spr_action` VALUES ('5395', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('5396', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5396', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('5396', '5', '23', '24');
INSERT INTO `spr_action` VALUES ('5396', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('5396', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5396', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('5396', '21', '27', '24');
INSERT INTO `spr_action` VALUES ('5396', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('5396', '55', '27', '24');
INSERT INTO `spr_action` VALUES ('5396', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5396', '63', '24', '24');
INSERT INTO `spr_action` VALUES ('5397', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5397', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5397', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5397', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5397', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5397', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('5397', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('5397', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5397', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5397', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5397', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('5397', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('5398', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5398', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5398', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5398', '5', '22', '24');
INSERT INTO `spr_action` VALUES ('5398', '12', '24', '24');
INSERT INTO `spr_action` VALUES ('5398', '41', '31', '24');
INSERT INTO `spr_action` VALUES ('5398', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5398', '51', '23', '24');
INSERT INTO `spr_action` VALUES ('5398', '55', '26', '24');
INSERT INTO `spr_action` VALUES ('5398', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('5405', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5405', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('5405', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5408', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5410', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('5412', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5412', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('5412', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5414', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('5415', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5417', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5430', '0', '58', '24');
INSERT INTO `spr_action` VALUES ('5433', '0', '58', '24');
INSERT INTO `spr_action` VALUES ('5436', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('5439', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('5442', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5442', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5442', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5444', '0', '101', '24');
INSERT INTO `spr_action` VALUES ('5445', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5446', '0', '27', '24');
INSERT INTO `spr_action` VALUES ('5447', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5447', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5447', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5447', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5449', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5450', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5451', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5452', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('5453', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('5454', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5456', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5457', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5458', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5459', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5460', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5461', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5461', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5461', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5463', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5463', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5465', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5466', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5467', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5468', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5469', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5470', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5471', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5471', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5471', '18', '23', '24');
INSERT INTO `spr_action` VALUES ('5471', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('5473', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('5474', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5475', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('5476', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('5477', '0', '59', '24');
INSERT INTO `spr_action` VALUES ('5478', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5478', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('5478', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('5480', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('5481', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('5482', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('5483', '0', '59', '24');
INSERT INTO `spr_action` VALUES ('5484', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5484', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5484', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5486', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('5487', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('5507', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5507', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('5507', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5510', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('5511', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5511', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('5511', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5511', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5514', '0', '42', '24');
INSERT INTO `spr_action` VALUES ('5515', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('5516', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5516', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5516', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5516', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5519', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('5520', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5521', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5522', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5523', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5524', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5525', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('5526', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5527', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5528', '0', '89', '24');
INSERT INTO `spr_action` VALUES ('5529', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5529', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5529', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5529', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5532', '0', '51', '24');
INSERT INTO `spr_action` VALUES ('5533', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5547', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5547', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5547', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('5547', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5550', '0', '34', '24');
INSERT INTO `spr_action` VALUES ('5551', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('5554', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5554', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5554', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5554', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('5556', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('5557', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('5561', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5562', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5563', '5', '64', '24');
INSERT INTO `spr_action` VALUES ('5563', '1', '52', '24');
INSERT INTO `spr_action` VALUES ('5563', '12', '60', '24');
INSERT INTO `spr_action` VALUES ('5563', '18', '60', '24');
INSERT INTO `spr_action` VALUES ('5563', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('5563', '25', '56', '24');
INSERT INTO `spr_action` VALUES ('5567', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5567', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('5569', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5570', '0', '9', '24');
INSERT INTO `spr_action` VALUES ('5571', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5572', '0', '136', '24');
INSERT INTO `spr_action` VALUES ('5573', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('5574', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5574', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('5574', '18', '21', '24');
INSERT INTO `spr_action` VALUES ('5576', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5578', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('5580', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('5591', '0', '36', '96');
INSERT INTO `spr_action` VALUES ('5591', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('5592', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('5592', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('5593', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('5593', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('5594', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('5594', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('5594', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5595', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('5595', '1', '43', '24');
INSERT INTO `spr_action` VALUES ('5595', '18', '55', '24');
INSERT INTO `spr_action` VALUES ('5596', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5596', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('5596', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('5597', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5597', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5597', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('5608', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5608', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5608', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5608', '19', '39', '24');
INSERT INTO `spr_action` VALUES ('5616', '0', '127', '24');
INSERT INTO `spr_action` VALUES ('5620', '5', '59', '24');
INSERT INTO `spr_action` VALUES ('5620', '1', '46', '24');
INSERT INTO `spr_action` VALUES ('5620', '12', '54', '24');
INSERT INTO `spr_action` VALUES ('5620', '18', '61', '24');
INSERT INTO `spr_action` VALUES ('5620', '19', '56', '24');
INSERT INTO `spr_action` VALUES ('5620', '25', '50', '24');
INSERT INTO `spr_action` VALUES ('5623', '0', '81', '24');
INSERT INTO `spr_action` VALUES ('5624', '0', '65', '24');
INSERT INTO `spr_action` VALUES ('5625', '0', '99', '24');
INSERT INTO `spr_action` VALUES ('5626', '0', '45', '24');
INSERT INTO `spr_action` VALUES ('5627', '0', '46', '24');
INSERT INTO `spr_action` VALUES ('5628', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('5629', '0', '163', '24');
INSERT INTO `spr_action` VALUES ('5631', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('5633', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('5635', '0', '74', '24');
INSERT INTO `spr_action` VALUES ('5637', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('5638', '0', '92', '24');
INSERT INTO `spr_action` VALUES ('5640', '0', '84', '24');
INSERT INTO `spr_action` VALUES ('5641', '0', '16', '48');
INSERT INTO `spr_action` VALUES ('5641', '1', '15', '48');
INSERT INTO `spr_action` VALUES ('5641', '18', '22', '48');
INSERT INTO `spr_action` VALUES ('5641', '19', '24', '48');
INSERT INTO `spr_action` VALUES ('5642', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5642', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('5642', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('5642', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5643', '0', '64', '24');
INSERT INTO `spr_action` VALUES ('5649', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5650', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('5651', '0', '193', '24');
INSERT INTO `spr_action` VALUES ('5653', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('5655', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5655', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5655', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5657', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5657', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5659', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5660', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5661', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5662', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5663', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5664', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5665', '0', '86', '24');
INSERT INTO `spr_action` VALUES ('5668', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5668', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5668', '5', '24', '24');
INSERT INTO `spr_action` VALUES ('5668', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5668', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5668', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('5668', '21', '30', '24');
INSERT INTO `spr_action` VALUES ('5668', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5668', '41', '22', '24');
INSERT INTO `spr_action` VALUES ('5668', '47', '21', '24');
INSERT INTO `spr_action` VALUES ('5668', '51', '28', '24');
INSERT INTO `spr_action` VALUES ('5668', '55', '24', '24');
INSERT INTO `spr_action` VALUES ('5676', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5677', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5677', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5677', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5677', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('5679', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5680', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5681', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5682', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('5683', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5683', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5683', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5683', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5684', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5684', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('5684', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('5684', '18', '34', '24');
INSERT INTO `spr_action` VALUES ('5685', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5685', '1', '37', '24');
INSERT INTO `spr_action` VALUES ('5685', '19', '37', '24');
INSERT INTO `spr_action` VALUES ('5685', '18', '37', '24');
INSERT INTO `spr_action` VALUES ('5686', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('5686', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5686', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('5686', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('5687', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5687', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5687', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('5687', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5688', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5688', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5688', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('5688', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('5689', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5689', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5689', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('5689', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5690', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5690', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5690', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5690', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5691', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5691', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('5691', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('5691', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5692', '0', '36', '96');
INSERT INTO `spr_action` VALUES ('5692', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('5693', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5693', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5693', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5693', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5694', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5694', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('5694', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5694', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5695', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5695', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5695', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('5695', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('5696', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('5696', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('5696', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5697', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5697', '1', '21', '24');
INSERT INTO `spr_action` VALUES ('5697', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('5698', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5698', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5698', '18', '39', '24');
INSERT INTO `spr_action` VALUES ('5708', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5708', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5708', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5708', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('5709', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5711', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5711', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('5719', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '4', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '5', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '11', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '12', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '20', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '21', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '24', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '25', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '40', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '41', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '46', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '47', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '50', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '51', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '54', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '55', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '58', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '59', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '62', '28', '24');
INSERT INTO `spr_action` VALUES ('5719', '63', '25', '24');
INSERT INTO `spr_action` VALUES ('5719', '18', '35', '24');
INSERT INTO `spr_action` VALUES ('5719', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5722', '0', '49', '24');
INSERT INTO `spr_action` VALUES ('5723', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5723', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('5724', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5724', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5724', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5724', '19', '39', '24');
INSERT INTO `spr_action` VALUES ('5727', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('5727', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5727', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5727', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5727', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('5727', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5727', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('5727', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('5727', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('5727', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5727', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5730', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('5730', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5730', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5730', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5730', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('5730', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5730', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('5730', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('5730', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('5730', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('5730', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5733', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('5733', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5733', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5733', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5733', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('5733', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5733', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('5733', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('5733', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('5733', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('5733', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5736', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('5736', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5736', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5736', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5736', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('5736', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5736', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('5736', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('5736', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('5736', '19', '23', '24');
INSERT INTO `spr_action` VALUES ('5736', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5739', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5739', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5739', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5739', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5742', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5742', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5742', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5742', '19', '39', '24');
INSERT INTO `spr_action` VALUES ('5745', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5745', '1', '30', '24');
INSERT INTO `spr_action` VALUES ('5745', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5745', '19', '39', '24');
INSERT INTO `spr_action` VALUES ('5751', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5751', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5751', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5751', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5754', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5754', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5754', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5754', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5760', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5760', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5760', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5760', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5763', '0', '68', '24');
INSERT INTO `spr_action` VALUES ('5764', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('5764', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('5764', '18', '56', '24');
INSERT INTO `spr_action` VALUES ('5765', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('5765', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5766', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5766', '1', '39', '24');
INSERT INTO `spr_action` VALUES ('5766', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('5766', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('5767', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5767', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5767', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5770', '0', '23', '24');
INSERT INTO `spr_action` VALUES ('5771', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('5772', '0', '15', '24');
INSERT INTO `spr_action` VALUES ('5773', '0', '2', '24');
INSERT INTO `spr_action` VALUES ('5775', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5778', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5778', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5778', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5778', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5781', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5781', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5781', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5781', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5786', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5786', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('5786', '18', '22', '24');
INSERT INTO `spr_action` VALUES ('5786', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5788', '0', '63', '24');
INSERT INTO `spr_action` VALUES ('5789', '0', '67', '24');
INSERT INTO `spr_action` VALUES ('5792', '0', '70', '24');
INSERT INTO `spr_action` VALUES ('5793', '0', '126', '24');
INSERT INTO `spr_action` VALUES ('5794', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5795', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('5796', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('5797', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5798', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5799', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5800', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5801', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5801', '1', '35', '24');
INSERT INTO `spr_action` VALUES ('5801', '18', '46', '24');
INSERT INTO `spr_action` VALUES ('5801', '19', '57', '24');
INSERT INTO `spr_action` VALUES ('5802', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5802', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('5802', '19', '27', '24');
INSERT INTO `spr_action` VALUES ('5806', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('5807', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5808', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5809', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5810', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5811', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('5811', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('5811', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5811', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('5812', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('5812', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5813', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5814', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5814', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5815', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5815', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5815', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5815', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('5816', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5816', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5816', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('5816', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5817', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5817', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5817', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('5817', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5818', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5818', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5818', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5818', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('5821', '0', '6', '24');
INSERT INTO `spr_action` VALUES ('5823', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5825', '0', '49', '24');
INSERT INTO `spr_action` VALUES ('5826', '0', '41', '24');
INSERT INTO `spr_action` VALUES ('5829', '0', '54', '24');
INSERT INTO `spr_action` VALUES ('5830', '0', '35', '24');
INSERT INTO `spr_action` VALUES ('5831', '0', '56', '24');
INSERT INTO `spr_action` VALUES ('5832', '0', '60', '24');
INSERT INTO `spr_action` VALUES ('5833', '0', '39', '24');
INSERT INTO `spr_action` VALUES ('5846', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5847', '0', '58', '24');
INSERT INTO `spr_action` VALUES ('5848', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('5853', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5853', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5853', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('5853', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('5853', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5853', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('5853', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('5853', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5853', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5853', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5853', '51', '19', '24');
INSERT INTO `spr_action` VALUES ('5853', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('5854', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5854', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5854', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('5854', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('5854', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5854', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('5854', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('5854', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5854', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5854', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5854', '51', '19', '24');
INSERT INTO `spr_action` VALUES ('5854', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('5855', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5855', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5855', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('5855', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('5855', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5855', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('5855', '21', '31', '24');
INSERT INTO `spr_action` VALUES ('5855', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5855', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5855', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5855', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5855', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('5856', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5856', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5856', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('5856', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('5856', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5856', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('5856', '21', '31', '24');
INSERT INTO `spr_action` VALUES ('5856', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5856', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5856', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5856', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5856', '55', '19', '24');
INSERT INTO `spr_action` VALUES ('5857', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5857', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5857', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('5857', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('5857', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5857', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('5857', '21', '21', '24');
INSERT INTO `spr_action` VALUES ('5857', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5857', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5857', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('5858', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5858', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5858', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('5858', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('5858', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5858', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('5858', '21', '21', '24');
INSERT INTO `spr_action` VALUES ('5858', '25', '24', '24');
INSERT INTO `spr_action` VALUES ('5858', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5858', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('5859', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5859', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5859', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5859', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5859', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('5859', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('5859', '21', '34', '24');
INSERT INTO `spr_action` VALUES ('5859', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('5859', '41', '18', '24');
INSERT INTO `spr_action` VALUES ('5859', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('5860', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5860', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5860', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5860', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5860', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('5860', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('5860', '21', '34', '24');
INSERT INTO `spr_action` VALUES ('5860', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('5860', '41', '18', '24');
INSERT INTO `spr_action` VALUES ('5860', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('5861', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5861', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5861', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('5861', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('5861', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5861', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('5861', '21', '22', '24');
INSERT INTO `spr_action` VALUES ('5861', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('5861', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('5861', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('5861', '63', '22', '24');
INSERT INTO `spr_action` VALUES ('5862', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('5862', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5862', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('5862', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('5862', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5862', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5862', '21', '22', '24');
INSERT INTO `spr_action` VALUES ('5862', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('5862', '55', '17', '24');
INSERT INTO `spr_action` VALUES ('5862', '59', '17', '24');
INSERT INTO `spr_action` VALUES ('5862', '63', '22', '24');
INSERT INTO `spr_action` VALUES ('5865', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5867', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5867', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5867', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('5867', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('5867', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5867', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('5867', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('5867', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5867', '41', '19', '24');
INSERT INTO `spr_action` VALUES ('5867', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5867', '51', '22', '24');
INSERT INTO `spr_action` VALUES ('5867', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('5868', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5868', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5868', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('5868', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('5868', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5868', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('5868', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('5868', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5868', '41', '19', '24');
INSERT INTO `spr_action` VALUES ('5868', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5868', '51', '22', '24');
INSERT INTO `spr_action` VALUES ('5868', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('5869', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5869', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5869', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('5869', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('5869', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5869', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('5869', '21', '31', '24');
INSERT INTO `spr_action` VALUES ('5869', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5869', '41', '19', '24');
INSERT INTO `spr_action` VALUES ('5869', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5869', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5869', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('5870', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5870', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('5870', '5', '17', '24');
INSERT INTO `spr_action` VALUES ('5870', '12', '19', '24');
INSERT INTO `spr_action` VALUES ('5870', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5870', '19', '30', '24');
INSERT INTO `spr_action` VALUES ('5870', '21', '31', '24');
INSERT INTO `spr_action` VALUES ('5870', '25', '17', '24');
INSERT INTO `spr_action` VALUES ('5870', '41', '19', '24');
INSERT INTO `spr_action` VALUES ('5870', '47', '17', '24');
INSERT INTO `spr_action` VALUES ('5870', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5870', '55', '19', '24');
INSERT INTO `spr_action` VALUES ('5871', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5871', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5871', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('5871', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('5871', '18', '25', '24');
INSERT INTO `spr_action` VALUES ('5871', '19', '26', '24');
INSERT INTO `spr_action` VALUES ('5871', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5871', '25', '21', '24');
INSERT INTO `spr_action` VALUES ('5871', '41', '21', '24');
INSERT INTO `spr_action` VALUES ('5871', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('5872', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5872', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5872', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('5872', '12', '21', '24');
INSERT INTO `spr_action` VALUES ('5872', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5872', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('5872', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5872', '25', '24', '24');
INSERT INTO `spr_action` VALUES ('5872', '41', '21', '24');
INSERT INTO `spr_action` VALUES ('5872', '47', '15', '24');
INSERT INTO `spr_action` VALUES ('5873', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5873', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5873', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5873', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5873', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('5873', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('5873', '21', '34', '24');
INSERT INTO `spr_action` VALUES ('5873', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('5873', '41', '23', '24');
INSERT INTO `spr_action` VALUES ('5873', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('5874', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5874', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('5874', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5874', '12', '22', '24');
INSERT INTO `spr_action` VALUES ('5874', '18', '14', '24');
INSERT INTO `spr_action` VALUES ('5874', '19', '19', '24');
INSERT INTO `spr_action` VALUES ('5874', '21', '34', '24');
INSERT INTO `spr_action` VALUES ('5874', '25', '22', '24');
INSERT INTO `spr_action` VALUES ('5874', '41', '23', '24');
INSERT INTO `spr_action` VALUES ('5874', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('5875', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5875', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5875', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('5875', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('5875', '18', '33', '24');
INSERT INTO `spr_action` VALUES ('5875', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('5875', '21', '22', '24');
INSERT INTO `spr_action` VALUES ('5875', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('5875', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('5875', '59', '16', '24');
INSERT INTO `spr_action` VALUES ('5875', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('5876', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5876', '1', '15', '24');
INSERT INTO `spr_action` VALUES ('5876', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('5876', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('5876', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5876', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5876', '21', '22', '24');
INSERT INTO `spr_action` VALUES ('5876', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('5876', '55', '22', '24');
INSERT INTO `spr_action` VALUES ('5876', '59', '16', '24');
INSERT INTO `spr_action` VALUES ('5876', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('5877', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5877', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('5877', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('5877', '19', '35', '24');
INSERT INTO `spr_action` VALUES ('5878', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5878', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5878', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('5878', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('5879', '1', '25', '24');
INSERT INTO `spr_action` VALUES ('5879', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('5879', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5879', '19', '25', '24');
INSERT INTO `spr_action` VALUES ('5880', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5880', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('5880', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('5880', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('5880', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('5880', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('5880', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('5880', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('5880', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('5880', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('5880', '19', '23', '24');
INSERT INTO `spr_action` VALUES ('5881', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5881', '1', '17', '24');
INSERT INTO `spr_action` VALUES ('5881', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('5881', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('5889', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5890', '0', '50', '24');
INSERT INTO `spr_action` VALUES ('5893', '0', '72', '24');
INSERT INTO `spr_action` VALUES ('5894', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5894', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('5895', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5895', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5896', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5896', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('5896', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5897', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5897', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('5897', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5898', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5898', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5898', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5899', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5899', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5902', '0', '57', '24');
INSERT INTO `spr_action` VALUES ('5903', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('5904', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5904', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5904', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5904', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('5904', '5', '28', '24');
INSERT INTO `spr_action` VALUES ('5904', '12', '28', '24');
INSERT INTO `spr_action` VALUES ('5908', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('5912', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5912', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('5916', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5916', '1', '23', '24');
INSERT INTO `spr_action` VALUES ('5918', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('5919', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5933', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('5935', '0', '59', '24');
INSERT INTO `spr_action` VALUES ('5936', '0', '38', '24');
INSERT INTO `spr_action` VALUES ('5937', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5937', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('5937', '18', '30', '24');
INSERT INTO `spr_action` VALUES ('5937', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('5938', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('5938', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('5939', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('5939', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('5939', '18', '54', '24');
INSERT INTO `spr_action` VALUES ('5939', '19', '54', '24');
INSERT INTO `spr_action` VALUES ('5942', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('5946', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5955', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5957', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5969', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5969', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5969', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('5969', '18', '28', '24');
INSERT INTO `spr_action` VALUES ('5971', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('5972', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5972', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5972', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('5972', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('5974', '0', '78', '24');
INSERT INTO `spr_action` VALUES ('5975', '0', '70', '24');
INSERT INTO `spr_action` VALUES ('5976', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('5976', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '5', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '12', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '21', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '25', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '41', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '47', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '51', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '59', '32', '24');
INSERT INTO `spr_action` VALUES ('5976', '63', '32', '24');
INSERT INTO `spr_action` VALUES ('5977', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5977', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('5977', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('5977', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('5979', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('5979', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('5979', '19', '34', '24');
INSERT INTO `spr_action` VALUES ('5979', '18', '43', '24');
INSERT INTO `spr_action` VALUES ('6002', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6002', '1', '34', '24');
INSERT INTO `spr_action` VALUES ('6002', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('6010', '0', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '1', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '4', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '5', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '11', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '12', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '20', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '21', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '24', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '25', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '40', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '41', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '46', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '47', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '50', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '51', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '54', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '55', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '58', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '59', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '62', '20', '36');
INSERT INTO `spr_action` VALUES ('6010', '63', '33', '36');
INSERT INTO `spr_action` VALUES ('6010', '18', '33', '36');
INSERT INTO `spr_action` VALUES ('6012', '0', '98', '24');
INSERT INTO `spr_action` VALUES ('6013', '0', '36', '72');
INSERT INTO `spr_action` VALUES ('6013', '1', '22', '72');
INSERT INTO `spr_action` VALUES ('6014', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6014', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('6034', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6034', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('6034', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('6034', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '21', '26', '24');
INSERT INTO `spr_action` VALUES ('6034', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('6034', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('6034', '63', '26', '24');
INSERT INTO `spr_action` VALUES ('6035', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6035', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '21', '26', '24');
INSERT INTO `spr_action` VALUES ('6035', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('6035', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('6035', '63', '26', '24');
INSERT INTO `spr_action` VALUES ('6035', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('6035', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('6036', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('6038', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6049', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('6078', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('6080', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('6080', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('6080', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('6080', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('6080', '63', '20', '24');
INSERT INTO `spr_action` VALUES ('6082', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6086', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6086', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('6086', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('6086', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('6086', '5', '18', '24');
INSERT INTO `spr_action` VALUES ('6086', '12', '18', '24');
INSERT INTO `spr_action` VALUES ('6086', '41', '18', '24');
INSERT INTO `spr_action` VALUES ('6086', '47', '18', '24');
INSERT INTO `spr_action` VALUES ('6086', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6086', '55', '18', '24');
INSERT INTO `spr_action` VALUES ('6086', '59', '18', '24');
INSERT INTO `spr_action` VALUES ('6087', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6087', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('6087', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('6087', '21', '22', '24');
INSERT INTO `spr_action` VALUES ('6087', '63', '22', '24');
INSERT INTO `spr_action` VALUES ('6088', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6088', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('6088', '18', '18', '24');
INSERT INTO `spr_action` VALUES ('6088', '19', '22', '24');
INSERT INTO `spr_action` VALUES ('6088', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('6088', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('6088', '41', '18', '24');
INSERT INTO `spr_action` VALUES ('6088', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('6088', '51', '22', '24');
INSERT INTO `spr_action` VALUES ('6088', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('6088', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('6089', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '5', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '21', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '25', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '41', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '47', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('6089', '55', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '59', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '63', '16', '24');
INSERT INTO `spr_action` VALUES ('6089', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('6089', '19', '24', '24');
INSERT INTO `spr_action` VALUES ('6090', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('6091', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6092', '0', '22', '24');
INSERT INTO `spr_action` VALUES ('6093', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('6094', '0', '8', '24');
INSERT INTO `spr_action` VALUES ('6094', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('6094', '21', '24', '24');
INSERT INTO `spr_action` VALUES ('6094', '25', '20', '24');
INSERT INTO `spr_action` VALUES ('6094', '63', '20', '24');
INSERT INTO `spr_action` VALUES ('6096', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6099', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('6100', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6120', '0', '21', '24');
INSERT INTO `spr_action` VALUES ('6120', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('6130', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6132', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6136', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('6136', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('6136', '19', '22', '24');
INSERT INTO `spr_action` VALUES ('6136', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '5', '15', '24');
INSERT INTO `spr_action` VALUES ('6136', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('6136', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '25', '16', '24');
INSERT INTO `spr_action` VALUES ('6136', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '41', '15', '24');
INSERT INTO `spr_action` VALUES ('6136', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('6136', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('6136', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '55', '15', '24');
INSERT INTO `spr_action` VALUES ('6136', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6136', '59', '15', '24');
INSERT INTO `spr_action` VALUES ('6136', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6137', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('6137', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('6137', '19', '22', '24');
INSERT INTO `spr_action` VALUES ('6137', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '5', '15', '24');
INSERT INTO `spr_action` VALUES ('6137', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('6137', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '41', '15', '24');
INSERT INTO `spr_action` VALUES ('6137', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('6137', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('6137', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '55', '15', '24');
INSERT INTO `spr_action` VALUES ('6137', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6137', '59', '15', '24');
INSERT INTO `spr_action` VALUES ('6137', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6138', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('6138', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('6138', '19', '22', '24');
INSERT INTO `spr_action` VALUES ('6138', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '5', '15', '24');
INSERT INTO `spr_action` VALUES ('6138', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('6138', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '41', '15', '24');
INSERT INTO `spr_action` VALUES ('6138', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('6138', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('6138', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '55', '15', '24');
INSERT INTO `spr_action` VALUES ('6138', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6138', '59', '15', '24');
INSERT INTO `spr_action` VALUES ('6138', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '1', '14', '24');
INSERT INTO `spr_action` VALUES ('6139', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('6139', '19', '22', '24');
INSERT INTO `spr_action` VALUES ('6139', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '5', '15', '24');
INSERT INTO `spr_action` VALUES ('6139', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '12', '17', '24');
INSERT INTO `spr_action` VALUES ('6139', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '41', '15', '24');
INSERT INTO `spr_action` VALUES ('6139', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '47', '14', '24');
INSERT INTO `spr_action` VALUES ('6139', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '51', '20', '24');
INSERT INTO `spr_action` VALUES ('6139', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '55', '15', '24');
INSERT INTO `spr_action` VALUES ('6139', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6139', '59', '15', '24');
INSERT INTO `spr_action` VALUES ('6139', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6140', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '18', '19', '24');
INSERT INTO `spr_action` VALUES ('6140', '19', '22', '24');
INSERT INTO `spr_action` VALUES ('6140', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('6140', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6140', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('6141', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6141', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6141', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6141', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6141', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6141', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '25', '15', '24');
INSERT INTO `spr_action` VALUES ('6141', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6141', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6141', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6141', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6141', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6141', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6142', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6142', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6142', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6142', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6142', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6142', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6142', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6142', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6142', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6142', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6142', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6143', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6143', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6143', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6143', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6143', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6143', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6143', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6143', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6143', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6143', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6143', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6144', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6144', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6144', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6144', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6144', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6144', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6144', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6144', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6144', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6144', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6145', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6145', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6145', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6145', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6145', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6146', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6146', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6146', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6146', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6146', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '25', '15', '24');
INSERT INTO `spr_action` VALUES ('6146', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6146', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6146', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6146', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6146', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6146', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6147', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6147', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6147', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6147', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6147', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6147', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6147', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6147', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6147', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6147', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6147', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6148', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6148', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6148', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6148', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6148', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6148', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6148', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6148', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6148', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6148', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6148', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6149', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6149', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6149', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6149', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6149', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6149', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6149', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6149', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6149', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6149', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6150', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6150', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6150', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6150', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6150', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6151', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6151', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6151', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6151', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6151', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '25', '15', '24');
INSERT INTO `spr_action` VALUES ('6151', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6151', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6151', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6151', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6151', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6151', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6152', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6152', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6152', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6152', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6152', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6152', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6152', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6152', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6152', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6152', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6153', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6153', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6153', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6153', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6153', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6153', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6153', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6153', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6153', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6153', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6153', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6154', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6154', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6154', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6154', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6154', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6154', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6154', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6154', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6154', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6154', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6155', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6155', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6155', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6155', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6156', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6156', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6156', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6156', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '25', '15', '24');
INSERT INTO `spr_action` VALUES ('6156', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6156', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6156', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6156', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6156', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6156', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6157', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6157', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6157', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6157', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6157', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6157', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6157', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6157', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6157', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6157', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6158', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6158', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6158', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6158', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6158', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6158', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6158', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6158', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6158', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6158', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '0', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6159', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6159', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '4', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6159', '11', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6159', '20', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '24', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '40', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6159', '46', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6159', '50', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '54', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6159', '58', '18', '24');
INSERT INTO `spr_action` VALUES ('6159', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6159', '62', '18', '24');
INSERT INTO `spr_action` VALUES ('6160', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6160', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6160', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6160', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6161', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('6161', '1', '28', '24');
INSERT INTO `spr_action` VALUES ('6180', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('6180', '1', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '18', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '19', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '4', '24', '36');
INSERT INTO `spr_action` VALUES ('6180', '5', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '11', '24', '36');
INSERT INTO `spr_action` VALUES ('6180', '12', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '40', '24', '36');
INSERT INTO `spr_action` VALUES ('6180', '41', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '46', '24', '36');
INSERT INTO `spr_action` VALUES ('6180', '47', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '50', '28', '36');
INSERT INTO `spr_action` VALUES ('6180', '51', '46', '36');
INSERT INTO `spr_action` VALUES ('6180', '54', '24', '36');
INSERT INTO `spr_action` VALUES ('6180', '55', '42', '36');
INSERT INTO `spr_action` VALUES ('6180', '58', '24', '36');
INSERT INTO `spr_action` VALUES ('6180', '59', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6181', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('6181', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6181', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6181', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6181', '50', '28', '24');
INSERT INTO `spr_action` VALUES ('6181', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6181', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6181', '18', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '19', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '1', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '5', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '12', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '41', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '47', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '51', '46', '36');
INSERT INTO `spr_action` VALUES ('6181', '55', '42', '36');
INSERT INTO `spr_action` VALUES ('6181', '59', '42', '36');
INSERT INTO `spr_action` VALUES ('6182', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6182', '1', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '18', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '19', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('6182', '5', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6182', '12', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6182', '41', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6182', '47', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '50', '28', '24');
INSERT INTO `spr_action` VALUES ('6182', '51', '46', '24');
INSERT INTO `spr_action` VALUES ('6182', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6182', '55', '42', '24');
INSERT INTO `spr_action` VALUES ('6182', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6182', '59', '42', '24');
INSERT INTO `spr_action` VALUES ('6183', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('6184', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('6184', '1', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '18', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '19', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '11', '24', '36');
INSERT INTO `spr_action` VALUES ('6184', '12', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '40', '24', '36');
INSERT INTO `spr_action` VALUES ('6184', '41', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '46', '24', '36');
INSERT INTO `spr_action` VALUES ('6184', '47', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '50', '24', '36');
INSERT INTO `spr_action` VALUES ('6184', '51', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '54', '24', '36');
INSERT INTO `spr_action` VALUES ('6184', '55', '74', '36');
INSERT INTO `spr_action` VALUES ('6184', '58', '24', '36');
INSERT INTO `spr_action` VALUES ('6184', '59', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6185', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6185', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6185', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6185', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('6185', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6185', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6185', '1', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '18', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '19', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '12', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '41', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '47', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '51', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '55', '74', '36');
INSERT INTO `spr_action` VALUES ('6185', '59', '74', '36');
INSERT INTO `spr_action` VALUES ('6186', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6186', '1', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '18', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '19', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6186', '12', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6186', '41', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6186', '47', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('6186', '51', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6186', '55', '74', '24');
INSERT INTO `spr_action` VALUES ('6186', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6186', '59', '74', '24');
INSERT INTO `spr_action` VALUES ('6187', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('6188', '0', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '1', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '19', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '4', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '5', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '11', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '12', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '40', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '41', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '46', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '47', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '50', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '51', '36', '36');
INSERT INTO `spr_action` VALUES ('6188', '54', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '55', '32', '36');
INSERT INTO `spr_action` VALUES ('6188', '58', '20', '36');
INSERT INTO `spr_action` VALUES ('6188', '59', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '4', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '11', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '40', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '46', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '50', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '54', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '58', '20', '24');
INSERT INTO `spr_action` VALUES ('6189', '1', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '19', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '5', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '12', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '41', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '47', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '51', '36', '36');
INSERT INTO `spr_action` VALUES ('6189', '55', '32', '36');
INSERT INTO `spr_action` VALUES ('6189', '59', '32', '36');
INSERT INTO `spr_action` VALUES ('6190', '0', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '1', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '4', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '5', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '11', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '12', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '40', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '41', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '46', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '47', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '50', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '51', '36', '24');
INSERT INTO `spr_action` VALUES ('6190', '54', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '55', '32', '24');
INSERT INTO `spr_action` VALUES ('6190', '58', '20', '24');
INSERT INTO `spr_action` VALUES ('6190', '59', '32', '24');
INSERT INTO `spr_action` VALUES ('6191', '0', '20', '48');
INSERT INTO `spr_action` VALUES ('6192', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '1', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '18', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '19', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '4', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '5', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '11', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '12', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '40', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '41', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '46', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '47', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '50', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '51', '42', '36');
INSERT INTO `spr_action` VALUES ('6192', '54', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '55', '38', '36');
INSERT INTO `spr_action` VALUES ('6192', '58', '12', '36');
INSERT INTO `spr_action` VALUES ('6192', '59', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('6193', '1', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '18', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '19', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '5', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '12', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '41', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '47', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '51', '42', '36');
INSERT INTO `spr_action` VALUES ('6193', '55', '38', '36');
INSERT INTO `spr_action` VALUES ('6193', '59', '38', '36');
INSERT INTO `spr_action` VALUES ('6194', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '1', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '18', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '19', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '5', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '12', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '41', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '47', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '51', '42', '24');
INSERT INTO `spr_action` VALUES ('6194', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '55', '38', '24');
INSERT INTO `spr_action` VALUES ('6194', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('6194', '59', '38', '24');
INSERT INTO `spr_action` VALUES ('6195', '0', '12', '48');
INSERT INTO `spr_action` VALUES ('6196', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '1', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '4', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '5', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '11', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '12', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '40', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '41', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '46', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '47', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '50', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '51', '24', '36');
INSERT INTO `spr_action` VALUES ('6196', '54', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '55', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '58', '12', '36');
INSERT INTO `spr_action` VALUES ('6196', '59', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '18', '20', '36');
INSERT INTO `spr_action` VALUES ('6196', '19', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('6197', '1', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '5', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '12', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '41', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '47', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '51', '24', '36');
INSERT INTO `spr_action` VALUES ('6197', '55', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '59', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '18', '20', '36');
INSERT INTO `spr_action` VALUES ('6197', '19', '20', '36');
INSERT INTO `spr_action` VALUES ('6198', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '4', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '11', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '40', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '46', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '50', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('6198', '54', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '58', '12', '24');
INSERT INTO `spr_action` VALUES ('6198', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('6198', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6199', '0', '12', '48');
INSERT INTO `spr_action` VALUES ('6200', '0', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '4', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '11', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '40', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '46', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '50', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '54', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '58', '32', '54');
INSERT INTO `spr_action` VALUES ('6200', '1', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '5', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '12', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '41', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '47', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '51', '40', '36');
INSERT INTO `spr_action` VALUES ('6200', '55', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '59', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '18', '36', '36');
INSERT INTO `spr_action` VALUES ('6200', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '4', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '11', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '40', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '46', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '50', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '54', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '58', '32', '36');
INSERT INTO `spr_action` VALUES ('6201', '1', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '5', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '12', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '41', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '47', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '51', '40', '36');
INSERT INTO `spr_action` VALUES ('6201', '55', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '59', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '18', '36', '36');
INSERT INTO `spr_action` VALUES ('6201', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('6202', '0', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '4', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '11', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '40', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '46', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '50', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '54', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '58', '32', '36');
INSERT INTO `spr_action` VALUES ('6202', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '5', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '12', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '41', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '47', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '51', '40', '24');
INSERT INTO `spr_action` VALUES ('6202', '55', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '59', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '18', '36', '24');
INSERT INTO `spr_action` VALUES ('6202', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('6203', '0', '32', '72');
INSERT INTO `spr_action` VALUES ('6204', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('6204', '1', '31', '36');
INSERT INTO `spr_action` VALUES ('6204', '20', '12', '36');
INSERT INTO `spr_action` VALUES ('6204', '21', '43', '36');
INSERT INTO `spr_action` VALUES ('6204', '62', '12', '36');
INSERT INTO `spr_action` VALUES ('6204', '63', '43', '36');
INSERT INTO `spr_action` VALUES ('6204', '18', '31', '36');
INSERT INTO `spr_action` VALUES ('6204', '19', '31', '36');
INSERT INTO `spr_action` VALUES ('6205', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6205', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('6205', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('6205', '1', '31', '36');
INSERT INTO `spr_action` VALUES ('6205', '21', '43', '36');
INSERT INTO `spr_action` VALUES ('6205', '63', '43', '36');
INSERT INTO `spr_action` VALUES ('6205', '18', '31', '36');
INSERT INTO `spr_action` VALUES ('6205', '19', '31', '36');
INSERT INTO `spr_action` VALUES ('6206', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6206', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('6206', '20', '12', '24');
INSERT INTO `spr_action` VALUES ('6206', '21', '43', '24');
INSERT INTO `spr_action` VALUES ('6206', '62', '12', '24');
INSERT INTO `spr_action` VALUES ('6206', '63', '43', '24');
INSERT INTO `spr_action` VALUES ('6206', '18', '31', '24');
INSERT INTO `spr_action` VALUES ('6206', '19', '31', '24');
INSERT INTO `spr_action` VALUES ('6207', '0', '12', '48');
INSERT INTO `spr_action` VALUES ('6208', '0', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '4', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '11', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '40', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '46', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '50', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '54', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '58', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '20', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '62', '48', '54');
INSERT INTO `spr_action` VALUES ('6208', '1', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '5', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '12', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '41', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '47', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '51', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '55', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '59', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '21', '36', '36');
INSERT INTO `spr_action` VALUES ('6208', '63', '36', '36');
INSERT INTO `spr_action` VALUES ('6208', '18', '29', '36');
INSERT INTO `spr_action` VALUES ('6208', '19', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '4', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '11', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '40', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '46', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '50', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '54', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '58', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '20', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '62', '48', '36');
INSERT INTO `spr_action` VALUES ('6209', '1', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '5', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '12', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '41', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '47', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '51', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '55', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '59', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '21', '36', '36');
INSERT INTO `spr_action` VALUES ('6209', '63', '36', '36');
INSERT INTO `spr_action` VALUES ('6209', '18', '29', '36');
INSERT INTO `spr_action` VALUES ('6209', '19', '29', '36');
INSERT INTO `spr_action` VALUES ('6210', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '4', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '11', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '40', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '46', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '50', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '54', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '58', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '20', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '62', '48', '36');
INSERT INTO `spr_action` VALUES ('6210', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '5', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '12', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '41', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '47', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '51', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '55', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '59', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '21', '36', '24');
INSERT INTO `spr_action` VALUES ('6210', '63', '36', '24');
INSERT INTO `spr_action` VALUES ('6210', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('6210', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('6211', '0', '48', '72');
INSERT INTO `spr_action` VALUES ('6212', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '1', '31', '36');
INSERT INTO `spr_action` VALUES ('6212', '4', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '5', '31', '36');
INSERT INTO `spr_action` VALUES ('6212', '11', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '12', '31', '36');
INSERT INTO `spr_action` VALUES ('6212', '40', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '41', '31', '36');
INSERT INTO `spr_action` VALUES ('6212', '46', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '47', '31', '36');
INSERT INTO `spr_action` VALUES ('6212', '50', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '51', '35', '36');
INSERT INTO `spr_action` VALUES ('6212', '54', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '55', '31', '36');
INSERT INTO `spr_action` VALUES ('6212', '58', '24', '36');
INSERT INTO `spr_action` VALUES ('6212', '59', '31', '36');
INSERT INTO `spr_action` VALUES ('6212', '18', '29', '36');
INSERT INTO `spr_action` VALUES ('6212', '19', '29', '36');
INSERT INTO `spr_action` VALUES ('6213', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6213', '1', '31', '36');
INSERT INTO `spr_action` VALUES ('6213', '5', '31', '36');
INSERT INTO `spr_action` VALUES ('6213', '12', '31', '36');
INSERT INTO `spr_action` VALUES ('6213', '41', '31', '36');
INSERT INTO `spr_action` VALUES ('6213', '47', '31', '36');
INSERT INTO `spr_action` VALUES ('6213', '51', '35', '36');
INSERT INTO `spr_action` VALUES ('6213', '55', '31', '36');
INSERT INTO `spr_action` VALUES ('6213', '59', '31', '36');
INSERT INTO `spr_action` VALUES ('6213', '18', '29', '36');
INSERT INTO `spr_action` VALUES ('6213', '19', '29', '36');
INSERT INTO `spr_action` VALUES ('6214', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '1', '31', '24');
INSERT INTO `spr_action` VALUES ('6214', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '5', '31', '24');
INSERT INTO `spr_action` VALUES ('6214', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '12', '31', '24');
INSERT INTO `spr_action` VALUES ('6214', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '41', '31', '24');
INSERT INTO `spr_action` VALUES ('6214', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '47', '31', '24');
INSERT INTO `spr_action` VALUES ('6214', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '51', '35', '24');
INSERT INTO `spr_action` VALUES ('6214', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '55', '31', '24');
INSERT INTO `spr_action` VALUES ('6214', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6214', '59', '31', '24');
INSERT INTO `spr_action` VALUES ('6214', '18', '29', '24');
INSERT INTO `spr_action` VALUES ('6214', '19', '29', '24');
INSERT INTO `spr_action` VALUES ('6215', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('6216', '0', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '1', '27', '36');
INSERT INTO `spr_action` VALUES ('6216', '4', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '5', '27', '36');
INSERT INTO `spr_action` VALUES ('6216', '11', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '12', '27', '36');
INSERT INTO `spr_action` VALUES ('6216', '40', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '41', '27', '36');
INSERT INTO `spr_action` VALUES ('6216', '46', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '47', '27', '36');
INSERT INTO `spr_action` VALUES ('6216', '50', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '51', '30', '36');
INSERT INTO `spr_action` VALUES ('6216', '54', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '55', '27', '36');
INSERT INTO `spr_action` VALUES ('6216', '58', '24', '36');
INSERT INTO `spr_action` VALUES ('6216', '59', '27', '36');
INSERT INTO `spr_action` VALUES ('6216', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6216', '19', '40', '36');
INSERT INTO `spr_action` VALUES ('6217', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6217', '1', '27', '36');
INSERT INTO `spr_action` VALUES ('6217', '5', '27', '36');
INSERT INTO `spr_action` VALUES ('6217', '12', '27', '36');
INSERT INTO `spr_action` VALUES ('6217', '41', '27', '36');
INSERT INTO `spr_action` VALUES ('6217', '47', '27', '36');
INSERT INTO `spr_action` VALUES ('6217', '51', '30', '36');
INSERT INTO `spr_action` VALUES ('6217', '55', '27', '36');
INSERT INTO `spr_action` VALUES ('6217', '59', '27', '36');
INSERT INTO `spr_action` VALUES ('6217', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6217', '19', '40', '36');
INSERT INTO `spr_action` VALUES ('6218', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '1', '27', '24');
INSERT INTO `spr_action` VALUES ('6218', '4', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '5', '27', '24');
INSERT INTO `spr_action` VALUES ('6218', '11', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '12', '27', '24');
INSERT INTO `spr_action` VALUES ('6218', '40', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '41', '27', '24');
INSERT INTO `spr_action` VALUES ('6218', '46', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '47', '27', '24');
INSERT INTO `spr_action` VALUES ('6218', '50', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '51', '30', '24');
INSERT INTO `spr_action` VALUES ('6218', '54', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '55', '27', '24');
INSERT INTO `spr_action` VALUES ('6218', '58', '24', '24');
INSERT INTO `spr_action` VALUES ('6218', '59', '27', '24');
INSERT INTO `spr_action` VALUES ('6218', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('6218', '19', '40', '24');
INSERT INTO `spr_action` VALUES ('6219', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('6220', '0', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '1', '20', '36');
INSERT INTO `spr_action` VALUES ('6220', '4', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '5', '20', '36');
INSERT INTO `spr_action` VALUES ('6220', '11', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '12', '20', '36');
INSERT INTO `spr_action` VALUES ('6220', '40', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '41', '20', '36');
INSERT INTO `spr_action` VALUES ('6220', '46', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '47', '20', '36');
INSERT INTO `spr_action` VALUES ('6220', '50', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '51', '24', '36');
INSERT INTO `spr_action` VALUES ('6220', '54', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '55', '20', '36');
INSERT INTO `spr_action` VALUES ('6220', '58', '16', '36');
INSERT INTO `spr_action` VALUES ('6220', '59', '20', '36');
INSERT INTO `spr_action` VALUES ('6220', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6220', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('6221', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6221', '1', '20', '36');
INSERT INTO `spr_action` VALUES ('6221', '5', '20', '36');
INSERT INTO `spr_action` VALUES ('6221', '12', '20', '36');
INSERT INTO `spr_action` VALUES ('6221', '41', '20', '36');
INSERT INTO `spr_action` VALUES ('6221', '47', '20', '36');
INSERT INTO `spr_action` VALUES ('6221', '51', '24', '36');
INSERT INTO `spr_action` VALUES ('6221', '55', '20', '36');
INSERT INTO `spr_action` VALUES ('6221', '59', '20', '36');
INSERT INTO `spr_action` VALUES ('6221', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6221', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('6222', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('6222', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '5', '20', '24');
INSERT INTO `spr_action` VALUES ('6222', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '12', '20', '24');
INSERT INTO `spr_action` VALUES ('6222', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '41', '20', '24');
INSERT INTO `spr_action` VALUES ('6222', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '47', '20', '24');
INSERT INTO `spr_action` VALUES ('6222', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '51', '24', '24');
INSERT INTO `spr_action` VALUES ('6222', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '55', '20', '24');
INSERT INTO `spr_action` VALUES ('6222', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6222', '59', '20', '24');
INSERT INTO `spr_action` VALUES ('6222', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('6222', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('6223', '0', '16', '48');
INSERT INTO `spr_action` VALUES ('6224', '0', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '4', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '11', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '40', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '46', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '50', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '54', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '58', '26', '54');
INSERT INTO `spr_action` VALUES ('6224', '1', '36', '72');
INSERT INTO `spr_action` VALUES ('6224', '5', '36', '72');
INSERT INTO `spr_action` VALUES ('6224', '12', '36', '72');
INSERT INTO `spr_action` VALUES ('6224', '41', '36', '72');
INSERT INTO `spr_action` VALUES ('6224', '47', '36', '72');
INSERT INTO `spr_action` VALUES ('6224', '51', '40', '72');
INSERT INTO `spr_action` VALUES ('6224', '55', '36', '72');
INSERT INTO `spr_action` VALUES ('6224', '59', '36', '72');
INSERT INTO `spr_action` VALUES ('6224', '18', '52', '72');
INSERT INTO `spr_action` VALUES ('6224', '19', '52', '72');
INSERT INTO `spr_action` VALUES ('6225', '0', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '4', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '11', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '40', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '46', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '50', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '54', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '58', '26', '36');
INSERT INTO `spr_action` VALUES ('6225', '1', '36', '72');
INSERT INTO `spr_action` VALUES ('6225', '5', '36', '72');
INSERT INTO `spr_action` VALUES ('6225', '12', '36', '72');
INSERT INTO `spr_action` VALUES ('6225', '41', '36', '72');
INSERT INTO `spr_action` VALUES ('6225', '47', '36', '72');
INSERT INTO `spr_action` VALUES ('6225', '51', '40', '72');
INSERT INTO `spr_action` VALUES ('6225', '55', '36', '72');
INSERT INTO `spr_action` VALUES ('6225', '59', '36', '72');
INSERT INTO `spr_action` VALUES ('6225', '18', '52', '72');
INSERT INTO `spr_action` VALUES ('6225', '19', '52', '72');
INSERT INTO `spr_action` VALUES ('6226', '0', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '4', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '11', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '40', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '46', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '50', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '54', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '58', '26', '36');
INSERT INTO `spr_action` VALUES ('6226', '1', '36', '48');
INSERT INTO `spr_action` VALUES ('6226', '5', '36', '48');
INSERT INTO `spr_action` VALUES ('6226', '12', '36', '48');
INSERT INTO `spr_action` VALUES ('6226', '41', '36', '48');
INSERT INTO `spr_action` VALUES ('6226', '47', '36', '48');
INSERT INTO `spr_action` VALUES ('6226', '51', '40', '48');
INSERT INTO `spr_action` VALUES ('6226', '55', '36', '48');
INSERT INTO `spr_action` VALUES ('6226', '59', '36', '48');
INSERT INTO `spr_action` VALUES ('6226', '18', '52', '48');
INSERT INTO `spr_action` VALUES ('6226', '19', '52', '48');
INSERT INTO `spr_action` VALUES ('6227', '0', '26', '72');
INSERT INTO `spr_action` VALUES ('6228', '0', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '1', '36', '36');
INSERT INTO `spr_action` VALUES ('6228', '4', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '5', '36', '36');
INSERT INTO `spr_action` VALUES ('6228', '11', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '12', '36', '36');
INSERT INTO `spr_action` VALUES ('6228', '40', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '41', '36', '36');
INSERT INTO `spr_action` VALUES ('6228', '46', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '47', '36', '36');
INSERT INTO `spr_action` VALUES ('6228', '50', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '51', '40', '36');
INSERT INTO `spr_action` VALUES ('6228', '54', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '55', '36', '36');
INSERT INTO `spr_action` VALUES ('6228', '58', '48', '36');
INSERT INTO `spr_action` VALUES ('6228', '59', '36', '36');
INSERT INTO `spr_action` VALUES ('6228', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6228', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '4', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '11', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '40', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '46', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '50', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '54', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '58', '48', '24');
INSERT INTO `spr_action` VALUES ('6229', '1', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '5', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '12', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '41', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '47', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '51', '40', '36');
INSERT INTO `spr_action` VALUES ('6229', '55', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '59', '36', '36');
INSERT INTO `spr_action` VALUES ('6229', '18', '32', '36');
INSERT INTO `spr_action` VALUES ('6229', '19', '36', '36');
INSERT INTO `spr_action` VALUES ('6230', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '1', '36', '24');
INSERT INTO `spr_action` VALUES ('6230', '4', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '5', '36', '24');
INSERT INTO `spr_action` VALUES ('6230', '11', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '12', '36', '24');
INSERT INTO `spr_action` VALUES ('6230', '40', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '41', '36', '24');
INSERT INTO `spr_action` VALUES ('6230', '46', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '47', '36', '24');
INSERT INTO `spr_action` VALUES ('6230', '50', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '51', '40', '24');
INSERT INTO `spr_action` VALUES ('6230', '54', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '55', '36', '24');
INSERT INTO `spr_action` VALUES ('6230', '58', '48', '24');
INSERT INTO `spr_action` VALUES ('6230', '59', '36', '24');
INSERT INTO `spr_action` VALUES ('6230', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('6230', '19', '36', '24');
INSERT INTO `spr_action` VALUES ('6231', '0', '48', '48');
INSERT INTO `spr_action` VALUES ('6232', '0', '16', '48');
INSERT INTO `spr_action` VALUES ('6233', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6234', '0', '16', '48');
INSERT INTO `spr_action` VALUES ('6235', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6236', '0', '36', '48');
INSERT INTO `spr_action` VALUES ('6237', '0', '36', '24');
INSERT INTO `spr_action` VALUES ('6238', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('6239', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6240', '0', '24', '48');
INSERT INTO `spr_action` VALUES ('6241', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6242', '0', '48', '48');
INSERT INTO `spr_action` VALUES ('6243', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('6245', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6249', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('6249', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('6251', '0', '40', '24');
INSERT INTO `spr_action` VALUES ('6267', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6267', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6267', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6267', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6267', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6267', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6267', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6267', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6267', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6267', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6267', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6268', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6268', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6268', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6268', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6268', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6268', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6268', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6268', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6268', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6268', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6269', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6269', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6269', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6269', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6270', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6270', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6270', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6270', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6270', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6270', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6270', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6270', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6270', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6270', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6270', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6271', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6271', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6271', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6271', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6271', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6271', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6271', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6271', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6271', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6271', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6272', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6272', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6272', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6272', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6273', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6273', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6273', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6273', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6273', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6273', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6273', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6273', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6273', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6273', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6274', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6274', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6274', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6274', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6274', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6274', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6274', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6274', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6274', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6275', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6275', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6275', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6276', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6276', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6276', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6276', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6276', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6276', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6276', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6276', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6276', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6276', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6277', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6277', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6277', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6277', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6277', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6277', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6277', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6277', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6277', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6278', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '21', '18', '24');
INSERT INTO `spr_action` VALUES ('6278', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6278', '63', '18', '24');
INSERT INTO `spr_action` VALUES ('6279', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6279', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6279', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6279', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6279', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6279', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6279', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6279', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6279', '19', '21', '24');
INSERT INTO `spr_action` VALUES ('6279', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6280', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6280', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6280', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6280', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6280', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6280', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6280', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6280', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6280', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6280', '18', '17', '24');
INSERT INTO `spr_action` VALUES ('6281', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6281', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6281', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6281', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6281', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6281', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6281', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6281', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6281', '19', '20', '24');
INSERT INTO `spr_action` VALUES ('6281', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '1', '13', '24');
INSERT INTO `spr_action` VALUES ('6282', '4', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '5', '14', '24');
INSERT INTO `spr_action` VALUES ('6282', '11', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '12', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '20', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '24', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '40', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '41', '14', '24');
INSERT INTO `spr_action` VALUES ('6282', '46', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '47', '13', '24');
INSERT INTO `spr_action` VALUES ('6282', '50', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '51', '18', '24');
INSERT INTO `spr_action` VALUES ('6282', '54', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '55', '14', '24');
INSERT INTO `spr_action` VALUES ('6282', '58', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '59', '14', '24');
INSERT INTO `spr_action` VALUES ('6282', '62', '16', '24');
INSERT INTO `spr_action` VALUES ('6282', '19', '18', '24');
INSERT INTO `spr_action` VALUES ('6282', '18', '16', '24');
INSERT INTO `spr_action` VALUES ('6283', '0', '20', '36');
INSERT INTO `spr_action` VALUES ('6283', '1', '33', '36');
INSERT INTO `spr_action` VALUES ('6283', '18', '33', '36');
INSERT INTO `spr_action` VALUES ('6284', '0', '12', '36');
INSERT INTO `spr_action` VALUES ('6284', '1', '29', '24');
INSERT INTO `spr_action` VALUES ('6288', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('6289', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('6290', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6290', '1', '22', '24');
INSERT INTO `spr_action` VALUES ('6290', '18', '27', '24');
INSERT INTO `spr_action` VALUES ('6290', '19', '33', '24');
INSERT INTO `spr_action` VALUES ('6293', '0', '48', '24');
INSERT INTO `spr_action` VALUES ('6295', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6296', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6299', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('6300', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('6302', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6302', '1', '26', '24');
INSERT INTO `spr_action` VALUES ('6302', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('6306', '0', '3', '24');
INSERT INTO `spr_action` VALUES ('6308', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('6310', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6310', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('6310', '18', '21', '24');
INSERT INTO `spr_action` VALUES ('6314', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('6314', '1', '24', '24');
INSERT INTO `spr_action` VALUES ('6314', '18', '21', '24');
INSERT INTO `spr_action` VALUES ('6317', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('6319', '0', '25', '24');
INSERT INTO `spr_action` VALUES ('6320', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('6321', '0', '24', '24');
INSERT INTO `spr_action` VALUES ('6322', '0', '12', '24');
INSERT INTO `spr_action` VALUES ('6322', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('6322', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('6324', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6325', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('6325', '1', '16', '24');
INSERT INTO `spr_action` VALUES ('6325', '18', '20', '24');
INSERT INTO `spr_action` VALUES ('6327', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('6328', '0', '17', '24');
INSERT INTO `spr_action` VALUES ('6334', '0', '74', '24');
INSERT INTO `spr_action` VALUES ('6339', '0', '27', '24');
INSERT INTO `spr_action` VALUES ('6342', '0', '30', '24');
INSERT INTO `spr_action` VALUES ('6353', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('6354', '0', '26', '24');
INSERT INTO `spr_action` VALUES ('6385', '0', '44', '24');
INSERT INTO `spr_action` VALUES ('6387', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('6388', '0', '19', '24');
INSERT INTO `spr_action` VALUES ('6389', '0', '32', '24');
INSERT INTO `spr_action` VALUES ('6390', '0', '76', '24');
INSERT INTO `spr_action` VALUES ('6392', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('6394', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('6396', '0', '14', '24');
INSERT INTO `spr_action` VALUES ('6396', '1', '20', '24');
INSERT INTO `spr_action` VALUES ('6396', '18', '32', '24');
INSERT INTO `spr_action` VALUES ('6396', '19', '32', '24');
INSERT INTO `spr_action` VALUES ('6398', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('6399', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('6399', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('6399', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('6400', '0', '10', '24');
INSERT INTO `spr_action` VALUES ('6400', '1', '18', '24');
INSERT INTO `spr_action` VALUES ('6400', '18', '26', '24');
INSERT INTO `spr_action` VALUES ('6404', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('6404', '1', '4', '24');
INSERT INTO `spr_action` VALUES ('6404', '18', '4', '24');
INSERT INTO `spr_action` VALUES ('6405', '0', '4', '24');
INSERT INTO `spr_action` VALUES ('6405', '1', '4', '24');
INSERT INTO `spr_action` VALUES ('6405', '18', '4', '24');
INSERT INTO `spr_action` VALUES ('6406', '0', '16', '24');
INSERT INTO `spr_action` VALUES ('6406', '18', '24', '24');
INSERT INTO `spr_action` VALUES ('6406', '19', '28', '24');
INSERT INTO `spr_action` VALUES ('6406', '21', '19', '24');
INSERT INTO `spr_action` VALUES ('6406', '63', '19', '24');
INSERT INTO `spr_action` VALUES ('6407', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('6408', '0', '28', '24');
INSERT INTO `spr_action` VALUES ('6409', '0', '52', '24');
INSERT INTO `spr_action` VALUES ('6411', '0', '75', '24');
INSERT INTO `spr_action` VALUES ('6412', '0', '75', '24');
INSERT INTO `spr_action` VALUES ('6413', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6414', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6415', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6416', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6417', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6418', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6419', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6420', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6421', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6422', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6423', '0', '77', '24');
INSERT INTO `spr_action` VALUES ('6424', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6425', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6426', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6427', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6428', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6429', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6430', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6431', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6432', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6433', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6434', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6435', '0', '85', '24');
INSERT INTO `spr_action` VALUES ('6436', '0', '85', '24');
INSERT INTO `town` VALUES ('1', 'Talking Island Village', '0', null, '0', '0', '0', '0', '0', '884');
INSERT INTO `town` VALUES ('2', 'Silver Knight Town', '307058084', 'Belenthrond', '0', '0', '0', '0', '0', '7134');
INSERT INTO `town` VALUES ('3', 'Gludio', '290675889', 'ARES', '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('4', 'Fire Farmers Town', '291961946', 'HP', '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('5', 'Windawood', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('6', 'Kent Village', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('7', 'Giran', '272333725', 'Filth', '0', '0', '0', '0', '0', '35258');
INSERT INTO `town` VALUES ('8', 'Heine', '0', null, '0', '0', '0', '0', '0', '0');
INSERT INTO `town` VALUES ('9', 'Werldern Village', '300686371', 'Lysandria', '0', '0', '0', '0', '0', '20456');
INSERT INTO `town` VALUES ('10', 'Oren', '295792391', 'Escence', '0', '0', '0', '0', '0', '168746');
INSERT INTO `trap` VALUES ('1', 'Damage 1', 'L1DamageTrap', '1065', '1', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('2', 'Damage 2', 'L1HealingTrap', '1074', '0', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('3', 'Normal Poison', 'L1PoisonTrap', '1066', '1', '0', '0', '0', 'd', '0', '5000', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('4', 'Silence Poison', 'L1PoisonTrap', '1066', '1', '0', '0', '0', 's', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('5', 'Paralysis Poison', 'L1PoisonTrap', '1066', '1', '0', '0', '0', 'p', '5000', '5000', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('6', 'Damage 3', 'L1DamageTrap', '1085', '1', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('7', 'Damage 4', 'L1DamageTrap', '1070', '1', '10', '10', '1', '-', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('8', 'TOI4F: Mutant Arachnevil Elder', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45348', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('9', 'TOI8F: Cimaera', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45407', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('10', 'TOI14F: Succubus', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45394', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('11', 'TOI18F: Wicked Beholder', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45406', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('12', 'TOI24F: Horrific Fire Egg', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45384', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('13', 'TOI28F: Horrific Cerberus', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45471', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('14', 'TOI34F: Raging Skeleton Pike', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45403', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('15', 'TOI38F: Raging Spartoi', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45455', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('16', 'TOI44F: Fire Ghost', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45514', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('17', 'TOI48F: Bone Dragon', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45522', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('18', 'TOI54F: Cursed Elmore Soldier', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45524', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('19', 'TOI64F: Cruel Snow Tiger', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45528', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('20', 'TOI74F: Black Knight of Darkness', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45503', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('21', 'TOI78F: Fire Archer of Darkness', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45532', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('22', 'TOI84F: Lesser Seer', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45586', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('23', 'TOI94F: Great Spirit of Wind', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45621', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('24', 'IT4F: Iron Golem', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45372', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('25', 'IT4F: Mimic', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45141', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('26', 'IT4F: Living Armor', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45322', '2', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('27', 'IT5F: Iron Golem', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45372', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('28', 'IT5F: Mimic', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45141', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('29', 'IT5F: Living Armor', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45322', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('30', 'IT6F: Silhouette', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45162', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('31', 'IT6F: Death', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45221', '3', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('32', 'IT7F: Silhouette', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45162', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('33', 'IT7F: Death', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45221', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('34', 'IT8F: Iron Golem', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45372', '5', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('35', 'IT8F: Silhouette', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45162', '5', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('36', 'IT8F: Death', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45221', '5', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('37', 'IT8F: Living Armor', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45322', '5', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('38', '', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45247', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('39', '', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45274', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('40', '', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45330', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('41', '', 'L1MonsterTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45314', '4', '0', '0', '0', '0', '0');
INSERT INTO `trap` VALUES ('42', '', 'L1TeleportTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '45247', '4', '32679', '32742', '482', '0', '0');
INSERT INTO `trap` VALUES ('43', '', 'L1TeleportTrap', '0', '0', '0', '0', '0', 'n', '0', '0', '0', '0', '0', '32736', '32800', '483', '0', '0');
INSERT INTO `trap` VALUES ('44', '', 'L1SkillTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '0', '0', '0', '33', '0');
INSERT INTO `trap` VALUES ('45', '', 'L1SkillTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '0', '0', '0', '20', '5');
INSERT INTO `trap` VALUES ('46', '', 'L1SkillTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '0', '0', '0', '29', '5');
INSERT INTO `trap` VALUES ('47', '', 'L1SkillTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '0', '0', '0', '43', '5');
INSERT INTO `trap` VALUES ('48', '', 'L1TeleportTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '32730', '32829', '5140', '0', '0');
INSERT INTO `trap` VALUES ('49', '', 'L1TeleportTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '32749', '32813', '5140', '0', '0');
INSERT INTO `trap` VALUES ('50', '', 'L1TeleportTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '32747', '32867', '5140', '0', '0');
INSERT INTO `trap` VALUES ('51', '', 'L1TeleportTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '32785', '32819', '5140', '0', '0');
INSERT INTO `trap` VALUES ('52', '', 'L1TeleportTrap', '0', '0', '0', '0', '0', '-', '0', '0', '0', '0', '0', '32797', '32869', '5140', '0', '0');
INSERT INTO `ub_managers` VALUES ('1', '50037');
INSERT INTO `ub_managers` VALUES ('1', '50038');
INSERT INTO `ub_managers` VALUES ('2', '50041');
INSERT INTO `ub_managers` VALUES ('2', '50042');
INSERT INTO `ub_managers` VALUES ('3', '50028');
INSERT INTO `ub_managers` VALUES ('3', '50029');
INSERT INTO `ub_managers` VALUES ('4', '50018');
INSERT INTO `ub_managers` VALUES ('4', '50019');
INSERT INTO `ub_managers` VALUES ('5', '50061');
INSERT INTO `ub_managers` VALUES ('5', '50062');
INSERT INTO `ub_settings` VALUES ('1', 'Giran', '88', '33494', '32724', '33516', '32746', '40', '99', '20', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('2', 'Werldern', '98', '32682', '32878', '32717', '32913', '30', '48', '20', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('3', 'Gludio', '92', '32682', '32878', '32717', '32913', '25', '45', '20', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('4', 'TI', '91', '32682', '32878', '32717', '32913', '10', '20', '20', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0');
INSERT INTO `ub_settings` VALUES ('5', 'SKT', '95', '32682', '32878', '32717', '32913', '1', '15', '20', '1', '1', '1', '1', '1', '0', '0', '1', '1', '1', '0', '0');
INSERT INTO `ub_times` VALUES ('1', '500');
INSERT INTO `ub_times` VALUES ('1', '1600');
INSERT INTO `ub_times` VALUES ('1', '2100');
INSERT INTO `ub_times` VALUES ('2', '400');
INSERT INTO `ub_times` VALUES ('2', '1500');
INSERT INTO `ub_times` VALUES ('2', '2000');
INSERT INTO `ub_times` VALUES ('3', '300');
INSERT INTO `ub_times` VALUES ('3', '1400');
INSERT INTO `ub_times` VALUES ('3', '1900');
INSERT INTO `ub_times` VALUES ('4', '200');
INSERT INTO `ub_times` VALUES ('4', '1300');
INSERT INTO `ub_times` VALUES ('4', '1800');
INSERT INTO `ub_times` VALUES ('5', '100');
INSERT INTO `ub_times` VALUES ('5', '600');
INSERT INTO `ub_times` VALUES ('5', '1700');
INSERT INTO `weapon` VALUES ('1', 'Orcish Dagger', '$13', '$13', 'dagger', 'iron', '10000', '34', '68', '0', '2', '3', '1', '6', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('2', 'Dice Dagger', '$416', '$416', 'dagger', 'iron', '10000', '144', '354', '142', '1', '3', '1', '6', '1', '1', '1', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('3', 'Body of Shortsword', '$785', '$785', 'sword', 'mithril', '20000', '322', '68', '0', '2', '2', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('4', 'Dagger', '$70', '$70', 'dagger', 'iron', '10000', '35', '68', '0', '4', '2', '1', '6', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('5', 'Elven Dagger', '$12', '$12', 'dagger', 'mithril', '10000', '33', '68', '0', '4', '3', '1', '6', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('6', 'Lastavard Dagger', '$2905', '$2905', 'dagger', 'iron', '20000', '1332', '3433', '1078', '4', '3', '1', '6', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('7', 'Ivory Tower Dagger', '$3288', '$3288', 'dagger', 'iron', '20000', '34', '68', '1329', '5', '5', '1', '-1', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('8', 'Mithril Dagger', '$3248', '$3248', 'dagger', 'mithril', '50000', '1629', '4112', '1283', '6', '5', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '1', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('9', 'Oriharukon Dagger', '$3247', '$3247', 'dagger', 'oriharukon', '50000', '1635', '4118', '1282', '7', '7', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('10', 'Lastavard Blade', '$2920', '$2920', 'dagger', 'iron', '30000', '1341', '3441', '1079', '8', '8', '1', '6', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('11', 'Dagger of Crystal', '$3867', '$3867', 'dagger', 'silver', '45000', '1921', '4982', '0', '10', '4', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('12', 'Wind Blade Dagger', '$3835', '$3835', 'dagger', 'blackmithril', '60000', '1947', '5003', '0', '23', '16', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '6', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('13', 'Finger of Death', '$2648', '$2648', 'dagger', 'iron', '20000', '1317', '3370', '1049', '16', '4', '1', '6', '0', '0', '0', '0', '1', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('14', 'Claw of Chaos', '$3737', '$3737', 'dagger', 'bone', '10000', '1995', '5046', '1706', '18', '2', '1', '0', '1', '1', '1', '1', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('15', 'Sword of Kurtz', '$2777', '$2777', 'sword', 'iron', '1000', '1243', '3266', '1011', '0', '0', '1', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('16', 'Blade of Revenge', '$2762', '$2762', 'tohandsword', 'bone', '40000', '1241', '3308', '996', '4', '36', '1', '0', '0', '1', '0', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('17', 'Sealed Forgotten Great Sword', '$1958 $1938', '$1958 $1938', 'tohandsword', 'iron', '80000', '90', '76', '659', '3', '6', '1', '0', '1', '1', '0', '0', '0', '1', '0', '3', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('18', 'Sealed Forgotten Sword', '$1958 $1939', '$1958 $1939', 'sword', 'iron', '40000', '103', '26', '660', '3', '2', '1', '0', '1', '1', '0', '1', '1', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('19', 'Body of Long Sword', '$786', '$786', 'sword', 'mithril', '30000', '321', '890', '0', '3', '3', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('20', 'Body of Oriharukon Sword', '$787', '$787', 'sword', 'oriharukon', '35000', '321', '890', '0', '4', '4', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('21', 'Orcish Short Sword', '$99', '$99', 'sword', 'iron', '30000', '105', '26', '0', '4', '4', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('22', 'Mail Breaker', '$793', '$793', 'sword', 'oriharukon', '40000', '276', '26', '276', '4', '5', '1', '6', '1', '1', '1', '1', '1', '1', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('23', 'Broad Sword', '$66', '$66', 'sword', 'iron', '70000', '21', '82', '0', '4', '6', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('24', 'Short Sword', '$100', '$100', 'sword', 'iron', '30000', '106', '26', '0', '6', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('25', 'Silver Sword', '$1148', '$1148', 'sword', 'silver', '40000', '156', '26', '0', '7', '7', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('26', 'Dwarvish Short Sword', '$97', '$97', 'sword', 'iron', '40000', '103', '26', '0', '7', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('27', 'Scimitar', '$92', '$92', 'sword', 'iron', '40000', '90', '76', '0', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('28', 'Elven Short Sword', '$98', '$98', 'sword', 'mithril', '20000', '325', '26', '284', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('29', 'Long Silver Sword', '$1147', '$1147', 'sword', 'silver', '50000', '163', '356', '0', '8', '12', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('30', 'Sword of the Red Knight', '$313', '$313', 'sword', 'iron', '40000', '441', '3', '123', '8', '12', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('31', 'Long Sword', '$0', '$0', 'sword', 'iron', '40000', '2', '3', '0', '8', '12', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('32', 'Gradius', '$415', '$415', 'sword', 'iron', '40000', '151', '355', '0', '9', '11', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('33', 'Sword of Honor', '$3790', '$3790', 'sword', 'iron', '50000', '1871', '4759', '1807', '9', '12', '1', '6', '0', '1', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('34', 'Sword of Red Desire', '$3795', '$3795', 'dagger', 'mithril', '20000', '1872', '3', '1812', '10', '8', '1', '6', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-3', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('35', 'IT One-Handed Sword', '$3279', '$3279', 'sword', 'iron', '40000', '2', '26', '1320', '10', '10', '1', '-1', '1', '1', '0', '1', '1', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('36', 'Eva\'s Scorn', 'Eva\'s Scorn', 'Eva\'s Scorn', 'sword', 'iron', '40000', '932', '26', '0', '9', '9', '1', '6', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('37', 'Damascus Sword', '$598', '$598', 'sword', 'iron', '45000', '298', '3', '235', '10', '11', '1', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('38', 'Lastavard Long Sword', '$2903', '$2903', 'sword', 'iron', '30000', '1335', '3422', '1076', '10', '12', '1', '6', '0', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('39', 'Cutlass', '$3504', '$3504', 'sword', 'iron', '50000', '1778', '4352', '0', '10', '12', '1', '6', '1', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('40', 'Large Sword of Blood', '$3864', '$3864', 'tohandsword', 'iron', '160000', '1918', '4979', '0', '13', '15', '1', '6', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('41', 'Katana', '$16', '$16', 'sword', 'iron', '40000', '58', '26', '0', '10', '12', '1', '6', '1', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('42', 'Rapier', '$789', '$789', 'sword', 'oriharukon', '60000', '104', '3', '0', '11', '6', '1', '6', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('43', 'Shamshir', '$3505', '$3505', 'sword', 'oriharukon', '60000', '1779', '4353', '1497', '11', '6', '1', '6', '0', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('44', 'Sword of Ancient Elf', '$2772', '$2772', 'sword', 'mithril', '20000', '1250', '3314', '1006', '12', '12', '1', '6', '0', '0', '0', '1', '0', '0', '0', '3', '1', '0', '0', '1', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('45', 'Sword of Lord Porche', '$428', '$428', 'sword', 'iron', '50000', '155', '355', '152', '11', '12', '1', '9', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('46', 'Sword of Life', '$1553', '$1553', 'sword', 'iron', '40000', '58', '26', '0', '11', '12', '1', '9', '1', '1', '0', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('47', 'Sword of Silence', '$3110', '$3110', 'sword', 'iron', '60000', '1511', '3733', '1198', '12', '12', '1', '6', '0', '1', '0', '1', '1', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('48', 'IT Two-Handed Sword', '$3280', '$3280', 'tohandsword', 'iron', '150000', '21', '82', '1321', '15', '15', '1', '-1', '1', '1', '0', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('49', 'Long Sword of Pretender King', '$3840', '$3840', 'sword', 'iron', '120000', '1894', '4955', '0', '13', '10', '1', '6', '1', '1', '0', '1', '0', '1', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('50', 'Sword of Flames', '$2353', '$2353', 'sword', 'silver', '80000', '1019', '3', '790', '14', '6', '1', '6', '0', '0', '0', '1', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('51', 'Gold Scepter', '$2354', '$2354', 'sword', 'gold', '110000', '1020', '781', '791', '14', '14', '1', '6', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('52', 'Two Handed Sword', '$3', '$3', 'tohandsword', 'iron', '150000', '4', '59', '0', '17', '21', '1', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('53', 'Sword of Brave Lizardman Soldier', '$3796', '$3796', 'tohandsword', 'iron', '150000', '1876', '3', '1813', '17', '21', '1', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('54', 'Sword of Kurtz', '$2994', '$2994', 'sword', 'iron', '40000', '1243', '3266', '1098', '15', '11', '1', '6', '0', '1', '0', '0', '0', '1', '0', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('55', 'Blade of Darkness', '$3863', '$3863', 'sword', 'iron', '100000', '1917', '4978', '0', '15', '12', '1', '6', '1', '1', '0', '0', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('56', 'Death Blade', '$2350', '$2350', 'sword', 'iron', '100000', '1016', '3', '787', '16', '8', '1', '6', '0', '1', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('57', 'Tsurugi', '$17', '$17', 'sword', 'steel', '120000', '112', '3', '0', '16', '10', '1', '6', '0', '1', '0', '0', '0', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('58', 'Fire Sword of Death Knight', '$2758', '$2758', 'sword', 'iron', '40000', '1259', '3304', '992', '16', '10', '1', '6', '0', '1', '0', '0', '0', '1', '0', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('59', 'Sword of Knight Vald', '$2859', '$2859', 'sword', 'steel', '150000', '1181', '3131', '0', '16', '16', '1', '6', '0', '1', '0', '0', '0', '1', '0', '-1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('60', 'Doom Blade', '$417', '$417', 'sword', 'iron', '50000', '58', '26', '0', '16', '16', '1', '6', '1', '1', '1', '1', '1', '0', '0', '20', '120', '5', '5', '5', '5', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('61', 'Executuion Sword of Fidelity', '$3834', '$3834', 'tohandsword', 'blackmithril', '100000', '1945', '5002', '0', '28', '33', '1', '0', '0', '1', '0', '0', '0', '1', '0', '5', '20', '2', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('62', 'Two-Handed Sword of Pretender King', '$3839', '$3839', 'tohandsword', 'iron', '150000', '1893', '4954', '0', '19', '23', '1', '6', '0', '1', '0', '0', '0', '1', '0', '1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('63', 'Devil\'s Knife', '$3375', '$3375', 'sword', 'iron', '40000', '1720', '4317', '1411', '17', '9', '1', '6', '1', '1', '0', '1', '0', '1', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('64', 'Great Sword', '$1048', '$1048', 'tohandsword', 'iron', '150000', '463', '3', '0', '20', '17', '1', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('65', 'Sword of Heaven', '$2253', '$2253', 'sword', 'iron', '5000', '1010', '26', '760', '17', '19', '1', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '50', '0', '1', '1', '1', '0');
INSERT INTO `weapon` VALUES ('66', 'Dragon Slayer', '$1020', '$1020', 'tohandsword', 'steel', '180000', '438', '3', '0', '24', '33', '1', '6', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('67', 'Ancient Great Sword', '$1951', '$1951', 'tohandsword', 'iron', '70000', '897', '3', '671', '27', '45', '1', '-1', '1', '1', '0', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('68', 'Ancient Sword', '$1950', '$1950', 'sword', 'iron', '30000', '902', '26', '672', '35', '20', '1', '-1', '1', '1', '0', '1', '1', '1', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('69', 'Bronze Edoryu', '$2458 $2449', '$2458 $2449', 'edoryu', 'iron', '20000', '1067', '2923', '862', '8', '6', '1', '6', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('70', 'Edoryu of Auger Blade', '$3866', '$3866', 'edoryu', 'iron', '30000', '1920', '4981', '859', '8', '8', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '11', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('71', 'Steel Edoryu', '$2459 $2449', '$2459 $2449', 'edoryu', 'iron', '30000', '1090', '2929', '863', '10', '7', '1', '6', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('72', 'Shadow Edoryu', '$2460 $2449', '$2460 $2449', 'edoryu', 'iron', '30000', '1083', '2930', '859', '11', '7', '1', '6', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '11', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('73', 'Ivory Tower Edoryu', '$3286', '$3286', 'edoryu', 'iron', '20000', '1072', '2923', '1327', '11', '8', '1', '-1', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('74', 'Silver Edoryu', '$2454 $2449', '$2454 $2449', 'edoryu', 'silver', '20000', '1085', '2926', '849', '11', '8', '1', '6', '0', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('75', 'Dark Edoryu', '$2452 $2449', '$2452 $2449', 'edoryu', 'steel', '20000', '1072', '2925', '846', '12', '8', '1', '6', '0', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '13', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('76', 'Edoryu of Ronde', '$2759', '$2759', 'edoryu', 'iron', '30000', '1260', '3305', '993', '12', '8', '1', '6', '0', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('77', 'Stealth Edoryu', '$2461 $2449', '$2461 $2449', 'edoryu', 'iron', '25000', '1088', '2924', '860', '13', '8', '1', '6', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('78', 'Assassin Sword of Assassin King', '$3860', '$3860', 'edoryu', 'platinum', '20000', '1914', '4975', '0', '13', '13', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('79', 'Edoryu of Abyss', '$3791', '$3791', 'edoryu', 'steel', '20000', '1875', '4763', '1808', '14', '10', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('80', 'Damascus Edoryu', '$2462 $2449', '$2462 $2449', 'edoryu', 'iron', '40000', '1069', '2931', '861', '15', '9', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('81', 'Edoryu of Bravery', '$2449 $2453', '$2449 $2453', 'edoryu', 'steel', '30000', '1064', '2927', '851', '15', '10', '1', '6', '0', '0', '0', '0', '1', '0', '0', '3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('82', 'Lastavard Edoryu', '$2904', '$2904', 'edoryu', 'iron', '40000', '1324', '3431', '1077', '15', '10', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('83', 'Diad Fortress Edoryu', '$3111', '$3111', 'edoryu', 'iron', '40000', '1512', '3734', '1199', '15', '11', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('84', 'Kaiser Edoryu', '$2455', '$2455', 'edoryu', 'platinum', '40000', '1078', '2928', '854', '17', '13', '1', '6', '0', '0', '0', '0', '1', '0', '0', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('85', 'Devil\'s Edoryu', '$3376', '$3376', 'edoryu', 'iron', '30000', '1785', '4362', '1412', '18', '13', '1', '6', '0', '0', '0', '0', '1', '0', '0', '3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('86', 'Edoryu of Red Shadow', '$3836', '$3836', 'edoryu', 'blackmithril', '50000', '1949', '5004', '0', '20', '15', '1', '0', '0', '0', '0', '0', '1', '0', '0', '2', '8', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('87', 'Unknown Spear', '$2760', '$2760', 'spear', 'bone', '0', '1228', '3306', '994', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('88', 'Pan\'s Horn', '$783', '$783', 'singlespear', 'bone', '12000', '317', '887', '0', '2', '2', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('89', 'Mithril-coated Horn', '$791', '$791', 'singlespear', 'steel', '24000', '315', '887', '0', '4', '4', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('90', 'Bardiche', '$62', '$62', 'spear', 'steel', '120000', '11', '5', '0', '10', '12', '2', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('91', 'Orcish Spear', '$96', '$96', 'singlespear', 'steel', '30000', '100', '27', '0', '4', '6', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('92', 'Bill-guisarme', '$63', '$63', 'spear', 'steel', '120000', '13', '5', '0', '10', '17', '2', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('93', 'Trident', '$102', '$102', 'singlespear', 'steel', '25000', '111', '77', '0', '5', '4', '2', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('94', 'Partisan', '$87', '$87', 'singlespear', 'steel', '80000', '72', '5', '0', '6', '6', '2', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('95', 'Lance', '$81', '$81', 'singlespear', 'steel', '180000', '60', '71', '0', '6', '8', '2', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('96', 'Spear', '$25', '$25', 'singlespear', 'steel', '80000', '98', '27', '0', '6', '8', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('97', 'Guisarme', '$76', '$76', 'spear', 'steel', '80000', '48', '5', '0', '12', '14', '2', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('98', 'Glaive', '$75', '$75', 'spear', 'steel', '75000', '45', '5', '0', '12', '16', '2', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('99', 'Elven Spear', '$95', '$95', 'singlespear', 'mithril', '30000', '99', '5', '0', '7', '8', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100', 'Oriharukon-coated Horn', '$792', '$792', 'singlespear', 'oriharukon', '55000', '316', '887', '0', '7', '8', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('101', 'Lastavard One-Handed Spear', '$2906', '$2906', 'singlespear', 'steel', '80000', '1333', '3432', '1080', '8', '8', '2', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('102', 'Lucern Hammer', '$83', '$83', 'spear', 'steel', '150000', '66', '5', '0', '15', '17', '2', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('103', 'Halbred', '$77', '$77', 'spear', 'steel', '150000', '50', '5', '0', '16', '12', '2', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('104', 'Fauchard', '$73', '$73', 'spear', 'oriharukon', '60000', '41', '5', '0', '16', '16', '2', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('105', 'Ivory Tower Spear', '$3282', '$3282', 'spear', 'steel', '100000', '98', '27', '1323', '16', '17', '2', '-1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('106', 'Bec de Corbin', '$71', '$71', 'spear', 'steel', '100000', '38', '5', '0', '17', '17', '2', '6', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('107', 'Crimson Lance', '$3250', '$3250', 'spear', 'mithril', '100000', '38', '4119', '1285', '21', '21', '2', '6', '1', '1', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('108', 'Staff of Demon', '$2764', '$2764', 'staff', 'bone', '1000', '1240', '3310', '998', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('109', 'Staff of Baphomet', '$2766', '$2766', 'staff', 'bone', '1000', '1255', '3264', '1000', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('110', 'Staff of Beleth', '$2768', '$2768', 'staff', 'bone', '1000', '1257', '3265', '1002', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('111', 'Staff of Ice Queen', '$2754', '$2754', 'staff', 'steel', '20000', '1239', '3262', '1094', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('112', 'Elven Sword of Magic Resistance', '$801', '$801', 'sword', 'mithril', '20000', '325', '26', '0', '8', '8', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('113', 'Elven Sword of Dexterity', '$802', '$802', 'sword', 'mithril', '20000', '325', '26', '347', '8', '8', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '1', '-1', '0', '0', '-15', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('114', 'Symbol of Dignity', '$4386', '$4386', 'blunt', 'iron', '20000', '2228', '5606', '2102', '14', '16', '1', '6', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('115', 'Crystal Staff', '$2080', '$2080', 'staff', 'wood', '15000', '939', '75', '711', '1', '1', '1', '6', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('116', 'Staff of Black Wizard', '$3089', '$3089', 'staff', 'steel', '15000', '1487', '3709', '1177', '1', '1', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '2', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('117', 'Wand of Laia', '$3078', '$3078', 'staff', 'wood', '15000', '1516', '3791', '1166', '1', '1', '1', '6', '0', '0', '1', '0', '0', '0', '1', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '-2', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('118', 'Jet-Black Crystal Ball', '$3793', '$3793', 'staff', 'steel', '15000', '1878', '773', '1810', '1', '1', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('119', 'Staff of Demon', '$2991', '$2991', 'staff', 'bone', '1000', '1240', '3310', '1095', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('120', 'Ivory Tower Staff', '$3285', '$3285', 'staff', 'wood', '15000', '83', '75', '1326', '2', '2', '1', '-1', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('121', 'Staff of Ice Queen', '$2990', '$2990', 'staff', 'steel', '20000', '1239', '3262', '1094', '2', '3', '1', '6', '0', '0', '1', '0', '0', '0', '1', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('122', 'Lastavard Staff', '$2909', '$2909', 'staff', 'wood', '15000', '1334', '3428', '1084', '2', '3', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('123', 'Staff of Beleth', '$2993', '$2993', 'staff', 'bone', '15000', '1257', '3265', '1097', '2', '3', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '2', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('124', 'Staff of Baphomet', '$2992', '$2992', 'staff', 'bone', '15000', '1255', '3264', '1096', '2', '3', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('125', 'Staff of Sorcery', '$572', '$572', 'staff', 'wood', '15000', '292', '75', '232', '2', '3', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('126', 'Staff of Mana', '$1063', '$1063', 'staff', 'wood', '15000', '293', '75', '342', '3', '3', '1', '6', '0', '0', '1', '0', '0', '0', '1', '-3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('127', 'Steel Staff of Mana', '$2003', '$2003', 'staff', 'iron', '30000', '293', '75', '0', '3', '3', '1', '6', '0', '0', '1', '0', '0', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('128', 'Oak Staff', '$570', '$570', 'staff', 'wood', '15000', '291', '75', '230', '3', '4', '1', '6', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('129', 'Wizard\'s Staff', '$571', '$571', 'staff', 'wood', '20000', '297', '75', '231', '4', '5', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('130', 'Staff of Red Crystal', '$3865', '$3865', 'tohandstaff', 'steel', '60000', '1919', '4980', '0', '8', '8', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '1', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '40', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('131', 'Staff of Strength', '$573', '$573', 'staff', 'wood', '15000', '293', '75', '233', '9', '9', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '3', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-2', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('132', 'Staff of New King', '$3847', '$3847', 'tohandstaff', 'silver', '70000', '1901', '4962', '0', '9', '9', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('133', 'Wisdom of the Ancient People', '$2241', '$2241', 'staff', 'wood', '5000', '1003', '75', '772', '10', '10', '1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1', '1', '0');
INSERT INTO `weapon` VALUES ('134', 'Crystalized Staff', '$3838', '$3838', 'tohandstaff', 'blackmithril', '60000', '1953', '5006', '0', '13', '15', '1', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '2', '0', '0', '50', '0', '12', '3', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('135', 'Unknown Axe', '$2761', '$2761', 'blunt', 'bone', '0', '1227', '3307', '995', '0', '0', '1', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('136', 'Axe', '$1', '$1', 'blunt', 'steel', '60000', '1', '2', '0', '3', '5', '1', '6', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('137', 'Athame', '$14', '$14', 'blunt', 'steel', '10000', '8', '14', '0', '4', '4', '1', '6', '1', '1', '0', '1', '0', '1', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('138', 'Club', '$69', '$69', 'blunt', 'steel', '30000', '31', '14', '0', '6', '3', '1', '6', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('139', 'Flail', '$74', '$74', 'blunt', 'steel', '15000', '42', '83', '0', '6', '4', '1', '6', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('140', 'Mace', '$20', '$20', 'blunt', 'steel', '30000', '67', '60', '0', '6', '8', '1', '6', '1', '1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('141', 'War Hammer', '$111', '$111', 'tohandblunt', 'steel', '50000', '119', '358', '0', '17', '19', '1', '6', '1', '1', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('142', 'Silver Axe', '$1149', '$1149', 'tohandblunt', 'silver', '270000', '173', '358', '0', '17', '24', '1', '6', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('143', 'Battle Axe', '$60', '$60', 'tohandblunt', 'steel', '120000', '9', '58', '0', '18', '18', '1', '6', '1', '1', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('144', 'Dwarvish Axe', '$94', '$94', 'tohandblunt', 'steel', '280000', '172', '358', '0', '18', '24', '1', '6', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('145', 'Berserker Axe', '$418', '$418', 'tohandblunt', 'steel', '200000', '439', '358', '0', '19', '19', '1', '6', '0', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('146', 'Morning Star', '$84', '$84', 'blunt', 'steel', '120000', '68', '68', '0', '9', '10', '1', '6', '1', '1', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('147', 'Ivory Tower Axe', '$3281', '$3281', 'blunt', 'steel', '200000', '1', '2', '1322', '20', '23', '1', '-1', '1', '1', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('148', 'Great Axe', '$412', '$412', 'tohandblunt', 'steel', '250000', '171', '358', '0', '20', '26', '1', '6', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('149', 'Axe of Minotaur', '$2214', '$2214', 'tohandblunt', 'steel', '250000', '980', '3287', '0', '22', '24', '1', '6', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('150', 'Hammer of the Heavens', '$3735', '$3735', 'tohandblunt', 'oriharukon', '10000', '2009', '5059', '1704', '15', '16', '1', '6', '1', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('151', 'Demon Axe', '$3249', '$3249', 'tohandblunt', 'blackmithril', '180000', '1627', '4110', '1284', '30', '30', '1', '0', '1', '1', '0', '0', '0', '1', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('152', 'Bronze Claw', '$2458 $372', '$2458 $372', 'claw', 'iron', '20000', '1068', '2908', '862', '8', '7', '1', '6', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '33', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('153', 'Steel Claw', '$2459 $372', '$2459 $372', 'claw', 'iron', '30000', '1091', '2914', '863', '10', '8', '1', '6', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '33', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('154', 'Shadow Claw', '$2460 $372', '$2460 $372', 'claw', 'iron', '30000', '1084', '2915', '864', '12', '10', '1', '6', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '33', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('155', 'Claw of Magic Power King', '$3861', '$3861', 'claw', 'platinum', '100000', '1915', '4976', '0', '12', '12', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('156', 'Ivory Tower Claw', '$3287', '$3287', 'claw', 'iron', '20000', '1073', '2914', '1328', '12', '10', '1', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('157', 'Silver Claw', '$2454 $372', '$2454 $372', 'claw', 'silver', '20000', '1086', '2911', '850', '13', '10', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('158', 'Dark Claw', '$2452 $372', '$2452 $372', 'claw', 'steel', '20000', '1073', '2912', '847', '14', '11', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('159', 'Stealth Claw', '$2461 $372', '$2461 $372', 'claw', 'iron', '25000', '1089', '2909', '865', '14', '12', '1', '6', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('160', 'Claw of Savage King', '$3837', '$3837', 'claw', 'blackmithril', '70000', '1951', '5005', '0', '25', '20', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '10', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '35', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('161', 'Damascus Claw', '$2462 $372', '$2462 $372', 'claw', 'iron', '40000', '1070', '2916', '866', '17', '13', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('162', 'Claw of Bravery', '$372 $2453', '$372 $2453', 'claw', 'steel', '30000', '1065', '2910', '852', '17', '15', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '36', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('163', 'Claw of Baranka', '$3073', '$3073', 'claw', 'platinum', '40000', '1534', '3850', '1161', '18', '18', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '35', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('164', 'Kaiser Claw', '$2456', '$2456', 'claw', 'platinum', '40000', '1079', '2913', '855', '20', '16', '1', '6', '0', '0', '0', '0', '1', '0', '0', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '37', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('165', 'Devil\'s Claw', '$3377', '$3377', 'claw', 'iron', '30000', '1721', '4318', '1413', '20', '18', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '36', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('166', 'Claw of Hate', '$2763', '$2763', 'claw', 'bone', '30000', '1242', '3309', '997', '26', '15', '1', '0', '0', '0', '0', '0', '1', '0', '0', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '38', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('167', 'Sealed Forgotten Bowgun', '$1958 $1940', '$1958 $1940', 'bow', 'wood', '50000', '278', '12', '661', '1', '1', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '45', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('168', 'Dark Crossbow', '$2452 $2451', '$2452 $2451', 'bow', 'steel', '30000', '1075', '2919', '848', '2', '2', '-1', '6', '0', '0', '0', '1', '1', '0', '1', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('169', 'Hunter Bow', '$1244', '$1244', 'bow', 'wood', '30000', '279', '12', '0', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '5', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('170', 'Elven Bow', '$64', '$64', 'bow', 'wood', '30000', '18', '12', '0', '2', '2', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('171', 'Orcish Bow', '$65', '$65', 'bow', 'wood', '30000', '19', '12', '0', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('172', 'Bow', '$24', '$24', 'bow', 'wood', '30000', '278', '12', '0', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('173', 'Short Bow', '$759', '$759', 'bow', 'wood', '30000', '20', '12', '0', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('174', 'Ivory Tower Stone Bow', '$3284', '$3284', 'bow', 'wood', '50000', '18', '12', '1325', '2', '2', '-1', '-1', '0', '1', '0', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('175', 'Ivory Tower Bow', '$3283', '$3283', 'bow', 'wood', '40000', '278', '12', '1324', '2', '2', '-1', '-1', '0', '0', '0', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('176', 'Lastabad Bow', '$2907', '$2907', 'bow', 'steel', '50000', '1326', '3423', '1081', '2', '2', '-1', '6', '1', '1', '0', '1', '0', '0', '1', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('177', 'Crossbow of Bravery', '$2451 $2453', '$2451 $2453', 'bow', 'steel', '40000', '1066', '2918', '853', '3', '2', '-1', '6', '0', '0', '0', '1', '1', '0', '1', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('178', 'Crossbow of Silence', '$3792', '$3792', 'singlebow', 'wood', '50000', '1873', '4761', '1809', '3', '2', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('179', 'Bow of Ancient Elf', '$2771', '$2771', 'singlebow', 'wood', '30000', '1251', '3313', '1005', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '1', '2', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('180', 'Crossbow', '$784', '$784', 'bow', 'wood', '50000', '305', '12', '0', '3', '2', '-1', '6', '0', '1', '0', '1', '1', '0', '1', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('181', 'Yumi', '$105', '$105', 'bow', 'wood', '40000', '123', '12', '0', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('182', 'Ancient Bowgun', '$1952', '$1952', 'singlebow', 'wood', '30000', '896', '12', '673', '3', '3', '-1', '6', '0', '0', '0', '1', '1', '0', '1', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '45', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('183', 'Bow of Illusion', '$1999', '$1999', 'bow', 'wood', '40000', '931', '12', '0', '3', '3', '-1', '4', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('184', 'Bow of Flames', '$2352', '$2352', 'bow', 'silver', '30000', '1018', '12', '789', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '2', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('185', 'Devil\'s Crossbow', '$3374', '$3374', 'singlebow', 'steel', '30000', '1719', '4316', '1410', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '2', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('186', 'Diad Fortress Crossbow', '$3112', '$3112', 'bow', 'wood', '50000', '1513', '3735', '1200', '3', '3', '-1', '6', '0', '0', '0', '1', '1', '0', '1', '2', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('187', 'Lastabad Cross Bow', '$2915', '$2915', 'bow', 'wood', '70000', '1336', '3436', '1082', '3', '3', '-1', '6', '0', '0', '0', '1', '1', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('188', 'Lastabad Heavy Cross Bow', '$2908', '$2908', 'bow', 'wood', '100000', '1328', '3424', '1083', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '2', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('189', 'Kaiser Crossbow', '$2457', '$2457', 'bow', 'platinum', '50000', '1080', '2920', '856', '4', '3', '-1', '6', '0', '0', '0', '1', '1', '0', '1', '1', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('190', 'Sayhas Bow', '$1821', '$1821', 'bow', 'wood', '30000', '705', '12', '0', '4', '4', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '2', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('191', 'Bow of Cold Mastery', '$3736', '$3736', 'bow', 'oriharukon', '30000', '2005', '5055', '1705', '5', '5', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '8', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '52', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('192', 'Bow of Ancients', '$2252', '$2252', 'bow', 'wood', '5000', '1008', '12', '771', '10', '9', '-1', '-1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('193', 'Gauntlet', '$2464', '$2464', 'gauntlet', 'steel', '20000', '1095', '2921', '868', '2', '2', '-1', '6', '0', '0', '0', '0', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('194', 'Jin Gauntlet', '$2626', '$2626', 'gauntlet', 'steel', '40000', '1095', '2921', '868', '2', '2', '-1', '6', '0', '0', '0', '0', '1', '1', '0', '3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('195', 'Cursed Sword of Dantes', '$4338', '$4338', 'sword', 'iron', '100000', '1341', '3441', '0', '19', '22', '1', '6', '1', '1', '1', '1', '1', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-30', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('196', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '6', '8', '1', '0', '1', '1', '0', '0', '0', '1', '0', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('197', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '7', '9', '1', '0', '1', '1', '0', '0', '0', '1', '0', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('198', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '8', '10', '1', '0', '1', '1', '0', '0', '0', '1', '0', '6', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('199', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '9', '11', '1', '0', '1', '1', '0', '0', '0', '1', '0', '7', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('200', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '10', '12', '1', '0', '1', '1', '0', '0', '0', '1', '0', '8', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('201', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '11', '13', '1', '0', '1', '1', '0', '0', '0', '1', '0', '9', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('202', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '12', '14', '1', '0', '1', '1', '0', '0', '0', '1', '0', '10', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('203', 'Two-Handed Sword of Varlok', '$4423', '$4423', 'tohandsword', 'blackmithril', '60000', '2268', '5426', '0', '13', '15', '1', '0', '1', '1', '0', '0', '0', '1', '0', '11', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('204', 'Impartial Arbalest', '$4387', '$4387', 'bow', 'iron', '25000', '2230', '5601', '2103', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('205', 'Longbow of Moon', '$4350', '$4350', 'bow', 'wood', '25000', '2168', '5402', '0', '4', '4', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '3', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('206', 'Dark Elf\'s Training Sword', '$2536', '$2536', 'sword', 'iron', '40000', '1145', '2981', '0', '7', '8', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('207', 'Claw of Purgatory', '$4384', '$4384', 'claw', 'blackmithril', '50000', '2225', '5605', '2100', '14', '12', '1', '0', '0', '0', '0', '0', '1', '0', '0', '-5', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '33', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('208', 'Elven Sword of Constitution', '$803', '$803', 'sword', 'mithril', '20000', '235', '2981', '286', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '-15', '0', '0', '0', '1', '0', '0', '0', '0', '1', '15', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('209', 'Elven Short Sword of Constitution', '$1098', '$1098', 'sword', 'mithril', '20000', '1145', '2981', '346', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '15', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('210', 'Spear of Sheba Human', '$4429', '$4429', 'spear', 'platinum', '50000', '2200', '5504', '0', '11', '26', '2', '6', '1', '1', '1', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '80', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('211', 'Unicorn Horn', '$103', '$103', 'singlespear', 'bone', '100000', '113', '5', '0', '12', '12', '2', '6', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('212', 'Trident of the Sea God', '$4385', '$4385', 'spear', 'iron', '40000', '2226', '5607', '2101', '20', '22', '2', '6', '1', '1', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('213', 'Staff of Kirtas', '$4376', '$4376', 'tohandstaff', 'blackmithril', '100000', '2161', '5404', '0', '15', '15', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '15', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('214', 'Heavy Throwing Knife', '$3997', '$3997', 'bow', 'wood', '30000', '18', '12', '1852', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('215', 'Elven Bow of Dexterity', '$1099', '$1099', 'bow', 'wood', '30000', '18', '12', '347', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '15', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('216', 'Apprentice Elf Bow', '$1766', '$1766', 'bow', 'wood', '30000', '18', '12', '0', '2', '2', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('217', 'Sword of Girtas', '$4375', '$4375', 'tohandsword', 'blackmithril', '100000', '2160', '5316', '0', '43', '53', '1', '0', '0', '1', '0', '0', '0', '0', '0', '7', '30', '2', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('218', 'Iron Mace of Angus', '$4442', '$4442', 'tohandblunt', 'platinum', '120000', '2213', '5493', '0', '16', '16', '1', '6', '1', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('219', 'Axe of Maphr', '$2208', '$2208', 'tohandblunt', 'iron', '250000', '1145', '2981', '0', '16', '18', '1', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('220', 'Apprentice Wizard Staff', '$1770', '$1770', 'staff', 'wood', '60000', '297', '2981', '0', '4', '5', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('223', 'Mystery Staff', '$2079', '$2079', 'staff', 'wood', '11000', '946', '2981', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('224', 'Ivory Tower Staff', '$3285', '$3285', 'staff', 'wood', '15000', '83', '75', '1326', '2', '2', '1', '-1', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('225', 'Apprentice Sword', '$1762', '$1762', 'sword', 'iron', '40000', '2', '2981', '0', '7', '8', '1', '0', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('226', 'Apprentice Knight Sword', '$2293', '$2293', 'sword', 'iron', '40000', '2', '2981', '0', '8', '8', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('228', 'Sword of Legend', '$3612', '$3612', 'dagger', 'silver', '30000', '1795', '4413', '0', '8', '8', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('231', 'Dagger of Blue Sky', '$5122', '$5122', 'dagger', 'steel', '40000', '2524', '68', '0', '8', '6', '1', '-1', '1', '1', '1', '1', '1', '0', '0', '12', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '300000');
INSERT INTO `weapon` VALUES ('232', 'Sword of Blue Sky', '$5117', '$5117', 'sword', 'steel', '20000', '2523', '26', '0', '12', '12', '1', '-1', '1', '1', '0', '1', '0', '1', '0', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('233', 'Great Sword of Blue Sky', '$5118', '$5118', 'tohandsword', 'steel', '90000', '2525', '82', '0', '18', '22', '1', '-1', '1', '1', '0', '0', '0', '1', '0', '1', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('234', 'Spear of Blue Sky', '$5121', '$5121', 'singlespear', 'steel', '90000', '2529', '27', '0', '12', '14', '2', '-1', '1', '1', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('235', 'Axe of Blue Sky', '$5119', '$5119', 'blunt', 'steel', '80000', '2526', '2', '0', '14', '10', '1', '-1', '1', '1', '0', '0', '0', '1', '1', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('236', 'Edoryu of Blue Sky', '$5123', '$5123', 'edoryu', 'steel', '60000', '2527', '2923', '0', '16', '10', '1', '-1', '0', '0', '0', '0', '1', '0', '0', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('237', 'Claw of Blue Sky', '$5124', '$5124', 'claw', 'steel', '60000', '2530', '2914', '0', '18', '14', '1', '-1', '0', '0', '0', '0', '1', '0', '0', '0', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '33', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('238', 'Staff of Blue Sky', '$5125', '$5125', 'staff', 'steel', '80000', '2528', '75', '0', '8', '5', '1', '-1', '0', '0', '1', '0', '0', '0', '1', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '8', '1', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('239', 'Bow of Blue Sky', '$5120', '$5120', 'bow', 'steel', '60000', '2531', '12', '0', '3', '3', '-1', '-1', '1', '0', '0', '1', '0', '0', '1', '2', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('240', 'Gauntlet of Blue Sky', '$5126', '$5126', 'gauntlet', 'steel', '60000', '2522', '2921', '868', '3', '3', '-1', '-1', '0', '0', '0', '0', '1', '0', '0', '4', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('241', 'Unknown 241', 'Unknown 241', 'Unknown 241', 'sword', 'oriharukon', '60000', '902', '26', '0', '10', '12', '1', '-1', '1', '1', '1', '1', '1', '1', '1', '4', '7', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('242', 'Unknown Crossbow', 'Unknown Crossbow', 'Unknown Crossbow', 'singlebow', 'oriharukon', '50000', '1873', '4761', '0', '3', '2', '-1', '-1', '0', '0', '0', '1', '0', '0', '0', '3', '8', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('243', 'Magic Wand of Shaman', 'Magic Wand of Shaman', 'Magic Wand of Shaman', 'staff', 'oriharukon', '15000', '291', '75', '0', '1', '1', '1', '-1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '10', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('244', 'Unknown Claw', 'Unknown Claw', 'Unknown Claw', 'claw', 'steel', '30000', '1065', '2910', '0', '17', '15', '1', '-1', '0', '0', '0', '0', '1', '0', '0', '4', '10', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '33', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('245', 'Small Hammer of Happiness', '$4962', '$4962', 'blunt', 'leather', '50000', '2509', '6008', '0', '1', '1', '1', '6', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100004', 'Dagger', '$70', '$70', 'dagger', 'iron', '10000', '35', '68', '0', '4', '2', '1', '6', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100005', 'Elven Dagger', '$12', '$12', 'dagger', 'mithril', '10000', '33', '68', '0', '4', '3', '1', '6', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100008', 'Mithril Dagger', '$3248', '$3248', 'dagger', 'mithril', '50000', '1629', '4112', '1283', '6', '5', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '3', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100009', 'Oriharukon Dagger', '$3247', '$3247', 'dagger', 'oriharukon', '50000', '1635', '4118', '1282', '7', '7', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100025', 'Silver Sword', '$1148', '$1148', 'sword', 'silver', '40000', '156', '26', '0', '7', '7', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100027', 'Scimitar', '$92', '$92', 'sword', 'iron', '40000', '90', '76', '0', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100028', 'Elven Short Sword', '$98', '$98', 'sword', 'mithril', '20000', '325', '26', '284', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100029', 'Long Silver Sword', '$1147', '$1147', 'sword', 'silver', '50000', '163', '356', '0', '8', '12', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100037', 'Damascus Sword', '$598', '$598', 'sword', 'iron', '45000', '298', '3', '235', '10', '11', '1', '6', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100041', 'Katana', '$16', '$16', 'sword', 'iron', '40000', '58', '26', '0', '10', '12', '1', '6', '1', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100042', 'Rapier', '$789', '$789', 'sword', 'oriharukon', '60000', '104', '3', '0', '11', '6', '1', '6', '0', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100049', 'Long Sword of Pretender King', '$3840', '$3840', 'sword', 'iron', '120000', '1894', '4955', '0', '13', '10', '1', '6', '1', '1', '0', '1', '0', '1', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100052', 'Two-Handed Sword', '$3', '$3', 'tohandsword', 'iron', '150000', '4', '59', '0', '17', '21', '1', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100057', 'Tsurugi', '$17', '$17', 'sword', 'steel', '120000', '112', '3', '0', '16', '10', '1', '6', '0', '1', '0', '0', '0', '1', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100062', 'Two-Handed Sword of Pretender King', '$3839', '$3839', 'tohandsword', 'iron', '150000', '1893', '4954', '0', '19', '23', '1', '6', '0', '1', '0', '0', '0', '1', '0', '1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100064', 'Great Sword', '$1048', '$1048', 'tohandsword', 'iron', '150000', '463', '3', '0', '20', '17', '1', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100074', 'Silver Edoryu', '$2454 $2449', '$2454 $2449', 'edoryu', 'silver', '20000', '1085', '2926', '849', '11', '8', '1', '6', '0', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100084', 'Kaiser Edoryu', '$2455', '$2455', 'edoryu', 'platinum', '40000', '1078', '2928', '854', '17', '13', '1', '6', '0', '0', '0', '0', '1', '0', '0', '4', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100095', 'Lance', '$81', '$81', 'singlespear', 'steel', '180000', '60', '71', '0', '6', '8', '2', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100098', 'Glaive', '$75', '$75', 'spear', 'steel', '75000', '45', '5', '0', '12', '16', '2', '6', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100099', 'Elven Spear', '$95', '$95', 'singlespear', 'mithril', '30000', '99', '5', '0', '7', '8', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100102', 'Lucern Hammer', '$83', '$83', 'spear', 'steel', '150000', '66', '5', '0', '15', '17', '2', '6', '1', '1', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100103', 'Halberd', '$77', '$77', 'spear', 'steel', '150000', '50', '5', '0', '16', '12', '2', '6', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100107', 'Crimson Lance', '$3250', '$3250', 'spear', 'mithril', '100000', '38', '4119', '1285', '21', '21', '2', '6', '1', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '50', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100132', 'Staff of New King', '$3847', '$3847', 'tohandstaff', 'silver', '70000', '1901', '75', '0', '9', '9', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100143', 'Battle Axe', '$60', '$60', 'tohandblunt', 'steel', '120000', '9', '58', '0', '18', '18', '1', '6', '1', '1', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100146', 'Morning Star', '$84', '$84', 'blunt', 'steel', '120000', '68', '68', '0', '9', '10', '1', '6', '1', '1', '0', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100151', 'Demon Axe', '$3249', '$3249', 'tohandblunt', 'blackmithril', '180000', '1627', '4110', '1284', '30', '30', '1', '0', '1', '1', '0', '0', '0', '1', '1', '-2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100164', 'Kaiser Claw', '$2456', '$2456', 'claw', 'platinum', '40000', '1079', '2913', '855', '20', '16', '1', '6', '0', '0', '0', '0', '1', '0', '0', '2', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '37', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100169', 'Hunters Bow', '$1244', '$1244', 'bow', 'wood', '30000', '279', '12', '0', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '5', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100170', 'Elven Bow', '$64', '$64', 'bow', 'wood', '30000', '18', '12', '0', '2', '2', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100172', 'Bow', '$24', '$24', 'bow', 'wood', '30000', '278', '12', '0', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100180', 'Crossbow', '$784', '$784', 'bow', 'wood', '50000', '305', '12', '0', '3', '2', '-1', '6', '0', '1', '0', '1', '1', '0', '1', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100181', 'Yumi', '$105', '$105', 'bow', 'wood', '40000', '123', '12', '0', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '1', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100189', 'Kaiser Crossbow', '$2457', '$2457', 'bow', 'platinum', '50000', '1080', '2920', '856', '4', '3', '-1', '6', '0', '0', '0', '1', '1', '0', '1', '1', '6', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100212', 'Trident of the Sea God', '$4385', '$4385', 'spear', 'iron', '40000', '2226', '5607', '2101', '20', '22', '2', '6', '1', '1', '0', '0', '0', '0', '0', '4', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200001', 'Orcish Dagger', '$13', '$13', 'dagger', 'iron', '10000', '34', '68', '0', '2', '3', '1', '6', '1', '1', '1', '1', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200002', 'Dice Dagger', '$416', '$416', 'dagger', 'iron', '10000', '144', '354', '142', '1', '3', '1', '6', '1', '1', '1', '1', '1', '0', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200027', 'Scimitar', '$92', '$92', 'sword', 'iron', '40000', '90', '76', '0', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200032', 'Gradius', '$415', '$415', 'sword', 'iron', '40000', '151', '355', '0', '9', '11', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200041', 'Katana', '$16', '$16', 'sword', 'iron', '40000', '58', '26', '0', '10', '12', '1', '6', '1', '1', '0', '1', '1', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200052', 'Two-Handed Sword', '$3', '$3', 'tohandsword', 'iron', '150000', '4', '59', '0', '17', '21', '1', '6', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0');
INSERT INTO `weapon` VALUES ('200171', 'Orcish Bow', '$65', '$65', 'bow', 'wood', '30000', '19', '12', '0', '2', '2', '-1', '6', '1', '1', '1', '1', '0', '0', '1', '0', '-1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0');
INSERT INTO `weapon` VALUES ('450000', 'Thor\'s Hammer', 'Thor\'s Hammer', 'Thor\'s Hammer', 'sword', 'platinum', '40000', '119', '5', '0', '7', '12', '0', '6', '1', '1', '0', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('450001', 'Paagrio\'s Hatred', 'Paagrio\'s Hatred', 'Paagrio\'s Hatred', 'sword', 'iron', '40000', '984', '3', '0', '13', '9', '0', '6', '0', '1', '0', '0', '0', '0', '0', '2', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('450002', 'Maphr\'s Retribution', 'Maphr\'s Retribution', 'Maphr\'s Retribution', 'tohandblunt', 'platinum', '50000', '974', '58', '0', '4', '5', '0', '6', '0', '1', '0', '1', '0', '0', '0', '0', '11', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('450003', 'Orcish Bume Smache', 'Orcish Bume Smache', 'Orcish Bume Smache', 'blunt', 'iron', '50000', '67', '60', '0', '8', '9', '0', '6', '1', '1', '0', '0', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('450004', 'Diamond Sword', 'Diamond Sword', 'Diamond Sword', 'sword', 'steel', '90000', '1350', '26', '0', '14', '12', '0', '6', '1', '0', '0', '0', '0', '0', '0', '2', '0', '0', '0', '2', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('246', 'Sword of Ordeal', '$4046', '$4046', 'sword', 'iron', '40000', '932', '3963', '1866', '10', '10', '1', '5', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('247', 'Sword of Ordeal', '$4046', '$4046', 'sword', 'iron', '40000', '932', '3963', '1867', '10', '10', '1', '5', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('248', 'Sword of Ordeal', '$4046', '$4046', 'sword', 'iron', '40000', '932', '3963', '1868', '10', '10', '1', '5', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('249', 'Sword of Ordeal', '$4046', '$4046', 'sword', 'iron', '40000', '932', '3963', '1869', '10', '10', '1', '5', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('100114', 'Symbol of Dignity', '$4386', '$4386', 'blunt', 'iron', '20000', '2228', '5606', '2102', '14', '16', '1', '6', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100157', 'Silver Claw', '$2454 $372', '$2454 $372', 'claw', 'silver', '20000', '1086', '2911', '850', '13', '10', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '34', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100204', 'Indiscriminate Avarist', '$4387', '$4387', 'bow', 'iron', '25000', '2230', '5601', '2103', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '40', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('100207', 'Claw of Purgatory', '$4384', '$4384', 'claw', 'blackmithril', '50000', '2225', '5605', '2100', '14', '12', '1', '0', '0', '0', '0', '0', '1', '0', '0', '-5', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `weapon` VALUES ('250', 'unknown', '', '', 'dagger', 'iron', '5000', '1317', '3370', '0', '16', '4', '1', '4', '1', '1', '1', '1', '1', '0', '0', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('251', 'Two-Handed Sword of Illusion', 'Two-Handed Sword of Illusion', 'Two-Handed Sword of Illusion', 'tohandsword', 'steel', '5000', '1016', '4764', '0', '14', '26', '1', '4', '1', '1', '0', '0', '0', '0', '0', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('252', 'unknown', '', '', 'singlespear', 'steel', '5000', '50', '5', '0', '10', '10', '2', '4', '1', '1', '1', '1', '0', '0', '0', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('253', 'unknown', '', '', 'blunt', 'steel', '5000', '1658', '4257', '0', '12', '15', '1', '4', '1', '1', '0', '1', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('254', 'unknown', '', '', 'edoryu', 'steel', '5000', '1656', '4256', '0', '15', '10', '1', '4', '0', '0', '0', '0', '1', '0', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '25', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('255', 'unknown', '', '', 'staff', 'steel', '5000', '1654', '4255', '0', '13', '13', '1', '4', '0', '0', '1', '0', '0', '0', '0', '5', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('256', 'Pumpkin Sword', '$5254', '$5254', 'sword', 'wood', '35000', '2651', '6401', '2791', '10', '10', '1', '6', '1', '1', '1', '1', '1', '1', '0', '3', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('257', 'unknown', '$10089', '$10089', 'sword', 'wood', '35000', '2651', '6401', '6028', '10', '10', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('258', 'unknown', '$10091', '$10091', 'sword', 'wood', '35000', '3233', '6401', '6030', '8', '8', '1', '6', '1', '1', '1', '1', '1', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('265', 'Edoryu of Thebes Osiris', '$5718', '$5718', 'edoryu', 'gold', '30000', '3049', '6957', '3263', '16', '11', '1', '6', '0', '0', '0', '0', '1', '0', '0', '0', '1', '0', '0', '1', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '30', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('266', 'Two-handed Sword of Thebes Osiris', '$5719', '$5719', 'tohandsword', 'gold', '100000', '3047', '6956', '3264', '21', '26', '1', '6', '1', '1', '0', '0', '0', '1', '0', '5', '0', '1', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('267', 'Bow of Thebes Osiris', '$5720', '$5720', 'bow', 'gold', '5000', '3053', '6959', '3265', '3', '3', '-1', '6', '0', '0', '0', '1', '0', '0', '0', '0', '1', '0', '0', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('268', 'Staff of Thebes Osiris', '$5721', '$5721', 'tohandstaff', 'gold', '5000', '3051', '6958', '3266', '20', '18', '1', '6', '0', '0', '1', '0', '0', '0', '1', '0', '3', '2', '0', '0', '0', '0', '0', '0', '0', '0', '7', '2', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('259', '', '$5486', '$5486', 'dagger', 'mithril', '30000', '2913', '6736', '3015', '5', '4', '1', '6', '1', '1', '1', '1', '1', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('260', 'Axe of Raging Wind', '$5487', '$5487', 'tohandblunt', 'steel', '130000', '2909', '6734', '3016', '25', '25', '1', '6', '0', '1', '0', '0', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('261', '', '$5489', '$5489', 'staff', 'wood', '20000', '2915', '6737', '3018', '12', '12', '1', '6', '0', '0', '1', '0', '0', '0', '1', '5', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('262', 'Great Sword of Destruction', '$5488', '$5488', 'tohandsword', 'steel', '150000', '2917', '6738', '3017', '19', '18', '1', '6', '1', '1', '0', '0', '0', '1', '0', '0', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('263', '', '$5490', '$5490', 'spear', 'steel', '80000', '2919', '6739', '3019', '15', '15', '2', '6', '1', '1', '1', '1', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('264', '', '$5491', '$5491', 'sword', 'blackmithril', '40000', '2911', '6735', '3020', '13', '12', '1', '6', '1', '1', '0', '1', '1', '1', '0', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('269', 'Wand of Illusionist', '$5661', '$5661', 'staff', 'wood', '15000', '3016', '6966', '0', '10', '10', '1', '6', '0', '0', '0', '0', '0', '0', '1', '3', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '5', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('270', 'Sapphire Kiringku', '$5662', '$5662', 'kiringku', 'gemstone', '10000', '3018', '6939', '0', '26', '26', '1', '6', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '20', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('271', 'Obsidian Kiringku', '$5663', '$5663', 'kiringku', 'gemstone', '10000', '3020', '6967', '0', '24', '24', '1', '6', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('272', 'Destructor\'s Chain Sword', '$5668', '$5668', 'chainsword', 'silver', '100000', '3033', '6940', '0', '16', '10', '2', '6', '0', '0', '0', '0', '0', '1', '0', '2', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '50', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('273', 'Collapsed One\'s Chain Sword', '$5669', '$5669', 'chainsword', 'iron', '110000', '3056', '6962', '0', '19', '17', '2', '6', '0', '0', '0', '0', '0', '1', '0', '2', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon` VALUES ('274', 'Ken Rauhel\'s Baton', '$5631', '$5631', 'staff', 'gold', '40000', '1020', '781', '3173', '16', '12', '1', '-1', '0', '0', '0', '0', '0', '0', '1', '5', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '0', '0');
INSERT INTO `weapon` VALUES ('275', 'Two-handed Sword of Dragonknight', '$5664', '$5664', 'tohandsword', 'iron', '80000', '3022', '6940', '3219', '19', '17', '1', '6', '0', '0', '0', '0', '0', '1', '0', '4', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '0', '0', '0');
INSERT INTO `weapon_skill` VALUES ('47', 'Sword of Silence', '7', '0', '0', '0', '64', '16', '2177', '0', '0', '0');
INSERT INTO `weapon_skill` VALUES ('54', 'Sword of Kurtz ', '15', '35', '25', '0', '0', '0', '10', '0', '0', '8');
INSERT INTO `weapon_skill` VALUES ('58', 'Fire Sword of Death Knight', '7', '75', '15', '0', '0', '0', '1811', '0', '0', '2');
INSERT INTO `weapon_skill` VALUES ('76', 'Edoryu of Ronde', '15', '35', '25', '0', '0', '0', '1805', '0', '0', '1');
INSERT INTO `weapon_skill` VALUES ('121', 'Staff of Ice Queen', '25', '95', '55', '0', '0', '0', '1810', '0', '0', '4');
INSERT INTO `weapon_skill` VALUES ('450000', 'Thor\'s Hammer', '16', '20', '25', '0', '0', '0', '3940', '0', '0', '0');
INSERT INTO `weapon_skill` VALUES ('450001', 'Paagrio\'s Hatred', '12', '25', '20', '0', '0', '0', '245', '0', '0', '0');
INSERT INTO `weapon_skill` VALUES ('450002', 'Maphr\'s Retribution', '10', '20', '30', '0', '0', '0', '1812', '0', '0', '0');
INSERT INTO `weapon_skill` VALUES ('450003', 'Orcish Bume Smache', '15', '15', '30', '0', '0', '0', '762', '0', '0', '0');
INSERT INTO `weapon_skill` VALUES ('36', 'Eva\'s Scorn', '16', '20', '15', '0', '0', '0', '1714', '0', '0', '0');
INSERT INTO `weapon_skill` VALUES ('203', 'Two-Handed Sword of Varlok', '15', '90', '90', '2', '0', '0', '762', '0', '0', '2');
INSERT INTO `weapon_skill` VALUES ('256', 'Pumpkin Sword', '8', '35', '25', '0', '0', '0', '2750', '0', '0', '1');
INSERT INTO `weapon_skill` VALUES ('205', 'Longbow of Moon', '10', '8', '0', '0', '0', '0', '6288', '0', '1', '0');
INSERT INTO `weapon_skill` VALUES ('257', 'unknown', '8', '35', '25', '0', '0', '0', '2750', '0', '0', '1');
INSERT INTO `weapon_skill` VALUES ('258', 'unknown', '8', '35', '25', '0', '0', '0', '2750', '0', '0', '1');
